"""Information for all Figures in Reactome"""

__copyright__ = "Copyright (C) 2018-2019, DV Klopfenstein. All rights reserved."
__author__ = "DV Klopfenstein"

from collections import namedtuple

# 803 Figures. 66 EditInstances

# 19 Authors:
#  Person dbId Surname       Ini  First Name
#  ----------- ------------  ---  ----------
#       109873 Alnemri       E
#       140934 D'Eustachio   P    Peter
#       266365 D'Eustachio   P    Peter
#       201661 Garapati      P V  Phani Vijay
#        73681 Gillespie     ME   Marc
#        73870 Gopinathrao   G
#        73447 Jassal        B    Bijay
#       158006 Joshi-Tope    G    Geeta
#       391309 Jupe          S    Steve
#       210350 Mahajan       SS
#       142011 Matthews      L    Lisa
#       203835 May           B    Bruce
#      1169272 Orlic-Milacic M    Marija
#        70169 Schmidt       EE   Esther
#       804962 Stephan       R    Ralf
#        72611 Tello-Ruiz    MK   Marcela
#       205591 Williams      MG
#       140537 Wu            G    Guanming
#       114499 de Bono       B    Bernard

# 66 edit instances
NtEd = namedtuple('NtEd', 'year authors')
EDS = [
    NtEd._make([2003, frozenset({70169})]),
    NtEd._make([2003, frozenset({73447})]),
    NtEd._make([2003, frozenset({73681})]),
    NtEd._make([2003, frozenset({73870})]),
    NtEd._make([2003, frozenset({142011})]),
    NtEd._make([2003, frozenset({158006})]),
    NtEd._make([2004, frozenset({73447})]),
    NtEd._make([2004, frozenset({73681})]),
    NtEd._make([2004, frozenset({73870})]),
    NtEd._make([2004, frozenset({109873})]),
    NtEd._make([2004, frozenset({114499})]),
    NtEd._make([2004, frozenset({140934})]),
    NtEd._make([2004, frozenset({142011})]),
    NtEd._make([2005, frozenset({70169})]),
    NtEd._make([2005, frozenset({73447})]),
    NtEd._make([2005, frozenset({73681})]),
    NtEd._make([2005, frozenset({73870})]),
    NtEd._make([2005, frozenset({140934})]),
    NtEd._make([2005, frozenset({142011})]),
    NtEd._make([2006, frozenset({72611})]),
    NtEd._make([2006, frozenset({73447})]),
    NtEd._make([2006, frozenset({73681})]),
    NtEd._make([2006, frozenset({73870})]),
    NtEd._make([2006, frozenset({140934})]),
    NtEd._make([2006, frozenset({142011})]),
    NtEd._make([2006, frozenset({205591})]),
    NtEd._make([2007, frozenset({73447})]),
    NtEd._make([2007, frozenset({73681})]),
    NtEd._make([2007, frozenset({73870})]),
    NtEd._make([2007, frozenset({114499})]),
    NtEd._make([2007, frozenset({140934})]),
    NtEd._make([2007, frozenset({142011})]),
    NtEd._make([2007, frozenset({201661})]),
    NtEd._make([2007, frozenset({205591})]),
    NtEd._make([2008, frozenset({73447})]),
    NtEd._make([2008, frozenset({73870})]),
    NtEd._make([2008, frozenset({114499})]),
    NtEd._make([2008, frozenset({140934})]),
    NtEd._make([2008, frozenset({201661})]),
    NtEd._make([2008, frozenset({203835})]),
    NtEd._make([2008, frozenset({205591})]),
    NtEd._make([2008, frozenset({210350})]),
    NtEd._make([2008, frozenset({266365})]),
    NtEd._make([2009, frozenset({73681})]),
    NtEd._make([2009, frozenset({140934})]),
    NtEd._make([2009, frozenset({142011})]),
    NtEd._make([2009, frozenset({201661})]),
    NtEd._make([2009, frozenset({205591})]),
    NtEd._make([2009, frozenset({210350})]),
    NtEd._make([2009, frozenset({391309})]),
    NtEd._make([2010, frozenset({73447})]),
    NtEd._make([2010, frozenset({205591})]),
    NtEd._make([2010, frozenset({266365})]),
    NtEd._make([2010, frozenset({391309})]),
    NtEd._make([2010, frozenset({804962})]),
    NtEd._make([2011, frozenset({142011})]),
    NtEd._make([2012, frozenset({142011})]),
    NtEd._make([2012, frozenset({1169272})]),
    NtEd._make([2013, frozenset({140537})]),
    NtEd._make([2013, frozenset({142011})]),
    NtEd._make([2014, frozenset({142011})]),
    NtEd._make([2015, frozenset({142011})]),
    NtEd._make([2016, frozenset({142011})]),
    NtEd._make([2018, frozenset({142011})]),
    NtEd._make([2019, frozenset({142011})]),
    NtEd._make([2019, frozenset({203835})]),
]

# Key: Figure dbId
NtFig = namedtuple('NtFig', 'url created last_edit')
# pylint: disable=line-too-long
FIG2NT = {
    158090: NtFig._make(['/figures/MitoticChkpt.jpg', EDS[13], None]),
    69460: NtFig._make(['/figures/ATM_p53.jpg', None, None]),
    181883: NtFig._make(['/figures/telomere_packaging2.jpg', EDS[25], None]),
    176732: NtFig._make(['/figures/t-loop_all.jpg', EDS[25], None]),
    181882: NtFig._make(['/figures/telomere_packaging1.jpg', EDS[25], None]),
    83623: NtFig._make(['/figures/HRR_resect.jpg', EDS[2], None]),
    72793: NtFig._make(['/figures/cyclinab_cdk1_p.jpg', EDS[5], None]),
    72791: NtFig._make(['/figures/cyclinab_cdk1.jpg', EDS[5], None]),
    69474: NtFig._make(['/figures/g2m_dna_damage.jpg', None, None]),
    195456: NtFig._make(['/figures/vegfr2.jpg', EDS[32], None]),
    189925: NtFig._make(['/figures/egfr_P_by_src.jpg', EDS[19], None]),
    179448: NtFig._make(['/figures/gab_grb2_binds_pi3k.jpg', EDS[19], None]),
    179449: NtFig._make(['/figures/gab_binds_grb2.jpg', EDS[19], None]),
    179452: NtFig._make(['/figures/pi3k_cat_unit_binds.jpg', EDS[19], None]),
    179450: NtFig._make(['/figures/pi3k_converts_pip2_2_pip3.jpg', EDS[19], None]),
    179433: NtFig._make(['/figures/egfr_autophos.jpg', EDS[19], None]),
    164328: NtFig._make(['/figures/fructose1.jpg', EDS[18], None]),
    70727: NtFig._make(['/figures/oxidative_decarboxylation.jpg', None, None]),
    111218: NtFig._make(['/figures/linoleoylcoa.jpg', EDS[6], None]),
    109982: NtFig._make(['/figures/unsatfattyacidbetao_1.jpg', EDS[6], None]),
    109991: NtFig._make(['/figures/unsatfattyacidbetao_4.jpg', EDS[6], None]),
    109987: NtFig._make(['/figures/unsatfattyacidbetao_3.jpg', EDS[6], None]),
    109985: NtFig._make(['/figures/unsatfattyacidbetao_2.jpg', EDS[6], None]),
    179463: NtFig._make(['/figures/sos_gbr2_binds_egfr_egf.jpg', EDS[19], None]),
    157824: NtFig._make(['/figures/Grb2_SOS.jpg', EDS[17], None]),
    157818: NtFig._make(['/figures/Grb2_IRS.jpg', EDS[17], None]),
    74817: NtFig._make(['/figures/ins_autoph.jpg', None, None]),
    74818: NtFig._make(['/figures/ins_binding.jpg', None, None]),
    74815: NtFig._make(['/figures/ins_reinteg.jpg', None, None]),
    74810: NtFig._make(['/figures/ins_dephos.jpg', None, None]),
    74813: NtFig._make(['/figures/ins_endosacid.jpg', None, None]),
    74814: NtFig._make(['/figures/ins_internal.jpg', None, None]),
    179443: NtFig._make(['/figures/phos_shc_binds_grb2sos.jpg', EDS[19], None]),
    179445: NtFig._make(['/figures/egfr_phos_of_shc_.jpg', EDS[19], None]),
    179466: NtFig._make(['/figures/egfr_binds_shc.jpg', EDS[19], None]),
    157815: NtFig._make(['/figures/Grb2_SHC.jpg', EDS[17], None]),
    158659: NtFig._make(['/figures/Diss_MEK_ERK.jpg', EDS[17], None]),
    158670: NtFig._make(['/figures/MEK_P_ERK.jpg', EDS[17], None]),
    158658: NtFig._make(['/figures/MEK_ERK.jpg', EDS[17], None]),
    426073: NtFig._make(['/figures/pip2_cleavage_to_IP3_and_DAG.jpg', EDS[49], None]),
    69479: NtFig._make(['/figures/g2m_repl.jpg', None, None]),
    176321: NtFig._make(['/figures/ATR_loading.jpg', EDS[22], None]),
    68912: NtFig._make(['/figures/CellCycle_4.jpg', None, None]),
    69228: NtFig._make(['/figures/Cdk46_RbP.jpg', None, None]),
    208653: NtFig._make(['/figures/DrosNotch17A.jpg', EDS[24], None]),
    208604: NtFig._make(['/figures/DrosNotch16A.jpg', EDS[24], None]),
    208733: NtFig._make(['/figures/DrosNotch05A.jpg', EDS[24], None]),
    69542: NtFig._make(['/figures/stab_p53.jpg', None, None]),
    69455: NtFig._make(['/figures/p53_dep_inactivation.jpg', None, None]),
    72788: NtFig._make(['/figures/cycline_cdk2_dp.jpg', EDS[5], None]),
    72787: NtFig._make(['/figures/cycline_cdk2_p.jpg', EDS[5], None]),
    72786: NtFig._make(['/figures/cycline_cdk2.jpg', EDS[5], None]),
    188184: NtFig._make(['/figures/SCF_Skp2_degradation.jpg', EDS[23], None]),
    68850: NtFig._make(['/figures/2.2.3a.jpg', None, None]),
    68828: NtFig._make(['/figures/2.2.5a.jpg', None, None]),
    68690: NtFig._make(['/figures/2.2.4a.jpg', None, None]),
    68915: NtFig._make(['/figures/2.4.3a.jpg', None, None]),
    68617: NtFig._make(['/figures/2.4.1a.jpg', None, None]),
    68868: NtFig._make(['/figures/repnfig2.jpg', None, None]),
    69092: NtFig._make(['/figures/dna_pol_sw.jpg', None, None]),
    69184: NtFig._make(['/figures/lag_str_syn.jpg', None, None]),
    5678590: NtFig._make(['/figures/Pathway_Illustrations/illustration_DNA_strand_elongation_72.png', EDS[61], None]),
    68953: NtFig._make(['/figures/2.3.1a.jpg', None, None]),
    69032: NtFig._make(['/figures/2.2.9a.jpg', None, None]),
    72789: NtFig._make(['/figures/cycline_cdk2_g1s.jpg', EDS[5], None]),
    69203: NtFig._make(['/figures/g1s.jpg', None, None]),
    69207: NtFig._make(['/figures/CellCycle_5.jpg', None, None]),
    69232: NtFig._make(['/figures/G1_phase.jpg', None, None]),
    69237: NtFig._make(['/figures/CellCycle_3.jpg', None, None]),
    163003: NtFig._make(['/figures/polokinases_cohesin1.jpg', EDS[16], None]),
    72794: NtFig._make(['/figures/cyclinab_cdk1_dp.jpg', EDS[5], None]),
    162990: NtFig._make(['/figures/polokinases_Cdc25C.jpg', EDS[16], None]),
    162922: NtFig._make(['/figures/polokinases_Wee1A.jpg', EDS[16], None]),
    162987: NtFig._make(['/figures/polokinases_Myt1.jpg', EDS[16], None]),
    162989: NtFig._make(['/figures/polokinases_GRASP65.jpg', EDS[16], None]),
    72795: NtFig._make(['/figures/cyclinab_cdk1_g2m.jpg', EDS[5], None]),
    72792: NtFig._make(['/figures/g2m.jpg', EDS[5], None]),
    162921: NtFig._make(['/figures/polokinases_overview1.jpg', EDS[16], None]),
    69276: NtFig._make(['/figures/CellCycle_2.jpg', None, None]),
    387449: NtFig._make(['/figures/Mohan-IGFBP4action.jpg', EDS[34], None]),
    387444: NtFig._make(['/figures/Firth2002-IGFBP-IGFinteraction.jpg', EDS[34], None]),
    387446: NtFig._make(['/figures/Firth2002-IGFBPaction.jpg', EDS[34], None]),
    140540: NtFig._make(['/figures/bid1.jpg', EDS[11], None]),
    141227: NtFig._make(['/figures/FasL_Fas_FADD_Caspase8.jpg', EDS[6], None]),
    141228: NtFig._make(['/figures/FasL_Fas_FADD_ProCaspase8.jpg', EDS[6], None]),
    141226: NtFig._make(['/figures/FasL_Fas_FADD.jpg', EDS[6], None]),
    141237: NtFig._make(['/figures/FasL_Fas.jpg', EDS[6], None]),
    140541: NtFig._make(['/figures/bim1.jpg', EDS[11], None]),
    140542: NtFig._make(['/figures/bmf1.jpg', EDS[11], None]),
    140539: NtFig._make(['/figures/bad1.jpg', EDS[11], None]),
    140522: NtFig._make(['/figures/bh3only1.jpg', EDS[11], None]),
    140543: NtFig._make(['/figures/tbid1.jpg', EDS[11], None]),
    114493: NtFig._make(['/figures/cytoC_mediated_response.jpg', EDS[9], None]),
    114495: NtFig._make(['/figures/SMAC_mediated_response.jpg', EDS[9], None]),
    114484: NtFig._make(['/figures/apoptotic_factor_responses.jpg', EDS[8], None]),
    202435: NtFig._make(['/figures/TCR_4.jpg', EDS[29], None]),
    202428: NtFig._make(['/figures/TCR_2.jpg', EDS[29], None]),
    202425: NtFig._make(['/figures/TCR_5.jpg', EDS[29], None]),
    202432: NtFig._make(['/figures/TCR_3.jpg', EDS[29], None]),
    202421: NtFig._make(['/figures/TCR_1.jpg', EDS[29], None]),
    947937: NtFig._make(['/figures/DrosRasRafERKA103.jpg', EDS[51], None]),
    947987: NtFig._make(['/figures/DrosRasRafERKA90.jpg', EDS[51], None]),
    202712: NtFig._make(['/figures/mono-plt-endo.jpg', EDS[31], None]),
    975838: NtFig._make(['/figures/shc.png', EDS[53], None]),
    195706: NtFig._make(['/figures/integrin_signaling.png', EDS[31], None]),
    2291893: NtFig._make(['/figures/Pathway_Illustrations/Integrin_72_oicr.png', EDS[56], None]),
    208409: NtFig._make(['/figures/BDrosWing18c.jpg', EDS[24], None]),
    421396: NtFig._make(['/figures/tightjunctions.jpg', EDS[48], None]),
    419699: NtFig._make(['/figures/sema3A2.png', EDS[43], None]),
    419698: NtFig._make(['/figures/sema3A1.png', EDS[43], None]),
    419695: NtFig._make(['/figures/sema4D1.png', EDS[43], None]),
    419700: NtFig._make(['/figures/sema4D2.png', EDS[43], None]),
    179426: NtFig._make(['/figures/sos_acts_ras.jpg', EDS[19], None]),
    179428: NtFig._make(['/figures/phosGAB_SHP2.jpg', EDS[19], None]),
    179431: NtFig._make(['/figures/dephosGAB_by_SHP2.jpg', EDS[19], None]),
    1996282: NtFig._make(['/figures/Pathway_Illustrations/EGFR_72_oicr.png', EDS[55], None]),
    157816: NtFig._make(['/figures/SOS_ras_SHC.jpg', EDS[17], None]),
    389346: NtFig._make(['/figures/CD28_PI3K.png', EDS[43], None]),
    389345: NtFig._make(['/figures/CD28_Vav1.jpg<br>', EDS[43], None]),
    389347: NtFig._make(['/figures/pCD28.png', EDS[43], None]),
    389343: NtFig._make(['/figures/CD28_interaction.png', EDS[43], None]),
    111406: NtFig._make(['/figures/RepairFoci.jpg', EDS[8], None]),
    83610: NtFig._make(['/figures/HRR_Dloop.jpg', EDS[2], None]),
    83629: NtFig._make(['/figures/HRR_RepairSyn.jpg', EDS[2], None]),
    83668: NtFig._make(['/figures/HRR_SDSA.jpg', EDS[2], None]),
    83637: NtFig._make(['/figures/HRR_HJres.jpg', EDS[2], None]),
    83631: NtFig._make(['/figures/HRR_DloopRes.jpg', EDS[2], None]),
    77104: NtFig._make(['/figures/NHEJFig60dpi.jpg', EDS[2], None]),
    3508878: NtFig._make(['/figures/Pathway_Illustrations/Intrinsic_Apoptosis_72_oicr.png', EDS[59], None]),
    419697: NtFig._make(['/figures/NCAM1.png', EDS[43], None]),
    1996286: NtFig._make(['/figures/Pathway_Illustrations/FGFR_72_oicr.png', EDS[55], None]),
    2463863: NtFig._make(['/figures/Pathway_Illustrations/SCF-cKIT_72_oicr.png', EDS[57], None]),
    446758: NtFig._make(['/figures/NMDA-Receptor-Dependent-Gene-Activation.jpg', EDS[45], None]),
    421190: NtFig._make(['/figures/AMPARecptors_Figure2.jpg', EDS[45], None]),
    421191: NtFig._make(['/figures/AMPARecptors_Figure1.jpg', EDS[45], None]),
    2291908: NtFig._make(['/figures/Pathway_Illustrations/NOTCH4_72_oicr.png', EDS[56], None]),
    870467: NtFig._make(['/figures/DrosBMPActB64.jpg', EDS[51], None]),
    870455: NtFig._make(['/figures/DrosBMPActB63.jpg', EDS[51], None]),
    870567: NtFig._make(['/figures/DrosBMPActB62.jpg', EDS[51], None]),
    870495: NtFig._make(['/figures/DrosBMPActB65.jpg', EDS[51], None]),
    870722: NtFig._make(['/figures/DrosBMPActB68.jpg', EDS[51], None]),
    870471: NtFig._make(['/figures/DrosBMPActB66.jpg', EDS[51], None]),
    1996285: NtFig._make(['/figures/Pathway_Illustrations/TGFb_72_oicr.png', EDS[55], None]),
    69461: NtFig._make(['/figures/Ub_PCdc25A.jpg', None, None]),
    69450: NtFig._make(['/figures/p53_indep.jpg', None, None]),
    69581: NtFig._make(['/figures/G1S_ckpt.jpg', None, None]),
    72161: NtFig._make(['/figures/stepII.jpg', None, None]),
    72144: NtFig._make(['/figures/lariat.jpg', None, None]),
    72140: NtFig._make(['/figures/sp_actC.jpg', None, None]),
    72131: NtFig._make(['/figures/sp_intC.jpg', None, None]),
    72128: NtFig._make(['/figures/spB_complex.jpg', None, None]),
    72125: NtFig._make(['/figures/spA_complex.jpg', None, None]),
    72108: NtFig._make(['/figures/spE_complex.jpg', None, None]),
    208577: NtFig._make(['/figures/DrosTollImdA20.jpg', EDS[27], None]),
    208486: NtFig._make(['/figures/DrosTollImdA19.jpg', EDS[27], None]),
    208712: NtFig._make(['/figures/DrosTollImdA18.jpg', EDS[27], None]),
    208730: NtFig._make(['/figures/DrosTollImdA17.jpg', EDS[27], None]),
    5693883: NtFig._make(['/figures/Pathway_Illustrations/illustration_senescence_oxidative_stress_72.png', EDS[61], None]),
    3196143: NtFig._make(['/figures/Pathway_Illustrations/Apoptotic_Execution_72_oicr.png', EDS[58], None]),
    141240: NtFig._make(['/figures/FasL_Fas_FADD_ProCaspase10.jpg', EDS[6], EDS[25]]),
    141234: NtFig._make(['/figures/FAS_Top.jpg', EDS[6], None]),
    9628903: NtFig._make(['/figures/ehld/R-HSA-73887.svg', EDS[63], None]),
    157830: NtFig._make(['/figures/SOS_ras_IRS.jpg', EDS[17], None]),
    2291906: NtFig._make(['/figures/Pathway_Illustrations/NOTCH3_72_oicr.png', EDS[56], None]),
    2127639: NtFig._make(['/figures/Pathway_Illustrations/BMP_72_oicr.png', EDS[57], None]),
    163369: NtFig._make(['/figures/complex_I.jpg', EDS[14], None]),
    109999: NtFig._make(['/figures/unsatfattyacidbetao_6.jpg', EDS[6], None]),
    109995: NtFig._make(['/figures/unsatfattyacidbetao_5.jpg', EDS[6], None]),
    1834927: NtFig._make(['/figures/ETC_overview.jpg', EDS[55], None]),
    167901: NtFig._make(['/figures/ucp_proton_buffering.jpg', EDS[14], None]),
    166225: NtFig._make(['/figures/ucp.jpg', EDS[14], None]),
    110062: NtFig._make(['/figures/unsatfattyacidbetao.jpg', EDS[6], None]),
    77413: NtFig._make(['/figures/saturatedbetao.jpg', EDS[4], None]),
    1996279: NtFig._make(['/figures/Pathway_Illustrations/ETSoverview_72_oicr.png', EDS[55], None]),
    372927: NtFig._make(['/figures/Hs_gluconeogenesis.jpg', EDS[40], None]),
    74286: NtFig._make(['/figures/glycolysis_gluconeogenesis.png', EDS[5], EDS[44]]),
    975556: NtFig._make(['/figures/16_OST_transfer.png', EDS[50], None]),
    1028827: NtFig._make(['/figures/man9glc1.png', EDS[50], None]),
    1028826: NtFig._make(['/figures/man8c.png', EDS[50], None]),
    1028824: NtFig._make(['/figures/man8b.png', EDS[50], None]),
    1028823: NtFig._make(['/figures/man7a.png', EDS[50], None]),
    1028828: NtFig._make(['/figures/man8a.png', EDS[50], None]),
    204043: NtFig._make(['/figures/COPIIoverview.jpg', EDS[33], None]),
    9628961: NtFig._make(['/figures/ehld/R-HSA-199977.svg', EDS[63], None]),
    964833: NtFig._make(['/figures/man1a1_a2_c1.png', EDS[50], None]),
    975564: NtFig._make(['/figures/3_GlcNAc2Man1PPDol.png', EDS[50], None]),
    975569: NtFig._make(['/figures/2_GlcNAc2PPDol.png', EDS[50], None]),
    975555: NtFig._make(['/figures/1_GlcNAc1PPDol.png', EDS[50], None]),
    975560: NtFig._make(['/figures/4_GlcNAc2Man2PPDol.png', EDS[50], None]),
    975557: NtFig._make(['/figures/13_Glc1GlcNAc2Man9PPDol.png', EDS[50], None]),
    975561: NtFig._make(['/figures/12_GlcNAc2Man9PPDol.png', EDS[50], None]),
    975566: NtFig._make(['/figures/11_GlcNAc2Man8PPDol.png', EDS[50], None]),
    975570: NtFig._make(['/figures/10_GlcNAc2Man7PPDol.png', EDS[50], None]),
    975562: NtFig._make(['/figures/9_GlcNAc2Man6PPDol.png', EDS[50], None]),
    975567: NtFig._make(['/figures/8_flipping.png', EDS[50], None]),
    975568: NtFig._make(['/figures/6_7_GlcNAc2Man5PPDol.png', EDS[50], None]),
    975565: NtFig._make(['/figures/5_GlcNAc2Man3PPDol.png', EDS[50], None]),
    975563: NtFig._make(['/figures/14_Glc2GlcNAc2Man9PPDol.png', EDS[50], None]),
    163066: NtFig._make(['/figures/dol_P_man_synthesis.jpg', EDS[15], None]),
    975559: NtFig._make(['/figures/15_Glc3GlcNAc2Man9PPDol.png', EDS[50], None]),
    686119: NtFig._make(['/figures/Glycobiology_reduced.jpg', EDS[50], None]),
    158025: NtFig._make(['/figures/PAPS_formation.jpg', EDS[14], None]),
    6793267: NtFig._make(['/figures/Pathway_Illustrations/illustration_asparagine_glycosylation_part1_72.png', EDS[61], None]),
    6793266: NtFig._make(['/figures/Pathway_Illustrations/illustration_asparagine_glycosylation_part2_72.png', EDS[61], None]),
    70222: NtFig._make(['/figures/glycogen_breakdown.jpg', None, None]),
    74289: NtFig._make(['/figures/galactose_catab.jpg', EDS[5], None]),
    74288: NtFig._make(['/figures/fructose_catab.jpg', EDS[5], None]),
    9628909: NtFig._make(['/figures/ehld/R-HSA-71387.svg', EDS[63], None]),
    77396: NtFig._make(['/figures/purine_catabolism.jpg', EDS[5], None]),
    74272: NtFig._make(['/figures/pyrimidine_catabolism.jpg', EDS[5], None]),
    74271: NtFig._make(['/figures/pyrimidine_salvage.jpg', EDS[5], None]),
    77393: NtFig._make(['/figures/purine_salvage.jpg', EDS[5], None]),
    77395: NtFig._make(['/figures/denovo_IMP_synthesis.jpg', EDS[5], None]),
    110736: NtFig._make(['/figures/nucleotides_overview.jpg', EDS[10], None]),
    9628939: NtFig._make(['/figures/ehld/R-HSA-15869.svg', EDS[63], None]),
    389868: NtFig._make(['/figures/glyoxylate_path.png', EDS[44], None]),
    353111: NtFig._make(['/figures/odc_regulation.jpg', None, EDS[37]]),
    353114: NtFig._make(['/figures/polyamines.jpg', None, EDS[37]]),
    9628946: NtFig._make(['/figures/ehld/R-HSA-6794362.svg', EDS[63], None]),
    9628963: NtFig._make(['/figures/ehld/R-HSA-9036866.svg', EDS[63], None]),
    9628966: NtFig._make(['/figures/ehld/R-HSA-166520.svg', EDS[63], None]),
    2127640: NtFig._make(['/figures/Pathway_Illustrations/NGF_72_oicr.png', EDS[57], None]),
    163023: NtFig._make(['/figures/polokinases_Emi1.jpg', EDS[16], None]),
    74812: NtFig._make(['/figures/ins_downstr.jpg', None, None]),
    76035: NtFig._make(['/figures/ins_insdeg.jpg', None, None]),
    1996281: NtFig._make(['/figures/Pathway_Illustrations/INR_72_oicr.png', EDS[55], None]),
    110742: NtFig._make(['/figures/tcner2.jpg', EDS[11], None]),
    109950: NtFig._make(['/figures/ggner1.jpg', EDS[11], None]),
    83632: NtFig._make(['/figures/HRR_full.jpg', EDS[2], None]),
    9628879: NtFig._make(['/figures/ehld/R-HSA-5693538.svg', EDS[63], None]),
    9628926: NtFig._make(['/figures/ehld/R-HSA-5693532.svg', EDS[63], None]),
    111405: NtFig._make(['/figures/DSBrepair.JPG', EDS[8], None]),
    741468: NtFig._make(['/figures/NOD1.jpg', EDS[53], None]),
    5576989: NtFig._make(['/figures/Pathway_Illustrations/Complement_Cascade_72_oicr.png', EDS[60], None]),
    210546: NtFig._make(['/figures/NeuronalGlutamateTransportOverviewFigure1.jpg', EDS[35], None]),
    9628888: NtFig._make(['/figures/ehld/R-HSA-112315.svg', EDS[63], None]),
    3209985: NtFig._make(['/figures/Pathway_Illustrations/TLR4_cascade_72_oicr.png', EDS[58], None]),
    3196144: NtFig._make(['/figures/Pathway_Illustrations/TLR_Trafficking_72_oicr.png', EDS[58], None]),
    169792: NtFig._make(['/figures/toll_like_overview.jpg', EDS[16], None]),
    9628883: NtFig._make(['/figures/ehld/R-HSA-168249.svg', EDS[63], None]),
    5654173: NtFig._make(['/figures/Pathway_Illustrations/Innate_immunity_72.png', EDS[60], None]),
    9628952: NtFig._make(['/figures/ehld/R-HSA-190236.svg', EDS[63], None]),
    9628894: NtFig._make(['/figures/ehld/R-HSA-5633007.svg', EDS[63], None]),
    9628905: NtFig._make(['/figures/ehld/R-HSA-3700989.svg', EDS[63], None]),
    382625: NtFig._make(['/figures/PDGF_interactions.jpg', EDS[41], None]),
    2291917: NtFig._make(['/figures/Pathway_Illustrations/PDGF_72_oicr.png', EDS[56], None]),
    2291902: NtFig._make(['/figures/Pathway_Illustrations/NOTCH2_72_oicr.png', EDS[56], None]),
    2463864: NtFig._make(['/figures/Pathway_Illustrations/HIPPO_72_oicr.png', EDS[57], None]),
    2291888: NtFig._make(['/figures/Pathway_Illustrations/ERBB4_72_oicr.png', EDS[56], None]),
    9628878: NtFig._make(['/figures/ehld/R-HSA-5357769.svg', EDS[63], None]),
    9628944: NtFig._make(['/figures/ehld/R-HSA-109581.svg', EDS[63], None]),
    2245196: NtFig._make(['/figures/Pathway_Illustrations/Apoptosis_72_oicr.png', EDS[57], None]),
    5693885: NtFig._make(['/figures/Pathway_Illustrations/illustration_senescence_SASP_72.png', EDS[61], None]),
    5693882: NtFig._make(['/figures/Pathway_Illustrations/illustration_senescence_damage_72.png', EDS[61], None]),
    5693884: NtFig._make(['/figures/Pathway_Illustrations/illustration_senescence_oncogene_72.png', EDS[61], None]),
    2291899: NtFig._make(['/figures/Pathway_Illustrations/NOTCH1_72_oicr.png', EDS[56], None]),
    2291914: NtFig._make(['/figures/Pathway_Illustrations/Pre-NOTCH_72_oicr.png', EDS[56], None]),
    2291886: NtFig._make(['/figures/Pathway_Illustrations/ERBB2_72_oicr.png', EDS[56], None]),
    1996283: NtFig._make(['/figures/Pathway_Illustrations/RASMAPK_72_oicr.png', EDS[55], None]),
    975655: NtFig._make(['/figures/il3rdomains.png', EDS[53], None]),
    2127641: NtFig._make(['/figures/Pathway_Illustrations/PIP3AKT_72_oicr.png', EDS[57], None]),
    69462: NtFig._make(['/figures/Ckpt_1.jpg', None, None]),
    9628907: NtFig._make(['/figures/ehld/R-HSA-1500620.svg', EDS[63], None]),
    9628890: NtFig._make(['/figures/ehld/R-HSA-68886.svg', EDS[63], None]),
    188187: NtFig._make(['/figures/Skp2_degradation.jpg', EDS[23], None]),
    177044: NtFig._make(['/figures/Cdh1.targets.jpg', EDS[23], None]),
    177045: NtFig._make(['/figures/Regulation_APC_activators.jpg', EDS[23], None]),
    177041: NtFig._make(['/figures/securin.jpg', EDS[23], None]),
    177059: NtFig._make(['/figures/Cdc20.targets.jpg', EDS[23], None]),
    9628922: NtFig._make(['/figures/ehld/R-HSA-69278.svg', EDS[63], None]),
    69279: NtFig._make(['/figures/CellCycle_1.jpg', None, None]),
    180782: NtFig._make(['/figures/telomerase_extendedextension.jpg', EDS[25], None]),
    180780: NtFig._make(['/figures/telomerase_templatetranslocation.jpg', EDS[25], None]),
    163095: NtFig._make(['/figures/telomerase_templateextension.jpg', EDS[16], None]),
    163087: NtFig._make(['/figures/telomerase_template.jpg', EDS[16], None]),
    163094: NtFig._make(['/figures/telomerase_recruit.jpg', EDS[16], None]),
    176730: NtFig._make(['/figures/telomeraseassembly.jpg', EDS[25], None]),
    163118: NtFig._make(['/figures/telomerase_release.jpg', EDS[16], None]),
    163121: NtFig._make(['/figures/telomerase_overview.jpg', EDS[16], None]),
    176735: NtFig._make(['/figures/telomere_packagingOv.jpg', EDS[25], None]),
    176733: NtFig._make(['/figures/end_replication_problem.jpg', EDS[25], None]),
    9628887: NtFig._make(['/figures/ehld/R-HSA-73886.svg', EDS[63], None]),
    2627688: NtFig._make(['/figures/Pathway_Illustrations/cellcycle_72_oicr.png', EDS[57], None]),
    9628933: NtFig._make(['/figures/ehld/R-HSA-1640170.svg', EDS[63], None]),
    9628897: NtFig._make(['/figures/ehld/R-HSA-1500931.svg', EDS[63], None]),
    9628902: NtFig._make(['/figures/ehld/R-HSA-2559583.svg', EDS[63], None]),
    5693887: NtFig._make(['/figures/Pathway_Illustrations/illustration_cellular_senescence_72.png', EDS[61], None]),
    9628886: NtFig._make(['/figures/ehld/R-HSA-2262752.svg', EDS[63], None]),
    9628891: NtFig._make(['/figures/ehld/R-HSA-5660526.svg', EDS[63], None]),
    9628951: NtFig._make(['/figures/ehld/R-HSA-8953897.svg', EDS[63], None]),
    5663216: NtFig._make(['/figures/Pathway_Illustrations/illustration_circadianclock_72.png', EDS[61], None]),
    9628923: NtFig._make(['/figures/ehld/R-HSA-5619507.svg', EDS[63], None]),
    190287: NtFig._make(['/figures/Ferrer_networks_DEC06.jpg', EDS[20], None]),
    9628877: NtFig._make(['/figures/ehld/R-HSA-422475.svg', EDS[63], None]),
    9628876: NtFig._make(['/figures/ehld/R-HSA-1266738.svg', EDS[63], None]),
    189259: NtFig._make(['/figures/carbo_digest_absorb.jpg', EDS[22], None]),
    9628889: NtFig._make(['/figures/ehld/R-HSA-8963743.svg', EDS[63], None]),
    175613: NtFig._make(['/figures/binding1.jpg', EDS[21], None]),
    188488: NtFig._make(['/figures/integ_binding.jpg', EDS[21], None]),
    180420: NtFig._make(['/figures/RT_event8.jpg', EDS[21], None]),
    180428: NtFig._make(['/figures/RT_event7.jpg', EDS[21], None]),
    180426: NtFig._make(['/figures/RT_event6.jpg', EDS[21], None]),
    180417: NtFig._make(['/figures/RT_event5.jpg', EDS[21], None]),
    180422: NtFig._make(['/figures/RT_event4.jpg', EDS[21], None]),
    180419: NtFig._make(['/figures/RT_event3.jpg', EDS[21], None]),
    180423: NtFig._make(['/figures/RT_event2.jpg', EDS[21], None]),
    180453: NtFig._make(['/figures/RT_event1.jpg', EDS[21], None]),
    175999: NtFig._make(['/figures/endpro1x.jpg', EDS[21], None]),
    176002: NtFig._make(['/figures/autointegx.jpg', EDS[21], None]),
    175998: NtFig._make(['/figures/2ltrx.jpg', EDS[21], None]),
    188489: NtFig._make(['/figures/integ_cleavage.jpg', EDS[21], None]),
    188490: NtFig._make(['/figures/integ_repair.jpg', EDS[21], None]),
    176001: NtFig._make(['/figures/strand1x.jpg', EDS[21], None]),
    175995: NtFig._make(['/figures/1ltrx.jpg', EDS[21], None]),
    175900: NtFig._make(['/figures/integ_summary.jpg', EDS[21], None]),
    180424: NtFig._make(['/figures/RT_minus.jpg', EDS[21], None]),
    180427: NtFig._make(['/figures/RT_plus.jpg', EDS[21], None]),
    182843: NtFig._make(['/figures/RT_summary.jpg', EDS[21], None]),
    175888: NtFig._make(['/figures/early_phase.jpg', EDS[21], None]),
    77488: NtFig._make(['/figures/Cap1d.jpg', EDS[1], None]),
    77487: NtFig._make(['/figures/Cap1c.jpg', EDS[1], None]),
    77486: NtFig._make(['/figures/Cap1b.jpg', EDS[1], None]),
    77485: NtFig._make(['/figures/Cap1a.jpg', EDS[1], None]),
    113803: NtFig._make(['/figures/elong1.jpg', EDS[11], None]),
    167487: NtFig._make(['/figures/TAT_mediated_Elong.jpg', EDS[13], None]),
    113807: NtFig._make(['/figures/elong2.jpg', EDS[11], None]),
    167727: NtFig._make(['/figures/HIV1_transcription_reg.jpg', EDS[13], None]),
    111672: NtFig._make(['/figures/Intronless_SLBPplus_1-4.jpg', EDS[6], None]),
    111671: NtFig._make(['/figures/Intronless_SLBPplus_1-3.jpg', EDS[6], None]),
    111670: NtFig._make(['/figures/Intronless_SLBPplus_1-2.jpg', EDS[6], None]),
    83736: NtFig._make(['/figures/SNAPcmodel.jpg', EDS[4], None]),
    2291896: NtFig._make(['/figures/Pathway_Illustrations/Notch_overview_72_oicr.png', EDS[56], None]),
    9628937: NtFig._make(['/figures/ehld/R-HSA-157118.svg', EDS[63], None]),
    212853: NtFig._make(['/figures/Overview_of_Transcription_Regulation.png', EDS[40], None]),
    167731: NtFig._make(['/figures/RNA_transport.jpg', EDS[13], None]),
    170790: NtFig._make(['/figures/HIV1_LifeCycle.jpg', EDS[23], None]),
    192278: NtFig._make(['/figures/vif1.jpg', EDS[26], None]),
    192281: NtFig._make(['/figures/vif2.jpg', EDS[26], None]),
    188239: NtFig._make(['/figures/Vpu.jpg', EDS[23], None]),
    169670: NtFig._make(['/figures/influenza_nuclear_export.jpg', EDS[16], None]),
    169666: NtFig._make(['/figures/influenza_binding.jpg', EDS[16], None]),
    169665: NtFig._make(['/figures/influenza_transcription_rep.jpg', EDS[16], None]),
    169669: NtFig._make(['/figures/influenza_entry.jpg', EDS[16], None]),
    169668: NtFig._make(['/figures/influenza_fusion_uncoating.jpg', EDS[16], None]),
    169672: NtFig._make(['/figures/influenza_vRNP_transport.jpg', EDS[16], None]),
    169667: NtFig._make(['/figures/influenza_assemby_release.jpg', EDS[16], None]),
    169671: NtFig._make(['/figures/influenza_life_cycle_overview.jpg', EDS[16], None]),
    5662942: NtFig._make(['/figures/Pathway_Illustrations/illustration_retinoid_metabolism_and_cycling_72.png', EDS[61], None]),
    5659720: NtFig._make(['/figures/Pathway_Illustrations/illustration_phototransduction_72.png', EDS[60], None]),
    964946: NtFig._make(['/figures/PLP-salvage.png', EDS[50], None]),
    196131: NtFig._make(['/figures/steroid_hormone_overview.jpg', EDS[30], None]),
    202036: NtFig._make(['/figures/SBGNdiag_101007_2.jpg', EDS[28], None]),
    202044: NtFig._make(['/figures/Gproteins_161007.jpg', EDS[28], None]),
    114718: NtFig._make(['/figures/FMO_cat_cycle.JPG', EDS[12], None]),
    140956: NtFig._make(['/figures/cox_act2.jpg', EDS[12], None]),
    142034: NtFig._make(['/figures/ethanol_detox.jpg', EDS[12], None]),
    76346: NtFig._make(['/figures/p450_cat_cycle.JPG', EDS[3], None]),
    158547: NtFig._make(['/figures/SAM_formation.jpg', EDS[14], None]),
    176583: NtFig._make(['/figures/SULT_enzyme_specificities.jpg', EDS[22], None]),
    158551: NtFig._make(['/figures/GSH_formation.jpg', EDS[14], None]),
    158026: NtFig._make(['/figures/UDPGA_formation.jpg', EDS[14], None]),
    158020: NtFig._make(['/figures/Phase2_cofactors.jpg', EDS[14], None]),
    191588: NtFig._make(['/figures/cholesterol_biosynthesis.jpg', EDS[30], None]),
    193412: NtFig._make(['/figures/7alpha_pathway.jpg', EDS[30], None]),
    193740: NtFig._make(['/figures/24oxy_pathway.jpg', EDS[30], None]),
    193796: NtFig._make(['/figures/27oxy_pathway.jpg', EDS[30], None]),
    8936722: NtFig._make(['/figures/Pathway_Illustrations/illustration_deregulated_CDK5_triggers_multiple_neurodegenerative_pathways_72.png', EDS[62], None]),
    266138: NtFig._make(['/figures/VGCalciumChannel.jpg', EDS[34], None]),
    266136: NtFig._make(['/figures/InsulinExocytosis1.jpg', EDS[34], None]),
    266137: NtFig._make(['/figures/InsulinExocytosis2.jpg', EDS[34], None]),
    266140: NtFig._make(['/figures/GlucoseRegulationInsulinOverview.jpg', EDS[34], None]),
    164061: NtFig._make(['/figures/ampk_signal.jpg', EDS[18], None]),
    164076: NtFig._make(['/figures/chrebp1.jpg', EDS[18], None]),
    164223: NtFig._make(['/figures/glucagon1.jpg', EDS[18], None]),
    164089: NtFig._make(['/figures/integration1.jpg', EDS[18], None]),
    111402: NtFig._make(['/figures/MultiNucleotideReplace.JPG', EDS[8], None]),
    111403: NtFig._make(['/figures/1nucleotideReplace.JPG', EDS[8], None]),
    9628900: NtFig._make(['/figures/ehld/R-HSA-73884.svg', EDS[63], None]),
    113688: NtFig._make(['/figures/reversal.jpg', EDS[11], None]),
    9628911: NtFig._make(['/figures/ehld/R-HSA-73894.svg', EDS[63], None]),
    6793513: NtFig._make(['/figures/Pathway_Illustrations/illustration_DNA_repair_72.png', EDS[61], None]),
    9628898: NtFig._make(['/figures/ehld/R-HSA-69306.svg', EDS[63], None]),
    5678591: NtFig._make(['/figures/Pathway_Illustrations/illustration_DNA_replication_72.png', EDS[61], None]),
    9628938: NtFig._make(['/figures/ehld/R-HSA-1474290.svg', EDS[63], None]),
    75832: NtFig._make(['/figures/PolI_txn_PTRF_TTF.jpg', EDS[4], None]),
    75828: NtFig._make(['/figures/PolI_txn_Active_PolI.jpg', EDS[4], None]),
    75834: NtFig._make(['/figures/PolI_txn_SL1recruitment.jpg', EDS[4], None]),
    75838: NtFig._make(['/figures/PolI_txn_UBF_rDNA.jpg', EDS[4], None]),
    75833: NtFig._make(['/figures/PolI_txn_Rrn3BindsRNAPolI.jpg', EDS[4], None]),
    9628916: NtFig._make(['/figures/ehld/R-HSA-5250913.svg', EDS[63], None]),
    9628920: NtFig._make(['/figures/ehld/R-HSA-5250941.svg', EDS[63], None]),
    9628921: NtFig._make(['/figures/ehld/R-HSA-212165.svg', EDS[63], None]),
    75837: NtFig._make(['/figures/PolI_txn_term_paused.jpg', EDS[4], None]),
    75836: NtFig._make(['/figures/PolI_txn_term_diss.jpg', EDS[4], None]),
    75835: NtFig._make(['/figures/PolI_txn_term_0verview.jpg', EDS[4], None]),
    75831: NtFig._make(['/figures/PolI_txn_init_overview.jpg', EDS[4], None]),
    163713: NtFig._make(['/figures/mito3.gif', EDS[13], None]),
    210558: NtFig._make(['/figures/miRNA3.jpg', EDS[37], None]),
    210556: NtFig._make(['/figures/miRNA2.jpg', EDS[37], None]),
    209689: NtFig._make(['/figures/miRNA1.jpg', EDS[34], None]),
    195227: NtFig._make(['/figures/miRNA4.jpg', EDS[32], EDS[37]]),
    209684: NtFig._make(['/figures/miRNA_toplevel.jpg', EDS[37], None]),
    83735: NtFig._make(['/figures/recruitmentofRNApolIIItopromoter.jpg', EDS[4], None]),
    83734: NtFig._make(['/figures/bindingofTFIIICtopromoters.jpg', EDS[4], None]),
    83733: NtFig._make(['/figures/BindingofSNAPctotype3promoter.jpg', EDS[4], None]),
    83883: NtFig._make(['/figures/AssemblyofRNApolIIcomplexes_2.jpg', EDS[4], None]),
    83882: NtFig._make(['/figures/AssemblyofRNApolIIcomplexes_3.jpg', EDS[4], None]),
    83732: NtFig._make(['/figures/AssemblyofRNApolIIcomplexes_1.jpg', EDS[4], None]),
    83737: NtFig._make(['/figures/threeRNApolIIIpromoters.jpg', EDS[4], None]),
    9628899: NtFig._make(['/figures/ehld/R-HSA-74160.svg', EDS[63], None]),
    140197: NtFig._make(['/figures/hm_plt_response_to_ca.jpg', EDS[7], None]),
    372839: NtFig._make(['/figures/GPIIbII3Integrin-MAPK.png', EDS[38], None]),
    372833: NtFig._make(['/figures/GPIIbII3Integrin-MAPK.png', EDS[38], None]),
    372831: NtFig._make(['/figures/GPIIbII3inside_out.png', EDS[38], None]),
    140199: NtFig._make(['/figures/plateletactivation.jpg', EDS[7], EDS[53]]),
    9628940: NtFig._make(['/figures/ehld/R-HSA-76002.svg', EDS[63], None]),
    158993: NtFig._make(['/figures/fibrinolysis.jpg', EDS[15], None]),
    140200: NtFig._make(['/figures/hm_plt_adhesion.jpg', EDS[7], None]),
    141395: NtFig._make(['/figures/extrinsic_path.jpg', EDS[10], None]),
    158319: NtFig._make(['/figures/intrinsic_path.jpg', EDS[15], None]),
    141393: NtFig._make(['/figures/common_path.jpg', EDS[10], None]),
    1996280: NtFig._make(['/figures/Pathway_Illustrations/hemostasis_72_oicr.png', EDS[55], None]),
    9628908: NtFig._make(['/figures/ehld/R-HSA-109582.svg', EDS[63], None]),
    9628910: NtFig._make(['/figures/ehld/R-HSA-1169410.svg', EDS[63], None]),
    9628950: NtFig._make(['/figures/ehld/R-HSA-913531.svg', EDS[63], None]),
    9628954: NtFig._make(['/figures/ehld/R-HSA-5684996.svg', EDS[63], None]),
    9628896: NtFig._make(['/figures/ehld/R-HSA-449147.svg', EDS[63], None]),
    9628929: NtFig._make(['/figures/ehld/R-HSA-1280215.svg', EDS[63], None]),
    199175: NtFig._make(['/figures/immune_synapse_figure_1.jpg', EDS[31], None]),
    9628882: NtFig._make(['/figures/ehld/R-HSA-1280218.svg', EDS[63], None]),
    5659719: NtFig._make(['/figures/Pathway_Illustrations/illustration_immunity_72.png', EDS[60], None]),
    9628949: NtFig._make(['/figures/ehld/R-HSA-168256.svg', EDS[63], None]),
    189491: NtFig._make(['/figures/porphyrin_biosynthesis.jpg', EDS[19], None]),
    163482: NtFig._make(['/figures/HSL_activation_TG_catab.jpg', EDS[15], None]),
    9628917: NtFig._make(['/figures/ehld/R-HSA-8957322.svg', EDS[63], None]),
    77457: NtFig._make(['/figures/Butyrl_Palmitoyl.jpg', EDS[1], None]),
    201083: NtFig._make(['/figures/cptcycle.jpg', EDS[32], None]),
    74290: NtFig._make(['/figures/ox_decarb_and_TCA.jpg', EDS[5], None]),
    76347: NtFig._make(['/figures/xeno_metab.JPG', EDS[3], None]),
    9628892: NtFig._make(['/figures/ehld/R-HSA-211859.svg', EDS[63], None]),
    9628931: NtFig._make(['/figures/ehld/R-HSA-6806667.svg', EDS[63], None]),
    9638035: NtFig._make(['/figures/ehld/R-HSA-3108232.svg', EDS[65], None]),
    163067: NtFig._make(['/figures/GPI_anchor_synthesis.jpg', EDS[15], None]),
    9628927: NtFig._make(['/figures/ehld/R-HSA-597592.svg', EDS[63], None]),
    392765: NtFig._make(['/figures/Tub3.png', EDS[48], None]),
    392786: NtFig._make(['/figures/Tub6.png', EDS[48], None]),
    392769: NtFig._make(['/figures/Tub10.png', EDS[48], None]),
    392784: NtFig._make(['/figures/Tub9.png', EDS[48], None]),
    392777: NtFig._make(['/figures/Tub8.png', EDS[48], None]),
    392775: NtFig._make(['/figures/Tub5.png', EDS[48], None]),
    392792: NtFig._make(['/figures/Tub7.png', EDS[48], None]),
    392785: NtFig._make(['/figures/Tub4.png', EDS[48], None]),
    392790: NtFig._make(['/figures/Tub7a.png', EDS[48], None]),
    392791: NtFig._make(['/figures/Tub1.png', EDS[48], None]),
    387457: NtFig._make(['/figures/Kaufman2002-PERK.jpg', EDS[34], None]),
    381187: NtFig._make(['/figures/UPR-IRE1dimerization.jpg', EDS[34], None]),
    387454: NtFig._make(['/figures/Kaufman2002-IRE1.jpg', EDS[34], None]),
    387452: NtFig._make(['/figures/Kaufman2002-ATF6.jpg', EDS[34], None]),
    380986: NtFig._make(['/figures/UPR-Eizirik-Overview.jpg', EDS[34], None]),
    387434: NtFig._make(['/figures/Dunn2005-ProinsulinZnCaComplex.jpg', EDS[34], None]),
    387436: NtFig._make(['/figures/Rutter2006-KinesinVesicleComplex.jpg', EDS[34], None]),
    266131: NtFig._make(['/figures/InsulinSecretionOverview.jpg', EDS[34], None]),
    9628893: NtFig._make(['/figures/ehld/R-HSA-2980736.svg', EDS[63], None]),
    111681: NtFig._make(['/figures/Intronless_SLBPplus_1-5.jpg', EDS[6], None]),
    69876: NtFig._make(['/figures/translation_fig1.jpg', None, None]),
    158088: NtFig._make(['/figures/Translational_reg.jpg', EDS[13], None]),
    159647: NtFig._make(['/figures/trans_eef1areg.jpg', EDS[18], None]),
    159650: NtFig._make(['/figures/trans_elong2.jpg', EDS[18], None]),
    159649: NtFig._make(['/figures/trans_elong1.jpg', EDS[18], None]),
    159657: NtFig._make(['/figures/trans_elong5.jpg', EDS[18], None]),
    159688: NtFig._make(['/figures/trans_elong6.jpg', EDS[18], None]),
    159652: NtFig._make(['/figures/trans_elong4.jpg', EDS[18], None]),
    159648: NtFig._make(['/figures/trans_elong3.jpg', EDS[18], None]),
    159644: NtFig._make(['/figures/trans_elongcycle.jpg', EDS[18], None]),
    141694: NtFig._make(['/figures/tranterm_peprelease.jpg', EDS[6], None]),
    141674: NtFig._make(['/figures/transterm_GTPhydrolysis.jpg', EDS[6], None]),
    141692: NtFig._make(['/figures/transterm_eRF1andeRF3Bind.jpg', EDS[6], None]),
    141682: NtFig._make(['/figures/transterm_overview.jpg', EDS[6], None]),
    9628936: NtFig._make(['/figures/ehld/R-HSA-72766.svg', EDS[63], None]),
    9628915: NtFig._make(['/figures/ehld/R-HSA-392499.svg', EDS[63], None]),
    83525: NtFig._make(['/figures/edit3a.jpg', EDS[1], None]),
    83528: NtFig._make(['/figures/edit2a.jpg', EDS[1], None]),
    83529: NtFig._make(['/figures/edit1a.jpg', EDS[1], None]),
    9628924: NtFig._make(['/figures/ehld/R-HSA-72306.svg', EDS[63], None]),
    77484: NtFig._make(['/figures/Cap1.jpg', EDS[1], None]),
    9628881: NtFig._make(['/figures/ehld/R-HSA-8868773.svg', EDS[63], None]),
    83814: NtFig._make(['/figures/atac_4.jpg', EDS[5], None]),
    83813: NtFig._make(['/figures/atac_3.jpg', EDS[5], None]),
    83812: NtFig._make(['/figures/atac_2.jpg', EDS[5], None]),
    83816: NtFig._make(['/figures/atac_6.jpg', EDS[5], None]),
    83815: NtFig._make(['/figures/atac_5.jpg', EDS[5], None]),
    83811: NtFig._make(['/figures/atac_1.jpg', EDS[5], None]),
    111673: NtFig._make(['/figures/Intronless_SLBPplus_1-1.jpg', EDS[6], None]),
    191858: NtFig._make(['/figures/snRNPAssembly_snurportin.jpg', EDS[33], None]),
    191829: NtFig._make(['/figures/snRNPAssembly_hypermethylat.jpg', EDS[33], None]),
    191797: NtFig._make(['/figures/snRNPAssembly_assembly.jpg', EDS[33], None]),
    191774: NtFig._make(['/figures/snRNPAssembly_export.jpg', EDS[33], None]),
    191845: NtFig._make(['/figures/snRNPAssembly_Smload.jpg', EDS[33], None]),
    191794: NtFig._make(['/figures/snRNPAssembly_import.jpg', EDS[33], None]),
    191848: NtFig._make(['/figures/snRNPAssembly_overview.jpg', EDS[33], None]),
    194439: NtFig._make(['/figures/ncRNAmetabolism.gif', EDS[33], None]),
    9628945: NtFig._make(['/figures/ehld/R-HSA-8953854.svg', EDS[63], None]),
    396952: NtFig._make(['/figures/striatedmuscle4.jpg', EDS[46], None]),
    396953: NtFig._make(['/figures/striatedmuscle3.jpg', EDS[46], None]),
    396954: NtFig._make(['/figures/striatedmuscle2.jpg', EDS[46], None]),
    396956: NtFig._make(['/figures/striatedmuscle1.jpg', EDS[46], None]),
    9628934: NtFig._make(['/figures/ehld/R-HSA-397014.svg', EDS[63], None]),
    5654172: NtFig._make(['/figures/Pathway_Illustrations/Muscle_contraction_72.png', EDS[60], None]),
    937252: NtFig._make(['/figures/sulfur_metab.png', EDS[50], None]),
    868687: NtFig._make(['/figures/trehalose_biosynth.png', EDS[54], None]),
    5576979: NtFig._make(['/figures/Pathway_Illustrations/Neuronal_System_72_oicr.png', EDS[60], None]),
    9628885: NtFig._make(['/figures/ehld/R-HSA-112316.svg', EDS[63], None]),
    6801449: NtFig._make(['/figures/Pathway_Illustrations/illustration_primary_cilium_72.png', EDS[61], None]),
    2463866: NtFig._make(['/figures/Pathway_Illustrations/MPI_72_oicr.png', EDS[57], None]),
    9628932: NtFig._make(['/figures/ehld/R-HSA-1852241.svg', EDS[63], None]),
    9628906: NtFig._make(['/figures/ehld/R-HSA-5357801.svg', EDS[63], None]),
    9628928: NtFig._make(['/figures/ehld/R-HSA-9609507.svg', EDS[63], None]),
    9628895: NtFig._make(['/figures/ehld/R-HSA-1474165.svg', EDS[63], None]),
    9628884: NtFig._make(['/figures/ehld/R-HSA-9006925.svg', EDS[63], None]),
    9638142: NtFig._make(['/figures/ehld/R-HSA-9006927.svg', EDS[64], None]),
    9628947: NtFig._make(['/figures/ehld/R-HSA-5683057.svg', EDS[63], None]),
    195519: NtFig._make(['/figures/vegfr1.jpg', EDS[32], None]),
    195461: NtFig._make(['/figures/vegfr3.jpg', EDS[32], None]),
    195443: NtFig._make(['/figures/vegfbinding.jpg', EDS[32], None]),
    195440: NtFig._make(['/figures/vegfsig1.jpg', EDS[32], None]),
    9628935: NtFig._make(['/figures/ehld/R-HSA-195258.svg', EDS[63], None]),
    195233: NtFig._make(['/figures/rhocycle.jpg', EDS[32], None]),
    417295: NtFig._make(['/figures/rhodynamics.jpg', EDS[44], None]),
    6801446: NtFig._make(['/figures/Pathway_Illustrations/illustration_WNT_signalling_72.png', EDS[61], None]),
    9628880: NtFig._make(['/figures/ehld/R-HSA-195721.svg', EDS[63], None]),
    9628941: NtFig._make(['/figures/ehld/R-HSA-9006936.svg', EDS[63], None]),
    9628918: NtFig._make(['/figures/ehld/R-HSA-388396.svg', EDS[63], None]),
    9628912: NtFig._make(['/figures/ehld/R-HSA-500792.svg', EDS[63], None]),
    9628953: NtFig._make(['/figures/ehld/R-HSA-372790.svg', EDS[63], None]),
    372766: NtFig._make(['/figures/gpcr_overview.jpg', EDS[39], None]),
    9638143: NtFig._make(['/figures/ehld/R-HSA-9006931.svg', EDS[64], None]),
    6801444: NtFig._make(['/figures/Pathway_Illustrations/illustration_hedgehog_signalling_72.png', EDS[61], None]),
    9628942: NtFig._make(['/figures/ehld/R-HSA-5358351.svg', EDS[63], None]),
    9628901: NtFig._make(['/figures/ehld/R-HSA-9006934.svg', EDS[63], None]),
    9628930: NtFig._make(['/figures/ehld/R-HSA-162582.svg', EDS[63], None]),
    2463862: NtFig._make(['/figures/Pathway_Illustrations/Signal_Transduction_72_oicr.png', EDS[57], None]),
    9628925: NtFig._make(['/figures/ehld/R-HSA-445717.svg', EDS[63], None]),
    9628943: NtFig._make(['/figures/ehld/R-HSA-1480926.svg', EDS[63], None]),
    9628955: NtFig._make(['/figures/ehld/R-HSA-425407.svg', EDS[63], None]),
    9628913: NtFig._make(['/figures/ehld/R-HSA-382551.svg', EDS[63], None]),
    190450: NtFig._make(['/figures/Fig7.jpg', EDS[26], None]),
    193571: NtFig._make(['/figures/gapjunc_Fig3bis.jpg', EDS[26], None]),
    190453: NtFig._make(['/figures/gapjunc_Fig3.jpg', EDS[26], None]),
    190454: NtFig._make(['/figures/gapjunc_Fig2.jpg', EDS[26], None]),
    190452: NtFig._make(['/figures/gapjunc_Fig1.jpg', EDS[26], None]),
    190451: NtFig._make(['/figures/Fig5.gif', EDS[26], None]),
    190455: NtFig._make(['/figures/gapjunc_Fig4.jpg', EDS[26], None]),
    190448: NtFig._make(['/figures/Fig0.gif', EDS[26], None]),
    9628948: NtFig._make(['/figures/ehld/R-HSA-9007101.svg', EDS[63], None]),
    204042: NtFig._make(['/figures/Clathrinoverview.jpg', EDS[33], None]),
    9628919: NtFig._make(['/figures/ehld/R-HSA-199991.svg', EDS[63], None]),
    5678686: NtFig._make(['/figures/Pathway_Illustrations/illustration_membrane_transport_72.png', EDS[61], None]),
    9628914: NtFig._make(['/figures/ehld/R-HSA-5653656.svg', EDS[63], None]),
    877321: NtFig._make(['/figures/Gg_mitotic_telomeres.jpg', EDS[52], None]),
    372929: NtFig._make(['/figures/Gg_gluconeogenesis.jpg', EDS[36], None]),
    358119: NtFig._make(['/figures/DrosTollImdC75.jpg', EDS[42], None]),
    358169: NtFig._make(['/figures/DrosTollImdC45.jpg', EDS[42], None]),
    358181: NtFig._make(['/figures/DrosTollImdC44.jpg', EDS[42], None]),
    358170: NtFig._make(['/figures/DrosTollImdC43.jpg', EDS[42], None]),
    358115: NtFig._make(['/figures/DrosTollImdC40.jpg', EDS[42], None]),
    358186: NtFig._make(['/figures/DrosTollImdC37.jpg', EDS[42], None]),
    358128: NtFig._make(['/figures/DrosTollImdC34.jpg', EDS[42], None]),
    358157: NtFig._make(['/figures/DrosTollImdC31.jpg', EDS[42], None]),
    358151: NtFig._make(['/figures/DrosTollImdC27.jpg', EDS[42], None]),
    358133: NtFig._make(['/figures/DrosTollImdC50.jpg', EDS[42], None]),
    358114: NtFig._make(['/figures/DrosTollImdC49.jpg', EDS[42], None]),
    358199: NtFig._make(['/figures/DrosTollImdC48.jpg', EDS[42], None]),
    358198: NtFig._make(['/figures/DrosTollImdC46.jpg', EDS[42], None]),
    358149: NtFig._make(['/figures/DrosTollImdC47.jpg', EDS[42], None]),
    358176: NtFig._make(['/figures/DrosTollImdC42.jpg', EDS[42], None]),
    358120: NtFig._make(['/figures/DrosTollImdC39.jpg', EDS[42], None]),
    358194: NtFig._make(['/figures/DrosTollImdC36.jpg', EDS[42], None]),
    358132: NtFig._make(['/figures/DrosTollImdC33.jpg', EDS[42], None]),
    358156: NtFig._make(['/figures/DrosTollImdC30.jpg', EDS[42], None]),
    358144: NtFig._make(['/figures/DrosTollImdC26.jpg', EDS[42], None]),
    358193: NtFig._make(['/figures/DrosTollImdC29.jpg', EDS[42], None]),
    358182: NtFig._make(['/figures/DrosTollImdC25.jpg', EDS[42], None]),
    358175: NtFig._make(['/figures/DrosTollImdC41.jpg', EDS[42], None]),
    358122: NtFig._make(['/figures/DrosTollImdC38.jpg', EDS[42], None]),
    358177: NtFig._make(['/figures/DrosTollImdC35.jpg', EDS[42], None]),
    358130: NtFig._make(['/figures/DrosTollImdC32.jpg', EDS[42], None]),
    358166: NtFig._make(['/figures/DrosTollImdC28.jpg', EDS[42], None]),
    358160: NtFig._make(['/figures/DrosTollImdC24.jpg', EDS[42], None]),
    358121: NtFig._make(['/figures/DrosTollImdC76.jpg', EDS[42], None]),
    358150: NtFig._make(['/figures/DrosTollImdC57.jpg', EDS[42], None]),
    358154: NtFig._make(['/figures/DrosTollImdC72.jpg', EDS[42], None]),
    358165: NtFig._make(['/figures/DrosTollImdC62.jpg', EDS[42], None]),
    358183: NtFig._make(['/figures/DrosTollImdC74.jpg', EDS[42], None]),
    358158: NtFig._make(['/figures/DrosTollImdC61.jpg', EDS[42], None]),
    358142: NtFig._make(['/figures/DrosTollImdC60.jpg', EDS[42], None]),
    358129: NtFig._make(['/figures/DrosTollImdC59.jpg', EDS[42], None]),
    358200: NtFig._make(['/figures/DrosTollImdC58.jpg', EDS[42], None]),
    450794: NtFig._make(['/figures/DrosPCPC30.jpg', EDS[47], None]),
    450752: NtFig._make(['/figures/DrosPCPC29.jpg', EDS[47], None]),
    450797: NtFig._make(['/figures/DrosPCPC33.jpg', EDS[47], None]),
    450719: NtFig._make(['/figures/DrosPCPC07.jpg', EDS[47], None]),
    450701: NtFig._make(['/figures/DrosPCPC06.jpg', EDS[47], None]),
    450751: NtFig._make(['/figures/DrosPCPC05.jpg', EDS[47], None]),
    450715: NtFig._make(['/figures/DrosPCPC04.jpg', EDS[47], None]),
    450791: NtFig._make(['/figures/DrosPCPC03.jpg', EDS[47], None]),
    450706: NtFig._make(['/figures/DrosPCPC01.jpg', EDS[47], None]),
    358162: NtFig._make(['/figures/DrosTollImdC67.jpg', EDS[42], None]),
    358164: NtFig._make(['/figures/DrosTollImdC63.jpg', EDS[42], None]),
    358118: NtFig._make(['/figures/DrosTollImdC64.jpg', EDS[42], None]),
    358163: NtFig._make(['/figures/DrosTollImdC65.jpg', EDS[42], None]),
    358159: NtFig._make(['/figures/DrosTollImdC66.jpg', EDS[42], None]),
    216124: NtFig._make(['/figures/DrosHHB11.jpg', EDS[42], None]),
    216221: NtFig._make(['/figures/DrosHHB10.jpg', EDS[42], None]),
    216286: NtFig._make(['/figures/DrosHHB09.jpg', EDS[42], None]),
    216220: NtFig._make(['/figures/DrosHHB08.jpg', EDS[42], None]),
    216112: NtFig._make(['/figures/DrosHHB07.jpg', EDS[42], None]),
    216258: NtFig._make(['/figures/DrosHHB05.jpg', EDS[42], None]),
    216239: NtFig._make(['/figures/DrosHHB12.jpg', EDS[42], None]),
    216180: NtFig._make(['/figures/DrosHHB06.jpg', EDS[42], None]),
    216247: NtFig._make(['/figures/DrosHHB14.jpg', EDS[42], None]),
    216229: NtFig._make(['/figures/DrosHHB13.jpg', EDS[42], None]),
    216240: NtFig._make(['/figures/DrosHHB01.jpg', EDS[42], None]),
    216150: NtFig._make(['/figures/DrosHHB03.jpg', EDS[42], None]),
    216254: NtFig._make(['/figures/DrosHHB02.jpg', EDS[42], None]),
    216213: NtFig._make(['/figures/DrosHHB04.jpg', EDS[42], None]),
    216235: NtFig._make(['/figures/DrosHHB21.jpg', EDS[42], None]),
    216189: NtFig._make(['/figures/DrosHHB20.jpg', EDS[42], None]),
    216256: NtFig._make(['/figures/DrosHHB19.jpg', EDS[42], None]),
    216115: NtFig._make(['/figures/DrosHHB18.jpg', EDS[42], None]),
    216285: NtFig._make(['/figures/DrosHHB17.jpg', EDS[42], None]),
    216248: NtFig._make(['/figures/DrosHHB16.jpg', EDS[42], None]),
    216170: NtFig._make(['/figures/DrosHHB15.jpg', EDS[42], None]),
    216151: NtFig._make(['/figures/DrosHHB22.jpg', EDS[42], None]),
    216141: NtFig._make(['/figures/DrosHHB23.jpg', EDS[42], None]),
    216123: NtFig._make(['/figures/DrosHHB24.jpg', EDS[42], None]),
    216269: NtFig._make(['/figures/DrosHHB25.jpg', EDS[42], None]),
    216245: NtFig._make(['/figures/DrosHHB26.jpg', EDS[42], None]),
    881923: NtFig._make(['/figures/DrosCircClockC14.jpg', EDS[51], None]),
    881969: NtFig._make(['/figures/DrosCircClockC13.jpg', EDS[51], None]),
    881945: NtFig._make(['/figures/DrosCircClockC12.jpg', EDS[51], None]),
    881956: NtFig._make(['/figures/DrosCircClockC11.jpg', EDS[51], None]),
    881953: NtFig._make(['/figures/DrosCircClockC10.jpg', EDS[51], None]),
    881943: NtFig._make(['/figures/DrosCircClockC09.jpg', EDS[51], None]),
    882008: NtFig._make(['/figures/DrosCircClockC08.jpg', EDS[51], None]),
    881935: NtFig._make(['/figures/DrosCircClockC07.jpg', EDS[51], None]),
    901091: NtFig._make(['/figures/DrosCircClockD05.jpg', EDS[51], None]),
    882003: NtFig._make(['/figures/DrosCircClockC33.jpg', EDS[51], None]),
    881973: NtFig._make(['/figures/DrosCircClockC04.jpg', EDS[51], None]),
    882010: NtFig._make(['/figures/DrosCircClockC03.jpg', EDS[51], None]),
    881994: NtFig._make(['/figures/DrosCircClockC02.jpg', EDS[51], None]),
    881921: NtFig._make(['/figures/DrosCircClockC01.jpg', EDS[51], None]),
    881924: NtFig._make(['/figures/DrosCircClockC32.jpg', EDS[51], None]),
    881975: NtFig._make(['/figures/DrosCircClockC21.jpg', EDS[51], None]),
    881993: NtFig._make(['/figures/DrosCircClockC20.jpg', EDS[51], None]),
    881977: NtFig._make(['/figures/DrosCircClockC25.jpg', EDS[51], None]),
    881976: NtFig._make(['/figures/DrosCircClockC16.jpg', EDS[51], None]),
    881961: NtFig._make(['/figures/DrosCircClockC15.jpg', EDS[51], None]),
    881985: NtFig._make(['/figures/DrosCircClockC17.jpg', EDS[51], None]),
    881954: NtFig._make(['/figures/DrosCircClockC26.jpg', EDS[51], None]),
    881970: NtFig._make(['/figures/DrosCircClockC31.jpg', EDS[51], None]),
    881951: NtFig._make(['/figures/DrosCircClockC30.jpg', EDS[51], None]),
    881936: NtFig._make(['/figures/DrosCircClockC27.jpg', EDS[51], None]),
    881996: NtFig._make(['/figures/DrosCircClockC19.jpg', EDS[51], None]),
    881989: NtFig._make(['/figures/DrosCircClockC18.jpg', EDS[51], None]),
    881978: NtFig._make(['/figures/DrosCircClockC06.jpg', EDS[51], None]),
    881940: NtFig._make(['/figures/DrosCircClockC23.jpg', EDS[51], None]),
    881955: NtFig._make(['/figures/DrosCircClockC29.jpg', EDS[51], None]),
    881938: NtFig._make(['/figures/DrosCircClockC28.jpg', EDS[51], None]),
    881934: NtFig._make(['/figures/DrosCircClockC24.jpg', EDS[51], None]),
    881910: NtFig._make(['/figures/DrosCircClockC22.jpg', EDS[51], None]),
    881911: NtFig._make(['/figures/DrosCircClockC35.jpg', EDS[51], None]),
    881933: NtFig._make(['/figures/DrosCircClockC34.jpg', EDS[51], None]),
    881982: NtFig._make(['/figures/DrosCircClockC37.jpg', EDS[51], None]),
    881952: NtFig._make(['/figures/DrosCircClockC36.jpg', EDS[51], None]),
    881971: NtFig._make(['/figures/DrosCircClockC39.jpg', EDS[51], None]),
    881950: NtFig._make(['/figures/DrosCircClockC38.jpg', EDS[51], None]),
    881916: NtFig._make(['/figures/DrosCircClockC42.jpg', EDS[51], None]),
    882006: NtFig._make(['/figures/DrosCircClockC41.jpg', EDS[51], None]),
    881913: NtFig._make(['/figures/DrosCircClockC40.jpg', EDS[51], None]),
    451885: NtFig._make(['/figures/DrosBHippoW20.jpg', EDS[51], None]),
    451878: NtFig._make(['/figures/DrosBHippoW02.jpg', EDS[51], None]),
    451848: NtFig._make(['/figures/DrosBHippoW01.jpg', EDS[51], None]),
    451886: NtFig._make(['/figures/DrosBHippoW03.jpg', EDS[51], None]),
    451855: NtFig._make(['/figures/DrosBHippoW12.jpg', EDS[51], None]),
    451877: NtFig._make(['/figures/DrosBHippoW13.jpg', EDS[51], None]),
    451841: NtFig._make(['/figures/DrosBHippoW11.jpg', EDS[51], None]),
    451873: NtFig._make(['/figures/DrosBHippoW10.jpg', EDS[51], None]),
    451884: NtFig._make(['/figures/DrosBHippoW09.jpg', EDS[51], None]),
    451866: NtFig._make(['/figures/DrosBHippoW08.jpg', EDS[51], None]),
    451845: NtFig._make(['/figures/DrosBHippoW07.jpg', EDS[51], None]),
    451810: NtFig._make(['/figures/DrosBHippoW06.jpg', EDS[51], None]),
    451867: NtFig._make(['/figures/DrosBHippoW05.jpg', EDS[51], None]),
    451875: NtFig._make(['/figures/DrosBHippoW04.jpg', EDS[51], None]),
    451809: NtFig._make(['/figures/DrosBHippoW14.jpg', EDS[51], None]),
    451847: NtFig._make(['/figures/DrosBHippoW16.jpg', EDS[51], None]),
    451820: NtFig._make(['/figures/DrosBHippoW17.jpg', EDS[51], None]),
    451835: NtFig._make(['/figures/DrosBHippoW15.jpg', EDS[51], None]),
    451838: NtFig._make(['/figures/DrosBHippoW18.jpg', EDS[51], None]),
    451808: NtFig._make(['/figures/DrosBHippoW19.jpg', EDS[51], None]),
    451872: NtFig._make(['/figures/DrosBHippoW22.jpg', EDS[51], None]),
    451861: NtFig._make(['/figures/DrosBHippoW23.jpg', EDS[51], None]),
    451818: NtFig._make(['/figures/DrosBHippoW24.jpg', EDS[51], None]),
    451865: NtFig._make(['/figures/DrosBHippoW21.jpg', EDS[51], None]),
    208634: NtFig._make(['/figures/BDrosWing04.jpg', EDS[24], None]),
    208402: NtFig._make(['/figures/BDrosWing04a.jpg', EDS[24], None]),
    208711: NtFig._make(['/figures/BDrosWing03.jpg', EDS[24], None]),
    208501: NtFig._make(['/figures/BDrosWing03b.jpg', EDS[24], None]),
    208530: NtFig._make(['/figures/BDrosWing03a.jpg', EDS[24], None]),
    208842: NtFig._make(['/figures/BDrosWing02.jpg', EDS[24], None]),
    208517: NtFig._make(['/figures/BDrosWing02b.jpg', EDS[24], None]),
    208806: NtFig._make(['/figures/BDrosWing01.jpg', EDS[24], None]),
    208835: NtFig._make(['/figures/BDrosWing01b.jpg', EDS[24], None]),
    208739: NtFig._make(['/figures/BDrosWing01a.jpg', EDS[24], None]),
    210814: NtFig._make(['/figures/CDrosWing20.jpg', EDS[42], None]),
    210822: NtFig._make(['/figures/CDrosWing19.jpg', EDS[42], None]),
    210813: NtFig._make(['/figures/CDrosWing18.jpg', EDS[42], None]),
    210823: NtFig._make(['/figures/CDrosWing17.jpg', EDS[42], None]),
    208813: NtFig._make(['/figures/BDrosWing08.jpg', EDS[24], None]),
    208777: NtFig._make(['/figures/BDrosWing07.jpg', EDS[24], None]),
    208625: NtFig._make(['/figures/BDrosWing06.jpg', EDS[24], None]),
    208613: NtFig._make(['/figures/BDrosWing10.jpg', EDS[24], None]),
    208596: NtFig._make(['/figures/BDrosWing09.jpg', EDS[24], None]),
    208622: NtFig._make(['/figures/BDrosWing05.jpg', EDS[24], None]),
    208494: NtFig._make(['/figures/BDrosWing05a.jpg', EDS[24], None]),
    210820: NtFig._make(['/figures/CDrosWing16.jpg', EDS[42], None]),
    210816: NtFig._make(['/figures/CDrosWing16a.jpg', EDS[42], None]),
    210818: NtFig._make(['/figures/CDrosWing15.jpg', EDS[42], None]),
    210815: NtFig._make(['/figures/CDrosWing14.jpg', EDS[42], None]),
    210819: NtFig._make(['/figures/CDrosWing13.jpg', EDS[42], None]),
    208506: NtFig._make(['/figures/BDrosWing11.jpg', EDS[24], None]),
    208833: NtFig._make(['/figures/BDrosWing27.jpg', EDS[24], None]),
    208528: NtFig._make(['/figures/BDrosWing22.jpg', EDS[24], None]),
    208488: NtFig._make(['/figures/BDrosWing21.jpg', EDS[24], None]),
    208454: NtFig._make(['/figures/BDrosWing23.jpg', EDS[24], None]),
    208761: NtFig._make(['/figures/BDrosWing24.jpg', EDS[24], None]),
    208792: NtFig._make(['/figures/BDrosWing25.jpg', EDS[24], None]),
    208743: NtFig._make(['/figures/BDrosWing26.jpg', EDS[24], None]),
    450787: NtFig._make(['/figures/DrosPCPC09.jpg', EDS[47], None]),
    450765: NtFig._make(['/figures/DrosPCPC08.jpg', EDS[47], None]),
    450742: NtFig._make(['/figures/DrosPCPC02.jpg', EDS[47], None]),
    450748: NtFig._make(['/figures/DrosPCPC21.jpg', EDS[47], None]),
    450800: NtFig._make(['/figures/DrosPCPC28.jpg', EDS[47], None]),
    450774: NtFig._make(['/figures/DrosPCPC27.jpg', EDS[47], None]),
    450757: NtFig._make(['/figures/DrosPCPC26.jpg', EDS[47], None]),
    450713: NtFig._make(['/figures/DrosPCPC25.jpg', EDS[47], None]),
    450711: NtFig._make(['/figures/DrosPCPC24.jpg', EDS[47], None]),
    450717: NtFig._make(['/figures/DrosPCPC23.jpg', EDS[47], None]),
    450739: NtFig._make(['/figures/DrosPCPC22.jpg', EDS[47], None]),
    450781: NtFig._make(['/figures/DrosPCPC12.jpg', EDS[47], None]),
    450760: NtFig._make(['/figures/DrosPCPC11.jpg', EDS[47], None]),
    450758: NtFig._make(['/figures/DrosPCPC32.jpg', EDS[47], None]),
    450699: NtFig._make(['/figures/DrosPCPC10.jpg', EDS[47], None]),
    450704: NtFig._make(['/figures/DrosPCPC31.jpg', EDS[47], None]),
    450788: NtFig._make(['/figures/DrosPCPC13.jpg', EDS[47], None]),
    450747: NtFig._make(['/figures/DrosPCPC18.jpg', EDS[47], None]),
    450776: NtFig._make(['/figures/DrosPCPC16.jpg', EDS[47], None]),
    450753: NtFig._make(['/figures/DrosPCPC17.jpg', EDS[47], None]),
    450764: NtFig._make(['/figures/DrosPCPC14.jpg', EDS[47], None]),
    450754: NtFig._make(['/figures/DrosPCPC19.jpg', EDS[47], None]),
    450716: NtFig._make(['/figures/DrosPCPC20.jpg', EDS[47], None]),
    358184: NtFig._make(['/figures/DrosTollImdC05.jpg', EDS[42], None]),
    358137: NtFig._make(['/figures/DrosTollImdC04.jpg', EDS[42], None]),
    358135: NtFig._make(['/figures/DrosTollImdC03.jpg', EDS[42], None]),
    358138: NtFig._make(['/figures/DrosTollImdC02.jpg', EDS[42], None]),
    358140: NtFig._make(['/figures/DrosTollImdC01.jpg', EDS[42], None]),
    358188: NtFig._make(['/figures/DrosTollImdC06.jpg', EDS[42], None]),
    358196: NtFig._make(['/figures/DrosTollImdC07.jpg', EDS[42], None]),
    358143: NtFig._make(['/figures/DrosTollImdC08.jpg', EDS[42], None]),
    358153: NtFig._make(['/figures/DrosTollImdC11.jpg', EDS[42], None]),
    358148: NtFig._make(['/figures/DrosTollImdC09.jpg', EDS[42], None]),
    358155: NtFig._make(['/figures/DrosTollImdC12.jpg', EDS[42], None]),
    358202: NtFig._make(['/figures/DrosTollImdC10.jpg', EDS[42], None]),
    358167: NtFig._make(['/figures/DrosTollImdC23.jpg', EDS[42], None]),
    358172: NtFig._make(['/figures/DrosTollImdC22.jpg', EDS[42], None]),
    358168: NtFig._make(['/figures/DrosTollImdC21.jpg', EDS[42], None]),
    358173: NtFig._make(['/figures/DrosTollImdC19.jpg', EDS[42], None]),
    358136: NtFig._make(['/figures/DrosTollImdC17.jpg', EDS[42], None]),
    358141: NtFig._make(['/figures/DrosTollImdC15.jpg', EDS[42], None]),
    358116: NtFig._make(['/figures/DrosTollImdC13.jpg', EDS[42], None]),
    358171: NtFig._make(['/figures/DrosTollImdC20.jpg', EDS[42], None]),
    358131: NtFig._make(['/figures/DrosTollImdC18.jpg', EDS[42], None]),
    358139: NtFig._make(['/figures/DrosTollImdC16.jpg', EDS[42], None]),
    358123: NtFig._make(['/figures/DrosTollImdC14.jpg', EDS[42], None]),
    210639: NtFig._make(['/figures/ADrosJAKSTAT12.jpg', EDS[42], None]),
    208753: NtFig._make(['/figures/ADrosJAKSTAT04.jpg', EDS[24], None]),
    208794: NtFig._make(['/figures/ADrosJAKSTAT03.jpg', EDS[24], None]),
    208426: NtFig._make(['/figures/ADrosJAKSTAT02.jpg', EDS[24], None]),
    208478: NtFig._make(['/figures/ADrosJAKSTAT01.jpg', EDS[24], None]),
    208440: NtFig._make(['/figures/ADrosJAKSTAT01a.jpg', EDS[24], None]),
    210666: NtFig._make(['/figures/ADrosJAKSTAT13.jpg', EDS[42], None]),
    210636: NtFig._make(['/figures/ADrosJAKSTAT13a.jpg', EDS[42], None]),
    208643: NtFig._make(['/figures/ADrosJAKSTAT08.jpg', EDS[24], None]),
    208696: NtFig._make(['/figures/ADrosJAKSTAT07.jpg', EDS[24], None]),
    208427: NtFig._make(['/figures/ADrosJAKSTAT06.jpg', EDS[24], None]),
    208685: NtFig._make(['/figures/ADrosJAKSTAT05.jpg', EDS[24], None]),
    210645: NtFig._make(['/figures/ADrosJAKSTAT15.jpg', EDS[42], None]),
    210657: NtFig._make(['/figures/ADrosJAKSTAT15a.jpg', EDS[42], None]),
    210654: NtFig._make(['/figures/ADrosJAKSTAT14.jpg', EDS[42], None]),
    210659: NtFig._make(['/figures/ADrosJAKSTAT14a.jpg', EDS[42], None]),
    208535: NtFig._make(['/figures/ADrosJAKSTAT09.jpg', EDS[24], None]),
    208456: NtFig._make(['/figures/ADrosJAKSTAT10.jpg', EDS[24], None]),
    208431: NtFig._make(['/figures/ADrosJAKSTAT11.jpg', EDS[24], None]),
    210664: NtFig._make(['/figures/ADrosJAKSTAT16.jpg', EDS[42], None]),
}


# Copyright (C) 2018-2019, DV Klopfenstein. All rights reserved.
