"""Species in Reactome"""

__copyright__ = "Copyright (C) 2018-2019, DV Klopfenstein. All rights reserved."
__author__ = "DV Klopfenstein"

import collections as cx

NtObj = cx.namedtuple('ntSPECIES', 'abc abbreviation taxId displayName')
SPECIES = [
    NtObj._make(['ama', 'AMA', 6344, 'Arenicola marina']),
    NtObj._make(['ban', 'BAN', 1392, 'Bacillus anthracis']),
    NtObj._make(['bta', 'BTA', 9913, 'Bos taurus']),
    NtObj._make(['cae', 'CAE', 9534, 'Cercopithecus aethiops']),
    NtObj._make(['cal', 'CAL', 5476, 'Candida albicans']),
    NtObj._make(['cbo', 'CBO', 1491, 'Clostridium botulinum']),
    NtObj._make(['cel', 'CEL', 6239, 'Caenorhabditis elegans']),
    NtObj._make(['cfa', 'CFA', 9615, 'Canis familiaris']),
    NtObj._make(['cfs', 'CFS', 5656, 'Crithidia fasciculata']),
    NtObj._make(['cgr', 'CGR', 10029, 'Cricetulus griseus']),
    NtObj._make(['cph', 'CPH', 10703, 'Corynephage beta']),
    NtObj._make(['cpo', 'CPO', 10141, 'Cavia porcellus']),
    NtObj._make(['csb', 'CSB', 60711, 'Chlorocebus sabaeus']),
    NtObj._make(['cte', 'CTE', 1513, 'Clostridium tetani']),
    NtObj._make(['ctr', 'CTR', 813, 'Chlamydia trachomatis']),
    NtObj._make(['cvi', 'CVI', 10243, 'Cowpox virus']),
    NtObj._make(['ddi', 'DDI', 44689, 'Dictyostelium discoideum']),
    NtObj._make(['dme', 'DME', 7227, 'Drosophila melanogaster']),
    NtObj._make(['dre', 'DRE', 7955, 'Danio rerio']),
    NtObj._make(['dvi', 'DVI', 12637, 'Dengue virus']),
    NtObj._make(['eco', 'ECO', 562, 'Escherichia coli']),
    NtObj._make(['fca', 'FCA', 9685, 'Felis catus']),
    NtObj._make(['flu', 'FLU', 11320, 'Influenza A virus']),
    NtObj._make(['gga', 'GGA', 9031, 'Gallus gallus']),
    NtObj._make(['hal', 'HAL', 10310, 'Human alphaherpesvirus 2']),
    NtObj._make(['ham', 'HAM', 6706, 'Homarus americanus']),
    NtObj._make(['hbv', 'HBV', 10407, 'Hepatitis B virus']),
    NtObj._make(['hcv', 'HCV', 11103, 'Hepatitis C Virus']),
    NtObj._make(['hcv', 'HCV', 31646, 'Hepatitis C virus subtype 1a']),
    NtObj._make(['hcv', 'HCV', 31649, 'Hepatitis C virus genotype 2a']),
    NtObj._make(['hcy', 'HCY', 10359, 'Human cytomegalovirus']),
    NtObj._make(['her', 'HER', 10298, 'Human herpesvirus 1']),
    NtObj._make(['her', 'HER', 37296, 'Human herpesvirus 8']),
    NtObj._make(['hga', 'HGA', 10376, 'Human gammaherpesvirus 4']),
    NtObj._make(['hiv', 'HIV', 11676, 'Human immunodeficiency virus 1']),
    NtObj._make(['hpv', 'HPV', 333760, 'Human papillomavirus type 16']),
    NtObj._make(['hpv', 'HPV', 337041, 'Alphapapillomavirus 9']),
    NtObj._make(['hsa', 'HSA', 9606, 'Homo sapiens']),
    NtObj._make(['ibr', 'IBR', 11120, 'Infectious bronchitis virus']),
    NtObj._make(['lmo', 'LMO', 1639, 'Listeria monocytogenes']),
    NtObj._make(['lmo', 'LMO', 169963, 'Listeria monocytogenes serovar 1/2a']),
    NtObj._make(['lmo', 'LMO', 1334565, 'Listeria monocytogenes serotype 1/2a']),
    NtObj._make(['lpn', 'LPN', 446, 'Legionella pneumophila']),
    NtObj._make(['mcv', 'MCV', 10279, 'Molluscum contagiosum virus']),
    NtObj._make(['mcv', 'MCV', 10280, 'Molluscum contagiosum virus subtype 1']),
    NtObj._make(['mga', 'MGA', 9013, 'Meleagris gallopavo']),
    NtObj._make(['mml', 'MML', 9544, 'Macaca mulatta']),
    NtObj._make(['mmu', 'MMU', 10090, 'Mus musculus']),
    NtObj._make(['mtu', 'MTU', 1773, 'Mycobacterium tuberculosis']),
    NtObj._make(['mtu', 'MTU', 83332, 'Mycobacterium tuberculosis H37Rv']),
    NtObj._make(['mvi', 'MVI', 11234, 'Measles virus']),
    NtObj._make(['ngo', 'NGO', 485, 'Neisseria gonorrhoeae']),
    NtObj._make(['nme', 'NME', 487, 'Neisseria meningitidis']),
    NtObj._make(['nme', 'NME', 491, 'Neisseria meningitidis serogroup B']),
    NtObj._make(['oar', 'OAR', 9940, 'Ovis aries']),
    NtObj._make(['ocu', 'OCU', 9986, 'Oryctolagus cuniculus']),
    NtObj._make(['pch', 'PCH', 5076, 'Penicillium chrysogenum']),
    NtObj._make(['pfa', 'PFA', 5833, 'Plasmodium falciparum']),
    NtObj._make(['rno', 'RNO', 10116, 'Rattus norvegicus']),
    NtObj._make(['rot', 'ROT', 10912, 'Rotavirus']),
    NtObj._make(['rsy', 'RSY', 12814, 'Respiratory syncytial virus']),
    NtObj._make(['rva', 'RVA', 28875, 'Rotavirus A']),
    NtObj._make(['sau', 'SAU', 1280, 'Staphylococcus aureus']),
    NtObj._make(['sce', 'SCE', 4932, 'Saccharomyces cerevisiae']),
    NtObj._make(['sev', 'SEV', 11191, 'Sendai virus']),
    NtObj._make(['siv', 'SIV', 11034, 'Sindbis virus']),
    NtObj._make(['spo', 'SPO', 4896, 'Schizosaccharomyces pombe']),
    NtObj._make(['ssc', 'SSC', 9823, 'Sus scrofa']),
    NtObj._make(['sty', 'STY', 28901, 'Salmonella enterica']),
    NtObj._make(['sty', 'STY', 90371, 'Salmonella typhimurium']),
    NtObj._make(['tae', 'TAE', 4565, 'Triticum aestivum']),
    NtObj._make(['ten', 'TEN', 11084, 'Tick-borne encephalitis virus']),
    NtObj._make(['tgo', 'TGO', 5811, 'Toxoplasma gondii']),
    NtObj._make(['vra', 'VRA', 3916, 'Vigna radiata var. radiata']),
    NtObj._make(['vra', 'VRA', 157791, 'Vigna radiata']),
    NtObj._make(['vvi', 'VVI', 10245, 'Vaccinia virus']),
    NtObj._make(['wni', 'WNI', 11082, 'West Nile virus']),
    NtObj._make(['xla', 'XLA', 8355, 'Xenopus laevis']),
    NtObj._make(['xtr', 'XTR', 8364, 'Xenopus tropicalis']),
]

# Copyright (C) 2018-2019, DV Klopfenstein. All rights reserved.
