# '-*- coding: utf-8 -*-
"""20,753 Pathways in Reactome"""

__copyright__ = "Copyright (C) 2018-2019, DV Klopfenstein. All rights reserved."
__author__ = "DV Klopfenstein"

from datetime import date
from collections import namedtuple

# 20,753 Pathways

#     T   -> TopLevelPathway
#     D   -> isInDisease
#     f/F -> figure/hand-drawn-diagram
#     I   -> isInferred
#     P   -> PubMed ID
#     B   -> Book
#     U   -> URL

#     B -> GO_BiologicalProcess
#     C -> Compartment

Nto = namedtuple('Nto', 'releaseDate TDFIPBU BC displayName')
# pylint: disable=line-too-long, too-many-lines
STID2NTPWY = {
    'R-HSA-15869':Nto._make([date(2004,  7,  6), '..F.P..', 'B.', """Metabolism of nucleotides"""]),
    'R-BTA-15869':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of nucleotides"""]),
    'R-CEL-15869':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of nucleotides"""]),
    'R-CFA-15869':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of nucleotides"""]),
    'R-DDI-15869':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of nucleotides"""]),
    'R-DME-15869':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of nucleotides"""]),
    'R-DRE-15869':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of nucleotides"""]),
    'R-GGA-15869':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of nucleotides"""]),
    'R-MMU-15869':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of nucleotides"""]),
    'R-PFA-15869':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of nucleotides"""]),
    'R-RNO-15869':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of nucleotides"""]),
    'R-SCE-15869':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of nucleotides"""]),
    'R-SPO-15869':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of nucleotides"""]),
    'R-SSC-15869':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of nucleotides"""]),
    'R-XTR-15869':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of nucleotides"""]),
    'R-HSA-68616':Nto._make([date(2004,  7,  6), '....P..', '.C', """Assembly of the ORC complex at the origin of replication"""]),
    'R-CEL-68616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the ORC complex at the origin of replication"""]),
    'R-CFA-68616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the ORC complex at the origin of replication"""]),
    'R-DDI-68616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the ORC complex at the origin of replication"""]),
    'R-DME-68616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the ORC complex at the origin of replication"""]),
    'R-DRE-68616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the ORC complex at the origin of replication"""]),
    'R-GGA-68616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the ORC complex at the origin of replication"""]),
    'R-MMU-68616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the ORC complex at the origin of replication"""]),
    'R-PFA-68616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the ORC complex at the origin of replication"""]),
    'R-RNO-68616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the ORC complex at the origin of replication"""]),
    'R-SCE-68616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the ORC complex at the origin of replication"""]),
    'R-SPO-68616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the ORC complex at the origin of replication"""]),
    'R-SSC-68616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the ORC complex at the origin of replication"""]),
    'R-XTR-68616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the ORC complex at the origin of replication"""]),
    'R-HSA-68689':Nto._make([date(2004,  7,  6), '....P..', '.C', """CDC6 association with the ORC:origin complex"""]),
    'R-BTA-68689':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDC6 association with the ORC:origin complex"""]),
    'R-CEL-68689':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDC6 association with the ORC:origin complex"""]),
    'R-CFA-68689':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDC6 association with the ORC:origin complex"""]),
    'R-DDI-68689':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDC6 association with the ORC:origin complex"""]),
    'R-DME-68689':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDC6 association with the ORC:origin complex"""]),
    'R-GGA-68689':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDC6 association with the ORC:origin complex"""]),
    'R-MMU-68689':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDC6 association with the ORC:origin complex"""]),
    'R-PFA-68689':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDC6 association with the ORC:origin complex"""]),
    'R-RNO-68689':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDC6 association with the ORC:origin complex"""]),
    'R-SCE-68689':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDC6 association with the ORC:origin complex"""]),
    'R-SPO-68689':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDC6 association with the ORC:origin complex"""]),
    'R-SSC-68689':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDC6 association with the ORC:origin complex"""]),
    'R-XTR-68689':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDC6 association with the ORC:origin complex"""]),
    'R-HSA-68827':Nto._make([date(2004,  7,  6), '....P..', '.C', """CDT1 association with the CDC6:ORC:origin complex"""]),
    'R-BTA-68827':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDT1 association with the CDC6:ORC:origin complex"""]),
    'R-CFA-68827':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDT1 association with the CDC6:ORC:origin complex"""]),
    'R-DME-68827':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDT1 association with the CDC6:ORC:origin complex"""]),
    'R-DRE-68827':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDT1 association with the CDC6:ORC:origin complex"""]),
    'R-GGA-68827':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDT1 association with the CDC6:ORC:origin complex"""]),
    'R-MMU-68827':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDT1 association with the CDC6:ORC:origin complex"""]),
    'R-RNO-68827':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDT1 association with the CDC6:ORC:origin complex"""]),
    'R-SPO-68827':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDT1 association with the CDC6:ORC:origin complex"""]),
    'R-SSC-68827':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDT1 association with the CDC6:ORC:origin complex"""]),
    'R-XTR-68827':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDT1 association with the CDC6:ORC:origin complex"""]),
    'R-HSA-68867':Nto._make([date(2004,  7,  6), '....P..', '.C', """Assembly of the pre-replicative complex"""]),
    'R-BTA-68867':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the pre-replicative complex"""]),
    'R-CEL-68867':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the pre-replicative complex"""]),
    'R-CFA-68867':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the pre-replicative complex"""]),
    'R-DDI-68867':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the pre-replicative complex"""]),
    'R-DME-68867':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the pre-replicative complex"""]),
    'R-DRE-68867':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the pre-replicative complex"""]),
    'R-GGA-68867':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the pre-replicative complex"""]),
    'R-MMU-68867':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the pre-replicative complex"""]),
    'R-PFA-68867':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the pre-replicative complex"""]),
    'R-RNO-68867':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the pre-replicative complex"""]),
    'R-SCE-68867':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the pre-replicative complex"""]),
    'R-SPO-68867':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the pre-replicative complex"""]),
    'R-SSC-68867':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the pre-replicative complex"""]),
    'R-XTR-68867':Nto._make([date(2019,  3, 20), '...I...', '.C', """Assembly of the pre-replicative complex"""]),
    'R-HSA-68875':Nto._make([date(2004,  7,  6), '..f....', 'B.', """Mitotic Prophase"""]),
    'R-BTA-68875':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prophase"""]),
    'R-CEL-68875':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prophase"""]),
    'R-CFA-68875':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prophase"""]),
    'R-DDI-68875':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prophase"""]),
    'R-DME-68875':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prophase"""]),
    'R-DRE-68875':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prophase"""]),
    'R-GGA-68875':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prophase"""]),
    'R-MMU-68875':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prophase"""]),
    'R-PFA-68875':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prophase"""]),
    'R-RNO-68875':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prophase"""]),
    'R-SCE-68875':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prophase"""]),
    'R-SPO-68875':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prophase"""]),
    'R-SSC-68875':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prophase"""]),
    'R-XTR-68875':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prophase"""]),
    'R-HSA-68877':Nto._make([date(2004,  7,  6), '..f....', 'B.', """Mitotic Prometaphase"""]),
    'R-BTA-68877':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prometaphase"""]),
    'R-CEL-68877':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prometaphase"""]),
    'R-CFA-68877':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prometaphase"""]),
    'R-DDI-68877':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prometaphase"""]),
    'R-DME-68877':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prometaphase"""]),
    'R-DRE-68877':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prometaphase"""]),
    'R-GGA-68877':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prometaphase"""]),
    'R-MMU-68877':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prometaphase"""]),
    'R-PFA-68877':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prometaphase"""]),
    'R-RNO-68877':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prometaphase"""]),
    'R-SCE-68877':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prometaphase"""]),
    'R-SPO-68877':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prometaphase"""]),
    'R-SSC-68877':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prometaphase"""]),
    'R-XTR-68877':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Prometaphase"""]),
    'R-HSA-68881':Nto._make([date(2004,  7,  6), '.......', 'B.', """Mitotic Metaphase/Anaphase Transition"""]),
    'R-BTA-68881':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitotic Metaphase/Anaphase Transition"""]),
    'R-CFA-68881':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitotic Metaphase/Anaphase Transition"""]),
    'R-DME-68881':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitotic Metaphase/Anaphase Transition"""]),
    'R-GGA-68881':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitotic Metaphase/Anaphase Transition"""]),
    'R-MMU-68881':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitotic Metaphase/Anaphase Transition"""]),
    'R-RNO-68881':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitotic Metaphase/Anaphase Transition"""]),
    'R-SSC-68881':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitotic Metaphase/Anaphase Transition"""]),
    'R-XTR-68881':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitotic Metaphase/Anaphase Transition"""]),
    'R-HSA-68882':Nto._make([date(2004,  7,  6), '.......', 'B.', """Mitotic Anaphase"""]),
    'R-BTA-68882':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitotic Anaphase"""]),
    'R-CEL-68882':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitotic Anaphase"""]),
    'R-CFA-68882':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitotic Anaphase"""]),
    'R-DDI-68882':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitotic Anaphase"""]),
    'R-DME-68882':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitotic Anaphase"""]),
    'R-DRE-68882':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitotic Anaphase"""]),
    'R-GGA-68882':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitotic Anaphase"""]),
    'R-MMU-68882':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitotic Anaphase"""]),
    'R-PFA-68882':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitotic Anaphase"""]),
    'R-RNO-68882':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitotic Anaphase"""]),
    'R-SCE-68882':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitotic Anaphase"""]),
    'R-SPO-68882':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitotic Anaphase"""]),
    'R-SSC-68882':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitotic Anaphase"""]),
    'R-XTR-68882':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitotic Anaphase"""]),
    'R-HSA-68884':Nto._make([date(2004,  7,  6), '..f....', 'B.', """Mitotic Telophase/Cytokinesis"""]),
    'R-BTA-68884':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Telophase/Cytokinesis"""]),
    'R-CEL-68884':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Telophase/Cytokinesis"""]),
    'R-CFA-68884':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Telophase/Cytokinesis"""]),
    'R-DDI-68884':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Telophase/Cytokinesis"""]),
    'R-DME-68884':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Telophase/Cytokinesis"""]),
    'R-DRE-68884':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Telophase/Cytokinesis"""]),
    'R-GGA-68884':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Telophase/Cytokinesis"""]),
    'R-MMU-68884':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Telophase/Cytokinesis"""]),
    'R-PFA-68884':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Telophase/Cytokinesis"""]),
    'R-RNO-68884':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Telophase/Cytokinesis"""]),
    'R-SPO-68884':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Telophase/Cytokinesis"""]),
    'R-SSC-68884':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Telophase/Cytokinesis"""]),
    'R-XTR-68884':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitotic Telophase/Cytokinesis"""]),
    'R-HSA-68886':Nto._make([date(2004,  7,  6), '..F....', 'B.', """M Phase"""]),
    'R-BTA-68886':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """M Phase"""]),
    'R-CEL-68886':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """M Phase"""]),
    'R-CFA-68886':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """M Phase"""]),
    'R-DDI-68886':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """M Phase"""]),
    'R-DME-68886':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """M Phase"""]),
    'R-DRE-68886':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """M Phase"""]),
    'R-GGA-68886':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """M Phase"""]),
    'R-MMU-68886':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """M Phase"""]),
    'R-PFA-68886':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """M Phase"""]),
    'R-RNO-68886':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """M Phase"""]),
    'R-SCE-68886':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """M Phase"""]),
    'R-SPO-68886':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """M Phase"""]),
    'R-SSC-68886':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """M Phase"""]),
    'R-XTR-68886':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """M Phase"""]),
    'R-HSA-68911':Nto._make([date(2004,  7,  6), '....P..', 'B.', """G2 Phase"""]),
    'R-BTA-68911':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G2 Phase"""]),
    'R-CFA-68911':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G2 Phase"""]),
    'R-DRE-68911':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G2 Phase"""]),
    'R-GGA-68911':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G2 Phase"""]),
    'R-MMU-68911':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G2 Phase"""]),
    'R-RNO-68911':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G2 Phase"""]),
    'R-SSC-68911':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G2 Phase"""]),
    'R-XTR-68911':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G2 Phase"""]),
    'R-HSA-68949':Nto._make([date(2004,  7,  6), '....P..', '.C', """Orc1 removal from chromatin"""]),
    'R-CEL-68949':Nto._make([date(2019,  3, 20), '...I...', '.C', """Orc1 removal from chromatin"""]),
    'R-CFA-68949':Nto._make([date(2019,  3, 20), '...I...', '.C', """Orc1 removal from chromatin"""]),
    'R-DDI-68949':Nto._make([date(2019,  3, 20), '...I...', '.C', """Orc1 removal from chromatin"""]),
    'R-DME-68949':Nto._make([date(2019,  3, 20), '...I...', '.C', """Orc1 removal from chromatin"""]),
    'R-GGA-68949':Nto._make([date(2019,  3, 20), '...I...', '.C', """Orc1 removal from chromatin"""]),
    'R-MMU-68949':Nto._make([date(2019,  3, 20), '...I...', '.C', """Orc1 removal from chromatin"""]),
    'R-PFA-68949':Nto._make([date(2019,  3, 20), '...I...', '.C', """Orc1 removal from chromatin"""]),
    'R-RNO-68949':Nto._make([date(2019,  3, 20), '...I...', '.C', """Orc1 removal from chromatin"""]),
    'R-SCE-68949':Nto._make([date(2019,  3, 20), '...I...', '.C', """Orc1 removal from chromatin"""]),
    'R-SPO-68949':Nto._make([date(2019,  3, 20), '...I...', '.C', """Orc1 removal from chromatin"""]),
    'R-SSC-68949':Nto._make([date(2019,  3, 20), '...I...', '.C', """Orc1 removal from chromatin"""]),
    'R-XTR-68949':Nto._make([date(2019,  3, 20), '...I...', '.C', """Orc1 removal from chromatin"""]),
    'R-HSA-68952':Nto._make([date(2004,  7,  6), '....P..', 'BC', """DNA replication initiation"""]),
    'R-BTA-68952':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA replication initiation"""]),
    'R-CEL-68952':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA replication initiation"""]),
    'R-CFA-68952':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA replication initiation"""]),
    'R-DDI-68952':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA replication initiation"""]),
    'R-DME-68952':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA replication initiation"""]),
    'R-DRE-68952':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA replication initiation"""]),
    'R-GGA-68952':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA replication initiation"""]),
    'R-MMU-68952':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA replication initiation"""]),
    'R-PFA-68952':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA replication initiation"""]),
    'R-RNO-68952':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA replication initiation"""]),
    'R-SCE-68952':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA replication initiation"""]),
    'R-SPO-68952':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA replication initiation"""]),
    'R-SSC-68952':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA replication initiation"""]),
    'R-XTR-68952':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA replication initiation"""]),
    'R-HSA-68962':Nto._make([date(2004,  7,  6), '....P..', '.C', """Activation of the pre-replicative complex"""]),
    'R-BTA-68962':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the pre-replicative complex"""]),
    'R-CEL-68962':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the pre-replicative complex"""]),
    'R-CFA-68962':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the pre-replicative complex"""]),
    'R-DDI-68962':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the pre-replicative complex"""]),
    'R-DME-68962':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the pre-replicative complex"""]),
    'R-DRE-68962':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the pre-replicative complex"""]),
    'R-GGA-68962':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the pre-replicative complex"""]),
    'R-MMU-68962':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the pre-replicative complex"""]),
    'R-PFA-68962':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the pre-replicative complex"""]),
    'R-RNO-68962':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the pre-replicative complex"""]),
    'R-SCE-68962':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the pre-replicative complex"""]),
    'R-SPO-68962':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the pre-replicative complex"""]),
    'R-SSC-68962':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the pre-replicative complex"""]),
    'R-XTR-68962':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the pre-replicative complex"""]),
    'R-HSA-69002':Nto._make([date(2004,  7,  6), '..f....', '.C', """DNA Replication Pre-Initiation"""]),
    'R-BTA-69002':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DNA Replication Pre-Initiation"""]),
    'R-CEL-69002':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DNA Replication Pre-Initiation"""]),
    'R-CFA-69002':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DNA Replication Pre-Initiation"""]),
    'R-DDI-69002':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DNA Replication Pre-Initiation"""]),
    'R-DME-69002':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DNA Replication Pre-Initiation"""]),
    'R-DRE-69002':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DNA Replication Pre-Initiation"""]),
    'R-GGA-69002':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DNA Replication Pre-Initiation"""]),
    'R-MMU-69002':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DNA Replication Pre-Initiation"""]),
    'R-PFA-69002':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DNA Replication Pre-Initiation"""]),
    'R-RNO-69002':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DNA Replication Pre-Initiation"""]),
    'R-SCE-69002':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DNA Replication Pre-Initiation"""]),
    'R-SPO-69002':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DNA Replication Pre-Initiation"""]),
    'R-SSC-69002':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DNA Replication Pre-Initiation"""]),
    'R-XTR-69002':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DNA Replication Pre-Initiation"""]),
    'R-HSA-69017':Nto._make([date(2004,  7,  6), '....P..', '.C', """CDK-mediated phosphorylation and removal of Cdc6"""]),
    'R-BTA-69017':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDK-mediated phosphorylation and removal of Cdc6"""]),
    'R-CEL-69017':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDK-mediated phosphorylation and removal of Cdc6"""]),
    'R-CFA-69017':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDK-mediated phosphorylation and removal of Cdc6"""]),
    'R-DDI-69017':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDK-mediated phosphorylation and removal of Cdc6"""]),
    'R-DME-69017':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDK-mediated phosphorylation and removal of Cdc6"""]),
    'R-DRE-69017':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDK-mediated phosphorylation and removal of Cdc6"""]),
    'R-GGA-69017':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDK-mediated phosphorylation and removal of Cdc6"""]),
    'R-MMU-69017':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDK-mediated phosphorylation and removal of Cdc6"""]),
    'R-PFA-69017':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDK-mediated phosphorylation and removal of Cdc6"""]),
    'R-RNO-69017':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDK-mediated phosphorylation and removal of Cdc6"""]),
    'R-SCE-69017':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDK-mediated phosphorylation and removal of Cdc6"""]),
    'R-SPO-69017':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDK-mediated phosphorylation and removal of Cdc6"""]),
    'R-SSC-69017':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDK-mediated phosphorylation and removal of Cdc6"""]),
    'R-XTR-69017':Nto._make([date(2019,  3, 20), '...I...', '.C', """CDK-mediated phosphorylation and removal of Cdc6"""]),
    'R-HSA-69052':Nto._make([date(2004,  7,  6), '.......', '.C', """Switching of origins to a post-replicative state"""]),
    'R-BTA-69052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Switching of origins to a post-replicative state"""]),
    'R-CEL-69052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Switching of origins to a post-replicative state"""]),
    'R-CFA-69052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Switching of origins to a post-replicative state"""]),
    'R-DDI-69052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Switching of origins to a post-replicative state"""]),
    'R-DME-69052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Switching of origins to a post-replicative state"""]),
    'R-DRE-69052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Switching of origins to a post-replicative state"""]),
    'R-GGA-69052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Switching of origins to a post-replicative state"""]),
    'R-MMU-69052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Switching of origins to a post-replicative state"""]),
    'R-PFA-69052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Switching of origins to a post-replicative state"""]),
    'R-RNO-69052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Switching of origins to a post-replicative state"""]),
    'R-SCE-69052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Switching of origins to a post-replicative state"""]),
    'R-SPO-69052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Switching of origins to a post-replicative state"""]),
    'R-SSC-69052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Switching of origins to a post-replicative state"""]),
    'R-XTR-69052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Switching of origins to a post-replicative state"""]),
    'R-HSA-69091':Nto._make([date(2004,  7,  6), '....P..', '.C', """Polymerase switching"""]),
    'R-BTA-69091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Polymerase switching"""]),
    'R-CEL-69091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Polymerase switching"""]),
    'R-CFA-69091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Polymerase switching"""]),
    'R-DDI-69091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Polymerase switching"""]),
    'R-DME-69091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Polymerase switching"""]),
    'R-DRE-69091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Polymerase switching"""]),
    'R-GGA-69091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Polymerase switching"""]),
    'R-MMU-69091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Polymerase switching"""]),
    'R-PFA-69091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Polymerase switching"""]),
    'R-RNO-69091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Polymerase switching"""]),
    'R-SCE-69091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Polymerase switching"""]),
    'R-SPO-69091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Polymerase switching"""]),
    'R-SSC-69091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Polymerase switching"""]),
    'R-XTR-69091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Polymerase switching"""]),
    'R-HSA-69109':Nto._make([date(2004,  7,  6), '....P..', '.C', """Leading Strand Synthesis"""]),
    'R-BTA-69109':Nto._make([date(2019,  3, 20), '...I...', '.C', """Leading Strand Synthesis"""]),
    'R-CEL-69109':Nto._make([date(2019,  3, 20), '...I...', '.C', """Leading Strand Synthesis"""]),
    'R-CFA-69109':Nto._make([date(2019,  3, 20), '...I...', '.C', """Leading Strand Synthesis"""]),
    'R-DDI-69109':Nto._make([date(2019,  3, 20), '...I...', '.C', """Leading Strand Synthesis"""]),
    'R-DME-69109':Nto._make([date(2019,  3, 20), '...I...', '.C', """Leading Strand Synthesis"""]),
    'R-DRE-69109':Nto._make([date(2019,  3, 20), '...I...', '.C', """Leading Strand Synthesis"""]),
    'R-GGA-69109':Nto._make([date(2019,  3, 20), '...I...', '.C', """Leading Strand Synthesis"""]),
    'R-MMU-69109':Nto._make([date(2019,  3, 20), '...I...', '.C', """Leading Strand Synthesis"""]),
    'R-PFA-69109':Nto._make([date(2019,  3, 20), '...I...', '.C', """Leading Strand Synthesis"""]),
    'R-RNO-69109':Nto._make([date(2019,  3, 20), '...I...', '.C', """Leading Strand Synthesis"""]),
    'R-SCE-69109':Nto._make([date(2019,  3, 20), '...I...', '.C', """Leading Strand Synthesis"""]),
    'R-SPO-69109':Nto._make([date(2019,  3, 20), '...I...', '.C', """Leading Strand Synthesis"""]),
    'R-SSC-69109':Nto._make([date(2019,  3, 20), '...I...', '.C', """Leading Strand Synthesis"""]),
    'R-XTR-69109':Nto._make([date(2019,  3, 20), '...I...', '.C', """Leading Strand Synthesis"""]),
    'R-HSA-69166':Nto._make([date(2004,  7,  6), '....P..', '.C', """Removal of the Flap Intermediate"""]),
    'R-BTA-69166':Nto._make([date(2019,  3, 20), '...I...', '.C', """Removal of the Flap Intermediate"""]),
    'R-CEL-69166':Nto._make([date(2019,  3, 20), '...I...', '.C', """Removal of the Flap Intermediate"""]),
    'R-CFA-69166':Nto._make([date(2019,  3, 20), '...I...', '.C', """Removal of the Flap Intermediate"""]),
    'R-DDI-69166':Nto._make([date(2019,  3, 20), '...I...', '.C', """Removal of the Flap Intermediate"""]),
    'R-DME-69166':Nto._make([date(2019,  3, 20), '...I...', '.C', """Removal of the Flap Intermediate"""]),
    'R-DRE-69166':Nto._make([date(2019,  3, 20), '...I...', '.C', """Removal of the Flap Intermediate"""]),
    'R-GGA-69166':Nto._make([date(2019,  3, 20), '...I...', '.C', """Removal of the Flap Intermediate"""]),
    'R-MMU-69166':Nto._make([date(2019,  3, 20), '...I...', '.C', """Removal of the Flap Intermediate"""]),
    'R-PFA-69166':Nto._make([date(2019,  3, 20), '...I...', '.C', """Removal of the Flap Intermediate"""]),
    'R-RNO-69166':Nto._make([date(2019,  3, 20), '...I...', '.C', """Removal of the Flap Intermediate"""]),
    'R-SCE-69166':Nto._make([date(2019,  3, 20), '...I...', '.C', """Removal of the Flap Intermediate"""]),
    'R-SPO-69166':Nto._make([date(2019,  3, 20), '...I...', '.C', """Removal of the Flap Intermediate"""]),
    'R-SSC-69166':Nto._make([date(2019,  3, 20), '...I...', '.C', """Removal of the Flap Intermediate"""]),
    'R-XTR-69166':Nto._make([date(2019,  3, 20), '...I...', '.C', """Removal of the Flap Intermediate"""]),
    'R-HSA-69183':Nto._make([date(2004,  7,  6), '....P..', '.C', """Processive synthesis on the lagging strand"""]),
    'R-BTA-69183':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processive synthesis on the lagging strand"""]),
    'R-CEL-69183':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processive synthesis on the lagging strand"""]),
    'R-CFA-69183':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processive synthesis on the lagging strand"""]),
    'R-DDI-69183':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processive synthesis on the lagging strand"""]),
    'R-DME-69183':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processive synthesis on the lagging strand"""]),
    'R-DRE-69183':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processive synthesis on the lagging strand"""]),
    'R-GGA-69183':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processive synthesis on the lagging strand"""]),
    'R-MMU-69183':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processive synthesis on the lagging strand"""]),
    'R-PFA-69183':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processive synthesis on the lagging strand"""]),
    'R-RNO-69183':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processive synthesis on the lagging strand"""]),
    'R-SCE-69183':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processive synthesis on the lagging strand"""]),
    'R-SPO-69183':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processive synthesis on the lagging strand"""]),
    'R-SSC-69183':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processive synthesis on the lagging strand"""]),
    'R-XTR-69183':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processive synthesis on the lagging strand"""]),
    'R-HSA-69186':Nto._make([date(2004,  7,  6), '....P..', '.C', """Lagging Strand Synthesis"""]),
    'R-BTA-69186':Nto._make([date(2019,  3, 20), '...I...', '.C', """Lagging Strand Synthesis"""]),
    'R-CEL-69186':Nto._make([date(2019,  3, 20), '...I...', '.C', """Lagging Strand Synthesis"""]),
    'R-CFA-69186':Nto._make([date(2019,  3, 20), '...I...', '.C', """Lagging Strand Synthesis"""]),
    'R-DDI-69186':Nto._make([date(2019,  3, 20), '...I...', '.C', """Lagging Strand Synthesis"""]),
    'R-DME-69186':Nto._make([date(2019,  3, 20), '...I...', '.C', """Lagging Strand Synthesis"""]),
    'R-DRE-69186':Nto._make([date(2019,  3, 20), '...I...', '.C', """Lagging Strand Synthesis"""]),
    'R-GGA-69186':Nto._make([date(2019,  3, 20), '...I...', '.C', """Lagging Strand Synthesis"""]),
    'R-MMU-69186':Nto._make([date(2019,  3, 20), '...I...', '.C', """Lagging Strand Synthesis"""]),
    'R-PFA-69186':Nto._make([date(2019,  3, 20), '...I...', '.C', """Lagging Strand Synthesis"""]),
    'R-RNO-69186':Nto._make([date(2019,  3, 20), '...I...', '.C', """Lagging Strand Synthesis"""]),
    'R-SCE-69186':Nto._make([date(2019,  3, 20), '...I...', '.C', """Lagging Strand Synthesis"""]),
    'R-SPO-69186':Nto._make([date(2019,  3, 20), '...I...', '.C', """Lagging Strand Synthesis"""]),
    'R-SSC-69186':Nto._make([date(2019,  3, 20), '...I...', '.C', """Lagging Strand Synthesis"""]),
    'R-XTR-69186':Nto._make([date(2019,  3, 20), '...I...', '.C', """Lagging Strand Synthesis"""]),
    'R-HSA-69190':Nto._make([date(2004,  7,  6), '....P..', 'BC', """DNA strand elongation"""]),
    'R-BTA-69190':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA strand elongation"""]),
    'R-CEL-69190':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA strand elongation"""]),
    'R-CFA-69190':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA strand elongation"""]),
    'R-DDI-69190':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA strand elongation"""]),
    'R-DME-69190':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA strand elongation"""]),
    'R-DRE-69190':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA strand elongation"""]),
    'R-GGA-69190':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA strand elongation"""]),
    'R-MMU-69190':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA strand elongation"""]),
    'R-PFA-69190':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA strand elongation"""]),
    'R-RNO-69190':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA strand elongation"""]),
    'R-SCE-69190':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA strand elongation"""]),
    'R-SPO-69190':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA strand elongation"""]),
    'R-SSC-69190':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA strand elongation"""]),
    'R-XTR-69190':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA strand elongation"""]),
    'R-HSA-69200':Nto._make([date(2004,  7,  6), '....P..', '.C', """Phosphorylation of proteins involved in G1/S transition by active Cyclin E:Cdk2 complexes"""]),
    'R-BTA-69200':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of proteins involved in G1/S transition by active Cyclin E:Cdk2 complexes"""]),
    'R-CFA-69200':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of proteins involved in G1/S transition by active Cyclin E:Cdk2 complexes"""]),
    'R-DDI-69200':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of proteins involved in G1/S transition by active Cyclin E:Cdk2 complexes"""]),
    'R-DME-69200':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of proteins involved in G1/S transition by active Cyclin E:Cdk2 complexes"""]),
    'R-DRE-69200':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of proteins involved in G1/S transition by active Cyclin E:Cdk2 complexes"""]),
    'R-MMU-69200':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of proteins involved in G1/S transition by active Cyclin E:Cdk2 complexes"""]),
    'R-RNO-69200':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of proteins involved in G1/S transition by active Cyclin E:Cdk2 complexes"""]),
    'R-SSC-69200':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of proteins involved in G1/S transition by active Cyclin E:Cdk2 complexes"""]),
    'R-XTR-69200':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of proteins involved in G1/S transition by active Cyclin E:Cdk2 complexes"""]),
    'R-HSA-69202':Nto._make([date(2004,  7,  6), '.......', '..', """Cyclin E associated events during G1/S transition """]),
    'R-BTA-69202':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin E associated events during G1/S transition """]),
    'R-CEL-69202':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin E associated events during G1/S transition """]),
    'R-CFA-69202':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin E associated events during G1/S transition """]),
    'R-DDI-69202':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin E associated events during G1/S transition """]),
    'R-DME-69202':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin E associated events during G1/S transition """]),
    'R-DRE-69202':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin E associated events during G1/S transition """]),
    'R-GGA-69202':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin E associated events during G1/S transition """]),
    'R-MMU-69202':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin E associated events during G1/S transition """]),
    'R-PFA-69202':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin E associated events during G1/S transition """]),
    'R-RNO-69202':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin E associated events during G1/S transition """]),
    'R-SCE-69202':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin E associated events during G1/S transition """]),
    'R-SPO-69202':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin E associated events during G1/S transition """]),
    'R-SSC-69202':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin E associated events during G1/S transition """]),
    'R-XTR-69202':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin E associated events during G1/S transition """]),
    'R-HSA-69205':Nto._make([date(2009,  9, 30), '....P..', 'BC', """G1/S-Specific Transcription"""]),
    'R-HSA-69206':Nto._make([date(2004,  7,  6), '.......', 'B.', """G1/S Transition"""]),
    'R-BTA-69206':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1/S Transition"""]),
    'R-CEL-69206':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1/S Transition"""]),
    'R-CFA-69206':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1/S Transition"""]),
    'R-DDI-69206':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1/S Transition"""]),
    'R-DME-69206':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1/S Transition"""]),
    'R-DRE-69206':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1/S Transition"""]),
    'R-GGA-69206':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1/S Transition"""]),
    'R-MMU-69206':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1/S Transition"""]),
    'R-PFA-69206':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1/S Transition"""]),
    'R-RNO-69206':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1/S Transition"""]),
    'R-SCE-69206':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1/S Transition"""]),
    'R-SPO-69206':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1/S Transition"""]),
    'R-SSC-69206':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1/S Transition"""]),
    'R-XTR-69206':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1/S Transition"""]),
    'R-HSA-69231':Nto._make([date(2004,  7,  6), '.......', '..', """Cyclin D associated events in G1"""]),
    'R-BTA-69231':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin D associated events in G1"""]),
    'R-CEL-69231':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin D associated events in G1"""]),
    'R-CFA-69231':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin D associated events in G1"""]),
    'R-DDI-69231':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin D associated events in G1"""]),
    'R-DME-69231':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin D associated events in G1"""]),
    'R-DRE-69231':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin D associated events in G1"""]),
    'R-GGA-69231':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin D associated events in G1"""]),
    'R-MMU-69231':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin D associated events in G1"""]),
    'R-RNO-69231':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin D associated events in G1"""]),
    'R-SSC-69231':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin D associated events in G1"""]),
    'R-XTR-69231':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin D associated events in G1"""]),
    'R-HSA-69236':Nto._make([date(2004,  7,  6), '.......', 'B.', """G1 Phase"""]),
    'R-BTA-69236':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1 Phase"""]),
    'R-CEL-69236':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1 Phase"""]),
    'R-CFA-69236':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1 Phase"""]),
    'R-DDI-69236':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1 Phase"""]),
    'R-DME-69236':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1 Phase"""]),
    'R-DRE-69236':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1 Phase"""]),
    'R-GGA-69236':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1 Phase"""]),
    'R-MMU-69236':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1 Phase"""]),
    'R-RNO-69236':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1 Phase"""]),
    'R-SSC-69236':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1 Phase"""]),
    'R-XTR-69236':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G1 Phase"""]),
    'R-HSA-69239':Nto._make([date(2004,  7,  6), '..f....', '.C', """Synthesis of DNA"""]),
    'R-BTA-69239':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Synthesis of DNA"""]),
    'R-CEL-69239':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Synthesis of DNA"""]),
    'R-CFA-69239':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Synthesis of DNA"""]),
    'R-DDI-69239':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Synthesis of DNA"""]),
    'R-DME-69239':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Synthesis of DNA"""]),
    'R-DRE-69239':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Synthesis of DNA"""]),
    'R-GGA-69239':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Synthesis of DNA"""]),
    'R-MMU-69239':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Synthesis of DNA"""]),
    'R-PFA-69239':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Synthesis of DNA"""]),
    'R-RNO-69239':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Synthesis of DNA"""]),
    'R-SCE-69239':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Synthesis of DNA"""]),
    'R-SPO-69239':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Synthesis of DNA"""]),
    'R-SSC-69239':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Synthesis of DNA"""]),
    'R-XTR-69239':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Synthesis of DNA"""]),
    'R-HSA-69242':Nto._make([date(2004,  7,  6), '..F....', 'B.', """S Phase"""]),
    'R-BTA-69242':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """S Phase"""]),
    'R-CEL-69242':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """S Phase"""]),
    'R-CFA-69242':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """S Phase"""]),
    'R-DDI-69242':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """S Phase"""]),
    'R-DME-69242':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """S Phase"""]),
    'R-DRE-69242':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """S Phase"""]),
    'R-GGA-69242':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """S Phase"""]),
    'R-MMU-69242':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """S Phase"""]),
    'R-PFA-69242':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """S Phase"""]),
    'R-RNO-69242':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """S Phase"""]),
    'R-SCE-69242':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """S Phase"""]),
    'R-SPO-69242':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """S Phase"""]),
    'R-SSC-69242':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """S Phase"""]),
    'R-XTR-69242':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """S Phase"""]),
    'R-HSA-69273':Nto._make([date(2004,  7,  6), '....P..', '..', """Cyclin A/B1/B2 associated events during G2/M transition"""]),
    'R-BTA-69273':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A/B1/B2 associated events during G2/M transition"""]),
    'R-CEL-69273':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A/B1/B2 associated events during G2/M transition"""]),
    'R-CFA-69273':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A/B1/B2 associated events during G2/M transition"""]),
    'R-DDI-69273':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A/B1/B2 associated events during G2/M transition"""]),
    'R-DME-69273':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A/B1/B2 associated events during G2/M transition"""]),
    'R-DRE-69273':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A/B1/B2 associated events during G2/M transition"""]),
    'R-GGA-69273':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A/B1/B2 associated events during G2/M transition"""]),
    'R-MMU-69273':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A/B1/B2 associated events during G2/M transition"""]),
    'R-RNO-69273':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A/B1/B2 associated events during G2/M transition"""]),
    'R-SCE-69273':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A/B1/B2 associated events during G2/M transition"""]),
    'R-SPO-69273':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A/B1/B2 associated events during G2/M transition"""]),
    'R-SSC-69273':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A/B1/B2 associated events during G2/M transition"""]),
    'R-XTR-69273':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A/B1/B2 associated events during G2/M transition"""]),
    'R-HSA-69275':Nto._make([date(2004,  7,  6), '....P..', 'B.', """G2/M Transition"""]),
    'R-BTA-69275':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G2/M Transition"""]),
    'R-CEL-69275':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G2/M Transition"""]),
    'R-CFA-69275':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G2/M Transition"""]),
    'R-DDI-69275':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G2/M Transition"""]),
    'R-DME-69275':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G2/M Transition"""]),
    'R-DRE-69275':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G2/M Transition"""]),
    'R-GGA-69275':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G2/M Transition"""]),
    'R-MMU-69275':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G2/M Transition"""]),
    'R-PFA-69275':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G2/M Transition"""]),
    'R-RNO-69275':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G2/M Transition"""]),
    'R-SCE-69275':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G2/M Transition"""]),
    'R-SPO-69275':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G2/M Transition"""]),
    'R-SSC-69275':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G2/M Transition"""]),
    'R-XTR-69275':Nto._make([date(2019,  3, 20), '...I...', 'B.', """G2/M Transition"""]),
    'R-HSA-69278':Nto._make([date(2004,  7,  6), '..F....', 'B.', """Cell Cycle, Mitotic"""]),
    'R-BTA-69278':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle, Mitotic"""]),
    'R-CEL-69278':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle, Mitotic"""]),
    'R-CFA-69278':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle, Mitotic"""]),
    'R-DDI-69278':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle, Mitotic"""]),
    'R-DME-69278':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle, Mitotic"""]),
    'R-DRE-69278':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle, Mitotic"""]),
    'R-GGA-69278':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle, Mitotic"""]),
    'R-MMU-69278':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle, Mitotic"""]),
    'R-PFA-69278':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle, Mitotic"""]),
    'R-RNO-69278':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle, Mitotic"""]),
    'R-SCE-69278':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle, Mitotic"""]),
    'R-SPO-69278':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle, Mitotic"""]),
    'R-SSC-69278':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle, Mitotic"""]),
    'R-XTR-69278':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle, Mitotic"""]),
    'R-HSA-69306':Nto._make([date(2003,  1,  6), 'T.F.P..', '.C', """DNA Replication"""]),
    'R-BTA-69306':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """DNA Replication"""]),
    'R-CEL-69306':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """DNA Replication"""]),
    'R-CFA-69306':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """DNA Replication"""]),
    'R-DDI-69306':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """DNA Replication"""]),
    'R-DME-69306':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """DNA Replication"""]),
    'R-DRE-69306':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """DNA Replication"""]),
    'R-GGA-69306':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """DNA Replication"""]),
    'R-MMU-69306':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """DNA Replication"""]),
    'R-PFA-69306':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """DNA Replication"""]),
    'R-RNO-69306':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """DNA Replication"""]),
    'R-SCE-69306':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """DNA Replication"""]),
    'R-SPO-69306':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """DNA Replication"""]),
    'R-SSC-69306':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """DNA Replication"""]),
    'R-XTR-69306':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """DNA Replication"""]),
    'R-HSA-69416':Nto._make([date(2004, 10, 27), '....P..', 'B.', """Dimerization of procaspase-8"""]),
    'R-BTA-69416':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Dimerization of procaspase-8"""]),
    'R-CFA-69416':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Dimerization of procaspase-8"""]),
    'R-DRE-69416':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Dimerization of procaspase-8"""]),
    'R-GGA-69416':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Dimerization of procaspase-8"""]),
    'R-MMU-69416':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Dimerization of procaspase-8"""]),
    'R-RNO-69416':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Dimerization of procaspase-8"""]),
    'R-SSC-69416':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Dimerization of procaspase-8"""]),
    'R-XTR-69416':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Dimerization of procaspase-8"""]),
    'R-HSA-69473':Nto._make([date(2004,  7,  6), '.......', '..', """G2/M DNA damage checkpoint"""]),
    'R-BTA-69473':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA damage checkpoint"""]),
    'R-CEL-69473':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA damage checkpoint"""]),
    'R-CFA-69473':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA damage checkpoint"""]),
    'R-DDI-69473':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA damage checkpoint"""]),
    'R-DME-69473':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA damage checkpoint"""]),
    'R-DRE-69473':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA damage checkpoint"""]),
    'R-GGA-69473':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA damage checkpoint"""]),
    'R-MMU-69473':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA damage checkpoint"""]),
    'R-PFA-69473':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA damage checkpoint"""]),
    'R-RNO-69473':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA damage checkpoint"""]),
    'R-SCE-69473':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA damage checkpoint"""]),
    'R-SPO-69473':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA damage checkpoint"""]),
    'R-SSC-69473':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA damage checkpoint"""]),
    'R-XTR-69473':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA damage checkpoint"""]),
    'R-HSA-69478':Nto._make([date(2004,  7,  6), '.......', '..', """G2/M DNA replication checkpoint"""]),
    'R-BTA-69478':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA replication checkpoint"""]),
    'R-CEL-69478':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA replication checkpoint"""]),
    'R-CFA-69478':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA replication checkpoint"""]),
    'R-DME-69478':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA replication checkpoint"""]),
    'R-DRE-69478':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA replication checkpoint"""]),
    'R-MMU-69478':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA replication checkpoint"""]),
    'R-RNO-69478':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA replication checkpoint"""]),
    'R-SSC-69478':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA replication checkpoint"""]),
    'R-XTR-69478':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M DNA replication checkpoint"""]),
    'R-HSA-69481':Nto._make([date(2004,  7,  6), '.......', '..', """G2/M Checkpoints"""]),
    'R-BTA-69481':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M Checkpoints"""]),
    'R-CEL-69481':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M Checkpoints"""]),
    'R-CFA-69481':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M Checkpoints"""]),
    'R-DDI-69481':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M Checkpoints"""]),
    'R-DME-69481':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M Checkpoints"""]),
    'R-DRE-69481':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M Checkpoints"""]),
    'R-GGA-69481':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M Checkpoints"""]),
    'R-MMU-69481':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M Checkpoints"""]),
    'R-PFA-69481':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M Checkpoints"""]),
    'R-RNO-69481':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M Checkpoints"""]),
    'R-SCE-69481':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M Checkpoints"""]),
    'R-SPO-69481':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M Checkpoints"""]),
    'R-SSC-69481':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M Checkpoints"""]),
    'R-XTR-69481':Nto._make([date(2019,  3, 20), '...I...', '..', """G2/M Checkpoints"""]),
    'R-HSA-69541':Nto._make([date(2004,  7,  6), '....P..', '..', """Stabilization of p53"""]),
    'R-BTA-69541':Nto._make([date(2019,  3, 20), '...I...', '..', """Stabilization of p53"""]),
    'R-CEL-69541':Nto._make([date(2019,  3, 20), '...I...', '..', """Stabilization of p53"""]),
    'R-CFA-69541':Nto._make([date(2019,  3, 20), '...I...', '..', """Stabilization of p53"""]),
    'R-DDI-69541':Nto._make([date(2019,  3, 20), '...I...', '..', """Stabilization of p53"""]),
    'R-DME-69541':Nto._make([date(2019,  3, 20), '...I...', '..', """Stabilization of p53"""]),
    'R-DRE-69541':Nto._make([date(2019,  3, 20), '...I...', '..', """Stabilization of p53"""]),
    'R-GGA-69541':Nto._make([date(2019,  3, 20), '...I...', '..', """Stabilization of p53"""]),
    'R-MMU-69541':Nto._make([date(2019,  3, 20), '...I...', '..', """Stabilization of p53"""]),
    'R-RNO-69541':Nto._make([date(2019,  3, 20), '...I...', '..', """Stabilization of p53"""]),
    'R-SPO-69541':Nto._make([date(2019,  3, 20), '...I...', '..', """Stabilization of p53"""]),
    'R-SSC-69541':Nto._make([date(2019,  3, 20), '...I...', '..', """Stabilization of p53"""]),
    'R-XTR-69541':Nto._make([date(2019,  3, 20), '...I...', '..', """Stabilization of p53"""]),
    'R-HSA-69560':Nto._make([date(2004,  7,  6), '....P..', '..', """Transcriptional activation of p53 responsive genes  """]),
    'R-BTA-69560':Nto._make([date(2019,  3, 20), '...I...', '..', """Transcriptional activation of p53 responsive genes  """]),
    'R-DRE-69560':Nto._make([date(2019,  3, 20), '...I...', '..', """Transcriptional activation of p53 responsive genes  """]),
    'R-MMU-69560':Nto._make([date(2019,  3, 20), '...I...', '..', """Transcriptional activation of p53 responsive genes  """]),
    'R-RNO-69560':Nto._make([date(2019,  3, 20), '...I...', '..', """Transcriptional activation of p53 responsive genes  """]),
    'R-SSC-69560':Nto._make([date(2019,  3, 20), '...I...', '..', """Transcriptional activation of p53 responsive genes  """]),
    'R-XTR-69560':Nto._make([date(2019,  3, 20), '...I...', '..', """Transcriptional activation of p53 responsive genes  """]),
    'R-HSA-69563':Nto._make([date(2004,  7,  6), '....P..', 'B.', """p53-Dependent G1 DNA Damage Response"""]),
    'R-BTA-69563':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p53-Dependent G1 DNA Damage Response"""]),
    'R-CEL-69563':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p53-Dependent G1 DNA Damage Response"""]),
    'R-CFA-69563':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p53-Dependent G1 DNA Damage Response"""]),
    'R-DDI-69563':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p53-Dependent G1 DNA Damage Response"""]),
    'R-DME-69563':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p53-Dependent G1 DNA Damage Response"""]),
    'R-DRE-69563':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p53-Dependent G1 DNA Damage Response"""]),
    'R-GGA-69563':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p53-Dependent G1 DNA Damage Response"""]),
    'R-MMU-69563':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p53-Dependent G1 DNA Damage Response"""]),
    'R-RNO-69563':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p53-Dependent G1 DNA Damage Response"""]),
    'R-SPO-69563':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p53-Dependent G1 DNA Damage Response"""]),
    'R-SSC-69563':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p53-Dependent G1 DNA Damage Response"""]),
    'R-XTR-69563':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p53-Dependent G1 DNA Damage Response"""]),
    'R-HSA-69580':Nto._make([date(2004,  7,  6), '....P..', '..', """p53-Dependent G1/S DNA damage checkpoint"""]),
    'R-BTA-69580':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Dependent G1/S DNA damage checkpoint"""]),
    'R-CEL-69580':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Dependent G1/S DNA damage checkpoint"""]),
    'R-CFA-69580':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Dependent G1/S DNA damage checkpoint"""]),
    'R-DDI-69580':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Dependent G1/S DNA damage checkpoint"""]),
    'R-DME-69580':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Dependent G1/S DNA damage checkpoint"""]),
    'R-DRE-69580':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Dependent G1/S DNA damage checkpoint"""]),
    'R-GGA-69580':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Dependent G1/S DNA damage checkpoint"""]),
    'R-MMU-69580':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Dependent G1/S DNA damage checkpoint"""]),
    'R-RNO-69580':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Dependent G1/S DNA damage checkpoint"""]),
    'R-SPO-69580':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Dependent G1/S DNA damage checkpoint"""]),
    'R-SSC-69580':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Dependent G1/S DNA damage checkpoint"""]),
    'R-XTR-69580':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Dependent G1/S DNA damage checkpoint"""]),
    'R-HSA-69601':Nto._make([date(2004,  7,  6), '....P..', '..', """Ubiquitin Mediated Degradation of Phosphorylated Cdc25A"""]),
    'R-BTA-69601':Nto._make([date(2019,  3, 20), '...I...', '..', """Ubiquitin Mediated Degradation of Phosphorylated Cdc25A"""]),
    'R-CEL-69601':Nto._make([date(2019,  3, 20), '...I...', '..', """Ubiquitin Mediated Degradation of Phosphorylated Cdc25A"""]),
    'R-CFA-69601':Nto._make([date(2019,  3, 20), '...I...', '..', """Ubiquitin Mediated Degradation of Phosphorylated Cdc25A"""]),
    'R-DDI-69601':Nto._make([date(2019,  3, 20), '...I...', '..', """Ubiquitin Mediated Degradation of Phosphorylated Cdc25A"""]),
    'R-DME-69601':Nto._make([date(2019,  3, 20), '...I...', '..', """Ubiquitin Mediated Degradation of Phosphorylated Cdc25A"""]),
    'R-DRE-69601':Nto._make([date(2019,  3, 20), '...I...', '..', """Ubiquitin Mediated Degradation of Phosphorylated Cdc25A"""]),
    'R-GGA-69601':Nto._make([date(2019,  3, 20), '...I...', '..', """Ubiquitin Mediated Degradation of Phosphorylated Cdc25A"""]),
    'R-MMU-69601':Nto._make([date(2019,  3, 20), '...I...', '..', """Ubiquitin Mediated Degradation of Phosphorylated Cdc25A"""]),
    'R-RNO-69601':Nto._make([date(2019,  3, 20), '...I...', '..', """Ubiquitin Mediated Degradation of Phosphorylated Cdc25A"""]),
    'R-SCE-69601':Nto._make([date(2019,  3, 20), '...I...', '..', """Ubiquitin Mediated Degradation of Phosphorylated Cdc25A"""]),
    'R-SPO-69601':Nto._make([date(2019,  3, 20), '...I...', '..', """Ubiquitin Mediated Degradation of Phosphorylated Cdc25A"""]),
    'R-SSC-69601':Nto._make([date(2019,  3, 20), '...I...', '..', """Ubiquitin Mediated Degradation of Phosphorylated Cdc25A"""]),
    'R-XTR-69601':Nto._make([date(2019,  3, 20), '...I...', '..', """Ubiquitin Mediated Degradation of Phosphorylated Cdc25A"""]),
    'R-HSA-69610':Nto._make([date(2004,  7,  6), '....P..', '..', """p53-Independent DNA Damage Response"""]),
    'R-BTA-69610':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent DNA Damage Response"""]),
    'R-CEL-69610':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent DNA Damage Response"""]),
    'R-CFA-69610':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent DNA Damage Response"""]),
    'R-DDI-69610':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent DNA Damage Response"""]),
    'R-DME-69610':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent DNA Damage Response"""]),
    'R-DRE-69610':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent DNA Damage Response"""]),
    'R-GGA-69610':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent DNA Damage Response"""]),
    'R-MMU-69610':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent DNA Damage Response"""]),
    'R-RNO-69610':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent DNA Damage Response"""]),
    'R-SCE-69610':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent DNA Damage Response"""]),
    'R-SPO-69610':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent DNA Damage Response"""]),
    'R-SSC-69610':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent DNA Damage Response"""]),
    'R-XTR-69610':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent DNA Damage Response"""]),
    'R-HSA-69613':Nto._make([date(2004,  7,  6), '....P..', '..', """p53-Independent G1/S DNA damage checkpoint"""]),
    'R-BTA-69613':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent G1/S DNA damage checkpoint"""]),
    'R-CEL-69613':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent G1/S DNA damage checkpoint"""]),
    'R-CFA-69613':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent G1/S DNA damage checkpoint"""]),
    'R-DDI-69613':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent G1/S DNA damage checkpoint"""]),
    'R-DME-69613':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent G1/S DNA damage checkpoint"""]),
    'R-DRE-69613':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent G1/S DNA damage checkpoint"""]),
    'R-GGA-69613':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent G1/S DNA damage checkpoint"""]),
    'R-MMU-69613':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent G1/S DNA damage checkpoint"""]),
    'R-RNO-69613':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent G1/S DNA damage checkpoint"""]),
    'R-SCE-69613':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent G1/S DNA damage checkpoint"""]),
    'R-SPO-69613':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent G1/S DNA damage checkpoint"""]),
    'R-SSC-69613':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent G1/S DNA damage checkpoint"""]),
    'R-XTR-69613':Nto._make([date(2019,  3, 20), '...I...', '..', """p53-Independent G1/S DNA damage checkpoint"""]),
    'R-HSA-69615':Nto._make([date(2004,  7,  6), '.......', '..', """G1/S DNA Damage Checkpoints"""]),
    'R-BTA-69615':Nto._make([date(2019,  3, 20), '...I...', '..', """G1/S DNA Damage Checkpoints"""]),
    'R-CEL-69615':Nto._make([date(2019,  3, 20), '...I...', '..', """G1/S DNA Damage Checkpoints"""]),
    'R-CFA-69615':Nto._make([date(2019,  3, 20), '...I...', '..', """G1/S DNA Damage Checkpoints"""]),
    'R-DDI-69615':Nto._make([date(2019,  3, 20), '...I...', '..', """G1/S DNA Damage Checkpoints"""]),
    'R-DME-69615':Nto._make([date(2019,  3, 20), '...I...', '..', """G1/S DNA Damage Checkpoints"""]),
    'R-DRE-69615':Nto._make([date(2019,  3, 20), '...I...', '..', """G1/S DNA Damage Checkpoints"""]),
    'R-GGA-69615':Nto._make([date(2019,  3, 20), '...I...', '..', """G1/S DNA Damage Checkpoints"""]),
    'R-MMU-69615':Nto._make([date(2019,  3, 20), '...I...', '..', """G1/S DNA Damage Checkpoints"""]),
    'R-RNO-69615':Nto._make([date(2019,  3, 20), '...I...', '..', """G1/S DNA Damage Checkpoints"""]),
    'R-SCE-69615':Nto._make([date(2019,  3, 20), '...I...', '..', """G1/S DNA Damage Checkpoints"""]),
    'R-SPO-69615':Nto._make([date(2019,  3, 20), '...I...', '..', """G1/S DNA Damage Checkpoints"""]),
    'R-SSC-69615':Nto._make([date(2019,  3, 20), '...I...', '..', """G1/S DNA Damage Checkpoints"""]),
    'R-XTR-69615':Nto._make([date(2019,  3, 20), '...I...', '..', """G1/S DNA Damage Checkpoints"""]),
    'R-HSA-69618':Nto._make([date(2004,  7,  6), '....P..', 'BC', """Mitotic Spindle Checkpoint"""]),
    'R-BTA-69618':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitotic Spindle Checkpoint"""]),
    'R-CEL-69618':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitotic Spindle Checkpoint"""]),
    'R-CFA-69618':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitotic Spindle Checkpoint"""]),
    'R-DDI-69618':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitotic Spindle Checkpoint"""]),
    'R-DME-69618':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitotic Spindle Checkpoint"""]),
    'R-DRE-69618':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitotic Spindle Checkpoint"""]),
    'R-GGA-69618':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitotic Spindle Checkpoint"""]),
    'R-MMU-69618':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitotic Spindle Checkpoint"""]),
    'R-RNO-69618':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitotic Spindle Checkpoint"""]),
    'R-SCE-69618':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitotic Spindle Checkpoint"""]),
    'R-SPO-69618':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitotic Spindle Checkpoint"""]),
    'R-SSC-69618':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitotic Spindle Checkpoint"""]),
    'R-XTR-69618':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitotic Spindle Checkpoint"""]),
    'R-HSA-69620':Nto._make([date(2005,  1, 24), '..F....', 'B.', """Cell Cycle Checkpoints"""]),
    'R-BTA-69620':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle Checkpoints"""]),
    'R-CEL-69620':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle Checkpoints"""]),
    'R-CFA-69620':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle Checkpoints"""]),
    'R-DDI-69620':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle Checkpoints"""]),
    'R-DME-69620':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle Checkpoints"""]),
    'R-DRE-69620':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle Checkpoints"""]),
    'R-GGA-69620':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle Checkpoints"""]),
    'R-MMU-69620':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle Checkpoints"""]),
    'R-PFA-69620':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle Checkpoints"""]),
    'R-RNO-69620':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle Checkpoints"""]),
    'R-SCE-69620':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle Checkpoints"""]),
    'R-SPO-69620':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle Checkpoints"""]),
    'R-SSC-69620':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle Checkpoints"""]),
    'R-XTR-69620':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell Cycle Checkpoints"""]),
    'R-HSA-69656':Nto._make([date(2006, 11, 16), '....P..', '..', """Cyclin A:Cdk2-associated events at S phase entry"""]),
    'R-BTA-69656':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A:Cdk2-associated events at S phase entry"""]),
    'R-CEL-69656':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A:Cdk2-associated events at S phase entry"""]),
    'R-CFA-69656':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A:Cdk2-associated events at S phase entry"""]),
    'R-DDI-69656':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A:Cdk2-associated events at S phase entry"""]),
    'R-DME-69656':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A:Cdk2-associated events at S phase entry"""]),
    'R-DRE-69656':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A:Cdk2-associated events at S phase entry"""]),
    'R-GGA-69656':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A:Cdk2-associated events at S phase entry"""]),
    'R-MMU-69656':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A:Cdk2-associated events at S phase entry"""]),
    'R-RNO-69656':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A:Cdk2-associated events at S phase entry"""]),
    'R-SCE-69656':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A:Cdk2-associated events at S phase entry"""]),
    'R-SSC-69656':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A:Cdk2-associated events at S phase entry"""]),
    'R-XTR-69656':Nto._make([date(2019,  3, 20), '...I...', '..', """Cyclin A:Cdk2-associated events at S phase entry"""]),
    'R-HSA-69895':Nto._make([date(2004,  7,  6), '....P..', '..', """Transcriptional  activation of  cell cycle inhibitor p21 """]),
    'R-BTA-69895':Nto._make([date(2019,  3, 20), '...I...', '..', """Transcriptional  activation of  cell cycle inhibitor p21 """]),
    'R-DRE-69895':Nto._make([date(2019,  3, 20), '...I...', '..', """Transcriptional  activation of  cell cycle inhibitor p21 """]),
    'R-MMU-69895':Nto._make([date(2019,  3, 20), '...I...', '..', """Transcriptional  activation of  cell cycle inhibitor p21 """]),
    'R-RNO-69895':Nto._make([date(2019,  3, 20), '...I...', '..', """Transcriptional  activation of  cell cycle inhibitor p21 """]),
    'R-SSC-69895':Nto._make([date(2019,  3, 20), '...I...', '..', """Transcriptional  activation of  cell cycle inhibitor p21 """]),
    'R-XTR-69895':Nto._make([date(2019,  3, 20), '...I...', '..', """Transcriptional  activation of  cell cycle inhibitor p21 """]),
    'R-HSA-70171':Nto._make([date(2003,  2,  3), '....P..', 'BC', """Glycolysis"""]),
    'R-BTA-70171':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycolysis"""]),
    'R-CEL-70171':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycolysis"""]),
    'R-CFA-70171':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycolysis"""]),
    'R-DDI-70171':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycolysis"""]),
    'R-DME-70171':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycolysis"""]),
    'R-DRE-70171':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycolysis"""]),
    'R-GGA-70171':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycolysis"""]),
    'R-MMU-70171':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycolysis"""]),
    'R-PFA-70171':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycolysis"""]),
    'R-RNO-70171':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycolysis"""]),
    'R-SCE-70171':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycolysis"""]),
    'R-SPO-70171':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycolysis"""]),
    'R-SSC-70171':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycolysis"""]),
    'R-XTR-70171':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycolysis"""]),
    'R-HSA-70221':Nto._make([date(2003,  3, 16), '....P..', 'BC', """Glycogen breakdown (glycogenolysis)"""]),
    'R-BTA-70221':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycogen breakdown (glycogenolysis)"""]),
    'R-CEL-70221':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycogen breakdown (glycogenolysis)"""]),
    'R-CFA-70221':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycogen breakdown (glycogenolysis)"""]),
    'R-DDI-70221':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycogen breakdown (glycogenolysis)"""]),
    'R-DME-70221':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycogen breakdown (glycogenolysis)"""]),
    'R-DRE-70221':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycogen breakdown (glycogenolysis)"""]),
    'R-GGA-70221':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycogen breakdown (glycogenolysis)"""]),
    'R-MMU-70221':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycogen breakdown (glycogenolysis)"""]),
    'R-PFA-70221':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycogen breakdown (glycogenolysis)"""]),
    'R-RNO-70221':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycogen breakdown (glycogenolysis)"""]),
    'R-SCE-70221':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycogen breakdown (glycogenolysis)"""]),
    'R-SPO-70221':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycogen breakdown (glycogenolysis)"""]),
    'R-SSC-70221':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycogen breakdown (glycogenolysis)"""]),
    'R-XTR-70221':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Glycogen breakdown (glycogenolysis)"""]),
    'R-HSA-70263':Nto._make([date(2003,  2,  3), '....P..', 'B.', """Gluconeogenesis"""]),
    'R-BTA-70263':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gluconeogenesis"""]),
    'R-CEL-70263':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gluconeogenesis"""]),
    'R-CFA-70263':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gluconeogenesis"""]),
    'R-DDI-70263':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gluconeogenesis"""]),
    'R-DME-70263':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gluconeogenesis"""]),
    'R-DRE-70263':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gluconeogenesis"""]),
    'R-GGA-70263':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gluconeogenesis"""]),
    'R-MMU-70263':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gluconeogenesis"""]),
    'R-PFA-70263':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gluconeogenesis"""]),
    'R-RNO-70263':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gluconeogenesis"""]),
    'R-SCE-70263':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gluconeogenesis"""]),
    'R-SPO-70263':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gluconeogenesis"""]),
    'R-SSC-70263':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gluconeogenesis"""]),
    'R-XTR-70263':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gluconeogenesis"""]),
    'R-HSA-70268':Nto._make([date(2003,  2,  3), '....P..', 'B.', """Pyruvate metabolism"""]),
    'R-BTA-70268':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism"""]),
    'R-CEL-70268':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism"""]),
    'R-CFA-70268':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism"""]),
    'R-DDI-70268':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism"""]),
    'R-DME-70268':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism"""]),
    'R-DRE-70268':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism"""]),
    'R-GGA-70268':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism"""]),
    'R-MMU-70268':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism"""]),
    'R-PFA-70268':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism"""]),
    'R-RNO-70268':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism"""]),
    'R-SCE-70268':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism"""]),
    'R-SPO-70268':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism"""]),
    'R-SSC-70268':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism"""]),
    'R-XTR-70268':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism"""]),
    'R-HSA-70326':Nto._make([date(2004,  7,  6), '..F....', 'B.', """Glucose metabolism"""]),
    'R-BTA-70326':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glucose metabolism"""]),
    'R-CEL-70326':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glucose metabolism"""]),
    'R-CFA-70326':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glucose metabolism"""]),
    'R-DDI-70326':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glucose metabolism"""]),
    'R-DME-70326':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glucose metabolism"""]),
    'R-DRE-70326':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glucose metabolism"""]),
    'R-GGA-70326':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glucose metabolism"""]),
    'R-MMU-70326':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glucose metabolism"""]),
    'R-PFA-70326':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glucose metabolism"""]),
    'R-RNO-70326':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glucose metabolism"""]),
    'R-SCE-70326':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glucose metabolism"""]),
    'R-SPO-70326':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glucose metabolism"""]),
    'R-SSC-70326':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glucose metabolism"""]),
    'R-XTR-70326':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glucose metabolism"""]),
    'R-HSA-70350':Nto._make([date(2004,  7,  6), '....P..', 'B.', """Fructose catabolism"""]),
    'R-BTA-70350':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose catabolism"""]),
    'R-CEL-70350':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose catabolism"""]),
    'R-CFA-70350':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose catabolism"""]),
    'R-DDI-70350':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose catabolism"""]),
    'R-DME-70350':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose catabolism"""]),
    'R-DRE-70350':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose catabolism"""]),
    'R-GGA-70350':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose catabolism"""]),
    'R-MMU-70350':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose catabolism"""]),
    'R-PFA-70350':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose catabolism"""]),
    'R-RNO-70350':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose catabolism"""]),
    'R-SCE-70350':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose catabolism"""]),
    'R-SPO-70350':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose catabolism"""]),
    'R-SSC-70350':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose catabolism"""]),
    'R-XTR-70350':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose catabolism"""]),
    'R-HSA-70370':Nto._make([date(2004,  7,  6), '..F.PB.', 'BC', """Galactose catabolism"""]),
    'R-BTA-70370':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Galactose catabolism"""]),
    'R-CEL-70370':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Galactose catabolism"""]),
    'R-CFA-70370':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Galactose catabolism"""]),
    'R-DDI-70370':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Galactose catabolism"""]),
    'R-DME-70370':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Galactose catabolism"""]),
    'R-DRE-70370':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Galactose catabolism"""]),
    'R-GGA-70370':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Galactose catabolism"""]),
    'R-MMU-70370':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Galactose catabolism"""]),
    'R-PFA-70370':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Galactose catabolism"""]),
    'R-RNO-70370':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Galactose catabolism"""]),
    'R-SCE-70370':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Galactose catabolism"""]),
    'R-SPO-70370':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Galactose catabolism"""]),
    'R-SSC-70370':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Galactose catabolism"""]),
    'R-XTR-70370':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Galactose catabolism"""]),
    'R-HSA-70614':Nto._make([date(2003,  5,  4), '..f....', 'B.', """Amino acid synthesis and interconversion (transamination)"""]),
    'R-BTA-70614':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Amino acid synthesis and interconversion (transamination)"""]),
    'R-CEL-70614':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Amino acid synthesis and interconversion (transamination)"""]),
    'R-CFA-70614':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Amino acid synthesis and interconversion (transamination)"""]),
    'R-DDI-70614':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Amino acid synthesis and interconversion (transamination)"""]),
    'R-DME-70614':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Amino acid synthesis and interconversion (transamination)"""]),
    'R-DRE-70614':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Amino acid synthesis and interconversion (transamination)"""]),
    'R-GGA-70614':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Amino acid synthesis and interconversion (transamination)"""]),
    'R-MMU-70614':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Amino acid synthesis and interconversion (transamination)"""]),
    'R-PFA-70614':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Amino acid synthesis and interconversion (transamination)"""]),
    'R-RNO-70614':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Amino acid synthesis and interconversion (transamination)"""]),
    'R-SCE-70614':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Amino acid synthesis and interconversion (transamination)"""]),
    'R-SPO-70614':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Amino acid synthesis and interconversion (transamination)"""]),
    'R-SSC-70614':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Amino acid synthesis and interconversion (transamination)"""]),
    'R-XTR-70614':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Amino acid synthesis and interconversion (transamination)"""]),
    'R-HSA-70635':Nto._make([date(2003,  3, 31), '.....B.', 'B.', """Urea cycle"""]),
    'R-BTA-70635':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Urea cycle"""]),
    'R-CEL-70635':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Urea cycle"""]),
    'R-CFA-70635':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Urea cycle"""]),
    'R-DDI-70635':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Urea cycle"""]),
    'R-DME-70635':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Urea cycle"""]),
    'R-DRE-70635':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Urea cycle"""]),
    'R-GGA-70635':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Urea cycle"""]),
    'R-MMU-70635':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Urea cycle"""]),
    'R-PFA-70635':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Urea cycle"""]),
    'R-RNO-70635':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Urea cycle"""]),
    'R-SCE-70635':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Urea cycle"""]),
    'R-SPO-70635':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Urea cycle"""]),
    'R-SSC-70635':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Urea cycle"""]),
    'R-XTR-70635':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Urea cycle"""]),
    'R-HSA-70688':Nto._make([date(2003,  5,  4), '.....B.', 'BC', """Proline catabolism"""]),
    'R-BTA-70688':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Proline catabolism"""]),
    'R-CEL-70688':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Proline catabolism"""]),
    'R-CFA-70688':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Proline catabolism"""]),
    'R-DDI-70688':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Proline catabolism"""]),
    'R-DME-70688':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Proline catabolism"""]),
    'R-DRE-70688':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Proline catabolism"""]),
    'R-GGA-70688':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Proline catabolism"""]),
    'R-MMU-70688':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Proline catabolism"""]),
    'R-RNO-70688':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Proline catabolism"""]),
    'R-SCE-70688':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Proline catabolism"""]),
    'R-SPO-70688':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Proline catabolism"""]),
    'R-SSC-70688':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Proline catabolism"""]),
    'R-XTR-70688':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Proline catabolism"""]),
    'R-HSA-70895':Nto._make([date(2003,  5,  4), '..f..B.', 'B.', """Branched-chain amino acid catabolism"""]),
    'R-BTA-70895':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Branched-chain amino acid catabolism"""]),
    'R-CEL-70895':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Branched-chain amino acid catabolism"""]),
    'R-CFA-70895':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Branched-chain amino acid catabolism"""]),
    'R-DDI-70895':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Branched-chain amino acid catabolism"""]),
    'R-DME-70895':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Branched-chain amino acid catabolism"""]),
    'R-DRE-70895':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Branched-chain amino acid catabolism"""]),
    'R-GGA-70895':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Branched-chain amino acid catabolism"""]),
    'R-MMU-70895':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Branched-chain amino acid catabolism"""]),
    'R-PFA-70895':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Branched-chain amino acid catabolism"""]),
    'R-RNO-70895':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Branched-chain amino acid catabolism"""]),
    'R-SCE-70895':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Branched-chain amino acid catabolism"""]),
    'R-SPO-70895':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Branched-chain amino acid catabolism"""]),
    'R-SSC-70895':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Branched-chain amino acid catabolism"""]),
    'R-XTR-70895':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Branched-chain amino acid catabolism"""]),
    'R-HSA-70921':Nto._make([date(2003,  5,  4), '....P..', 'BC', """Histidine catabolism"""]),
    'R-BTA-70921':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Histidine catabolism"""]),
    'R-CEL-70921':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Histidine catabolism"""]),
    'R-CFA-70921':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Histidine catabolism"""]),
    'R-DDI-70921':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Histidine catabolism"""]),
    'R-DME-70921':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Histidine catabolism"""]),
    'R-DRE-70921':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Histidine catabolism"""]),
    'R-GGA-70921':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Histidine catabolism"""]),
    'R-MMU-70921':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Histidine catabolism"""]),
    'R-PFA-70921':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Histidine catabolism"""]),
    'R-RNO-70921':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Histidine catabolism"""]),
    'R-SCE-70921':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Histidine catabolism"""]),
    'R-SPO-70921':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Histidine catabolism"""]),
    'R-SSC-70921':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Histidine catabolism"""]),
    'R-XTR-70921':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Histidine catabolism"""]),
    'R-HSA-71032':Nto._make([date(2005,  6, 13), '.....B.', 'BC', """Propionyl-CoA catabolism"""]),
    'R-BTA-71032':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Propionyl-CoA catabolism"""]),
    'R-CEL-71032':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Propionyl-CoA catabolism"""]),
    'R-CFA-71032':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Propionyl-CoA catabolism"""]),
    'R-DDI-71032':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Propionyl-CoA catabolism"""]),
    'R-DRE-71032':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Propionyl-CoA catabolism"""]),
    'R-GGA-71032':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Propionyl-CoA catabolism"""]),
    'R-MMU-71032':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Propionyl-CoA catabolism"""]),
    'R-RNO-71032':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Propionyl-CoA catabolism"""]),
    'R-SSC-71032':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Propionyl-CoA catabolism"""]),
    'R-XTR-71032':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Propionyl-CoA catabolism"""]),
    'R-HSA-71064':Nto._make([date(2003,  5,  4), '....PB.', 'B.', """Lysine catabolism"""]),
    'R-BTA-71064':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lysine catabolism"""]),
    'R-CEL-71064':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lysine catabolism"""]),
    'R-CFA-71064':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lysine catabolism"""]),
    'R-DDI-71064':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lysine catabolism"""]),
    'R-DME-71064':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lysine catabolism"""]),
    'R-DRE-71064':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lysine catabolism"""]),
    'R-GGA-71064':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lysine catabolism"""]),
    'R-MMU-71064':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lysine catabolism"""]),
    'R-PFA-71064':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lysine catabolism"""]),
    'R-RNO-71064':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lysine catabolism"""]),
    'R-SCE-71064':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lysine catabolism"""]),
    'R-SPO-71064':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lysine catabolism"""]),
    'R-SSC-71064':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lysine catabolism"""]),
    'R-XTR-71064':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lysine catabolism"""]),
    'R-HSA-71182':Nto._make([date(2003,  5,  4), '.....B.', 'B.', """Phenylalanine and tyrosine catabolism"""]),
    'R-BTA-71182':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phenylalanine and tyrosine catabolism"""]),
    'R-CEL-71182':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phenylalanine and tyrosine catabolism"""]),
    'R-CFA-71182':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phenylalanine and tyrosine catabolism"""]),
    'R-DDI-71182':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phenylalanine and tyrosine catabolism"""]),
    'R-DME-71182':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phenylalanine and tyrosine catabolism"""]),
    'R-DRE-71182':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phenylalanine and tyrosine catabolism"""]),
    'R-GGA-71182':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phenylalanine and tyrosine catabolism"""]),
    'R-MMU-71182':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phenylalanine and tyrosine catabolism"""]),
    'R-PFA-71182':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phenylalanine and tyrosine catabolism"""]),
    'R-RNO-71182':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phenylalanine and tyrosine catabolism"""]),
    'R-SCE-71182':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phenylalanine and tyrosine catabolism"""]),
    'R-SPO-71182':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phenylalanine and tyrosine catabolism"""]),
    'R-SSC-71182':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phenylalanine and tyrosine catabolism"""]),
    'R-XTR-71182':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phenylalanine and tyrosine catabolism"""]),
    'R-HSA-71240':Nto._make([date(2003,  5,  4), '....P..', 'BC', """Tryptophan catabolism"""]),
    'R-BTA-71240':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tryptophan catabolism"""]),
    'R-CEL-71240':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tryptophan catabolism"""]),
    'R-CFA-71240':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tryptophan catabolism"""]),
    'R-DDI-71240':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tryptophan catabolism"""]),
    'R-DME-71240':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tryptophan catabolism"""]),
    'R-DRE-71240':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tryptophan catabolism"""]),
    'R-GGA-71240':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tryptophan catabolism"""]),
    'R-MMU-71240':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tryptophan catabolism"""]),
    'R-RNO-71240':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tryptophan catabolism"""]),
    'R-SCE-71240':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tryptophan catabolism"""]),
    'R-SPO-71240':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tryptophan catabolism"""]),
    'R-SSC-71240':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tryptophan catabolism"""]),
    'R-XTR-71240':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tryptophan catabolism"""]),
    'R-HSA-71262':Nto._make([date(2003,  5,  4), '....P..', 'BC', """Carnitine synthesis"""]),
    'R-BTA-71262':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Carnitine synthesis"""]),
    'R-CEL-71262':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Carnitine synthesis"""]),
    'R-CFA-71262':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Carnitine synthesis"""]),
    'R-DME-71262':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Carnitine synthesis"""]),
    'R-DRE-71262':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Carnitine synthesis"""]),
    'R-GGA-71262':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Carnitine synthesis"""]),
    'R-MMU-71262':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Carnitine synthesis"""]),
    'R-RNO-71262':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Carnitine synthesis"""]),
    'R-SCE-71262':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Carnitine synthesis"""]),
    'R-SPO-71262':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Carnitine synthesis"""]),
    'R-SSC-71262':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Carnitine synthesis"""]),
    'R-XTR-71262':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Carnitine synthesis"""]),
    'R-HSA-71288':Nto._make([date(2003,  5,  4), '....P..', 'BC', """Creatine metabolism"""]),
    'R-BTA-71288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Creatine metabolism"""]),
    'R-CEL-71288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Creatine metabolism"""]),
    'R-CFA-71288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Creatine metabolism"""]),
    'R-DME-71288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Creatine metabolism"""]),
    'R-DRE-71288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Creatine metabolism"""]),
    'R-GGA-71288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Creatine metabolism"""]),
    'R-MMU-71288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Creatine metabolism"""]),
    'R-PFA-71288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Creatine metabolism"""]),
    'R-RNO-71288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Creatine metabolism"""]),
    'R-SCE-71288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Creatine metabolism"""]),
    'R-SPO-71288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Creatine metabolism"""]),
    'R-SSC-71288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Creatine metabolism"""]),
    'R-XTR-71288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Creatine metabolism"""]),
    'R-HSA-71291':Nto._make([date(2003,  5,  4), '..f....', 'B.', """Metabolism of amino acids and derivatives"""]),
    'R-BTA-71291':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of amino acids and derivatives"""]),
    'R-CEL-71291':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of amino acids and derivatives"""]),
    'R-CFA-71291':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of amino acids and derivatives"""]),
    'R-DDI-71291':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of amino acids and derivatives"""]),
    'R-DME-71291':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of amino acids and derivatives"""]),
    'R-DRE-71291':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of amino acids and derivatives"""]),
    'R-GGA-71291':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of amino acids and derivatives"""]),
    'R-MMU-71291':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of amino acids and derivatives"""]),
    'R-PFA-71291':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of amino acids and derivatives"""]),
    'R-RNO-71291':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of amino acids and derivatives"""]),
    'R-SCE-71291':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of amino acids and derivatives"""]),
    'R-SPO-71291':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of amino acids and derivatives"""]),
    'R-SSC-71291':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of amino acids and derivatives"""]),
    'R-XTR-71291':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of amino acids and derivatives"""]),
    'R-HSA-71336':Nto._make([date(2004,  7,  6), '..f.P..', 'BC', """Pentose phosphate pathway"""]),
    'R-BTA-71336':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pentose phosphate pathway"""]),
    'R-CEL-71336':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pentose phosphate pathway"""]),
    'R-CFA-71336':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pentose phosphate pathway"""]),
    'R-DDI-71336':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pentose phosphate pathway"""]),
    'R-DME-71336':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pentose phosphate pathway"""]),
    'R-DRE-71336':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pentose phosphate pathway"""]),
    'R-GGA-71336':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pentose phosphate pathway"""]),
    'R-MMU-71336':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pentose phosphate pathway"""]),
    'R-PFA-71336':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pentose phosphate pathway"""]),
    'R-RNO-71336':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pentose phosphate pathway"""]),
    'R-SCE-71336':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pentose phosphate pathway"""]),
    'R-SPO-71336':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pentose phosphate pathway"""]),
    'R-SSC-71336':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pentose phosphate pathway"""]),
    'R-XTR-71336':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pentose phosphate pathway"""]),
    'R-HSA-71384':Nto._make([date(2008,  6, 30), '....P..', 'BC', """Ethanol oxidation"""]),
    'R-BTA-71384':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ethanol oxidation"""]),
    'R-CEL-71384':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ethanol oxidation"""]),
    'R-CFA-71384':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ethanol oxidation"""]),
    'R-DDI-71384':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ethanol oxidation"""]),
    'R-DME-71384':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ethanol oxidation"""]),
    'R-DRE-71384':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ethanol oxidation"""]),
    'R-GGA-71384':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ethanol oxidation"""]),
    'R-MMU-71384':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ethanol oxidation"""]),
    'R-PFA-71384':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ethanol oxidation"""]),
    'R-RNO-71384':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ethanol oxidation"""]),
    'R-SCE-71384':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ethanol oxidation"""]),
    'R-SPO-71384':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ethanol oxidation"""]),
    'R-SSC-71384':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ethanol oxidation"""]),
    'R-XTR-71384':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ethanol oxidation"""]),
    'R-HSA-71387':Nto._make([date(2003,  2,  3), '..F.P..', 'B.', """Metabolism of carbohydrates"""]),
    'R-BTA-71387':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of carbohydrates"""]),
    'R-CEL-71387':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of carbohydrates"""]),
    'R-CFA-71387':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of carbohydrates"""]),
    'R-DDI-71387':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of carbohydrates"""]),
    'R-DME-71387':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of carbohydrates"""]),
    'R-DRE-71387':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of carbohydrates"""]),
    'R-GGA-71387':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of carbohydrates"""]),
    'R-MMU-71387':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of carbohydrates"""]),
    'R-PFA-71387':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of carbohydrates"""]),
    'R-RNO-71387':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of carbohydrates"""]),
    'R-SCE-71387':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of carbohydrates"""]),
    'R-SPO-71387':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of carbohydrates"""]),
    'R-SSC-71387':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of carbohydrates"""]),
    'R-XTR-71387':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of carbohydrates"""]),
    'R-HSA-71403':Nto._make([date(2003,  2,  6), '....P..', 'BC', """Citric acid cycle (TCA cycle)"""]),
    'R-BTA-71403':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Citric acid cycle (TCA cycle)"""]),
    'R-CEL-71403':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Citric acid cycle (TCA cycle)"""]),
    'R-CFA-71403':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Citric acid cycle (TCA cycle)"""]),
    'R-DDI-71403':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Citric acid cycle (TCA cycle)"""]),
    'R-DME-71403':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Citric acid cycle (TCA cycle)"""]),
    'R-DRE-71403':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Citric acid cycle (TCA cycle)"""]),
    'R-GGA-71403':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Citric acid cycle (TCA cycle)"""]),
    'R-MMU-71403':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Citric acid cycle (TCA cycle)"""]),
    'R-PFA-71403':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Citric acid cycle (TCA cycle)"""]),
    'R-RNO-71403':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Citric acid cycle (TCA cycle)"""]),
    'R-SCE-71403':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Citric acid cycle (TCA cycle)"""]),
    'R-SPO-71403':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Citric acid cycle (TCA cycle)"""]),
    'R-SSC-71403':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Citric acid cycle (TCA cycle)"""]),
    'R-XTR-71403':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Citric acid cycle (TCA cycle)"""]),
    'R-HSA-71406':Nto._make([date(2003,  2,  3), '.......', 'B.', """Pyruvate metabolism and Citric Acid (TCA) cycle"""]),
    'R-BTA-71406':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism and Citric Acid (TCA) cycle"""]),
    'R-CEL-71406':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism and Citric Acid (TCA) cycle"""]),
    'R-CFA-71406':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism and Citric Acid (TCA) cycle"""]),
    'R-DDI-71406':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism and Citric Acid (TCA) cycle"""]),
    'R-DME-71406':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism and Citric Acid (TCA) cycle"""]),
    'R-DRE-71406':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism and Citric Acid (TCA) cycle"""]),
    'R-GGA-71406':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism and Citric Acid (TCA) cycle"""]),
    'R-MMU-71406':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism and Citric Acid (TCA) cycle"""]),
    'R-PFA-71406':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism and Citric Acid (TCA) cycle"""]),
    'R-RNO-71406':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism and Citric Acid (TCA) cycle"""]),
    'R-SCE-71406':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism and Citric Acid (TCA) cycle"""]),
    'R-SPO-71406':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism and Citric Acid (TCA) cycle"""]),
    'R-SSC-71406':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism and Citric Acid (TCA) cycle"""]),
    'R-XTR-71406':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyruvate metabolism and Citric Acid (TCA) cycle"""]),
    'R-HSA-71737':Nto._make([date(2010,  3, 16), '..f.P..', 'BC', """Pyrophosphate hydrolysis"""]),
    'R-BTA-71737':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pyrophosphate hydrolysis"""]),
    'R-CEL-71737':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pyrophosphate hydrolysis"""]),
    'R-CFA-71737':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pyrophosphate hydrolysis"""]),
    'R-DDI-71737':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pyrophosphate hydrolysis"""]),
    'R-DME-71737':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pyrophosphate hydrolysis"""]),
    'R-DRE-71737':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pyrophosphate hydrolysis"""]),
    'R-GGA-71737':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pyrophosphate hydrolysis"""]),
    'R-MMU-71737':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pyrophosphate hydrolysis"""]),
    'R-PFA-71737':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pyrophosphate hydrolysis"""]),
    'R-RNO-71737':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pyrophosphate hydrolysis"""]),
    'R-SCE-71737':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pyrophosphate hydrolysis"""]),
    'R-SPO-71737':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pyrophosphate hydrolysis"""]),
    'R-SSC-71737':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pyrophosphate hydrolysis"""]),
    'R-XTR-71737':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Pyrophosphate hydrolysis"""]),
    'R-HSA-72086':Nto._make([date(2004,  7,  6), '..F.P..', 'BC', """mRNA Capping"""]),
    'R-BTA-72086':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Capping"""]),
    'R-CEL-72086':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Capping"""]),
    'R-CFA-72086':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Capping"""]),
    'R-DDI-72086':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Capping"""]),
    'R-DME-72086':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Capping"""]),
    'R-DRE-72086':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Capping"""]),
    'R-GGA-72086':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Capping"""]),
    'R-MMU-72086':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Capping"""]),
    'R-PFA-72086':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Capping"""]),
    'R-RNO-72086':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Capping"""]),
    'R-SCE-72086':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Capping"""]),
    'R-SPO-72086':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Capping"""]),
    'R-SSC-72086':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Capping"""]),
    'R-XTR-72086':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Capping"""]),
    'R-HSA-72163':Nto._make([date(2004,  7,  6), '.......', 'BC', """mRNA Splicing - Major Pathway"""]),
    'R-BTA-72163':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Major Pathway"""]),
    'R-CEL-72163':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Major Pathway"""]),
    'R-CFA-72163':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Major Pathway"""]),
    'R-DDI-72163':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Major Pathway"""]),
    'R-DME-72163':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Major Pathway"""]),
    'R-DRE-72163':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Major Pathway"""]),
    'R-GGA-72163':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Major Pathway"""]),
    'R-MMU-72163':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Major Pathway"""]),
    'R-RNO-72163':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Major Pathway"""]),
    'R-SPO-72163':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Major Pathway"""]),
    'R-SSC-72163':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Major Pathway"""]),
    'R-XTR-72163':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Major Pathway"""]),
    'R-HSA-72165':Nto._make([date(2003, 11, 25), '....P..', 'BC', """mRNA Splicing - Minor Pathway"""]),
    'R-BTA-72165':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Minor Pathway"""]),
    'R-CEL-72165':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Minor Pathway"""]),
    'R-CFA-72165':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Minor Pathway"""]),
    'R-DDI-72165':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Minor Pathway"""]),
    'R-DME-72165':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Minor Pathway"""]),
    'R-DRE-72165':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Minor Pathway"""]),
    'R-GGA-72165':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Minor Pathway"""]),
    'R-MMU-72165':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Minor Pathway"""]),
    'R-RNO-72165':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Minor Pathway"""]),
    'R-SPO-72165':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Minor Pathway"""]),
    'R-SSC-72165':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Minor Pathway"""]),
    'R-XTR-72165':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing - Minor Pathway"""]),
    'R-HSA-72172':Nto._make([date(2004,  7,  6), '....P..', 'BC', """mRNA Splicing"""]),
    'R-BTA-72172':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing"""]),
    'R-CEL-72172':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing"""]),
    'R-CFA-72172':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing"""]),
    'R-DDI-72172':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing"""]),
    'R-DME-72172':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing"""]),
    'R-DRE-72172':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing"""]),
    'R-GGA-72172':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing"""]),
    'R-MMU-72172':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing"""]),
    'R-RNO-72172':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing"""]),
    'R-SPO-72172':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing"""]),
    'R-SSC-72172':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing"""]),
    'R-XTR-72172':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Splicing"""]),
    'R-HSA-72187':Nto._make([date(2004,  7,  6), '....P..', 'BC', """mRNA 3'-end processing"""]),
    'R-BTA-72187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA 3'-end processing"""]),
    'R-CEL-72187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA 3'-end processing"""]),
    'R-CFA-72187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA 3'-end processing"""]),
    'R-DME-72187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA 3'-end processing"""]),
    'R-DRE-72187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA 3'-end processing"""]),
    'R-GGA-72187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA 3'-end processing"""]),
    'R-MMU-72187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA 3'-end processing"""]),
    'R-RNO-72187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA 3'-end processing"""]),
    'R-SPO-72187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA 3'-end processing"""]),
    'R-SSC-72187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA 3'-end processing"""]),
    'R-XTR-72187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA 3'-end processing"""]),
    'R-HSA-72200':Nto._make([date(2004,  7,  6), '....P..', 'BC', """mRNA Editing: C to U Conversion"""]),
    'R-BTA-72200':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Editing: C to U Conversion"""]),
    'R-CFA-72200':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Editing: C to U Conversion"""]),
    'R-DRE-72200':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Editing: C to U Conversion"""]),
    'R-GGA-72200':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Editing: C to U Conversion"""]),
    'R-MMU-72200':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Editing: C to U Conversion"""]),
    'R-RNO-72200':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Editing: C to U Conversion"""]),
    'R-SSC-72200':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Editing: C to U Conversion"""]),
    'R-XTR-72200':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Editing: C to U Conversion"""]),
    'R-HSA-72202':Nto._make([date(2004,  7,  6), '.......', 'BC', """Transport of Mature Transcript to Cytoplasm"""]),
    'R-BTA-72202':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature Transcript to Cytoplasm"""]),
    'R-CEL-72202':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature Transcript to Cytoplasm"""]),
    'R-CFA-72202':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature Transcript to Cytoplasm"""]),
    'R-DME-72202':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature Transcript to Cytoplasm"""]),
    'R-DRE-72202':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature Transcript to Cytoplasm"""]),
    'R-GGA-72202':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature Transcript to Cytoplasm"""]),
    'R-MMU-72202':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature Transcript to Cytoplasm"""]),
    'R-RNO-72202':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature Transcript to Cytoplasm"""]),
    'R-SPO-72202':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature Transcript to Cytoplasm"""]),
    'R-SSC-72202':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature Transcript to Cytoplasm"""]),
    'R-XTR-72202':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature Transcript to Cytoplasm"""]),
    'R-HSA-72203':Nto._make([date(2004,  7,  6), '..f....', '.C', """Processing of Capped Intron-Containing Pre-mRNA"""]),
    'R-BTA-72203':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Processing of Capped Intron-Containing Pre-mRNA"""]),
    'R-CEL-72203':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Processing of Capped Intron-Containing Pre-mRNA"""]),
    'R-CFA-72203':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Processing of Capped Intron-Containing Pre-mRNA"""]),
    'R-DDI-72203':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Processing of Capped Intron-Containing Pre-mRNA"""]),
    'R-DME-72203':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Processing of Capped Intron-Containing Pre-mRNA"""]),
    'R-DRE-72203':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Processing of Capped Intron-Containing Pre-mRNA"""]),
    'R-GGA-72203':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Processing of Capped Intron-Containing Pre-mRNA"""]),
    'R-MMU-72203':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Processing of Capped Intron-Containing Pre-mRNA"""]),
    'R-PFA-72203':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Processing of Capped Intron-Containing Pre-mRNA"""]),
    'R-RNO-72203':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Processing of Capped Intron-Containing Pre-mRNA"""]),
    'R-SPO-72203':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Processing of Capped Intron-Containing Pre-mRNA"""]),
    'R-SSC-72203':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Processing of Capped Intron-Containing Pre-mRNA"""]),
    'R-XTR-72203':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Processing of Capped Intron-Containing Pre-mRNA"""]),
    'R-HSA-72306':Nto._make([date(2015,  9, 22), '..F.P..', 'B.', """tRNA processing"""]),
    'R-HSA-72312':Nto._make([date(2016,  3, 23), '..f.P..', 'B.', """rRNA processing"""]),
    'R-BTA-72312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing"""]),
    'R-CEL-72312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing"""]),
    'R-CFA-72312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing"""]),
    'R-DDI-72312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing"""]),
    'R-DME-72312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing"""]),
    'R-DRE-72312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing"""]),
    'R-GGA-72312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing"""]),
    'R-MMU-72312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing"""]),
    'R-RNO-72312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing"""]),
    'R-SCE-72312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing"""]),
    'R-SPO-72312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing"""]),
    'R-SSC-72312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing"""]),
    'R-XTR-72312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing"""]),
    'R-HSA-72613':Nto._make([date(2004,  7,  6), '..f.P..', 'B.', """Eukaryotic Translation Initiation"""]),
    'R-BTA-72613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Eukaryotic Translation Initiation"""]),
    'R-CEL-72613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Eukaryotic Translation Initiation"""]),
    'R-CFA-72613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Eukaryotic Translation Initiation"""]),
    'R-DDI-72613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Eukaryotic Translation Initiation"""]),
    'R-DME-72613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Eukaryotic Translation Initiation"""]),
    'R-DRE-72613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Eukaryotic Translation Initiation"""]),
    'R-GGA-72613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Eukaryotic Translation Initiation"""]),
    'R-MMU-72613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Eukaryotic Translation Initiation"""]),
    'R-PFA-72613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Eukaryotic Translation Initiation"""]),
    'R-RNO-72613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Eukaryotic Translation Initiation"""]),
    'R-SCE-72613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Eukaryotic Translation Initiation"""]),
    'R-SPO-72613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Eukaryotic Translation Initiation"""]),
    'R-SSC-72613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Eukaryotic Translation Initiation"""]),
    'R-XTR-72613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Eukaryotic Translation Initiation"""]),
    'R-HSA-72649':Nto._make([date(2004,  7,  6), '....P..', '.C', """Translation initiation complex formation"""]),
    'R-BTA-72649':Nto._make([date(2019,  3, 20), '...I...', '.C', """Translation initiation complex formation"""]),
    'R-CEL-72649':Nto._make([date(2019,  3, 20), '...I...', '.C', """Translation initiation complex formation"""]),
    'R-CFA-72649':Nto._make([date(2019,  3, 20), '...I...', '.C', """Translation initiation complex formation"""]),
    'R-DDI-72649':Nto._make([date(2019,  3, 20), '...I...', '.C', """Translation initiation complex formation"""]),
    'R-DME-72649':Nto._make([date(2019,  3, 20), '...I...', '.C', """Translation initiation complex formation"""]),
    'R-MMU-72649':Nto._make([date(2019,  3, 20), '...I...', '.C', """Translation initiation complex formation"""]),
    'R-RNO-72649':Nto._make([date(2019,  3, 20), '...I...', '.C', """Translation initiation complex formation"""]),
    'R-SPO-72649':Nto._make([date(2019,  3, 20), '...I...', '.C', """Translation initiation complex formation"""]),
    'R-SSC-72649':Nto._make([date(2019,  3, 20), '...I...', '.C', """Translation initiation complex formation"""]),
    'R-XTR-72649':Nto._make([date(2019,  3, 20), '...I...', '.C', """Translation initiation complex formation"""]),
    'R-HSA-72662':Nto._make([date(2004,  7,  6), '....P..', '.C', """Activation of the mRNA upon binding of the cap-binding complex and eIFs, and subsequent binding to 43S"""]),
    'R-BTA-72662':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the mRNA upon binding of the cap-binding complex and eIFs, and subsequent binding to 43S"""]),
    'R-CEL-72662':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the mRNA upon binding of the cap-binding complex and eIFs, and subsequent binding to 43S"""]),
    'R-CFA-72662':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the mRNA upon binding of the cap-binding complex and eIFs, and subsequent binding to 43S"""]),
    'R-DDI-72662':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the mRNA upon binding of the cap-binding complex and eIFs, and subsequent binding to 43S"""]),
    'R-DME-72662':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the mRNA upon binding of the cap-binding complex and eIFs, and subsequent binding to 43S"""]),
    'R-GGA-72662':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the mRNA upon binding of the cap-binding complex and eIFs, and subsequent binding to 43S"""]),
    'R-MMU-72662':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the mRNA upon binding of the cap-binding complex and eIFs, and subsequent binding to 43S"""]),
    'R-RNO-72662':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the mRNA upon binding of the cap-binding complex and eIFs, and subsequent binding to 43S"""]),
    'R-SCE-72662':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the mRNA upon binding of the cap-binding complex and eIFs, and subsequent binding to 43S"""]),
    'R-SPO-72662':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the mRNA upon binding of the cap-binding complex and eIFs, and subsequent binding to 43S"""]),
    'R-SSC-72662':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the mRNA upon binding of the cap-binding complex and eIFs, and subsequent binding to 43S"""]),
    'R-XTR-72662':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of the mRNA upon binding of the cap-binding complex and eIFs, and subsequent binding to 43S"""]),
    'R-HSA-72689':Nto._make([date(2004,  7,  6), '.......', '.C', """Formation of a pool of free 40S subunits"""]),
    'R-BTA-72689':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of a pool of free 40S subunits"""]),
    'R-CEL-72689':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of a pool of free 40S subunits"""]),
    'R-CFA-72689':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of a pool of free 40S subunits"""]),
    'R-DDI-72689':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of a pool of free 40S subunits"""]),
    'R-DME-72689':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of a pool of free 40S subunits"""]),
    'R-MMU-72689':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of a pool of free 40S subunits"""]),
    'R-PFA-72689':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of a pool of free 40S subunits"""]),
    'R-RNO-72689':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of a pool of free 40S subunits"""]),
    'R-SCE-72689':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of a pool of free 40S subunits"""]),
    'R-SPO-72689':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of a pool of free 40S subunits"""]),
    'R-SSC-72689':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of a pool of free 40S subunits"""]),
    'R-XTR-72689':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of a pool of free 40S subunits"""]),
    'R-HSA-72695':Nto._make([date(2004,  7,  6), '....PB.', '.C', """Formation of the ternary complex, and subsequently, the 43S complex"""]),
    'R-CEL-72695':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of the ternary complex, and subsequently, the 43S complex"""]),
    'R-CFA-72695':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of the ternary complex, and subsequently, the 43S complex"""]),
    'R-DDI-72695':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of the ternary complex, and subsequently, the 43S complex"""]),
    'R-DME-72695':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of the ternary complex, and subsequently, the 43S complex"""]),
    'R-DRE-72695':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of the ternary complex, and subsequently, the 43S complex"""]),
    'R-GGA-72695':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of the ternary complex, and subsequently, the 43S complex"""]),
    'R-MMU-72695':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of the ternary complex, and subsequently, the 43S complex"""]),
    'R-PFA-72695':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of the ternary complex, and subsequently, the 43S complex"""]),
    'R-RNO-72695':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of the ternary complex, and subsequently, the 43S complex"""]),
    'R-SCE-72695':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of the ternary complex, and subsequently, the 43S complex"""]),
    'R-SPO-72695':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of the ternary complex, and subsequently, the 43S complex"""]),
    'R-HSA-72702':Nto._make([date(2004,  7,  6), '....PB.', '..', """Ribosomal scanning and start codon recognition"""]),
    'R-BTA-72702':Nto._make([date(2019,  3, 20), '...I...', '..', """Ribosomal scanning and start codon recognition"""]),
    'R-CEL-72702':Nto._make([date(2019,  3, 20), '...I...', '..', """Ribosomal scanning and start codon recognition"""]),
    'R-CFA-72702':Nto._make([date(2019,  3, 20), '...I...', '..', """Ribosomal scanning and start codon recognition"""]),
    'R-DDI-72702':Nto._make([date(2019,  3, 20), '...I...', '..', """Ribosomal scanning and start codon recognition"""]),
    'R-DME-72702':Nto._make([date(2019,  3, 20), '...I...', '..', """Ribosomal scanning and start codon recognition"""]),
    'R-DRE-72702':Nto._make([date(2019,  3, 20), '...I...', '..', """Ribosomal scanning and start codon recognition"""]),
    'R-GGA-72702':Nto._make([date(2019,  3, 20), '...I...', '..', """Ribosomal scanning and start codon recognition"""]),
    'R-MMU-72702':Nto._make([date(2019,  3, 20), '...I...', '..', """Ribosomal scanning and start codon recognition"""]),
    'R-PFA-72702':Nto._make([date(2019,  3, 20), '...I...', '..', """Ribosomal scanning and start codon recognition"""]),
    'R-RNO-72702':Nto._make([date(2019,  3, 20), '...I...', '..', """Ribosomal scanning and start codon recognition"""]),
    'R-SCE-72702':Nto._make([date(2019,  3, 20), '...I...', '..', """Ribosomal scanning and start codon recognition"""]),
    'R-SPO-72702':Nto._make([date(2019,  3, 20), '...I...', '..', """Ribosomal scanning and start codon recognition"""]),
    'R-SSC-72702':Nto._make([date(2019,  3, 20), '...I...', '..', """Ribosomal scanning and start codon recognition"""]),
    'R-XTR-72702':Nto._make([date(2019,  3, 20), '...I...', '..', """Ribosomal scanning and start codon recognition"""]),
    'R-HSA-72706':Nto._make([date(2004,  7,  6), '....P..', '..', """GTP hydrolysis and joining of the 60S ribosomal subunit"""]),
    'R-BTA-72706':Nto._make([date(2019,  3, 20), '...I...', '..', """GTP hydrolysis and joining of the 60S ribosomal subunit"""]),
    'R-CEL-72706':Nto._make([date(2019,  3, 20), '...I...', '..', """GTP hydrolysis and joining of the 60S ribosomal subunit"""]),
    'R-CFA-72706':Nto._make([date(2019,  3, 20), '...I...', '..', """GTP hydrolysis and joining of the 60S ribosomal subunit"""]),
    'R-DDI-72706':Nto._make([date(2019,  3, 20), '...I...', '..', """GTP hydrolysis and joining of the 60S ribosomal subunit"""]),
    'R-DME-72706':Nto._make([date(2019,  3, 20), '...I...', '..', """GTP hydrolysis and joining of the 60S ribosomal subunit"""]),
    'R-DRE-72706':Nto._make([date(2019,  3, 20), '...I...', '..', """GTP hydrolysis and joining of the 60S ribosomal subunit"""]),
    'R-MMU-72706':Nto._make([date(2019,  3, 20), '...I...', '..', """GTP hydrolysis and joining of the 60S ribosomal subunit"""]),
    'R-PFA-72706':Nto._make([date(2019,  3, 20), '...I...', '..', """GTP hydrolysis and joining of the 60S ribosomal subunit"""]),
    'R-RNO-72706':Nto._make([date(2019,  3, 20), '...I...', '..', """GTP hydrolysis and joining of the 60S ribosomal subunit"""]),
    'R-SCE-72706':Nto._make([date(2019,  3, 20), '...I...', '..', """GTP hydrolysis and joining of the 60S ribosomal subunit"""]),
    'R-SPO-72706':Nto._make([date(2019,  3, 20), '...I...', '..', """GTP hydrolysis and joining of the 60S ribosomal subunit"""]),
    'R-SSC-72706':Nto._make([date(2019,  3, 20), '...I...', '..', """GTP hydrolysis and joining of the 60S ribosomal subunit"""]),
    'R-XTR-72706':Nto._make([date(2019,  3, 20), '...I...', '..', """GTP hydrolysis and joining of the 60S ribosomal subunit"""]),
    'R-HSA-72731':Nto._make([date(2004,  7,  6), '....P..', '.C', """Recycling of eIF2:GDP"""]),
    'R-CEL-72731':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recycling of eIF2:GDP"""]),
    'R-CFA-72731':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recycling of eIF2:GDP"""]),
    'R-DDI-72731':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recycling of eIF2:GDP"""]),
    'R-DME-72731':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recycling of eIF2:GDP"""]),
    'R-DRE-72731':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recycling of eIF2:GDP"""]),
    'R-GGA-72731':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recycling of eIF2:GDP"""]),
    'R-MMU-72731':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recycling of eIF2:GDP"""]),
    'R-PFA-72731':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recycling of eIF2:GDP"""]),
    'R-RNO-72731':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recycling of eIF2:GDP"""]),
    'R-SCE-72731':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recycling of eIF2:GDP"""]),
    'R-SPO-72731':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recycling of eIF2:GDP"""]),
    'R-HSA-72737':Nto._make([date(2004,  7,  6), '.......', '..', """Cap-dependent Translation Initiation"""]),
    'R-BTA-72737':Nto._make([date(2019,  3, 20), '...I...', '..', """Cap-dependent Translation Initiation"""]),
    'R-CEL-72737':Nto._make([date(2019,  3, 20), '...I...', '..', """Cap-dependent Translation Initiation"""]),
    'R-CFA-72737':Nto._make([date(2019,  3, 20), '...I...', '..', """Cap-dependent Translation Initiation"""]),
    'R-DDI-72737':Nto._make([date(2019,  3, 20), '...I...', '..', """Cap-dependent Translation Initiation"""]),
    'R-DME-72737':Nto._make([date(2019,  3, 20), '...I...', '..', """Cap-dependent Translation Initiation"""]),
    'R-DRE-72737':Nto._make([date(2019,  3, 20), '...I...', '..', """Cap-dependent Translation Initiation"""]),
    'R-GGA-72737':Nto._make([date(2019,  3, 20), '...I...', '..', """Cap-dependent Translation Initiation"""]),
    'R-MMU-72737':Nto._make([date(2019,  3, 20), '...I...', '..', """Cap-dependent Translation Initiation"""]),
    'R-PFA-72737':Nto._make([date(2019,  3, 20), '...I...', '..', """Cap-dependent Translation Initiation"""]),
    'R-RNO-72737':Nto._make([date(2019,  3, 20), '...I...', '..', """Cap-dependent Translation Initiation"""]),
    'R-SCE-72737':Nto._make([date(2019,  3, 20), '...I...', '..', """Cap-dependent Translation Initiation"""]),
    'R-SPO-72737':Nto._make([date(2019,  3, 20), '...I...', '..', """Cap-dependent Translation Initiation"""]),
    'R-SSC-72737':Nto._make([date(2019,  3, 20), '...I...', '..', """Cap-dependent Translation Initiation"""]),
    'R-XTR-72737':Nto._make([date(2019,  3, 20), '...I...', '..', """Cap-dependent Translation Initiation"""]),
    'R-HSA-72764':Nto._make([date(2004,  7,  6), '..F.P..', 'BC', """Eukaryotic Translation Termination"""]),
    'R-BTA-72764':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Termination"""]),
    'R-CEL-72764':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Termination"""]),
    'R-CFA-72764':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Termination"""]),
    'R-DDI-72764':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Termination"""]),
    'R-DME-72764':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Termination"""]),
    'R-DRE-72764':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Termination"""]),
    'R-GGA-72764':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Termination"""]),
    'R-MMU-72764':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Termination"""]),
    'R-PFA-72764':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Termination"""]),
    'R-RNO-72764':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Termination"""]),
    'R-SCE-72764':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Termination"""]),
    'R-SPO-72764':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Termination"""]),
    'R-SSC-72764':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Termination"""]),
    'R-XTR-72764':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Termination"""]),
    'R-HSA-72766':Nto._make([date(2005,  4, 11), '..F....', 'B.', """Translation"""]),
    'R-BTA-72766':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Translation"""]),
    'R-CEL-72766':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Translation"""]),
    'R-CFA-72766':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Translation"""]),
    'R-DDI-72766':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Translation"""]),
    'R-DME-72766':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Translation"""]),
    'R-DRE-72766':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Translation"""]),
    'R-GGA-72766':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Translation"""]),
    'R-MMU-72766':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Translation"""]),
    'R-PFA-72766':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Translation"""]),
    'R-RNO-72766':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Translation"""]),
    'R-SCE-72766':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Translation"""]),
    'R-SPO-72766':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Translation"""]),
    'R-SSC-72766':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Translation"""]),
    'R-XTR-72766':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Translation"""]),
    'R-HSA-73614':Nto._make([date(2004,  7,  6), '.......', 'B.', """Pyrimidine salvage"""]),
    'R-BTA-73614':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine salvage"""]),
    'R-CEL-73614':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine salvage"""]),
    'R-CFA-73614':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine salvage"""]),
    'R-DDI-73614':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine salvage"""]),
    'R-DME-73614':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine salvage"""]),
    'R-DRE-73614':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine salvage"""]),
    'R-GGA-73614':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine salvage"""]),
    'R-MMU-73614':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine salvage"""]),
    'R-RNO-73614':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine salvage"""]),
    'R-SCE-73614':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine salvage"""]),
    'R-SPO-73614':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine salvage"""]),
    'R-SSC-73614':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine salvage"""]),
    'R-XTR-73614':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine salvage"""]),
    'R-HSA-73621':Nto._make([date(2004,  7,  6), '....P..', 'B.', """Pyrimidine catabolism"""]),
    'R-BTA-73621':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine catabolism"""]),
    'R-CEL-73621':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine catabolism"""]),
    'R-CFA-73621':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine catabolism"""]),
    'R-DDI-73621':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine catabolism"""]),
    'R-DME-73621':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine catabolism"""]),
    'R-DRE-73621':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine catabolism"""]),
    'R-GGA-73621':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine catabolism"""]),
    'R-MMU-73621':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine catabolism"""]),
    'R-RNO-73621':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine catabolism"""]),
    'R-SSC-73621':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine catabolism"""]),
    'R-XTR-73621':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pyrimidine catabolism"""]),
    'R-HSA-73728':Nto._make([date(2004,  7,  6), '.......', 'BC', """RNA Polymerase I Promoter Opening"""]),
    'R-BTA-73728':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Opening"""]),
    'R-CFA-73728':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Opening"""]),
    'R-DRE-73728':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Opening"""]),
    'R-GGA-73728':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Opening"""]),
    'R-MMU-73728':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Opening"""]),
    'R-RNO-73728':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Opening"""]),
    'R-SSC-73728':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Opening"""]),
    'R-XTR-73728':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Opening"""]),
    'R-HSA-73762':Nto._make([date(2004,  7,  6), '.......', 'BC', """RNA Polymerase I Transcription Initiation"""]),
    'R-BTA-73762':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Transcription Initiation"""]),
    'R-CEL-73762':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Transcription Initiation"""]),
    'R-CFA-73762':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Transcription Initiation"""]),
    'R-DDI-73762':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Transcription Initiation"""]),
    'R-DME-73762':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Transcription Initiation"""]),
    'R-DRE-73762':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Transcription Initiation"""]),
    'R-GGA-73762':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Transcription Initiation"""]),
    'R-MMU-73762':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Transcription Initiation"""]),
    'R-RNO-73762':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Transcription Initiation"""]),
    'R-SCE-73762':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Transcription Initiation"""]),
    'R-SPO-73762':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Transcription Initiation"""]),
    'R-SSC-73762':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Transcription Initiation"""]),
    'R-XTR-73762':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Transcription Initiation"""]),
    'R-HSA-73772':Nto._make([date(2004,  7,  6), '....P..', 'BC', """RNA Polymerase I Promoter Escape"""]),
    'R-BTA-73772':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Escape"""]),
    'R-CEL-73772':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Escape"""]),
    'R-CFA-73772':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Escape"""]),
    'R-DDI-73772':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Escape"""]),
    'R-DME-73772':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Escape"""]),
    'R-DRE-73772':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Escape"""]),
    'R-GGA-73772':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Escape"""]),
    'R-MMU-73772':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Escape"""]),
    'R-RNO-73772':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Escape"""]),
    'R-SCE-73772':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Escape"""]),
    'R-SPO-73772':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Escape"""]),
    'R-SSC-73772':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Escape"""]),
    'R-XTR-73772':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Escape"""]),
    'R-HSA-73776':Nto._make([date(2004,  7,  6), '....P..', 'BC', """RNA Polymerase II Promoter Escape"""]),
    'R-BTA-73776':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Promoter Escape"""]),
    'R-CEL-73776':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Promoter Escape"""]),
    'R-CFA-73776':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Promoter Escape"""]),
    'R-DDI-73776':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Promoter Escape"""]),
    'R-DME-73776':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Promoter Escape"""]),
    'R-DRE-73776':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Promoter Escape"""]),
    'R-GGA-73776':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Promoter Escape"""]),
    'R-MMU-73776':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Promoter Escape"""]),
    'R-PFA-73776':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Promoter Escape"""]),
    'R-RNO-73776':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Promoter Escape"""]),
    'R-SCE-73776':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Promoter Escape"""]),
    'R-SPO-73776':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Promoter Escape"""]),
    'R-SSC-73776':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Promoter Escape"""]),
    'R-XTR-73776':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Promoter Escape"""]),
    'R-HSA-73779':Nto._make([date(2004,  7,  6), '....P..', 'BC', """RNA Polymerase II Transcription Pre-Initiation And Promoter Opening"""]),
    'R-BTA-73779':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Pre-Initiation And Promoter Opening"""]),
    'R-CEL-73779':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Pre-Initiation And Promoter Opening"""]),
    'R-CFA-73779':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Pre-Initiation And Promoter Opening"""]),
    'R-DDI-73779':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Pre-Initiation And Promoter Opening"""]),
    'R-DME-73779':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Pre-Initiation And Promoter Opening"""]),
    'R-DRE-73779':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Pre-Initiation And Promoter Opening"""]),
    'R-GGA-73779':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Pre-Initiation And Promoter Opening"""]),
    'R-MMU-73779':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Pre-Initiation And Promoter Opening"""]),
    'R-RNO-73779':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Pre-Initiation And Promoter Opening"""]),
    'R-SCE-73779':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Pre-Initiation And Promoter Opening"""]),
    'R-SPO-73779':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Pre-Initiation And Promoter Opening"""]),
    'R-SSC-73779':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Pre-Initiation And Promoter Opening"""]),
    'R-XTR-73779':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Pre-Initiation And Promoter Opening"""]),
    'R-HSA-73780':Nto._make([date(2004,  7,  6), '.......', 'BC', """RNA Polymerase III Chain Elongation"""]),
    'R-HSA-73817':Nto._make([date(2004,  7,  6), '....P..', 'BC', """Purine ribonucleoside monophosphate biosynthesis"""]),
    'R-BTA-73817':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Purine ribonucleoside monophosphate biosynthesis"""]),
    'R-CEL-73817':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Purine ribonucleoside monophosphate biosynthesis"""]),
    'R-CFA-73817':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Purine ribonucleoside monophosphate biosynthesis"""]),
    'R-DDI-73817':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Purine ribonucleoside monophosphate biosynthesis"""]),
    'R-DME-73817':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Purine ribonucleoside monophosphate biosynthesis"""]),
    'R-DRE-73817':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Purine ribonucleoside monophosphate biosynthesis"""]),
    'R-GGA-73817':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Purine ribonucleoside monophosphate biosynthesis"""]),
    'R-MMU-73817':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Purine ribonucleoside monophosphate biosynthesis"""]),
    'R-PFA-73817':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Purine ribonucleoside monophosphate biosynthesis"""]),
    'R-RNO-73817':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Purine ribonucleoside monophosphate biosynthesis"""]),
    'R-SCE-73817':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Purine ribonucleoside monophosphate biosynthesis"""]),
    'R-SPO-73817':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Purine ribonucleoside monophosphate biosynthesis"""]),
    'R-SSC-73817':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Purine ribonucleoside monophosphate biosynthesis"""]),
    'R-XTR-73817':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Purine ribonucleoside monophosphate biosynthesis"""]),
    'R-HSA-73843':Nto._make([date(2004,  7,  6), '....P..', 'BC', """5-Phosphoribose 1-diphosphate biosynthesis"""]),
    'R-BTA-73843':Nto._make([date(2019,  3, 20), '...I...', 'BC', """5-Phosphoribose 1-diphosphate biosynthesis"""]),
    'R-CEL-73843':Nto._make([date(2019,  3, 20), '...I...', 'BC', """5-Phosphoribose 1-diphosphate biosynthesis"""]),
    'R-CFA-73843':Nto._make([date(2019,  3, 20), '...I...', 'BC', """5-Phosphoribose 1-diphosphate biosynthesis"""]),
    'R-DDI-73843':Nto._make([date(2019,  3, 20), '...I...', 'BC', """5-Phosphoribose 1-diphosphate biosynthesis"""]),
    'R-DME-73843':Nto._make([date(2019,  3, 20), '...I...', 'BC', """5-Phosphoribose 1-diphosphate biosynthesis"""]),
    'R-DRE-73843':Nto._make([date(2019,  3, 20), '...I...', 'BC', """5-Phosphoribose 1-diphosphate biosynthesis"""]),
    'R-GGA-73843':Nto._make([date(2019,  3, 20), '...I...', 'BC', """5-Phosphoribose 1-diphosphate biosynthesis"""]),
    'R-MMU-73843':Nto._make([date(2019,  3, 20), '...I...', 'BC', """5-Phosphoribose 1-diphosphate biosynthesis"""]),
    'R-PFA-73843':Nto._make([date(2019,  3, 20), '...I...', 'BC', """5-Phosphoribose 1-diphosphate biosynthesis"""]),
    'R-RNO-73843':Nto._make([date(2019,  3, 20), '...I...', 'BC', """5-Phosphoribose 1-diphosphate biosynthesis"""]),
    'R-SCE-73843':Nto._make([date(2019,  3, 20), '...I...', 'BC', """5-Phosphoribose 1-diphosphate biosynthesis"""]),
    'R-SPO-73843':Nto._make([date(2019,  3, 20), '...I...', 'BC', """5-Phosphoribose 1-diphosphate biosynthesis"""]),
    'R-SSC-73843':Nto._make([date(2019,  3, 20), '...I...', 'BC', """5-Phosphoribose 1-diphosphate biosynthesis"""]),
    'R-XTR-73843':Nto._make([date(2019,  3, 20), '...I...', 'BC', """5-Phosphoribose 1-diphosphate biosynthesis"""]),
    'R-HSA-73854':Nto._make([date(2004,  7,  6), '....P..', 'BC', """RNA Polymerase I Promoter Clearance"""]),
    'R-BTA-73854':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Clearance"""]),
    'R-CEL-73854':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Clearance"""]),
    'R-CFA-73854':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Clearance"""]),
    'R-DDI-73854':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Clearance"""]),
    'R-DME-73854':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Clearance"""]),
    'R-DRE-73854':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Clearance"""]),
    'R-GGA-73854':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Clearance"""]),
    'R-MMU-73854':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Clearance"""]),
    'R-RNO-73854':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Clearance"""]),
    'R-SCE-73854':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Clearance"""]),
    'R-SPO-73854':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Clearance"""]),
    'R-SSC-73854':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Clearance"""]),
    'R-XTR-73854':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Promoter Clearance"""]),
    'R-HSA-73856':Nto._make([date(2004,  7,  6), '.......', 'BC', """RNA Polymerase II Transcription Termination"""]),
    'R-BTA-73856':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Termination"""]),
    'R-CEL-73856':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Termination"""]),
    'R-CFA-73856':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Termination"""]),
    'R-DDI-73856':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Termination"""]),
    'R-DME-73856':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Termination"""]),
    'R-DRE-73856':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Termination"""]),
    'R-GGA-73856':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Termination"""]),
    'R-MMU-73856':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Termination"""]),
    'R-RNO-73856':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Termination"""]),
    'R-SSC-73856':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Termination"""]),
    'R-XTR-73856':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Termination"""]),
    'R-HSA-73857':Nto._make([date(2004,  7,  6), '..f.P..', 'BC', """RNA Polymerase II Transcription"""]),
    'R-BTA-73857':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase II Transcription"""]),
    'R-CEL-73857':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase II Transcription"""]),
    'R-CFA-73857':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase II Transcription"""]),
    'R-DDI-73857':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase II Transcription"""]),
    'R-DME-73857':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase II Transcription"""]),
    'R-DRE-73857':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase II Transcription"""]),
    'R-GGA-73857':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase II Transcription"""]),
    'R-MMU-73857':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase II Transcription"""]),
    'R-PFA-73857':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase II Transcription"""]),
    'R-RNO-73857':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase II Transcription"""]),
    'R-SCE-73857':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase II Transcription"""]),
    'R-SPO-73857':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase II Transcription"""]),
    'R-SSC-73857':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase II Transcription"""]),
    'R-XTR-73857':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase II Transcription"""]),
    'R-HSA-73863':Nto._make([date(2004,  7,  6), '....P..', 'BC', """RNA Polymerase I Transcription Termination"""]),
    'R-BTA-73863':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Transcription Termination"""]),
    'R-CFA-73863':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Transcription Termination"""]),
    'R-DRE-73863':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Transcription Termination"""]),
    'R-GGA-73863':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Transcription Termination"""]),
    'R-MMU-73863':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Transcription Termination"""]),
    'R-RNO-73863':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Transcription Termination"""]),
    'R-SSC-73863':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Transcription Termination"""]),
    'R-XTR-73863':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase I Transcription Termination"""]),
    'R-HSA-73864':Nto._make([date(2003,  9,  5), '..f.P..', 'BC', """RNA Polymerase I Transcription"""]),
    'R-BTA-73864':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase I Transcription"""]),
    'R-CEL-73864':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase I Transcription"""]),
    'R-CFA-73864':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase I Transcription"""]),
    'R-DDI-73864':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase I Transcription"""]),
    'R-DME-73864':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase I Transcription"""]),
    'R-DRE-73864':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase I Transcription"""]),
    'R-GGA-73864':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase I Transcription"""]),
    'R-MMU-73864':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase I Transcription"""]),
    'R-RNO-73864':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase I Transcription"""]),
    'R-SCE-73864':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase I Transcription"""]),
    'R-SPO-73864':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase I Transcription"""]),
    'R-SSC-73864':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase I Transcription"""]),
    'R-XTR-73864':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase I Transcription"""]),
    'R-HSA-73884':Nto._make([date(2004,  3,  6), '..F.P..', 'BC', """Base Excision Repair"""]),
    'R-BTA-73884':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base Excision Repair"""]),
    'R-CEL-73884':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base Excision Repair"""]),
    'R-CFA-73884':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base Excision Repair"""]),
    'R-DDI-73884':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base Excision Repair"""]),
    'R-DME-73884':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base Excision Repair"""]),
    'R-DRE-73884':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base Excision Repair"""]),
    'R-GGA-73884':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base Excision Repair"""]),
    'R-MMU-73884':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base Excision Repair"""]),
    'R-PFA-73884':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base Excision Repair"""]),
    'R-RNO-73884':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base Excision Repair"""]),
    'R-SCE-73884':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base Excision Repair"""]),
    'R-SPO-73884':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base Excision Repair"""]),
    'R-SSC-73884':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base Excision Repair"""]),
    'R-XTR-73884':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base Excision Repair"""]),
    'R-HSA-73886':Nto._make([date(2010,  6, 15), '..F....', '.C', """Chromosome Maintenance"""]),
    'R-BTA-73886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Chromosome Maintenance"""]),
    'R-CEL-73886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Chromosome Maintenance"""]),
    'R-CFA-73886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Chromosome Maintenance"""]),
    'R-DDI-73886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Chromosome Maintenance"""]),
    'R-DME-73886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Chromosome Maintenance"""]),
    'R-DRE-73886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Chromosome Maintenance"""]),
    'R-GGA-73886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Chromosome Maintenance"""]),
    'R-MMU-73886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Chromosome Maintenance"""]),
    'R-PFA-73886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Chromosome Maintenance"""]),
    'R-RNO-73886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Chromosome Maintenance"""]),
    'R-SCE-73886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Chromosome Maintenance"""]),
    'R-SPO-73886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Chromosome Maintenance"""]),
    'R-SSC-73886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Chromosome Maintenance"""]),
    'R-XTR-73886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Chromosome Maintenance"""]),
    'R-HSA-73887':Nto._make([date(2004, 10, 27), '..F....', 'B.', """Death Receptor Signalling"""]),
    'R-BTA-73887':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Death Receptor Signalling"""]),
    'R-CEL-73887':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Death Receptor Signalling"""]),
    'R-CFA-73887':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Death Receptor Signalling"""]),
    'R-DDI-73887':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Death Receptor Signalling"""]),
    'R-DME-73887':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Death Receptor Signalling"""]),
    'R-DRE-73887':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Death Receptor Signalling"""]),
    'R-GGA-73887':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Death Receptor Signalling"""]),
    'R-MMU-73887':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Death Receptor Signalling"""]),
    'R-RNO-73887':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Death Receptor Signalling"""]),
    'R-SSC-73887':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Death Receptor Signalling"""]),
    'R-XTR-73887':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Death Receptor Signalling"""]),
    'R-HSA-73893':Nto._make([date(2004,  3,  6), '..f.P..', 'BC', """DNA Damage Bypass"""]),
    'R-BTA-73893':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Damage Bypass"""]),
    'R-CEL-73893':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Damage Bypass"""]),
    'R-CFA-73893':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Damage Bypass"""]),
    'R-DDI-73893':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Damage Bypass"""]),
    'R-DME-73893':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Damage Bypass"""]),
    'R-DRE-73893':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Damage Bypass"""]),
    'R-GGA-73893':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Damage Bypass"""]),
    'R-MMU-73893':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Damage Bypass"""]),
    'R-PFA-73893':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Damage Bypass"""]),
    'R-RNO-73893':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Damage Bypass"""]),
    'R-SCE-73893':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Damage Bypass"""]),
    'R-SPO-73893':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Damage Bypass"""]),
    'R-SSC-73893':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Damage Bypass"""]),
    'R-XTR-73893':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Damage Bypass"""]),
    'R-HSA-73894':Nto._make([date(2004,  7,  6), 'T.F.P..', 'BC', """DNA Repair"""]),
    'R-BTA-73894':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """DNA Repair"""]),
    'R-CEL-73894':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """DNA Repair"""]),
    'R-CFA-73894':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """DNA Repair"""]),
    'R-DDI-73894':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """DNA Repair"""]),
    'R-DME-73894':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """DNA Repair"""]),
    'R-DRE-73894':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """DNA Repair"""]),
    'R-GGA-73894':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """DNA Repair"""]),
    'R-MMU-73894':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """DNA Repair"""]),
    'R-PFA-73894':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """DNA Repair"""]),
    'R-RNO-73894':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """DNA Repair"""]),
    'R-SCE-73894':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """DNA Repair"""]),
    'R-SPO-73894':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """DNA Repair"""]),
    'R-SSC-73894':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """DNA Repair"""]),
    'R-XTR-73894':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """DNA Repair"""]),
    'R-HSA-73927':Nto._make([date(2004,  3,  6), '....P..', 'BC', """Depurination"""]),
    'R-BTA-73927':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depurination"""]),
    'R-CFA-73927':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depurination"""]),
    'R-DDI-73927':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depurination"""]),
    'R-DME-73927':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depurination"""]),
    'R-DRE-73927':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depurination"""]),
    'R-GGA-73927':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depurination"""]),
    'R-MMU-73927':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depurination"""]),
    'R-PFA-73927':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depurination"""]),
    'R-RNO-73927':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depurination"""]),
    'R-SCE-73927':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depurination"""]),
    'R-SPO-73927':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depurination"""]),
    'R-SSC-73927':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depurination"""]),
    'R-XTR-73927':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depurination"""]),
    'R-HSA-73928':Nto._make([date(2004,  3,  6), '....P..', 'BC', """Depyrimidination"""]),
    'R-BTA-73928':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depyrimidination"""]),
    'R-CEL-73928':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depyrimidination"""]),
    'R-CFA-73928':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depyrimidination"""]),
    'R-DDI-73928':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depyrimidination"""]),
    'R-DME-73928':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depyrimidination"""]),
    'R-DRE-73928':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depyrimidination"""]),
    'R-GGA-73928':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depyrimidination"""]),
    'R-MMU-73928':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depyrimidination"""]),
    'R-PFA-73928':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depyrimidination"""]),
    'R-RNO-73928':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depyrimidination"""]),
    'R-SCE-73928':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depyrimidination"""]),
    'R-SPO-73928':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depyrimidination"""]),
    'R-SSC-73928':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depyrimidination"""]),
    'R-XTR-73928':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Depyrimidination"""]),
    'R-HSA-73929':Nto._make([date(2004,  3,  6), '..f.P..', 'BC', """Base-Excision Repair, AP Site Formation"""]),
    'R-BTA-73929':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base-Excision Repair, AP Site Formation"""]),
    'R-CEL-73929':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base-Excision Repair, AP Site Formation"""]),
    'R-CFA-73929':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base-Excision Repair, AP Site Formation"""]),
    'R-DDI-73929':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base-Excision Repair, AP Site Formation"""]),
    'R-DME-73929':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base-Excision Repair, AP Site Formation"""]),
    'R-DRE-73929':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base-Excision Repair, AP Site Formation"""]),
    'R-GGA-73929':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base-Excision Repair, AP Site Formation"""]),
    'R-MMU-73929':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base-Excision Repair, AP Site Formation"""]),
    'R-PFA-73929':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base-Excision Repair, AP Site Formation"""]),
    'R-RNO-73929':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base-Excision Repair, AP Site Formation"""]),
    'R-SCE-73929':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base-Excision Repair, AP Site Formation"""]),
    'R-SPO-73929':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base-Excision Repair, AP Site Formation"""]),
    'R-SSC-73929':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base-Excision Repair, AP Site Formation"""]),
    'R-XTR-73929':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Base-Excision Repair, AP Site Formation"""]),
    'R-HSA-73930':Nto._make([date(2004,  3,  6), '....P..', '.C', """Abasic sugar-phosphate removal via the single-nucleotide replacement pathway"""]),
    'R-CFA-73930':Nto._make([date(2019,  3, 20), '...I...', '.C', """Abasic sugar-phosphate removal via the single-nucleotide replacement pathway"""]),
    'R-DDI-73930':Nto._make([date(2019,  3, 20), '...I...', '.C', """Abasic sugar-phosphate removal via the single-nucleotide replacement pathway"""]),
    'R-DRE-73930':Nto._make([date(2019,  3, 20), '...I...', '.C', """Abasic sugar-phosphate removal via the single-nucleotide replacement pathway"""]),
    'R-MMU-73930':Nto._make([date(2019,  3, 20), '...I...', '.C', """Abasic sugar-phosphate removal via the single-nucleotide replacement pathway"""]),
    'R-RNO-73930':Nto._make([date(2019,  3, 20), '...I...', '.C', """Abasic sugar-phosphate removal via the single-nucleotide replacement pathway"""]),
    'R-SSC-73930':Nto._make([date(2019,  3, 20), '...I...', '.C', """Abasic sugar-phosphate removal via the single-nucleotide replacement pathway"""]),
    'R-XTR-73930':Nto._make([date(2019,  3, 20), '...I...', '.C', """Abasic sugar-phosphate removal via the single-nucleotide replacement pathway"""]),
    'R-HSA-73933':Nto._make([date(2004,  3,  6), '..f.P..', '.C', """Resolution of Abasic Sites (AP sites)"""]),
    'R-BTA-73933':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Resolution of Abasic Sites (AP sites)"""]),
    'R-CEL-73933':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Resolution of Abasic Sites (AP sites)"""]),
    'R-CFA-73933':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Resolution of Abasic Sites (AP sites)"""]),
    'R-DDI-73933':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Resolution of Abasic Sites (AP sites)"""]),
    'R-DME-73933':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Resolution of Abasic Sites (AP sites)"""]),
    'R-DRE-73933':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Resolution of Abasic Sites (AP sites)"""]),
    'R-GGA-73933':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Resolution of Abasic Sites (AP sites)"""]),
    'R-MMU-73933':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Resolution of Abasic Sites (AP sites)"""]),
    'R-PFA-73933':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Resolution of Abasic Sites (AP sites)"""]),
    'R-RNO-73933':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Resolution of Abasic Sites (AP sites)"""]),
    'R-SPO-73933':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Resolution of Abasic Sites (AP sites)"""]),
    'R-SSC-73933':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Resolution of Abasic Sites (AP sites)"""]),
    'R-XTR-73933':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Resolution of Abasic Sites (AP sites)"""]),
    'R-HSA-73942':Nto._make([date(2004,  3,  6), '..f.P..', 'BC', """DNA Damage Reversal"""]),
    'R-BTA-73942':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Damage Reversal"""]),
    'R-CFA-73942':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Damage Reversal"""]),
    'R-DRE-73942':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Damage Reversal"""]),
    'R-GGA-73942':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Damage Reversal"""]),
    'R-MMU-73942':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Damage Reversal"""]),
    'R-RNO-73942':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Damage Reversal"""]),
    'R-SSC-73942':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Damage Reversal"""]),
    'R-XTR-73942':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Damage Reversal"""]),
    'R-HSA-73943':Nto._make([date(2004,  3,  6), '....P..', 'BC', """Reversal of alkylation damage by DNA dioxygenases"""]),
    'R-BTA-73943':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Reversal of alkylation damage by DNA dioxygenases"""]),
    'R-CFA-73943':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Reversal of alkylation damage by DNA dioxygenases"""]),
    'R-DRE-73943':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Reversal of alkylation damage by DNA dioxygenases"""]),
    'R-GGA-73943':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Reversal of alkylation damage by DNA dioxygenases"""]),
    'R-MMU-73943':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Reversal of alkylation damage by DNA dioxygenases"""]),
    'R-RNO-73943':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Reversal of alkylation damage by DNA dioxygenases"""]),
    'R-SSC-73943':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Reversal of alkylation damage by DNA dioxygenases"""]),
    'R-XTR-73943':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Reversal of alkylation damage by DNA dioxygenases"""]),
    'R-HSA-73980':Nto._make([date(2004,  7,  6), '....P..', 'BC', """RNA Polymerase III Transcription Termination"""]),
    'R-HSA-74158':Nto._make([date(2004,  7,  6), '..f.PB.', 'BC', """RNA Polymerase III Transcription"""]),
    'R-BTA-74158':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase III Transcription"""]),
    'R-CFA-74158':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase III Transcription"""]),
    'R-DDI-74158':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase III Transcription"""]),
    'R-DME-74158':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase III Transcription"""]),
    'R-DRE-74158':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase III Transcription"""]),
    'R-GGA-74158':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase III Transcription"""]),
    'R-MMU-74158':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase III Transcription"""]),
    'R-RNO-74158':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase III Transcription"""]),
    'R-SCE-74158':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase III Transcription"""]),
    'R-SPO-74158':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase III Transcription"""]),
    'R-SSC-74158':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase III Transcription"""]),
    'R-XTR-74158':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA Polymerase III Transcription"""]),
    'R-HSA-74160':Nto._make([date(2004,  7,  6), 'T.F....', 'B.', """Gene expression (Transcription)"""]),
    'R-BTA-74160':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Gene expression (Transcription)"""]),
    'R-CEL-74160':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Gene expression (Transcription)"""]),
    'R-CFA-74160':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Gene expression (Transcription)"""]),
    'R-DDI-74160':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Gene expression (Transcription)"""]),
    'R-DME-74160':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Gene expression (Transcription)"""]),
    'R-DRE-74160':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Gene expression (Transcription)"""]),
    'R-GGA-74160':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Gene expression (Transcription)"""]),
    'R-MMU-74160':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Gene expression (Transcription)"""]),
    'R-PFA-74160':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Gene expression (Transcription)"""]),
    'R-RNO-74160':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Gene expression (Transcription)"""]),
    'R-SCE-74160':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Gene expression (Transcription)"""]),
    'R-SPO-74160':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Gene expression (Transcription)"""]),
    'R-SSC-74160':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Gene expression (Transcription)"""]),
    'R-XTR-74160':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Gene expression (Transcription)"""]),
    'R-HSA-74182':Nto._make([date(2004,  7,  6), '..f.P..', 'BC', """Ketone body metabolism"""]),
    'R-BTA-74182':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Ketone body metabolism"""]),
    'R-CEL-74182':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Ketone body metabolism"""]),
    'R-CFA-74182':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Ketone body metabolism"""]),
    'R-DDI-74182':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Ketone body metabolism"""]),
    'R-DME-74182':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Ketone body metabolism"""]),
    'R-DRE-74182':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Ketone body metabolism"""]),
    'R-GGA-74182':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Ketone body metabolism"""]),
    'R-MMU-74182':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Ketone body metabolism"""]),
    'R-PFA-74182':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Ketone body metabolism"""]),
    'R-RNO-74182':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Ketone body metabolism"""]),
    'R-SCE-74182':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Ketone body metabolism"""]),
    'R-SPO-74182':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Ketone body metabolism"""]),
    'R-SSC-74182':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Ketone body metabolism"""]),
    'R-XTR-74182':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Ketone body metabolism"""]),
    'R-HSA-74217':Nto._make([date(2004,  7,  6), '....P..', 'B.', """Purine salvage"""]),
    'R-BTA-74217':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine salvage"""]),
    'R-CEL-74217':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine salvage"""]),
    'R-CFA-74217':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine salvage"""]),
    'R-DDI-74217':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine salvage"""]),
    'R-DME-74217':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine salvage"""]),
    'R-DRE-74217':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine salvage"""]),
    'R-GGA-74217':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine salvage"""]),
    'R-MMU-74217':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine salvage"""]),
    'R-PFA-74217':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine salvage"""]),
    'R-RNO-74217':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine salvage"""]),
    'R-SCE-74217':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine salvage"""]),
    'R-SPO-74217':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine salvage"""]),
    'R-SSC-74217':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine salvage"""]),
    'R-XTR-74217':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine salvage"""]),
    'R-HSA-74259':Nto._make([date(2004,  7,  6), '....P..', 'B.', """Purine catabolism"""]),
    'R-BTA-74259':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine catabolism"""]),
    'R-CEL-74259':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine catabolism"""]),
    'R-CFA-74259':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine catabolism"""]),
    'R-DDI-74259':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine catabolism"""]),
    'R-DME-74259':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine catabolism"""]),
    'R-DRE-74259':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine catabolism"""]),
    'R-GGA-74259':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine catabolism"""]),
    'R-MMU-74259':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine catabolism"""]),
    'R-PFA-74259':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine catabolism"""]),
    'R-RNO-74259':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine catabolism"""]),
    'R-SCE-74259':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine catabolism"""]),
    'R-SPO-74259':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine catabolism"""]),
    'R-SSC-74259':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine catabolism"""]),
    'R-XTR-74259':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Purine catabolism"""]),
    'R-HSA-74713':Nto._make([date(2004,  7,  6), '.......', '..', """IRS activation"""]),
    'R-CFA-74713':Nto._make([date(2019,  3, 20), '...I...', '..', """IRS activation"""]),
    'R-DRE-74713':Nto._make([date(2019,  3, 20), '...I...', '..', """IRS activation"""]),
    'R-GGA-74713':Nto._make([date(2019,  3, 20), '...I...', '..', """IRS activation"""]),
    'R-MMU-74713':Nto._make([date(2019,  3, 20), '...I...', '..', """IRS activation"""]),
    'R-RNO-74713':Nto._make([date(2019,  3, 20), '...I...', '..', """IRS activation"""]),
    'R-XTR-74713':Nto._make([date(2019,  3, 20), '...I...', '..', """IRS activation"""]),
    'R-HSA-74749':Nto._make([date(2005,  4, 11), '.......', '.C', """Signal attenuation"""]),
    'R-BTA-74749':Nto._make([date(2019,  3, 20), '...I...', '.C', """Signal attenuation"""]),
    'R-CFA-74749':Nto._make([date(2019,  3, 20), '...I...', '.C', """Signal attenuation"""]),
    'R-DME-74749':Nto._make([date(2019,  3, 20), '...I...', '.C', """Signal attenuation"""]),
    'R-DRE-74749':Nto._make([date(2019,  3, 20), '...I...', '.C', """Signal attenuation"""]),
    'R-GGA-74749':Nto._make([date(2019,  3, 20), '...I...', '.C', """Signal attenuation"""]),
    'R-MMU-74749':Nto._make([date(2019,  3, 20), '...I...', '.C', """Signal attenuation"""]),
    'R-RNO-74749':Nto._make([date(2019,  3, 20), '...I...', '.C', """Signal attenuation"""]),
    'R-SSC-74749':Nto._make([date(2019,  3, 20), '...I...', '.C', """Signal attenuation"""]),
    'R-XTR-74749':Nto._make([date(2019,  3, 20), '...I...', '.C', """Signal attenuation"""]),
    'R-HSA-74751':Nto._make([date(2004,  7,  6), '....P..', '.C', """Insulin receptor signalling cascade"""]),
    'R-BTA-74751':Nto._make([date(2019,  3, 20), '...I...', '.C', """Insulin receptor signalling cascade"""]),
    'R-CEL-74751':Nto._make([date(2019,  3, 20), '...I...', '.C', """Insulin receptor signalling cascade"""]),
    'R-CFA-74751':Nto._make([date(2019,  3, 20), '...I...', '.C', """Insulin receptor signalling cascade"""]),
    'R-DDI-74751':Nto._make([date(2019,  3, 20), '...I...', '.C', """Insulin receptor signalling cascade"""]),
    'R-DME-74751':Nto._make([date(2019,  3, 20), '...I...', '.C', """Insulin receptor signalling cascade"""]),
    'R-DRE-74751':Nto._make([date(2019,  3, 20), '...I...', '.C', """Insulin receptor signalling cascade"""]),
    'R-GGA-74751':Nto._make([date(2019,  3, 20), '...I...', '.C', """Insulin receptor signalling cascade"""]),
    'R-MMU-74751':Nto._make([date(2019,  3, 20), '...I...', '.C', """Insulin receptor signalling cascade"""]),
    'R-PFA-74751':Nto._make([date(2019,  3, 20), '...I...', '.C', """Insulin receptor signalling cascade"""]),
    'R-RNO-74751':Nto._make([date(2019,  3, 20), '...I...', '.C', """Insulin receptor signalling cascade"""]),
    'R-SCE-74751':Nto._make([date(2019,  3, 20), '...I...', '.C', """Insulin receptor signalling cascade"""]),
    'R-SPO-74751':Nto._make([date(2019,  3, 20), '...I...', '.C', """Insulin receptor signalling cascade"""]),
    'R-SSC-74751':Nto._make([date(2019,  3, 20), '...I...', '.C', """Insulin receptor signalling cascade"""]),
    'R-XTR-74751':Nto._make([date(2019,  3, 20), '...I...', '.C', """Insulin receptor signalling cascade"""]),
    'R-HSA-74752':Nto._make([date(2003, 11,  3), '..F.P..', 'B.', """Signaling by Insulin receptor"""]),
    'R-BTA-74752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Insulin receptor"""]),
    'R-CEL-74752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Insulin receptor"""]),
    'R-CFA-74752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Insulin receptor"""]),
    'R-DDI-74752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Insulin receptor"""]),
    'R-DME-74752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Insulin receptor"""]),
    'R-DRE-74752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Insulin receptor"""]),
    'R-GGA-74752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Insulin receptor"""]),
    'R-MMU-74752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Insulin receptor"""]),
    'R-PFA-74752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Insulin receptor"""]),
    'R-RNO-74752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Insulin receptor"""]),
    'R-SCE-74752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Insulin receptor"""]),
    'R-SPO-74752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Insulin receptor"""]),
    'R-SSC-74752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Insulin receptor"""]),
    'R-XTR-74752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Insulin receptor"""]),
    'R-HSA-75035':Nto._make([date(2004,  7,  6), '.......', '..', """Chk1/Chk2(Cds1) mediated inactivation of Cyclin B:Cdk1 complex"""]),
    'R-BTA-75035':Nto._make([date(2019,  3, 20), '...I...', '..', """Chk1/Chk2(Cds1) mediated inactivation of Cyclin B:Cdk1 complex"""]),
    'R-CEL-75035':Nto._make([date(2019,  3, 20), '...I...', '..', """Chk1/Chk2(Cds1) mediated inactivation of Cyclin B:Cdk1 complex"""]),
    'R-CFA-75035':Nto._make([date(2019,  3, 20), '...I...', '..', """Chk1/Chk2(Cds1) mediated inactivation of Cyclin B:Cdk1 complex"""]),
    'R-DDI-75035':Nto._make([date(2019,  3, 20), '...I...', '..', """Chk1/Chk2(Cds1) mediated inactivation of Cyclin B:Cdk1 complex"""]),
    'R-DME-75035':Nto._make([date(2019,  3, 20), '...I...', '..', """Chk1/Chk2(Cds1) mediated inactivation of Cyclin B:Cdk1 complex"""]),
    'R-DRE-75035':Nto._make([date(2019,  3, 20), '...I...', '..', """Chk1/Chk2(Cds1) mediated inactivation of Cyclin B:Cdk1 complex"""]),
    'R-MMU-75035':Nto._make([date(2019,  3, 20), '...I...', '..', """Chk1/Chk2(Cds1) mediated inactivation of Cyclin B:Cdk1 complex"""]),
    'R-RNO-75035':Nto._make([date(2019,  3, 20), '...I...', '..', """Chk1/Chk2(Cds1) mediated inactivation of Cyclin B:Cdk1 complex"""]),
    'R-SCE-75035':Nto._make([date(2019,  3, 20), '...I...', '..', """Chk1/Chk2(Cds1) mediated inactivation of Cyclin B:Cdk1 complex"""]),
    'R-SPO-75035':Nto._make([date(2019,  3, 20), '...I...', '..', """Chk1/Chk2(Cds1) mediated inactivation of Cyclin B:Cdk1 complex"""]),
    'R-SSC-75035':Nto._make([date(2019,  3, 20), '...I...', '..', """Chk1/Chk2(Cds1) mediated inactivation of Cyclin B:Cdk1 complex"""]),
    'R-XTR-75035':Nto._make([date(2019,  3, 20), '...I...', '..', """Chk1/Chk2(Cds1) mediated inactivation of Cyclin B:Cdk1 complex"""]),
    'R-HSA-75064':Nto._make([date(2004,  7,  6), '....P..', 'BC', """mRNA Editing: A to I Conversion"""]),
    'R-BTA-75064':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Editing: A to I Conversion"""]),
    'R-CEL-75064':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Editing: A to I Conversion"""]),
    'R-CFA-75064':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Editing: A to I Conversion"""]),
    'R-DME-75064':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Editing: A to I Conversion"""]),
    'R-DRE-75064':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Editing: A to I Conversion"""]),
    'R-GGA-75064':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Editing: A to I Conversion"""]),
    'R-MMU-75064':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Editing: A to I Conversion"""]),
    'R-RNO-75064':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Editing: A to I Conversion"""]),
    'R-SSC-75064':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Editing: A to I Conversion"""]),
    'R-XTR-75064':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA Editing: A to I Conversion"""]),
    'R-HSA-75067':Nto._make([date(2004,  7,  6), '..f.P..', 'BC', """Processing of Capped Intronless Pre-mRNA"""]),
    'R-BTA-75067':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Processing of Capped Intronless Pre-mRNA"""]),
    'R-CEL-75067':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Processing of Capped Intronless Pre-mRNA"""]),
    'R-CFA-75067':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Processing of Capped Intronless Pre-mRNA"""]),
    'R-DDI-75067':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Processing of Capped Intronless Pre-mRNA"""]),
    'R-DME-75067':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Processing of Capped Intronless Pre-mRNA"""]),
    'R-DRE-75067':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Processing of Capped Intronless Pre-mRNA"""]),
    'R-GGA-75067':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Processing of Capped Intronless Pre-mRNA"""]),
    'R-MMU-75067':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Processing of Capped Intronless Pre-mRNA"""]),
    'R-PFA-75067':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Processing of Capped Intronless Pre-mRNA"""]),
    'R-RNO-75067':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Processing of Capped Intronless Pre-mRNA"""]),
    'R-SCE-75067':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Processing of Capped Intronless Pre-mRNA"""]),
    'R-SPO-75067':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Processing of Capped Intronless Pre-mRNA"""]),
    'R-SSC-75067':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Processing of Capped Intronless Pre-mRNA"""]),
    'R-XTR-75067':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Processing of Capped Intronless Pre-mRNA"""]),
    'R-HSA-75072':Nto._make([date(2004,  7,  6), '..F.P..', 'BC', """mRNA Editing"""]),
    'R-BTA-75072':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Editing"""]),
    'R-CEL-75072':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Editing"""]),
    'R-CFA-75072':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Editing"""]),
    'R-DME-75072':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Editing"""]),
    'R-DRE-75072':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Editing"""]),
    'R-GGA-75072':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Editing"""]),
    'R-MMU-75072':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Editing"""]),
    'R-RNO-75072':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Editing"""]),
    'R-SSC-75072':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Editing"""]),
    'R-XTR-75072':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """mRNA Editing"""]),
    'R-HSA-75094':Nto._make([date(2004,  7,  6), '.......', '.C', """Formation of the Editosome"""]),
    'R-BTA-75094':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of the Editosome"""]),
    'R-CFA-75094':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of the Editosome"""]),
    'R-DRE-75094':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of the Editosome"""]),
    'R-GGA-75094':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of the Editosome"""]),
    'R-MMU-75094':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of the Editosome"""]),
    'R-RNO-75094':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of the Editosome"""]),
    'R-SSC-75094':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of the Editosome"""]),
    'R-XTR-75094':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of the Editosome"""]),
    'R-HSA-75102':Nto._make([date(2004,  7,  6), '....P..', '.C', """C6 deamination of adenosine"""]),
    'R-BTA-75102':Nto._make([date(2019,  3, 20), '...I...', '.C', """C6 deamination of adenosine"""]),
    'R-CEL-75102':Nto._make([date(2019,  3, 20), '...I...', '.C', """C6 deamination of adenosine"""]),
    'R-CFA-75102':Nto._make([date(2019,  3, 20), '...I...', '.C', """C6 deamination of adenosine"""]),
    'R-DME-75102':Nto._make([date(2019,  3, 20), '...I...', '.C', """C6 deamination of adenosine"""]),
    'R-DRE-75102':Nto._make([date(2019,  3, 20), '...I...', '.C', """C6 deamination of adenosine"""]),
    'R-GGA-75102':Nto._make([date(2019,  3, 20), '...I...', '.C', """C6 deamination of adenosine"""]),
    'R-MMU-75102':Nto._make([date(2019,  3, 20), '...I...', '.C', """C6 deamination of adenosine"""]),
    'R-RNO-75102':Nto._make([date(2019,  3, 20), '...I...', '.C', """C6 deamination of adenosine"""]),
    'R-SSC-75102':Nto._make([date(2019,  3, 20), '...I...', '.C', """C6 deamination of adenosine"""]),
    'R-XTR-75102':Nto._make([date(2019,  3, 20), '...I...', '.C', """C6 deamination of adenosine"""]),
    'R-HSA-75105':Nto._make([date(2004,  7,  6), '..f.P..', 'BC', """Fatty acyl-CoA biosynthesis"""]),
    'R-BTA-75105':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fatty acyl-CoA biosynthesis"""]),
    'R-CEL-75105':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fatty acyl-CoA biosynthesis"""]),
    'R-CFA-75105':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fatty acyl-CoA biosynthesis"""]),
    'R-DDI-75105':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fatty acyl-CoA biosynthesis"""]),
    'R-DME-75105':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fatty acyl-CoA biosynthesis"""]),
    'R-DRE-75105':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fatty acyl-CoA biosynthesis"""]),
    'R-GGA-75105':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fatty acyl-CoA biosynthesis"""]),
    'R-MMU-75105':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fatty acyl-CoA biosynthesis"""]),
    'R-PFA-75105':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fatty acyl-CoA biosynthesis"""]),
    'R-RNO-75105':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fatty acyl-CoA biosynthesis"""]),
    'R-SCE-75105':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fatty acyl-CoA biosynthesis"""]),
    'R-SPO-75105':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fatty acyl-CoA biosynthesis"""]),
    'R-SSC-75105':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fatty acyl-CoA biosynthesis"""]),
    'R-XTR-75105':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fatty acyl-CoA biosynthesis"""]),
    'R-HSA-75108':Nto._make([date(2004, 10, 27), '....P..', 'BC', """Activation, myristolyation of BID and translocation to mitochondria"""]),
    'R-BTA-75108':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation, myristolyation of BID and translocation to mitochondria"""]),
    'R-CFA-75108':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation, myristolyation of BID and translocation to mitochondria"""]),
    'R-GGA-75108':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation, myristolyation of BID and translocation to mitochondria"""]),
    'R-MMU-75108':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation, myristolyation of BID and translocation to mitochondria"""]),
    'R-RNO-75108':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation, myristolyation of BID and translocation to mitochondria"""]),
    'R-SSC-75108':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation, myristolyation of BID and translocation to mitochondria"""]),
    'R-XTR-75108':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation, myristolyation of BID and translocation to mitochondria"""]),
    'R-HSA-75109':Nto._make([date(2004,  7,  6), '....P..', 'BC', """Triglyceride biosynthesis"""]),
    'R-BTA-75109':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Triglyceride biosynthesis"""]),
    'R-CEL-75109':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Triglyceride biosynthesis"""]),
    'R-CFA-75109':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Triglyceride biosynthesis"""]),
    'R-DDI-75109':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Triglyceride biosynthesis"""]),
    'R-DME-75109':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Triglyceride biosynthesis"""]),
    'R-DRE-75109':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Triglyceride biosynthesis"""]),
    'R-GGA-75109':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Triglyceride biosynthesis"""]),
    'R-MMU-75109':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Triglyceride biosynthesis"""]),
    'R-PFA-75109':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Triglyceride biosynthesis"""]),
    'R-RNO-75109':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Triglyceride biosynthesis"""]),
    'R-SCE-75109':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Triglyceride biosynthesis"""]),
    'R-SPO-75109':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Triglyceride biosynthesis"""]),
    'R-SSC-75109':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Triglyceride biosynthesis"""]),
    'R-XTR-75109':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Triglyceride biosynthesis"""]),
    'R-HSA-75153':Nto._make([date(2004, 10, 27), '..F.P..', 'B.', """Apoptotic execution phase"""]),
    'R-BTA-75153':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptotic execution phase"""]),
    'R-CEL-75153':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptotic execution phase"""]),
    'R-CFA-75153':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptotic execution phase"""]),
    'R-DDI-75153':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptotic execution phase"""]),
    'R-DME-75153':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptotic execution phase"""]),
    'R-DRE-75153':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptotic execution phase"""]),
    'R-GGA-75153':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptotic execution phase"""]),
    'R-MMU-75153':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptotic execution phase"""]),
    'R-PFA-75153':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptotic execution phase"""]),
    'R-RNO-75153':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptotic execution phase"""]),
    'R-SCE-75153':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptotic execution phase"""]),
    'R-SPO-75153':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptotic execution phase"""]),
    'R-SSC-75153':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptotic execution phase"""]),
    'R-XTR-75153':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptotic execution phase"""]),
    'R-HSA-75157':Nto._make([date(2004, 10, 27), '..F.P..', 'B.', """FasL/ CD95L signaling"""]),
    'R-BTA-75157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """FasL/ CD95L signaling"""]),
    'R-CFA-75157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """FasL/ CD95L signaling"""]),
    'R-DRE-75157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """FasL/ CD95L signaling"""]),
    'R-GGA-75157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """FasL/ CD95L signaling"""]),
    'R-MMU-75157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """FasL/ CD95L signaling"""]),
    'R-RNO-75157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """FasL/ CD95L signaling"""]),
    'R-XTR-75157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """FasL/ CD95L signaling"""]),
    'R-HSA-75158':Nto._make([date(2004, 10, 27), '..f.P..', '..', """TRAIL  signaling"""]),
    'R-BTA-75158':Nto._make([date(2019,  3, 20), '..fI...', '..', """TRAIL  signaling"""]),
    'R-DRE-75158':Nto._make([date(2019,  3, 20), '..fI...', '..', """TRAIL  signaling"""]),
    'R-GGA-75158':Nto._make([date(2019,  3, 20), '..fI...', '..', """TRAIL  signaling"""]),
    'R-MMU-75158':Nto._make([date(2019,  3, 20), '..fI...', '..', """TRAIL  signaling"""]),
    'R-RNO-75158':Nto._make([date(2019,  3, 20), '..fI...', '..', """TRAIL  signaling"""]),
    'R-SSC-75158':Nto._make([date(2019,  3, 20), '..fI...', '..', """TRAIL  signaling"""]),
    'R-XTR-75158':Nto._make([date(2019,  3, 20), '..fI...', '..', """TRAIL  signaling"""]),
    'R-HSA-75205':Nto._make([date(2004, 10, 27), '..F.P..', 'B.', """Dissolution of Fibrin Clot"""]),
    'R-BTA-75205':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Dissolution of Fibrin Clot"""]),
    'R-CFA-75205':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Dissolution of Fibrin Clot"""]),
    'R-DRE-75205':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Dissolution of Fibrin Clot"""]),
    'R-GGA-75205':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Dissolution of Fibrin Clot"""]),
    'R-MMU-75205':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Dissolution of Fibrin Clot"""]),
    'R-RNO-75205':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Dissolution of Fibrin Clot"""]),
    'R-SSC-75205':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Dissolution of Fibrin Clot"""]),
    'R-XTR-75205':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Dissolution of Fibrin Clot"""]),
    'R-HSA-75815':Nto._make([date(2004,  7,  6), '....P..', '..', """Ubiquitin-dependent degradation of Cyclin D"""]),
    'R-BTA-75815':Nto._make([date(2019,  3, 20), '...I...', '..', """Ubiquitin-dependent degradation of Cyclin D"""]),
    'R-DME-75815':Nto._make([date(2019,  3, 20), '...I...', '..', """Ubiquitin-dependent degradation of Cyclin D"""]),
    'R-DRE-75815':Nto._make([date(2019,  3, 20), '...I...', '..', """Ubiquitin-dependent degradation of Cyclin D"""]),
    'R-MMU-75815':Nto._make([date(2019,  3, 20), '...I...', '..', """Ubiquitin-dependent degradation of Cyclin D"""]),
    'R-RNO-75815':Nto._make([date(2019,  3, 20), '...I...', '..', """Ubiquitin-dependent degradation of Cyclin D"""]),
    'R-SSC-75815':Nto._make([date(2019,  3, 20), '...I...', '..', """Ubiquitin-dependent degradation of Cyclin D"""]),
    'R-XTR-75815':Nto._make([date(2019,  3, 20), '...I...', '..', """Ubiquitin-dependent degradation of Cyclin D"""]),
    'R-HSA-75876':Nto._make([date(2004,  7,  6), '....P..', 'BC', """Synthesis of very long-chain fatty acyl-CoAs"""]),
    'R-BTA-75876':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of very long-chain fatty acyl-CoAs"""]),
    'R-CEL-75876':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of very long-chain fatty acyl-CoAs"""]),
    'R-CFA-75876':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of very long-chain fatty acyl-CoAs"""]),
    'R-DDI-75876':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of very long-chain fatty acyl-CoAs"""]),
    'R-DME-75876':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of very long-chain fatty acyl-CoAs"""]),
    'R-DRE-75876':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of very long-chain fatty acyl-CoAs"""]),
    'R-GGA-75876':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of very long-chain fatty acyl-CoAs"""]),
    'R-MMU-75876':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of very long-chain fatty acyl-CoAs"""]),
    'R-PFA-75876':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of very long-chain fatty acyl-CoAs"""]),
    'R-RNO-75876':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of very long-chain fatty acyl-CoAs"""]),
    'R-SCE-75876':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of very long-chain fatty acyl-CoAs"""]),
    'R-SPO-75876':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of very long-chain fatty acyl-CoAs"""]),
    'R-SSC-75876':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of very long-chain fatty acyl-CoAs"""]),
    'R-XTR-75876':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of very long-chain fatty acyl-CoAs"""]),
    'R-HSA-75892':Nto._make([date(2004, 10, 27), '..F.P..', '..', """Platelet Adhesion to exposed collagen"""]),
    'R-BTA-75892':Nto._make([date(2019,  3, 20), '..fI...', '..', """Platelet Adhesion to exposed collagen"""]),
    'R-CFA-75892':Nto._make([date(2019,  3, 20), '..fI...', '..', """Platelet Adhesion to exposed collagen"""]),
    'R-DDI-75892':Nto._make([date(2019,  3, 20), '..fI...', '..', """Platelet Adhesion to exposed collagen"""]),
    'R-DRE-75892':Nto._make([date(2019,  3, 20), '..fI...', '..', """Platelet Adhesion to exposed collagen"""]),
    'R-MMU-75892':Nto._make([date(2019,  3, 20), '..fI...', '..', """Platelet Adhesion to exposed collagen"""]),
    'R-RNO-75892':Nto._make([date(2019,  3, 20), '..fI...', '..', """Platelet Adhesion to exposed collagen"""]),
    'R-SSC-75892':Nto._make([date(2019,  3, 20), '..fI...', '..', """Platelet Adhesion to exposed collagen"""]),
    'R-XTR-75892':Nto._make([date(2019,  3, 20), '..fI...', '..', """Platelet Adhesion to exposed collagen"""]),
    'R-HSA-75893':Nto._make([date(2004, 10, 27), '..f.P..', 'B.', """TNF signaling"""]),
    'R-BTA-75893':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TNF signaling"""]),
    'R-CFA-75893':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TNF signaling"""]),
    'R-DRE-75893':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TNF signaling"""]),
    'R-GGA-75893':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TNF signaling"""]),
    'R-MMU-75893':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TNF signaling"""]),
    'R-RNO-75893':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TNF signaling"""]),
    'R-SSC-75893':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TNF signaling"""]),
    'R-XTR-75893':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TNF signaling"""]),
    'R-HSA-75896':Nto._make([date(2009,  4,  1), '..f.P..', 'BC', """Plasmalogen biosynthesis"""]),
    'R-CEL-75896':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Plasmalogen biosynthesis"""]),
    'R-CFA-75896':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Plasmalogen biosynthesis"""]),
    'R-DRE-75896':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Plasmalogen biosynthesis"""]),
    'R-GGA-75896':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Plasmalogen biosynthesis"""]),
    'R-MMU-75896':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Plasmalogen biosynthesis"""]),
    'R-RNO-75896':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Plasmalogen biosynthesis"""]),
    'R-SSC-75896':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Plasmalogen biosynthesis"""]),
    'R-XTR-75896':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Plasmalogen biosynthesis"""]),
    'R-HSA-75944':Nto._make([date(2004,  7,  6), '..F.P..', 'B.', """Transcription from mitochondrial promoters"""]),
    'R-BTA-75944':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcription from mitochondrial promoters"""]),
    'R-CEL-75944':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcription from mitochondrial promoters"""]),
    'R-CFA-75944':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcription from mitochondrial promoters"""]),
    'R-DME-75944':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcription from mitochondrial promoters"""]),
    'R-DRE-75944':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcription from mitochondrial promoters"""]),
    'R-GGA-75944':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcription from mitochondrial promoters"""]),
    'R-MMU-75944':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcription from mitochondrial promoters"""]),
    'R-RNO-75944':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcription from mitochondrial promoters"""]),
    'R-SSC-75944':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcription from mitochondrial promoters"""]),
    'R-XTR-75944':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcription from mitochondrial promoters"""]),
    'R-HSA-75953':Nto._make([date(2004,  7,  6), '....P..', 'BC', """RNA Polymerase II Transcription Initiation"""]),
    'R-BTA-75953':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Initiation"""]),
    'R-CEL-75953':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Initiation"""]),
    'R-CFA-75953':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Initiation"""]),
    'R-DDI-75953':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Initiation"""]),
    'R-DME-75953':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Initiation"""]),
    'R-DRE-75953':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Initiation"""]),
    'R-GGA-75953':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Initiation"""]),
    'R-MMU-75953':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Initiation"""]),
    'R-RNO-75953':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Initiation"""]),
    'R-SCE-75953':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Initiation"""]),
    'R-SPO-75953':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Initiation"""]),
    'R-SSC-75953':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Initiation"""]),
    'R-XTR-75953':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Initiation"""]),
    'R-HSA-75955':Nto._make([date(2004,  7,  6), '....P..', 'BC', """RNA Polymerase II Transcription Elongation"""]),
    'R-BTA-75955':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Elongation"""]),
    'R-CEL-75955':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Elongation"""]),
    'R-CFA-75955':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Elongation"""]),
    'R-DDI-75955':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Elongation"""]),
    'R-DME-75955':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Elongation"""]),
    'R-DRE-75955':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Elongation"""]),
    'R-GGA-75955':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Elongation"""]),
    'R-MMU-75955':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Elongation"""]),
    'R-PFA-75955':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Elongation"""]),
    'R-RNO-75955':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Elongation"""]),
    'R-SCE-75955':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Elongation"""]),
    'R-SPO-75955':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Elongation"""]),
    'R-SSC-75955':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Elongation"""]),
    'R-XTR-75955':Nto._make([date(2019,  3, 20), '...I...', 'BC', """RNA Polymerase II Transcription Elongation"""]),
    'R-HSA-76002':Nto._make([date(2004, 10, 27), '..F.P..', 'B.', """Platelet activation, signaling and aggregation"""]),
    'R-BTA-76002':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Platelet activation, signaling and aggregation"""]),
    'R-CEL-76002':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Platelet activation, signaling and aggregation"""]),
    'R-CFA-76002':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Platelet activation, signaling and aggregation"""]),
    'R-DDI-76002':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Platelet activation, signaling and aggregation"""]),
    'R-DME-76002':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Platelet activation, signaling and aggregation"""]),
    'R-DRE-76002':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Platelet activation, signaling and aggregation"""]),
    'R-GGA-76002':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Platelet activation, signaling and aggregation"""]),
    'R-MMU-76002':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Platelet activation, signaling and aggregation"""]),
    'R-PFA-76002':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Platelet activation, signaling and aggregation"""]),
    'R-RNO-76002':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Platelet activation, signaling and aggregation"""]),
    'R-SCE-76002':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Platelet activation, signaling and aggregation"""]),
    'R-SPO-76002':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Platelet activation, signaling and aggregation"""]),
    'R-SSC-76002':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Platelet activation, signaling and aggregation"""]),
    'R-XTR-76002':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Platelet activation, signaling and aggregation"""]),
    'R-HSA-76005':Nto._make([date(2004, 10, 27), '..F.P..', '..', """Response to elevated platelet cytosolic Ca2+"""]),
    'R-BTA-76005':Nto._make([date(2019,  3, 20), '..fI...', '..', """Response to elevated platelet cytosolic Ca2+"""]),
    'R-CEL-76005':Nto._make([date(2019,  3, 20), '..fI...', '..', """Response to elevated platelet cytosolic Ca2+"""]),
    'R-CFA-76005':Nto._make([date(2019,  3, 20), '..fI...', '..', """Response to elevated platelet cytosolic Ca2+"""]),
    'R-DDI-76005':Nto._make([date(2019,  3, 20), '..fI...', '..', """Response to elevated platelet cytosolic Ca2+"""]),
    'R-DME-76005':Nto._make([date(2019,  3, 20), '..fI...', '..', """Response to elevated platelet cytosolic Ca2+"""]),
    'R-DRE-76005':Nto._make([date(2019,  3, 20), '..fI...', '..', """Response to elevated platelet cytosolic Ca2+"""]),
    'R-GGA-76005':Nto._make([date(2019,  3, 20), '..fI...', '..', """Response to elevated platelet cytosolic Ca2+"""]),
    'R-MMU-76005':Nto._make([date(2019,  3, 20), '..fI...', '..', """Response to elevated platelet cytosolic Ca2+"""]),
    'R-PFA-76005':Nto._make([date(2019,  3, 20), '..fI...', '..', """Response to elevated platelet cytosolic Ca2+"""]),
    'R-RNO-76005':Nto._make([date(2019,  3, 20), '..fI...', '..', """Response to elevated platelet cytosolic Ca2+"""]),
    'R-SCE-76005':Nto._make([date(2019,  3, 20), '..fI...', '..', """Response to elevated platelet cytosolic Ca2+"""]),
    'R-SPO-76005':Nto._make([date(2019,  3, 20), '..fI...', '..', """Response to elevated platelet cytosolic Ca2+"""]),
    'R-SSC-76005':Nto._make([date(2019,  3, 20), '..fI...', '..', """Response to elevated platelet cytosolic Ca2+"""]),
    'R-XTR-76005':Nto._make([date(2019,  3, 20), '..fI...', '..', """Response to elevated platelet cytosolic Ca2+"""]),
    'R-HSA-76009':Nto._make([date(2004, 10, 27), '..f.P..', '..', """Platelet Aggregation (Plug Formation)"""]),
    'R-BTA-76009':Nto._make([date(2019,  3, 20), '..fI...', '..', """Platelet Aggregation (Plug Formation)"""]),
    'R-CEL-76009':Nto._make([date(2019,  3, 20), '..fI...', '..', """Platelet Aggregation (Plug Formation)"""]),
    'R-CFA-76009':Nto._make([date(2019,  3, 20), '..fI...', '..', """Platelet Aggregation (Plug Formation)"""]),
    'R-DDI-76009':Nto._make([date(2019,  3, 20), '..fI...', '..', """Platelet Aggregation (Plug Formation)"""]),
    'R-DME-76009':Nto._make([date(2019,  3, 20), '..fI...', '..', """Platelet Aggregation (Plug Formation)"""]),
    'R-DRE-76009':Nto._make([date(2019,  3, 20), '..fI...', '..', """Platelet Aggregation (Plug Formation)"""]),
    'R-GGA-76009':Nto._make([date(2019,  3, 20), '..fI...', '..', """Platelet Aggregation (Plug Formation)"""]),
    'R-MMU-76009':Nto._make([date(2019,  3, 20), '..fI...', '..', """Platelet Aggregation (Plug Formation)"""]),
    'R-RNO-76009':Nto._make([date(2019,  3, 20), '..fI...', '..', """Platelet Aggregation (Plug Formation)"""]),
    'R-SCE-76009':Nto._make([date(2019,  3, 20), '..fI...', '..', """Platelet Aggregation (Plug Formation)"""]),
    'R-SSC-76009':Nto._make([date(2019,  3, 20), '..fI...', '..', """Platelet Aggregation (Plug Formation)"""]),
    'R-XTR-76009':Nto._make([date(2019,  3, 20), '..fI...', '..', """Platelet Aggregation (Plug Formation)"""]),
    'R-HSA-76042':Nto._make([date(2004,  7,  6), '....P..', '.C', """RNA Polymerase II Transcription Initiation And Promoter Clearance"""]),
    'R-BTA-76042':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Transcription Initiation And Promoter Clearance"""]),
    'R-CEL-76042':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Transcription Initiation And Promoter Clearance"""]),
    'R-CFA-76042':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Transcription Initiation And Promoter Clearance"""]),
    'R-DDI-76042':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Transcription Initiation And Promoter Clearance"""]),
    'R-DME-76042':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Transcription Initiation And Promoter Clearance"""]),
    'R-DRE-76042':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Transcription Initiation And Promoter Clearance"""]),
    'R-GGA-76042':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Transcription Initiation And Promoter Clearance"""]),
    'R-MMU-76042':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Transcription Initiation And Promoter Clearance"""]),
    'R-PFA-76042':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Transcription Initiation And Promoter Clearance"""]),
    'R-RNO-76042':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Transcription Initiation And Promoter Clearance"""]),
    'R-SCE-76042':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Transcription Initiation And Promoter Clearance"""]),
    'R-SPO-76042':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Transcription Initiation And Promoter Clearance"""]),
    'R-SSC-76042':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Transcription Initiation And Promoter Clearance"""]),
    'R-XTR-76042':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Transcription Initiation And Promoter Clearance"""]),
    'R-HSA-76046':Nto._make([date(2004,  7,  6), '....P..', '.C', """RNA Polymerase III Transcription Initiation"""]),
    'R-BTA-76046':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation"""]),
    'R-CFA-76046':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation"""]),
    'R-DDI-76046':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation"""]),
    'R-DME-76046':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation"""]),
    'R-DRE-76046':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation"""]),
    'R-GGA-76046':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation"""]),
    'R-MMU-76046':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation"""]),
    'R-RNO-76046':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation"""]),
    'R-SCE-76046':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation"""]),
    'R-SPO-76046':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation"""]),
    'R-SSC-76046':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation"""]),
    'R-XTR-76046':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation"""]),
    'R-HSA-76061':Nto._make([date(2004,  7,  6), '....P..', '.C', """RNA Polymerase III Transcription Initiation From Type 1 Promoter"""]),
    'R-BTA-76061':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 1 Promoter"""]),
    'R-CFA-76061':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 1 Promoter"""]),
    'R-DDI-76061':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 1 Promoter"""]),
    'R-DME-76061':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 1 Promoter"""]),
    'R-DRE-76061':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 1 Promoter"""]),
    'R-GGA-76061':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 1 Promoter"""]),
    'R-MMU-76061':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 1 Promoter"""]),
    'R-RNO-76061':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 1 Promoter"""]),
    'R-SCE-76061':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 1 Promoter"""]),
    'R-SPO-76061':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 1 Promoter"""]),
    'R-SSC-76061':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 1 Promoter"""]),
    'R-XTR-76061':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 1 Promoter"""]),
    'R-HSA-76066':Nto._make([date(2004,  7,  6), '.......', '.C', """RNA Polymerase III Transcription Initiation From Type 2 Promoter"""]),
    'R-BTA-76066':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 2 Promoter"""]),
    'R-CFA-76066':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 2 Promoter"""]),
    'R-DDI-76066':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 2 Promoter"""]),
    'R-DME-76066':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 2 Promoter"""]),
    'R-DRE-76066':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 2 Promoter"""]),
    'R-GGA-76066':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 2 Promoter"""]),
    'R-MMU-76066':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 2 Promoter"""]),
    'R-RNO-76066':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 2 Promoter"""]),
    'R-SCE-76066':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 2 Promoter"""]),
    'R-SPO-76066':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 2 Promoter"""]),
    'R-SSC-76066':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 2 Promoter"""]),
    'R-XTR-76066':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 2 Promoter"""]),
    'R-HSA-76071':Nto._make([date(2004,  7,  6), '....P..', '.C', """RNA Polymerase III Transcription Initiation From Type 3 Promoter"""]),
    'R-BTA-76071':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 3 Promoter"""]),
    'R-CFA-76071':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 3 Promoter"""]),
    'R-DRE-76071':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 3 Promoter"""]),
    'R-GGA-76071':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 3 Promoter"""]),
    'R-MMU-76071':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 3 Promoter"""]),
    'R-RNO-76071':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 3 Promoter"""]),
    'R-SSC-76071':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 3 Promoter"""]),
    'R-XTR-76071':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase III Transcription Initiation From Type 3 Promoter"""]),
    'R-HSA-77042':Nto._make([date(2004,  7,  6), '.......', '.C', """Formation of editosomes by ADAR proteins"""]),
    'R-BTA-77042':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of editosomes by ADAR proteins"""]),
    'R-CEL-77042':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of editosomes by ADAR proteins"""]),
    'R-CFA-77042':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of editosomes by ADAR proteins"""]),
    'R-DME-77042':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of editosomes by ADAR proteins"""]),
    'R-DRE-77042':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of editosomes by ADAR proteins"""]),
    'R-GGA-77042':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of editosomes by ADAR proteins"""]),
    'R-MMU-77042':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of editosomes by ADAR proteins"""]),
    'R-RNO-77042':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of editosomes by ADAR proteins"""]),
    'R-SSC-77042':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of editosomes by ADAR proteins"""]),
    'R-XTR-77042':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of editosomes by ADAR proteins"""]),
    'R-HSA-77075':Nto._make([date(2004,  7,  6), '.......', '.C', """RNA Pol II CTD phosphorylation and interaction with CE"""]),
    'R-BTA-77075':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Pol II CTD phosphorylation and interaction with CE"""]),
    'R-CEL-77075':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Pol II CTD phosphorylation and interaction with CE"""]),
    'R-CFA-77075':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Pol II CTD phosphorylation and interaction with CE"""]),
    'R-DDI-77075':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Pol II CTD phosphorylation and interaction with CE"""]),
    'R-DME-77075':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Pol II CTD phosphorylation and interaction with CE"""]),
    'R-DRE-77075':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Pol II CTD phosphorylation and interaction with CE"""]),
    'R-GGA-77075':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Pol II CTD phosphorylation and interaction with CE"""]),
    'R-MMU-77075':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Pol II CTD phosphorylation and interaction with CE"""]),
    'R-PFA-77075':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Pol II CTD phosphorylation and interaction with CE"""]),
    'R-RNO-77075':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Pol II CTD phosphorylation and interaction with CE"""]),
    'R-SCE-77075':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Pol II CTD phosphorylation and interaction with CE"""]),
    'R-SPO-77075':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Pol II CTD phosphorylation and interaction with CE"""]),
    'R-SSC-77075':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Pol II CTD phosphorylation and interaction with CE"""]),
    'R-XTR-77075':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Pol II CTD phosphorylation and interaction with CE"""]),
    'R-HSA-77108':Nto._make([date(2004,  7,  6), '....P..', 'BC', """Utilization of Ketone Bodies"""]),
    'R-BTA-77108':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Utilization of Ketone Bodies"""]),
    'R-CEL-77108':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Utilization of Ketone Bodies"""]),
    'R-CFA-77108':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Utilization of Ketone Bodies"""]),
    'R-DDI-77108':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Utilization of Ketone Bodies"""]),
    'R-DME-77108':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Utilization of Ketone Bodies"""]),
    'R-DRE-77108':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Utilization of Ketone Bodies"""]),
    'R-GGA-77108':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Utilization of Ketone Bodies"""]),
    'R-MMU-77108':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Utilization of Ketone Bodies"""]),
    'R-PFA-77108':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Utilization of Ketone Bodies"""]),
    'R-RNO-77108':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Utilization of Ketone Bodies"""]),
    'R-SSC-77108':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Utilization of Ketone Bodies"""]),
    'R-XTR-77108':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Utilization of Ketone Bodies"""]),
    'R-HSA-77111':Nto._make([date(2004,  7,  6), '....P..', 'BC', """Synthesis of Ketone Bodies"""]),
    'R-BTA-77111':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of Ketone Bodies"""]),
    'R-CEL-77111':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of Ketone Bodies"""]),
    'R-CFA-77111':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of Ketone Bodies"""]),
    'R-DDI-77111':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of Ketone Bodies"""]),
    'R-DME-77111':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of Ketone Bodies"""]),
    'R-DRE-77111':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of Ketone Bodies"""]),
    'R-GGA-77111':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of Ketone Bodies"""]),
    'R-MMU-77111':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of Ketone Bodies"""]),
    'R-PFA-77111':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of Ketone Bodies"""]),
    'R-RNO-77111':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of Ketone Bodies"""]),
    'R-SCE-77111':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of Ketone Bodies"""]),
    'R-SPO-77111':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of Ketone Bodies"""]),
    'R-SSC-77111':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of Ketone Bodies"""]),
    'R-XTR-77111':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of Ketone Bodies"""]),
    'R-HSA-77285':Nto._make([date(2004,  7,  6), '.....B.', 'BC', """Beta oxidation of myristoyl-CoA to lauroyl-CoA"""]),
    'R-BTA-77285':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of myristoyl-CoA to lauroyl-CoA"""]),
    'R-CEL-77285':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of myristoyl-CoA to lauroyl-CoA"""]),
    'R-CFA-77285':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of myristoyl-CoA to lauroyl-CoA"""]),
    'R-DME-77285':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of myristoyl-CoA to lauroyl-CoA"""]),
    'R-DRE-77285':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of myristoyl-CoA to lauroyl-CoA"""]),
    'R-GGA-77285':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of myristoyl-CoA to lauroyl-CoA"""]),
    'R-MMU-77285':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of myristoyl-CoA to lauroyl-CoA"""]),
    'R-RNO-77285':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of myristoyl-CoA to lauroyl-CoA"""]),
    'R-SSC-77285':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of myristoyl-CoA to lauroyl-CoA"""]),
    'R-XTR-77285':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of myristoyl-CoA to lauroyl-CoA"""]),
    'R-HSA-77286':Nto._make([date(2004,  7,  6), '.....B.', 'BC', """mitochondrial fatty acid beta-oxidation of saturated fatty acids"""]),
    'R-BTA-77286':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of saturated fatty acids"""]),
    'R-CEL-77286':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of saturated fatty acids"""]),
    'R-CFA-77286':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of saturated fatty acids"""]),
    'R-DDI-77286':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of saturated fatty acids"""]),
    'R-DME-77286':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of saturated fatty acids"""]),
    'R-DRE-77286':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of saturated fatty acids"""]),
    'R-GGA-77286':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of saturated fatty acids"""]),
    'R-MMU-77286':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of saturated fatty acids"""]),
    'R-RNO-77286':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of saturated fatty acids"""]),
    'R-SCE-77286':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of saturated fatty acids"""]),
    'R-SPO-77286':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of saturated fatty acids"""]),
    'R-SSC-77286':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of saturated fatty acids"""]),
    'R-XTR-77286':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of saturated fatty acids"""]),
    'R-HSA-77288':Nto._make([date(2004,  7,  6), '.....B.', 'BC', """mitochondrial fatty acid beta-oxidation of unsaturated fatty acids"""]),
    'R-BTA-77288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of unsaturated fatty acids"""]),
    'R-CEL-77288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of unsaturated fatty acids"""]),
    'R-CFA-77288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of unsaturated fatty acids"""]),
    'R-DME-77288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of unsaturated fatty acids"""]),
    'R-DRE-77288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of unsaturated fatty acids"""]),
    'R-GGA-77288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of unsaturated fatty acids"""]),
    'R-MMU-77288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of unsaturated fatty acids"""]),
    'R-RNO-77288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of unsaturated fatty acids"""]),
    'R-SSC-77288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of unsaturated fatty acids"""]),
    'R-XTR-77288':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mitochondrial fatty acid beta-oxidation of unsaturated fatty acids"""]),
    'R-HSA-77289':Nto._make([date(2004,  7,  6), '..f.PB.', 'BC', """Mitochondrial Fatty Acid Beta-Oxidation"""]),
    'R-BTA-77289':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial Fatty Acid Beta-Oxidation"""]),
    'R-CEL-77289':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial Fatty Acid Beta-Oxidation"""]),
    'R-CFA-77289':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial Fatty Acid Beta-Oxidation"""]),
    'R-DDI-77289':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial Fatty Acid Beta-Oxidation"""]),
    'R-DME-77289':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial Fatty Acid Beta-Oxidation"""]),
    'R-DRE-77289':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial Fatty Acid Beta-Oxidation"""]),
    'R-GGA-77289':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial Fatty Acid Beta-Oxidation"""]),
    'R-MMU-77289':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial Fatty Acid Beta-Oxidation"""]),
    'R-PFA-77289':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial Fatty Acid Beta-Oxidation"""]),
    'R-RNO-77289':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial Fatty Acid Beta-Oxidation"""]),
    'R-SCE-77289':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial Fatty Acid Beta-Oxidation"""]),
    'R-SPO-77289':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial Fatty Acid Beta-Oxidation"""]),
    'R-SSC-77289':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial Fatty Acid Beta-Oxidation"""]),
    'R-XTR-77289':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial Fatty Acid Beta-Oxidation"""]),
    'R-HSA-77305':Nto._make([date(2004,  7,  6), '.....B.', 'BC', """Beta oxidation of palmitoyl-CoA to myristoyl-CoA"""]),
    'R-BTA-77305':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of palmitoyl-CoA to myristoyl-CoA"""]),
    'R-CEL-77305':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of palmitoyl-CoA to myristoyl-CoA"""]),
    'R-CFA-77305':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of palmitoyl-CoA to myristoyl-CoA"""]),
    'R-DME-77305':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of palmitoyl-CoA to myristoyl-CoA"""]),
    'R-DRE-77305':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of palmitoyl-CoA to myristoyl-CoA"""]),
    'R-GGA-77305':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of palmitoyl-CoA to myristoyl-CoA"""]),
    'R-MMU-77305':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of palmitoyl-CoA to myristoyl-CoA"""]),
    'R-RNO-77305':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of palmitoyl-CoA to myristoyl-CoA"""]),
    'R-SSC-77305':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of palmitoyl-CoA to myristoyl-CoA"""]),
    'R-XTR-77305':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of palmitoyl-CoA to myristoyl-CoA"""]),
    'R-HSA-77310':Nto._make([date(2004,  7,  6), '.....B.', 'BC', """Beta oxidation of lauroyl-CoA to decanoyl-CoA-CoA"""]),
    'R-BTA-77310':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of lauroyl-CoA to decanoyl-CoA-CoA"""]),
    'R-CEL-77310':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of lauroyl-CoA to decanoyl-CoA-CoA"""]),
    'R-CFA-77310':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of lauroyl-CoA to decanoyl-CoA-CoA"""]),
    'R-DDI-77310':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of lauroyl-CoA to decanoyl-CoA-CoA"""]),
    'R-DME-77310':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of lauroyl-CoA to decanoyl-CoA-CoA"""]),
    'R-DRE-77310':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of lauroyl-CoA to decanoyl-CoA-CoA"""]),
    'R-GGA-77310':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of lauroyl-CoA to decanoyl-CoA-CoA"""]),
    'R-MMU-77310':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of lauroyl-CoA to decanoyl-CoA-CoA"""]),
    'R-RNO-77310':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of lauroyl-CoA to decanoyl-CoA-CoA"""]),
    'R-SSC-77310':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of lauroyl-CoA to decanoyl-CoA-CoA"""]),
    'R-XTR-77310':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of lauroyl-CoA to decanoyl-CoA-CoA"""]),
    'R-HSA-77346':Nto._make([date(2004,  7,  6), '.....B.', 'BC', """Beta oxidation of decanoyl-CoA to octanoyl-CoA-CoA"""]),
    'R-BTA-77346':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of decanoyl-CoA to octanoyl-CoA-CoA"""]),
    'R-CEL-77346':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of decanoyl-CoA to octanoyl-CoA-CoA"""]),
    'R-CFA-77346':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of decanoyl-CoA to octanoyl-CoA-CoA"""]),
    'R-DDI-77346':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of decanoyl-CoA to octanoyl-CoA-CoA"""]),
    'R-DME-77346':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of decanoyl-CoA to octanoyl-CoA-CoA"""]),
    'R-DRE-77346':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of decanoyl-CoA to octanoyl-CoA-CoA"""]),
    'R-GGA-77346':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of decanoyl-CoA to octanoyl-CoA-CoA"""]),
    'R-MMU-77346':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of decanoyl-CoA to octanoyl-CoA-CoA"""]),
    'R-RNO-77346':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of decanoyl-CoA to octanoyl-CoA-CoA"""]),
    'R-SCE-77346':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of decanoyl-CoA to octanoyl-CoA-CoA"""]),
    'R-SPO-77346':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of decanoyl-CoA to octanoyl-CoA-CoA"""]),
    'R-SSC-77346':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of decanoyl-CoA to octanoyl-CoA-CoA"""]),
    'R-XTR-77346':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of decanoyl-CoA to octanoyl-CoA-CoA"""]),
    'R-HSA-77348':Nto._make([date(2004,  7,  6), '.....B.', 'BC', """Beta oxidation of octanoyl-CoA to hexanoyl-CoA"""]),
    'R-BTA-77348':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of octanoyl-CoA to hexanoyl-CoA"""]),
    'R-CEL-77348':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of octanoyl-CoA to hexanoyl-CoA"""]),
    'R-CFA-77348':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of octanoyl-CoA to hexanoyl-CoA"""]),
    'R-DDI-77348':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of octanoyl-CoA to hexanoyl-CoA"""]),
    'R-DME-77348':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of octanoyl-CoA to hexanoyl-CoA"""]),
    'R-DRE-77348':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of octanoyl-CoA to hexanoyl-CoA"""]),
    'R-GGA-77348':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of octanoyl-CoA to hexanoyl-CoA"""]),
    'R-MMU-77348':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of octanoyl-CoA to hexanoyl-CoA"""]),
    'R-RNO-77348':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of octanoyl-CoA to hexanoyl-CoA"""]),
    'R-SSC-77348':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of octanoyl-CoA to hexanoyl-CoA"""]),
    'R-XTR-77348':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of octanoyl-CoA to hexanoyl-CoA"""]),
    'R-HSA-77350':Nto._make([date(2004,  7,  6), '.....B.', 'BC', """Beta oxidation of hexanoyl-CoA to butanoyl-CoA"""]),
    'R-BTA-77350':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of hexanoyl-CoA to butanoyl-CoA"""]),
    'R-CEL-77350':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of hexanoyl-CoA to butanoyl-CoA"""]),
    'R-CFA-77350':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of hexanoyl-CoA to butanoyl-CoA"""]),
    'R-DDI-77350':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of hexanoyl-CoA to butanoyl-CoA"""]),
    'R-DME-77350':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of hexanoyl-CoA to butanoyl-CoA"""]),
    'R-DRE-77350':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of hexanoyl-CoA to butanoyl-CoA"""]),
    'R-GGA-77350':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of hexanoyl-CoA to butanoyl-CoA"""]),
    'R-MMU-77350':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of hexanoyl-CoA to butanoyl-CoA"""]),
    'R-RNO-77350':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of hexanoyl-CoA to butanoyl-CoA"""]),
    'R-SSC-77350':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of hexanoyl-CoA to butanoyl-CoA"""]),
    'R-XTR-77350':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of hexanoyl-CoA to butanoyl-CoA"""]),
    'R-HSA-77352':Nto._make([date(2004,  7,  6), '.....B.', 'BC', """Beta oxidation of butanoyl-CoA to acetyl-CoA"""]),
    'R-BTA-77352':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of butanoyl-CoA to acetyl-CoA"""]),
    'R-CEL-77352':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of butanoyl-CoA to acetyl-CoA"""]),
    'R-CFA-77352':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of butanoyl-CoA to acetyl-CoA"""]),
    'R-DDI-77352':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of butanoyl-CoA to acetyl-CoA"""]),
    'R-DME-77352':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of butanoyl-CoA to acetyl-CoA"""]),
    'R-DRE-77352':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of butanoyl-CoA to acetyl-CoA"""]),
    'R-GGA-77352':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of butanoyl-CoA to acetyl-CoA"""]),
    'R-MMU-77352':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of butanoyl-CoA to acetyl-CoA"""]),
    'R-RNO-77352':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of butanoyl-CoA to acetyl-CoA"""]),
    'R-SSC-77352':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of butanoyl-CoA to acetyl-CoA"""]),
    'R-XTR-77352':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta oxidation of butanoyl-CoA to acetyl-CoA"""]),
    'R-HSA-77387':Nto._make([date(2004,  7,  6), '.......', '..', """Insulin receptor recycling"""]),
    'R-BTA-77387':Nto._make([date(2019,  3, 20), '...I...', '..', """Insulin receptor recycling"""]),
    'R-CEL-77387':Nto._make([date(2019,  3, 20), '...I...', '..', """Insulin receptor recycling"""]),
    'R-CFA-77387':Nto._make([date(2019,  3, 20), '...I...', '..', """Insulin receptor recycling"""]),
    'R-DDI-77387':Nto._make([date(2019,  3, 20), '...I...', '..', """Insulin receptor recycling"""]),
    'R-DME-77387':Nto._make([date(2019,  3, 20), '...I...', '..', """Insulin receptor recycling"""]),
    'R-DRE-77387':Nto._make([date(2019,  3, 20), '...I...', '..', """Insulin receptor recycling"""]),
    'R-GGA-77387':Nto._make([date(2019,  3, 20), '...I...', '..', """Insulin receptor recycling"""]),
    'R-MMU-77387':Nto._make([date(2019,  3, 20), '...I...', '..', """Insulin receptor recycling"""]),
    'R-PFA-77387':Nto._make([date(2019,  3, 20), '...I...', '..', """Insulin receptor recycling"""]),
    'R-RNO-77387':Nto._make([date(2019,  3, 20), '...I...', '..', """Insulin receptor recycling"""]),
    'R-SCE-77387':Nto._make([date(2019,  3, 20), '...I...', '..', """Insulin receptor recycling"""]),
    'R-SPO-77387':Nto._make([date(2019,  3, 20), '...I...', '..', """Insulin receptor recycling"""]),
    'R-SSC-77387':Nto._make([date(2019,  3, 20), '...I...', '..', """Insulin receptor recycling"""]),
    'R-XTR-77387':Nto._make([date(2019,  3, 20), '...I...', '..', """Insulin receptor recycling"""]),
    'R-HSA-77588':Nto._make([date(2004,  7,  6), '....P..', 'BC', """SLBP Dependent Processing of Replication-Dependent Histone Pre-mRNAs"""]),
    'R-BTA-77588':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SLBP Dependent Processing of Replication-Dependent Histone Pre-mRNAs"""]),
    'R-CEL-77588':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SLBP Dependent Processing of Replication-Dependent Histone Pre-mRNAs"""]),
    'R-CFA-77588':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SLBP Dependent Processing of Replication-Dependent Histone Pre-mRNAs"""]),
    'R-DDI-77588':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SLBP Dependent Processing of Replication-Dependent Histone Pre-mRNAs"""]),
    'R-DME-77588':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SLBP Dependent Processing of Replication-Dependent Histone Pre-mRNAs"""]),
    'R-GGA-77588':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SLBP Dependent Processing of Replication-Dependent Histone Pre-mRNAs"""]),
    'R-MMU-77588':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SLBP Dependent Processing of Replication-Dependent Histone Pre-mRNAs"""]),
    'R-PFA-77588':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SLBP Dependent Processing of Replication-Dependent Histone Pre-mRNAs"""]),
    'R-RNO-77588':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SLBP Dependent Processing of Replication-Dependent Histone Pre-mRNAs"""]),
    'R-SSC-77588':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SLBP Dependent Processing of Replication-Dependent Histone Pre-mRNAs"""]),
    'R-XTR-77588':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SLBP Dependent Processing of Replication-Dependent Histone Pre-mRNAs"""]),
    'R-HSA-77595':Nto._make([date(2004,  7,  6), '....P..', '.C', """Processing of Intronless Pre-mRNAs"""]),
    'R-BTA-77595':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of Intronless Pre-mRNAs"""]),
    'R-CEL-77595':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of Intronless Pre-mRNAs"""]),
    'R-CFA-77595':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of Intronless Pre-mRNAs"""]),
    'R-DDI-77595':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of Intronless Pre-mRNAs"""]),
    'R-DME-77595':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of Intronless Pre-mRNAs"""]),
    'R-DRE-77595':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of Intronless Pre-mRNAs"""]),
    'R-GGA-77595':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of Intronless Pre-mRNAs"""]),
    'R-MMU-77595':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of Intronless Pre-mRNAs"""]),
    'R-RNO-77595':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of Intronless Pre-mRNAs"""]),
    'R-SCE-77595':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of Intronless Pre-mRNAs"""]),
    'R-SPO-77595':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of Intronless Pre-mRNAs"""]),
    'R-SSC-77595':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of Intronless Pre-mRNAs"""]),
    'R-XTR-77595':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of Intronless Pre-mRNAs"""]),
    'R-HSA-83936':Nto._make([date(2010,  6, 15), '....P..', '.C', """Transport of nucleosides and free purine and pyrimidine bases across the plasma membrane"""]),
    'R-BTA-83936':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of nucleosides and free purine and pyrimidine bases across the plasma membrane"""]),
    'R-CEL-83936':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of nucleosides and free purine and pyrimidine bases across the plasma membrane"""]),
    'R-CFA-83936':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of nucleosides and free purine and pyrimidine bases across the plasma membrane"""]),
    'R-DDI-83936':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of nucleosides and free purine and pyrimidine bases across the plasma membrane"""]),
    'R-DME-83936':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of nucleosides and free purine and pyrimidine bases across the plasma membrane"""]),
    'R-DRE-83936':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of nucleosides and free purine and pyrimidine bases across the plasma membrane"""]),
    'R-GGA-83936':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of nucleosides and free purine and pyrimidine bases across the plasma membrane"""]),
    'R-MMU-83936':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of nucleosides and free purine and pyrimidine bases across the plasma membrane"""]),
    'R-PFA-83936':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of nucleosides and free purine and pyrimidine bases across the plasma membrane"""]),
    'R-RNO-83936':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of nucleosides and free purine and pyrimidine bases across the plasma membrane"""]),
    'R-SCE-83936':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of nucleosides and free purine and pyrimidine bases across the plasma membrane"""]),
    'R-SPO-83936':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of nucleosides and free purine and pyrimidine bases across the plasma membrane"""]),
    'R-SSC-83936':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of nucleosides and free purine and pyrimidine bases across the plasma membrane"""]),
    'R-XTR-83936':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of nucleosides and free purine and pyrimidine bases across the plasma membrane"""]),
    'R-HSA-109581':Nto._make([date(2004,  9, 20), '..F.P..', 'B.', """Apoptosis"""]),
    'R-BTA-109581':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptosis"""]),
    'R-CEL-109581':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptosis"""]),
    'R-CFA-109581':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptosis"""]),
    'R-DDI-109581':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptosis"""]),
    'R-DME-109581':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptosis"""]),
    'R-DRE-109581':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptosis"""]),
    'R-GGA-109581':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptosis"""]),
    'R-MMU-109581':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptosis"""]),
    'R-PFA-109581':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptosis"""]),
    'R-RNO-109581':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptosis"""]),
    'R-SCE-109581':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptosis"""]),
    'R-SPO-109581':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptosis"""]),
    'R-SSC-109581':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptosis"""]),
    'R-XTR-109581':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Apoptosis"""]),
    'R-HSA-109582':Nto._make([date(2005,  4, 11), 'T.F..B.', 'B.', """Hemostasis"""]),
    'R-BTA-109582':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Hemostasis"""]),
    'R-CEL-109582':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Hemostasis"""]),
    'R-CFA-109582':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Hemostasis"""]),
    'R-DDI-109582':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Hemostasis"""]),
    'R-DME-109582':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Hemostasis"""]),
    'R-DRE-109582':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Hemostasis"""]),
    'R-GGA-109582':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Hemostasis"""]),
    'R-MMU-109582':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Hemostasis"""]),
    'R-PFA-109582':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Hemostasis"""]),
    'R-RNO-109582':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Hemostasis"""]),
    'R-SCE-109582':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Hemostasis"""]),
    'R-SPO-109582':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Hemostasis"""]),
    'R-SSC-109582':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Hemostasis"""]),
    'R-XTR-109582':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Hemostasis"""]),
    'R-HSA-109606':Nto._make([date(2004, 10, 27), '..F.P..', 'B.', """Intrinsic Pathway for Apoptosis"""]),
    'R-BTA-109606':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intrinsic Pathway for Apoptosis"""]),
    'R-CEL-109606':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intrinsic Pathway for Apoptosis"""]),
    'R-CFA-109606':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intrinsic Pathway for Apoptosis"""]),
    'R-DDI-109606':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intrinsic Pathway for Apoptosis"""]),
    'R-DME-109606':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intrinsic Pathway for Apoptosis"""]),
    'R-DRE-109606':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intrinsic Pathway for Apoptosis"""]),
    'R-GGA-109606':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intrinsic Pathway for Apoptosis"""]),
    'R-MMU-109606':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intrinsic Pathway for Apoptosis"""]),
    'R-PFA-109606':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intrinsic Pathway for Apoptosis"""]),
    'R-RNO-109606':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intrinsic Pathway for Apoptosis"""]),
    'R-SCE-109606':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intrinsic Pathway for Apoptosis"""]),
    'R-SPO-109606':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intrinsic Pathway for Apoptosis"""]),
    'R-SSC-109606':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intrinsic Pathway for Apoptosis"""]),
    'R-XTR-109606':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intrinsic Pathway for Apoptosis"""]),
    'R-HSA-109703':Nto._make([date(2005,  9, 26), '.......', '..', """PKB-mediated events"""]),
    'R-BTA-109703':Nto._make([date(2019,  3, 20), '...I...', '..', """PKB-mediated events"""]),
    'R-CEL-109703':Nto._make([date(2019,  3, 20), '...I...', '..', """PKB-mediated events"""]),
    'R-CFA-109703':Nto._make([date(2019,  3, 20), '...I...', '..', """PKB-mediated events"""]),
    'R-DDI-109703':Nto._make([date(2019,  3, 20), '...I...', '..', """PKB-mediated events"""]),
    'R-DRE-109703':Nto._make([date(2019,  3, 20), '...I...', '..', """PKB-mediated events"""]),
    'R-GGA-109703':Nto._make([date(2019,  3, 20), '...I...', '..', """PKB-mediated events"""]),
    'R-MMU-109703':Nto._make([date(2019,  3, 20), '...I...', '..', """PKB-mediated events"""]),
    'R-PFA-109703':Nto._make([date(2019,  3, 20), '...I...', '..', """PKB-mediated events"""]),
    'R-RNO-109703':Nto._make([date(2019,  3, 20), '...I...', '..', """PKB-mediated events"""]),
    'R-SSC-109703':Nto._make([date(2019,  3, 20), '...I...', '..', """PKB-mediated events"""]),
    'R-XTR-109703':Nto._make([date(2019,  3, 20), '...I...', '..', """PKB-mediated events"""]),
    'R-HSA-109704':Nto._make([date(2005,  9, 26), '..f.P..', '..', """PI3K Cascade"""]),
    'R-BTA-109704':Nto._make([date(2019,  3, 20), '..fI...', '..', """PI3K Cascade"""]),
    'R-CEL-109704':Nto._make([date(2019,  3, 20), '..fI...', '..', """PI3K Cascade"""]),
    'R-CFA-109704':Nto._make([date(2019,  3, 20), '..fI...', '..', """PI3K Cascade"""]),
    'R-DDI-109704':Nto._make([date(2019,  3, 20), '..fI...', '..', """PI3K Cascade"""]),
    'R-DME-109704':Nto._make([date(2019,  3, 20), '..fI...', '..', """PI3K Cascade"""]),
    'R-DRE-109704':Nto._make([date(2019,  3, 20), '..fI...', '..', """PI3K Cascade"""]),
    'R-GGA-109704':Nto._make([date(2019,  3, 20), '..fI...', '..', """PI3K Cascade"""]),
    'R-MMU-109704':Nto._make([date(2019,  3, 20), '..fI...', '..', """PI3K Cascade"""]),
    'R-PFA-109704':Nto._make([date(2019,  3, 20), '..fI...', '..', """PI3K Cascade"""]),
    'R-RNO-109704':Nto._make([date(2019,  3, 20), '..fI...', '..', """PI3K Cascade"""]),
    'R-SCE-109704':Nto._make([date(2019,  3, 20), '..fI...', '..', """PI3K Cascade"""]),
    'R-SPO-109704':Nto._make([date(2019,  3, 20), '..fI...', '..', """PI3K Cascade"""]),
    'R-SSC-109704':Nto._make([date(2019,  3, 20), '..fI...', '..', """PI3K Cascade"""]),
    'R-XTR-109704':Nto._make([date(2019,  3, 20), '..fI...', '..', """PI3K Cascade"""]),
    'R-HSA-110056':Nto._make([date(2005,  6, 13), '.......', '.C', """MAPK3 (ERK1) activation"""]),
    'R-BTA-110056':Nto._make([date(2019,  3, 20), '...I...', '.C', """MAPK3 (ERK1) activation"""]),
    'R-CEL-110056':Nto._make([date(2019,  3, 20), '...I...', '.C', """MAPK3 (ERK1) activation"""]),
    'R-CFA-110056':Nto._make([date(2019,  3, 20), '...I...', '.C', """MAPK3 (ERK1) activation"""]),
    'R-DDI-110056':Nto._make([date(2019,  3, 20), '...I...', '.C', """MAPK3 (ERK1) activation"""]),
    'R-DME-110056':Nto._make([date(2019,  3, 20), '...I...', '.C', """MAPK3 (ERK1) activation"""]),
    'R-DRE-110056':Nto._make([date(2019,  3, 20), '...I...', '.C', """MAPK3 (ERK1) activation"""]),
    'R-GGA-110056':Nto._make([date(2019,  3, 20), '...I...', '.C', """MAPK3 (ERK1) activation"""]),
    'R-MMU-110056':Nto._make([date(2019,  3, 20), '...I...', '.C', """MAPK3 (ERK1) activation"""]),
    'R-PFA-110056':Nto._make([date(2019,  3, 20), '...I...', '.C', """MAPK3 (ERK1) activation"""]),
    'R-RNO-110056':Nto._make([date(2019,  3, 20), '...I...', '.C', """MAPK3 (ERK1) activation"""]),
    'R-SCE-110056':Nto._make([date(2019,  3, 20), '...I...', '.C', """MAPK3 (ERK1) activation"""]),
    'R-SPO-110056':Nto._make([date(2019,  3, 20), '...I...', '.C', """MAPK3 (ERK1) activation"""]),
    'R-XTR-110056':Nto._make([date(2019,  3, 20), '...I...', '.C', """MAPK3 (ERK1) activation"""]),
    'R-HSA-110312':Nto._make([date(2004,  3,  6), '....P..', 'BC', """Translesion synthesis by REV1"""]),
    'R-BTA-110312':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by REV1"""]),
    'R-CEL-110312':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by REV1"""]),
    'R-CFA-110312':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by REV1"""]),
    'R-DDI-110312':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by REV1"""]),
    'R-DME-110312':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by REV1"""]),
    'R-DRE-110312':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by REV1"""]),
    'R-GGA-110312':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by REV1"""]),
    'R-MMU-110312':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by REV1"""]),
    'R-PFA-110312':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by REV1"""]),
    'R-RNO-110312':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by REV1"""]),
    'R-SCE-110312':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by REV1"""]),
    'R-SPO-110312':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by REV1"""]),
    'R-SSC-110312':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by REV1"""]),
    'R-XTR-110312':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by REV1"""]),
    'R-HSA-110313':Nto._make([date(2004,  3,  6), '....P..', 'BC', """Translesion synthesis by Y family DNA polymerases bypasses lesions on DNA template"""]),
    'R-BTA-110313':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by Y family DNA polymerases bypasses lesions on DNA template"""]),
    'R-CEL-110313':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by Y family DNA polymerases bypasses lesions on DNA template"""]),
    'R-CFA-110313':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by Y family DNA polymerases bypasses lesions on DNA template"""]),
    'R-DDI-110313':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by Y family DNA polymerases bypasses lesions on DNA template"""]),
    'R-DME-110313':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by Y family DNA polymerases bypasses lesions on DNA template"""]),
    'R-DRE-110313':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by Y family DNA polymerases bypasses lesions on DNA template"""]),
    'R-GGA-110313':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by Y family DNA polymerases bypasses lesions on DNA template"""]),
    'R-MMU-110313':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by Y family DNA polymerases bypasses lesions on DNA template"""]),
    'R-PFA-110313':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by Y family DNA polymerases bypasses lesions on DNA template"""]),
    'R-RNO-110313':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by Y family DNA polymerases bypasses lesions on DNA template"""]),
    'R-SCE-110313':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by Y family DNA polymerases bypasses lesions on DNA template"""]),
    'R-SPO-110313':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by Y family DNA polymerases bypasses lesions on DNA template"""]),
    'R-SSC-110313':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by Y family DNA polymerases bypasses lesions on DNA template"""]),
    'R-XTR-110313':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by Y family DNA polymerases bypasses lesions on DNA template"""]),
    'R-HSA-110314':Nto._make([date(2015,  3, 19), '....P..', 'BC', """Recognition of DNA damage by PCNA-containing replication complex"""]),
    'R-BTA-110314':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition of DNA damage by PCNA-containing replication complex"""]),
    'R-CEL-110314':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition of DNA damage by PCNA-containing replication complex"""]),
    'R-CFA-110314':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition of DNA damage by PCNA-containing replication complex"""]),
    'R-DDI-110314':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition of DNA damage by PCNA-containing replication complex"""]),
    'R-DME-110314':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition of DNA damage by PCNA-containing replication complex"""]),
    'R-DRE-110314':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition of DNA damage by PCNA-containing replication complex"""]),
    'R-GGA-110314':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition of DNA damage by PCNA-containing replication complex"""]),
    'R-MMU-110314':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition of DNA damage by PCNA-containing replication complex"""]),
    'R-PFA-110314':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition of DNA damage by PCNA-containing replication complex"""]),
    'R-RNO-110314':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition of DNA damage by PCNA-containing replication complex"""]),
    'R-SCE-110314':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition of DNA damage by PCNA-containing replication complex"""]),
    'R-SPO-110314':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition of DNA damage by PCNA-containing replication complex"""]),
    'R-SSC-110314':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition of DNA damage by PCNA-containing replication complex"""]),
    'R-XTR-110314':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition of DNA damage by PCNA-containing replication complex"""]),
    'R-HSA-110320':Nto._make([date(2004,  3,  6), '....P..', 'BC', """Translesion Synthesis by POLH"""]),
    'R-BTA-110320':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion Synthesis by POLH"""]),
    'R-CEL-110320':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion Synthesis by POLH"""]),
    'R-CFA-110320':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion Synthesis by POLH"""]),
    'R-DME-110320':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion Synthesis by POLH"""]),
    'R-DRE-110320':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion Synthesis by POLH"""]),
    'R-GGA-110320':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion Synthesis by POLH"""]),
    'R-MMU-110320':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion Synthesis by POLH"""]),
    'R-PFA-110320':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion Synthesis by POLH"""]),
    'R-RNO-110320':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion Synthesis by POLH"""]),
    'R-SCE-110320':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion Synthesis by POLH"""]),
    'R-SPO-110320':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion Synthesis by POLH"""]),
    'R-SSC-110320':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion Synthesis by POLH"""]),
    'R-XTR-110320':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion Synthesis by POLH"""]),
    'R-HSA-110328':Nto._make([date(2004,  3,  6), '....P..', 'BC', """Recognition and association of DNA glycosylase with site containing an affected pyrimidine"""]),
    'R-BTA-110328':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition and association of DNA glycosylase with site containing an affected pyrimidine"""]),
    'R-CFA-110328':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition and association of DNA glycosylase with site containing an affected pyrimidine"""]),
    'R-DME-110328':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition and association of DNA glycosylase with site containing an affected pyrimidine"""]),
    'R-DRE-110328':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition and association of DNA glycosylase with site containing an affected pyrimidine"""]),
    'R-GGA-110328':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition and association of DNA glycosylase with site containing an affected pyrimidine"""]),
    'R-MMU-110328':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition and association of DNA glycosylase with site containing an affected pyrimidine"""]),
    'R-RNO-110328':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition and association of DNA glycosylase with site containing an affected pyrimidine"""]),
    'R-SSC-110328':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition and association of DNA glycosylase with site containing an affected pyrimidine"""]),
    'R-XTR-110328':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition and association of DNA glycosylase with site containing an affected pyrimidine"""]),
    'R-HSA-110329':Nto._make([date(2004,  3,  6), '....P..', 'BC', """Cleavage of the damaged pyrimidine """]),
    'R-BTA-110329':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged pyrimidine """]),
    'R-CEL-110329':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged pyrimidine """]),
    'R-CFA-110329':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged pyrimidine """]),
    'R-DDI-110329':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged pyrimidine """]),
    'R-DME-110329':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged pyrimidine """]),
    'R-DRE-110329':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged pyrimidine """]),
    'R-GGA-110329':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged pyrimidine """]),
    'R-MMU-110329':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged pyrimidine """]),
    'R-PFA-110329':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged pyrimidine """]),
    'R-RNO-110329':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged pyrimidine """]),
    'R-SCE-110329':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged pyrimidine """]),
    'R-SPO-110329':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged pyrimidine """]),
    'R-SSC-110329':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged pyrimidine """]),
    'R-XTR-110329':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged pyrimidine """]),
    'R-HSA-110330':Nto._make([date(2004,  3,  6), '....P..', 'BC', """Recognition and association of DNA glycosylase with site containing an affected purine"""]),
    'R-BTA-110330':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition and association of DNA glycosylase with site containing an affected purine"""]),
    'R-CFA-110330':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition and association of DNA glycosylase with site containing an affected purine"""]),
    'R-MMU-110330':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition and association of DNA glycosylase with site containing an affected purine"""]),
    'R-RNO-110330':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition and association of DNA glycosylase with site containing an affected purine"""]),
    'R-SSC-110330':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition and association of DNA glycosylase with site containing an affected purine"""]),
    'R-XTR-110330':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Recognition and association of DNA glycosylase with site containing an affected purine"""]),
    'R-HSA-110331':Nto._make([date(2004,  3,  6), '....P..', 'BC', """Cleavage of the damaged purine"""]),
    'R-BTA-110331':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged purine"""]),
    'R-CFA-110331':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged purine"""]),
    'R-DDI-110331':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged purine"""]),
    'R-DME-110331':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged purine"""]),
    'R-DRE-110331':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged purine"""]),
    'R-GGA-110331':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged purine"""]),
    'R-MMU-110331':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged purine"""]),
    'R-PFA-110331':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged purine"""]),
    'R-RNO-110331':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged purine"""]),
    'R-SCE-110331':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged purine"""]),
    'R-SPO-110331':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged purine"""]),
    'R-SSC-110331':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged purine"""]),
    'R-XTR-110331':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cleavage of the damaged purine"""]),
    'R-HSA-110357':Nto._make([date(2004,  3,  6), '....P..', '.C', """Displacement of DNA glycosylase by APEX1"""]),
    'R-CEL-110357':Nto._make([date(2019,  3, 20), '...I...', '.C', """Displacement of DNA glycosylase by APEX1"""]),
    'R-CFA-110357':Nto._make([date(2019,  3, 20), '...I...', '.C', """Displacement of DNA glycosylase by APEX1"""]),
    'R-DDI-110357':Nto._make([date(2019,  3, 20), '...I...', '.C', """Displacement of DNA glycosylase by APEX1"""]),
    'R-DME-110357':Nto._make([date(2019,  3, 20), '...I...', '.C', """Displacement of DNA glycosylase by APEX1"""]),
    'R-DRE-110357':Nto._make([date(2019,  3, 20), '...I...', '.C', """Displacement of DNA glycosylase by APEX1"""]),
    'R-MMU-110357':Nto._make([date(2019,  3, 20), '...I...', '.C', """Displacement of DNA glycosylase by APEX1"""]),
    'R-PFA-110357':Nto._make([date(2019,  3, 20), '...I...', '.C', """Displacement of DNA glycosylase by APEX1"""]),
    'R-RNO-110357':Nto._make([date(2019,  3, 20), '...I...', '.C', """Displacement of DNA glycosylase by APEX1"""]),
    'R-SSC-110357':Nto._make([date(2019,  3, 20), '...I...', '.C', """Displacement of DNA glycosylase by APEX1"""]),
    'R-XTR-110357':Nto._make([date(2019,  3, 20), '...I...', '.C', """Displacement of DNA glycosylase by APEX1"""]),
    'R-HSA-110362':Nto._make([date(2004,  3,  6), '....P..', '.C', """POLB-Dependent Long Patch Base Excision Repair"""]),
    'R-BTA-110362':Nto._make([date(2019,  3, 20), '...I...', '.C', """POLB-Dependent Long Patch Base Excision Repair"""]),
    'R-CFA-110362':Nto._make([date(2019,  3, 20), '...I...', '.C', """POLB-Dependent Long Patch Base Excision Repair"""]),
    'R-DDI-110362':Nto._make([date(2019,  3, 20), '...I...', '.C', """POLB-Dependent Long Patch Base Excision Repair"""]),
    'R-DME-110362':Nto._make([date(2019,  3, 20), '...I...', '.C', """POLB-Dependent Long Patch Base Excision Repair"""]),
    'R-DRE-110362':Nto._make([date(2019,  3, 20), '...I...', '.C', """POLB-Dependent Long Patch Base Excision Repair"""]),
    'R-GGA-110362':Nto._make([date(2019,  3, 20), '...I...', '.C', """POLB-Dependent Long Patch Base Excision Repair"""]),
    'R-MMU-110362':Nto._make([date(2019,  3, 20), '...I...', '.C', """POLB-Dependent Long Patch Base Excision Repair"""]),
    'R-RNO-110362':Nto._make([date(2019,  3, 20), '...I...', '.C', """POLB-Dependent Long Patch Base Excision Repair"""]),
    'R-SSC-110362':Nto._make([date(2019,  3, 20), '...I...', '.C', """POLB-Dependent Long Patch Base Excision Repair"""]),
    'R-XTR-110362':Nto._make([date(2019,  3, 20), '...I...', '.C', """POLB-Dependent Long Patch Base Excision Repair"""]),
    'R-HSA-110373':Nto._make([date(2004,  3,  6), '....P..', '.C', """Resolution of AP sites via the multiple-nucleotide patch replacement pathway"""]),
    'R-BTA-110373':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of AP sites via the multiple-nucleotide patch replacement pathway"""]),
    'R-CEL-110373':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of AP sites via the multiple-nucleotide patch replacement pathway"""]),
    'R-CFA-110373':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of AP sites via the multiple-nucleotide patch replacement pathway"""]),
    'R-DDI-110373':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of AP sites via the multiple-nucleotide patch replacement pathway"""]),
    'R-DME-110373':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of AP sites via the multiple-nucleotide patch replacement pathway"""]),
    'R-DRE-110373':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of AP sites via the multiple-nucleotide patch replacement pathway"""]),
    'R-GGA-110373':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of AP sites via the multiple-nucleotide patch replacement pathway"""]),
    'R-MMU-110373':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of AP sites via the multiple-nucleotide patch replacement pathway"""]),
    'R-PFA-110373':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of AP sites via the multiple-nucleotide patch replacement pathway"""]),
    'R-RNO-110373':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of AP sites via the multiple-nucleotide patch replacement pathway"""]),
    'R-SPO-110373':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of AP sites via the multiple-nucleotide patch replacement pathway"""]),
    'R-SSC-110373':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of AP sites via the multiple-nucleotide patch replacement pathway"""]),
    'R-XTR-110373':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of AP sites via the multiple-nucleotide patch replacement pathway"""]),
    'R-HSA-110381':Nto._make([date(2004,  3,  6), '....P..', '.C', """Resolution of AP sites via the single-nucleotide replacement pathway"""]),
    'R-BTA-110381':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of AP sites via the single-nucleotide replacement pathway"""]),
    'R-CFA-110381':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of AP sites via the single-nucleotide replacement pathway"""]),
    'R-DDI-110381':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of AP sites via the single-nucleotide replacement pathway"""]),
    'R-DRE-110381':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of AP sites via the single-nucleotide replacement pathway"""]),
    'R-MMU-110381':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of AP sites via the single-nucleotide replacement pathway"""]),
    'R-RNO-110381':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of AP sites via the single-nucleotide replacement pathway"""]),
    'R-SSC-110381':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of AP sites via the single-nucleotide replacement pathway"""]),
    'R-XTR-110381':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of AP sites via the single-nucleotide replacement pathway"""]),
    'R-DME-110478':Nto._make([date(2006,  1, 17), '.......', '..', """Insulin signaling pathway"""]),
    'R-DME-110523':Nto._make([date(2006,  1, 17), '.......', '..', """TOR signaling pathway"""]),
    'R-DME-110526':Nto._make([date(2006,  1, 17), '..f....', '..', """Insulin receptor mediated signaling"""]),
    'R-HSA-111367':Nto._make([date(2004,  7,  6), '.......', 'BC', """SLBP independent Processing of Histone Pre-mRNAs"""]),
    'R-BTA-111367':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SLBP independent Processing of Histone Pre-mRNAs"""]),
    'R-CEL-111367':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SLBP independent Processing of Histone Pre-mRNAs"""]),
    'R-CFA-111367':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SLBP independent Processing of Histone Pre-mRNAs"""]),
    'R-DDI-111367':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SLBP independent Processing of Histone Pre-mRNAs"""]),
    'R-DME-111367':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SLBP independent Processing of Histone Pre-mRNAs"""]),
    'R-GGA-111367':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SLBP independent Processing of Histone Pre-mRNAs"""]),
    'R-MMU-111367':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SLBP independent Processing of Histone Pre-mRNAs"""]),
    'R-RNO-111367':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SLBP independent Processing of Histone Pre-mRNAs"""]),
    'R-SSC-111367':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SLBP independent Processing of Histone Pre-mRNAs"""]),
    'R-XTR-111367':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SLBP independent Processing of Histone Pre-mRNAs"""]),
    'R-HSA-111446':Nto._make([date(2004, 10, 27), '....P..', 'BC', """Activation of BIM and translocation to mitochondria """]),
    'R-BTA-111446':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BIM and translocation to mitochondria """]),
    'R-CFA-111446':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BIM and translocation to mitochondria """]),
    'R-DRE-111446':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BIM and translocation to mitochondria """]),
    'R-MMU-111446':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BIM and translocation to mitochondria """]),
    'R-RNO-111446':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BIM and translocation to mitochondria """]),
    'R-SSC-111446':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BIM and translocation to mitochondria """]),
    'R-HSA-111447':Nto._make([date(2004, 10, 27), '....P..', 'BC', """Activation of BAD and translocation to mitochondria """]),
    'R-BTA-111447':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BAD and translocation to mitochondria """]),
    'R-CFA-111447':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BAD and translocation to mitochondria """]),
    'R-MMU-111447':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BAD and translocation to mitochondria """]),
    'R-RNO-111447':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BAD and translocation to mitochondria """]),
    'R-SSC-111447':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BAD and translocation to mitochondria """]),
    'R-XTR-111447':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BAD and translocation to mitochondria """]),
    'R-HSA-111448':Nto._make([date(2004, 10, 27), '....P..', 'BC', """Activation of NOXA and translocation to mitochondria"""]),
    'R-CFA-111448':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of NOXA and translocation to mitochondria"""]),
    'R-DRE-111448':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of NOXA and translocation to mitochondria"""]),
    'R-GGA-111448':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of NOXA and translocation to mitochondria"""]),
    'R-MMU-111448':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of NOXA and translocation to mitochondria"""]),
    'R-RNO-111448':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of NOXA and translocation to mitochondria"""]),
    'R-SSC-111448':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of NOXA and translocation to mitochondria"""]),
    'R-HSA-111452':Nto._make([date(2004, 10, 27), '.......', 'BC', """Activation and oligomerization of BAK protein"""]),
    'R-BTA-111452':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation and oligomerization of BAK protein"""]),
    'R-CFA-111452':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation and oligomerization of BAK protein"""]),
    'R-GGA-111452':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation and oligomerization of BAK protein"""]),
    'R-MMU-111452':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation and oligomerization of BAK protein"""]),
    'R-RNO-111452':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation and oligomerization of BAK protein"""]),
    'R-SSC-111452':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation and oligomerization of BAK protein"""]),
    'R-HSA-111453':Nto._make([date(2004, 10, 27), '.......', 'BC', """BH3-only proteins associate with and inactivate anti-apoptotic BCL-2 members"""]),
    'R-BTA-111453':Nto._make([date(2019,  3, 20), '...I...', 'BC', """BH3-only proteins associate with and inactivate anti-apoptotic BCL-2 members"""]),
    'R-CFA-111453':Nto._make([date(2019,  3, 20), '...I...', 'BC', """BH3-only proteins associate with and inactivate anti-apoptotic BCL-2 members"""]),
    'R-DRE-111453':Nto._make([date(2019,  3, 20), '...I...', 'BC', """BH3-only proteins associate with and inactivate anti-apoptotic BCL-2 members"""]),
    'R-GGA-111453':Nto._make([date(2019,  3, 20), '...I...', 'BC', """BH3-only proteins associate with and inactivate anti-apoptotic BCL-2 members"""]),
    'R-MMU-111453':Nto._make([date(2019,  3, 20), '...I...', 'BC', """BH3-only proteins associate with and inactivate anti-apoptotic BCL-2 members"""]),
    'R-RNO-111453':Nto._make([date(2019,  3, 20), '...I...', 'BC', """BH3-only proteins associate with and inactivate anti-apoptotic BCL-2 members"""]),
    'R-XTR-111453':Nto._make([date(2019,  3, 20), '...I...', 'BC', """BH3-only proteins associate with and inactivate anti-apoptotic BCL-2 members"""]),
    'R-HSA-111457':Nto._make([date(2004, 10, 27), '....P..', '.C', """Release of apoptotic factors from the mitochondria"""]),
    'R-BTA-111457':Nto._make([date(2019,  3, 20), '...I...', '.C', """Release of apoptotic factors from the mitochondria"""]),
    'R-CEL-111457':Nto._make([date(2019,  3, 20), '...I...', '.C', """Release of apoptotic factors from the mitochondria"""]),
    'R-CFA-111457':Nto._make([date(2019,  3, 20), '...I...', '.C', """Release of apoptotic factors from the mitochondria"""]),
    'R-DDI-111457':Nto._make([date(2019,  3, 20), '...I...', '.C', """Release of apoptotic factors from the mitochondria"""]),
    'R-DME-111457':Nto._make([date(2019,  3, 20), '...I...', '.C', """Release of apoptotic factors from the mitochondria"""]),
    'R-DRE-111457':Nto._make([date(2019,  3, 20), '...I...', '.C', """Release of apoptotic factors from the mitochondria"""]),
    'R-GGA-111457':Nto._make([date(2019,  3, 20), '...I...', '.C', """Release of apoptotic factors from the mitochondria"""]),
    'R-MMU-111457':Nto._make([date(2019,  3, 20), '...I...', '.C', """Release of apoptotic factors from the mitochondria"""]),
    'R-PFA-111457':Nto._make([date(2019,  3, 20), '...I...', '.C', """Release of apoptotic factors from the mitochondria"""]),
    'R-RNO-111457':Nto._make([date(2019,  3, 20), '...I...', '.C', """Release of apoptotic factors from the mitochondria"""]),
    'R-SCE-111457':Nto._make([date(2019,  3, 20), '...I...', '.C', """Release of apoptotic factors from the mitochondria"""]),
    'R-SPO-111457':Nto._make([date(2019,  3, 20), '...I...', '.C', """Release of apoptotic factors from the mitochondria"""]),
    'R-SSC-111457':Nto._make([date(2019,  3, 20), '...I...', '.C', """Release of apoptotic factors from the mitochondria"""]),
    'R-XTR-111457':Nto._make([date(2019,  3, 20), '...I...', '.C', """Release of apoptotic factors from the mitochondria"""]),
    'R-HSA-111458':Nto._make([date(2004, 10, 27), '....P..', '.C', """Formation of apoptosome"""]),
    'R-BTA-111458':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of apoptosome"""]),
    'R-CFA-111458':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of apoptosome"""]),
    'R-DRE-111458':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of apoptosome"""]),
    'R-GGA-111458':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of apoptosome"""]),
    'R-MMU-111458':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of apoptosome"""]),
    'R-RNO-111458':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of apoptosome"""]),
    'R-SSC-111458':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of apoptosome"""]),
    'R-XTR-111458':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of apoptosome"""]),
    'R-HSA-111459':Nto._make([date(2004, 10, 27), '....P..', 'BC', """Activation of caspases through apoptosome-mediated cleavage"""]),
    'R-HSA-111461':Nto._make([date(2004, 10, 27), '....P..', '.C', """Cytochrome c-mediated apoptotic response"""]),
    'R-BTA-111461':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cytochrome c-mediated apoptotic response"""]),
    'R-CFA-111461':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cytochrome c-mediated apoptotic response"""]),
    'R-DRE-111461':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cytochrome c-mediated apoptotic response"""]),
    'R-GGA-111461':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cytochrome c-mediated apoptotic response"""]),
    'R-MMU-111461':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cytochrome c-mediated apoptotic response"""]),
    'R-RNO-111461':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cytochrome c-mediated apoptotic response"""]),
    'R-SSC-111461':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cytochrome c-mediated apoptotic response"""]),
    'R-XTR-111461':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cytochrome c-mediated apoptotic response"""]),
    'R-HSA-111463':Nto._make([date(2004, 10, 27), '....P..', '.C', """SMAC (DIABLO) binds to IAPs """]),
    'R-BTA-111463':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC (DIABLO) binds to IAPs """]),
    'R-CFA-111463':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC (DIABLO) binds to IAPs """]),
    'R-DRE-111463':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC (DIABLO) binds to IAPs """]),
    'R-GGA-111463':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC (DIABLO) binds to IAPs """]),
    'R-MMU-111463':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC (DIABLO) binds to IAPs """]),
    'R-RNO-111463':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC (DIABLO) binds to IAPs """]),
    'R-SSC-111463':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC (DIABLO) binds to IAPs """]),
    'R-XTR-111463':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC (DIABLO) binds to IAPs """]),
    'R-HSA-111464':Nto._make([date(2004, 10, 27), '....P..', '.C', """SMAC(DIABLO)-mediated dissociation of IAP:caspase complexes """]),
    'R-BTA-111464':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC(DIABLO)-mediated dissociation of IAP:caspase complexes """]),
    'R-CFA-111464':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC(DIABLO)-mediated dissociation of IAP:caspase complexes """]),
    'R-DRE-111464':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC(DIABLO)-mediated dissociation of IAP:caspase complexes """]),
    'R-GGA-111464':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC(DIABLO)-mediated dissociation of IAP:caspase complexes """]),
    'R-MMU-111464':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC(DIABLO)-mediated dissociation of IAP:caspase complexes """]),
    'R-RNO-111464':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC(DIABLO)-mediated dissociation of IAP:caspase complexes """]),
    'R-SSC-111464':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC(DIABLO)-mediated dissociation of IAP:caspase complexes """]),
    'R-XTR-111464':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC(DIABLO)-mediated dissociation of IAP:caspase complexes """]),
    'R-HSA-111465':Nto._make([date(2007, 12, 11), '....P..', '.C', """Apoptotic cleavage of cellular proteins"""]),
    'R-BTA-111465':Nto._make([date(2019,  3, 20), '...I...', '.C', """Apoptotic cleavage of cellular proteins"""]),
    'R-CEL-111465':Nto._make([date(2019,  3, 20), '...I...', '.C', """Apoptotic cleavage of cellular proteins"""]),
    'R-CFA-111465':Nto._make([date(2019,  3, 20), '...I...', '.C', """Apoptotic cleavage of cellular proteins"""]),
    'R-DME-111465':Nto._make([date(2019,  3, 20), '...I...', '.C', """Apoptotic cleavage of cellular proteins"""]),
    'R-DRE-111465':Nto._make([date(2019,  3, 20), '...I...', '.C', """Apoptotic cleavage of cellular proteins"""]),
    'R-GGA-111465':Nto._make([date(2019,  3, 20), '...I...', '.C', """Apoptotic cleavage of cellular proteins"""]),
    'R-MMU-111465':Nto._make([date(2019,  3, 20), '...I...', '.C', """Apoptotic cleavage of cellular proteins"""]),
    'R-RNO-111465':Nto._make([date(2019,  3, 20), '...I...', '.C', """Apoptotic cleavage of cellular proteins"""]),
    'R-SSC-111465':Nto._make([date(2019,  3, 20), '...I...', '.C', """Apoptotic cleavage of cellular proteins"""]),
    'R-XTR-111465':Nto._make([date(2019,  3, 20), '...I...', '.C', """Apoptotic cleavage of cellular proteins"""]),
    'R-HSA-111469':Nto._make([date(2004, 10, 27), '....P..', '.C', """SMAC, XIAP-regulated apoptotic response"""]),
    'R-BTA-111469':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC, XIAP-regulated apoptotic response"""]),
    'R-CFA-111469':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC, XIAP-regulated apoptotic response"""]),
    'R-DME-111469':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC, XIAP-regulated apoptotic response"""]),
    'R-DRE-111469':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC, XIAP-regulated apoptotic response"""]),
    'R-GGA-111469':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC, XIAP-regulated apoptotic response"""]),
    'R-MMU-111469':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC, XIAP-regulated apoptotic response"""]),
    'R-RNO-111469':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC, XIAP-regulated apoptotic response"""]),
    'R-SPO-111469':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC, XIAP-regulated apoptotic response"""]),
    'R-SSC-111469':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC, XIAP-regulated apoptotic response"""]),
    'R-XTR-111469':Nto._make([date(2019,  3, 20), '...I...', '.C', """SMAC, XIAP-regulated apoptotic response"""]),
    'R-HSA-111471':Nto._make([date(2018, 12, 13), '....P..', '..', """Apoptotic factor-mediated response"""]),
    'R-BTA-111471':Nto._make([date(2019,  3, 20), '...I...', '..', """Apoptotic factor-mediated response"""]),
    'R-CEL-111471':Nto._make([date(2019,  3, 20), '...I...', '..', """Apoptotic factor-mediated response"""]),
    'R-CFA-111471':Nto._make([date(2019,  3, 20), '...I...', '..', """Apoptotic factor-mediated response"""]),
    'R-DDI-111471':Nto._make([date(2019,  3, 20), '...I...', '..', """Apoptotic factor-mediated response"""]),
    'R-DME-111471':Nto._make([date(2019,  3, 20), '...I...', '..', """Apoptotic factor-mediated response"""]),
    'R-DRE-111471':Nto._make([date(2019,  3, 20), '...I...', '..', """Apoptotic factor-mediated response"""]),
    'R-GGA-111471':Nto._make([date(2019,  3, 20), '...I...', '..', """Apoptotic factor-mediated response"""]),
    'R-MMU-111471':Nto._make([date(2019,  3, 20), '...I...', '..', """Apoptotic factor-mediated response"""]),
    'R-PFA-111471':Nto._make([date(2019,  3, 20), '...I...', '..', """Apoptotic factor-mediated response"""]),
    'R-RNO-111471':Nto._make([date(2019,  3, 20), '...I...', '..', """Apoptotic factor-mediated response"""]),
    'R-SCE-111471':Nto._make([date(2019,  3, 20), '...I...', '..', """Apoptotic factor-mediated response"""]),
    'R-SPO-111471':Nto._make([date(2019,  3, 20), '...I...', '..', """Apoptotic factor-mediated response"""]),
    'R-SSC-111471':Nto._make([date(2019,  3, 20), '...I...', '..', """Apoptotic factor-mediated response"""]),
    'R-XTR-111471':Nto._make([date(2019,  3, 20), '...I...', '..', """Apoptotic factor-mediated response"""]),
    'R-HSA-111885':Nto._make([date(2008, 12, 17), '..f.P..', '..', """Opioid Signalling"""]),
    'R-BTA-111885':Nto._make([date(2019,  3, 20), '..fI...', '..', """Opioid Signalling"""]),
    'R-CEL-111885':Nto._make([date(2019,  3, 20), '..fI...', '..', """Opioid Signalling"""]),
    'R-CFA-111885':Nto._make([date(2019,  3, 20), '..fI...', '..', """Opioid Signalling"""]),
    'R-DDI-111885':Nto._make([date(2019,  3, 20), '..fI...', '..', """Opioid Signalling"""]),
    'R-DME-111885':Nto._make([date(2019,  3, 20), '..fI...', '..', """Opioid Signalling"""]),
    'R-DRE-111885':Nto._make([date(2019,  3, 20), '..fI...', '..', """Opioid Signalling"""]),
    'R-GGA-111885':Nto._make([date(2019,  3, 20), '..fI...', '..', """Opioid Signalling"""]),
    'R-MMU-111885':Nto._make([date(2019,  3, 20), '..fI...', '..', """Opioid Signalling"""]),
    'R-PFA-111885':Nto._make([date(2019,  3, 20), '..fI...', '..', """Opioid Signalling"""]),
    'R-RNO-111885':Nto._make([date(2019,  3, 20), '..fI...', '..', """Opioid Signalling"""]),
    'R-SCE-111885':Nto._make([date(2019,  3, 20), '..fI...', '..', """Opioid Signalling"""]),
    'R-SPO-111885':Nto._make([date(2019,  3, 20), '..fI...', '..', """Opioid Signalling"""]),
    'R-SSC-111885':Nto._make([date(2019,  3, 20), '..fI...', '..', """Opioid Signalling"""]),
    'R-XTR-111885':Nto._make([date(2019,  3, 20), '..fI...', '..', """Opioid Signalling"""]),
    'R-HSA-111931':Nto._make([date(2008, 12, 17), '....P..', '.C', """PKA-mediated phosphorylation of CREB"""]),
    'R-BTA-111931':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA-mediated phosphorylation of CREB"""]),
    'R-CEL-111931':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA-mediated phosphorylation of CREB"""]),
    'R-CFA-111931':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA-mediated phosphorylation of CREB"""]),
    'R-DDI-111931':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA-mediated phosphorylation of CREB"""]),
    'R-DME-111931':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA-mediated phosphorylation of CREB"""]),
    'R-DRE-111931':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA-mediated phosphorylation of CREB"""]),
    'R-GGA-111931':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA-mediated phosphorylation of CREB"""]),
    'R-MMU-111931':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA-mediated phosphorylation of CREB"""]),
    'R-RNO-111931':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA-mediated phosphorylation of CREB"""]),
    'R-SCE-111931':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA-mediated phosphorylation of CREB"""]),
    'R-SPO-111931':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA-mediated phosphorylation of CREB"""]),
    'R-SSC-111931':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA-mediated phosphorylation of CREB"""]),
    'R-XTR-111931':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA-mediated phosphorylation of CREB"""]),
    'R-HSA-111932':Nto._make([date(2008, 12, 17), '....P..', '.C', """CaMK IV-mediated phosphorylation of CREB"""]),
    'R-BTA-111932':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaMK IV-mediated phosphorylation of CREB"""]),
    'R-CEL-111932':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaMK IV-mediated phosphorylation of CREB"""]),
    'R-CFA-111932':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaMK IV-mediated phosphorylation of CREB"""]),
    'R-DDI-111932':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaMK IV-mediated phosphorylation of CREB"""]),
    'R-DME-111932':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaMK IV-mediated phosphorylation of CREB"""]),
    'R-MMU-111932':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaMK IV-mediated phosphorylation of CREB"""]),
    'R-PFA-111932':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaMK IV-mediated phosphorylation of CREB"""]),
    'R-RNO-111932':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaMK IV-mediated phosphorylation of CREB"""]),
    'R-SCE-111932':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaMK IV-mediated phosphorylation of CREB"""]),
    'R-SSC-111932':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaMK IV-mediated phosphorylation of CREB"""]),
    'R-XTR-111932':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaMK IV-mediated phosphorylation of CREB"""]),
    'R-HSA-111933':Nto._make([date(2008, 12, 17), '....P..', '.C', """Calmodulin induced events"""]),
    'R-BTA-111933':Nto._make([date(2019,  3, 20), '...I...', '.C', """Calmodulin induced events"""]),
    'R-CEL-111933':Nto._make([date(2019,  3, 20), '...I...', '.C', """Calmodulin induced events"""]),
    'R-CFA-111933':Nto._make([date(2019,  3, 20), '...I...', '.C', """Calmodulin induced events"""]),
    'R-DDI-111933':Nto._make([date(2019,  3, 20), '...I...', '.C', """Calmodulin induced events"""]),
    'R-DME-111933':Nto._make([date(2019,  3, 20), '...I...', '.C', """Calmodulin induced events"""]),
    'R-DRE-111933':Nto._make([date(2019,  3, 20), '...I...', '.C', """Calmodulin induced events"""]),
    'R-GGA-111933':Nto._make([date(2019,  3, 20), '...I...', '.C', """Calmodulin induced events"""]),
    'R-MMU-111933':Nto._make([date(2019,  3, 20), '...I...', '.C', """Calmodulin induced events"""]),
    'R-PFA-111933':Nto._make([date(2019,  3, 20), '...I...', '.C', """Calmodulin induced events"""]),
    'R-RNO-111933':Nto._make([date(2019,  3, 20), '...I...', '.C', """Calmodulin induced events"""]),
    'R-SCE-111933':Nto._make([date(2019,  3, 20), '...I...', '.C', """Calmodulin induced events"""]),
    'R-SPO-111933':Nto._make([date(2019,  3, 20), '...I...', '.C', """Calmodulin induced events"""]),
    'R-SSC-111933':Nto._make([date(2019,  3, 20), '...I...', '.C', """Calmodulin induced events"""]),
    'R-XTR-111933':Nto._make([date(2019,  3, 20), '...I...', '.C', """Calmodulin induced events"""]),
    'R-HSA-111957':Nto._make([date(2008, 12, 17), '....P..', '.C', """Cam-PDE 1 activation"""]),
    'R-BTA-111957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cam-PDE 1 activation"""]),
    'R-CEL-111957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cam-PDE 1 activation"""]),
    'R-CFA-111957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cam-PDE 1 activation"""]),
    'R-DME-111957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cam-PDE 1 activation"""]),
    'R-DRE-111957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cam-PDE 1 activation"""]),
    'R-GGA-111957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cam-PDE 1 activation"""]),
    'R-MMU-111957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cam-PDE 1 activation"""]),
    'R-RNO-111957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cam-PDE 1 activation"""]),
    'R-SSC-111957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cam-PDE 1 activation"""]),
    'R-XTR-111957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cam-PDE 1 activation"""]),
    'R-HSA-111995':Nto._make([date(2008, 12, 17), '....P..', '.C', """phospho-PLA2 pathway"""]),
    'R-BTA-111995':Nto._make([date(2019,  3, 20), '...I...', '.C', """phospho-PLA2 pathway"""]),
    'R-CFA-111995':Nto._make([date(2019,  3, 20), '...I...', '.C', """phospho-PLA2 pathway"""]),
    'R-DDI-111995':Nto._make([date(2019,  3, 20), '...I...', '.C', """phospho-PLA2 pathway"""]),
    'R-DRE-111995':Nto._make([date(2019,  3, 20), '...I...', '.C', """phospho-PLA2 pathway"""]),
    'R-GGA-111995':Nto._make([date(2019,  3, 20), '...I...', '.C', """phospho-PLA2 pathway"""]),
    'R-MMU-111995':Nto._make([date(2019,  3, 20), '...I...', '.C', """phospho-PLA2 pathway"""]),
    'R-RNO-111995':Nto._make([date(2019,  3, 20), '...I...', '.C', """phospho-PLA2 pathway"""]),
    'R-SCE-111995':Nto._make([date(2019,  3, 20), '...I...', '.C', """phospho-PLA2 pathway"""]),
    'R-SPO-111995':Nto._make([date(2019,  3, 20), '...I...', '.C', """phospho-PLA2 pathway"""]),
    'R-SSC-111995':Nto._make([date(2019,  3, 20), '...I...', '.C', """phospho-PLA2 pathway"""]),
    'R-XTR-111995':Nto._make([date(2019,  3, 20), '...I...', '.C', """phospho-PLA2 pathway"""]),
    'R-HSA-111996':Nto._make([date(2008, 12, 17), '....P..', '.C', """Ca-dependent events"""]),
    'R-BTA-111996':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca-dependent events"""]),
    'R-CEL-111996':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca-dependent events"""]),
    'R-CFA-111996':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca-dependent events"""]),
    'R-DDI-111996':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca-dependent events"""]),
    'R-DME-111996':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca-dependent events"""]),
    'R-DRE-111996':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca-dependent events"""]),
    'R-GGA-111996':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca-dependent events"""]),
    'R-MMU-111996':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca-dependent events"""]),
    'R-PFA-111996':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca-dependent events"""]),
    'R-RNO-111996':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca-dependent events"""]),
    'R-SCE-111996':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca-dependent events"""]),
    'R-SPO-111996':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca-dependent events"""]),
    'R-SSC-111996':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca-dependent events"""]),
    'R-XTR-111996':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca-dependent events"""]),
    'R-HSA-111997':Nto._make([date(2008, 12, 17), '....P..', '.C', """CaM pathway"""]),
    'R-BTA-111997':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaM pathway"""]),
    'R-CEL-111997':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaM pathway"""]),
    'R-CFA-111997':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaM pathway"""]),
    'R-DDI-111997':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaM pathway"""]),
    'R-DME-111997':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaM pathway"""]),
    'R-DRE-111997':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaM pathway"""]),
    'R-GGA-111997':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaM pathway"""]),
    'R-MMU-111997':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaM pathway"""]),
    'R-PFA-111997':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaM pathway"""]),
    'R-RNO-111997':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaM pathway"""]),
    'R-SCE-111997':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaM pathway"""]),
    'R-SPO-111997':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaM pathway"""]),
    'R-SSC-111997':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaM pathway"""]),
    'R-XTR-111997':Nto._make([date(2019,  3, 20), '...I...', '.C', """CaM pathway"""]),
    'R-HSA-112040':Nto._make([date(2008, 12, 17), '....P..', '.C', """G-protein mediated events"""]),
    'R-BTA-112040':Nto._make([date(2019,  3, 20), '...I...', '.C', """G-protein mediated events"""]),
    'R-CEL-112040':Nto._make([date(2019,  3, 20), '...I...', '.C', """G-protein mediated events"""]),
    'R-CFA-112040':Nto._make([date(2019,  3, 20), '...I...', '.C', """G-protein mediated events"""]),
    'R-DDI-112040':Nto._make([date(2019,  3, 20), '...I...', '.C', """G-protein mediated events"""]),
    'R-DME-112040':Nto._make([date(2019,  3, 20), '...I...', '.C', """G-protein mediated events"""]),
    'R-DRE-112040':Nto._make([date(2019,  3, 20), '...I...', '.C', """G-protein mediated events"""]),
    'R-GGA-112040':Nto._make([date(2019,  3, 20), '...I...', '.C', """G-protein mediated events"""]),
    'R-MMU-112040':Nto._make([date(2019,  3, 20), '...I...', '.C', """G-protein mediated events"""]),
    'R-PFA-112040':Nto._make([date(2019,  3, 20), '...I...', '.C', """G-protein mediated events"""]),
    'R-RNO-112040':Nto._make([date(2019,  3, 20), '...I...', '.C', """G-protein mediated events"""]),
    'R-SCE-112040':Nto._make([date(2019,  3, 20), '...I...', '.C', """G-protein mediated events"""]),
    'R-SPO-112040':Nto._make([date(2019,  3, 20), '...I...', '.C', """G-protein mediated events"""]),
    'R-SSC-112040':Nto._make([date(2019,  3, 20), '...I...', '.C', """G-protein mediated events"""]),
    'R-XTR-112040':Nto._make([date(2019,  3, 20), '...I...', '.C', """G-protein mediated events"""]),
    'R-HSA-112043':Nto._make([date(2008, 12, 17), '....P..', '.C', """PLC beta mediated events"""]),
    'R-BTA-112043':Nto._make([date(2019,  3, 20), '...I...', '.C', """PLC beta mediated events"""]),
    'R-CEL-112043':Nto._make([date(2019,  3, 20), '...I...', '.C', """PLC beta mediated events"""]),
    'R-CFA-112043':Nto._make([date(2019,  3, 20), '...I...', '.C', """PLC beta mediated events"""]),
    'R-DDI-112043':Nto._make([date(2019,  3, 20), '...I...', '.C', """PLC beta mediated events"""]),
    'R-DME-112043':Nto._make([date(2019,  3, 20), '...I...', '.C', """PLC beta mediated events"""]),
    'R-DRE-112043':Nto._make([date(2019,  3, 20), '...I...', '.C', """PLC beta mediated events"""]),
    'R-GGA-112043':Nto._make([date(2019,  3, 20), '...I...', '.C', """PLC beta mediated events"""]),
    'R-MMU-112043':Nto._make([date(2019,  3, 20), '...I...', '.C', """PLC beta mediated events"""]),
    'R-PFA-112043':Nto._make([date(2019,  3, 20), '...I...', '.C', """PLC beta mediated events"""]),
    'R-RNO-112043':Nto._make([date(2019,  3, 20), '...I...', '.C', """PLC beta mediated events"""]),
    'R-SCE-112043':Nto._make([date(2019,  3, 20), '...I...', '.C', """PLC beta mediated events"""]),
    'R-SPO-112043':Nto._make([date(2019,  3, 20), '...I...', '.C', """PLC beta mediated events"""]),
    'R-SSC-112043':Nto._make([date(2019,  3, 20), '...I...', '.C', """PLC beta mediated events"""]),
    'R-XTR-112043':Nto._make([date(2019,  3, 20), '...I...', '.C', """PLC beta mediated events"""]),
    'R-HSA-112122':Nto._make([date(2004,  3,  6), '....P..', 'BC', """ALKBH2 mediated reversal of alkylation damage"""]),
    'R-HSA-112126':Nto._make([date(2004,  3,  6), '....P..', 'BC', """ALKBH3 mediated reversal of alkylation damage"""]),
    'R-HSA-112303':Nto._make([date(2009,  4,  1), '.......', '..', """Electric Transmission Across Gap Junctions"""]),
    'R-BTA-112303':Nto._make([date(2019,  3, 20), '...I...', '..', """Electric Transmission Across Gap Junctions"""]),
    'R-CFA-112303':Nto._make([date(2019,  3, 20), '...I...', '..', """Electric Transmission Across Gap Junctions"""]),
    'R-DRE-112303':Nto._make([date(2019,  3, 20), '...I...', '..', """Electric Transmission Across Gap Junctions"""]),
    'R-GGA-112303':Nto._make([date(2019,  3, 20), '...I...', '..', """Electric Transmission Across Gap Junctions"""]),
    'R-MMU-112303':Nto._make([date(2019,  3, 20), '...I...', '..', """Electric Transmission Across Gap Junctions"""]),
    'R-RNO-112303':Nto._make([date(2019,  3, 20), '...I...', '..', """Electric Transmission Across Gap Junctions"""]),
    'R-SSC-112303':Nto._make([date(2019,  3, 20), '...I...', '..', """Electric Transmission Across Gap Junctions"""]),
    'R-XTR-112303':Nto._make([date(2019,  3, 20), '...I...', '..', """Electric Transmission Across Gap Junctions"""]),
    'R-HSA-112307':Nto._make([date(2009,  6, 24), '..f....', '..', """Transmission across Electrical Synapses """]),
    'R-BTA-112307':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transmission across Electrical Synapses """]),
    'R-CFA-112307':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transmission across Electrical Synapses """]),
    'R-DRE-112307':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transmission across Electrical Synapses """]),
    'R-GGA-112307':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transmission across Electrical Synapses """]),
    'R-MMU-112307':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transmission across Electrical Synapses """]),
    'R-RNO-112307':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transmission across Electrical Synapses """]),
    'R-SSC-112307':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transmission across Electrical Synapses """]),
    'R-XTR-112307':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transmission across Electrical Synapses """]),
    'R-HSA-112308':Nto._make([date(2008,  6, 30), '..f....', 'B.', """Presynaptic depolarization and calcium channel opening"""]),
    'R-BTA-112308':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Presynaptic depolarization and calcium channel opening"""]),
    'R-CFA-112308':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Presynaptic depolarization and calcium channel opening"""]),
    'R-DRE-112308':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Presynaptic depolarization and calcium channel opening"""]),
    'R-GGA-112308':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Presynaptic depolarization and calcium channel opening"""]),
    'R-MMU-112308':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Presynaptic depolarization and calcium channel opening"""]),
    'R-RNO-112308':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Presynaptic depolarization and calcium channel opening"""]),
    'R-SSC-112308':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Presynaptic depolarization and calcium channel opening"""]),
    'R-XTR-112308':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Presynaptic depolarization and calcium channel opening"""]),
    'R-HSA-112310':Nto._make([date(2008,  6, 30), '..f.P..', 'B.', """Neurotransmitter release cycle"""]),
    'R-BTA-112310':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter release cycle"""]),
    'R-CEL-112310':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter release cycle"""]),
    'R-CFA-112310':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter release cycle"""]),
    'R-DDI-112310':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter release cycle"""]),
    'R-DME-112310':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter release cycle"""]),
    'R-DRE-112310':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter release cycle"""]),
    'R-GGA-112310':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter release cycle"""]),
    'R-MMU-112310':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter release cycle"""]),
    'R-PFA-112310':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter release cycle"""]),
    'R-RNO-112310':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter release cycle"""]),
    'R-SCE-112310':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter release cycle"""]),
    'R-SPO-112310':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter release cycle"""]),
    'R-SSC-112310':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter release cycle"""]),
    'R-XTR-112310':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter release cycle"""]),
    'R-HSA-112311':Nto._make([date(2008,  6, 30), '..f....', 'B.', """Neurotransmitter clearance"""]),
    'R-BTA-112311':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter clearance"""]),
    'R-CEL-112311':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter clearance"""]),
    'R-CFA-112311':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter clearance"""]),
    'R-DDI-112311':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter clearance"""]),
    'R-DME-112311':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter clearance"""]),
    'R-DRE-112311':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter clearance"""]),
    'R-GGA-112311':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter clearance"""]),
    'R-MMU-112311':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter clearance"""]),
    'R-PFA-112311':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter clearance"""]),
    'R-RNO-112311':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter clearance"""]),
    'R-SCE-112311':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter clearance"""]),
    'R-SPO-112311':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter clearance"""]),
    'R-SSC-112311':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter clearance"""]),
    'R-XTR-112311':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter clearance"""]),
    'R-HSA-112313':Nto._make([date(2008,  6, 30), '..f....', 'B.', """Neurotransmitter uptake and metabolism In glial cells"""]),
    'R-BTA-112313':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter uptake and metabolism In glial cells"""]),
    'R-CEL-112313':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter uptake and metabolism In glial cells"""]),
    'R-CFA-112313':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter uptake and metabolism In glial cells"""]),
    'R-DME-112313':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter uptake and metabolism In glial cells"""]),
    'R-DRE-112313':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter uptake and metabolism In glial cells"""]),
    'R-GGA-112313':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter uptake and metabolism In glial cells"""]),
    'R-MMU-112313':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter uptake and metabolism In glial cells"""]),
    'R-RNO-112313':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter uptake and metabolism In glial cells"""]),
    'R-SCE-112313':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter uptake and metabolism In glial cells"""]),
    'R-SPO-112313':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter uptake and metabolism In glial cells"""]),
    'R-SSC-112313':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter uptake and metabolism In glial cells"""]),
    'R-XTR-112313':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neurotransmitter uptake and metabolism In glial cells"""]),
    'R-HSA-112314':Nto._make([date(2008, 12, 17), '..f....', '..', """Neurotransmitter receptors and postsynaptic signal transmission"""]),
    'R-BTA-112314':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurotransmitter receptors and postsynaptic signal transmission"""]),
    'R-CEL-112314':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurotransmitter receptors and postsynaptic signal transmission"""]),
    'R-CFA-112314':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurotransmitter receptors and postsynaptic signal transmission"""]),
    'R-DDI-112314':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurotransmitter receptors and postsynaptic signal transmission"""]),
    'R-DME-112314':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurotransmitter receptors and postsynaptic signal transmission"""]),
    'R-DRE-112314':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurotransmitter receptors and postsynaptic signal transmission"""]),
    'R-GGA-112314':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurotransmitter receptors and postsynaptic signal transmission"""]),
    'R-MMU-112314':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurotransmitter receptors and postsynaptic signal transmission"""]),
    'R-PFA-112314':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurotransmitter receptors and postsynaptic signal transmission"""]),
    'R-RNO-112314':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurotransmitter receptors and postsynaptic signal transmission"""]),
    'R-SCE-112314':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurotransmitter receptors and postsynaptic signal transmission"""]),
    'R-SPO-112314':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurotransmitter receptors and postsynaptic signal transmission"""]),
    'R-SSC-112314':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurotransmitter receptors and postsynaptic signal transmission"""]),
    'R-XTR-112314':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurotransmitter receptors and postsynaptic signal transmission"""]),
    'R-HSA-112315':Nto._make([date(2008,  6, 30), '..F..B.', 'B.', """Transmission across Chemical Synapses"""]),
    'R-BTA-112315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transmission across Chemical Synapses"""]),
    'R-CEL-112315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transmission across Chemical Synapses"""]),
    'R-CFA-112315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transmission across Chemical Synapses"""]),
    'R-DDI-112315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transmission across Chemical Synapses"""]),
    'R-DME-112315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transmission across Chemical Synapses"""]),
    'R-DRE-112315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transmission across Chemical Synapses"""]),
    'R-GGA-112315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transmission across Chemical Synapses"""]),
    'R-MMU-112315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transmission across Chemical Synapses"""]),
    'R-PFA-112315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transmission across Chemical Synapses"""]),
    'R-RNO-112315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transmission across Chemical Synapses"""]),
    'R-SCE-112315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transmission across Chemical Synapses"""]),
    'R-SPO-112315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transmission across Chemical Synapses"""]),
    'R-SSC-112315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transmission across Chemical Synapses"""]),
    'R-XTR-112315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transmission across Chemical Synapses"""]),
    'R-HSA-112316':Nto._make([date(2008,  6, 30), 'T.F..B.', 'B.', """Neuronal System"""]),
    'R-BTA-112316':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Neuronal System"""]),
    'R-CEL-112316':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Neuronal System"""]),
    'R-CFA-112316':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Neuronal System"""]),
    'R-DDI-112316':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Neuronal System"""]),
    'R-DME-112316':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Neuronal System"""]),
    'R-DRE-112316':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Neuronal System"""]),
    'R-GGA-112316':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Neuronal System"""]),
    'R-MMU-112316':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Neuronal System"""]),
    'R-PFA-112316':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Neuronal System"""]),
    'R-RNO-112316':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Neuronal System"""]),
    'R-SCE-112316':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Neuronal System"""]),
    'R-SPO-112316':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Neuronal System"""]),
    'R-SSC-112316':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Neuronal System"""]),
    'R-XTR-112316':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Neuronal System"""]),
    'R-HSA-112382':Nto._make([date(2004,  7,  6), '....P..', 'BC', """Formation of RNA Pol II elongation complex """]),
    'R-BTA-112382':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of RNA Pol II elongation complex """]),
    'R-CEL-112382':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of RNA Pol II elongation complex """]),
    'R-CFA-112382':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of RNA Pol II elongation complex """]),
    'R-DME-112382':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of RNA Pol II elongation complex """]),
    'R-DRE-112382':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of RNA Pol II elongation complex """]),
    'R-MMU-112382':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of RNA Pol II elongation complex """]),
    'R-RNO-112382':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of RNA Pol II elongation complex """]),
    'R-SSC-112382':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of RNA Pol II elongation complex """]),
    'R-XTR-112382':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of RNA Pol II elongation complex """]),
    'R-HSA-112399':Nto._make([date(2005,  6, 13), '.......', '.C', """IRS-mediated signalling"""]),
    'R-BTA-112399':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-mediated signalling"""]),
    'R-CEL-112399':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-mediated signalling"""]),
    'R-CFA-112399':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-mediated signalling"""]),
    'R-DDI-112399':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-mediated signalling"""]),
    'R-DME-112399':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-mediated signalling"""]),
    'R-DRE-112399':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-mediated signalling"""]),
    'R-GGA-112399':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-mediated signalling"""]),
    'R-MMU-112399':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-mediated signalling"""]),
    'R-PFA-112399':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-mediated signalling"""]),
    'R-RNO-112399':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-mediated signalling"""]),
    'R-SCE-112399':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-mediated signalling"""]),
    'R-SPO-112399':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-mediated signalling"""]),
    'R-SSC-112399':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-mediated signalling"""]),
    'R-XTR-112399':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-mediated signalling"""]),
    'R-HSA-112409':Nto._make([date(2005,  6, 13), '..f.P..', 'BC', """RAF-independent MAPK1/3 activation"""]),
    'R-BTA-112409':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RAF-independent MAPK1/3 activation"""]),
    'R-CEL-112409':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RAF-independent MAPK1/3 activation"""]),
    'R-CFA-112409':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RAF-independent MAPK1/3 activation"""]),
    'R-DDI-112409':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RAF-independent MAPK1/3 activation"""]),
    'R-DME-112409':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RAF-independent MAPK1/3 activation"""]),
    'R-DRE-112409':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RAF-independent MAPK1/3 activation"""]),
    'R-GGA-112409':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RAF-independent MAPK1/3 activation"""]),
    'R-MMU-112409':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RAF-independent MAPK1/3 activation"""]),
    'R-PFA-112409':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RAF-independent MAPK1/3 activation"""]),
    'R-RNO-112409':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RAF-independent MAPK1/3 activation"""]),
    'R-SCE-112409':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RAF-independent MAPK1/3 activation"""]),
    'R-SPO-112409':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RAF-independent MAPK1/3 activation"""]),
    'R-SSC-112409':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RAF-independent MAPK1/3 activation"""]),
    'R-XTR-112409':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RAF-independent MAPK1/3 activation"""]),
    'R-HSA-112411':Nto._make([date(2010, 12, 14), '....P..', 'BC', """MAPK1 (ERK2) activation"""]),
    'R-BTA-112411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """MAPK1 (ERK2) activation"""]),
    'R-CEL-112411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """MAPK1 (ERK2) activation"""]),
    'R-CFA-112411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """MAPK1 (ERK2) activation"""]),
    'R-DDI-112411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """MAPK1 (ERK2) activation"""]),
    'R-DME-112411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """MAPK1 (ERK2) activation"""]),
    'R-DRE-112411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """MAPK1 (ERK2) activation"""]),
    'R-MMU-112411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """MAPK1 (ERK2) activation"""]),
    'R-PFA-112411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """MAPK1 (ERK2) activation"""]),
    'R-RNO-112411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """MAPK1 (ERK2) activation"""]),
    'R-SCE-112411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """MAPK1 (ERK2) activation"""]),
    'R-SPO-112411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """MAPK1 (ERK2) activation"""]),
    'R-SSC-112411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """MAPK1 (ERK2) activation"""]),
    'R-HSA-112412':Nto._make([date(2005,  6, 13), '.......', '.C', """SOS-mediated signalling"""]),
    'R-BTA-112412':Nto._make([date(2019,  3, 20), '...I...', '.C', """SOS-mediated signalling"""]),
    'R-CFA-112412':Nto._make([date(2019,  3, 20), '...I...', '.C', """SOS-mediated signalling"""]),
    'R-DME-112412':Nto._make([date(2019,  3, 20), '...I...', '.C', """SOS-mediated signalling"""]),
    'R-DRE-112412':Nto._make([date(2019,  3, 20), '...I...', '.C', """SOS-mediated signalling"""]),
    'R-GGA-112412':Nto._make([date(2019,  3, 20), '...I...', '.C', """SOS-mediated signalling"""]),
    'R-MMU-112412':Nto._make([date(2019,  3, 20), '...I...', '.C', """SOS-mediated signalling"""]),
    'R-RNO-112412':Nto._make([date(2019,  3, 20), '...I...', '.C', """SOS-mediated signalling"""]),
    'R-SSC-112412':Nto._make([date(2019,  3, 20), '...I...', '.C', """SOS-mediated signalling"""]),
    'R-XTR-112412':Nto._make([date(2019,  3, 20), '...I...', '.C', """SOS-mediated signalling"""]),
    'R-HSA-113418':Nto._make([date(2004,  7,  6), '....P..', 'BC', """Formation of the Early Elongation Complex"""]),
    'R-BTA-113418':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the Early Elongation Complex"""]),
    'R-CEL-113418':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the Early Elongation Complex"""]),
    'R-CFA-113418':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the Early Elongation Complex"""]),
    'R-DDI-113418':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the Early Elongation Complex"""]),
    'R-DME-113418':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the Early Elongation Complex"""]),
    'R-DRE-113418':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the Early Elongation Complex"""]),
    'R-GGA-113418':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the Early Elongation Complex"""]),
    'R-MMU-113418':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the Early Elongation Complex"""]),
    'R-PFA-113418':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the Early Elongation Complex"""]),
    'R-RNO-113418':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the Early Elongation Complex"""]),
    'R-SCE-113418':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the Early Elongation Complex"""]),
    'R-SPO-113418':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the Early Elongation Complex"""]),
    'R-SSC-113418':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the Early Elongation Complex"""]),
    'R-XTR-113418':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the Early Elongation Complex"""]),
    'R-HSA-113501':Nto._make([date(2004,  7,  6), '....P..', '.C', """Inhibition of replication initiation of damaged DNA by RB1/E2F1"""]),
    'R-BTA-113501':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of replication initiation of damaged DNA by RB1/E2F1"""]),
    'R-CEL-113501':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of replication initiation of damaged DNA by RB1/E2F1"""]),
    'R-CFA-113501':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of replication initiation of damaged DNA by RB1/E2F1"""]),
    'R-DDI-113501':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of replication initiation of damaged DNA by RB1/E2F1"""]),
    'R-DME-113501':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of replication initiation of damaged DNA by RB1/E2F1"""]),
    'R-DRE-113501':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of replication initiation of damaged DNA by RB1/E2F1"""]),
    'R-GGA-113501':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of replication initiation of damaged DNA by RB1/E2F1"""]),
    'R-MMU-113501':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of replication initiation of damaged DNA by RB1/E2F1"""]),
    'R-PFA-113501':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of replication initiation of damaged DNA by RB1/E2F1"""]),
    'R-RNO-113501':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of replication initiation of damaged DNA by RB1/E2F1"""]),
    'R-SCE-113501':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of replication initiation of damaged DNA by RB1/E2F1"""]),
    'R-SPO-113501':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of replication initiation of damaged DNA by RB1/E2F1"""]),
    'R-SSC-113501':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of replication initiation of damaged DNA by RB1/E2F1"""]),
    'R-XTR-113501':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of replication initiation of damaged DNA by RB1/E2F1"""]),
    'R-HSA-113507':Nto._make([date(2004,  7,  6), '....P..', '.C', """E2F-enabled inhibition of pre-replication complex formation"""]),
    'R-HSA-113510':Nto._make([date(2004,  7,  6), '....P..', '.C', """E2F mediated regulation of DNA replication"""]),
    'R-BTA-113510':Nto._make([date(2019,  3, 20), '...I...', '.C', """E2F mediated regulation of DNA replication"""]),
    'R-CEL-113510':Nto._make([date(2019,  3, 20), '...I...', '.C', """E2F mediated regulation of DNA replication"""]),
    'R-CFA-113510':Nto._make([date(2019,  3, 20), '...I...', '.C', """E2F mediated regulation of DNA replication"""]),
    'R-DDI-113510':Nto._make([date(2019,  3, 20), '...I...', '.C', """E2F mediated regulation of DNA replication"""]),
    'R-DME-113510':Nto._make([date(2019,  3, 20), '...I...', '.C', """E2F mediated regulation of DNA replication"""]),
    'R-DRE-113510':Nto._make([date(2019,  3, 20), '...I...', '.C', """E2F mediated regulation of DNA replication"""]),
    'R-GGA-113510':Nto._make([date(2019,  3, 20), '...I...', '.C', """E2F mediated regulation of DNA replication"""]),
    'R-MMU-113510':Nto._make([date(2019,  3, 20), '...I...', '.C', """E2F mediated regulation of DNA replication"""]),
    'R-PFA-113510':Nto._make([date(2019,  3, 20), '...I...', '.C', """E2F mediated regulation of DNA replication"""]),
    'R-RNO-113510':Nto._make([date(2019,  3, 20), '...I...', '.C', """E2F mediated regulation of DNA replication"""]),
    'R-SCE-113510':Nto._make([date(2019,  3, 20), '...I...', '.C', """E2F mediated regulation of DNA replication"""]),
    'R-SPO-113510':Nto._make([date(2019,  3, 20), '...I...', '.C', """E2F mediated regulation of DNA replication"""]),
    'R-SSC-113510':Nto._make([date(2019,  3, 20), '...I...', '.C', """E2F mediated regulation of DNA replication"""]),
    'R-XTR-113510':Nto._make([date(2019,  3, 20), '...I...', '.C', """E2F mediated regulation of DNA replication"""]),
    'R-HSA-114294':Nto._make([date(2004, 10, 27), '....P..', 'B.', """Activation, translocation and oligomerization of BAX"""]),
    'R-BTA-114294':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation, translocation and oligomerization of BAX"""]),
    'R-CFA-114294':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation, translocation and oligomerization of BAX"""]),
    'R-DRE-114294':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation, translocation and oligomerization of BAX"""]),
    'R-MMU-114294':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation, translocation and oligomerization of BAX"""]),
    'R-RNO-114294':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation, translocation and oligomerization of BAX"""]),
    'R-SSC-114294':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation, translocation and oligomerization of BAX"""]),
    'R-XTR-114294':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation, translocation and oligomerization of BAX"""]),
    'R-HSA-114452':Nto._make([date(2004,  7,  6), '....P..', 'BC', """Activation of BH3-only proteins"""]),
    'R-BTA-114452':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BH3-only proteins"""]),
    'R-CFA-114452':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BH3-only proteins"""]),
    'R-DRE-114452':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BH3-only proteins"""]),
    'R-GGA-114452':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BH3-only proteins"""]),
    'R-MMU-114452':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BH3-only proteins"""]),
    'R-RNO-114452':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BH3-only proteins"""]),
    'R-SSC-114452':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BH3-only proteins"""]),
    'R-XTR-114452':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BH3-only proteins"""]),
    'R-HSA-114508':Nto._make([date(2004, 10, 27), '..f.P..', '..', """Effects of PIP2 hydrolysis"""]),
    'R-BTA-114508':Nto._make([date(2019,  3, 20), '..fI...', '..', """Effects of PIP2 hydrolysis"""]),
    'R-CEL-114508':Nto._make([date(2019,  3, 20), '..fI...', '..', """Effects of PIP2 hydrolysis"""]),
    'R-CFA-114508':Nto._make([date(2019,  3, 20), '..fI...', '..', """Effects of PIP2 hydrolysis"""]),
    'R-DDI-114508':Nto._make([date(2019,  3, 20), '..fI...', '..', """Effects of PIP2 hydrolysis"""]),
    'R-DME-114508':Nto._make([date(2019,  3, 20), '..fI...', '..', """Effects of PIP2 hydrolysis"""]),
    'R-DRE-114508':Nto._make([date(2019,  3, 20), '..fI...', '..', """Effects of PIP2 hydrolysis"""]),
    'R-GGA-114508':Nto._make([date(2019,  3, 20), '..fI...', '..', """Effects of PIP2 hydrolysis"""]),
    'R-MMU-114508':Nto._make([date(2019,  3, 20), '..fI...', '..', """Effects of PIP2 hydrolysis"""]),
    'R-PFA-114508':Nto._make([date(2019,  3, 20), '..fI...', '..', """Effects of PIP2 hydrolysis"""]),
    'R-RNO-114508':Nto._make([date(2019,  3, 20), '..fI...', '..', """Effects of PIP2 hydrolysis"""]),
    'R-SCE-114508':Nto._make([date(2019,  3, 20), '..fI...', '..', """Effects of PIP2 hydrolysis"""]),
    'R-SPO-114508':Nto._make([date(2019,  3, 20), '..fI...', '..', """Effects of PIP2 hydrolysis"""]),
    'R-SSC-114508':Nto._make([date(2019,  3, 20), '..fI...', '..', """Effects of PIP2 hydrolysis"""]),
    'R-XTR-114508':Nto._make([date(2019,  3, 20), '..fI...', '..', """Effects of PIP2 hydrolysis"""]),
    'R-HSA-114516':Nto._make([date(2004, 10, 27), '....P..', '..', """Disinhibition of SNARE formation"""]),
    'R-BTA-114516':Nto._make([date(2019,  3, 20), '...I...', '..', """Disinhibition of SNARE formation"""]),
    'R-CEL-114516':Nto._make([date(2019,  3, 20), '...I...', '..', """Disinhibition of SNARE formation"""]),
    'R-CFA-114516':Nto._make([date(2019,  3, 20), '...I...', '..', """Disinhibition of SNARE formation"""]),
    'R-DDI-114516':Nto._make([date(2019,  3, 20), '...I...', '..', """Disinhibition of SNARE formation"""]),
    'R-DME-114516':Nto._make([date(2019,  3, 20), '...I...', '..', """Disinhibition of SNARE formation"""]),
    'R-DRE-114516':Nto._make([date(2019,  3, 20), '...I...', '..', """Disinhibition of SNARE formation"""]),
    'R-GGA-114516':Nto._make([date(2019,  3, 20), '...I...', '..', """Disinhibition of SNARE formation"""]),
    'R-MMU-114516':Nto._make([date(2019,  3, 20), '...I...', '..', """Disinhibition of SNARE formation"""]),
    'R-RNO-114516':Nto._make([date(2019,  3, 20), '...I...', '..', """Disinhibition of SNARE formation"""]),
    'R-SCE-114516':Nto._make([date(2019,  3, 20), '...I...', '..', """Disinhibition of SNARE formation"""]),
    'R-SPO-114516':Nto._make([date(2019,  3, 20), '...I...', '..', """Disinhibition of SNARE formation"""]),
    'R-SSC-114516':Nto._make([date(2019,  3, 20), '...I...', '..', """Disinhibition of SNARE formation"""]),
    'R-XTR-114516':Nto._make([date(2019,  3, 20), '...I...', '..', """Disinhibition of SNARE formation"""]),
    'R-HSA-114604':Nto._make([date(2004, 10, 27), '..f.P..', '..', """GPVI-mediated activation cascade"""]),
    'R-BTA-114604':Nto._make([date(2019,  3, 20), '..fI...', '..', """GPVI-mediated activation cascade"""]),
    'R-CEL-114604':Nto._make([date(2019,  3, 20), '..fI...', '..', """GPVI-mediated activation cascade"""]),
    'R-CFA-114604':Nto._make([date(2019,  3, 20), '..fI...', '..', """GPVI-mediated activation cascade"""]),
    'R-DDI-114604':Nto._make([date(2019,  3, 20), '..fI...', '..', """GPVI-mediated activation cascade"""]),
    'R-DME-114604':Nto._make([date(2019,  3, 20), '..fI...', '..', """GPVI-mediated activation cascade"""]),
    'R-DRE-114604':Nto._make([date(2019,  3, 20), '..fI...', '..', """GPVI-mediated activation cascade"""]),
    'R-GGA-114604':Nto._make([date(2019,  3, 20), '..fI...', '..', """GPVI-mediated activation cascade"""]),
    'R-MMU-114604':Nto._make([date(2019,  3, 20), '..fI...', '..', """GPVI-mediated activation cascade"""]),
    'R-PFA-114604':Nto._make([date(2019,  3, 20), '..fI...', '..', """GPVI-mediated activation cascade"""]),
    'R-RNO-114604':Nto._make([date(2019,  3, 20), '..fI...', '..', """GPVI-mediated activation cascade"""]),
    'R-SCE-114604':Nto._make([date(2019,  3, 20), '..fI...', '..', """GPVI-mediated activation cascade"""]),
    'R-SPO-114604':Nto._make([date(2019,  3, 20), '..fI...', '..', """GPVI-mediated activation cascade"""]),
    'R-SSC-114604':Nto._make([date(2019,  3, 20), '..fI...', '..', """GPVI-mediated activation cascade"""]),
    'R-XTR-114604':Nto._make([date(2019,  3, 20), '..fI...', '..', """GPVI-mediated activation cascade"""]),
    'R-HSA-114608':Nto._make([date(2004, 10, 27), '....PB.', 'B.', """Platelet degranulation """]),
    'R-BTA-114608':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Platelet degranulation """]),
    'R-CEL-114608':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Platelet degranulation """]),
    'R-CFA-114608':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Platelet degranulation """]),
    'R-DDI-114608':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Platelet degranulation """]),
    'R-DME-114608':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Platelet degranulation """]),
    'R-DRE-114608':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Platelet degranulation """]),
    'R-GGA-114608':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Platelet degranulation """]),
    'R-MMU-114608':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Platelet degranulation """]),
    'R-PFA-114608':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Platelet degranulation """]),
    'R-RNO-114608':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Platelet degranulation """]),
    'R-SCE-114608':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Platelet degranulation """]),
    'R-SPO-114608':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Platelet degranulation """]),
    'R-SSC-114608':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Platelet degranulation """]),
    'R-XTR-114608':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Platelet degranulation """]),
    'R-HSA-139853':Nto._make([date(2004, 10, 27), '....P..', '.C', """Elevation of cytosolic Ca2+ levels"""]),
    'R-BTA-139853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Elevation of cytosolic Ca2+ levels"""]),
    'R-CEL-139853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Elevation of cytosolic Ca2+ levels"""]),
    'R-CFA-139853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Elevation of cytosolic Ca2+ levels"""]),
    'R-DDI-139853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Elevation of cytosolic Ca2+ levels"""]),
    'R-DME-139853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Elevation of cytosolic Ca2+ levels"""]),
    'R-DRE-139853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Elevation of cytosolic Ca2+ levels"""]),
    'R-GGA-139853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Elevation of cytosolic Ca2+ levels"""]),
    'R-MMU-139853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Elevation of cytosolic Ca2+ levels"""]),
    'R-RNO-139853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Elevation of cytosolic Ca2+ levels"""]),
    'R-SSC-139853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Elevation of cytosolic Ca2+ levels"""]),
    'R-XTR-139853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Elevation of cytosolic Ca2+ levels"""]),
    'R-HSA-139910':Nto._make([date(2004, 10, 27), '....P..', 'BC', """Activation of BMF and translocation to mitochondria"""]),
    'R-BTA-139910':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BMF and translocation to mitochondria"""]),
    'R-CFA-139910':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BMF and translocation to mitochondria"""]),
    'R-GGA-139910':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BMF and translocation to mitochondria"""]),
    'R-MMU-139910':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BMF and translocation to mitochondria"""]),
    'R-RNO-139910':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BMF and translocation to mitochondria"""]),
    'R-SSC-139910':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BMF and translocation to mitochondria"""]),
    'R-XTR-139910':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of BMF and translocation to mitochondria"""]),
    'R-HSA-139915':Nto._make([date(2004, 10, 27), '....P..', 'BC', """Activation of PUMA and translocation to mitochondria"""]),
    'R-HSA-140179':Nto._make([date(2008,  6, 30), '....P..', '.C', """Amine Oxidase reactions"""]),
    'R-BTA-140179':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amine Oxidase reactions"""]),
    'R-CEL-140179':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amine Oxidase reactions"""]),
    'R-CFA-140179':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amine Oxidase reactions"""]),
    'R-DDI-140179':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amine Oxidase reactions"""]),
    'R-DME-140179':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amine Oxidase reactions"""]),
    'R-DRE-140179':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amine Oxidase reactions"""]),
    'R-GGA-140179':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amine Oxidase reactions"""]),
    'R-MMU-140179':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amine Oxidase reactions"""]),
    'R-RNO-140179':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amine Oxidase reactions"""]),
    'R-SSC-140179':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amine Oxidase reactions"""]),
    'R-XTR-140179':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amine Oxidase reactions"""]),
    'R-HSA-140180':Nto._make([date(2008,  6, 30), '....P..', '.C', """COX reactions"""]),
    'R-BTA-140180':Nto._make([date(2019,  3, 20), '...I...', '.C', """COX reactions"""]),
    'R-CFA-140180':Nto._make([date(2019,  3, 20), '...I...', '.C', """COX reactions"""]),
    'R-DRE-140180':Nto._make([date(2019,  3, 20), '...I...', '.C', """COX reactions"""]),
    'R-GGA-140180':Nto._make([date(2019,  3, 20), '...I...', '.C', """COX reactions"""]),
    'R-MMU-140180':Nto._make([date(2019,  3, 20), '...I...', '.C', """COX reactions"""]),
    'R-RNO-140180':Nto._make([date(2019,  3, 20), '...I...', '.C', """COX reactions"""]),
    'R-SSC-140180':Nto._make([date(2019,  3, 20), '...I...', '.C', """COX reactions"""]),
    'R-XTR-140180':Nto._make([date(2019,  3, 20), '...I...', '.C', """COX reactions"""]),
    'R-HSA-140342':Nto._make([date(2004, 10, 27), '....P..', 'BC', """Apoptosis induced DNA fragmentation"""]),
    'R-BTA-140342':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Apoptosis induced DNA fragmentation"""]),
    'R-CEL-140342':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Apoptosis induced DNA fragmentation"""]),
    'R-CFA-140342':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Apoptosis induced DNA fragmentation"""]),
    'R-DDI-140342':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Apoptosis induced DNA fragmentation"""]),
    'R-DME-140342':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Apoptosis induced DNA fragmentation"""]),
    'R-DRE-140342':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Apoptosis induced DNA fragmentation"""]),
    'R-GGA-140342':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Apoptosis induced DNA fragmentation"""]),
    'R-MMU-140342':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Apoptosis induced DNA fragmentation"""]),
    'R-PFA-140342':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Apoptosis induced DNA fragmentation"""]),
    'R-RNO-140342':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Apoptosis induced DNA fragmentation"""]),
    'R-SCE-140342':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Apoptosis induced DNA fragmentation"""]),
    'R-SPO-140342':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Apoptosis induced DNA fragmentation"""]),
    'R-SSC-140342':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Apoptosis induced DNA fragmentation"""]),
    'R-XTR-140342':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Apoptosis induced DNA fragmentation"""]),
    'R-HSA-140534':Nto._make([date(2004, 10, 27), '..f.P..', 'BC', """Caspase activation via Death Receptors in the presence of ligand"""]),
    'R-BTA-140534':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Caspase activation via Death Receptors in the presence of ligand"""]),
    'R-CFA-140534':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Caspase activation via Death Receptors in the presence of ligand"""]),
    'R-DRE-140534':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Caspase activation via Death Receptors in the presence of ligand"""]),
    'R-GGA-140534':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Caspase activation via Death Receptors in the presence of ligand"""]),
    'R-MMU-140534':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Caspase activation via Death Receptors in the presence of ligand"""]),
    'R-RNO-140534':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Caspase activation via Death Receptors in the presence of ligand"""]),
    'R-SSC-140534':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Caspase activation via Death Receptors in the presence of ligand"""]),
    'R-XTR-140534':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Caspase activation via Death Receptors in the presence of ligand"""]),
    'R-HSA-140834':Nto._make([date(2004, 10, 27), '....P..', 'BC', """Extrinsic Pathway of Fibrin Clot Formation"""]),
    'R-BTA-140834':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Extrinsic Pathway of Fibrin Clot Formation"""]),
    'R-CFA-140834':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Extrinsic Pathway of Fibrin Clot Formation"""]),
    'R-DME-140834':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Extrinsic Pathway of Fibrin Clot Formation"""]),
    'R-DRE-140834':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Extrinsic Pathway of Fibrin Clot Formation"""]),
    'R-GGA-140834':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Extrinsic Pathway of Fibrin Clot Formation"""]),
    'R-MMU-140834':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Extrinsic Pathway of Fibrin Clot Formation"""]),
    'R-RNO-140834':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Extrinsic Pathway of Fibrin Clot Formation"""]),
    'R-SSC-140834':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Extrinsic Pathway of Fibrin Clot Formation"""]),
    'R-XTR-140834':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Extrinsic Pathway of Fibrin Clot Formation"""]),
    'R-HSA-140837':Nto._make([date(2004, 10, 27), '....P..', 'BC', """Intrinsic Pathway of Fibrin Clot Formation"""]),
    'R-BTA-140837':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Intrinsic Pathway of Fibrin Clot Formation"""]),
    'R-CFA-140837':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Intrinsic Pathway of Fibrin Clot Formation"""]),
    'R-DME-140837':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Intrinsic Pathway of Fibrin Clot Formation"""]),
    'R-DRE-140837':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Intrinsic Pathway of Fibrin Clot Formation"""]),
    'R-GGA-140837':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Intrinsic Pathway of Fibrin Clot Formation"""]),
    'R-MMU-140837':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Intrinsic Pathway of Fibrin Clot Formation"""]),
    'R-RNO-140837':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Intrinsic Pathway of Fibrin Clot Formation"""]),
    'R-SSC-140837':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Intrinsic Pathway of Fibrin Clot Formation"""]),
    'R-XTR-140837':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Intrinsic Pathway of Fibrin Clot Formation"""]),
    'R-HSA-140875':Nto._make([date(2004, 10, 27), '....P..', 'BC', """Common Pathway of Fibrin Clot Formation"""]),
    'R-BTA-140875':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Common Pathway of Fibrin Clot Formation"""]),
    'R-CEL-140875':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Common Pathway of Fibrin Clot Formation"""]),
    'R-CFA-140875':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Common Pathway of Fibrin Clot Formation"""]),
    'R-DME-140875':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Common Pathway of Fibrin Clot Formation"""]),
    'R-DRE-140875':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Common Pathway of Fibrin Clot Formation"""]),
    'R-GGA-140875':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Common Pathway of Fibrin Clot Formation"""]),
    'R-MMU-140875':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Common Pathway of Fibrin Clot Formation"""]),
    'R-RNO-140875':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Common Pathway of Fibrin Clot Formation"""]),
    'R-SSC-140875':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Common Pathway of Fibrin Clot Formation"""]),
    'R-XTR-140875':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Common Pathway of Fibrin Clot Formation"""]),
    'R-HSA-140877':Nto._make([date(2004, 10, 27), '..f.P..', 'BC', """Formation of Fibrin Clot (Clotting Cascade)"""]),
    'R-BTA-140877':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Formation of Fibrin Clot (Clotting Cascade)"""]),
    'R-CEL-140877':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Formation of Fibrin Clot (Clotting Cascade)"""]),
    'R-CFA-140877':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Formation of Fibrin Clot (Clotting Cascade)"""]),
    'R-DME-140877':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Formation of Fibrin Clot (Clotting Cascade)"""]),
    'R-DRE-140877':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Formation of Fibrin Clot (Clotting Cascade)"""]),
    'R-GGA-140877':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Formation of Fibrin Clot (Clotting Cascade)"""]),
    'R-MMU-140877':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Formation of Fibrin Clot (Clotting Cascade)"""]),
    'R-RNO-140877':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Formation of Fibrin Clot (Clotting Cascade)"""]),
    'R-SSC-140877':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Formation of Fibrin Clot (Clotting Cascade)"""]),
    'R-XTR-140877':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Formation of Fibrin Clot (Clotting Cascade)"""]),
    'R-HSA-141333':Nto._make([date(2008,  6, 30), '....P..', '.C', """Biogenic amines are oxidatively deaminated to aldehydes by MAOA and MAOB"""]),
    'R-BTA-141333':Nto._make([date(2019,  3, 20), '...I...', '.C', """Biogenic amines are oxidatively deaminated to aldehydes by MAOA and MAOB"""]),
    'R-CFA-141333':Nto._make([date(2019,  3, 20), '...I...', '.C', """Biogenic amines are oxidatively deaminated to aldehydes by MAOA and MAOB"""]),
    'R-DDI-141333':Nto._make([date(2019,  3, 20), '...I...', '.C', """Biogenic amines are oxidatively deaminated to aldehydes by MAOA and MAOB"""]),
    'R-DRE-141333':Nto._make([date(2019,  3, 20), '...I...', '.C', """Biogenic amines are oxidatively deaminated to aldehydes by MAOA and MAOB"""]),
    'R-GGA-141333':Nto._make([date(2019,  3, 20), '...I...', '.C', """Biogenic amines are oxidatively deaminated to aldehydes by MAOA and MAOB"""]),
    'R-MMU-141333':Nto._make([date(2019,  3, 20), '...I...', '.C', """Biogenic amines are oxidatively deaminated to aldehydes by MAOA and MAOB"""]),
    'R-RNO-141333':Nto._make([date(2019,  3, 20), '...I...', '.C', """Biogenic amines are oxidatively deaminated to aldehydes by MAOA and MAOB"""]),
    'R-SSC-141333':Nto._make([date(2019,  3, 20), '...I...', '.C', """Biogenic amines are oxidatively deaminated to aldehydes by MAOA and MAOB"""]),
    'R-XTR-141333':Nto._make([date(2019,  3, 20), '...I...', '.C', """Biogenic amines are oxidatively deaminated to aldehydes by MAOA and MAOB"""]),
    'R-HSA-141334':Nto._make([date(2008,  6, 30), '....P..', '.C', """PAOs oxidise polyamines to amines"""]),
    'R-BTA-141334':Nto._make([date(2019,  3, 20), '...I...', '.C', """PAOs oxidise polyamines to amines"""]),
    'R-CEL-141334':Nto._make([date(2019,  3, 20), '...I...', '.C', """PAOs oxidise polyamines to amines"""]),
    'R-CFA-141334':Nto._make([date(2019,  3, 20), '...I...', '.C', """PAOs oxidise polyamines to amines"""]),
    'R-DME-141334':Nto._make([date(2019,  3, 20), '...I...', '.C', """PAOs oxidise polyamines to amines"""]),
    'R-DRE-141334':Nto._make([date(2019,  3, 20), '...I...', '.C', """PAOs oxidise polyamines to amines"""]),
    'R-GGA-141334':Nto._make([date(2019,  3, 20), '...I...', '.C', """PAOs oxidise polyamines to amines"""]),
    'R-MMU-141334':Nto._make([date(2019,  3, 20), '...I...', '.C', """PAOs oxidise polyamines to amines"""]),
    'R-RNO-141334':Nto._make([date(2019,  3, 20), '...I...', '.C', """PAOs oxidise polyamines to amines"""]),
    'R-SSC-141334':Nto._make([date(2019,  3, 20), '...I...', '.C', """PAOs oxidise polyamines to amines"""]),
    'R-XTR-141334':Nto._make([date(2019,  3, 20), '...I...', '.C', """PAOs oxidise polyamines to amines"""]),
    'R-HSA-141405':Nto._make([date(2005,  2,  1), '....P..', '.C', """Inhibition of the proteolytic activity of APC/C required for the onset of anaphase by mitotic spindle checkpoint components"""]),
    'R-BTA-141405':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of the proteolytic activity of APC/C required for the onset of anaphase by mitotic spindle checkpoint components"""]),
    'R-CEL-141405':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of the proteolytic activity of APC/C required for the onset of anaphase by mitotic spindle checkpoint components"""]),
    'R-CFA-141405':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of the proteolytic activity of APC/C required for the onset of anaphase by mitotic spindle checkpoint components"""]),
    'R-DDI-141405':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of the proteolytic activity of APC/C required for the onset of anaphase by mitotic spindle checkpoint components"""]),
    'R-DME-141405':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of the proteolytic activity of APC/C required for the onset of anaphase by mitotic spindle checkpoint components"""]),
    'R-DRE-141405':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of the proteolytic activity of APC/C required for the onset of anaphase by mitotic spindle checkpoint components"""]),
    'R-GGA-141405':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of the proteolytic activity of APC/C required for the onset of anaphase by mitotic spindle checkpoint components"""]),
    'R-MMU-141405':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of the proteolytic activity of APC/C required for the onset of anaphase by mitotic spindle checkpoint components"""]),
    'R-RNO-141405':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of the proteolytic activity of APC/C required for the onset of anaphase by mitotic spindle checkpoint components"""]),
    'R-SCE-141405':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of the proteolytic activity of APC/C required for the onset of anaphase by mitotic spindle checkpoint components"""]),
    'R-SPO-141405':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of the proteolytic activity of APC/C required for the onset of anaphase by mitotic spindle checkpoint components"""]),
    'R-SSC-141405':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of the proteolytic activity of APC/C required for the onset of anaphase by mitotic spindle checkpoint components"""]),
    'R-XTR-141405':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition of the proteolytic activity of APC/C required for the onset of anaphase by mitotic spindle checkpoint components"""]),
    'R-HSA-141424':Nto._make([date(2005,  2,  1), '....P..', '.C', """Amplification of signal from the kinetochores"""]),
    'R-BTA-141424':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amplification of signal from the kinetochores"""]),
    'R-CFA-141424':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amplification of signal from the kinetochores"""]),
    'R-DRE-141424':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amplification of signal from the kinetochores"""]),
    'R-GGA-141424':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amplification of signal from the kinetochores"""]),
    'R-MMU-141424':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amplification of signal from the kinetochores"""]),
    'R-RNO-141424':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amplification of signal from the kinetochores"""]),
    'R-SSC-141424':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amplification of signal from the kinetochores"""]),
    'R-XTR-141424':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amplification of signal from the kinetochores"""]),
    'R-HSA-141430':Nto._make([date(2005,  2,  1), '....P..', '.C', """Inactivation of APC/C via direct inhibition of the APC/C complex"""]),
    'R-BTA-141430':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inactivation of APC/C via direct inhibition of the APC/C complex"""]),
    'R-CEL-141430':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inactivation of APC/C via direct inhibition of the APC/C complex"""]),
    'R-CFA-141430':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inactivation of APC/C via direct inhibition of the APC/C complex"""]),
    'R-DDI-141430':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inactivation of APC/C via direct inhibition of the APC/C complex"""]),
    'R-DME-141430':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inactivation of APC/C via direct inhibition of the APC/C complex"""]),
    'R-DRE-141430':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inactivation of APC/C via direct inhibition of the APC/C complex"""]),
    'R-GGA-141430':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inactivation of APC/C via direct inhibition of the APC/C complex"""]),
    'R-MMU-141430':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inactivation of APC/C via direct inhibition of the APC/C complex"""]),
    'R-RNO-141430':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inactivation of APC/C via direct inhibition of the APC/C complex"""]),
    'R-SCE-141430':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inactivation of APC/C via direct inhibition of the APC/C complex"""]),
    'R-SPO-141430':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inactivation of APC/C via direct inhibition of the APC/C complex"""]),
    'R-SSC-141430':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inactivation of APC/C via direct inhibition of the APC/C complex"""]),
    'R-XTR-141430':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inactivation of APC/C via direct inhibition of the APC/C complex"""]),
    'R-HSA-141444':Nto._make([date(2005,  2,  1), '....P..', '.C', """Amplification  of signal from unattached  kinetochores via a MAD2  inhibitory signal"""]),
    'R-BTA-141444':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amplification  of signal from unattached  kinetochores via a MAD2  inhibitory signal"""]),
    'R-CFA-141444':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amplification  of signal from unattached  kinetochores via a MAD2  inhibitory signal"""]),
    'R-DRE-141444':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amplification  of signal from unattached  kinetochores via a MAD2  inhibitory signal"""]),
    'R-GGA-141444':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amplification  of signal from unattached  kinetochores via a MAD2  inhibitory signal"""]),
    'R-MMU-141444':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amplification  of signal from unattached  kinetochores via a MAD2  inhibitory signal"""]),
    'R-RNO-141444':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amplification  of signal from unattached  kinetochores via a MAD2  inhibitory signal"""]),
    'R-SSC-141444':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amplification  of signal from unattached  kinetochores via a MAD2  inhibitory signal"""]),
    'R-XTR-141444':Nto._make([date(2019,  3, 20), '...I...', '.C', """Amplification  of signal from unattached  kinetochores via a MAD2  inhibitory signal"""]),
    'R-HSA-156580':Nto._make([date(2008,  6, 30), '..F.PB.', 'B.', """Phase II - Conjugation of compounds"""]),
    'R-BTA-156580':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phase II - Conjugation of compounds"""]),
    'R-CEL-156580':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phase II - Conjugation of compounds"""]),
    'R-CFA-156580':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phase II - Conjugation of compounds"""]),
    'R-DDI-156580':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phase II - Conjugation of compounds"""]),
    'R-DME-156580':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phase II - Conjugation of compounds"""]),
    'R-DRE-156580':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phase II - Conjugation of compounds"""]),
    'R-GGA-156580':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phase II - Conjugation of compounds"""]),
    'R-MMU-156580':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phase II - Conjugation of compounds"""]),
    'R-PFA-156580':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phase II - Conjugation of compounds"""]),
    'R-RNO-156580':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phase II - Conjugation of compounds"""]),
    'R-SCE-156580':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phase II - Conjugation of compounds"""]),
    'R-SPO-156580':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phase II - Conjugation of compounds"""]),
    'R-SSC-156580':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phase II - Conjugation of compounds"""]),
    'R-XTR-156580':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phase II - Conjugation of compounds"""]),
    'R-HSA-156581':Nto._make([date(2008,  6, 30), '....PB.', 'B.', """Methylation"""]),
    'R-BTA-156581':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Methylation"""]),
    'R-CEL-156581':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Methylation"""]),
    'R-CFA-156581':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Methylation"""]),
    'R-DDI-156581':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Methylation"""]),
    'R-DME-156581':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Methylation"""]),
    'R-DRE-156581':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Methylation"""]),
    'R-GGA-156581':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Methylation"""]),
    'R-MMU-156581':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Methylation"""]),
    'R-PFA-156581':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Methylation"""]),
    'R-RNO-156581':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Methylation"""]),
    'R-SCE-156581':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Methylation"""]),
    'R-SPO-156581':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Methylation"""]),
    'R-SSC-156581':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Methylation"""]),
    'R-XTR-156581':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Methylation"""]),
    'R-HSA-156582':Nto._make([date(2008,  6, 30), '....PB.', '..', """Acetylation"""]),
    'R-BTA-156582':Nto._make([date(2019,  3, 20), '...I...', '..', """Acetylation"""]),
    'R-DDI-156582':Nto._make([date(2019,  3, 20), '...I...', '..', """Acetylation"""]),
    'R-DRE-156582':Nto._make([date(2019,  3, 20), '...I...', '..', """Acetylation"""]),
    'R-GGA-156582':Nto._make([date(2019,  3, 20), '...I...', '..', """Acetylation"""]),
    'R-MMU-156582':Nto._make([date(2019,  3, 20), '...I...', '..', """Acetylation"""]),
    'R-RNO-156582':Nto._make([date(2019,  3, 20), '...I...', '..', """Acetylation"""]),
    'R-SSC-156582':Nto._make([date(2019,  3, 20), '...I...', '..', """Acetylation"""]),
    'R-HSA-156584':Nto._make([date(2008,  6, 30), '....PB.', 'BC', """Cytosolic sulfonation of small molecules"""]),
    'R-BTA-156584':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic sulfonation of small molecules"""]),
    'R-CEL-156584':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic sulfonation of small molecules"""]),
    'R-CFA-156584':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic sulfonation of small molecules"""]),
    'R-DDI-156584':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic sulfonation of small molecules"""]),
    'R-DME-156584':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic sulfonation of small molecules"""]),
    'R-DRE-156584':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic sulfonation of small molecules"""]),
    'R-GGA-156584':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic sulfonation of small molecules"""]),
    'R-MMU-156584':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic sulfonation of small molecules"""]),
    'R-RNO-156584':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic sulfonation of small molecules"""]),
    'R-SCE-156584':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic sulfonation of small molecules"""]),
    'R-SPO-156584':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic sulfonation of small molecules"""]),
    'R-SSC-156584':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic sulfonation of small molecules"""]),
    'R-XTR-156584':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic sulfonation of small molecules"""]),
    'R-HSA-156587':Nto._make([date(2008,  6, 30), '.....B.', 'B.', """Amino Acid conjugation"""]),
    'R-BTA-156587':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Amino Acid conjugation"""]),
    'R-CEL-156587':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Amino Acid conjugation"""]),
    'R-CFA-156587':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Amino Acid conjugation"""]),
    'R-DDI-156587':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Amino Acid conjugation"""]),
    'R-DRE-156587':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Amino Acid conjugation"""]),
    'R-GGA-156587':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Amino Acid conjugation"""]),
    'R-MMU-156587':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Amino Acid conjugation"""]),
    'R-RNO-156587':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Amino Acid conjugation"""]),
    'R-SSC-156587':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Amino Acid conjugation"""]),
    'R-XTR-156587':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Amino Acid conjugation"""]),
    'R-HSA-156588':Nto._make([date(2008,  6, 30), '....PB.', 'B.', """Glucuronidation"""]),
    'R-BTA-156588':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucuronidation"""]),
    'R-CEL-156588':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucuronidation"""]),
    'R-CFA-156588':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucuronidation"""]),
    'R-DDI-156588':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucuronidation"""]),
    'R-DME-156588':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucuronidation"""]),
    'R-DRE-156588':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucuronidation"""]),
    'R-GGA-156588':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucuronidation"""]),
    'R-MMU-156588':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucuronidation"""]),
    'R-RNO-156588':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucuronidation"""]),
    'R-SCE-156588':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucuronidation"""]),
    'R-SPO-156588':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucuronidation"""]),
    'R-SSC-156588':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucuronidation"""]),
    'R-XTR-156588':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucuronidation"""]),
    'R-HSA-156590':Nto._make([date(2008,  6, 30), '.....B.', 'B.', """Glutathione conjugation"""]),
    'R-BTA-156590':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione conjugation"""]),
    'R-CEL-156590':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione conjugation"""]),
    'R-CFA-156590':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione conjugation"""]),
    'R-DDI-156590':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione conjugation"""]),
    'R-DME-156590':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione conjugation"""]),
    'R-DRE-156590':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione conjugation"""]),
    'R-GGA-156590':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione conjugation"""]),
    'R-MMU-156590':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione conjugation"""]),
    'R-PFA-156590':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione conjugation"""]),
    'R-RNO-156590':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione conjugation"""]),
    'R-SCE-156590':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione conjugation"""]),
    'R-SPO-156590':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione conjugation"""]),
    'R-SSC-156590':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione conjugation"""]),
    'R-XTR-156590':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione conjugation"""]),
    'R-HSA-156711':Nto._make([date(2005,  4, 11), '....P..', 'BC', """Polo-like kinase mediated events"""]),
    'R-BTA-156711':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polo-like kinase mediated events"""]),
    'R-CEL-156711':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polo-like kinase mediated events"""]),
    'R-CFA-156711':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polo-like kinase mediated events"""]),
    'R-DDI-156711':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polo-like kinase mediated events"""]),
    'R-DME-156711':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polo-like kinase mediated events"""]),
    'R-GGA-156711':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polo-like kinase mediated events"""]),
    'R-MMU-156711':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polo-like kinase mediated events"""]),
    'R-RNO-156711':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polo-like kinase mediated events"""]),
    'R-SCE-156711':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polo-like kinase mediated events"""]),
    'R-SPO-156711':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polo-like kinase mediated events"""]),
    'R-SSC-156711':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polo-like kinase mediated events"""]),
    'R-XTR-156711':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polo-like kinase mediated events"""]),
    'R-HSA-156827':Nto._make([date(2004, 10, 27), '....P..', '.C', """L13a-mediated translational silencing of Ceruloplasmin expression"""]),
    'R-BTA-156827':Nto._make([date(2019,  3, 20), '...I...', '.C', """L13a-mediated translational silencing of Ceruloplasmin expression"""]),
    'R-CEL-156827':Nto._make([date(2019,  3, 20), '...I...', '.C', """L13a-mediated translational silencing of Ceruloplasmin expression"""]),
    'R-CFA-156827':Nto._make([date(2019,  3, 20), '...I...', '.C', """L13a-mediated translational silencing of Ceruloplasmin expression"""]),
    'R-DDI-156827':Nto._make([date(2019,  3, 20), '...I...', '.C', """L13a-mediated translational silencing of Ceruloplasmin expression"""]),
    'R-DME-156827':Nto._make([date(2019,  3, 20), '...I...', '.C', """L13a-mediated translational silencing of Ceruloplasmin expression"""]),
    'R-MMU-156827':Nto._make([date(2019,  3, 20), '...I...', '.C', """L13a-mediated translational silencing of Ceruloplasmin expression"""]),
    'R-PFA-156827':Nto._make([date(2019,  3, 20), '...I...', '.C', """L13a-mediated translational silencing of Ceruloplasmin expression"""]),
    'R-RNO-156827':Nto._make([date(2019,  3, 20), '...I...', '.C', """L13a-mediated translational silencing of Ceruloplasmin expression"""]),
    'R-SCE-156827':Nto._make([date(2019,  3, 20), '...I...', '.C', """L13a-mediated translational silencing of Ceruloplasmin expression"""]),
    'R-SPO-156827':Nto._make([date(2019,  3, 20), '...I...', '.C', """L13a-mediated translational silencing of Ceruloplasmin expression"""]),
    'R-SSC-156827':Nto._make([date(2019,  3, 20), '...I...', '.C', """L13a-mediated translational silencing of Ceruloplasmin expression"""]),
    'R-XTR-156827':Nto._make([date(2019,  3, 20), '...I...', '.C', """L13a-mediated translational silencing of Ceruloplasmin expression"""]),
    'R-HSA-156842':Nto._make([date(2005,  4, 11), '..F.P..', 'BC', """Eukaryotic Translation Elongation"""]),
    'R-BTA-156842':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Elongation"""]),
    'R-CEL-156842':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Elongation"""]),
    'R-CFA-156842':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Elongation"""]),
    'R-DDI-156842':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Elongation"""]),
    'R-DME-156842':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Elongation"""]),
    'R-DRE-156842':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Elongation"""]),
    'R-MMU-156842':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Elongation"""]),
    'R-PFA-156842':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Elongation"""]),
    'R-RNO-156842':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Elongation"""]),
    'R-SCE-156842':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Elongation"""]),
    'R-SPO-156842':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Elongation"""]),
    'R-SSC-156842':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Elongation"""]),
    'R-XTR-156842':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Eukaryotic Translation Elongation"""]),
    'R-HSA-156902':Nto._make([date(2004, 10, 27), '....P..', '.C', """Peptide chain elongation"""]),
    'R-BTA-156902':Nto._make([date(2019,  3, 20), '...I...', '.C', """Peptide chain elongation"""]),
    'R-CEL-156902':Nto._make([date(2019,  3, 20), '...I...', '.C', """Peptide chain elongation"""]),
    'R-CFA-156902':Nto._make([date(2019,  3, 20), '...I...', '.C', """Peptide chain elongation"""]),
    'R-DDI-156902':Nto._make([date(2019,  3, 20), '...I...', '.C', """Peptide chain elongation"""]),
    'R-DME-156902':Nto._make([date(2019,  3, 20), '...I...', '.C', """Peptide chain elongation"""]),
    'R-MMU-156902':Nto._make([date(2019,  3, 20), '...I...', '.C', """Peptide chain elongation"""]),
    'R-PFA-156902':Nto._make([date(2019,  3, 20), '...I...', '.C', """Peptide chain elongation"""]),
    'R-RNO-156902':Nto._make([date(2019,  3, 20), '...I...', '.C', """Peptide chain elongation"""]),
    'R-SCE-156902':Nto._make([date(2019,  3, 20), '...I...', '.C', """Peptide chain elongation"""]),
    'R-SPO-156902':Nto._make([date(2019,  3, 20), '...I...', '.C', """Peptide chain elongation"""]),
    'R-SSC-156902':Nto._make([date(2019,  3, 20), '...I...', '.C', """Peptide chain elongation"""]),
    'R-XTR-156902':Nto._make([date(2019,  3, 20), '...I...', '.C', """Peptide chain elongation"""]),
    'R-HSA-157118':Nto._make([date(2005,  6, 12), '..F....', 'B.', """Signaling by NOTCH"""]),
    'R-BTA-157118':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NOTCH"""]),
    'R-CEL-157118':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NOTCH"""]),
    'R-CFA-157118':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NOTCH"""]),
    'R-DME-157118':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NOTCH"""]),
    'R-DRE-157118':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NOTCH"""]),
    'R-GGA-157118':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NOTCH"""]),
    'R-MMU-157118':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NOTCH"""]),
    'R-RNO-157118':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NOTCH"""]),
    'R-SSC-157118':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NOTCH"""]),
    'R-XTR-157118':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NOTCH"""]),
    'R-HSA-157579':Nto._make([date(2006,  8,  2), '..F.P..', 'BC', """Telomere Maintenance"""]),
    'R-BTA-157579':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Telomere Maintenance"""]),
    'R-CEL-157579':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Telomere Maintenance"""]),
    'R-CFA-157579':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Telomere Maintenance"""]),
    'R-DDI-157579':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Telomere Maintenance"""]),
    'R-DME-157579':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Telomere Maintenance"""]),
    'R-DRE-157579':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Telomere Maintenance"""]),
    'R-GGA-157579':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Telomere Maintenance"""]),
    'R-MMU-157579':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Telomere Maintenance"""]),
    'R-PFA-157579':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Telomere Maintenance"""]),
    'R-RNO-157579':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Telomere Maintenance"""]),
    'R-SCE-157579':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Telomere Maintenance"""]),
    'R-SPO-157579':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Telomere Maintenance"""]),
    'R-SSC-157579':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Telomere Maintenance"""]),
    'R-XTR-157579':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Telomere Maintenance"""]),
    'R-HSA-157858':Nto._make([date(2007,  2, 20), '..f.P..', '..', """Gap junction trafficking and regulation"""]),
    'R-BTA-157858':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gap junction trafficking and regulation"""]),
    'R-CEL-157858':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gap junction trafficking and regulation"""]),
    'R-CFA-157858':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gap junction trafficking and regulation"""]),
    'R-DME-157858':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gap junction trafficking and regulation"""]),
    'R-DRE-157858':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gap junction trafficking and regulation"""]),
    'R-GGA-157858':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gap junction trafficking and regulation"""]),
    'R-MMU-157858':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gap junction trafficking and regulation"""]),
    'R-RNO-157858':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gap junction trafficking and regulation"""]),
    'R-SCE-157858':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gap junction trafficking and regulation"""]),
    'R-SPO-157858':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gap junction trafficking and regulation"""]),
    'R-SSC-157858':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gap junction trafficking and regulation"""]),
    'R-XTR-157858':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gap junction trafficking and regulation"""]),
    'R-HSA-159227':Nto._make([date(2005,  4, 11), '.......', '.C', """Transport of the SLBP independent Mature mRNA"""]),
    'R-BTA-159227':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of the SLBP independent Mature mRNA"""]),
    'R-CEL-159227':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of the SLBP independent Mature mRNA"""]),
    'R-CFA-159227':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of the SLBP independent Mature mRNA"""]),
    'R-DME-159227':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of the SLBP independent Mature mRNA"""]),
    'R-DRE-159227':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of the SLBP independent Mature mRNA"""]),
    'R-GGA-159227':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of the SLBP independent Mature mRNA"""]),
    'R-MMU-159227':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of the SLBP independent Mature mRNA"""]),
    'R-RNO-159227':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of the SLBP independent Mature mRNA"""]),
    'R-SPO-159227':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of the SLBP independent Mature mRNA"""]),
    'R-SSC-159227':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of the SLBP independent Mature mRNA"""]),
    'R-XTR-159227':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of the SLBP independent Mature mRNA"""]),
    'R-HSA-159230':Nto._make([date(2005,  4, 11), '.......', '.C', """Transport of the SLBP Dependant Mature mRNA"""]),
    'R-BTA-159230':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of the SLBP Dependant Mature mRNA"""]),
    'R-CEL-159230':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of the SLBP Dependant Mature mRNA"""]),
    'R-CFA-159230':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of the SLBP Dependant Mature mRNA"""]),
    'R-DME-159230':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of the SLBP Dependant Mature mRNA"""]),
    'R-DRE-159230':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of the SLBP Dependant Mature mRNA"""]),
    'R-GGA-159230':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of the SLBP Dependant Mature mRNA"""]),
    'R-MMU-159230':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of the SLBP Dependant Mature mRNA"""]),
    'R-RNO-159230':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of the SLBP Dependant Mature mRNA"""]),
    'R-SSC-159230':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of the SLBP Dependant Mature mRNA"""]),
    'R-XTR-159230':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of the SLBP Dependant Mature mRNA"""]),
    'R-HSA-159231':Nto._make([date(2005,  4, 11), '.......', '.C', """Transport of Mature mRNA Derived from an Intronless Transcript"""]),
    'R-BTA-159231':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of Mature mRNA Derived from an Intronless Transcript"""]),
    'R-CEL-159231':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of Mature mRNA Derived from an Intronless Transcript"""]),
    'R-CFA-159231':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of Mature mRNA Derived from an Intronless Transcript"""]),
    'R-DME-159231':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of Mature mRNA Derived from an Intronless Transcript"""]),
    'R-DRE-159231':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of Mature mRNA Derived from an Intronless Transcript"""]),
    'R-GGA-159231':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of Mature mRNA Derived from an Intronless Transcript"""]),
    'R-MMU-159231':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of Mature mRNA Derived from an Intronless Transcript"""]),
    'R-RNO-159231':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of Mature mRNA Derived from an Intronless Transcript"""]),
    'R-SPO-159231':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of Mature mRNA Derived from an Intronless Transcript"""]),
    'R-SSC-159231':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of Mature mRNA Derived from an Intronless Transcript"""]),
    'R-XTR-159231':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of Mature mRNA Derived from an Intronless Transcript"""]),
    'R-HSA-159234':Nto._make([date(2005,  4, 11), '.......', 'BC', """Transport of Mature mRNAs Derived from Intronless Transcripts"""]),
    'R-BTA-159234':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature mRNAs Derived from Intronless Transcripts"""]),
    'R-CEL-159234':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature mRNAs Derived from Intronless Transcripts"""]),
    'R-CFA-159234':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature mRNAs Derived from Intronless Transcripts"""]),
    'R-DME-159234':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature mRNAs Derived from Intronless Transcripts"""]),
    'R-DRE-159234':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature mRNAs Derived from Intronless Transcripts"""]),
    'R-GGA-159234':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature mRNAs Derived from Intronless Transcripts"""]),
    'R-MMU-159234':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature mRNAs Derived from Intronless Transcripts"""]),
    'R-RNO-159234':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature mRNAs Derived from Intronless Transcripts"""]),
    'R-SPO-159234':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature mRNAs Derived from Intronless Transcripts"""]),
    'R-SSC-159234':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature mRNAs Derived from Intronless Transcripts"""]),
    'R-XTR-159234':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature mRNAs Derived from Intronless Transcripts"""]),
    'R-HSA-159236':Nto._make([date(2005,  4, 11), '.......', 'BC', """Transport of Mature mRNA derived from an Intron-Containing Transcript"""]),
    'R-BTA-159236':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature mRNA derived from an Intron-Containing Transcript"""]),
    'R-CEL-159236':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature mRNA derived from an Intron-Containing Transcript"""]),
    'R-CFA-159236':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature mRNA derived from an Intron-Containing Transcript"""]),
    'R-DME-159236':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature mRNA derived from an Intron-Containing Transcript"""]),
    'R-DRE-159236':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature mRNA derived from an Intron-Containing Transcript"""]),
    'R-GGA-159236':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature mRNA derived from an Intron-Containing Transcript"""]),
    'R-MMU-159236':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature mRNA derived from an Intron-Containing Transcript"""]),
    'R-RNO-159236':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature mRNA derived from an Intron-Containing Transcript"""]),
    'R-SPO-159236':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature mRNA derived from an Intron-Containing Transcript"""]),
    'R-SSC-159236':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature mRNA derived from an Intron-Containing Transcript"""]),
    'R-XTR-159236':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of Mature mRNA derived from an Intron-Containing Transcript"""]),
    'R-HSA-159418':Nto._make([date(2007,  5, 15), '....P..', 'B.', """Recycling of bile acids and salts"""]),
    'R-BTA-159418':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Recycling of bile acids and salts"""]),
    'R-CEL-159418':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Recycling of bile acids and salts"""]),
    'R-CFA-159418':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Recycling of bile acids and salts"""]),
    'R-DDI-159418':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Recycling of bile acids and salts"""]),
    'R-DME-159418':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Recycling of bile acids and salts"""]),
    'R-DRE-159418':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Recycling of bile acids and salts"""]),
    'R-GGA-159418':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Recycling of bile acids and salts"""]),
    'R-MMU-159418':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Recycling of bile acids and salts"""]),
    'R-PFA-159418':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Recycling of bile acids and salts"""]),
    'R-RNO-159418':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Recycling of bile acids and salts"""]),
    'R-SCE-159418':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Recycling of bile acids and salts"""]),
    'R-SPO-159418':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Recycling of bile acids and salts"""]),
    'R-SSC-159418':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Recycling of bile acids and salts"""]),
    'R-XTR-159418':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Recycling of bile acids and salts"""]),
    'R-HSA-159424':Nto._make([date(2008,  6, 30), '.......', 'B.', """Conjugation of carboxylic acids"""]),
    'R-BTA-159424':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Conjugation of carboxylic acids"""]),
    'R-CEL-159424':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Conjugation of carboxylic acids"""]),
    'R-CFA-159424':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Conjugation of carboxylic acids"""]),
    'R-DDI-159424':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Conjugation of carboxylic acids"""]),
    'R-DRE-159424':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Conjugation of carboxylic acids"""]),
    'R-GGA-159424':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Conjugation of carboxylic acids"""]),
    'R-MMU-159424':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Conjugation of carboxylic acids"""]),
    'R-RNO-159424':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Conjugation of carboxylic acids"""]),
    'R-SSC-159424':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Conjugation of carboxylic acids"""]),
    'R-XTR-159424':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Conjugation of carboxylic acids"""]),
    'R-HSA-159740':Nto._make([date(2005,  6, 13), '....P..', 'BC', """Gamma-carboxylation of protein precursors"""]),
    'R-CFA-159740':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gamma-carboxylation of protein precursors"""]),
    'R-DME-159740':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gamma-carboxylation of protein precursors"""]),
    'R-DRE-159740':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gamma-carboxylation of protein precursors"""]),
    'R-MMU-159740':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gamma-carboxylation of protein precursors"""]),
    'R-RNO-159740':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gamma-carboxylation of protein precursors"""]),
    'R-SSC-159740':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gamma-carboxylation of protein precursors"""]),
    'R-XTR-159740':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gamma-carboxylation of protein precursors"""]),
    'R-HSA-159763':Nto._make([date(2005,  6, 13), '....P..', 'BC', """Transport of gamma-carboxylated protein precursors from the endoplasmic reticulum to the Golgi apparatus"""]),
    'R-BTA-159763':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of gamma-carboxylated protein precursors from the endoplasmic reticulum to the Golgi apparatus"""]),
    'R-CEL-159763':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of gamma-carboxylated protein precursors from the endoplasmic reticulum to the Golgi apparatus"""]),
    'R-CFA-159763':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of gamma-carboxylated protein precursors from the endoplasmic reticulum to the Golgi apparatus"""]),
    'R-DDI-159763':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of gamma-carboxylated protein precursors from the endoplasmic reticulum to the Golgi apparatus"""]),
    'R-DME-159763':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of gamma-carboxylated protein precursors from the endoplasmic reticulum to the Golgi apparatus"""]),
    'R-DRE-159763':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of gamma-carboxylated protein precursors from the endoplasmic reticulum to the Golgi apparatus"""]),
    'R-GGA-159763':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of gamma-carboxylated protein precursors from the endoplasmic reticulum to the Golgi apparatus"""]),
    'R-MMU-159763':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of gamma-carboxylated protein precursors from the endoplasmic reticulum to the Golgi apparatus"""]),
    'R-RNO-159763':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of gamma-carboxylated protein precursors from the endoplasmic reticulum to the Golgi apparatus"""]),
    'R-SSC-159763':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of gamma-carboxylated protein precursors from the endoplasmic reticulum to the Golgi apparatus"""]),
    'R-XTR-159763':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transport of gamma-carboxylated protein precursors from the endoplasmic reticulum to the Golgi apparatus"""]),
    'R-HSA-159782':Nto._make([date(2005,  6, 13), '....P..', 'BC', """Removal of aminoterminal propeptides from gamma-carboxylated proteins"""]),
    'R-CEL-159782':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Removal of aminoterminal propeptides from gamma-carboxylated proteins"""]),
    'R-CFA-159782':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Removal of aminoterminal propeptides from gamma-carboxylated proteins"""]),
    'R-DME-159782':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Removal of aminoterminal propeptides from gamma-carboxylated proteins"""]),
    'R-GGA-159782':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Removal of aminoterminal propeptides from gamma-carboxylated proteins"""]),
    'R-MMU-159782':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Removal of aminoterminal propeptides from gamma-carboxylated proteins"""]),
    'R-RNO-159782':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Removal of aminoterminal propeptides from gamma-carboxylated proteins"""]),
    'R-SSC-159782':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Removal of aminoterminal propeptides from gamma-carboxylated proteins"""]),
    'R-XTR-159782':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Removal of aminoterminal propeptides from gamma-carboxylated proteins"""]),
    'R-HSA-159854':Nto._make([date(2005,  6, 13), '.......', 'B.', """Gamma-carboxylation, transport, and amino-terminal cleavage of proteins"""]),
    'R-BTA-159854':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gamma-carboxylation, transport, and amino-terminal cleavage of proteins"""]),
    'R-CEL-159854':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gamma-carboxylation, transport, and amino-terminal cleavage of proteins"""]),
    'R-CFA-159854':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gamma-carboxylation, transport, and amino-terminal cleavage of proteins"""]),
    'R-DDI-159854':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gamma-carboxylation, transport, and amino-terminal cleavage of proteins"""]),
    'R-DME-159854':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gamma-carboxylation, transport, and amino-terminal cleavage of proteins"""]),
    'R-DRE-159854':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gamma-carboxylation, transport, and amino-terminal cleavage of proteins"""]),
    'R-GGA-159854':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gamma-carboxylation, transport, and amino-terminal cleavage of proteins"""]),
    'R-MMU-159854':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gamma-carboxylation, transport, and amino-terminal cleavage of proteins"""]),
    'R-RNO-159854':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gamma-carboxylation, transport, and amino-terminal cleavage of proteins"""]),
    'R-SSC-159854':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gamma-carboxylation, transport, and amino-terminal cleavage of proteins"""]),
    'R-XTR-159854':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Gamma-carboxylation, transport, and amino-terminal cleavage of proteins"""]),
    'R-HSA-162582':Nto._make([date(2011,  9, 20), 'T.F.P..', '..', """Signal Transduction"""]),
    'R-BTA-162582':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Signal Transduction"""]),
    'R-CEL-162582':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Signal Transduction"""]),
    'R-CFA-162582':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Signal Transduction"""]),
    'R-DDI-162582':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Signal Transduction"""]),
    'R-DME-162582':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Signal Transduction"""]),
    'R-DRE-162582':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Signal Transduction"""]),
    'R-GGA-162582':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Signal Transduction"""]),
    'R-MMU-162582':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Signal Transduction"""]),
    'R-PFA-162582':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Signal Transduction"""]),
    'R-RNO-162582':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Signal Transduction"""]),
    'R-SCE-162582':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Signal Transduction"""]),
    'R-SPO-162582':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Signal Transduction"""]),
    'R-SSC-162582':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Signal Transduction"""]),
    'R-XTR-162582':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Signal Transduction"""]),
    'R-HSA-162585':Nto._make([date(2006, 11, 14), '.D..P..', 'BC', """Uncoating of the HIV Virion"""]),
    'R-HSA-162587':Nto._make([date(2006,  1, 23), '.DF.PB.', 'B.', """HIV Life Cycle"""]),
    'R-HSA-162588':Nto._make([date(2013,  6, 11), '.D..P..', 'B.', """Budding and maturation of HIV virion"""]),
    'R-HSA-162589':Nto._make([date(2006, 11, 14), '.D..PB.', 'BC', """Reverse Transcription of HIV RNA"""]),
    'R-HSA-162592':Nto._make([date(2006, 11, 14), '.D..P..', 'BC', """Integration of provirus"""]),
    'R-HSA-162594':Nto._make([date(2006,  1, 23), '.D..P..', 'B.', """Early Phase of HIV Life Cycle"""]),
    'R-HSA-162599':Nto._make([date(2006,  1, 23), '.D..P..', 'B.', """Late Phase of HIV Life Cycle"""]),
    'R-HSA-162658':Nto._make([date(2005,  4, 11), '....P..', '.C', """Golgi Cisternae Pericentriolar Stack Reorganization"""]),
    'R-BTA-162658':Nto._make([date(2019,  3, 20), '...I...', '.C', """Golgi Cisternae Pericentriolar Stack Reorganization"""]),
    'R-CEL-162658':Nto._make([date(2019,  3, 20), '...I...', '.C', """Golgi Cisternae Pericentriolar Stack Reorganization"""]),
    'R-CFA-162658':Nto._make([date(2019,  3, 20), '...I...', '.C', """Golgi Cisternae Pericentriolar Stack Reorganization"""]),
    'R-DDI-162658':Nto._make([date(2019,  3, 20), '...I...', '.C', """Golgi Cisternae Pericentriolar Stack Reorganization"""]),
    'R-DME-162658':Nto._make([date(2019,  3, 20), '...I...', '.C', """Golgi Cisternae Pericentriolar Stack Reorganization"""]),
    'R-DRE-162658':Nto._make([date(2019,  3, 20), '...I...', '.C', """Golgi Cisternae Pericentriolar Stack Reorganization"""]),
    'R-GGA-162658':Nto._make([date(2019,  3, 20), '...I...', '.C', """Golgi Cisternae Pericentriolar Stack Reorganization"""]),
    'R-MMU-162658':Nto._make([date(2019,  3, 20), '...I...', '.C', """Golgi Cisternae Pericentriolar Stack Reorganization"""]),
    'R-RNO-162658':Nto._make([date(2019,  3, 20), '...I...', '.C', """Golgi Cisternae Pericentriolar Stack Reorganization"""]),
    'R-SCE-162658':Nto._make([date(2019,  3, 20), '...I...', '.C', """Golgi Cisternae Pericentriolar Stack Reorganization"""]),
    'R-SPO-162658':Nto._make([date(2019,  3, 20), '...I...', '.C', """Golgi Cisternae Pericentriolar Stack Reorganization"""]),
    'R-SSC-162658':Nto._make([date(2019,  3, 20), '...I...', '.C', """Golgi Cisternae Pericentriolar Stack Reorganization"""]),
    'R-XTR-162658':Nto._make([date(2019,  3, 20), '...I...', '.C', """Golgi Cisternae Pericentriolar Stack Reorganization"""]),
    'R-HSA-162699':Nto._make([date(2010,  6, 15), '....P..', 'B.', """Synthesis of dolichyl-phosphate mannose"""]),
    'R-CFA-162699':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of dolichyl-phosphate mannose"""]),
    'R-DDI-162699':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of dolichyl-phosphate mannose"""]),
    'R-DME-162699':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of dolichyl-phosphate mannose"""]),
    'R-DRE-162699':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of dolichyl-phosphate mannose"""]),
    'R-GGA-162699':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of dolichyl-phosphate mannose"""]),
    'R-MMU-162699':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of dolichyl-phosphate mannose"""]),
    'R-RNO-162699':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of dolichyl-phosphate mannose"""]),
    'R-SPO-162699':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of dolichyl-phosphate mannose"""]),
    'R-SSC-162699':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of dolichyl-phosphate mannose"""]),
    'R-XTR-162699':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of dolichyl-phosphate mannose"""]),
    'R-HSA-162710':Nto._make([date(2005,  6, 13), '....P..', 'B.', """Synthesis of glycosylphosphatidylinositol (GPI)"""]),
    'R-BTA-162710':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of glycosylphosphatidylinositol (GPI)"""]),
    'R-CEL-162710':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of glycosylphosphatidylinositol (GPI)"""]),
    'R-CFA-162710':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of glycosylphosphatidylinositol (GPI)"""]),
    'R-DDI-162710':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of glycosylphosphatidylinositol (GPI)"""]),
    'R-DME-162710':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of glycosylphosphatidylinositol (GPI)"""]),
    'R-DRE-162710':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of glycosylphosphatidylinositol (GPI)"""]),
    'R-GGA-162710':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of glycosylphosphatidylinositol (GPI)"""]),
    'R-MMU-162710':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of glycosylphosphatidylinositol (GPI)"""]),
    'R-PFA-162710':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of glycosylphosphatidylinositol (GPI)"""]),
    'R-RNO-162710':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of glycosylphosphatidylinositol (GPI)"""]),
    'R-SCE-162710':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of glycosylphosphatidylinositol (GPI)"""]),
    'R-SPO-162710':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of glycosylphosphatidylinositol (GPI)"""]),
    'R-SSC-162710':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of glycosylphosphatidylinositol (GPI)"""]),
    'R-XTR-162710':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of glycosylphosphatidylinositol (GPI)"""]),
    'R-HSA-162791':Nto._make([date(2005,  4, 11), '....P..', 'BC', """Attachment of GPI anchor to uPAR"""]),
    'R-BTA-162791':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Attachment of GPI anchor to uPAR"""]),
    'R-CFA-162791':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Attachment of GPI anchor to uPAR"""]),
    'R-MMU-162791':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Attachment of GPI anchor to uPAR"""]),
    'R-RNO-162791':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Attachment of GPI anchor to uPAR"""]),
    'R-SSC-162791':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Attachment of GPI anchor to uPAR"""]),
    'R-XTR-162791':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Attachment of GPI anchor to uPAR"""]),
    'R-HSA-162906':Nto._make([date(2006,  1, 17), '.Df.P.U', 'B.', """HIV Infection"""]),
    'R-HSA-162909':Nto._make([date(2006,  7, 31), '.Df....', '..', """Host Interactions of HIV factors"""]),
    'R-HSA-163125':Nto._make([date(2005,  6, 13), '..f....', 'B.', """Post-translational modification: synthesis of GPI-anchored proteins"""]),
    'R-BTA-163125':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational modification: synthesis of GPI-anchored proteins"""]),
    'R-CEL-163125':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational modification: synthesis of GPI-anchored proteins"""]),
    'R-CFA-163125':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational modification: synthesis of GPI-anchored proteins"""]),
    'R-DDI-163125':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational modification: synthesis of GPI-anchored proteins"""]),
    'R-DME-163125':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational modification: synthesis of GPI-anchored proteins"""]),
    'R-DRE-163125':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational modification: synthesis of GPI-anchored proteins"""]),
    'R-GGA-163125':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational modification: synthesis of GPI-anchored proteins"""]),
    'R-MMU-163125':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational modification: synthesis of GPI-anchored proteins"""]),
    'R-PFA-163125':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational modification: synthesis of GPI-anchored proteins"""]),
    'R-RNO-163125':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational modification: synthesis of GPI-anchored proteins"""]),
    'R-SCE-163125':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational modification: synthesis of GPI-anchored proteins"""]),
    'R-SPO-163125':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational modification: synthesis of GPI-anchored proteins"""]),
    'R-SSC-163125':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational modification: synthesis of GPI-anchored proteins"""]),
    'R-XTR-163125':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational modification: synthesis of GPI-anchored proteins"""]),
    'R-HSA-163200':Nto._make([date(2006,  1, 17), '..F....', 'B.', """Respiratory electron transport, ATP synthesis by chemiosmotic coupling, and heat production by uncoupling proteins."""]),
    'R-BTA-163200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Respiratory electron transport, ATP synthesis by chemiosmotic coupling, and heat production by uncoupling proteins."""]),
    'R-CEL-163200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Respiratory electron transport, ATP synthesis by chemiosmotic coupling, and heat production by uncoupling proteins."""]),
    'R-CFA-163200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Respiratory electron transport, ATP synthesis by chemiosmotic coupling, and heat production by uncoupling proteins."""]),
    'R-DDI-163200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Respiratory electron transport, ATP synthesis by chemiosmotic coupling, and heat production by uncoupling proteins."""]),
    'R-DME-163200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Respiratory electron transport, ATP synthesis by chemiosmotic coupling, and heat production by uncoupling proteins."""]),
    'R-DRE-163200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Respiratory electron transport, ATP synthesis by chemiosmotic coupling, and heat production by uncoupling proteins."""]),
    'R-GGA-163200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Respiratory electron transport, ATP synthesis by chemiosmotic coupling, and heat production by uncoupling proteins."""]),
    'R-MMU-163200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Respiratory electron transport, ATP synthesis by chemiosmotic coupling, and heat production by uncoupling proteins."""]),
    'R-RNO-163200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Respiratory electron transport, ATP synthesis by chemiosmotic coupling, and heat production by uncoupling proteins."""]),
    'R-SCE-163200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Respiratory electron transport, ATP synthesis by chemiosmotic coupling, and heat production by uncoupling proteins."""]),
    'R-SPO-163200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Respiratory electron transport, ATP synthesis by chemiosmotic coupling, and heat production by uncoupling proteins."""]),
    'R-SSC-163200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Respiratory electron transport, ATP synthesis by chemiosmotic coupling, and heat production by uncoupling proteins."""]),
    'R-XTR-163200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Respiratory electron transport, ATP synthesis by chemiosmotic coupling, and heat production by uncoupling proteins."""]),
    'R-HSA-163210':Nto._make([date(2006,  4, 24), '....P..', 'B.', """Formation of ATP by chemiosmotic coupling"""]),
    'R-BTA-163210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of ATP by chemiosmotic coupling"""]),
    'R-CEL-163210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of ATP by chemiosmotic coupling"""]),
    'R-CFA-163210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of ATP by chemiosmotic coupling"""]),
    'R-DME-163210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of ATP by chemiosmotic coupling"""]),
    'R-DRE-163210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of ATP by chemiosmotic coupling"""]),
    'R-GGA-163210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of ATP by chemiosmotic coupling"""]),
    'R-MMU-163210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of ATP by chemiosmotic coupling"""]),
    'R-RNO-163210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of ATP by chemiosmotic coupling"""]),
    'R-SPO-163210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of ATP by chemiosmotic coupling"""]),
    'R-SSC-163210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of ATP by chemiosmotic coupling"""]),
    'R-XTR-163210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of ATP by chemiosmotic coupling"""]),
    'R-HSA-163282':Nto._make([date(2005,  4, 11), '....P..', 'B.', """Mitochondrial transcription initiation"""]),
    'R-CEL-163282':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitochondrial transcription initiation"""]),
    'R-CFA-163282':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitochondrial transcription initiation"""]),
    'R-DME-163282':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitochondrial transcription initiation"""]),
    'R-DRE-163282':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitochondrial transcription initiation"""]),
    'R-GGA-163282':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitochondrial transcription initiation"""]),
    'R-MMU-163282':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitochondrial transcription initiation"""]),
    'R-RNO-163282':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitochondrial transcription initiation"""]),
    'R-XTR-163282':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitochondrial transcription initiation"""]),
    'R-HSA-163316':Nto._make([date(2005,  4, 11), '....P..', 'B.', """Mitochondrial transcription termination"""]),
    'R-BTA-163316':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitochondrial transcription termination"""]),
    'R-CFA-163316':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitochondrial transcription termination"""]),
    'R-DME-163316':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitochondrial transcription termination"""]),
    'R-DRE-163316':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitochondrial transcription termination"""]),
    'R-MMU-163316':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitochondrial transcription termination"""]),
    'R-RNO-163316':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitochondrial transcription termination"""]),
    'R-SSC-163316':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitochondrial transcription termination"""]),
    'R-XTR-163316':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mitochondrial transcription termination"""]),
    'R-HSA-163358':Nto._make([date(2005,  9, 26), '....P..', 'BC', """PKA-mediated phosphorylation of key metabolic factors"""]),
    'R-BTA-163358':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PKA-mediated phosphorylation of key metabolic factors"""]),
    'R-CEL-163358':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PKA-mediated phosphorylation of key metabolic factors"""]),
    'R-CFA-163358':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PKA-mediated phosphorylation of key metabolic factors"""]),
    'R-DME-163358':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PKA-mediated phosphorylation of key metabolic factors"""]),
    'R-GGA-163358':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PKA-mediated phosphorylation of key metabolic factors"""]),
    'R-MMU-163358':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PKA-mediated phosphorylation of key metabolic factors"""]),
    'R-SSC-163358':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PKA-mediated phosphorylation of key metabolic factors"""]),
    'R-XTR-163358':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PKA-mediated phosphorylation of key metabolic factors"""]),
    'R-HSA-163359':Nto._make([date(2005,  9, 26), '....P..', 'B.', """Glucagon signaling in metabolic regulation"""]),
    'R-BTA-163359':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucagon signaling in metabolic regulation"""]),
    'R-CEL-163359':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucagon signaling in metabolic regulation"""]),
    'R-CFA-163359':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucagon signaling in metabolic regulation"""]),
    'R-DME-163359':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucagon signaling in metabolic regulation"""]),
    'R-DRE-163359':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucagon signaling in metabolic regulation"""]),
    'R-GGA-163359':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucagon signaling in metabolic regulation"""]),
    'R-MMU-163359':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucagon signaling in metabolic regulation"""]),
    'R-RNO-163359':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucagon signaling in metabolic regulation"""]),
    'R-SCE-163359':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucagon signaling in metabolic regulation"""]),
    'R-SPO-163359':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucagon signaling in metabolic regulation"""]),
    'R-SSC-163359':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucagon signaling in metabolic regulation"""]),
    'R-XTR-163359':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucagon signaling in metabolic regulation"""]),
    'R-HSA-163560':Nto._make([date(2005,  4, 11), '....P..', 'B.', """Triglyceride catabolism"""]),
    'R-BTA-163560':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Triglyceride catabolism"""]),
    'R-CEL-163560':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Triglyceride catabolism"""]),
    'R-CFA-163560':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Triglyceride catabolism"""]),
    'R-DDI-163560':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Triglyceride catabolism"""]),
    'R-DME-163560':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Triglyceride catabolism"""]),
    'R-DRE-163560':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Triglyceride catabolism"""]),
    'R-GGA-163560':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Triglyceride catabolism"""]),
    'R-MMU-163560':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Triglyceride catabolism"""]),
    'R-PFA-163560':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Triglyceride catabolism"""]),
    'R-RNO-163560':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Triglyceride catabolism"""]),
    'R-SCE-163560':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Triglyceride catabolism"""]),
    'R-SPO-163560':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Triglyceride catabolism"""]),
    'R-SSC-163560':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Triglyceride catabolism"""]),
    'R-XTR-163560':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Triglyceride catabolism"""]),
    'R-HSA-163615':Nto._make([date(2008, 12, 17), '....P..', 'BC', """PKA activation"""]),
    'R-BTA-163615':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PKA activation"""]),
    'R-CEL-163615':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PKA activation"""]),
    'R-CFA-163615':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PKA activation"""]),
    'R-DDI-163615':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PKA activation"""]),
    'R-DME-163615':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PKA activation"""]),
    'R-DRE-163615':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PKA activation"""]),
    'R-GGA-163615':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PKA activation"""]),
    'R-MMU-163615':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PKA activation"""]),
    'R-RNO-163615':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PKA activation"""]),
    'R-SCE-163615':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PKA activation"""]),
    'R-SPO-163615':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PKA activation"""]),
    'R-SSC-163615':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PKA activation"""]),
    'R-XTR-163615':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PKA activation"""]),
    'R-HSA-163680':Nto._make([date(2005,  4, 11), '....P..', 'BC', """AMPK inhibits chREBP transcriptional activation activity"""]),
    'R-BTA-163680':Nto._make([date(2019,  3, 20), '...I...', 'BC', """AMPK inhibits chREBP transcriptional activation activity"""]),
    'R-CFA-163680':Nto._make([date(2019,  3, 20), '...I...', 'BC', """AMPK inhibits chREBP transcriptional activation activity"""]),
    'R-DDI-163680':Nto._make([date(2019,  3, 20), '...I...', 'BC', """AMPK inhibits chREBP transcriptional activation activity"""]),
    'R-DRE-163680':Nto._make([date(2019,  3, 20), '...I...', 'BC', """AMPK inhibits chREBP transcriptional activation activity"""]),
    'R-GGA-163680':Nto._make([date(2019,  3, 20), '...I...', 'BC', """AMPK inhibits chREBP transcriptional activation activity"""]),
    'R-MMU-163680':Nto._make([date(2019,  3, 20), '...I...', 'BC', """AMPK inhibits chREBP transcriptional activation activity"""]),
    'R-RNO-163680':Nto._make([date(2019,  3, 20), '...I...', 'BC', """AMPK inhibits chREBP transcriptional activation activity"""]),
    'R-SCE-163680':Nto._make([date(2019,  3, 20), '...I...', 'BC', """AMPK inhibits chREBP transcriptional activation activity"""]),
    'R-SPO-163680':Nto._make([date(2019,  3, 20), '...I...', 'BC', """AMPK inhibits chREBP transcriptional activation activity"""]),
    'R-XTR-163680':Nto._make([date(2019,  3, 20), '...I...', 'BC', """AMPK inhibits chREBP transcriptional activation activity"""]),
    'R-HSA-163685':Nto._make([date(2005,  9, 26), '..F.P..', 'BC', """Integration of energy metabolism"""]),
    'R-BTA-163685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Integration of energy metabolism"""]),
    'R-CEL-163685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Integration of energy metabolism"""]),
    'R-CFA-163685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Integration of energy metabolism"""]),
    'R-DDI-163685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Integration of energy metabolism"""]),
    'R-DME-163685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Integration of energy metabolism"""]),
    'R-DRE-163685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Integration of energy metabolism"""]),
    'R-GGA-163685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Integration of energy metabolism"""]),
    'R-MMU-163685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Integration of energy metabolism"""]),
    'R-PFA-163685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Integration of energy metabolism"""]),
    'R-RNO-163685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Integration of energy metabolism"""]),
    'R-SCE-163685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Integration of energy metabolism"""]),
    'R-SPO-163685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Integration of energy metabolism"""]),
    'R-SSC-163685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Integration of energy metabolism"""]),
    'R-XTR-163685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Integration of energy metabolism"""]),
    'R-HSA-163754':Nto._make([date(2005,  9, 26), '....PB.', 'BC', """Insulin effects increased synthesis of Xylulose-5-Phosphate"""]),
    'R-BTA-163754':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Insulin effects increased synthesis of Xylulose-5-Phosphate"""]),
    'R-CEL-163754':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Insulin effects increased synthesis of Xylulose-5-Phosphate"""]),
    'R-CFA-163754':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Insulin effects increased synthesis of Xylulose-5-Phosphate"""]),
    'R-DDI-163754':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Insulin effects increased synthesis of Xylulose-5-Phosphate"""]),
    'R-DME-163754':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Insulin effects increased synthesis of Xylulose-5-Phosphate"""]),
    'R-DRE-163754':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Insulin effects increased synthesis of Xylulose-5-Phosphate"""]),
    'R-GGA-163754':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Insulin effects increased synthesis of Xylulose-5-Phosphate"""]),
    'R-MMU-163754':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Insulin effects increased synthesis of Xylulose-5-Phosphate"""]),
    'R-RNO-163754':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Insulin effects increased synthesis of Xylulose-5-Phosphate"""]),
    'R-SCE-163754':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Insulin effects increased synthesis of Xylulose-5-Phosphate"""]),
    'R-SPO-163754':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Insulin effects increased synthesis of Xylulose-5-Phosphate"""]),
    'R-SSC-163754':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Insulin effects increased synthesis of Xylulose-5-Phosphate"""]),
    'R-XTR-163754':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Insulin effects increased synthesis of Xylulose-5-Phosphate"""]),
    'R-HSA-163765':Nto._make([date(2005,  9, 26), '....P..', 'BC', """ChREBP activates metabolic gene expression"""]),
    'R-BTA-163765':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ChREBP activates metabolic gene expression"""]),
    'R-CEL-163765':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ChREBP activates metabolic gene expression"""]),
    'R-CFA-163765':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ChREBP activates metabolic gene expression"""]),
    'R-DDI-163765':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ChREBP activates metabolic gene expression"""]),
    'R-DME-163765':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ChREBP activates metabolic gene expression"""]),
    'R-DRE-163765':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ChREBP activates metabolic gene expression"""]),
    'R-GGA-163765':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ChREBP activates metabolic gene expression"""]),
    'R-MMU-163765':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ChREBP activates metabolic gene expression"""]),
    'R-PFA-163765':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ChREBP activates metabolic gene expression"""]),
    'R-RNO-163765':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ChREBP activates metabolic gene expression"""]),
    'R-SCE-163765':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ChREBP activates metabolic gene expression"""]),
    'R-SPO-163765':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ChREBP activates metabolic gene expression"""]),
    'R-SSC-163765':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ChREBP activates metabolic gene expression"""]),
    'R-XTR-163765':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ChREBP activates metabolic gene expression"""]),
    'R-HSA-163767':Nto._make([date(2005,  9, 26), '....P..', '.C', """PP2A-mediated dephosphorylation of key metabolic factors"""]),
    'R-HSA-163841':Nto._make([date(2005,  6, 12), '..f....', 'B.', """Gamma carboxylation, hypusine formation and arylsulfatase activation"""]),
    'R-BTA-163841':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Gamma carboxylation, hypusine formation and arylsulfatase activation"""]),
    'R-CEL-163841':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Gamma carboxylation, hypusine formation and arylsulfatase activation"""]),
    'R-CFA-163841':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Gamma carboxylation, hypusine formation and arylsulfatase activation"""]),
    'R-DDI-163841':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Gamma carboxylation, hypusine formation and arylsulfatase activation"""]),
    'R-DME-163841':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Gamma carboxylation, hypusine formation and arylsulfatase activation"""]),
    'R-DRE-163841':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Gamma carboxylation, hypusine formation and arylsulfatase activation"""]),
    'R-GGA-163841':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Gamma carboxylation, hypusine formation and arylsulfatase activation"""]),
    'R-MMU-163841':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Gamma carboxylation, hypusine formation and arylsulfatase activation"""]),
    'R-PFA-163841':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Gamma carboxylation, hypusine formation and arylsulfatase activation"""]),
    'R-RNO-163841':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Gamma carboxylation, hypusine formation and arylsulfatase activation"""]),
    'R-SCE-163841':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Gamma carboxylation, hypusine formation and arylsulfatase activation"""]),
    'R-SPO-163841':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Gamma carboxylation, hypusine formation and arylsulfatase activation"""]),
    'R-SSC-163841':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Gamma carboxylation, hypusine formation and arylsulfatase activation"""]),
    'R-XTR-163841':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Gamma carboxylation, hypusine formation and arylsulfatase activation"""]),
    'R-HSA-164378':Nto._make([date(2005,  9, 26), '.......', '.C', """PKA activation in glucagon signalling"""]),
    'R-BTA-164378':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA activation in glucagon signalling"""]),
    'R-CEL-164378':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA activation in glucagon signalling"""]),
    'R-CFA-164378':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA activation in glucagon signalling"""]),
    'R-DME-164378':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA activation in glucagon signalling"""]),
    'R-DRE-164378':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA activation in glucagon signalling"""]),
    'R-GGA-164378':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA activation in glucagon signalling"""]),
    'R-MMU-164378':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA activation in glucagon signalling"""]),
    'R-RNO-164378':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA activation in glucagon signalling"""]),
    'R-SCE-164378':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA activation in glucagon signalling"""]),
    'R-SPO-164378':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA activation in glucagon signalling"""]),
    'R-SSC-164378':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA activation in glucagon signalling"""]),
    'R-XTR-164378':Nto._make([date(2019,  3, 20), '...I...', '.C', """PKA activation in glucagon signalling"""]),
    'R-HSA-164516':Nto._make([date(2006, 11, 14), '.D..PB.', 'BC', """Minus-strand DNA synthesis"""]),
    'R-HSA-164525':Nto._make([date(2006, 11, 14), '.D..PB.', 'BC', """Plus-strand DNA synthesis"""]),
    'R-HSA-164843':Nto._make([date(2006, 11, 14), '.D..PB.', '.C', """2-LTR circle formation"""]),
    'R-HSA-164938':Nto._make([date(2007,  8, 21), '.D..P..', 'B.', """Nef-mediates down modulation of cell surface receptors by recruiting them to clathrin adapters"""]),
    'R-HSA-164939':Nto._make([date(2007,  8, 21), '.D..P..', 'B.', """Nef mediated downregulation of CD28 cell surface expression"""]),
    'R-HSA-164940':Nto._make([date(2007,  8, 21), '.D..P..', 'B.', """Nef mediated downregulation of MHC class I complex cell surface expression"""]),
    'R-HSA-164944':Nto._make([date(2007,  9,  4), '.D..P..', 'B.', """Nef and signal transduction"""]),
    'R-HSA-164952':Nto._make([date(2007,  8, 21), '....P..', '..', """The role of Nef in HIV-1 replication and disease pathogenesis"""]),
    'R-HSA-165054':Nto._make([date(2005,  4, 11), '.D..P..', '..', """Rev-mediated nuclear export of HIV RNA"""]),
    'R-HSA-165158':Nto._make([date(2005,  9, 26), '....P..', '..', """Activation of AKT2"""]),
    'R-BTA-165158':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of AKT2"""]),
    'R-CEL-165158':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of AKT2"""]),
    'R-CFA-165158':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of AKT2"""]),
    'R-DDI-165158':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of AKT2"""]),
    'R-DME-165158':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of AKT2"""]),
    'R-DRE-165158':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of AKT2"""]),
    'R-GGA-165158':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of AKT2"""]),
    'R-MMU-165158':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of AKT2"""]),
    'R-PFA-165158':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of AKT2"""]),
    'R-RNO-165158':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of AKT2"""]),
    'R-SCE-165158':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of AKT2"""]),
    'R-SPO-165158':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of AKT2"""]),
    'R-SSC-165158':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of AKT2"""]),
    'R-XTR-165158':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of AKT2"""]),
    'R-HSA-165159':Nto._make([date(2005,  4, 11), '..f.P..', '..', """mTOR signalling"""]),
    'R-BTA-165159':Nto._make([date(2019,  3, 20), '..fI...', '..', """mTOR signalling"""]),
    'R-CEL-165159':Nto._make([date(2019,  3, 20), '..fI...', '..', """mTOR signalling"""]),
    'R-CFA-165159':Nto._make([date(2019,  3, 20), '..fI...', '..', """mTOR signalling"""]),
    'R-DDI-165159':Nto._make([date(2019,  3, 20), '..fI...', '..', """mTOR signalling"""]),
    'R-DME-165159':Nto._make([date(2019,  3, 20), '..fI...', '..', """mTOR signalling"""]),
    'R-DRE-165159':Nto._make([date(2019,  3, 20), '..fI...', '..', """mTOR signalling"""]),
    'R-GGA-165159':Nto._make([date(2019,  3, 20), '..fI...', '..', """mTOR signalling"""]),
    'R-MMU-165159':Nto._make([date(2019,  3, 20), '..fI...', '..', """mTOR signalling"""]),
    'R-PFA-165159':Nto._make([date(2019,  3, 20), '..fI...', '..', """mTOR signalling"""]),
    'R-RNO-165159':Nto._make([date(2019,  3, 20), '..fI...', '..', """mTOR signalling"""]),
    'R-SCE-165159':Nto._make([date(2019,  3, 20), '..fI...', '..', """mTOR signalling"""]),
    'R-SPO-165159':Nto._make([date(2019,  3, 20), '..fI...', '..', """mTOR signalling"""]),
    'R-SSC-165159':Nto._make([date(2019,  3, 20), '..fI...', '..', """mTOR signalling"""]),
    'R-XTR-165159':Nto._make([date(2019,  3, 20), '..fI...', '..', """mTOR signalling"""]),
    'R-HSA-165160':Nto._make([date(2005,  9, 26), '....P..', '..', """PDE3B signalling"""]),
    'R-BTA-165160':Nto._make([date(2019,  3, 20), '...I...', '..', """PDE3B signalling"""]),
    'R-CEL-165160':Nto._make([date(2019,  3, 20), '...I...', '..', """PDE3B signalling"""]),
    'R-CFA-165160':Nto._make([date(2019,  3, 20), '...I...', '..', """PDE3B signalling"""]),
    'R-DDI-165160':Nto._make([date(2019,  3, 20), '...I...', '..', """PDE3B signalling"""]),
    'R-DRE-165160':Nto._make([date(2019,  3, 20), '...I...', '..', """PDE3B signalling"""]),
    'R-GGA-165160':Nto._make([date(2019,  3, 20), '...I...', '..', """PDE3B signalling"""]),
    'R-MMU-165160':Nto._make([date(2019,  3, 20), '...I...', '..', """PDE3B signalling"""]),
    'R-PFA-165160':Nto._make([date(2019,  3, 20), '...I...', '..', """PDE3B signalling"""]),
    'R-RNO-165160':Nto._make([date(2019,  3, 20), '...I...', '..', """PDE3B signalling"""]),
    'R-SSC-165160':Nto._make([date(2019,  3, 20), '...I...', '..', """PDE3B signalling"""]),
    'R-XTR-165160':Nto._make([date(2019,  3, 20), '...I...', '..', """PDE3B signalling"""]),
    'R-HSA-165181':Nto._make([date(2006,  4, 24), '.......', '..', """Inhibition of TSC complex formation by PKB"""]),
    'R-BTA-165181':Nto._make([date(2019,  3, 20), '...I...', '..', """Inhibition of TSC complex formation by PKB"""]),
    'R-CFA-165181':Nto._make([date(2019,  3, 20), '...I...', '..', """Inhibition of TSC complex formation by PKB"""]),
    'R-DDI-165181':Nto._make([date(2019,  3, 20), '...I...', '..', """Inhibition of TSC complex formation by PKB"""]),
    'R-DME-165181':Nto._make([date(2019,  3, 20), '...I...', '..', """Inhibition of TSC complex formation by PKB"""]),
    'R-DRE-165181':Nto._make([date(2019,  3, 20), '...I...', '..', """Inhibition of TSC complex formation by PKB"""]),
    'R-MMU-165181':Nto._make([date(2019,  3, 20), '...I...', '..', """Inhibition of TSC complex formation by PKB"""]),
    'R-RNO-165181':Nto._make([date(2019,  3, 20), '...I...', '..', """Inhibition of TSC complex formation by PKB"""]),
    'R-SPO-165181':Nto._make([date(2019,  3, 20), '...I...', '..', """Inhibition of TSC complex formation by PKB"""]),
    'R-SSC-165181':Nto._make([date(2019,  3, 20), '...I...', '..', """Inhibition of TSC complex formation by PKB"""]),
    'R-XTR-165181':Nto._make([date(2019,  3, 20), '...I...', '..', """Inhibition of TSC complex formation by PKB"""]),
    'R-HSA-166016':Nto._make([date(2006,  4, 24), '....P..', 'B.', """Toll Like Receptor 4 (TLR4) Cascade"""]),
    'R-BTA-166016':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 4 (TLR4) Cascade"""]),
    'R-CEL-166016':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 4 (TLR4) Cascade"""]),
    'R-CFA-166016':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 4 (TLR4) Cascade"""]),
    'R-DDI-166016':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 4 (TLR4) Cascade"""]),
    'R-DME-166016':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 4 (TLR4) Cascade"""]),
    'R-DRE-166016':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 4 (TLR4) Cascade"""]),
    'R-GGA-166016':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 4 (TLR4) Cascade"""]),
    'R-MMU-166016':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 4 (TLR4) Cascade"""]),
    'R-PFA-166016':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 4 (TLR4) Cascade"""]),
    'R-RNO-166016':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 4 (TLR4) Cascade"""]),
    'R-SCE-166016':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 4 (TLR4) Cascade"""]),
    'R-SPO-166016':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 4 (TLR4) Cascade"""]),
    'R-SSC-166016':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 4 (TLR4) Cascade"""]),
    'R-XTR-166016':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 4 (TLR4) Cascade"""]),
    'R-HSA-166020':Nto._make([date(2010, 12, 14), '....P..', '.C', """Transfer of LPS from LBP carrier to CD14"""]),
    'R-GGA-166020':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transfer of LPS from LBP carrier to CD14"""]),
    'R-MMU-166020':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transfer of LPS from LBP carrier to CD14"""]),
    'R-RNO-166020':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transfer of LPS from LBP carrier to CD14"""]),
    'R-SSC-166020':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transfer of LPS from LBP carrier to CD14"""]),
    'R-XTR-166020':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transfer of LPS from LBP carrier to CD14"""]),
    'R-HSA-166058':Nto._make([date(2010, 12, 14), '..f.P..', 'B.', """MyD88:MAL(TIRAP) cascade initiated on plasma membrane"""]),
    'R-BTA-166058':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88:MAL(TIRAP) cascade initiated on plasma membrane"""]),
    'R-CEL-166058':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88:MAL(TIRAP) cascade initiated on plasma membrane"""]),
    'R-CFA-166058':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88:MAL(TIRAP) cascade initiated on plasma membrane"""]),
    'R-DDI-166058':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88:MAL(TIRAP) cascade initiated on plasma membrane"""]),
    'R-DME-166058':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88:MAL(TIRAP) cascade initiated on plasma membrane"""]),
    'R-DRE-166058':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88:MAL(TIRAP) cascade initiated on plasma membrane"""]),
    'R-GGA-166058':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88:MAL(TIRAP) cascade initiated on plasma membrane"""]),
    'R-MMU-166058':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88:MAL(TIRAP) cascade initiated on plasma membrane"""]),
    'R-PFA-166058':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88:MAL(TIRAP) cascade initiated on plasma membrane"""]),
    'R-RNO-166058':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88:MAL(TIRAP) cascade initiated on plasma membrane"""]),
    'R-SCE-166058':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88:MAL(TIRAP) cascade initiated on plasma membrane"""]),
    'R-SPO-166058':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88:MAL(TIRAP) cascade initiated on plasma membrane"""]),
    'R-SSC-166058':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88:MAL(TIRAP) cascade initiated on plasma membrane"""]),
    'R-XTR-166058':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88:MAL(TIRAP) cascade initiated on plasma membrane"""]),
    'R-HSA-166166':Nto._make([date(2010, 12, 14), '..f.P..', 'BC', """MyD88-independent TLR4 cascade """]),
    'R-BTA-166166':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MyD88-independent TLR4 cascade """]),
    'R-CEL-166166':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MyD88-independent TLR4 cascade """]),
    'R-CFA-166166':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MyD88-independent TLR4 cascade """]),
    'R-DDI-166166':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MyD88-independent TLR4 cascade """]),
    'R-DME-166166':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MyD88-independent TLR4 cascade """]),
    'R-DRE-166166':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MyD88-independent TLR4 cascade """]),
    'R-GGA-166166':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MyD88-independent TLR4 cascade """]),
    'R-MMU-166166':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MyD88-independent TLR4 cascade """]),
    'R-PFA-166166':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MyD88-independent TLR4 cascade """]),
    'R-RNO-166166':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MyD88-independent TLR4 cascade """]),
    'R-SCE-166166':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MyD88-independent TLR4 cascade """]),
    'R-SPO-166166':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MyD88-independent TLR4 cascade """]),
    'R-SSC-166166':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MyD88-independent TLR4 cascade """]),
    'R-XTR-166166':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MyD88-independent TLR4 cascade """]),
    'R-HSA-166187':Nto._make([date(2005,  4, 11), '....P..', 'BC', """Mitochondrial Uncoupling Proteins"""]),
    'R-BTA-166187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial Uncoupling Proteins"""]),
    'R-CEL-166187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial Uncoupling Proteins"""]),
    'R-CFA-166187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial Uncoupling Proteins"""]),
    'R-DME-166187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial Uncoupling Proteins"""]),
    'R-DRE-166187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial Uncoupling Proteins"""]),
    'R-GGA-166187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial Uncoupling Proteins"""]),
    'R-MMU-166187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial Uncoupling Proteins"""]),
    'R-RNO-166187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial Uncoupling Proteins"""]),
    'R-SSC-166187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial Uncoupling Proteins"""]),
    'R-XTR-166187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial Uncoupling Proteins"""]),
    'R-HSA-166208':Nto._make([date(2005,  4, 11), '....P..', '..', """mTORC1-mediated signalling"""]),
    'R-BTA-166208':Nto._make([date(2019,  3, 20), '...I...', '..', """mTORC1-mediated signalling"""]),
    'R-CEL-166208':Nto._make([date(2019,  3, 20), '...I...', '..', """mTORC1-mediated signalling"""]),
    'R-CFA-166208':Nto._make([date(2019,  3, 20), '...I...', '..', """mTORC1-mediated signalling"""]),
    'R-DDI-166208':Nto._make([date(2019,  3, 20), '...I...', '..', """mTORC1-mediated signalling"""]),
    'R-DME-166208':Nto._make([date(2019,  3, 20), '...I...', '..', """mTORC1-mediated signalling"""]),
    'R-DRE-166208':Nto._make([date(2019,  3, 20), '...I...', '..', """mTORC1-mediated signalling"""]),
    'R-GGA-166208':Nto._make([date(2019,  3, 20), '...I...', '..', """mTORC1-mediated signalling"""]),
    'R-MMU-166208':Nto._make([date(2019,  3, 20), '...I...', '..', """mTORC1-mediated signalling"""]),
    'R-PFA-166208':Nto._make([date(2019,  3, 20), '...I...', '..', """mTORC1-mediated signalling"""]),
    'R-RNO-166208':Nto._make([date(2019,  3, 20), '...I...', '..', """mTORC1-mediated signalling"""]),
    'R-SCE-166208':Nto._make([date(2019,  3, 20), '...I...', '..', """mTORC1-mediated signalling"""]),
    'R-SPO-166208':Nto._make([date(2019,  3, 20), '...I...', '..', """mTORC1-mediated signalling"""]),
    'R-SSC-166208':Nto._make([date(2019,  3, 20), '...I...', '..', """mTORC1-mediated signalling"""]),
    'R-XTR-166208':Nto._make([date(2019,  3, 20), '...I...', '..', """mTORC1-mediated signalling"""]),
    'R-HSA-166520':Nto._make([date(2007, 12, 11), '..F.P..', 'B.', """Signaling by NTRKs"""]),
    'R-BTA-166520':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRKs"""]),
    'R-CEL-166520':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRKs"""]),
    'R-CFA-166520':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRKs"""]),
    'R-DDI-166520':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRKs"""]),
    'R-DME-166520':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRKs"""]),
    'R-DRE-166520':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRKs"""]),
    'R-GGA-166520':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRKs"""]),
    'R-MMU-166520':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRKs"""]),
    'R-PFA-166520':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRKs"""]),
    'R-RNO-166520':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRKs"""]),
    'R-SCE-166520':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRKs"""]),
    'R-SPO-166520':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRKs"""]),
    'R-SSC-166520':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRKs"""]),
    'R-XTR-166520':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRKs"""]),
    'R-HSA-166658':Nto._make([date(2005,  6, 13), '..F.PB.', '.C', """Complement cascade"""]),
    'R-BTA-166658':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Complement cascade"""]),
    'R-CEL-166658':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Complement cascade"""]),
    'R-CFA-166658':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Complement cascade"""]),
    'R-DME-166658':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Complement cascade"""]),
    'R-DRE-166658':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Complement cascade"""]),
    'R-GGA-166658':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Complement cascade"""]),
    'R-MMU-166658':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Complement cascade"""]),
    'R-RNO-166658':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Complement cascade"""]),
    'R-SSC-166658':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Complement cascade"""]),
    'R-XTR-166658':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Complement cascade"""]),
    'R-HSA-166662':Nto._make([date(2006,  8,  2), '....P..', 'B.', """Lectin pathway of complement activation"""]),
    'R-BTA-166662':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lectin pathway of complement activation"""]),
    'R-CFA-166662':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lectin pathway of complement activation"""]),
    'R-DRE-166662':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lectin pathway of complement activation"""]),
    'R-GGA-166662':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lectin pathway of complement activation"""]),
    'R-MMU-166662':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lectin pathway of complement activation"""]),
    'R-RNO-166662':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lectin pathway of complement activation"""]),
    'R-SSC-166662':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lectin pathway of complement activation"""]),
    'R-XTR-166662':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lectin pathway of complement activation"""]),
    'R-HSA-166663':Nto._make([date(2006,  8,  2), '.....B.', 'B.', """Initial triggering of complement"""]),
    'R-BTA-166663':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Initial triggering of complement"""]),
    'R-CEL-166663':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Initial triggering of complement"""]),
    'R-CFA-166663':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Initial triggering of complement"""]),
    'R-DRE-166663':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Initial triggering of complement"""]),
    'R-GGA-166663':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Initial triggering of complement"""]),
    'R-MMU-166663':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Initial triggering of complement"""]),
    'R-RNO-166663':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Initial triggering of complement"""]),
    'R-SSC-166663':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Initial triggering of complement"""]),
    'R-XTR-166663':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Initial triggering of complement"""]),
    'R-HSA-166665':Nto._make([date(2005,  4, 11), '.....B.', '..', """Terminal pathway of complement"""]),
    'R-CFA-166665':Nto._make([date(2019,  3, 20), '...I...', '..', """Terminal pathway of complement"""]),
    'R-DRE-166665':Nto._make([date(2019,  3, 20), '...I...', '..', """Terminal pathway of complement"""]),
    'R-GGA-166665':Nto._make([date(2019,  3, 20), '...I...', '..', """Terminal pathway of complement"""]),
    'R-MMU-166665':Nto._make([date(2019,  3, 20), '...I...', '..', """Terminal pathway of complement"""]),
    'R-RNO-166665':Nto._make([date(2019,  3, 20), '...I...', '..', """Terminal pathway of complement"""]),
    'R-SSC-166665':Nto._make([date(2019,  3, 20), '...I...', '..', """Terminal pathway of complement"""]),
    'R-XTR-166665':Nto._make([date(2019,  3, 20), '...I...', '..', """Terminal pathway of complement"""]),
    'R-HSA-166786':Nto._make([date(2006,  8,  2), '....P..', '..', """Creation of C4 and C2 activators"""]),
    'R-BTA-166786':Nto._make([date(2019,  3, 20), '...I...', '..', """Creation of C4 and C2 activators"""]),
    'R-CFA-166786':Nto._make([date(2019,  3, 20), '...I...', '..', """Creation of C4 and C2 activators"""]),
    'R-DRE-166786':Nto._make([date(2019,  3, 20), '...I...', '..', """Creation of C4 and C2 activators"""]),
    'R-GGA-166786':Nto._make([date(2019,  3, 20), '...I...', '..', """Creation of C4 and C2 activators"""]),
    'R-MMU-166786':Nto._make([date(2019,  3, 20), '...I...', '..', """Creation of C4 and C2 activators"""]),
    'R-RNO-166786':Nto._make([date(2019,  3, 20), '...I...', '..', """Creation of C4 and C2 activators"""]),
    'R-SSC-166786':Nto._make([date(2019,  3, 20), '...I...', '..', """Creation of C4 and C2 activators"""]),
    'R-XTR-166786':Nto._make([date(2019,  3, 20), '...I...', '..', """Creation of C4 and C2 activators"""]),
    'R-HSA-167021':Nto._make([date(2007, 12, 11), '....P..', 'B.', """PLC-gamma1 signalling"""]),
    'R-HSA-167044':Nto._make([date(2007, 12, 11), '....P..', 'B.', """Signalling to RAS"""]),
    'R-BTA-167044':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Signalling to RAS"""]),
    'R-CEL-167044':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Signalling to RAS"""]),
    'R-CFA-167044':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Signalling to RAS"""]),
    'R-DDI-167044':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Signalling to RAS"""]),
    'R-DME-167044':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Signalling to RAS"""]),
    'R-DRE-167044':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Signalling to RAS"""]),
    'R-GGA-167044':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Signalling to RAS"""]),
    'R-MMU-167044':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Signalling to RAS"""]),
    'R-RNO-167044':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Signalling to RAS"""]),
    'R-SCE-167044':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Signalling to RAS"""]),
    'R-SSC-167044':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Signalling to RAS"""]),
    'R-XTR-167044':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Signalling to RAS"""]),
    'R-HSA-167060':Nto._make([date(2007, 12, 11), '..f.P..', 'B.', """NGF processing"""]),
    'R-BTA-167060':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """NGF processing"""]),
    'R-CFA-167060':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """NGF processing"""]),
    'R-DRE-167060':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """NGF processing"""]),
    'R-GGA-167060':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """NGF processing"""]),
    'R-MMU-167060':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """NGF processing"""]),
    'R-RNO-167060':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """NGF processing"""]),
    'R-XTR-167060':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """NGF processing"""]),
    'R-HSA-167152':Nto._make([date(2010,  6, 15), '.D.I...', '.C', """Formation of HIV elongation complex in the absence of HIV Tat"""]),
    'R-HSA-167158':Nto._make([date(2005,  4, 11), '.D.IP..', '.C', """Formation of the HIV-1 Early Elongation Complex"""]),
    'R-HSA-167160':Nto._make([date(2006,  1, 23), '.D.I...', '.C', """RNA Pol II CTD phosphorylation and interaction with CE during HIV infection"""]),
    'R-HSA-167161':Nto._make([date(2005,  6, 13), '.D.I...', 'BC', """HIV Transcription Initiation"""]),
    'R-HSA-167162':Nto._make([date(2006,  1, 23), '.D.I...', '.C', """RNA Polymerase II HIV Promoter Escape"""]),
    'R-HSA-167169':Nto._make([date(2005,  6, 13), '.D.IP..', 'BC', """HIV Transcription Elongation"""]),
    'R-HSA-167172':Nto._make([date(2006,  1, 23), '.D.IP..', 'BC', """Transcription of the HIV genome"""]),
    'R-HSA-167200':Nto._make([date(2006,  1, 23), '.D.IP..', '.C', """Formation of HIV-1 elongation complex containing HIV-1 Tat"""]),
    'R-HSA-167238':Nto._make([date(2006,  1, 23), '.D.....', '.C', """Pausing and recovery of Tat-mediated HIV elongation"""]),
    'R-HSA-167242':Nto._make([date(2005,  6, 13), '.D..P..', '.C', """Abortive elongation of HIV-1 transcript in the absence of Tat"""]),
    'R-HSA-167243':Nto._make([date(2005,  9, 26), '.D.....', '.C', """Tat-mediated HIV elongation arrest and recovery"""]),
    'R-HSA-167246':Nto._make([date(2006,  1, 23), '.D..P..', 'BC', """Tat-mediated elongation of the HIV-1 transcript"""]),
    'R-HSA-167287':Nto._make([date(2006,  1, 23), '.D.....', '.C', """HIV elongation arrest and recovery"""]),
    'R-HSA-167290':Nto._make([date(2006,  1, 23), '.D.....', '.C', """Pausing and recovery of HIV elongation"""]),
    'R-HSA-167590':Nto._make([date(2007,  8, 21), '.D..P..', 'B.', """Nef Mediated CD4 Down-regulation"""]),
    'R-HSA-167826':Nto._make([date(2006,  1, 23), '....P..', '..', """The fatty acid cycling model"""]),
    'R-BTA-167826':Nto._make([date(2019,  3, 20), '...I...', '..', """The fatty acid cycling model"""]),
    'R-CEL-167826':Nto._make([date(2019,  3, 20), '...I...', '..', """The fatty acid cycling model"""]),
    'R-CFA-167826':Nto._make([date(2019,  3, 20), '...I...', '..', """The fatty acid cycling model"""]),
    'R-DME-167826':Nto._make([date(2019,  3, 20), '...I...', '..', """The fatty acid cycling model"""]),
    'R-DRE-167826':Nto._make([date(2019,  3, 20), '...I...', '..', """The fatty acid cycling model"""]),
    'R-GGA-167826':Nto._make([date(2019,  3, 20), '...I...', '..', """The fatty acid cycling model"""]),
    'R-MMU-167826':Nto._make([date(2019,  3, 20), '...I...', '..', """The fatty acid cycling model"""]),
    'R-RNO-167826':Nto._make([date(2019,  3, 20), '...I...', '..', """The fatty acid cycling model"""]),
    'R-SSC-167826':Nto._make([date(2019,  3, 20), '...I...', '..', """The fatty acid cycling model"""]),
    'R-XTR-167826':Nto._make([date(2019,  3, 20), '...I...', '..', """The fatty acid cycling model"""]),
    'R-HSA-167827':Nto._make([date(2006,  1, 23), '....P..', 'B.', """The proton buffering model"""]),
    'R-BTA-167827':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The proton buffering model"""]),
    'R-CEL-167827':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The proton buffering model"""]),
    'R-CFA-167827':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The proton buffering model"""]),
    'R-DME-167827':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The proton buffering model"""]),
    'R-DRE-167827':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The proton buffering model"""]),
    'R-GGA-167827':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The proton buffering model"""]),
    'R-MMU-167827':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The proton buffering model"""]),
    'R-RNO-167827':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The proton buffering model"""]),
    'R-SSC-167827':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The proton buffering model"""]),
    'R-XTR-167827':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The proton buffering model"""]),
    'R-HSA-168138':Nto._make([date(2010, 12, 14), '....P..', 'BC', """Toll Like Receptor 9 (TLR9) Cascade"""]),
    'R-BTA-168138':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 9 (TLR9) Cascade"""]),
    'R-CEL-168138':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 9 (TLR9) Cascade"""]),
    'R-CFA-168138':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 9 (TLR9) Cascade"""]),
    'R-DDI-168138':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 9 (TLR9) Cascade"""]),
    'R-DME-168138':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 9 (TLR9) Cascade"""]),
    'R-DRE-168138':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 9 (TLR9) Cascade"""]),
    'R-GGA-168138':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 9 (TLR9) Cascade"""]),
    'R-MMU-168138':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 9 (TLR9) Cascade"""]),
    'R-PFA-168138':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 9 (TLR9) Cascade"""]),
    'R-RNO-168138':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 9 (TLR9) Cascade"""]),
    'R-SCE-168138':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 9 (TLR9) Cascade"""]),
    'R-SPO-168138':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 9 (TLR9) Cascade"""]),
    'R-SSC-168138':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 9 (TLR9) Cascade"""]),
    'R-XTR-168138':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 9 (TLR9) Cascade"""]),
    'R-HSA-168142':Nto._make([date(2006, 11, 14), '....P..', 'B.', """Toll Like Receptor 10 (TLR10) Cascade"""]),
    'R-BTA-168142':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 10 (TLR10) Cascade"""]),
    'R-CEL-168142':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 10 (TLR10) Cascade"""]),
    'R-CFA-168142':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 10 (TLR10) Cascade"""]),
    'R-DDI-168142':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 10 (TLR10) Cascade"""]),
    'R-DME-168142':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 10 (TLR10) Cascade"""]),
    'R-DRE-168142':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 10 (TLR10) Cascade"""]),
    'R-GGA-168142':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 10 (TLR10) Cascade"""]),
    'R-MMU-168142':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 10 (TLR10) Cascade"""]),
    'R-PFA-168142':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 10 (TLR10) Cascade"""]),
    'R-RNO-168142':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 10 (TLR10) Cascade"""]),
    'R-SCE-168142':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 10 (TLR10) Cascade"""]),
    'R-SPO-168142':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 10 (TLR10) Cascade"""]),
    'R-SSC-168142':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 10 (TLR10) Cascade"""]),
    'R-XTR-168142':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 10 (TLR10) Cascade"""]),
    'R-HSA-168164':Nto._make([date(2006,  4, 24), '..f.P..', 'B.', """Toll Like Receptor 3 (TLR3) Cascade"""]),
    'R-BTA-168164':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll Like Receptor 3 (TLR3) Cascade"""]),
    'R-CEL-168164':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll Like Receptor 3 (TLR3) Cascade"""]),
    'R-CFA-168164':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll Like Receptor 3 (TLR3) Cascade"""]),
    'R-DDI-168164':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll Like Receptor 3 (TLR3) Cascade"""]),
    'R-DME-168164':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll Like Receptor 3 (TLR3) Cascade"""]),
    'R-DRE-168164':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll Like Receptor 3 (TLR3) Cascade"""]),
    'R-GGA-168164':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll Like Receptor 3 (TLR3) Cascade"""]),
    'R-MMU-168164':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll Like Receptor 3 (TLR3) Cascade"""]),
    'R-PFA-168164':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll Like Receptor 3 (TLR3) Cascade"""]),
    'R-RNO-168164':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll Like Receptor 3 (TLR3) Cascade"""]),
    'R-SCE-168164':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll Like Receptor 3 (TLR3) Cascade"""]),
    'R-SPO-168164':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll Like Receptor 3 (TLR3) Cascade"""]),
    'R-SSC-168164':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll Like Receptor 3 (TLR3) Cascade"""]),
    'R-XTR-168164':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll Like Receptor 3 (TLR3) Cascade"""]),
    'R-HSA-168176':Nto._make([date(2006, 11, 14), '....PB.', 'B.', """Toll Like Receptor 5 (TLR5) Cascade"""]),
    'R-BTA-168176':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 5 (TLR5) Cascade"""]),
    'R-CEL-168176':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 5 (TLR5) Cascade"""]),
    'R-CFA-168176':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 5 (TLR5) Cascade"""]),
    'R-DDI-168176':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 5 (TLR5) Cascade"""]),
    'R-DME-168176':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 5 (TLR5) Cascade"""]),
    'R-DRE-168176':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 5 (TLR5) Cascade"""]),
    'R-GGA-168176':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 5 (TLR5) Cascade"""]),
    'R-MMU-168176':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 5 (TLR5) Cascade"""]),
    'R-PFA-168176':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 5 (TLR5) Cascade"""]),
    'R-RNO-168176':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 5 (TLR5) Cascade"""]),
    'R-SCE-168176':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 5 (TLR5) Cascade"""]),
    'R-SPO-168176':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 5 (TLR5) Cascade"""]),
    'R-SSC-168176':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 5 (TLR5) Cascade"""]),
    'R-XTR-168176':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 5 (TLR5) Cascade"""]),
    'R-HSA-168179':Nto._make([date(2010, 12, 14), '....P..', 'B.', """Toll Like Receptor TLR1:TLR2 Cascade"""]),
    'R-BTA-168179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR1:TLR2 Cascade"""]),
    'R-CEL-168179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR1:TLR2 Cascade"""]),
    'R-CFA-168179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR1:TLR2 Cascade"""]),
    'R-DDI-168179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR1:TLR2 Cascade"""]),
    'R-DME-168179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR1:TLR2 Cascade"""]),
    'R-DRE-168179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR1:TLR2 Cascade"""]),
    'R-GGA-168179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR1:TLR2 Cascade"""]),
    'R-MMU-168179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR1:TLR2 Cascade"""]),
    'R-PFA-168179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR1:TLR2 Cascade"""]),
    'R-RNO-168179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR1:TLR2 Cascade"""]),
    'R-SCE-168179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR1:TLR2 Cascade"""]),
    'R-SPO-168179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR1:TLR2 Cascade"""]),
    'R-SSC-168179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR1:TLR2 Cascade"""]),
    'R-XTR-168179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR1:TLR2 Cascade"""]),
    'R-HSA-168181':Nto._make([date(2010, 12, 14), '....P..', 'BC', """Toll Like Receptor 7/8 (TLR7/8) Cascade"""]),
    'R-BTA-168181':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 7/8 (TLR7/8) Cascade"""]),
    'R-CEL-168181':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 7/8 (TLR7/8) Cascade"""]),
    'R-CFA-168181':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 7/8 (TLR7/8) Cascade"""]),
    'R-DDI-168181':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 7/8 (TLR7/8) Cascade"""]),
    'R-DME-168181':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 7/8 (TLR7/8) Cascade"""]),
    'R-DRE-168181':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 7/8 (TLR7/8) Cascade"""]),
    'R-GGA-168181':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 7/8 (TLR7/8) Cascade"""]),
    'R-MMU-168181':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 7/8 (TLR7/8) Cascade"""]),
    'R-PFA-168181':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 7/8 (TLR7/8) Cascade"""]),
    'R-RNO-168181':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 7/8 (TLR7/8) Cascade"""]),
    'R-SCE-168181':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 7/8 (TLR7/8) Cascade"""]),
    'R-SPO-168181':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 7/8 (TLR7/8) Cascade"""]),
    'R-SSC-168181':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 7/8 (TLR7/8) Cascade"""]),
    'R-XTR-168181':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Toll Like Receptor 7/8 (TLR7/8) Cascade"""]),
    'R-HSA-168188':Nto._make([date(2010, 12, 14), '....P..', 'B.', """Toll Like Receptor TLR6:TLR2 Cascade"""]),
    'R-BTA-168188':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR6:TLR2 Cascade"""]),
    'R-CEL-168188':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR6:TLR2 Cascade"""]),
    'R-CFA-168188':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR6:TLR2 Cascade"""]),
    'R-DDI-168188':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR6:TLR2 Cascade"""]),
    'R-DME-168188':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR6:TLR2 Cascade"""]),
    'R-DRE-168188':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR6:TLR2 Cascade"""]),
    'R-GGA-168188':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR6:TLR2 Cascade"""]),
    'R-MMU-168188':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR6:TLR2 Cascade"""]),
    'R-PFA-168188':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR6:TLR2 Cascade"""]),
    'R-RNO-168188':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR6:TLR2 Cascade"""]),
    'R-SCE-168188':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR6:TLR2 Cascade"""]),
    'R-SPO-168188':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR6:TLR2 Cascade"""]),
    'R-SSC-168188':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR6:TLR2 Cascade"""]),
    'R-XTR-168188':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor TLR6:TLR2 Cascade"""]),
    'R-HSA-168249':Nto._make([date(2005,  6, 13), '..F....', 'B.', """Innate Immune System"""]),
    'R-BTA-168249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Innate Immune System"""]),
    'R-CEL-168249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Innate Immune System"""]),
    'R-CFA-168249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Innate Immune System"""]),
    'R-DDI-168249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Innate Immune System"""]),
    'R-DME-168249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Innate Immune System"""]),
    'R-DRE-168249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Innate Immune System"""]),
    'R-GGA-168249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Innate Immune System"""]),
    'R-MMU-168249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Innate Immune System"""]),
    'R-PFA-168249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Innate Immune System"""]),
    'R-RNO-168249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Innate Immune System"""]),
    'R-SCE-168249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Innate Immune System"""]),
    'R-SPO-168249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Innate Immune System"""]),
    'R-SSC-168249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Innate Immune System"""]),
    'R-XTR-168249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Innate Immune System"""]),
    'R-HSA-168253':Nto._make([date(2006,  1, 23), '.Df.P..', 'B.', """Host Interactions with Influenza Factors"""]),
    'R-HSA-168254':Nto._make([date(2006,  1, 17), '.DF.P..', 'B.', """Influenza Infection"""]),
    'R-HSA-168255':Nto._make([date(2006,  1, 23), '.DF.P..', 'B.', """Influenza Life Cycle"""]),
    'R-HSA-168256':Nto._make([date(2006,  4, 24), 'T.F....', '..', """Immune System"""]),
    'R-BTA-168256':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Immune System"""]),
    'R-CEL-168256':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Immune System"""]),
    'R-CFA-168256':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Immune System"""]),
    'R-DDI-168256':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Immune System"""]),
    'R-DME-168256':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Immune System"""]),
    'R-DRE-168256':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Immune System"""]),
    'R-GGA-168256':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Immune System"""]),
    'R-MMU-168256':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Immune System"""]),
    'R-PFA-168256':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Immune System"""]),
    'R-RNO-168256':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Immune System"""]),
    'R-SCE-168256':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Immune System"""]),
    'R-SPO-168256':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Immune System"""]),
    'R-SSC-168256':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Immune System"""]),
    'R-XTR-168256':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Immune System"""]),
    'R-HSA-168268':Nto._make([date(2005,  6, 13), '.D..P..', 'B.', """Virus Assembly and Release"""]),
    'R-HSA-168270':Nto._make([date(2005,  4, 11), '.D..P..', 'B.', """Fusion and Uncoating of the Influenza Virion"""]),
    'R-HSA-168271':Nto._make([date(2006,  1, 23), '.D..P..', 'B.', """Transport of Ribonucleoproteins into the Host Nucleus"""]),
    'R-HSA-168273':Nto._make([date(2006,  1, 23), '.D..P..', 'BC', """Influenza Viral RNA Transcription and Replication"""]),
    'R-HSA-168274':Nto._make([date(2005,  4, 11), '.D..P..', 'B.', """Export of Viral Ribonucleoproteins from Nucleus"""]),
    'R-HSA-168275':Nto._make([date(2005,  6, 13), '.D..P..', 'B.', """Entry of Influenza Virion into Host Cell via Endocytosis"""]),
    'R-HSA-168276':Nto._make([date(2005,  6, 13), '.D..P..', 'B.', """NS1 Mediated Effects on Host Pathways"""]),
    'R-HSA-168277':Nto._make([date(2005,  4, 11), '.D..P..', 'B.', """Influenza Virus Induced Apoptosis"""]),
    'R-HSA-168288':Nto._make([date(2005,  6, 13), '.D..P..', 'B.', """Fusion of the Influenza Virion to the Host Cell Endosome"""]),
    'R-HSA-168298':Nto._make([date(2006,  1, 23), '.D..P..', 'B.', """Release"""]),
    'R-HSA-168302':Nto._make([date(2005,  6, 13), '.D..P..', 'B.', """Budding"""]),
    'R-HSA-168303':Nto._make([date(2005,  6, 13), '.D..P..', 'B.', """Packaging of Eight RNA Segments"""]),
    'R-HSA-168305':Nto._make([date(2005,  6, 13), '.D.....', 'B.', """Inhibition of Interferon Synthesis"""]),
    'R-HSA-168315':Nto._make([date(2005,  6, 13), '.D..P..', 'B.', """Inhibition of Host mRNA Processing and RNA Silencing"""]),
    'R-HSA-168316':Nto._make([date(2005,  4, 11), '.D..P..', 'BC', """Assembly of Viral Components at the Budding Site"""]),
    'R-HSA-168325':Nto._make([date(2005,  4, 11), '.D..P..', 'BC', """Viral Messenger RNA Synthesis"""]),
    'R-HSA-168330':Nto._make([date(2006,  1, 23), '.D..P..', 'BC', """Viral RNP Complexes in the Host Cell Nucleus"""]),
    'R-HSA-168333':Nto._make([date(2005,  6, 13), '.D..P..', 'B.', """NEP/NS2 Interacts with the Cellular Export Machinery"""]),
    'R-HSA-168336':Nto._make([date(2005,  6, 13), '.D..P..', 'B.', """Uncoating of the Influenza Virion"""]),
    'R-HSA-168638':Nto._make([date(2011,  6, 14), '....P..', 'B.', """NOD1/2 Signaling Pathway"""]),
    'R-BTA-168638':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOD1/2 Signaling Pathway"""]),
    'R-CEL-168638':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOD1/2 Signaling Pathway"""]),
    'R-CFA-168638':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOD1/2 Signaling Pathway"""]),
    'R-DDI-168638':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOD1/2 Signaling Pathway"""]),
    'R-DME-168638':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOD1/2 Signaling Pathway"""]),
    'R-DRE-168638':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOD1/2 Signaling Pathway"""]),
    'R-GGA-168638':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOD1/2 Signaling Pathway"""]),
    'R-MMU-168638':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOD1/2 Signaling Pathway"""]),
    'R-RNO-168638':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOD1/2 Signaling Pathway"""]),
    'R-SCE-168638':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOD1/2 Signaling Pathway"""]),
    'R-SPO-168638':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOD1/2 Signaling Pathway"""]),
    'R-SSC-168638':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOD1/2 Signaling Pathway"""]),
    'R-XTR-168638':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOD1/2 Signaling Pathway"""]),
    'R-HSA-168643':Nto._make([date(2011,  6, 14), '..f.P..', 'BC', """Nucleotide-binding domain, leucine rich repeat containing receptor (NLR) signaling pathways"""]),
    'R-BTA-168643':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide-binding domain, leucine rich repeat containing receptor (NLR) signaling pathways"""]),
    'R-CEL-168643':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide-binding domain, leucine rich repeat containing receptor (NLR) signaling pathways"""]),
    'R-CFA-168643':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide-binding domain, leucine rich repeat containing receptor (NLR) signaling pathways"""]),
    'R-DDI-168643':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide-binding domain, leucine rich repeat containing receptor (NLR) signaling pathways"""]),
    'R-DME-168643':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide-binding domain, leucine rich repeat containing receptor (NLR) signaling pathways"""]),
    'R-DRE-168643':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide-binding domain, leucine rich repeat containing receptor (NLR) signaling pathways"""]),
    'R-GGA-168643':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide-binding domain, leucine rich repeat containing receptor (NLR) signaling pathways"""]),
    'R-MMU-168643':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide-binding domain, leucine rich repeat containing receptor (NLR) signaling pathways"""]),
    'R-PFA-168643':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide-binding domain, leucine rich repeat containing receptor (NLR) signaling pathways"""]),
    'R-RNO-168643':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide-binding domain, leucine rich repeat containing receptor (NLR) signaling pathways"""]),
    'R-SCE-168643':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide-binding domain, leucine rich repeat containing receptor (NLR) signaling pathways"""]),
    'R-SPO-168643':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide-binding domain, leucine rich repeat containing receptor (NLR) signaling pathways"""]),
    'R-SSC-168643':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide-binding domain, leucine rich repeat containing receptor (NLR) signaling pathways"""]),
    'R-XTR-168643':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide-binding domain, leucine rich repeat containing receptor (NLR) signaling pathways"""]),
    'R-HSA-168799':Nto._make([date(2007,  8, 21), '.Df.P..', '..', """Neurotoxicity of clostridium toxins"""]),
    'R-HSA-168874':Nto._make([date(2006,  1, 23), '.D..P..', 'B.', """Transport of HA trimer, NA tetramer and M2 tetramer from the endoplasmic reticulum to the Golgi Apparatus"""]),
    'R-HSA-168888':Nto._make([date(2006,  1, 23), '.D..P..', 'B.', """Inhibition of IFN-beta"""]),
    'R-HSA-168898':Nto._make([date(2005,  4, 11), '..F.P..', 'B.', """Toll-like Receptor Cascades"""]),
    'R-BTA-168898':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll-like Receptor Cascades"""]),
    'R-CEL-168898':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll-like Receptor Cascades"""]),
    'R-CFA-168898':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll-like Receptor Cascades"""]),
    'R-DDI-168898':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll-like Receptor Cascades"""]),
    'R-DME-168898':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll-like Receptor Cascades"""]),
    'R-DRE-168898':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll-like Receptor Cascades"""]),
    'R-GGA-168898':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll-like Receptor Cascades"""]),
    'R-MMU-168898':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll-like Receptor Cascades"""]),
    'R-PFA-168898':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll-like Receptor Cascades"""]),
    'R-RNO-168898':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll-like Receptor Cascades"""]),
    'R-SCE-168898':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll-like Receptor Cascades"""]),
    'R-SPO-168898':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll-like Receptor Cascades"""]),
    'R-SSC-168898':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll-like Receptor Cascades"""]),
    'R-XTR-168898':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Toll-like Receptor Cascades"""]),
    'R-HSA-168927':Nto._make([date(2010, 12, 14), '....P..', 'B.', """TICAM1, RIP1-mediated IKK complex recruitment """]),
    'R-HSA-168928':Nto._make([date(2010, 12, 14), '..f.P..', '.C', """DDX58/IFIH1-mediated induction of interferon-alpha/beta"""]),
    'R-BTA-168928':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DDX58/IFIH1-mediated induction of interferon-alpha/beta"""]),
    'R-CEL-168928':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DDX58/IFIH1-mediated induction of interferon-alpha/beta"""]),
    'R-CFA-168928':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DDX58/IFIH1-mediated induction of interferon-alpha/beta"""]),
    'R-DDI-168928':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DDX58/IFIH1-mediated induction of interferon-alpha/beta"""]),
    'R-DME-168928':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DDX58/IFIH1-mediated induction of interferon-alpha/beta"""]),
    'R-DRE-168928':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DDX58/IFIH1-mediated induction of interferon-alpha/beta"""]),
    'R-GGA-168928':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DDX58/IFIH1-mediated induction of interferon-alpha/beta"""]),
    'R-MMU-168928':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DDX58/IFIH1-mediated induction of interferon-alpha/beta"""]),
    'R-PFA-168928':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DDX58/IFIH1-mediated induction of interferon-alpha/beta"""]),
    'R-RNO-168928':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DDX58/IFIH1-mediated induction of interferon-alpha/beta"""]),
    'R-SSC-168928':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DDX58/IFIH1-mediated induction of interferon-alpha/beta"""]),
    'R-XTR-168928':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DDX58/IFIH1-mediated induction of interferon-alpha/beta"""]),
    'R-HSA-169131':Nto._make([date(2005,  4, 11), '.D.....', 'B.', """Inhibition of PKR"""]),
    'R-HSA-169893':Nto._make([date(2007, 12, 11), '....P..', 'B.', """Prolonged ERK activation events"""]),
    'R-BTA-169893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Prolonged ERK activation events"""]),
    'R-CEL-169893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Prolonged ERK activation events"""]),
    'R-CFA-169893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Prolonged ERK activation events"""]),
    'R-DDI-169893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Prolonged ERK activation events"""]),
    'R-DME-169893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Prolonged ERK activation events"""]),
    'R-DRE-169893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Prolonged ERK activation events"""]),
    'R-GGA-169893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Prolonged ERK activation events"""]),
    'R-MMU-169893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Prolonged ERK activation events"""]),
    'R-PFA-169893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Prolonged ERK activation events"""]),
    'R-RNO-169893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Prolonged ERK activation events"""]),
    'R-SCE-169893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Prolonged ERK activation events"""]),
    'R-SPO-169893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Prolonged ERK activation events"""]),
    'R-SSC-169893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Prolonged ERK activation events"""]),
    'R-XTR-169893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Prolonged ERK activation events"""]),
    'R-HSA-169911':Nto._make([date(2008,  6, 30), '..f.P..', 'B.', """Regulation of Apoptosis"""]),
    'R-BTA-169911':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of Apoptosis"""]),
    'R-CFA-169911':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of Apoptosis"""]),
    'R-DDI-169911':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of Apoptosis"""]),
    'R-GGA-169911':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of Apoptosis"""]),
    'R-MMU-169911':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of Apoptosis"""]),
    'R-RNO-169911':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of Apoptosis"""]),
    'R-SCE-169911':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of Apoptosis"""]),
    'R-SPO-169911':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of Apoptosis"""]),
    'R-SSC-169911':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of Apoptosis"""]),
    'R-HSA-170145':Nto._make([date(2005,  4, 11), '....P..', '.C', """Phosphorylation of proteins involved in the G2/M transition by Cyclin A:Cdc2 complexes"""]),
    'R-HSA-170660':Nto._make([date(2008, 12, 17), '....P..', 'BC', """Adenylate cyclase activating pathway"""]),
    'R-BTA-170660':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Adenylate cyclase activating pathway"""]),
    'R-CEL-170660':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Adenylate cyclase activating pathway"""]),
    'R-CFA-170660':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Adenylate cyclase activating pathway"""]),
    'R-DDI-170660':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Adenylate cyclase activating pathway"""]),
    'R-DME-170660':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Adenylate cyclase activating pathway"""]),
    'R-DRE-170660':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Adenylate cyclase activating pathway"""]),
    'R-GGA-170660':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Adenylate cyclase activating pathway"""]),
    'R-MMU-170660':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Adenylate cyclase activating pathway"""]),
    'R-RNO-170660':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Adenylate cyclase activating pathway"""]),
    'R-SSC-170660':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Adenylate cyclase activating pathway"""]),
    'R-HSA-170670':Nto._make([date(2008, 12, 17), '....P..', 'BC', """Adenylate cyclase inhibitory pathway"""]),
    'R-BTA-170670':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Adenylate cyclase inhibitory pathway"""]),
    'R-CEL-170670':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Adenylate cyclase inhibitory pathway"""]),
    'R-CFA-170670':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Adenylate cyclase inhibitory pathway"""]),
    'R-DDI-170670':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Adenylate cyclase inhibitory pathway"""]),
    'R-DME-170670':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Adenylate cyclase inhibitory pathway"""]),
    'R-DRE-170670':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Adenylate cyclase inhibitory pathway"""]),
    'R-GGA-170670':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Adenylate cyclase inhibitory pathway"""]),
    'R-MMU-170670':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Adenylate cyclase inhibitory pathway"""]),
    'R-RNO-170670':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Adenylate cyclase inhibitory pathway"""]),
    'R-SSC-170670':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Adenylate cyclase inhibitory pathway"""]),
    'R-HSA-170822':Nto._make([date(2005,  6, 13), '....P..', 'B.', """Regulation of Glucokinase by Glucokinase Regulatory Protein"""]),
    'R-BTA-170822':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of Glucokinase by Glucokinase Regulatory Protein"""]),
    'R-CEL-170822':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of Glucokinase by Glucokinase Regulatory Protein"""]),
    'R-CFA-170822':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of Glucokinase by Glucokinase Regulatory Protein"""]),
    'R-DME-170822':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of Glucokinase by Glucokinase Regulatory Protein"""]),
    'R-DRE-170822':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of Glucokinase by Glucokinase Regulatory Protein"""]),
    'R-GGA-170822':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of Glucokinase by Glucokinase Regulatory Protein"""]),
    'R-MMU-170822':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of Glucokinase by Glucokinase Regulatory Protein"""]),
    'R-PFA-170822':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of Glucokinase by Glucokinase Regulatory Protein"""]),
    'R-RNO-170822':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of Glucokinase by Glucokinase Regulatory Protein"""]),
    'R-SCE-170822':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of Glucokinase by Glucokinase Regulatory Protein"""]),
    'R-SPO-170822':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of Glucokinase by Glucokinase Regulatory Protein"""]),
    'R-XTR-170822':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of Glucokinase by Glucokinase Regulatory Protein"""]),
    'R-HSA-170834':Nto._make([date(2006,  4, 24), '..F.P..', 'B.', """Signaling by TGF-beta Receptor Complex"""]),
    'R-BTA-170834':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by TGF-beta Receptor Complex"""]),
    'R-CEL-170834':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by TGF-beta Receptor Complex"""]),
    'R-CFA-170834':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by TGF-beta Receptor Complex"""]),
    'R-DME-170834':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by TGF-beta Receptor Complex"""]),
    'R-DRE-170834':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by TGF-beta Receptor Complex"""]),
    'R-GGA-170834':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by TGF-beta Receptor Complex"""]),
    'R-MMU-170834':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by TGF-beta Receptor Complex"""]),
    'R-RNO-170834':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by TGF-beta Receptor Complex"""]),
    'R-SSC-170834':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by TGF-beta Receptor Complex"""]),
    'R-XTR-170834':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by TGF-beta Receptor Complex"""]),
    'R-HSA-170968':Nto._make([date(2007, 12, 11), '....P..', '..', """Frs2-mediated activation"""]),
    'R-BTA-170968':Nto._make([date(2019,  3, 20), '...I...', '..', """Frs2-mediated activation"""]),
    'R-CEL-170968':Nto._make([date(2019,  3, 20), '...I...', '..', """Frs2-mediated activation"""]),
    'R-CFA-170968':Nto._make([date(2019,  3, 20), '...I...', '..', """Frs2-mediated activation"""]),
    'R-DDI-170968':Nto._make([date(2019,  3, 20), '...I...', '..', """Frs2-mediated activation"""]),
    'R-DME-170968':Nto._make([date(2019,  3, 20), '...I...', '..', """Frs2-mediated activation"""]),
    'R-DRE-170968':Nto._make([date(2019,  3, 20), '...I...', '..', """Frs2-mediated activation"""]),
    'R-GGA-170968':Nto._make([date(2019,  3, 20), '...I...', '..', """Frs2-mediated activation"""]),
    'R-MMU-170968':Nto._make([date(2019,  3, 20), '...I...', '..', """Frs2-mediated activation"""]),
    'R-PFA-170968':Nto._make([date(2019,  3, 20), '...I...', '..', """Frs2-mediated activation"""]),
    'R-RNO-170968':Nto._make([date(2019,  3, 20), '...I...', '..', """Frs2-mediated activation"""]),
    'R-SCE-170968':Nto._make([date(2019,  3, 20), '...I...', '..', """Frs2-mediated activation"""]),
    'R-SPO-170968':Nto._make([date(2019,  3, 20), '...I...', '..', """Frs2-mediated activation"""]),
    'R-SSC-170968':Nto._make([date(2019,  3, 20), '...I...', '..', """Frs2-mediated activation"""]),
    'R-XTR-170968':Nto._make([date(2019,  3, 20), '...I...', '..', """Frs2-mediated activation"""]),
    'R-HSA-170984':Nto._make([date(2007, 12, 11), '....P..', '..', """ARMS-mediated activation"""]),
    'R-BTA-170984':Nto._make([date(2019,  3, 20), '...I...', '..', """ARMS-mediated activation"""]),
    'R-CFA-170984':Nto._make([date(2019,  3, 20), '...I...', '..', """ARMS-mediated activation"""]),
    'R-DRE-170984':Nto._make([date(2019,  3, 20), '...I...', '..', """ARMS-mediated activation"""]),
    'R-GGA-170984':Nto._make([date(2019,  3, 20), '...I...', '..', """ARMS-mediated activation"""]),
    'R-MMU-170984':Nto._make([date(2019,  3, 20), '...I...', '..', """ARMS-mediated activation"""]),
    'R-RNO-170984':Nto._make([date(2019,  3, 20), '...I...', '..', """ARMS-mediated activation"""]),
    'R-SSC-170984':Nto._make([date(2019,  3, 20), '...I...', '..', """ARMS-mediated activation"""]),
    'R-XTR-170984':Nto._make([date(2019,  3, 20), '...I...', '..', """ARMS-mediated activation"""]),
    'R-HSA-171007':Nto._make([date(2007, 12, 11), '....P..', '..', """p38MAPK events"""]),
    'R-BTA-171007':Nto._make([date(2019,  3, 20), '...I...', '..', """p38MAPK events"""]),
    'R-CEL-171007':Nto._make([date(2019,  3, 20), '...I...', '..', """p38MAPK events"""]),
    'R-CFA-171007':Nto._make([date(2019,  3, 20), '...I...', '..', """p38MAPK events"""]),
    'R-DDI-171007':Nto._make([date(2019,  3, 20), '...I...', '..', """p38MAPK events"""]),
    'R-DME-171007':Nto._make([date(2019,  3, 20), '...I...', '..', """p38MAPK events"""]),
    'R-DRE-171007':Nto._make([date(2019,  3, 20), '...I...', '..', """p38MAPK events"""]),
    'R-GGA-171007':Nto._make([date(2019,  3, 20), '...I...', '..', """p38MAPK events"""]),
    'R-MMU-171007':Nto._make([date(2019,  3, 20), '...I...', '..', """p38MAPK events"""]),
    'R-RNO-171007':Nto._make([date(2019,  3, 20), '...I...', '..', """p38MAPK events"""]),
    'R-SCE-171007':Nto._make([date(2019,  3, 20), '...I...', '..', """p38MAPK events"""]),
    'R-SSC-171007':Nto._make([date(2019,  3, 20), '...I...', '..', """p38MAPK events"""]),
    'R-XTR-171007':Nto._make([date(2019,  3, 20), '...I...', '..', """p38MAPK events"""]),
    'R-HSA-171286':Nto._make([date(2013,  6, 11), '.D..P..', 'B.', """Synthesis and processing of ENV and VPU"""]),
    'R-HSA-171306':Nto._make([date(2006,  8,  2), '....P..', 'B.', """Packaging Of Telomere Ends"""]),
    'R-BTA-171306':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Packaging Of Telomere Ends"""]),
    'R-CFA-171306':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Packaging Of Telomere Ends"""]),
    'R-DRE-171306':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Packaging Of Telomere Ends"""]),
    'R-MMU-171306':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Packaging Of Telomere Ends"""]),
    'R-RNO-171306':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Packaging Of Telomere Ends"""]),
    'R-SSC-171306':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Packaging Of Telomere Ends"""]),
    'R-HSA-171319':Nto._make([date(2006,  8,  2), '....P..', 'BC', """Telomere Extension By Telomerase"""]),
    'R-CEL-171319':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere Extension By Telomerase"""]),
    'R-DDI-171319':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere Extension By Telomerase"""]),
    'R-DRE-171319':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere Extension By Telomerase"""]),
    'R-GGA-171319':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere Extension By Telomerase"""]),
    'R-MMU-171319':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere Extension By Telomerase"""]),
    'R-PFA-171319':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere Extension By Telomerase"""]),
    'R-RNO-171319':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere Extension By Telomerase"""]),
    'R-SCE-171319':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere Extension By Telomerase"""]),
    'R-SPO-171319':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere Extension By Telomerase"""]),
    'R-SSC-171319':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere Extension By Telomerase"""]),
    'R-XTR-171319':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere Extension By Telomerase"""]),
    'R-HSA-173107':Nto._make([date(2006,  7, 31), '.D.....', 'BC', """Binding and entry of HIV virion"""]),
    'R-HSA-173599':Nto._make([date(2008,  6, 30), '....P..', 'B.', """Formation of the active cofactor, UDP-glucuronate"""]),
    'R-BTA-173599':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the active cofactor, UDP-glucuronate"""]),
    'R-CEL-173599':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the active cofactor, UDP-glucuronate"""]),
    'R-CFA-173599':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the active cofactor, UDP-glucuronate"""]),
    'R-DDI-173599':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the active cofactor, UDP-glucuronate"""]),
    'R-DME-173599':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the active cofactor, UDP-glucuronate"""]),
    'R-DRE-173599':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the active cofactor, UDP-glucuronate"""]),
    'R-GGA-173599':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the active cofactor, UDP-glucuronate"""]),
    'R-MMU-173599':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the active cofactor, UDP-glucuronate"""]),
    'R-RNO-173599':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the active cofactor, UDP-glucuronate"""]),
    'R-SCE-173599':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the active cofactor, UDP-glucuronate"""]),
    'R-SPO-173599':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the active cofactor, UDP-glucuronate"""]),
    'R-SSC-173599':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the active cofactor, UDP-glucuronate"""]),
    'R-XTR-173599':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the active cofactor, UDP-glucuronate"""]),
    'R-HSA-173623':Nto._make([date(2006,  8,  2), '....P..', 'BC', """Classical antibody-mediated complement activation"""]),
    'R-CFA-173623':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Classical antibody-mediated complement activation"""]),
    'R-DRE-173623':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Classical antibody-mediated complement activation"""]),
    'R-GGA-173623':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Classical antibody-mediated complement activation"""]),
    'R-MMU-173623':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Classical antibody-mediated complement activation"""]),
    'R-RNO-173623':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Classical antibody-mediated complement activation"""]),
    'R-SSC-173623':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Classical antibody-mediated complement activation"""]),
    'R-XTR-173623':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Classical antibody-mediated complement activation"""]),
    'R-HSA-173736':Nto._make([date(2005,  4, 11), '....P..', 'BC', """Alternative complement activation"""]),
    'R-CEL-173736':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Alternative complement activation"""]),
    'R-CFA-173736':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Alternative complement activation"""]),
    'R-DRE-173736':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Alternative complement activation"""]),
    'R-GGA-173736':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Alternative complement activation"""]),
    'R-MMU-173736':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Alternative complement activation"""]),
    'R-RNO-173736':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Alternative complement activation"""]),
    'R-XTR-173736':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Alternative complement activation"""]),
    'R-HSA-174048':Nto._make([date(2005,  4, 11), '....P..', 'BC', """APC/C:Cdc20 mediated degradation of Cyclin B"""]),
    'R-BTA-174048':Nto._make([date(2019,  3, 20), '...I...', 'BC', """APC/C:Cdc20 mediated degradation of Cyclin B"""]),
    'R-CFA-174048':Nto._make([date(2019,  3, 20), '...I...', 'BC', """APC/C:Cdc20 mediated degradation of Cyclin B"""]),
    'R-DDI-174048':Nto._make([date(2019,  3, 20), '...I...', 'BC', """APC/C:Cdc20 mediated degradation of Cyclin B"""]),
    'R-DME-174048':Nto._make([date(2019,  3, 20), '...I...', 'BC', """APC/C:Cdc20 mediated degradation of Cyclin B"""]),
    'R-DRE-174048':Nto._make([date(2019,  3, 20), '...I...', 'BC', """APC/C:Cdc20 mediated degradation of Cyclin B"""]),
    'R-GGA-174048':Nto._make([date(2019,  3, 20), '...I...', 'BC', """APC/C:Cdc20 mediated degradation of Cyclin B"""]),
    'R-MMU-174048':Nto._make([date(2019,  3, 20), '...I...', 'BC', """APC/C:Cdc20 mediated degradation of Cyclin B"""]),
    'R-RNO-174048':Nto._make([date(2019,  3, 20), '...I...', 'BC', """APC/C:Cdc20 mediated degradation of Cyclin B"""]),
    'R-SSC-174048':Nto._make([date(2019,  3, 20), '...I...', 'BC', """APC/C:Cdc20 mediated degradation of Cyclin B"""]),
    'R-XTR-174048':Nto._make([date(2019,  3, 20), '...I...', 'BC', """APC/C:Cdc20 mediated degradation of Cyclin B"""]),
    'R-HSA-174084':Nto._make([date(2005,  4, 11), '....P..', '.C', """Autodegradation of Cdh1 by Cdh1:APC/C"""]),
    'R-BTA-174084':Nto._make([date(2019,  3, 20), '...I...', '.C', """Autodegradation of Cdh1 by Cdh1:APC/C"""]),
    'R-CFA-174084':Nto._make([date(2019,  3, 20), '...I...', '.C', """Autodegradation of Cdh1 by Cdh1:APC/C"""]),
    'R-DDI-174084':Nto._make([date(2019,  3, 20), '...I...', '.C', """Autodegradation of Cdh1 by Cdh1:APC/C"""]),
    'R-DME-174084':Nto._make([date(2019,  3, 20), '...I...', '.C', """Autodegradation of Cdh1 by Cdh1:APC/C"""]),
    'R-DRE-174084':Nto._make([date(2019,  3, 20), '...I...', '.C', """Autodegradation of Cdh1 by Cdh1:APC/C"""]),
    'R-GGA-174084':Nto._make([date(2019,  3, 20), '...I...', '.C', """Autodegradation of Cdh1 by Cdh1:APC/C"""]),
    'R-MMU-174084':Nto._make([date(2019,  3, 20), '...I...', '.C', """Autodegradation of Cdh1 by Cdh1:APC/C"""]),
    'R-RNO-174084':Nto._make([date(2019,  3, 20), '...I...', '.C', """Autodegradation of Cdh1 by Cdh1:APC/C"""]),
    'R-SSC-174084':Nto._make([date(2019,  3, 20), '...I...', '.C', """Autodegradation of Cdh1 by Cdh1:APC/C"""]),
    'R-XTR-174084':Nto._make([date(2019,  3, 20), '...I...', '.C', """Autodegradation of Cdh1 by Cdh1:APC/C"""]),
    'R-HSA-174113':Nto._make([date(2005,  9, 26), '....P..', 'BC', """SCF-beta-TrCP mediated degradation of Emi1"""]),
    'R-DDI-174113':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SCF-beta-TrCP mediated degradation of Emi1"""]),
    'R-DRE-174113':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SCF-beta-TrCP mediated degradation of Emi1"""]),
    'R-HSA-174143':Nto._make([date(2006,  4, 24), '....P..', 'B.', """APC/C-mediated degradation of cell cycle proteins"""]),
    'R-BTA-174143':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C-mediated degradation of cell cycle proteins"""]),
    'R-CEL-174143':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C-mediated degradation of cell cycle proteins"""]),
    'R-CFA-174143':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C-mediated degradation of cell cycle proteins"""]),
    'R-DDI-174143':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C-mediated degradation of cell cycle proteins"""]),
    'R-DME-174143':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C-mediated degradation of cell cycle proteins"""]),
    'R-DRE-174143':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C-mediated degradation of cell cycle proteins"""]),
    'R-GGA-174143':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C-mediated degradation of cell cycle proteins"""]),
    'R-MMU-174143':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C-mediated degradation of cell cycle proteins"""]),
    'R-RNO-174143':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C-mediated degradation of cell cycle proteins"""]),
    'R-SCE-174143':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C-mediated degradation of cell cycle proteins"""]),
    'R-SPO-174143':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C-mediated degradation of cell cycle proteins"""]),
    'R-SSC-174143':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C-mediated degradation of cell cycle proteins"""]),
    'R-XTR-174143':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C-mediated degradation of cell cycle proteins"""]),
    'R-HSA-174154':Nto._make([date(2005,  9, 26), '....P..', 'BC', """APC/C:Cdc20 mediated degradation of Securin"""]),
    'R-BTA-174154':Nto._make([date(2019,  3, 20), '...I...', 'BC', """APC/C:Cdc20 mediated degradation of Securin"""]),
    'R-CFA-174154':Nto._make([date(2019,  3, 20), '...I...', 'BC', """APC/C:Cdc20 mediated degradation of Securin"""]),
    'R-DDI-174154':Nto._make([date(2019,  3, 20), '...I...', 'BC', """APC/C:Cdc20 mediated degradation of Securin"""]),
    'R-DME-174154':Nto._make([date(2019,  3, 20), '...I...', 'BC', """APC/C:Cdc20 mediated degradation of Securin"""]),
    'R-DRE-174154':Nto._make([date(2019,  3, 20), '...I...', 'BC', """APC/C:Cdc20 mediated degradation of Securin"""]),
    'R-GGA-174154':Nto._make([date(2019,  3, 20), '...I...', 'BC', """APC/C:Cdc20 mediated degradation of Securin"""]),
    'R-MMU-174154':Nto._make([date(2019,  3, 20), '...I...', 'BC', """APC/C:Cdc20 mediated degradation of Securin"""]),
    'R-RNO-174154':Nto._make([date(2019,  3, 20), '...I...', 'BC', """APC/C:Cdc20 mediated degradation of Securin"""]),
    'R-SPO-174154':Nto._make([date(2019,  3, 20), '...I...', 'BC', """APC/C:Cdc20 mediated degradation of Securin"""]),
    'R-SSC-174154':Nto._make([date(2019,  3, 20), '...I...', 'BC', """APC/C:Cdc20 mediated degradation of Securin"""]),
    'R-XTR-174154':Nto._make([date(2019,  3, 20), '...I...', 'BC', """APC/C:Cdc20 mediated degradation of Securin"""]),
    'R-HSA-174178':Nto._make([date(2006,  4, 24), '....P..', 'B.', """APC/C:Cdh1 mediated degradation of Cdc20 and other APC/C:Cdh1 targeted proteins in late mitosis/early G1"""]),
    'R-BTA-174178':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C:Cdh1 mediated degradation of Cdc20 and other APC/C:Cdh1 targeted proteins in late mitosis/early G1"""]),
    'R-CFA-174178':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C:Cdh1 mediated degradation of Cdc20 and other APC/C:Cdh1 targeted proteins in late mitosis/early G1"""]),
    'R-DDI-174178':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C:Cdh1 mediated degradation of Cdc20 and other APC/C:Cdh1 targeted proteins in late mitosis/early G1"""]),
    'R-DME-174178':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C:Cdh1 mediated degradation of Cdc20 and other APC/C:Cdh1 targeted proteins in late mitosis/early G1"""]),
    'R-DRE-174178':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C:Cdh1 mediated degradation of Cdc20 and other APC/C:Cdh1 targeted proteins in late mitosis/early G1"""]),
    'R-GGA-174178':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C:Cdh1 mediated degradation of Cdc20 and other APC/C:Cdh1 targeted proteins in late mitosis/early G1"""]),
    'R-MMU-174178':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C:Cdh1 mediated degradation of Cdc20 and other APC/C:Cdh1 targeted proteins in late mitosis/early G1"""]),
    'R-RNO-174178':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C:Cdh1 mediated degradation of Cdc20 and other APC/C:Cdh1 targeted proteins in late mitosis/early G1"""]),
    'R-SPO-174178':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C:Cdh1 mediated degradation of Cdc20 and other APC/C:Cdh1 targeted proteins in late mitosis/early G1"""]),
    'R-SSC-174178':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C:Cdh1 mediated degradation of Cdc20 and other APC/C:Cdh1 targeted proteins in late mitosis/early G1"""]),
    'R-XTR-174178':Nto._make([date(2019,  3, 20), '...I...', 'B.', """APC/C:Cdh1 mediated degradation of Cdc20 and other APC/C:Cdh1 targeted proteins in late mitosis/early G1"""]),
    'R-HSA-174184':Nto._make([date(2005,  4, 11), '....P..', 'BC', """Cdc20:Phospho-APC/C mediated degradation of Cyclin A"""]),
    'R-BTA-174184':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cdc20:Phospho-APC/C mediated degradation of Cyclin A"""]),
    'R-CEL-174184':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cdc20:Phospho-APC/C mediated degradation of Cyclin A"""]),
    'R-CFA-174184':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cdc20:Phospho-APC/C mediated degradation of Cyclin A"""]),
    'R-DDI-174184':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cdc20:Phospho-APC/C mediated degradation of Cyclin A"""]),
    'R-DME-174184':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cdc20:Phospho-APC/C mediated degradation of Cyclin A"""]),
    'R-DRE-174184':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cdc20:Phospho-APC/C mediated degradation of Cyclin A"""]),
    'R-GGA-174184':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cdc20:Phospho-APC/C mediated degradation of Cyclin A"""]),
    'R-MMU-174184':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cdc20:Phospho-APC/C mediated degradation of Cyclin A"""]),
    'R-RNO-174184':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cdc20:Phospho-APC/C mediated degradation of Cyclin A"""]),
    'R-SSC-174184':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cdc20:Phospho-APC/C mediated degradation of Cyclin A"""]),
    'R-XTR-174184':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cdc20:Phospho-APC/C mediated degradation of Cyclin A"""]),
    'R-HSA-174362':Nto._make([date(2006,  4, 24), '....P..', 'B.', """Transport and synthesis of PAPS"""]),
    'R-BTA-174362':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport and synthesis of PAPS"""]),
    'R-CEL-174362':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport and synthesis of PAPS"""]),
    'R-CFA-174362':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport and synthesis of PAPS"""]),
    'R-DDI-174362':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport and synthesis of PAPS"""]),
    'R-DME-174362':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport and synthesis of PAPS"""]),
    'R-DRE-174362':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport and synthesis of PAPS"""]),
    'R-GGA-174362':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport and synthesis of PAPS"""]),
    'R-MMU-174362':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport and synthesis of PAPS"""]),
    'R-RNO-174362':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport and synthesis of PAPS"""]),
    'R-SCE-174362':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport and synthesis of PAPS"""]),
    'R-SPO-174362':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport and synthesis of PAPS"""]),
    'R-SSC-174362':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport and synthesis of PAPS"""]),
    'R-XTR-174362':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport and synthesis of PAPS"""]),
    'R-HSA-174403':Nto._make([date(2008,  6, 30), '....P..', 'B.', """Glutathione synthesis and recycling"""]),
    'R-BTA-174403':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione synthesis and recycling"""]),
    'R-CEL-174403':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione synthesis and recycling"""]),
    'R-CFA-174403':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione synthesis and recycling"""]),
    'R-DDI-174403':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione synthesis and recycling"""]),
    'R-DME-174403':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione synthesis and recycling"""]),
    'R-DRE-174403':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione synthesis and recycling"""]),
    'R-GGA-174403':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione synthesis and recycling"""]),
    'R-MMU-174403':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione synthesis and recycling"""]),
    'R-PFA-174403':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione synthesis and recycling"""]),
    'R-RNO-174403':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione synthesis and recycling"""]),
    'R-SCE-174403':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione synthesis and recycling"""]),
    'R-SPO-174403':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione synthesis and recycling"""]),
    'R-SSC-174403':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione synthesis and recycling"""]),
    'R-XTR-174403':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutathione synthesis and recycling"""]),
    'R-HSA-174411':Nto._make([date(2006,  8,  2), '....P..', 'BC', """Polymerase switching on the C-strand of the telomere"""]),
    'R-BTA-174411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polymerase switching on the C-strand of the telomere"""]),
    'R-CEL-174411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polymerase switching on the C-strand of the telomere"""]),
    'R-CFA-174411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polymerase switching on the C-strand of the telomere"""]),
    'R-DDI-174411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polymerase switching on the C-strand of the telomere"""]),
    'R-DME-174411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polymerase switching on the C-strand of the telomere"""]),
    'R-DRE-174411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polymerase switching on the C-strand of the telomere"""]),
    'R-GGA-174411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polymerase switching on the C-strand of the telomere"""]),
    'R-MMU-174411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polymerase switching on the C-strand of the telomere"""]),
    'R-PFA-174411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polymerase switching on the C-strand of the telomere"""]),
    'R-RNO-174411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polymerase switching on the C-strand of the telomere"""]),
    'R-SCE-174411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polymerase switching on the C-strand of the telomere"""]),
    'R-SPO-174411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polymerase switching on the C-strand of the telomere"""]),
    'R-SSC-174411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polymerase switching on the C-strand of the telomere"""]),
    'R-XTR-174411':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Polymerase switching on the C-strand of the telomere"""]),
    'R-HSA-174414':Nto._make([date(2006,  8,  2), '....P..', 'BC', """Processive synthesis on the C-strand of the telomere"""]),
    'R-BTA-174414':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processive synthesis on the C-strand of the telomere"""]),
    'R-CEL-174414':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processive synthesis on the C-strand of the telomere"""]),
    'R-CFA-174414':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processive synthesis on the C-strand of the telomere"""]),
    'R-DDI-174414':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processive synthesis on the C-strand of the telomere"""]),
    'R-DME-174414':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processive synthesis on the C-strand of the telomere"""]),
    'R-DRE-174414':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processive synthesis on the C-strand of the telomere"""]),
    'R-MMU-174414':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processive synthesis on the C-strand of the telomere"""]),
    'R-PFA-174414':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processive synthesis on the C-strand of the telomere"""]),
    'R-RNO-174414':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processive synthesis on the C-strand of the telomere"""]),
    'R-SPO-174414':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processive synthesis on the C-strand of the telomere"""]),
    'R-SSC-174414':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processive synthesis on the C-strand of the telomere"""]),
    'R-XTR-174414':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processive synthesis on the C-strand of the telomere"""]),
    'R-HSA-174417':Nto._make([date(2006,  8,  2), '....P..', 'BC', """Telomere C-strand (Lagging Strand) Synthesis"""]),
    'R-BTA-174417':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand (Lagging Strand) Synthesis"""]),
    'R-CEL-174417':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand (Lagging Strand) Synthesis"""]),
    'R-CFA-174417':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand (Lagging Strand) Synthesis"""]),
    'R-DDI-174417':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand (Lagging Strand) Synthesis"""]),
    'R-DME-174417':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand (Lagging Strand) Synthesis"""]),
    'R-DRE-174417':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand (Lagging Strand) Synthesis"""]),
    'R-GGA-174417':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand (Lagging Strand) Synthesis"""]),
    'R-MMU-174417':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand (Lagging Strand) Synthesis"""]),
    'R-PFA-174417':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand (Lagging Strand) Synthesis"""]),
    'R-RNO-174417':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand (Lagging Strand) Synthesis"""]),
    'R-SCE-174417':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand (Lagging Strand) Synthesis"""]),
    'R-SPO-174417':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand (Lagging Strand) Synthesis"""]),
    'R-SSC-174417':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand (Lagging Strand) Synthesis"""]),
    'R-XTR-174417':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand (Lagging Strand) Synthesis"""]),
    'R-HSA-174430':Nto._make([date(2006,  8,  2), '....P..', 'BC', """Telomere C-strand synthesis initiation"""]),
    'R-BTA-174430':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand synthesis initiation"""]),
    'R-CEL-174430':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand synthesis initiation"""]),
    'R-CFA-174430':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand synthesis initiation"""]),
    'R-DDI-174430':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand synthesis initiation"""]),
    'R-DME-174430':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand synthesis initiation"""]),
    'R-DRE-174430':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand synthesis initiation"""]),
    'R-GGA-174430':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand synthesis initiation"""]),
    'R-MMU-174430':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand synthesis initiation"""]),
    'R-PFA-174430':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand synthesis initiation"""]),
    'R-RNO-174430':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand synthesis initiation"""]),
    'R-SCE-174430':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand synthesis initiation"""]),
    'R-SPO-174430':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand synthesis initiation"""]),
    'R-SSC-174430':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand synthesis initiation"""]),
    'R-XTR-174430':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Telomere C-strand synthesis initiation"""]),
    'R-HSA-174437':Nto._make([date(2006,  8,  2), '....P..', 'BC', """Removal of the Flap Intermediate from the C-strand"""]),
    'R-BTA-174437':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Removal of the Flap Intermediate from the C-strand"""]),
    'R-CEL-174437':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Removal of the Flap Intermediate from the C-strand"""]),
    'R-CFA-174437':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Removal of the Flap Intermediate from the C-strand"""]),
    'R-DDI-174437':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Removal of the Flap Intermediate from the C-strand"""]),
    'R-DME-174437':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Removal of the Flap Intermediate from the C-strand"""]),
    'R-DRE-174437':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Removal of the Flap Intermediate from the C-strand"""]),
    'R-MMU-174437':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Removal of the Flap Intermediate from the C-strand"""]),
    'R-PFA-174437':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Removal of the Flap Intermediate from the C-strand"""]),
    'R-RNO-174437':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Removal of the Flap Intermediate from the C-strand"""]),
    'R-SPO-174437':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Removal of the Flap Intermediate from the C-strand"""]),
    'R-SSC-174437':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Removal of the Flap Intermediate from the C-strand"""]),
    'R-XTR-174437':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Removal of the Flap Intermediate from the C-strand"""]),
    'R-HSA-174490':Nto._make([date(2005,  9, 26), '.D..P..', 'B.', """Membrane binding and targetting of GAG proteins"""]),
    'R-HSA-174495':Nto._make([date(2011, 12,  6), '.D...B.', 'B.', """Synthesis And Processing Of GAG, GAGPOL Polyproteins"""]),
    'R-HSA-174577':Nto._make([date(2005,  9, 26), '....P..', 'BC', """Activation of C3 and C5"""]),
    'R-CFA-174577':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of C3 and C5"""]),
    'R-DRE-174577':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of C3 and C5"""]),
    'R-GGA-174577':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of C3 and C5"""]),
    'R-MMU-174577':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of C3 and C5"""]),
    'R-RNO-174577':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of C3 and C5"""]),
    'R-HSA-174824':Nto._make([date(2005,  6, 13), '..f....', 'B.', """Plasma lipoprotein assembly, remodeling, and clearance"""]),
    'R-BTA-174824':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Plasma lipoprotein assembly, remodeling, and clearance"""]),
    'R-CEL-174824':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Plasma lipoprotein assembly, remodeling, and clearance"""]),
    'R-CFA-174824':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Plasma lipoprotein assembly, remodeling, and clearance"""]),
    'R-DDI-174824':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Plasma lipoprotein assembly, remodeling, and clearance"""]),
    'R-DME-174824':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Plasma lipoprotein assembly, remodeling, and clearance"""]),
    'R-DRE-174824':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Plasma lipoprotein assembly, remodeling, and clearance"""]),
    'R-GGA-174824':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Plasma lipoprotein assembly, remodeling, and clearance"""]),
    'R-MMU-174824':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Plasma lipoprotein assembly, remodeling, and clearance"""]),
    'R-PFA-174824':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Plasma lipoprotein assembly, remodeling, and clearance"""]),
    'R-RNO-174824':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Plasma lipoprotein assembly, remodeling, and clearance"""]),
    'R-SCE-174824':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Plasma lipoprotein assembly, remodeling, and clearance"""]),
    'R-SPO-174824':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Plasma lipoprotein assembly, remodeling, and clearance"""]),
    'R-SSC-174824':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Plasma lipoprotein assembly, remodeling, and clearance"""]),
    'R-XTR-174824':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Plasma lipoprotein assembly, remodeling, and clearance"""]),
    'R-HSA-175474':Nto._make([date(2013,  6, 11), '.D...B.', 'BC', """Assembly Of The HIV Virion"""]),
    'R-HSA-175567':Nto._make([date(2006, 11, 14), '.D..PB.', 'BC', """Integration of viral DNA into host genomic DNA"""]),
    'R-HSA-176033':Nto._make([date(2005,  4, 11), '.D..P..', '..', """Interactions of Vpr with host cellular proteins"""]),
    'R-HSA-176034':Nto._make([date(2005,  4, 11), '.D..P..', '.C', """Interactions of Tat with host cellular proteins"""]),
    'R-HSA-176187':Nto._make([date(2006,  4, 24), '....P..', 'BC', """Activation of ATR in response to replication stress"""]),
    'R-BTA-176187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of ATR in response to replication stress"""]),
    'R-CEL-176187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of ATR in response to replication stress"""]),
    'R-CFA-176187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of ATR in response to replication stress"""]),
    'R-DDI-176187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of ATR in response to replication stress"""]),
    'R-DME-176187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of ATR in response to replication stress"""]),
    'R-DRE-176187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of ATR in response to replication stress"""]),
    'R-GGA-176187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of ATR in response to replication stress"""]),
    'R-MMU-176187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of ATR in response to replication stress"""]),
    'R-PFA-176187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of ATR in response to replication stress"""]),
    'R-RNO-176187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of ATR in response to replication stress"""]),
    'R-SCE-176187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of ATR in response to replication stress"""]),
    'R-SPO-176187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of ATR in response to replication stress"""]),
    'R-SSC-176187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of ATR in response to replication stress"""]),
    'R-XTR-176187':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of ATR in response to replication stress"""]),
    'R-HSA-176407':Nto._make([date(2006,  4, 24), '....P..', '..', """Conversion from APC/C:Cdc20 to APC/C:Cdh1 in late anaphase"""]),
    'R-BTA-176407':Nto._make([date(2019,  3, 20), '...I...', '..', """Conversion from APC/C:Cdc20 to APC/C:Cdh1 in late anaphase"""]),
    'R-CEL-176407':Nto._make([date(2019,  3, 20), '...I...', '..', """Conversion from APC/C:Cdc20 to APC/C:Cdh1 in late anaphase"""]),
    'R-CFA-176407':Nto._make([date(2019,  3, 20), '...I...', '..', """Conversion from APC/C:Cdc20 to APC/C:Cdh1 in late anaphase"""]),
    'R-DDI-176407':Nto._make([date(2019,  3, 20), '...I...', '..', """Conversion from APC/C:Cdc20 to APC/C:Cdh1 in late anaphase"""]),
    'R-DME-176407':Nto._make([date(2019,  3, 20), '...I...', '..', """Conversion from APC/C:Cdc20 to APC/C:Cdh1 in late anaphase"""]),
    'R-DRE-176407':Nto._make([date(2019,  3, 20), '...I...', '..', """Conversion from APC/C:Cdc20 to APC/C:Cdh1 in late anaphase"""]),
    'R-GGA-176407':Nto._make([date(2019,  3, 20), '...I...', '..', """Conversion from APC/C:Cdc20 to APC/C:Cdh1 in late anaphase"""]),
    'R-MMU-176407':Nto._make([date(2019,  3, 20), '...I...', '..', """Conversion from APC/C:Cdc20 to APC/C:Cdh1 in late anaphase"""]),
    'R-RNO-176407':Nto._make([date(2019,  3, 20), '...I...', '..', """Conversion from APC/C:Cdc20 to APC/C:Cdh1 in late anaphase"""]),
    'R-SCE-176407':Nto._make([date(2019,  3, 20), '...I...', '..', """Conversion from APC/C:Cdc20 to APC/C:Cdh1 in late anaphase"""]),
    'R-SPO-176407':Nto._make([date(2019,  3, 20), '...I...', '..', """Conversion from APC/C:Cdc20 to APC/C:Cdh1 in late anaphase"""]),
    'R-SSC-176407':Nto._make([date(2019,  3, 20), '...I...', '..', """Conversion from APC/C:Cdc20 to APC/C:Cdh1 in late anaphase"""]),
    'R-XTR-176407':Nto._make([date(2019,  3, 20), '...I...', '..', """Conversion from APC/C:Cdc20 to APC/C:Cdh1 in late anaphase"""]),
    'R-HSA-176408':Nto._make([date(2006,  4, 24), '....P..', '..', """Regulation of APC/C activators between G1/S and early anaphase"""]),
    'R-BTA-176408':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of APC/C activators between G1/S and early anaphase"""]),
    'R-CEL-176408':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of APC/C activators between G1/S and early anaphase"""]),
    'R-CFA-176408':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of APC/C activators between G1/S and early anaphase"""]),
    'R-DDI-176408':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of APC/C activators between G1/S and early anaphase"""]),
    'R-DME-176408':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of APC/C activators between G1/S and early anaphase"""]),
    'R-DRE-176408':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of APC/C activators between G1/S and early anaphase"""]),
    'R-GGA-176408':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of APC/C activators between G1/S and early anaphase"""]),
    'R-MMU-176408':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of APC/C activators between G1/S and early anaphase"""]),
    'R-RNO-176408':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of APC/C activators between G1/S and early anaphase"""]),
    'R-SCE-176408':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of APC/C activators between G1/S and early anaphase"""]),
    'R-SPO-176408':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of APC/C activators between G1/S and early anaphase"""]),
    'R-SSC-176408':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of APC/C activators between G1/S and early anaphase"""]),
    'R-XTR-176408':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of APC/C activators between G1/S and early anaphase"""]),
    'R-HSA-176409':Nto._make([date(2006,  4, 24), '....P..', '..', """APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-BTA-176409':Nto._make([date(2019,  3, 20), '...I...', '..', """APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-CEL-176409':Nto._make([date(2019,  3, 20), '...I...', '..', """APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-CFA-176409':Nto._make([date(2019,  3, 20), '...I...', '..', """APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-DDI-176409':Nto._make([date(2019,  3, 20), '...I...', '..', """APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-DME-176409':Nto._make([date(2019,  3, 20), '...I...', '..', """APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-DRE-176409':Nto._make([date(2019,  3, 20), '...I...', '..', """APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-GGA-176409':Nto._make([date(2019,  3, 20), '...I...', '..', """APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-MMU-176409':Nto._make([date(2019,  3, 20), '...I...', '..', """APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-RNO-176409':Nto._make([date(2019,  3, 20), '...I...', '..', """APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-SCE-176409':Nto._make([date(2019,  3, 20), '...I...', '..', """APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-SPO-176409':Nto._make([date(2019,  3, 20), '...I...', '..', """APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-SSC-176409':Nto._make([date(2019,  3, 20), '...I...', '..', """APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-XTR-176409':Nto._make([date(2019,  3, 20), '...I...', '..', """APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-HSA-176412':Nto._make([date(2006,  4, 24), '....P..', 'BC', """Phosphorylation of the APC/C"""]),
    'R-BTA-176412':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Phosphorylation of the APC/C"""]),
    'R-CFA-176412':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Phosphorylation of the APC/C"""]),
    'R-DDI-176412':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Phosphorylation of the APC/C"""]),
    'R-DME-176412':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Phosphorylation of the APC/C"""]),
    'R-DRE-176412':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Phosphorylation of the APC/C"""]),
    'R-GGA-176412':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Phosphorylation of the APC/C"""]),
    'R-MMU-176412':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Phosphorylation of the APC/C"""]),
    'R-RNO-176412':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Phosphorylation of the APC/C"""]),
    'R-SPO-176412':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Phosphorylation of the APC/C"""]),
    'R-SSC-176412':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Phosphorylation of the APC/C"""]),
    'R-XTR-176412':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Phosphorylation of the APC/C"""]),
    'R-HSA-176417':Nto._make([date(2006,  4, 24), '.......', '.C', """Phosphorylation of Emi1"""]),
    'R-BTA-176417':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of Emi1"""]),
    'R-CFA-176417':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of Emi1"""]),
    'R-DME-176417':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of Emi1"""]),
    'R-DRE-176417':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of Emi1"""]),
    'R-GGA-176417':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of Emi1"""]),
    'R-MMU-176417':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of Emi1"""]),
    'R-RNO-176417':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of Emi1"""]),
    'R-SSC-176417':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of Emi1"""]),
    'R-XTR-176417':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of Emi1"""]),
    'R-HSA-176814':Nto._make([date(2005,  4, 11), '....P..', '..', """Activation of APC/C and APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-BTA-176814':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of APC/C and APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-CEL-176814':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of APC/C and APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-CFA-176814':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of APC/C and APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-DDI-176814':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of APC/C and APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-DME-176814':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of APC/C and APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-DRE-176814':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of APC/C and APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-GGA-176814':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of APC/C and APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-MMU-176814':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of APC/C and APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-RNO-176814':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of APC/C and APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-SCE-176814':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of APC/C and APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-SPO-176814':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of APC/C and APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-SSC-176814':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of APC/C and APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-XTR-176814':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of APC/C and APC/C:Cdc20 mediated degradation of mitotic proteins"""]),
    'R-HSA-176974':Nto._make([date(2005,  9, 26), '....P..', '.C', """Unwinding of DNA"""]),
    'R-BTA-176974':Nto._make([date(2019,  3, 20), '...I...', '.C', """Unwinding of DNA"""]),
    'R-CEL-176974':Nto._make([date(2019,  3, 20), '...I...', '.C', """Unwinding of DNA"""]),
    'R-CFA-176974':Nto._make([date(2019,  3, 20), '...I...', '.C', """Unwinding of DNA"""]),
    'R-DDI-176974':Nto._make([date(2019,  3, 20), '...I...', '.C', """Unwinding of DNA"""]),
    'R-DME-176974':Nto._make([date(2019,  3, 20), '...I...', '.C', """Unwinding of DNA"""]),
    'R-DRE-176974':Nto._make([date(2019,  3, 20), '...I...', '.C', """Unwinding of DNA"""]),
    'R-GGA-176974':Nto._make([date(2019,  3, 20), '...I...', '.C', """Unwinding of DNA"""]),
    'R-MMU-176974':Nto._make([date(2019,  3, 20), '...I...', '.C', """Unwinding of DNA"""]),
    'R-RNO-176974':Nto._make([date(2019,  3, 20), '...I...', '.C', """Unwinding of DNA"""]),
    'R-SCE-176974':Nto._make([date(2019,  3, 20), '...I...', '.C', """Unwinding of DNA"""]),
    'R-SPO-176974':Nto._make([date(2019,  3, 20), '...I...', '.C', """Unwinding of DNA"""]),
    'R-SSC-176974':Nto._make([date(2019,  3, 20), '...I...', '.C', """Unwinding of DNA"""]),
    'R-XTR-176974':Nto._make([date(2019,  3, 20), '...I...', '.C', """Unwinding of DNA"""]),
    'R-HSA-177128':Nto._make([date(2008,  6, 30), '....P..', 'BC', """Conjugation of salicylate with glycine"""]),
    'R-BTA-177128':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of salicylate with glycine"""]),
    'R-CEL-177128':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of salicylate with glycine"""]),
    'R-CFA-177128':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of salicylate with glycine"""]),
    'R-DDI-177128':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of salicylate with glycine"""]),
    'R-DRE-177128':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of salicylate with glycine"""]),
    'R-GGA-177128':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of salicylate with glycine"""]),
    'R-MMU-177128':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of salicylate with glycine"""]),
    'R-RNO-177128':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of salicylate with glycine"""]),
    'R-SSC-177128':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of salicylate with glycine"""]),
    'R-XTR-177128':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of salicylate with glycine"""]),
    'R-HSA-177135':Nto._make([date(2008,  6, 30), '.....B.', 'BC', """Conjugation of benzoate with glycine"""]),
    'R-BTA-177135':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of benzoate with glycine"""]),
    'R-CEL-177135':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of benzoate with glycine"""]),
    'R-CFA-177135':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of benzoate with glycine"""]),
    'R-DDI-177135':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of benzoate with glycine"""]),
    'R-DRE-177135':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of benzoate with glycine"""]),
    'R-GGA-177135':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of benzoate with glycine"""]),
    'R-MMU-177135':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of benzoate with glycine"""]),
    'R-RNO-177135':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of benzoate with glycine"""]),
    'R-SSC-177135':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of benzoate with glycine"""]),
    'R-XTR-177135':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of benzoate with glycine"""]),
    'R-HSA-177162':Nto._make([date(2008,  6, 30), '....PB.', 'BC', """Conjugation of phenylacetate with glutamine"""]),
    'R-BTA-177162':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of phenylacetate with glutamine"""]),
    'R-CFA-177162':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of phenylacetate with glutamine"""]),
    'R-DDI-177162':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of phenylacetate with glutamine"""]),
    'R-DRE-177162':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of phenylacetate with glutamine"""]),
    'R-MMU-177162':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of phenylacetate with glutamine"""]),
    'R-RNO-177162':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of phenylacetate with glutamine"""]),
    'R-SSC-177162':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of phenylacetate with glutamine"""]),
    'R-XTR-177162':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Conjugation of phenylacetate with glutamine"""]),
    'R-HSA-177243':Nto._make([date(2006,  4, 24), '.D..P..', '.C', """Interactions of Rev with host cellular proteins"""]),
    'R-HSA-177504':Nto._make([date(2007, 12, 11), '.......', '..', """Retrograde neurotrophin signalling"""]),
    'R-BTA-177504':Nto._make([date(2019,  3, 20), '...I...', '..', """Retrograde neurotrophin signalling"""]),
    'R-CFA-177504':Nto._make([date(2019,  3, 20), '...I...', '..', """Retrograde neurotrophin signalling"""]),
    'R-DME-177504':Nto._make([date(2019,  3, 20), '...I...', '..', """Retrograde neurotrophin signalling"""]),
    'R-GGA-177504':Nto._make([date(2019,  3, 20), '...I...', '..', """Retrograde neurotrophin signalling"""]),
    'R-MMU-177504':Nto._make([date(2019,  3, 20), '...I...', '..', """Retrograde neurotrophin signalling"""]),
    'R-RNO-177504':Nto._make([date(2019,  3, 20), '...I...', '..', """Retrograde neurotrophin signalling"""]),
    'R-SSC-177504':Nto._make([date(2019,  3, 20), '...I...', '..', """Retrograde neurotrophin signalling"""]),
    'R-XTR-177504':Nto._make([date(2019,  3, 20), '...I...', '..', """Retrograde neurotrophin signalling"""]),
    'R-HSA-177539':Nto._make([date(2006, 11, 14), '.D..P..', '.C', """Autointegration results in viral DNA circles"""]),
    'R-HSA-177929':Nto._make([date(2007,  2, 20), '..F.P..', 'B.', """Signaling by EGFR"""]),
    'R-BTA-177929':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by EGFR"""]),
    'R-CEL-177929':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by EGFR"""]),
    'R-CFA-177929':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by EGFR"""]),
    'R-DME-177929':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by EGFR"""]),
    'R-DRE-177929':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by EGFR"""]),
    'R-GGA-177929':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by EGFR"""]),
    'R-MMU-177929':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by EGFR"""]),
    'R-RNO-177929':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by EGFR"""]),
    'R-SSC-177929':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by EGFR"""]),
    'R-XTR-177929':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by EGFR"""]),
    'R-HSA-179409':Nto._make([date(2005,  6, 13), '....P..', '.C', """APC-Cdc20 mediated degradation of Nek2A"""]),
    'R-BTA-179409':Nto._make([date(2019,  3, 20), '...I...', '.C', """APC-Cdc20 mediated degradation of Nek2A"""]),
    'R-CEL-179409':Nto._make([date(2019,  3, 20), '...I...', '.C', """APC-Cdc20 mediated degradation of Nek2A"""]),
    'R-CFA-179409':Nto._make([date(2019,  3, 20), '...I...', '.C', """APC-Cdc20 mediated degradation of Nek2A"""]),
    'R-DDI-179409':Nto._make([date(2019,  3, 20), '...I...', '.C', """APC-Cdc20 mediated degradation of Nek2A"""]),
    'R-DME-179409':Nto._make([date(2019,  3, 20), '...I...', '.C', """APC-Cdc20 mediated degradation of Nek2A"""]),
    'R-DRE-179409':Nto._make([date(2019,  3, 20), '...I...', '.C', """APC-Cdc20 mediated degradation of Nek2A"""]),
    'R-GGA-179409':Nto._make([date(2019,  3, 20), '...I...', '.C', """APC-Cdc20 mediated degradation of Nek2A"""]),
    'R-MMU-179409':Nto._make([date(2019,  3, 20), '...I...', '.C', """APC-Cdc20 mediated degradation of Nek2A"""]),
    'R-RNO-179409':Nto._make([date(2019,  3, 20), '...I...', '.C', """APC-Cdc20 mediated degradation of Nek2A"""]),
    'R-SCE-179409':Nto._make([date(2019,  3, 20), '...I...', '.C', """APC-Cdc20 mediated degradation of Nek2A"""]),
    'R-SPO-179409':Nto._make([date(2019,  3, 20), '...I...', '.C', """APC-Cdc20 mediated degradation of Nek2A"""]),
    'R-SSC-179409':Nto._make([date(2019,  3, 20), '...I...', '.C', """APC-Cdc20 mediated degradation of Nek2A"""]),
    'R-XTR-179409':Nto._make([date(2019,  3, 20), '...I...', '.C', """APC-Cdc20 mediated degradation of Nek2A"""]),
    'R-HSA-179419':Nto._make([date(2014, 12, 11), '.......', '..', """APC:Cdc20 mediated degradation of cell cycle proteins prior to satisfation of the cell cycle checkpoint"""]),
    'R-BTA-179419':Nto._make([date(2019,  3, 20), '...I...', '..', """APC:Cdc20 mediated degradation of cell cycle proteins prior to satisfation of the cell cycle checkpoint"""]),
    'R-CEL-179419':Nto._make([date(2019,  3, 20), '...I...', '..', """APC:Cdc20 mediated degradation of cell cycle proteins prior to satisfation of the cell cycle checkpoint"""]),
    'R-CFA-179419':Nto._make([date(2019,  3, 20), '...I...', '..', """APC:Cdc20 mediated degradation of cell cycle proteins prior to satisfation of the cell cycle checkpoint"""]),
    'R-DDI-179419':Nto._make([date(2019,  3, 20), '...I...', '..', """APC:Cdc20 mediated degradation of cell cycle proteins prior to satisfation of the cell cycle checkpoint"""]),
    'R-DME-179419':Nto._make([date(2019,  3, 20), '...I...', '..', """APC:Cdc20 mediated degradation of cell cycle proteins prior to satisfation of the cell cycle checkpoint"""]),
    'R-DRE-179419':Nto._make([date(2019,  3, 20), '...I...', '..', """APC:Cdc20 mediated degradation of cell cycle proteins prior to satisfation of the cell cycle checkpoint"""]),
    'R-GGA-179419':Nto._make([date(2019,  3, 20), '...I...', '..', """APC:Cdc20 mediated degradation of cell cycle proteins prior to satisfation of the cell cycle checkpoint"""]),
    'R-MMU-179419':Nto._make([date(2019,  3, 20), '...I...', '..', """APC:Cdc20 mediated degradation of cell cycle proteins prior to satisfation of the cell cycle checkpoint"""]),
    'R-RNO-179419':Nto._make([date(2019,  3, 20), '...I...', '..', """APC:Cdc20 mediated degradation of cell cycle proteins prior to satisfation of the cell cycle checkpoint"""]),
    'R-SCE-179419':Nto._make([date(2019,  3, 20), '...I...', '..', """APC:Cdc20 mediated degradation of cell cycle proteins prior to satisfation of the cell cycle checkpoint"""]),
    'R-SPO-179419':Nto._make([date(2019,  3, 20), '...I...', '..', """APC:Cdc20 mediated degradation of cell cycle proteins prior to satisfation of the cell cycle checkpoint"""]),
    'R-SSC-179419':Nto._make([date(2019,  3, 20), '...I...', '..', """APC:Cdc20 mediated degradation of cell cycle proteins prior to satisfation of the cell cycle checkpoint"""]),
    'R-XTR-179419':Nto._make([date(2019,  3, 20), '...I...', '..', """APC:Cdc20 mediated degradation of cell cycle proteins prior to satisfation of the cell cycle checkpoint"""]),
    'R-HSA-179812':Nto._make([date(2008,  3, 12), '....P..', '..', """GRB2 events in EGFR signaling"""]),
    'R-BTA-179812':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2 events in EGFR signaling"""]),
    'R-CEL-179812':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2 events in EGFR signaling"""]),
    'R-CFA-179812':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2 events in EGFR signaling"""]),
    'R-DME-179812':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2 events in EGFR signaling"""]),
    'R-DRE-179812':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2 events in EGFR signaling"""]),
    'R-GGA-179812':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2 events in EGFR signaling"""]),
    'R-MMU-179812':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2 events in EGFR signaling"""]),
    'R-RNO-179812':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2 events in EGFR signaling"""]),
    'R-SSC-179812':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2 events in EGFR signaling"""]),
    'R-XTR-179812':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2 events in EGFR signaling"""]),
    'R-HSA-180024':Nto._make([date(2008, 12, 17), '....P..', '..', """DARPP-32 events"""]),
    'R-BTA-180024':Nto._make([date(2019,  3, 20), '...I...', '..', """DARPP-32 events"""]),
    'R-CEL-180024':Nto._make([date(2019,  3, 20), '...I...', '..', """DARPP-32 events"""]),
    'R-CFA-180024':Nto._make([date(2019,  3, 20), '...I...', '..', """DARPP-32 events"""]),
    'R-DME-180024':Nto._make([date(2019,  3, 20), '...I...', '..', """DARPP-32 events"""]),
    'R-DRE-180024':Nto._make([date(2019,  3, 20), '...I...', '..', """DARPP-32 events"""]),
    'R-GGA-180024':Nto._make([date(2019,  3, 20), '...I...', '..', """DARPP-32 events"""]),
    'R-MMU-180024':Nto._make([date(2019,  3, 20), '...I...', '..', """DARPP-32 events"""]),
    'R-RNO-180024':Nto._make([date(2019,  3, 20), '...I...', '..', """DARPP-32 events"""]),
    'R-SCE-180024':Nto._make([date(2019,  3, 20), '...I...', '..', """DARPP-32 events"""]),
    'R-SPO-180024':Nto._make([date(2019,  3, 20), '...I...', '..', """DARPP-32 events"""]),
    'R-SSC-180024':Nto._make([date(2019,  3, 20), '...I...', '..', """DARPP-32 events"""]),
    'R-XTR-180024':Nto._make([date(2019,  3, 20), '...I...', '..', """DARPP-32 events"""]),
    'R-HSA-180292':Nto._make([date(2008,  3, 12), '....P..', '..', """GAB1 signalosome"""]),
    'R-BTA-180292':Nto._make([date(2019,  3, 20), '...I...', '..', """GAB1 signalosome"""]),
    'R-CEL-180292':Nto._make([date(2019,  3, 20), '...I...', '..', """GAB1 signalosome"""]),
    'R-CFA-180292':Nto._make([date(2019,  3, 20), '...I...', '..', """GAB1 signalosome"""]),
    'R-DME-180292':Nto._make([date(2019,  3, 20), '...I...', '..', """GAB1 signalosome"""]),
    'R-DRE-180292':Nto._make([date(2019,  3, 20), '...I...', '..', """GAB1 signalosome"""]),
    'R-GGA-180292':Nto._make([date(2019,  3, 20), '...I...', '..', """GAB1 signalosome"""]),
    'R-MMU-180292':Nto._make([date(2019,  3, 20), '...I...', '..', """GAB1 signalosome"""]),
    'R-RNO-180292':Nto._make([date(2019,  3, 20), '...I...', '..', """GAB1 signalosome"""]),
    'R-SSC-180292':Nto._make([date(2019,  3, 20), '...I...', '..', """GAB1 signalosome"""]),
    'R-XTR-180292':Nto._make([date(2019,  3, 20), '...I...', '..', """GAB1 signalosome"""]),
    'R-HSA-180336':Nto._make([date(2008,  3, 12), '....P..', '..', """SHC1 events in EGFR signaling"""]),
    'R-BTA-180336':Nto._make([date(2019,  3, 20), '...I...', '..', """SHC1 events in EGFR signaling"""]),
    'R-CEL-180336':Nto._make([date(2019,  3, 20), '...I...', '..', """SHC1 events in EGFR signaling"""]),
    'R-CFA-180336':Nto._make([date(2019,  3, 20), '...I...', '..', """SHC1 events in EGFR signaling"""]),
    'R-DME-180336':Nto._make([date(2019,  3, 20), '...I...', '..', """SHC1 events in EGFR signaling"""]),
    'R-DRE-180336':Nto._make([date(2019,  3, 20), '...I...', '..', """SHC1 events in EGFR signaling"""]),
    'R-GGA-180336':Nto._make([date(2019,  3, 20), '...I...', '..', """SHC1 events in EGFR signaling"""]),
    'R-MMU-180336':Nto._make([date(2019,  3, 20), '...I...', '..', """SHC1 events in EGFR signaling"""]),
    'R-RNO-180336':Nto._make([date(2019,  3, 20), '...I...', '..', """SHC1 events in EGFR signaling"""]),
    'R-SSC-180336':Nto._make([date(2019,  3, 20), '...I...', '..', """SHC1 events in EGFR signaling"""]),
    'R-XTR-180336':Nto._make([date(2019,  3, 20), '...I...', '..', """SHC1 events in EGFR signaling"""]),
    'R-HSA-180534':Nto._make([date(2006, 11, 14), '.D..P..', '.C', """Vpu mediated degradation of CD4"""]),
    'R-HSA-180585':Nto._make([date(2007,  2, 20), '.D..P..', '.C', """Vif-mediated degradation of APOBEC3G"""]),
    'R-HSA-180689':Nto._make([date(2007,  2, 20), '.D..P..', '..', """APOBEC3G mediated resistance to HIV-1 infection"""]),
    'R-HSA-180746':Nto._make([date(2007,  2, 20), '.D.....', '..', """Nuclear import of Rev protein"""]),
    'R-HSA-180786':Nto._make([date(2006,  8,  2), '....P..', '.C', """Extension of Telomeres"""]),
    'R-BTA-180786':Nto._make([date(2019,  3, 20), '...I...', '.C', """Extension of Telomeres"""]),
    'R-CEL-180786':Nto._make([date(2019,  3, 20), '...I...', '.C', """Extension of Telomeres"""]),
    'R-CFA-180786':Nto._make([date(2019,  3, 20), '...I...', '.C', """Extension of Telomeres"""]),
    'R-DDI-180786':Nto._make([date(2019,  3, 20), '...I...', '.C', """Extension of Telomeres"""]),
    'R-DME-180786':Nto._make([date(2019,  3, 20), '...I...', '.C', """Extension of Telomeres"""]),
    'R-DRE-180786':Nto._make([date(2019,  3, 20), '...I...', '.C', """Extension of Telomeres"""]),
    'R-GGA-180786':Nto._make([date(2019,  3, 20), '...I...', '.C', """Extension of Telomeres"""]),
    'R-MMU-180786':Nto._make([date(2019,  3, 20), '...I...', '.C', """Extension of Telomeres"""]),
    'R-PFA-180786':Nto._make([date(2019,  3, 20), '...I...', '.C', """Extension of Telomeres"""]),
    'R-RNO-180786':Nto._make([date(2019,  3, 20), '...I...', '.C', """Extension of Telomeres"""]),
    'R-SCE-180786':Nto._make([date(2019,  3, 20), '...I...', '.C', """Extension of Telomeres"""]),
    'R-SPO-180786':Nto._make([date(2019,  3, 20), '...I...', '.C', """Extension of Telomeres"""]),
    'R-SSC-180786':Nto._make([date(2019,  3, 20), '...I...', '.C', """Extension of Telomeres"""]),
    'R-XTR-180786':Nto._make([date(2019,  3, 20), '...I...', '.C', """Extension of Telomeres"""]),
    'R-HSA-180897':Nto._make([date(2006,  8,  2), '.D..P..', '..', """Vpr-mediated induction of apoptosis by mitochondrial outer membrane permeabilization"""]),
    'R-HSA-180910':Nto._make([date(2006,  8,  2), '.D.....', '..', """Vpr-mediated nuclear import of PICs"""]),
    'R-HSA-181429':Nto._make([date(2005,  6, 13), '.......', '..', """Serotonin Neurotransmitter Release Cycle"""]),
    'R-CEL-181429':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin Neurotransmitter Release Cycle"""]),
    'R-CFA-181429':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin Neurotransmitter Release Cycle"""]),
    'R-DME-181429':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin Neurotransmitter Release Cycle"""]),
    'R-DRE-181429':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin Neurotransmitter Release Cycle"""]),
    'R-GGA-181429':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin Neurotransmitter Release Cycle"""]),
    'R-MMU-181429':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin Neurotransmitter Release Cycle"""]),
    'R-RNO-181429':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin Neurotransmitter Release Cycle"""]),
    'R-SPO-181429':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin Neurotransmitter Release Cycle"""]),
    'R-SSC-181429':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin Neurotransmitter Release Cycle"""]),
    'R-HSA-181430':Nto._make([date(2005,  9, 26), '....P..', '..', """Norepinephrine Neurotransmitter Release Cycle"""]),
    'R-BTA-181430':Nto._make([date(2019,  3, 20), '...I...', '..', """Norepinephrine Neurotransmitter Release Cycle"""]),
    'R-CEL-181430':Nto._make([date(2019,  3, 20), '...I...', '..', """Norepinephrine Neurotransmitter Release Cycle"""]),
    'R-CFA-181430':Nto._make([date(2019,  3, 20), '...I...', '..', """Norepinephrine Neurotransmitter Release Cycle"""]),
    'R-DDI-181430':Nto._make([date(2019,  3, 20), '...I...', '..', """Norepinephrine Neurotransmitter Release Cycle"""]),
    'R-DME-181430':Nto._make([date(2019,  3, 20), '...I...', '..', """Norepinephrine Neurotransmitter Release Cycle"""]),
    'R-DRE-181430':Nto._make([date(2019,  3, 20), '...I...', '..', """Norepinephrine Neurotransmitter Release Cycle"""]),
    'R-GGA-181430':Nto._make([date(2019,  3, 20), '...I...', '..', """Norepinephrine Neurotransmitter Release Cycle"""]),
    'R-MMU-181430':Nto._make([date(2019,  3, 20), '...I...', '..', """Norepinephrine Neurotransmitter Release Cycle"""]),
    'R-PFA-181430':Nto._make([date(2019,  3, 20), '...I...', '..', """Norepinephrine Neurotransmitter Release Cycle"""]),
    'R-RNO-181430':Nto._make([date(2019,  3, 20), '...I...', '..', """Norepinephrine Neurotransmitter Release Cycle"""]),
    'R-SPO-181430':Nto._make([date(2019,  3, 20), '...I...', '..', """Norepinephrine Neurotransmitter Release Cycle"""]),
    'R-SSC-181430':Nto._make([date(2019,  3, 20), '...I...', '..', """Norepinephrine Neurotransmitter Release Cycle"""]),
    'R-XTR-181430':Nto._make([date(2019,  3, 20), '...I...', '..', """Norepinephrine Neurotransmitter Release Cycle"""]),
    'R-HSA-181431':Nto._make([date(2005,  9, 26), '..f.P..', '..', """Acetylcholine binding and downstream events"""]),
    'R-BTA-181431':Nto._make([date(2019,  3, 20), '..fI...', '..', """Acetylcholine binding and downstream events"""]),
    'R-CEL-181431':Nto._make([date(2019,  3, 20), '..fI...', '..', """Acetylcholine binding and downstream events"""]),
    'R-CFA-181431':Nto._make([date(2019,  3, 20), '..fI...', '..', """Acetylcholine binding and downstream events"""]),
    'R-DME-181431':Nto._make([date(2019,  3, 20), '..fI...', '..', """Acetylcholine binding and downstream events"""]),
    'R-DRE-181431':Nto._make([date(2019,  3, 20), '..fI...', '..', """Acetylcholine binding and downstream events"""]),
    'R-MMU-181431':Nto._make([date(2019,  3, 20), '..fI...', '..', """Acetylcholine binding and downstream events"""]),
    'R-RNO-181431':Nto._make([date(2019,  3, 20), '..fI...', '..', """Acetylcholine binding and downstream events"""]),
    'R-SSC-181431':Nto._make([date(2019,  3, 20), '..fI...', '..', """Acetylcholine binding and downstream events"""]),
    'R-XTR-181431':Nto._make([date(2019,  3, 20), '..fI...', '..', """Acetylcholine binding and downstream events"""]),
    'R-HSA-181438':Nto._make([date(2010, 12, 14), '....P..', 'B.', """Toll Like Receptor 2 (TLR2) Cascade"""]),
    'R-BTA-181438':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 2 (TLR2) Cascade"""]),
    'R-CEL-181438':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 2 (TLR2) Cascade"""]),
    'R-CFA-181438':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 2 (TLR2) Cascade"""]),
    'R-DDI-181438':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 2 (TLR2) Cascade"""]),
    'R-DME-181438':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 2 (TLR2) Cascade"""]),
    'R-DRE-181438':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 2 (TLR2) Cascade"""]),
    'R-GGA-181438':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 2 (TLR2) Cascade"""]),
    'R-MMU-181438':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 2 (TLR2) Cascade"""]),
    'R-PFA-181438':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 2 (TLR2) Cascade"""]),
    'R-RNO-181438':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 2 (TLR2) Cascade"""]),
    'R-SCE-181438':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 2 (TLR2) Cascade"""]),
    'R-SPO-181438':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 2 (TLR2) Cascade"""]),
    'R-SSC-181438':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 2 (TLR2) Cascade"""]),
    'R-XTR-181438':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Toll Like Receptor 2 (TLR2) Cascade"""]),
    'R-HSA-182218':Nto._make([date(2007,  8, 21), '.D..P..', 'B.', """Nef Mediated CD8 Down-regulation"""]),
    'R-HSA-182971':Nto._make([date(2008,  3, 12), '....P..', 'B.', """EGFR downregulation"""]),
    'R-BTA-182971':Nto._make([date(2019,  3, 20), '...I...', 'B.', """EGFR downregulation"""]),
    'R-CEL-182971':Nto._make([date(2019,  3, 20), '...I...', 'B.', """EGFR downregulation"""]),
    'R-CFA-182971':Nto._make([date(2019,  3, 20), '...I...', 'B.', """EGFR downregulation"""]),
    'R-DME-182971':Nto._make([date(2019,  3, 20), '...I...', 'B.', """EGFR downregulation"""]),
    'R-DRE-182971':Nto._make([date(2019,  3, 20), '...I...', 'B.', """EGFR downregulation"""]),
    'R-GGA-182971':Nto._make([date(2019,  3, 20), '...I...', 'B.', """EGFR downregulation"""]),
    'R-MMU-182971':Nto._make([date(2019,  3, 20), '...I...', 'B.', """EGFR downregulation"""]),
    'R-RNO-182971':Nto._make([date(2019,  3, 20), '...I...', 'B.', """EGFR downregulation"""]),
    'R-SSC-182971':Nto._make([date(2019,  3, 20), '...I...', 'B.', """EGFR downregulation"""]),
    'R-XTR-182971':Nto._make([date(2019,  3, 20), '...I...', 'B.', """EGFR downregulation"""]),
    'R-HSA-186712':Nto._make([date(2008,  6, 30), '..F.P..', 'B.', """Regulation of beta-cell development"""]),
    'R-BTA-186712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of beta-cell development"""]),
    'R-CEL-186712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of beta-cell development"""]),
    'R-CFA-186712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of beta-cell development"""]),
    'R-DME-186712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of beta-cell development"""]),
    'R-DRE-186712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of beta-cell development"""]),
    'R-GGA-186712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of beta-cell development"""]),
    'R-MMU-186712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of beta-cell development"""]),
    'R-RNO-186712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of beta-cell development"""]),
    'R-SSC-186712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of beta-cell development"""]),
    'R-XTR-186712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of beta-cell development"""]),
    'R-HSA-186763':Nto._make([date(2009,  4,  1), '....P..', '..', """Downstream signal transduction"""]),
    'R-BTA-186763':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signal transduction"""]),
    'R-CEL-186763':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signal transduction"""]),
    'R-CFA-186763':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signal transduction"""]),
    'R-DME-186763':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signal transduction"""]),
    'R-DRE-186763':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signal transduction"""]),
    'R-GGA-186763':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signal transduction"""]),
    'R-MMU-186763':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signal transduction"""]),
    'R-RNO-186763':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signal transduction"""]),
    'R-SSC-186763':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signal transduction"""]),
    'R-XTR-186763':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signal transduction"""]),
    'R-HSA-186797':Nto._make([date(2009,  4,  1), '..F.P..', '..', """Signaling by PDGF"""]),
    'R-BTA-186797':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by PDGF"""]),
    'R-CEL-186797':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by PDGF"""]),
    'R-CFA-186797':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by PDGF"""]),
    'R-DME-186797':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by PDGF"""]),
    'R-DRE-186797':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by PDGF"""]),
    'R-GGA-186797':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by PDGF"""]),
    'R-MMU-186797':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by PDGF"""]),
    'R-RNO-186797':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by PDGF"""]),
    'R-SSC-186797':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by PDGF"""]),
    'R-XTR-186797':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by PDGF"""]),
    'R-HSA-187015':Nto._make([date(2007, 12, 11), '....P..', 'B.', """Activation of TRKA receptors"""]),
    'R-BTA-187015':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of TRKA receptors"""]),
    'R-CFA-187015':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of TRKA receptors"""]),
    'R-DRE-187015':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of TRKA receptors"""]),
    'R-MMU-187015':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of TRKA receptors"""]),
    'R-RNO-187015':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of TRKA receptors"""]),
    'R-XTR-187015':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of TRKA receptors"""]),
    'R-HSA-187024':Nto._make([date(2007, 12, 11), '....P..', 'B.', """NGF-independant TRKA activation"""]),
    'R-HSA-187037':Nto._make([date(2007, 12, 11), '..f.P..', '..', """Signaling by NTRK1 (TRKA)"""]),
    'R-BTA-187037':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by NTRK1 (TRKA)"""]),
    'R-CEL-187037':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by NTRK1 (TRKA)"""]),
    'R-CFA-187037':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by NTRK1 (TRKA)"""]),
    'R-DDI-187037':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by NTRK1 (TRKA)"""]),
    'R-DME-187037':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by NTRK1 (TRKA)"""]),
    'R-DRE-187037':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by NTRK1 (TRKA)"""]),
    'R-GGA-187037':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by NTRK1 (TRKA)"""]),
    'R-MMU-187037':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by NTRK1 (TRKA)"""]),
    'R-PFA-187037':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by NTRK1 (TRKA)"""]),
    'R-RNO-187037':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by NTRK1 (TRKA)"""]),
    'R-SCE-187037':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by NTRK1 (TRKA)"""]),
    'R-SPO-187037':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by NTRK1 (TRKA)"""]),
    'R-SSC-187037':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by NTRK1 (TRKA)"""]),
    'R-XTR-187037':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by NTRK1 (TRKA)"""]),
    'R-HSA-187042':Nto._make([date(2007, 12, 11), '....P..', 'B.', """TRKA activation by NGF"""]),
    'R-BTA-187042':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRKA activation by NGF"""]),
    'R-CFA-187042':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRKA activation by NGF"""]),
    'R-DRE-187042':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRKA activation by NGF"""]),
    'R-MMU-187042':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRKA activation by NGF"""]),
    'R-RNO-187042':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRKA activation by NGF"""]),
    'R-XTR-187042':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRKA activation by NGF"""]),
    'R-HSA-187577':Nto._make([date(2006, 11, 14), '....P..', '.C', """SCF(Skp2)-mediated degradation of p27/p21"""]),
    'R-BTA-187577':Nto._make([date(2019,  3, 20), '...I...', '.C', """SCF(Skp2)-mediated degradation of p27/p21"""]),
    'R-CEL-187577':Nto._make([date(2019,  3, 20), '...I...', '.C', """SCF(Skp2)-mediated degradation of p27/p21"""]),
    'R-CFA-187577':Nto._make([date(2019,  3, 20), '...I...', '.C', """SCF(Skp2)-mediated degradation of p27/p21"""]),
    'R-DDI-187577':Nto._make([date(2019,  3, 20), '...I...', '.C', """SCF(Skp2)-mediated degradation of p27/p21"""]),
    'R-DME-187577':Nto._make([date(2019,  3, 20), '...I...', '.C', """SCF(Skp2)-mediated degradation of p27/p21"""]),
    'R-DRE-187577':Nto._make([date(2019,  3, 20), '...I...', '.C', """SCF(Skp2)-mediated degradation of p27/p21"""]),
    'R-GGA-187577':Nto._make([date(2019,  3, 20), '...I...', '.C', """SCF(Skp2)-mediated degradation of p27/p21"""]),
    'R-MMU-187577':Nto._make([date(2019,  3, 20), '...I...', '.C', """SCF(Skp2)-mediated degradation of p27/p21"""]),
    'R-RNO-187577':Nto._make([date(2019,  3, 20), '...I...', '.C', """SCF(Skp2)-mediated degradation of p27/p21"""]),
    'R-SSC-187577':Nto._make([date(2019,  3, 20), '...I...', '.C', """SCF(Skp2)-mediated degradation of p27/p21"""]),
    'R-XTR-187577':Nto._make([date(2019,  3, 20), '...I...', '.C', """SCF(Skp2)-mediated degradation of p27/p21"""]),
    'R-GGA-187630':Nto._make([date(2009,  6,  1), '....P..', 'B.', """Arginine metabolism"""]),
    'R-HSA-187687':Nto._make([date(2007, 12, 11), '....P..', '..', """Signalling to ERKs"""]),
    'R-BTA-187687':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERKs"""]),
    'R-CEL-187687':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERKs"""]),
    'R-CFA-187687':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERKs"""]),
    'R-DDI-187687':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERKs"""]),
    'R-DME-187687':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERKs"""]),
    'R-DRE-187687':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERKs"""]),
    'R-GGA-187687':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERKs"""]),
    'R-MMU-187687':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERKs"""]),
    'R-PFA-187687':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERKs"""]),
    'R-RNO-187687':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERKs"""]),
    'R-SCE-187687':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERKs"""]),
    'R-SPO-187687':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERKs"""]),
    'R-SSC-187687':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERKs"""]),
    'R-XTR-187687':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERKs"""]),
    'R-HSA-187706':Nto._make([date(2007, 12, 11), '....P..', 'B.', """Signalling to p38 via RIT and RIN"""]),
    'R-HSA-189085':Nto._make([date(2007,  2, 20), '....P..', 'BC', """Digestion of dietary carbohydrate"""]),
    'R-BTA-189085':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary carbohydrate"""]),
    'R-CEL-189085':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary carbohydrate"""]),
    'R-CFA-189085':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary carbohydrate"""]),
    'R-DDI-189085':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary carbohydrate"""]),
    'R-DME-189085':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary carbohydrate"""]),
    'R-DRE-189085':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary carbohydrate"""]),
    'R-GGA-189085':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary carbohydrate"""]),
    'R-MMU-189085':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary carbohydrate"""]),
    'R-RNO-189085':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary carbohydrate"""]),
    'R-SCE-189085':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary carbohydrate"""]),
    'R-SPO-189085':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary carbohydrate"""]),
    'R-SSC-189085':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary carbohydrate"""]),
    'R-XTR-189085':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary carbohydrate"""]),
    'R-HSA-189200':Nto._make([date(2006,  1, 23), '..f.P..', 'B.', """Cellular hexose transport"""]),
    'R-BTA-189200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular hexose transport"""]),
    'R-CEL-189200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular hexose transport"""]),
    'R-CFA-189200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular hexose transport"""]),
    'R-DDI-189200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular hexose transport"""]),
    'R-DME-189200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular hexose transport"""]),
    'R-DRE-189200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular hexose transport"""]),
    'R-GGA-189200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular hexose transport"""]),
    'R-MMU-189200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular hexose transport"""]),
    'R-PFA-189200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular hexose transport"""]),
    'R-RNO-189200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular hexose transport"""]),
    'R-SCE-189200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular hexose transport"""]),
    'R-SPO-189200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular hexose transport"""]),
    'R-SSC-189200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular hexose transport"""]),
    'R-XTR-189200':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular hexose transport"""]),
    'R-HSA-189445':Nto._make([date(2007,  2, 20), '..f....', 'B.', """Metabolism of porphyrins"""]),
    'R-BTA-189445':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of porphyrins"""]),
    'R-CEL-189445':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of porphyrins"""]),
    'R-CFA-189445':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of porphyrins"""]),
    'R-DDI-189445':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of porphyrins"""]),
    'R-DME-189445':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of porphyrins"""]),
    'R-DRE-189445':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of porphyrins"""]),
    'R-GGA-189445':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of porphyrins"""]),
    'R-MMU-189445':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of porphyrins"""]),
    'R-PFA-189445':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of porphyrins"""]),
    'R-RNO-189445':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of porphyrins"""]),
    'R-SCE-189445':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of porphyrins"""]),
    'R-SPO-189445':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of porphyrins"""]),
    'R-SSC-189445':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of porphyrins"""]),
    'R-XTR-189445':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of porphyrins"""]),
    'R-HSA-189451':Nto._make([date(2007,  2, 20), '....P..', 'B.', """Heme biosynthesis"""]),
    'R-BTA-189451':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme biosynthesis"""]),
    'R-CEL-189451':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme biosynthesis"""]),
    'R-CFA-189451':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme biosynthesis"""]),
    'R-DDI-189451':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme biosynthesis"""]),
    'R-DME-189451':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme biosynthesis"""]),
    'R-DRE-189451':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme biosynthesis"""]),
    'R-GGA-189451':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme biosynthesis"""]),
    'R-MMU-189451':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme biosynthesis"""]),
    'R-PFA-189451':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme biosynthesis"""]),
    'R-RNO-189451':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme biosynthesis"""]),
    'R-SCE-189451':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme biosynthesis"""]),
    'R-SPO-189451':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme biosynthesis"""]),
    'R-SSC-189451':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme biosynthesis"""]),
    'R-XTR-189451':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme biosynthesis"""]),
    'R-HSA-189483':Nto._make([date(2007,  2, 20), '....P..', 'B.', """Heme degradation"""]),
    'R-BTA-189483':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme degradation"""]),
    'R-CFA-189483':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme degradation"""]),
    'R-DME-189483':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme degradation"""]),
    'R-DRE-189483':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme degradation"""]),
    'R-GGA-189483':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme degradation"""]),
    'R-MMU-189483':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme degradation"""]),
    'R-RNO-189483':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme degradation"""]),
    'R-SCE-189483':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme degradation"""]),
    'R-SSC-189483':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme degradation"""]),
    'R-XTR-189483':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heme degradation"""]),
    'R-HSA-190236':Nto._make([date(2007,  2, 20), '..F.P..', 'B.', """Signaling by FGFR"""]),
    'R-BTA-190236':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR"""]),
    'R-CEL-190236':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR"""]),
    'R-CFA-190236':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR"""]),
    'R-DDI-190236':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR"""]),
    'R-DME-190236':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR"""]),
    'R-DRE-190236':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR"""]),
    'R-GGA-190236':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR"""]),
    'R-MMU-190236':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR"""]),
    'R-RNO-190236':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR"""]),
    'R-SSC-190236':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR"""]),
    'R-XTR-190236':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR"""]),
    'R-HSA-190239':Nto._make([date(2007,  2, 20), '....P..', 'B.', """FGFR3 ligand binding and activation"""]),
    'R-BTA-190239':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3 ligand binding and activation"""]),
    'R-CEL-190239':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3 ligand binding and activation"""]),
    'R-CFA-190239':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3 ligand binding and activation"""]),
    'R-DME-190239':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3 ligand binding and activation"""]),
    'R-DRE-190239':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3 ligand binding and activation"""]),
    'R-GGA-190239':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3 ligand binding and activation"""]),
    'R-MMU-190239':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3 ligand binding and activation"""]),
    'R-RNO-190239':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3 ligand binding and activation"""]),
    'R-SSC-190239':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3 ligand binding and activation"""]),
    'R-XTR-190239':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3 ligand binding and activation"""]),
    'R-HSA-190241':Nto._make([date(2007,  2, 20), '....P..', 'B.', """FGFR2 ligand binding and activation"""]),
    'R-BTA-190241':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2 ligand binding and activation"""]),
    'R-CEL-190241':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2 ligand binding and activation"""]),
    'R-CFA-190241':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2 ligand binding and activation"""]),
    'R-DME-190241':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2 ligand binding and activation"""]),
    'R-DRE-190241':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2 ligand binding and activation"""]),
    'R-GGA-190241':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2 ligand binding and activation"""]),
    'R-MMU-190241':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2 ligand binding and activation"""]),
    'R-RNO-190241':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2 ligand binding and activation"""]),
    'R-SSC-190241':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2 ligand binding and activation"""]),
    'R-XTR-190241':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2 ligand binding and activation"""]),
    'R-HSA-190242':Nto._make([date(2007,  2, 20), '....P..', 'B.', """FGFR1 ligand binding and activation"""]),
    'R-BTA-190242':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1 ligand binding and activation"""]),
    'R-CEL-190242':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1 ligand binding and activation"""]),
    'R-CFA-190242':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1 ligand binding and activation"""]),
    'R-DME-190242':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1 ligand binding and activation"""]),
    'R-DRE-190242':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1 ligand binding and activation"""]),
    'R-GGA-190242':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1 ligand binding and activation"""]),
    'R-MMU-190242':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1 ligand binding and activation"""]),
    'R-RNO-190242':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1 ligand binding and activation"""]),
    'R-SSC-190242':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1 ligand binding and activation"""]),
    'R-XTR-190242':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1 ligand binding and activation"""]),
    'R-HSA-190322':Nto._make([date(2007,  2, 20), '....P..', 'B.', """FGFR4 ligand binding and activation"""]),
    'R-BTA-190322':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR4 ligand binding and activation"""]),
    'R-CFA-190322':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR4 ligand binding and activation"""]),
    'R-DRE-190322':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR4 ligand binding and activation"""]),
    'R-GGA-190322':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR4 ligand binding and activation"""]),
    'R-MMU-190322':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR4 ligand binding and activation"""]),
    'R-RNO-190322':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR4 ligand binding and activation"""]),
    'R-SSC-190322':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR4 ligand binding and activation"""]),
    'R-XTR-190322':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR4 ligand binding and activation"""]),
    'R-HSA-190370':Nto._make([date(2007,  2, 28), '....P..', 'B.', """FGFR1b ligand binding and activation"""]),
    'R-BTA-190370':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1b ligand binding and activation"""]),
    'R-CEL-190370':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1b ligand binding and activation"""]),
    'R-CFA-190370':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1b ligand binding and activation"""]),
    'R-DME-190370':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1b ligand binding and activation"""]),
    'R-DRE-190370':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1b ligand binding and activation"""]),
    'R-GGA-190370':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1b ligand binding and activation"""]),
    'R-MMU-190370':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1b ligand binding and activation"""]),
    'R-RNO-190370':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1b ligand binding and activation"""]),
    'R-SSC-190370':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1b ligand binding and activation"""]),
    'R-XTR-190370':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1b ligand binding and activation"""]),
    'R-HSA-190371':Nto._make([date(2006,  4, 24), '....P..', 'B.', """FGFR3b ligand binding and activation"""]),
    'R-BTA-190371':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3b ligand binding and activation"""]),
    'R-CEL-190371':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3b ligand binding and activation"""]),
    'R-CFA-190371':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3b ligand binding and activation"""]),
    'R-DME-190371':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3b ligand binding and activation"""]),
    'R-DRE-190371':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3b ligand binding and activation"""]),
    'R-MMU-190371':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3b ligand binding and activation"""]),
    'R-RNO-190371':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3b ligand binding and activation"""]),
    'R-XTR-190371':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3b ligand binding and activation"""]),
    'R-HSA-190372':Nto._make([date(2007,  2, 28), '....P..', 'B.', """FGFR3c ligand binding and activation"""]),
    'R-BTA-190372':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3c ligand binding and activation"""]),
    'R-CEL-190372':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3c ligand binding and activation"""]),
    'R-CFA-190372':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3c ligand binding and activation"""]),
    'R-DME-190372':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3c ligand binding and activation"""]),
    'R-DRE-190372':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3c ligand binding and activation"""]),
    'R-GGA-190372':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3c ligand binding and activation"""]),
    'R-MMU-190372':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3c ligand binding and activation"""]),
    'R-RNO-190372':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3c ligand binding and activation"""]),
    'R-SSC-190372':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3c ligand binding and activation"""]),
    'R-XTR-190372':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR3c ligand binding and activation"""]),
    'R-HSA-190373':Nto._make([date(2007,  2, 28), '....P..', 'B.', """FGFR1c ligand binding and activation"""]),
    'R-BTA-190373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1c ligand binding and activation"""]),
    'R-CEL-190373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1c ligand binding and activation"""]),
    'R-CFA-190373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1c ligand binding and activation"""]),
    'R-DME-190373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1c ligand binding and activation"""]),
    'R-DRE-190373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1c ligand binding and activation"""]),
    'R-GGA-190373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1c ligand binding and activation"""]),
    'R-MMU-190373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1c ligand binding and activation"""]),
    'R-RNO-190373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1c ligand binding and activation"""]),
    'R-SSC-190373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1c ligand binding and activation"""]),
    'R-XTR-190373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1c ligand binding and activation"""]),
    'R-HSA-190374':Nto._make([date(2007,  2, 28), '....P..', 'B.', """FGFR1c and Klotho ligand binding and activation"""]),
    'R-BTA-190374':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1c and Klotho ligand binding and activation"""]),
    'R-CEL-190374':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1c and Klotho ligand binding and activation"""]),
    'R-CFA-190374':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1c and Klotho ligand binding and activation"""]),
    'R-DME-190374':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1c and Klotho ligand binding and activation"""]),
    'R-DRE-190374':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1c and Klotho ligand binding and activation"""]),
    'R-GGA-190374':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1c and Klotho ligand binding and activation"""]),
    'R-MMU-190374':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1c and Klotho ligand binding and activation"""]),
    'R-RNO-190374':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1c and Klotho ligand binding and activation"""]),
    'R-SSC-190374':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1c and Klotho ligand binding and activation"""]),
    'R-XTR-190374':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR1c and Klotho ligand binding and activation"""]),
    'R-HSA-190375':Nto._make([date(2007,  2, 28), '....P..', 'B.', """FGFR2c ligand binding and activation"""]),
    'R-BTA-190375':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2c ligand binding and activation"""]),
    'R-CEL-190375':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2c ligand binding and activation"""]),
    'R-CFA-190375':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2c ligand binding and activation"""]),
    'R-DME-190375':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2c ligand binding and activation"""]),
    'R-DRE-190375':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2c ligand binding and activation"""]),
    'R-MMU-190375':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2c ligand binding and activation"""]),
    'R-RNO-190375':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2c ligand binding and activation"""]),
    'R-XTR-190375':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2c ligand binding and activation"""]),
    'R-HSA-190377':Nto._make([date(2007,  2, 28), '....P..', 'B.', """FGFR2b ligand binding and activation"""]),
    'R-BTA-190377':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2b ligand binding and activation"""]),
    'R-CEL-190377':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2b ligand binding and activation"""]),
    'R-CFA-190377':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2b ligand binding and activation"""]),
    'R-DME-190377':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2b ligand binding and activation"""]),
    'R-DRE-190377':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2b ligand binding and activation"""]),
    'R-GGA-190377':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2b ligand binding and activation"""]),
    'R-MMU-190377':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2b ligand binding and activation"""]),
    'R-RNO-190377':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2b ligand binding and activation"""]),
    'R-SSC-190377':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2b ligand binding and activation"""]),
    'R-XTR-190377':Nto._make([date(2019,  3, 20), '...I...', 'B.', """FGFR2b ligand binding and activation"""]),
    'R-HSA-190704':Nto._make([date(2007,  2, 20), '....P..', '..', """Oligomerization of connexins into connexons"""]),
    'R-BTA-190704':Nto._make([date(2019,  3, 20), '...I...', '..', """Oligomerization of connexins into connexons"""]),
    'R-CFA-190704':Nto._make([date(2019,  3, 20), '...I...', '..', """Oligomerization of connexins into connexons"""]),
    'R-DRE-190704':Nto._make([date(2019,  3, 20), '...I...', '..', """Oligomerization of connexins into connexons"""]),
    'R-GGA-190704':Nto._make([date(2019,  3, 20), '...I...', '..', """Oligomerization of connexins into connexons"""]),
    'R-MMU-190704':Nto._make([date(2019,  3, 20), '...I...', '..', """Oligomerization of connexins into connexons"""]),
    'R-RNO-190704':Nto._make([date(2019,  3, 20), '...I...', '..', """Oligomerization of connexins into connexons"""]),
    'R-SSC-190704':Nto._make([date(2019,  3, 20), '...I...', '..', """Oligomerization of connexins into connexons"""]),
    'R-XTR-190704':Nto._make([date(2019,  3, 20), '...I...', '..', """Oligomerization of connexins into connexons"""]),
    'R-HSA-190827':Nto._make([date(2007,  2, 20), '...IP..', '.C', """Transport of connexins along the secretory pathway"""]),
    'R-HSA-190828':Nto._make([date(2007,  2, 20), '....P..', '..', """Gap junction trafficking"""]),
    'R-BTA-190828':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction trafficking"""]),
    'R-CEL-190828':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction trafficking"""]),
    'R-CFA-190828':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction trafficking"""]),
    'R-DME-190828':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction trafficking"""]),
    'R-DRE-190828':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction trafficking"""]),
    'R-GGA-190828':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction trafficking"""]),
    'R-MMU-190828':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction trafficking"""]),
    'R-RNO-190828':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction trafficking"""]),
    'R-SCE-190828':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction trafficking"""]),
    'R-SPO-190828':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction trafficking"""]),
    'R-SSC-190828':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction trafficking"""]),
    'R-XTR-190828':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction trafficking"""]),
    'R-HSA-190840':Nto._make([date(2007,  5, 15), '....P..', '.C', """Microtubule-dependent trafficking of connexons from Golgi to the plasma membrane"""]),
    'R-BTA-190840':Nto._make([date(2019,  3, 20), '...I...', '.C', """Microtubule-dependent trafficking of connexons from Golgi to the plasma membrane"""]),
    'R-DRE-190840':Nto._make([date(2019,  3, 20), '...I...', '.C', """Microtubule-dependent trafficking of connexons from Golgi to the plasma membrane"""]),
    'R-MMU-190840':Nto._make([date(2019,  3, 20), '...I...', '.C', """Microtubule-dependent trafficking of connexons from Golgi to the plasma membrane"""]),
    'R-RNO-190840':Nto._make([date(2019,  3, 20), '...I...', '.C', """Microtubule-dependent trafficking of connexons from Golgi to the plasma membrane"""]),
    'R-SSC-190840':Nto._make([date(2019,  3, 20), '...I...', '.C', """Microtubule-dependent trafficking of connexons from Golgi to the plasma membrane"""]),
    'R-XTR-190840':Nto._make([date(2019,  3, 20), '...I...', '.C', """Microtubule-dependent trafficking of connexons from Golgi to the plasma membrane"""]),
    'R-HSA-190861':Nto._make([date(2007,  2, 20), '....P..', 'BC', """Gap junction assembly"""]),
    'R-BTA-190861':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gap junction assembly"""]),
    'R-CFA-190861':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gap junction assembly"""]),
    'R-DRE-190861':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gap junction assembly"""]),
    'R-GGA-190861':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gap junction assembly"""]),
    'R-MMU-190861':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gap junction assembly"""]),
    'R-RNO-190861':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gap junction assembly"""]),
    'R-SSC-190861':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gap junction assembly"""]),
    'R-XTR-190861':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gap junction assembly"""]),
    'R-HSA-190872':Nto._make([date(2007,  5, 15), '....P..', '.C', """Transport of connexons to the plasma membrane"""]),
    'R-BTA-190872':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of connexons to the plasma membrane"""]),
    'R-CFA-190872':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of connexons to the plasma membrane"""]),
    'R-DRE-190872':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of connexons to the plasma membrane"""]),
    'R-GGA-190872':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of connexons to the plasma membrane"""]),
    'R-MMU-190872':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of connexons to the plasma membrane"""]),
    'R-RNO-190872':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of connexons to the plasma membrane"""]),
    'R-SSC-190872':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of connexons to the plasma membrane"""]),
    'R-XTR-190872':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transport of connexons to the plasma membrane"""]),
    'R-HSA-190873':Nto._make([date(2007,  5, 15), '....P..', '..', """Gap junction degradation"""]),
    'R-CEL-190873':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction degradation"""]),
    'R-CFA-190873':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction degradation"""]),
    'R-DME-190873':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction degradation"""]),
    'R-DRE-190873':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction degradation"""]),
    'R-GGA-190873':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction degradation"""]),
    'R-MMU-190873':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction degradation"""]),
    'R-RNO-190873':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction degradation"""]),
    'R-SCE-190873':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction degradation"""]),
    'R-SPO-190873':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction degradation"""]),
    'R-SSC-190873':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction degradation"""]),
    'R-XTR-190873':Nto._make([date(2019,  3, 20), '...I...', '..', """Gap junction degradation"""]),
    'R-HSA-191273':Nto._make([date(2007,  2, 20), '..F.P..', 'B.', """Cholesterol biosynthesis"""]),
    'R-BTA-191273':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cholesterol biosynthesis"""]),
    'R-CEL-191273':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cholesterol biosynthesis"""]),
    'R-CFA-191273':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cholesterol biosynthesis"""]),
    'R-DDI-191273':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cholesterol biosynthesis"""]),
    'R-DME-191273':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cholesterol biosynthesis"""]),
    'R-DRE-191273':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cholesterol biosynthesis"""]),
    'R-GGA-191273':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cholesterol biosynthesis"""]),
    'R-MMU-191273':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cholesterol biosynthesis"""]),
    'R-PFA-191273':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cholesterol biosynthesis"""]),
    'R-RNO-191273':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cholesterol biosynthesis"""]),
    'R-SCE-191273':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cholesterol biosynthesis"""]),
    'R-SPO-191273':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cholesterol biosynthesis"""]),
    'R-SSC-191273':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cholesterol biosynthesis"""]),
    'R-XTR-191273':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cholesterol biosynthesis"""]),
    'R-HSA-191650':Nto._make([date(2007,  2, 20), '....P..', '.C', """Regulation of gap junction activity"""]),
    'R-BTA-191650':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of gap junction activity"""]),
    'R-DRE-191650':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of gap junction activity"""]),
    'R-MMU-191650':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of gap junction activity"""]),
    'R-RNO-191650':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of gap junction activity"""]),
    'R-SSC-191650':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of gap junction activity"""]),
    'R-XTR-191650':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of gap junction activity"""]),
    'R-HSA-191859':Nto._make([date(2007,  5, 15), '....P..', 'B.', """snRNP Assembly"""]),
    'R-BTA-191859':Nto._make([date(2019,  3, 20), '...I...', 'B.', """snRNP Assembly"""]),
    'R-CEL-191859':Nto._make([date(2019,  3, 20), '...I...', 'B.', """snRNP Assembly"""]),
    'R-CFA-191859':Nto._make([date(2019,  3, 20), '...I...', 'B.', """snRNP Assembly"""]),
    'R-DRE-191859':Nto._make([date(2019,  3, 20), '...I...', 'B.', """snRNP Assembly"""]),
    'R-GGA-191859':Nto._make([date(2019,  3, 20), '...I...', 'B.', """snRNP Assembly"""]),
    'R-MMU-191859':Nto._make([date(2019,  3, 20), '...I...', 'B.', """snRNP Assembly"""]),
    'R-RNO-191859':Nto._make([date(2019,  3, 20), '...I...', 'B.', """snRNP Assembly"""]),
    'R-SSC-191859':Nto._make([date(2019,  3, 20), '...I...', 'B.', """snRNP Assembly"""]),
    'R-XTR-191859':Nto._make([date(2019,  3, 20), '...I...', 'B.', """snRNP Assembly"""]),
    'R-HSA-192105':Nto._make([date(2007,  5, 15), '....P..', 'B.', """Synthesis of bile acids and bile salts"""]),
    'R-BTA-192105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts"""]),
    'R-CEL-192105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts"""]),
    'R-CFA-192105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts"""]),
    'R-DDI-192105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts"""]),
    'R-DME-192105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts"""]),
    'R-DRE-192105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts"""]),
    'R-GGA-192105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts"""]),
    'R-MMU-192105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts"""]),
    'R-PFA-192105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts"""]),
    'R-RNO-192105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts"""]),
    'R-SCE-192105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts"""]),
    'R-SPO-192105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts"""]),
    'R-SSC-192105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts"""]),
    'R-XTR-192105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts"""]),
    'R-HSA-192456':Nto._make([date(2007,  2, 20), '....P..', 'BC', """Digestion of dietary lipid"""]),
    'R-BTA-192456':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary lipid"""]),
    'R-CEL-192456':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary lipid"""]),
    'R-CFA-192456':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary lipid"""]),
    'R-DDI-192456':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary lipid"""]),
    'R-DME-192456':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary lipid"""]),
    'R-DRE-192456':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary lipid"""]),
    'R-GGA-192456':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary lipid"""]),
    'R-MMU-192456':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary lipid"""]),
    'R-PFA-192456':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary lipid"""]),
    'R-RNO-192456':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary lipid"""]),
    'R-SCE-192456':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary lipid"""]),
    'R-SPO-192456':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary lipid"""]),
    'R-SSC-192456':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary lipid"""]),
    'R-XTR-192456':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Digestion of dietary lipid"""]),
    'R-HSA-192814':Nto._make([date(2007,  2, 28), '.D..P..', '.C', """vRNA Synthesis"""]),
    'R-HSA-192823':Nto._make([date(2007,  2, 28), '.D..P..', '.C', """Viral mRNA Translation"""]),
    'R-HSA-192869':Nto._make([date(2007,  2, 28), '.D..P..', '.C', """cRNA Synthesis"""]),
    'R-HSA-192905':Nto._make([date(2007,  2, 28), '.D..P..', '.C', """vRNP Assembly"""]),
    'R-HSA-193048':Nto._make([date(2007,  5, 15), '....P..', 'B.', """Androgen biosynthesis"""]),
    'R-BTA-193048':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Androgen biosynthesis"""]),
    'R-CEL-193048':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Androgen biosynthesis"""]),
    'R-CFA-193048':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Androgen biosynthesis"""]),
    'R-DDI-193048':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Androgen biosynthesis"""]),
    'R-DME-193048':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Androgen biosynthesis"""]),
    'R-DRE-193048':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Androgen biosynthesis"""]),
    'R-GGA-193048':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Androgen biosynthesis"""]),
    'R-MMU-193048':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Androgen biosynthesis"""]),
    'R-PFA-193048':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Androgen biosynthesis"""]),
    'R-RNO-193048':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Androgen biosynthesis"""]),
    'R-SCE-193048':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Androgen biosynthesis"""]),
    'R-SPO-193048':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Androgen biosynthesis"""]),
    'R-SSC-193048':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Androgen biosynthesis"""]),
    'R-XTR-193048':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Androgen biosynthesis"""]),
    'R-HSA-193144':Nto._make([date(2007,  5, 15), '....P..', 'B.', """Estrogen biosynthesis"""]),
    'R-BTA-193144':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Estrogen biosynthesis"""]),
    'R-CEL-193144':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Estrogen biosynthesis"""]),
    'R-CFA-193144':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Estrogen biosynthesis"""]),
    'R-DDI-193144':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Estrogen biosynthesis"""]),
    'R-DME-193144':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Estrogen biosynthesis"""]),
    'R-DRE-193144':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Estrogen biosynthesis"""]),
    'R-GGA-193144':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Estrogen biosynthesis"""]),
    'R-MMU-193144':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Estrogen biosynthesis"""]),
    'R-RNO-193144':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Estrogen biosynthesis"""]),
    'R-SCE-193144':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Estrogen biosynthesis"""]),
    'R-SPO-193144':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Estrogen biosynthesis"""]),
    'R-SSC-193144':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Estrogen biosynthesis"""]),
    'R-XTR-193144':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Estrogen biosynthesis"""]),
    'R-HSA-193368':Nto._make([date(2007,  5, 15), '....P..', 'B.', """Synthesis of bile acids and bile salts via 7alpha-hydroxycholesterol"""]),
    'R-BTA-193368':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 7alpha-hydroxycholesterol"""]),
    'R-CEL-193368':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 7alpha-hydroxycholesterol"""]),
    'R-CFA-193368':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 7alpha-hydroxycholesterol"""]),
    'R-DDI-193368':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 7alpha-hydroxycholesterol"""]),
    'R-DME-193368':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 7alpha-hydroxycholesterol"""]),
    'R-DRE-193368':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 7alpha-hydroxycholesterol"""]),
    'R-GGA-193368':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 7alpha-hydroxycholesterol"""]),
    'R-MMU-193368':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 7alpha-hydroxycholesterol"""]),
    'R-PFA-193368':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 7alpha-hydroxycholesterol"""]),
    'R-RNO-193368':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 7alpha-hydroxycholesterol"""]),
    'R-SCE-193368':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 7alpha-hydroxycholesterol"""]),
    'R-SPO-193368':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 7alpha-hydroxycholesterol"""]),
    'R-SSC-193368':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 7alpha-hydroxycholesterol"""]),
    'R-XTR-193368':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 7alpha-hydroxycholesterol"""]),
    'R-HSA-193634':Nto._make([date(2008,  6, 30), '....P..', 'B.', """Axonal growth inhibition (RHOA activation)"""]),
    'R-BTA-193634':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Axonal growth inhibition (RHOA activation)"""]),
    'R-CEL-193634':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Axonal growth inhibition (RHOA activation)"""]),
    'R-CFA-193634':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Axonal growth inhibition (RHOA activation)"""]),
    'R-DME-193634':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Axonal growth inhibition (RHOA activation)"""]),
    'R-DRE-193634':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Axonal growth inhibition (RHOA activation)"""]),
    'R-GGA-193634':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Axonal growth inhibition (RHOA activation)"""]),
    'R-MMU-193634':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Axonal growth inhibition (RHOA activation)"""]),
    'R-RNO-193634':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Axonal growth inhibition (RHOA activation)"""]),
    'R-SSC-193634':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Axonal growth inhibition (RHOA activation)"""]),
    'R-XTR-193634':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Axonal growth inhibition (RHOA activation)"""]),
    'R-HSA-193639':Nto._make([date(2008,  6, 30), '....P..', 'B.', """p75NTR signals via NF-kB"""]),
    'R-BTA-193639':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p75NTR signals via NF-kB"""]),
    'R-CFA-193639':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p75NTR signals via NF-kB"""]),
    'R-DME-193639':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p75NTR signals via NF-kB"""]),
    'R-DRE-193639':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p75NTR signals via NF-kB"""]),
    'R-GGA-193639':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p75NTR signals via NF-kB"""]),
    'R-MMU-193639':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p75NTR signals via NF-kB"""]),
    'R-RNO-193639':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p75NTR signals via NF-kB"""]),
    'R-SSC-193639':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p75NTR signals via NF-kB"""]),
    'R-XTR-193639':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p75NTR signals via NF-kB"""]),
    'R-HSA-193648':Nto._make([date(2008,  6, 30), '....P..', 'B.', """NRAGE signals death through JNK"""]),
    'R-BTA-193648':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NRAGE signals death through JNK"""]),
    'R-CEL-193648':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NRAGE signals death through JNK"""]),
    'R-CFA-193648':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NRAGE signals death through JNK"""]),
    'R-DDI-193648':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NRAGE signals death through JNK"""]),
    'R-DME-193648':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NRAGE signals death through JNK"""]),
    'R-DRE-193648':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NRAGE signals death through JNK"""]),
    'R-GGA-193648':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NRAGE signals death through JNK"""]),
    'R-MMU-193648':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NRAGE signals death through JNK"""]),
    'R-RNO-193648':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NRAGE signals death through JNK"""]),
    'R-SSC-193648':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NRAGE signals death through JNK"""]),
    'R-XTR-193648':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NRAGE signals death through JNK"""]),
    'R-HSA-193670':Nto._make([date(2008,  6, 30), '....P..', 'B.', """p75NTR negatively regulates cell cycle via SC1"""]),
    'R-HSA-193681':Nto._make([date(2008,  6, 30), '....P..', 'B.', """Ceramide signalling"""]),
    'R-HSA-193692':Nto._make([date(2008,  6, 30), '....P..', 'B.', """Regulated proteolysis of p75NTR"""]),
    'R-BTA-193692':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulated proteolysis of p75NTR"""]),
    'R-CFA-193692':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulated proteolysis of p75NTR"""]),
    'R-DRE-193692':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulated proteolysis of p75NTR"""]),
    'R-MMU-193692':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulated proteolysis of p75NTR"""]),
    'R-RNO-193692':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulated proteolysis of p75NTR"""]),
    'R-SSC-193692':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulated proteolysis of p75NTR"""]),
    'R-XTR-193692':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulated proteolysis of p75NTR"""]),
    'R-HSA-193697':Nto._make([date(2008,  6, 30), '....P..', 'B.', """p75NTR regulates axonogenesis"""]),
    'R-BTA-193697':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p75NTR regulates axonogenesis"""]),
    'R-CEL-193697':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p75NTR regulates axonogenesis"""]),
    'R-CFA-193697':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p75NTR regulates axonogenesis"""]),
    'R-DME-193697':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p75NTR regulates axonogenesis"""]),
    'R-DRE-193697':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p75NTR regulates axonogenesis"""]),
    'R-GGA-193697':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p75NTR regulates axonogenesis"""]),
    'R-MMU-193697':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p75NTR regulates axonogenesis"""]),
    'R-RNO-193697':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p75NTR regulates axonogenesis"""]),
    'R-SSC-193697':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p75NTR regulates axonogenesis"""]),
    'R-XTR-193697':Nto._make([date(2019,  3, 20), '...I...', 'B.', """p75NTR regulates axonogenesis"""]),
    'R-HSA-193704':Nto._make([date(2008,  6, 30), '..f.P..', 'B.', """p75 NTR receptor-mediated signalling"""]),
    'R-BTA-193704':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """p75 NTR receptor-mediated signalling"""]),
    'R-CEL-193704':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """p75 NTR receptor-mediated signalling"""]),
    'R-CFA-193704':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """p75 NTR receptor-mediated signalling"""]),
    'R-DDI-193704':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """p75 NTR receptor-mediated signalling"""]),
    'R-DME-193704':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """p75 NTR receptor-mediated signalling"""]),
    'R-DRE-193704':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """p75 NTR receptor-mediated signalling"""]),
    'R-GGA-193704':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """p75 NTR receptor-mediated signalling"""]),
    'R-MMU-193704':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """p75 NTR receptor-mediated signalling"""]),
    'R-RNO-193704':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """p75 NTR receptor-mediated signalling"""]),
    'R-SSC-193704':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """p75 NTR receptor-mediated signalling"""]),
    'R-XTR-193704':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """p75 NTR receptor-mediated signalling"""]),
    'R-HSA-193775':Nto._make([date(2007,  5, 15), '....P..', 'B.', """Synthesis of bile acids and bile salts via 24-hydroxycholesterol"""]),
    'R-BTA-193775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 24-hydroxycholesterol"""]),
    'R-CEL-193775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 24-hydroxycholesterol"""]),
    'R-CFA-193775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 24-hydroxycholesterol"""]),
    'R-DME-193775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 24-hydroxycholesterol"""]),
    'R-DRE-193775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 24-hydroxycholesterol"""]),
    'R-GGA-193775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 24-hydroxycholesterol"""]),
    'R-MMU-193775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 24-hydroxycholesterol"""]),
    'R-RNO-193775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 24-hydroxycholesterol"""]),
    'R-SCE-193775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 24-hydroxycholesterol"""]),
    'R-SSC-193775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 24-hydroxycholesterol"""]),
    'R-XTR-193775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 24-hydroxycholesterol"""]),
    'R-HSA-193807':Nto._make([date(2007,  5, 15), '....P..', 'B.', """Synthesis of bile acids and bile salts via 27-hydroxycholesterol"""]),
    'R-BTA-193807':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 27-hydroxycholesterol"""]),
    'R-CFA-193807':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 27-hydroxycholesterol"""]),
    'R-DME-193807':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 27-hydroxycholesterol"""]),
    'R-DRE-193807':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 27-hydroxycholesterol"""]),
    'R-GGA-193807':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 27-hydroxycholesterol"""]),
    'R-MMU-193807':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 27-hydroxycholesterol"""]),
    'R-RNO-193807':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 27-hydroxycholesterol"""]),
    'R-SSC-193807':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 27-hydroxycholesterol"""]),
    'R-XTR-193807':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of bile acids and bile salts via 27-hydroxycholesterol"""]),
    'R-HSA-193993':Nto._make([date(2007,  5, 15), '....P..', 'B.', """Mineralocorticoid biosynthesis"""]),
    'R-BTA-193993':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mineralocorticoid biosynthesis"""]),
    'R-CEL-193993':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mineralocorticoid biosynthesis"""]),
    'R-CFA-193993':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mineralocorticoid biosynthesis"""]),
    'R-DDI-193993':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mineralocorticoid biosynthesis"""]),
    'R-DRE-193993':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mineralocorticoid biosynthesis"""]),
    'R-GGA-193993':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mineralocorticoid biosynthesis"""]),
    'R-MMU-193993':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mineralocorticoid biosynthesis"""]),
    'R-RNO-193993':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mineralocorticoid biosynthesis"""]),
    'R-SCE-193993':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mineralocorticoid biosynthesis"""]),
    'R-SPO-193993':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mineralocorticoid biosynthesis"""]),
    'R-SSC-193993':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mineralocorticoid biosynthesis"""]),
    'R-XTR-193993':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mineralocorticoid biosynthesis"""]),
    'R-HSA-194002':Nto._make([date(2007,  5, 15), '....P..', 'B.', """Glucocorticoid biosynthesis"""]),
    'R-BTA-194002':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucocorticoid biosynthesis"""]),
    'R-CEL-194002':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucocorticoid biosynthesis"""]),
    'R-CFA-194002':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucocorticoid biosynthesis"""]),
    'R-DDI-194002':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucocorticoid biosynthesis"""]),
    'R-DME-194002':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucocorticoid biosynthesis"""]),
    'R-DRE-194002':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucocorticoid biosynthesis"""]),
    'R-GGA-194002':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucocorticoid biosynthesis"""]),
    'R-MMU-194002':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucocorticoid biosynthesis"""]),
    'R-RNO-194002':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucocorticoid biosynthesis"""]),
    'R-SCE-194002':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucocorticoid biosynthesis"""]),
    'R-SPO-194002':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucocorticoid biosynthesis"""]),
    'R-SSC-194002':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucocorticoid biosynthesis"""]),
    'R-XTR-194002':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glucocorticoid biosynthesis"""]),
    'R-HSA-194068':Nto._make([date(2007,  5, 15), '..f.P..', 'B.', """Bile acid and bile salt metabolism"""]),
    'R-BTA-194068':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Bile acid and bile salt metabolism"""]),
    'R-CEL-194068':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Bile acid and bile salt metabolism"""]),
    'R-CFA-194068':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Bile acid and bile salt metabolism"""]),
    'R-DDI-194068':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Bile acid and bile salt metabolism"""]),
    'R-DME-194068':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Bile acid and bile salt metabolism"""]),
    'R-DRE-194068':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Bile acid and bile salt metabolism"""]),
    'R-GGA-194068':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Bile acid and bile salt metabolism"""]),
    'R-MMU-194068':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Bile acid and bile salt metabolism"""]),
    'R-PFA-194068':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Bile acid and bile salt metabolism"""]),
    'R-RNO-194068':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Bile acid and bile salt metabolism"""]),
    'R-SCE-194068':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Bile acid and bile salt metabolism"""]),
    'R-SPO-194068':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Bile acid and bile salt metabolism"""]),
    'R-SSC-194068':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Bile acid and bile salt metabolism"""]),
    'R-XTR-194068':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Bile acid and bile salt metabolism"""]),
    'R-HSA-194138':Nto._make([date(2008,  3, 12), '..F.P..', 'B.', """Signaling by VEGF"""]),
    'R-BTA-194138':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by VEGF"""]),
    'R-CEL-194138':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by VEGF"""]),
    'R-CFA-194138':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by VEGF"""]),
    'R-DDI-194138':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by VEGF"""]),
    'R-DME-194138':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by VEGF"""]),
    'R-DRE-194138':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by VEGF"""]),
    'R-GGA-194138':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by VEGF"""]),
    'R-MMU-194138':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by VEGF"""]),
    'R-PFA-194138':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by VEGF"""]),
    'R-RNO-194138':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by VEGF"""]),
    'R-SCE-194138':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by VEGF"""]),
    'R-SPO-194138':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by VEGF"""]),
    'R-SSC-194138':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by VEGF"""]),
    'R-XTR-194138':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by VEGF"""]),
    'R-HSA-194306':Nto._make([date(2008,  3, 12), '....P..', '.C', """Neurophilin interactions with VEGF and VEGFR"""]),
    'R-BTA-194306':Nto._make([date(2019,  3, 20), '...I...', '.C', """Neurophilin interactions with VEGF and VEGFR"""]),
    'R-CFA-194306':Nto._make([date(2019,  3, 20), '...I...', '.C', """Neurophilin interactions with VEGF and VEGFR"""]),
    'R-DRE-194306':Nto._make([date(2019,  3, 20), '...I...', '.C', """Neurophilin interactions with VEGF and VEGFR"""]),
    'R-GGA-194306':Nto._make([date(2019,  3, 20), '...I...', '.C', """Neurophilin interactions with VEGF and VEGFR"""]),
    'R-MMU-194306':Nto._make([date(2019,  3, 20), '...I...', '.C', """Neurophilin interactions with VEGF and VEGFR"""]),
    'R-RNO-194306':Nto._make([date(2019,  3, 20), '...I...', '.C', """Neurophilin interactions with VEGF and VEGFR"""]),
    'R-SSC-194306':Nto._make([date(2019,  3, 20), '...I...', '.C', """Neurophilin interactions with VEGF and VEGFR"""]),
    'R-XTR-194306':Nto._make([date(2019,  3, 20), '...I...', '.C', """Neurophilin interactions with VEGF and VEGFR"""]),
    'R-HSA-194313':Nto._make([date(2008,  3, 12), '....P..', 'BC', """VEGF ligand-receptor interactions"""]),
    'R-BTA-194313':Nto._make([date(2019,  3, 20), '...I...', 'BC', """VEGF ligand-receptor interactions"""]),
    'R-CFA-194313':Nto._make([date(2019,  3, 20), '...I...', 'BC', """VEGF ligand-receptor interactions"""]),
    'R-DRE-194313':Nto._make([date(2019,  3, 20), '...I...', 'BC', """VEGF ligand-receptor interactions"""]),
    'R-GGA-194313':Nto._make([date(2019,  3, 20), '...I...', 'BC', """VEGF ligand-receptor interactions"""]),
    'R-MMU-194313':Nto._make([date(2019,  3, 20), '...I...', 'BC', """VEGF ligand-receptor interactions"""]),
    'R-RNO-194313':Nto._make([date(2019,  3, 20), '...I...', 'BC', """VEGF ligand-receptor interactions"""]),
    'R-SSC-194313':Nto._make([date(2019,  3, 20), '...I...', 'BC', """VEGF ligand-receptor interactions"""]),
    'R-XTR-194313':Nto._make([date(2019,  3, 20), '...I...', 'BC', """VEGF ligand-receptor interactions"""]),
    'R-HSA-194315':Nto._make([date(2005,  9, 26), '..F.P..', 'B.', """Signaling by Rho GTPases"""]),
    'R-BTA-194315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Rho GTPases"""]),
    'R-CEL-194315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Rho GTPases"""]),
    'R-CFA-194315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Rho GTPases"""]),
    'R-DDI-194315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Rho GTPases"""]),
    'R-DME-194315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Rho GTPases"""]),
    'R-DRE-194315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Rho GTPases"""]),
    'R-GGA-194315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Rho GTPases"""]),
    'R-MMU-194315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Rho GTPases"""]),
    'R-PFA-194315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Rho GTPases"""]),
    'R-RNO-194315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Rho GTPases"""]),
    'R-SCE-194315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Rho GTPases"""]),
    'R-SPO-194315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Rho GTPases"""]),
    'R-SSC-194315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Rho GTPases"""]),
    'R-XTR-194315':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Rho GTPases"""]),
    'R-HSA-194441':Nto._make([date(2007,  5, 15), '..F....', 'B.', """Metabolism of non-coding RNA"""]),
    'R-BTA-194441':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of non-coding RNA"""]),
    'R-CEL-194441':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of non-coding RNA"""]),
    'R-CFA-194441':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of non-coding RNA"""]),
    'R-DRE-194441':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of non-coding RNA"""]),
    'R-GGA-194441':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of non-coding RNA"""]),
    'R-MMU-194441':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of non-coding RNA"""]),
    'R-RNO-194441':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of non-coding RNA"""]),
    'R-SSC-194441':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of non-coding RNA"""]),
    'R-XTR-194441':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of non-coding RNA"""]),
    'R-HSA-194840':Nto._make([date(2007,  5, 15), '....P..', 'BC', """Rho GTPase cycle"""]),
    'R-BTA-194840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Rho GTPase cycle"""]),
    'R-CEL-194840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Rho GTPase cycle"""]),
    'R-CFA-194840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Rho GTPase cycle"""]),
    'R-DDI-194840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Rho GTPase cycle"""]),
    'R-DME-194840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Rho GTPase cycle"""]),
    'R-DRE-194840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Rho GTPase cycle"""]),
    'R-GGA-194840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Rho GTPase cycle"""]),
    'R-MMU-194840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Rho GTPase cycle"""]),
    'R-RNO-194840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Rho GTPase cycle"""]),
    'R-SCE-194840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Rho GTPase cycle"""]),
    'R-SPO-194840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Rho GTPase cycle"""]),
    'R-SSC-194840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Rho GTPase cycle"""]),
    'R-XTR-194840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Rho GTPase cycle"""]),
    'R-HSA-195253':Nto._make([date(2007,  5, 15), '..f.P..', '..', """Degradation of beta-catenin by the destruction complex"""]),
    'R-BTA-195253':Nto._make([date(2019,  3, 20), '..fI...', '..', """Degradation of beta-catenin by the destruction complex"""]),
    'R-CEL-195253':Nto._make([date(2019,  3, 20), '..fI...', '..', """Degradation of beta-catenin by the destruction complex"""]),
    'R-CFA-195253':Nto._make([date(2019,  3, 20), '..fI...', '..', """Degradation of beta-catenin by the destruction complex"""]),
    'R-DME-195253':Nto._make([date(2019,  3, 20), '..fI...', '..', """Degradation of beta-catenin by the destruction complex"""]),
    'R-DRE-195253':Nto._make([date(2019,  3, 20), '..fI...', '..', """Degradation of beta-catenin by the destruction complex"""]),
    'R-GGA-195253':Nto._make([date(2019,  3, 20), '..fI...', '..', """Degradation of beta-catenin by the destruction complex"""]),
    'R-MMU-195253':Nto._make([date(2019,  3, 20), '..fI...', '..', """Degradation of beta-catenin by the destruction complex"""]),
    'R-RNO-195253':Nto._make([date(2019,  3, 20), '..fI...', '..', """Degradation of beta-catenin by the destruction complex"""]),
    'R-SSC-195253':Nto._make([date(2019,  3, 20), '..fI...', '..', """Degradation of beta-catenin by the destruction complex"""]),
    'R-XTR-195253':Nto._make([date(2019,  3, 20), '..fI...', '..', """Degradation of beta-catenin by the destruction complex"""]),
    'R-HSA-195258':Nto._make([date(2015,  3, 19), '..F.P..', '..', """RHO GTPase Effectors"""]),
    'R-BTA-195258':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPase Effectors"""]),
    'R-CEL-195258':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPase Effectors"""]),
    'R-CFA-195258':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPase Effectors"""]),
    'R-DDI-195258':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPase Effectors"""]),
    'R-DME-195258':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPase Effectors"""]),
    'R-DRE-195258':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPase Effectors"""]),
    'R-GGA-195258':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPase Effectors"""]),
    'R-MMU-195258':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPase Effectors"""]),
    'R-PFA-195258':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPase Effectors"""]),
    'R-RNO-195258':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPase Effectors"""]),
    'R-SCE-195258':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPase Effectors"""]),
    'R-SPO-195258':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPase Effectors"""]),
    'R-SSC-195258':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPase Effectors"""]),
    'R-XTR-195258':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPase Effectors"""]),
    'R-HSA-195399':Nto._make([date(2008,  3, 12), '....P..', '.C', """VEGF binds to VEGFR leading to receptor dimerization"""]),
    'R-BTA-195399':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGF binds to VEGFR leading to receptor dimerization"""]),
    'R-CFA-195399':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGF binds to VEGFR leading to receptor dimerization"""]),
    'R-DRE-195399':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGF binds to VEGFR leading to receptor dimerization"""]),
    'R-GGA-195399':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGF binds to VEGFR leading to receptor dimerization"""]),
    'R-MMU-195399':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGF binds to VEGFR leading to receptor dimerization"""]),
    'R-RNO-195399':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGF binds to VEGFR leading to receptor dimerization"""]),
    'R-SSC-195399':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGF binds to VEGFR leading to receptor dimerization"""]),
    'R-XTR-195399':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGF binds to VEGFR leading to receptor dimerization"""]),
    'R-HSA-195721':Nto._make([date(2007,  5, 15), '..F.P..', 'B.', """Signaling by WNT"""]),
    'R-BTA-195721':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by WNT"""]),
    'R-CEL-195721':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by WNT"""]),
    'R-CFA-195721':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by WNT"""]),
    'R-DDI-195721':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by WNT"""]),
    'R-DME-195721':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by WNT"""]),
    'R-DRE-195721':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by WNT"""]),
    'R-GGA-195721':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by WNT"""]),
    'R-MMU-195721':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by WNT"""]),
    'R-PFA-195721':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by WNT"""]),
    'R-RNO-195721':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by WNT"""]),
    'R-SCE-195721':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by WNT"""]),
    'R-SPO-195721':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by WNT"""]),
    'R-SSC-195721':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by WNT"""]),
    'R-XTR-195721':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by WNT"""]),
    'R-HSA-196025':Nto._make([date(2007,  5, 15), '....P..', '..', """Formation of annular gap junctions"""]),
    'R-CEL-196025':Nto._make([date(2019,  3, 20), '...I...', '..', """Formation of annular gap junctions"""]),
    'R-CFA-196025':Nto._make([date(2019,  3, 20), '...I...', '..', """Formation of annular gap junctions"""]),
    'R-DME-196025':Nto._make([date(2019,  3, 20), '...I...', '..', """Formation of annular gap junctions"""]),
    'R-DRE-196025':Nto._make([date(2019,  3, 20), '...I...', '..', """Formation of annular gap junctions"""]),
    'R-GGA-196025':Nto._make([date(2019,  3, 20), '...I...', '..', """Formation of annular gap junctions"""]),
    'R-MMU-196025':Nto._make([date(2019,  3, 20), '...I...', '..', """Formation of annular gap junctions"""]),
    'R-RNO-196025':Nto._make([date(2019,  3, 20), '...I...', '..', """Formation of annular gap junctions"""]),
    'R-SCE-196025':Nto._make([date(2019,  3, 20), '...I...', '..', """Formation of annular gap junctions"""]),
    'R-SPO-196025':Nto._make([date(2019,  3, 20), '...I...', '..', """Formation of annular gap junctions"""]),
    'R-SSC-196025':Nto._make([date(2019,  3, 20), '...I...', '..', """Formation of annular gap junctions"""]),
    'R-XTR-196025':Nto._make([date(2019,  3, 20), '...I...', '..', """Formation of annular gap junctions"""]),
    'R-HSA-196071':Nto._make([date(2007,  5, 15), '..F.P..', 'B.', """Metabolism of steroid hormones"""]),
    'R-BTA-196071':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroid hormones"""]),
    'R-CEL-196071':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroid hormones"""]),
    'R-CFA-196071':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroid hormones"""]),
    'R-DDI-196071':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroid hormones"""]),
    'R-DME-196071':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroid hormones"""]),
    'R-DRE-196071':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroid hormones"""]),
    'R-GGA-196071':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroid hormones"""]),
    'R-MMU-196071':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroid hormones"""]),
    'R-PFA-196071':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroid hormones"""]),
    'R-RNO-196071':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroid hormones"""]),
    'R-SCE-196071':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroid hormones"""]),
    'R-SPO-196071':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroid hormones"""]),
    'R-SSC-196071':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroid hormones"""]),
    'R-XTR-196071':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroid hormones"""]),
    'R-HSA-196108':Nto._make([date(2007,  5, 15), '....P..', 'B.', """Pregnenolone biosynthesis"""]),
    'R-BTA-196108':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pregnenolone biosynthesis"""]),
    'R-CEL-196108':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pregnenolone biosynthesis"""]),
    'R-CFA-196108':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pregnenolone biosynthesis"""]),
    'R-DME-196108':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pregnenolone biosynthesis"""]),
    'R-DRE-196108':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pregnenolone biosynthesis"""]),
    'R-GGA-196108':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pregnenolone biosynthesis"""]),
    'R-MMU-196108':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pregnenolone biosynthesis"""]),
    'R-RNO-196108':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pregnenolone biosynthesis"""]),
    'R-SPO-196108':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pregnenolone biosynthesis"""]),
    'R-XTR-196108':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Pregnenolone biosynthesis"""]),
    'R-HSA-196299':Nto._make([date(2007,  5, 15), '....P..', '.C', """Beta-catenin phosphorylation cascade"""]),
    'R-BTA-196299':Nto._make([date(2019,  3, 20), '...I...', '.C', """Beta-catenin phosphorylation cascade"""]),
    'R-CEL-196299':Nto._make([date(2019,  3, 20), '...I...', '.C', """Beta-catenin phosphorylation cascade"""]),
    'R-CFA-196299':Nto._make([date(2019,  3, 20), '...I...', '.C', """Beta-catenin phosphorylation cascade"""]),
    'R-DME-196299':Nto._make([date(2019,  3, 20), '...I...', '.C', """Beta-catenin phosphorylation cascade"""]),
    'R-DRE-196299':Nto._make([date(2019,  3, 20), '...I...', '.C', """Beta-catenin phosphorylation cascade"""]),
    'R-GGA-196299':Nto._make([date(2019,  3, 20), '...I...', '.C', """Beta-catenin phosphorylation cascade"""]),
    'R-MMU-196299':Nto._make([date(2019,  3, 20), '...I...', '.C', """Beta-catenin phosphorylation cascade"""]),
    'R-RNO-196299':Nto._make([date(2019,  3, 20), '...I...', '.C', """Beta-catenin phosphorylation cascade"""]),
    'R-SSC-196299':Nto._make([date(2019,  3, 20), '...I...', '.C', """Beta-catenin phosphorylation cascade"""]),
    'R-XTR-196299':Nto._make([date(2019,  3, 20), '...I...', '.C', """Beta-catenin phosphorylation cascade"""]),
    'R-HSA-196741':Nto._make([date(2013,  6, 11), '....P..', 'B.', """Cobalamin (Cbl, vitamin B12) transport and metabolism"""]),
    'R-BTA-196741':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cobalamin (Cbl, vitamin B12) transport and metabolism"""]),
    'R-CEL-196741':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cobalamin (Cbl, vitamin B12) transport and metabolism"""]),
    'R-CFA-196741':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cobalamin (Cbl, vitamin B12) transport and metabolism"""]),
    'R-DDI-196741':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cobalamin (Cbl, vitamin B12) transport and metabolism"""]),
    'R-DME-196741':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cobalamin (Cbl, vitamin B12) transport and metabolism"""]),
    'R-DRE-196741':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cobalamin (Cbl, vitamin B12) transport and metabolism"""]),
    'R-GGA-196741':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cobalamin (Cbl, vitamin B12) transport and metabolism"""]),
    'R-MMU-196741':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cobalamin (Cbl, vitamin B12) transport and metabolism"""]),
    'R-PFA-196741':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cobalamin (Cbl, vitamin B12) transport and metabolism"""]),
    'R-RNO-196741':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cobalamin (Cbl, vitamin B12) transport and metabolism"""]),
    'R-SCE-196741':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cobalamin (Cbl, vitamin B12) transport and metabolism"""]),
    'R-SPO-196741':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cobalamin (Cbl, vitamin B12) transport and metabolism"""]),
    'R-SSC-196741':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cobalamin (Cbl, vitamin B12) transport and metabolism"""]),
    'R-XTR-196741':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cobalamin (Cbl, vitamin B12) transport and metabolism"""]),
    'R-HSA-196757':Nto._make([date(2007,  8, 21), '..f.P..', 'B.', """Metabolism of folate and pterines"""]),
    'R-BTA-196757':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of folate and pterines"""]),
    'R-CEL-196757':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of folate and pterines"""]),
    'R-CFA-196757':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of folate and pterines"""]),
    'R-DDI-196757':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of folate and pterines"""]),
    'R-DME-196757':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of folate and pterines"""]),
    'R-DRE-196757':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of folate and pterines"""]),
    'R-GGA-196757':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of folate and pterines"""]),
    'R-MMU-196757':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of folate and pterines"""]),
    'R-PFA-196757':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of folate and pterines"""]),
    'R-RNO-196757':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of folate and pterines"""]),
    'R-SCE-196757':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of folate and pterines"""]),
    'R-SPO-196757':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of folate and pterines"""]),
    'R-SSC-196757':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of folate and pterines"""]),
    'R-XTR-196757':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of folate and pterines"""]),
    'R-HSA-196780':Nto._make([date(2007,  8, 21), '....P..', 'B.', """Biotin transport and metabolism"""]),
    'R-BTA-196780':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biotin transport and metabolism"""]),
    'R-CEL-196780':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biotin transport and metabolism"""]),
    'R-CFA-196780':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biotin transport and metabolism"""]),
    'R-DDI-196780':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biotin transport and metabolism"""]),
    'R-DME-196780':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biotin transport and metabolism"""]),
    'R-DRE-196780':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biotin transport and metabolism"""]),
    'R-GGA-196780':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biotin transport and metabolism"""]),
    'R-MMU-196780':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biotin transport and metabolism"""]),
    'R-RNO-196780':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biotin transport and metabolism"""]),
    'R-SCE-196780':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biotin transport and metabolism"""]),
    'R-SPO-196780':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biotin transport and metabolism"""]),
    'R-SSC-196780':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biotin transport and metabolism"""]),
    'R-XTR-196780':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biotin transport and metabolism"""]),
    'R-HSA-196783':Nto._make([date(2007,  9,  4), '....P..', 'B.', """Coenzyme A biosynthesis"""]),
    'R-BTA-196783':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Coenzyme A biosynthesis"""]),
    'R-CEL-196783':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Coenzyme A biosynthesis"""]),
    'R-CFA-196783':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Coenzyme A biosynthesis"""]),
    'R-DDI-196783':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Coenzyme A biosynthesis"""]),
    'R-DME-196783':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Coenzyme A biosynthesis"""]),
    'R-DRE-196783':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Coenzyme A biosynthesis"""]),
    'R-GGA-196783':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Coenzyme A biosynthesis"""]),
    'R-MMU-196783':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Coenzyme A biosynthesis"""]),
    'R-PFA-196783':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Coenzyme A biosynthesis"""]),
    'R-RNO-196783':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Coenzyme A biosynthesis"""]),
    'R-SCE-196783':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Coenzyme A biosynthesis"""]),
    'R-SPO-196783':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Coenzyme A biosynthesis"""]),
    'R-SSC-196783':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Coenzyme A biosynthesis"""]),
    'R-XTR-196783':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Coenzyme A biosynthesis"""]),
    'R-HSA-196791':Nto._make([date(2008,  6, 30), '..f.P..', 'B.', """Vitamin D (calciferol) metabolism"""]),
    'R-BTA-196791':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Vitamin D (calciferol) metabolism"""]),
    'R-CEL-196791':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Vitamin D (calciferol) metabolism"""]),
    'R-CFA-196791':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Vitamin D (calciferol) metabolism"""]),
    'R-DDI-196791':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Vitamin D (calciferol) metabolism"""]),
    'R-DME-196791':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Vitamin D (calciferol) metabolism"""]),
    'R-DRE-196791':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Vitamin D (calciferol) metabolism"""]),
    'R-GGA-196791':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Vitamin D (calciferol) metabolism"""]),
    'R-MMU-196791':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Vitamin D (calciferol) metabolism"""]),
    'R-RNO-196791':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Vitamin D (calciferol) metabolism"""]),
    'R-SSC-196791':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Vitamin D (calciferol) metabolism"""]),
    'R-XTR-196791':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Vitamin D (calciferol) metabolism"""]),
    'R-HSA-196807':Nto._make([date(2007,  8, 21), '..f.P..', 'B.', """Nicotinate metabolism"""]),
    'R-BTA-196807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nicotinate metabolism"""]),
    'R-CEL-196807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nicotinate metabolism"""]),
    'R-CFA-196807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nicotinate metabolism"""]),
    'R-DDI-196807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nicotinate metabolism"""]),
    'R-DME-196807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nicotinate metabolism"""]),
    'R-DRE-196807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nicotinate metabolism"""]),
    'R-GGA-196807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nicotinate metabolism"""]),
    'R-MMU-196807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nicotinate metabolism"""]),
    'R-PFA-196807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nicotinate metabolism"""]),
    'R-RNO-196807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nicotinate metabolism"""]),
    'R-SCE-196807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nicotinate metabolism"""]),
    'R-SPO-196807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nicotinate metabolism"""]),
    'R-SSC-196807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nicotinate metabolism"""]),
    'R-XTR-196807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nicotinate metabolism"""]),
    'R-HSA-196819':Nto._make([date(2007,  8, 21), '....P..', 'B.', """Vitamin B1 (thiamin) metabolism"""]),
    'R-BTA-196819':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B1 (thiamin) metabolism"""]),
    'R-CEL-196819':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B1 (thiamin) metabolism"""]),
    'R-CFA-196819':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B1 (thiamin) metabolism"""]),
    'R-DDI-196819':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B1 (thiamin) metabolism"""]),
    'R-DME-196819':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B1 (thiamin) metabolism"""]),
    'R-DRE-196819':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B1 (thiamin) metabolism"""]),
    'R-GGA-196819':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B1 (thiamin) metabolism"""]),
    'R-MMU-196819':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B1 (thiamin) metabolism"""]),
    'R-PFA-196819':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B1 (thiamin) metabolism"""]),
    'R-RNO-196819':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B1 (thiamin) metabolism"""]),
    'R-SCE-196819':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B1 (thiamin) metabolism"""]),
    'R-SPO-196819':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B1 (thiamin) metabolism"""]),
    'R-SSC-196819':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B1 (thiamin) metabolism"""]),
    'R-XTR-196819':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B1 (thiamin) metabolism"""]),
    'R-HSA-196836':Nto._make([date(2007,  8, 21), '....P..', 'B.', """Vitamin C (ascorbate) metabolism"""]),
    'R-BTA-196836':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin C (ascorbate) metabolism"""]),
    'R-CEL-196836':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin C (ascorbate) metabolism"""]),
    'R-CFA-196836':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin C (ascorbate) metabolism"""]),
    'R-DDI-196836':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin C (ascorbate) metabolism"""]),
    'R-DME-196836':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin C (ascorbate) metabolism"""]),
    'R-DRE-196836':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin C (ascorbate) metabolism"""]),
    'R-GGA-196836':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin C (ascorbate) metabolism"""]),
    'R-MMU-196836':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin C (ascorbate) metabolism"""]),
    'R-PFA-196836':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin C (ascorbate) metabolism"""]),
    'R-RNO-196836':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin C (ascorbate) metabolism"""]),
    'R-SCE-196836':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin C (ascorbate) metabolism"""]),
    'R-SPO-196836':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin C (ascorbate) metabolism"""]),
    'R-SSC-196836':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin C (ascorbate) metabolism"""]),
    'R-XTR-196836':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin C (ascorbate) metabolism"""]),
    'R-HSA-196843':Nto._make([date(2007,  8, 21), '....P..', 'B.', """Vitamin B2 (riboflavin) metabolism"""]),
    'R-BTA-196843':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B2 (riboflavin) metabolism"""]),
    'R-CEL-196843':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B2 (riboflavin) metabolism"""]),
    'R-CFA-196843':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B2 (riboflavin) metabolism"""]),
    'R-DDI-196843':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B2 (riboflavin) metabolism"""]),
    'R-DME-196843':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B2 (riboflavin) metabolism"""]),
    'R-DRE-196843':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B2 (riboflavin) metabolism"""]),
    'R-GGA-196843':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B2 (riboflavin) metabolism"""]),
    'R-MMU-196843':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B2 (riboflavin) metabolism"""]),
    'R-PFA-196843':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B2 (riboflavin) metabolism"""]),
    'R-RNO-196843':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B2 (riboflavin) metabolism"""]),
    'R-SCE-196843':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B2 (riboflavin) metabolism"""]),
    'R-SPO-196843':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B2 (riboflavin) metabolism"""]),
    'R-SSC-196843':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B2 (riboflavin) metabolism"""]),
    'R-XTR-196843':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B2 (riboflavin) metabolism"""]),
    'R-HSA-196849':Nto._make([date(2007,  8, 21), '..f....', 'B.', """Metabolism of water-soluble vitamins and cofactors"""]),
    'R-BTA-196849':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of water-soluble vitamins and cofactors"""]),
    'R-CEL-196849':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of water-soluble vitamins and cofactors"""]),
    'R-CFA-196849':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of water-soluble vitamins and cofactors"""]),
    'R-DDI-196849':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of water-soluble vitamins and cofactors"""]),
    'R-DME-196849':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of water-soluble vitamins and cofactors"""]),
    'R-DRE-196849':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of water-soluble vitamins and cofactors"""]),
    'R-GGA-196849':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of water-soluble vitamins and cofactors"""]),
    'R-MMU-196849':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of water-soluble vitamins and cofactors"""]),
    'R-PFA-196849':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of water-soluble vitamins and cofactors"""]),
    'R-RNO-196849':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of water-soluble vitamins and cofactors"""]),
    'R-SCE-196849':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of water-soluble vitamins and cofactors"""]),
    'R-SPO-196849':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of water-soluble vitamins and cofactors"""]),
    'R-SSC-196849':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of water-soluble vitamins and cofactors"""]),
    'R-XTR-196849':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of water-soluble vitamins and cofactors"""]),
    'R-HSA-196854':Nto._make([date(2007,  8, 21), '..f....', 'B.', """Metabolism of vitamins and cofactors"""]),
    'R-BTA-196854':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamins and cofactors"""]),
    'R-CEL-196854':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamins and cofactors"""]),
    'R-CFA-196854':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamins and cofactors"""]),
    'R-DDI-196854':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamins and cofactors"""]),
    'R-DME-196854':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamins and cofactors"""]),
    'R-DRE-196854':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamins and cofactors"""]),
    'R-GGA-196854':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamins and cofactors"""]),
    'R-MMU-196854':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamins and cofactors"""]),
    'R-PFA-196854':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamins and cofactors"""]),
    'R-RNO-196854':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamins and cofactors"""]),
    'R-SCE-196854':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamins and cofactors"""]),
    'R-SPO-196854':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamins and cofactors"""]),
    'R-SSC-196854':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamins and cofactors"""]),
    'R-XTR-196854':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamins and cofactors"""]),
    'R-HSA-197264':Nto._make([date(2006,  4, 24), '....P..', 'B.', """Nicotinamide salvaging"""]),
    'R-BTA-197264':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nicotinamide salvaging"""]),
    'R-CEL-197264':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nicotinamide salvaging"""]),
    'R-CFA-197264':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nicotinamide salvaging"""]),
    'R-DDI-197264':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nicotinamide salvaging"""]),
    'R-DME-197264':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nicotinamide salvaging"""]),
    'R-DRE-197264':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nicotinamide salvaging"""]),
    'R-GGA-197264':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nicotinamide salvaging"""]),
    'R-MMU-197264':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nicotinamide salvaging"""]),
    'R-PFA-197264':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nicotinamide salvaging"""]),
    'R-RNO-197264':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nicotinamide salvaging"""]),
    'R-SCE-197264':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nicotinamide salvaging"""]),
    'R-SPO-197264':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nicotinamide salvaging"""]),
    'R-SSC-197264':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nicotinamide salvaging"""]),
    'R-XTR-197264':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nicotinamide salvaging"""]),
    'R-HSA-198203':Nto._make([date(2008,  3, 12), '....P..', 'B.', """PI3K/AKT activation"""]),
    'R-BTA-198203':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI3K/AKT activation"""]),
    'R-CEL-198203':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI3K/AKT activation"""]),
    'R-CFA-198203':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI3K/AKT activation"""]),
    'R-DDI-198203':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI3K/AKT activation"""]),
    'R-DME-198203':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI3K/AKT activation"""]),
    'R-DRE-198203':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI3K/AKT activation"""]),
    'R-GGA-198203':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI3K/AKT activation"""]),
    'R-MMU-198203':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI3K/AKT activation"""]),
    'R-RNO-198203':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI3K/AKT activation"""]),
    'R-SCE-198203':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI3K/AKT activation"""]),
    'R-SPO-198203':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI3K/AKT activation"""]),
    'R-SSC-198203':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI3K/AKT activation"""]),
    'R-XTR-198203':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI3K/AKT activation"""]),
    'R-HSA-198323':Nto._make([date(2008,  3, 12), '.......', '.C', """AKT phosphorylates targets in the cytosol"""]),
    'R-CEL-198323':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the cytosol"""]),
    'R-CFA-198323':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the cytosol"""]),
    'R-DDI-198323':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the cytosol"""]),
    'R-DME-198323':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the cytosol"""]),
    'R-DRE-198323':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the cytosol"""]),
    'R-GGA-198323':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the cytosol"""]),
    'R-MMU-198323':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the cytosol"""]),
    'R-RNO-198323':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the cytosol"""]),
    'R-SPO-198323':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the cytosol"""]),
    'R-SSC-198323':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the cytosol"""]),
    'R-XTR-198323':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the cytosol"""]),
    'R-HSA-198693':Nto._make([date(2008,  3, 12), '.......', '.C', """AKT phosphorylates targets in the nucleus"""]),
    'R-CEL-198693':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the nucleus"""]),
    'R-CFA-198693':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the nucleus"""]),
    'R-DDI-198693':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the nucleus"""]),
    'R-DME-198693':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the nucleus"""]),
    'R-DRE-198693':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the nucleus"""]),
    'R-GGA-198693':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the nucleus"""]),
    'R-MMU-198693':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the nucleus"""]),
    'R-RNO-198693':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the nucleus"""]),
    'R-SCE-198693':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the nucleus"""]),
    'R-SPO-198693':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the nucleus"""]),
    'R-SSC-198693':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the nucleus"""]),
    'R-XTR-198693':Nto._make([date(2019,  3, 20), '...I...', '.C', """AKT phosphorylates targets in the nucleus"""]),
    'R-HSA-198725':Nto._make([date(2008,  3, 12), '....P..', '..', """Nuclear Events (kinase and transcription factor activation)"""]),
    'R-BTA-198725':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Events (kinase and transcription factor activation)"""]),
    'R-CEL-198725':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Events (kinase and transcription factor activation)"""]),
    'R-CFA-198725':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Events (kinase and transcription factor activation)"""]),
    'R-DDI-198725':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Events (kinase and transcription factor activation)"""]),
    'R-DME-198725':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Events (kinase and transcription factor activation)"""]),
    'R-DRE-198725':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Events (kinase and transcription factor activation)"""]),
    'R-GGA-198725':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Events (kinase and transcription factor activation)"""]),
    'R-MMU-198725':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Events (kinase and transcription factor activation)"""]),
    'R-PFA-198725':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Events (kinase and transcription factor activation)"""]),
    'R-RNO-198725':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Events (kinase and transcription factor activation)"""]),
    'R-SCE-198725':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Events (kinase and transcription factor activation)"""]),
    'R-SPO-198725':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Events (kinase and transcription factor activation)"""]),
    'R-SSC-198725':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Events (kinase and transcription factor activation)"""]),
    'R-XTR-198725':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Events (kinase and transcription factor activation)"""]),
    'R-HSA-198745':Nto._make([date(2007, 12, 11), '.......', '..', """Signalling to STAT3"""]),
    'R-HSA-198753':Nto._make([date(2008,  3, 12), '.......', '..', """ERK/MAPK targets"""]),
    'R-BTA-198753':Nto._make([date(2019,  3, 20), '...I...', '..', """ERK/MAPK targets"""]),
    'R-CEL-198753':Nto._make([date(2019,  3, 20), '...I...', '..', """ERK/MAPK targets"""]),
    'R-CFA-198753':Nto._make([date(2019,  3, 20), '...I...', '..', """ERK/MAPK targets"""]),
    'R-DDI-198753':Nto._make([date(2019,  3, 20), '...I...', '..', """ERK/MAPK targets"""]),
    'R-DME-198753':Nto._make([date(2019,  3, 20), '...I...', '..', """ERK/MAPK targets"""]),
    'R-DRE-198753':Nto._make([date(2019,  3, 20), '...I...', '..', """ERK/MAPK targets"""]),
    'R-GGA-198753':Nto._make([date(2019,  3, 20), '...I...', '..', """ERK/MAPK targets"""]),
    'R-MMU-198753':Nto._make([date(2019,  3, 20), '...I...', '..', """ERK/MAPK targets"""]),
    'R-PFA-198753':Nto._make([date(2019,  3, 20), '...I...', '..', """ERK/MAPK targets"""]),
    'R-RNO-198753':Nto._make([date(2019,  3, 20), '...I...', '..', """ERK/MAPK targets"""]),
    'R-SCE-198753':Nto._make([date(2019,  3, 20), '...I...', '..', """ERK/MAPK targets"""]),
    'R-SPO-198753':Nto._make([date(2019,  3, 20), '...I...', '..', """ERK/MAPK targets"""]),
    'R-SSC-198753':Nto._make([date(2019,  3, 20), '...I...', '..', """ERK/MAPK targets"""]),
    'R-XTR-198753':Nto._make([date(2019,  3, 20), '...I...', '..', """ERK/MAPK targets"""]),
    'R-HSA-198765':Nto._make([date(2007, 12, 11), '.......', '..', """Signalling to ERK5"""]),
    'R-BTA-198765':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERK5"""]),
    'R-CEL-198765':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERK5"""]),
    'R-CFA-198765':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERK5"""]),
    'R-DDI-198765':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERK5"""]),
    'R-DRE-198765':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERK5"""]),
    'R-MMU-198765':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERK5"""]),
    'R-RNO-198765':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERK5"""]),
    'R-SSC-198765':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERK5"""]),
    'R-XTR-198765':Nto._make([date(2019,  3, 20), '...I...', '..', """Signalling to ERK5"""]),
    'R-HSA-198933':Nto._make([date(2007,  8, 21), '..F.P..', 'B.', """Immunoregulatory interactions between a Lymphoid and a non-Lymphoid cell"""]),
    'R-BTA-198933':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Immunoregulatory interactions between a Lymphoid and a non-Lymphoid cell"""]),
    'R-CFA-198933':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Immunoregulatory interactions between a Lymphoid and a non-Lymphoid cell"""]),
    'R-DRE-198933':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Immunoregulatory interactions between a Lymphoid and a non-Lymphoid cell"""]),
    'R-GGA-198933':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Immunoregulatory interactions between a Lymphoid and a non-Lymphoid cell"""]),
    'R-MMU-198933':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Immunoregulatory interactions between a Lymphoid and a non-Lymphoid cell"""]),
    'R-RNO-198933':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Immunoregulatory interactions between a Lymphoid and a non-Lymphoid cell"""]),
    'R-SSC-198933':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Immunoregulatory interactions between a Lymphoid and a non-Lymphoid cell"""]),
    'R-XTR-198933':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Immunoregulatory interactions between a Lymphoid and a non-Lymphoid cell"""]),
    'R-HSA-199220':Nto._make([date(2007,  8, 21), '....P..', 'B.', """Vitamin B5 (pantothenate) metabolism"""]),
    'R-BTA-199220':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B5 (pantothenate) metabolism"""]),
    'R-CEL-199220':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B5 (pantothenate) metabolism"""]),
    'R-CFA-199220':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B5 (pantothenate) metabolism"""]),
    'R-DDI-199220':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B5 (pantothenate) metabolism"""]),
    'R-DME-199220':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B5 (pantothenate) metabolism"""]),
    'R-DRE-199220':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B5 (pantothenate) metabolism"""]),
    'R-GGA-199220':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B5 (pantothenate) metabolism"""]),
    'R-MMU-199220':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B5 (pantothenate) metabolism"""]),
    'R-PFA-199220':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B5 (pantothenate) metabolism"""]),
    'R-RNO-199220':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B5 (pantothenate) metabolism"""]),
    'R-SCE-199220':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B5 (pantothenate) metabolism"""]),
    'R-SPO-199220':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B5 (pantothenate) metabolism"""]),
    'R-SSC-199220':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B5 (pantothenate) metabolism"""]),
    'R-XTR-199220':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamin B5 (pantothenate) metabolism"""]),
    'R-HSA-199418':Nto._make([date(2008,  3, 12), '.......', '..', """Negative regulation of the PI3K/AKT network"""]),
    'R-BTA-199418':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of the PI3K/AKT network"""]),
    'R-CEL-199418':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of the PI3K/AKT network"""]),
    'R-CFA-199418':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of the PI3K/AKT network"""]),
    'R-DDI-199418':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of the PI3K/AKT network"""]),
    'R-DME-199418':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of the PI3K/AKT network"""]),
    'R-DRE-199418':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of the PI3K/AKT network"""]),
    'R-GGA-199418':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of the PI3K/AKT network"""]),
    'R-MMU-199418':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of the PI3K/AKT network"""]),
    'R-PFA-199418':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of the PI3K/AKT network"""]),
    'R-RNO-199418':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of the PI3K/AKT network"""]),
    'R-SCE-199418':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of the PI3K/AKT network"""]),
    'R-SPO-199418':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of the PI3K/AKT network"""]),
    'R-SSC-199418':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of the PI3K/AKT network"""]),
    'R-XTR-199418':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of the PI3K/AKT network"""]),
    'R-HSA-199920':Nto._make([date(2008,  3, 12), '.......', '..', """CREB phosphorylation"""]),
    'R-BTA-199920':Nto._make([date(2019,  3, 20), '...I...', '..', """CREB phosphorylation"""]),
    'R-CEL-199920':Nto._make([date(2019,  3, 20), '...I...', '..', """CREB phosphorylation"""]),
    'R-CFA-199920':Nto._make([date(2019,  3, 20), '...I...', '..', """CREB phosphorylation"""]),
    'R-DME-199920':Nto._make([date(2019,  3, 20), '...I...', '..', """CREB phosphorylation"""]),
    'R-DRE-199920':Nto._make([date(2019,  3, 20), '...I...', '..', """CREB phosphorylation"""]),
    'R-GGA-199920':Nto._make([date(2019,  3, 20), '...I...', '..', """CREB phosphorylation"""]),
    'R-MMU-199920':Nto._make([date(2019,  3, 20), '...I...', '..', """CREB phosphorylation"""]),
    'R-RNO-199920':Nto._make([date(2019,  3, 20), '...I...', '..', """CREB phosphorylation"""]),
    'R-SSC-199920':Nto._make([date(2019,  3, 20), '...I...', '..', """CREB phosphorylation"""]),
    'R-XTR-199920':Nto._make([date(2019,  3, 20), '...I...', '..', """CREB phosphorylation"""]),
    'R-HSA-199977':Nto._make([date(2010, 12, 14), '..F.P..', 'B.', """ER to Golgi Anterograde Transport"""]),
    'R-BTA-199977':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ER to Golgi Anterograde Transport"""]),
    'R-CEL-199977':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ER to Golgi Anterograde Transport"""]),
    'R-CFA-199977':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ER to Golgi Anterograde Transport"""]),
    'R-DDI-199977':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ER to Golgi Anterograde Transport"""]),
    'R-DME-199977':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ER to Golgi Anterograde Transport"""]),
    'R-DRE-199977':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ER to Golgi Anterograde Transport"""]),
    'R-GGA-199977':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ER to Golgi Anterograde Transport"""]),
    'R-MMU-199977':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ER to Golgi Anterograde Transport"""]),
    'R-PFA-199977':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ER to Golgi Anterograde Transport"""]),
    'R-RNO-199977':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ER to Golgi Anterograde Transport"""]),
    'R-SCE-199977':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ER to Golgi Anterograde Transport"""]),
    'R-SPO-199977':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ER to Golgi Anterograde Transport"""]),
    'R-SSC-199977':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ER to Golgi Anterograde Transport"""]),
    'R-XTR-199977':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ER to Golgi Anterograde Transport"""]),
    'R-HSA-199991':Nto._make([date(2007,  8, 21), '..F.P..', 'B.', """Membrane Trafficking"""]),
    'R-BTA-199991':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Membrane Trafficking"""]),
    'R-CEL-199991':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Membrane Trafficking"""]),
    'R-CFA-199991':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Membrane Trafficking"""]),
    'R-DDI-199991':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Membrane Trafficking"""]),
    'R-DME-199991':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Membrane Trafficking"""]),
    'R-DRE-199991':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Membrane Trafficking"""]),
    'R-GGA-199991':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Membrane Trafficking"""]),
    'R-MMU-199991':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Membrane Trafficking"""]),
    'R-PFA-199991':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Membrane Trafficking"""]),
    'R-RNO-199991':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Membrane Trafficking"""]),
    'R-SCE-199991':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Membrane Trafficking"""]),
    'R-SPO-199991':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Membrane Trafficking"""]),
    'R-SSC-199991':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Membrane Trafficking"""]),
    'R-XTR-199991':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Membrane Trafficking"""]),
    'R-HSA-199992':Nto._make([date(2008,  9, 30), '..F.P..', 'B.', """trans-Golgi Network Vesicle Budding"""]),
    'R-BTA-199992':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """trans-Golgi Network Vesicle Budding"""]),
    'R-CEL-199992':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """trans-Golgi Network Vesicle Budding"""]),
    'R-CFA-199992':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """trans-Golgi Network Vesicle Budding"""]),
    'R-DDI-199992':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """trans-Golgi Network Vesicle Budding"""]),
    'R-DME-199992':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """trans-Golgi Network Vesicle Budding"""]),
    'R-DRE-199992':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """trans-Golgi Network Vesicle Budding"""]),
    'R-GGA-199992':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """trans-Golgi Network Vesicle Budding"""]),
    'R-MMU-199992':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """trans-Golgi Network Vesicle Budding"""]),
    'R-PFA-199992':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """trans-Golgi Network Vesicle Budding"""]),
    'R-RNO-199992':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """trans-Golgi Network Vesicle Budding"""]),
    'R-SCE-199992':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """trans-Golgi Network Vesicle Budding"""]),
    'R-SPO-199992':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """trans-Golgi Network Vesicle Budding"""]),
    'R-SSC-199992':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """trans-Golgi Network Vesicle Budding"""]),
    'R-XTR-199992':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """trans-Golgi Network Vesicle Budding"""]),
    'R-HSA-200425':Nto._make([date(2007,  9,  4), '..F.P..', 'BC', """Import of palmitoyl-CoA into the mitochondrial matrix"""]),
    'R-BTA-200425':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Import of palmitoyl-CoA into the mitochondrial matrix"""]),
    'R-CEL-200425':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Import of palmitoyl-CoA into the mitochondrial matrix"""]),
    'R-CFA-200425':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Import of palmitoyl-CoA into the mitochondrial matrix"""]),
    'R-DDI-200425':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Import of palmitoyl-CoA into the mitochondrial matrix"""]),
    'R-DME-200425':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Import of palmitoyl-CoA into the mitochondrial matrix"""]),
    'R-DRE-200425':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Import of palmitoyl-CoA into the mitochondrial matrix"""]),
    'R-GGA-200425':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Import of palmitoyl-CoA into the mitochondrial matrix"""]),
    'R-MMU-200425':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Import of palmitoyl-CoA into the mitochondrial matrix"""]),
    'R-PFA-200425':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Import of palmitoyl-CoA into the mitochondrial matrix"""]),
    'R-RNO-200425':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Import of palmitoyl-CoA into the mitochondrial matrix"""]),
    'R-SCE-200425':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Import of palmitoyl-CoA into the mitochondrial matrix"""]),
    'R-SPO-200425':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Import of palmitoyl-CoA into the mitochondrial matrix"""]),
    'R-SSC-200425':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Import of palmitoyl-CoA into the mitochondrial matrix"""]),
    'R-XTR-200425':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Import of palmitoyl-CoA into the mitochondrial matrix"""]),
    'R-HSA-201451':Nto._make([date(2007, 12, 11), '..F.P..', 'B.', """Signaling by BMP"""]),
    'R-BTA-201451':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by BMP"""]),
    'R-CEL-201451':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by BMP"""]),
    'R-CFA-201451':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by BMP"""]),
    'R-DME-201451':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by BMP"""]),
    'R-DRE-201451':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by BMP"""]),
    'R-GGA-201451':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by BMP"""]),
    'R-MMU-201451':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by BMP"""]),
    'R-RNO-201451':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by BMP"""]),
    'R-SSC-201451':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by BMP"""]),
    'R-XTR-201451':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by BMP"""]),
    'R-HSA-201681':Nto._make([date(2014,  3, 12), '..f.P..', '.C', """TCF dependent signaling in response to WNT"""]),
    'R-BTA-201681':Nto._make([date(2019,  3, 20), '..fI...', '.C', """TCF dependent signaling in response to WNT"""]),
    'R-CEL-201681':Nto._make([date(2019,  3, 20), '..fI...', '.C', """TCF dependent signaling in response to WNT"""]),
    'R-CFA-201681':Nto._make([date(2019,  3, 20), '..fI...', '.C', """TCF dependent signaling in response to WNT"""]),
    'R-DDI-201681':Nto._make([date(2019,  3, 20), '..fI...', '.C', """TCF dependent signaling in response to WNT"""]),
    'R-DME-201681':Nto._make([date(2019,  3, 20), '..fI...', '.C', """TCF dependent signaling in response to WNT"""]),
    'R-DRE-201681':Nto._make([date(2019,  3, 20), '..fI...', '.C', """TCF dependent signaling in response to WNT"""]),
    'R-GGA-201681':Nto._make([date(2019,  3, 20), '..fI...', '.C', """TCF dependent signaling in response to WNT"""]),
    'R-MMU-201681':Nto._make([date(2019,  3, 20), '..fI...', '.C', """TCF dependent signaling in response to WNT"""]),
    'R-PFA-201681':Nto._make([date(2019,  3, 20), '..fI...', '.C', """TCF dependent signaling in response to WNT"""]),
    'R-RNO-201681':Nto._make([date(2019,  3, 20), '..fI...', '.C', """TCF dependent signaling in response to WNT"""]),
    'R-SPO-201681':Nto._make([date(2019,  3, 20), '..fI...', '.C', """TCF dependent signaling in response to WNT"""]),
    'R-SSC-201681':Nto._make([date(2019,  3, 20), '..fI...', '.C', """TCF dependent signaling in response to WNT"""]),
    'R-XTR-201681':Nto._make([date(2019,  3, 20), '..fI...', '.C', """TCF dependent signaling in response to WNT"""]),
    'R-HSA-201688':Nto._make([date(2014,  3, 12), '....P..', '..', """WNT mediated activation of DVL"""]),
    'R-BTA-201688':Nto._make([date(2019,  3, 20), '...I...', '..', """WNT mediated activation of DVL"""]),
    'R-CEL-201688':Nto._make([date(2019,  3, 20), '...I...', '..', """WNT mediated activation of DVL"""]),
    'R-CFA-201688':Nto._make([date(2019,  3, 20), '...I...', '..', """WNT mediated activation of DVL"""]),
    'R-DME-201688':Nto._make([date(2019,  3, 20), '...I...', '..', """WNT mediated activation of DVL"""]),
    'R-DRE-201688':Nto._make([date(2019,  3, 20), '...I...', '..', """WNT mediated activation of DVL"""]),
    'R-GGA-201688':Nto._make([date(2019,  3, 20), '...I...', '..', """WNT mediated activation of DVL"""]),
    'R-MMU-201688':Nto._make([date(2019,  3, 20), '...I...', '..', """WNT mediated activation of DVL"""]),
    'R-RNO-201688':Nto._make([date(2019,  3, 20), '...I...', '..', """WNT mediated activation of DVL"""]),
    'R-SSC-201688':Nto._make([date(2019,  3, 20), '...I...', '..', """WNT mediated activation of DVL"""]),
    'R-XTR-201688':Nto._make([date(2019,  3, 20), '...I...', '..', """WNT mediated activation of DVL"""]),
    'R-HSA-201722':Nto._make([date(2014,  3, 12), '....P..', 'BC', """Formation of the beta-catenin:TCF transactivating complex"""]),
    'R-BTA-201722':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the beta-catenin:TCF transactivating complex"""]),
    'R-CEL-201722':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the beta-catenin:TCF transactivating complex"""]),
    'R-CFA-201722':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the beta-catenin:TCF transactivating complex"""]),
    'R-DME-201722':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the beta-catenin:TCF transactivating complex"""]),
    'R-DRE-201722':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the beta-catenin:TCF transactivating complex"""]),
    'R-GGA-201722':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the beta-catenin:TCF transactivating complex"""]),
    'R-MMU-201722':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the beta-catenin:TCF transactivating complex"""]),
    'R-RNO-201722':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the beta-catenin:TCF transactivating complex"""]),
    'R-SSC-201722':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the beta-catenin:TCF transactivating complex"""]),
    'R-XTR-201722':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Formation of the beta-catenin:TCF transactivating complex"""]),
    'R-HSA-202040':Nto._make([date(2008, 12, 17), '....P..', '..', """G-protein activation"""]),
    'R-BTA-202040':Nto._make([date(2019,  3, 20), '...I...', '..', """G-protein activation"""]),
    'R-CEL-202040':Nto._make([date(2019,  3, 20), '...I...', '..', """G-protein activation"""]),
    'R-CFA-202040':Nto._make([date(2019,  3, 20), '...I...', '..', """G-protein activation"""]),
    'R-DDI-202040':Nto._make([date(2019,  3, 20), '...I...', '..', """G-protein activation"""]),
    'R-DME-202040':Nto._make([date(2019,  3, 20), '...I...', '..', """G-protein activation"""]),
    'R-DRE-202040':Nto._make([date(2019,  3, 20), '...I...', '..', """G-protein activation"""]),
    'R-GGA-202040':Nto._make([date(2019,  3, 20), '...I...', '..', """G-protein activation"""]),
    'R-MMU-202040':Nto._make([date(2019,  3, 20), '...I...', '..', """G-protein activation"""]),
    'R-RNO-202040':Nto._make([date(2019,  3, 20), '...I...', '..', """G-protein activation"""]),
    'R-SCE-202040':Nto._make([date(2019,  3, 20), '...I...', '..', """G-protein activation"""]),
    'R-SPO-202040':Nto._make([date(2019,  3, 20), '...I...', '..', """G-protein activation"""]),
    'R-SSC-202040':Nto._make([date(2019,  3, 20), '...I...', '..', """G-protein activation"""]),
    'R-XTR-202040':Nto._make([date(2019,  3, 20), '...I...', '..', """G-protein activation"""]),
    'R-HSA-202131':Nto._make([date(2008,  3, 12), '..f.P..', 'BC', """Metabolism of nitric oxide: eNOS activation and regulation"""]),
    'R-BTA-202131':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of nitric oxide: eNOS activation and regulation"""]),
    'R-CEL-202131':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of nitric oxide: eNOS activation and regulation"""]),
    'R-CFA-202131':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of nitric oxide: eNOS activation and regulation"""]),
    'R-DDI-202131':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of nitric oxide: eNOS activation and regulation"""]),
    'R-DME-202131':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of nitric oxide: eNOS activation and regulation"""]),
    'R-DRE-202131':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of nitric oxide: eNOS activation and regulation"""]),
    'R-GGA-202131':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of nitric oxide: eNOS activation and regulation"""]),
    'R-MMU-202131':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of nitric oxide: eNOS activation and regulation"""]),
    'R-PFA-202131':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of nitric oxide: eNOS activation and regulation"""]),
    'R-RNO-202131':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of nitric oxide: eNOS activation and regulation"""]),
    'R-SCE-202131':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of nitric oxide: eNOS activation and regulation"""]),
    'R-SPO-202131':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of nitric oxide: eNOS activation and regulation"""]),
    'R-SSC-202131':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of nitric oxide: eNOS activation and regulation"""]),
    'R-XTR-202131':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of nitric oxide: eNOS activation and regulation"""]),
    'R-HSA-202403':Nto._make([date(2008,  3, 12), '..F.P..', 'B.', """TCR signaling"""]),
    'R-BTA-202403':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TCR signaling"""]),
    'R-CEL-202403':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TCR signaling"""]),
    'R-CFA-202403':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TCR signaling"""]),
    'R-DDI-202403':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TCR signaling"""]),
    'R-DME-202403':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TCR signaling"""]),
    'R-DRE-202403':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TCR signaling"""]),
    'R-GGA-202403':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TCR signaling"""]),
    'R-MMU-202403':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TCR signaling"""]),
    'R-PFA-202403':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TCR signaling"""]),
    'R-RNO-202403':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TCR signaling"""]),
    'R-SCE-202403':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TCR signaling"""]),
    'R-SPO-202403':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TCR signaling"""]),
    'R-SSC-202403':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TCR signaling"""]),
    'R-XTR-202403':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TCR signaling"""]),
    'R-HSA-202424':Nto._make([date(2008,  3, 12), '....P..', '..', """Downstream TCR signaling"""]),
    'R-BTA-202424':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream TCR signaling"""]),
    'R-CEL-202424':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream TCR signaling"""]),
    'R-CFA-202424':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream TCR signaling"""]),
    'R-DDI-202424':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream TCR signaling"""]),
    'R-DME-202424':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream TCR signaling"""]),
    'R-DRE-202424':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream TCR signaling"""]),
    'R-GGA-202424':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream TCR signaling"""]),
    'R-MMU-202424':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream TCR signaling"""]),
    'R-PFA-202424':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream TCR signaling"""]),
    'R-RNO-202424':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream TCR signaling"""]),
    'R-SCE-202424':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream TCR signaling"""]),
    'R-SPO-202424':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream TCR signaling"""]),
    'R-SSC-202424':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream TCR signaling"""]),
    'R-XTR-202424':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream TCR signaling"""]),
    'R-HSA-202427':Nto._make([date(2008,  3, 12), '....P..', '.C', """Phosphorylation of CD3 and TCR zeta chains"""]),
    'R-BTA-202427':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of CD3 and TCR zeta chains"""]),
    'R-CFA-202427':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of CD3 and TCR zeta chains"""]),
    'R-DRE-202427':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of CD3 and TCR zeta chains"""]),
    'R-MMU-202427':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of CD3 and TCR zeta chains"""]),
    'R-RNO-202427':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of CD3 and TCR zeta chains"""]),
    'R-SSC-202427':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of CD3 and TCR zeta chains"""]),
    'R-XTR-202427':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phosphorylation of CD3 and TCR zeta chains"""]),
    'R-HSA-202430':Nto._make([date(2008,  3, 12), '....P..', '.C', """Translocation of ZAP-70 to Immunological synapse"""]),
    'R-BTA-202430':Nto._make([date(2019,  3, 20), '...I...', '.C', """Translocation of ZAP-70 to Immunological synapse"""]),
    'R-CFA-202430':Nto._make([date(2019,  3, 20), '...I...', '.C', """Translocation of ZAP-70 to Immunological synapse"""]),
    'R-MMU-202430':Nto._make([date(2019,  3, 20), '...I...', '.C', """Translocation of ZAP-70 to Immunological synapse"""]),
    'R-RNO-202430':Nto._make([date(2019,  3, 20), '...I...', '.C', """Translocation of ZAP-70 to Immunological synapse"""]),
    'R-SSC-202430':Nto._make([date(2019,  3, 20), '...I...', '.C', """Translocation of ZAP-70 to Immunological synapse"""]),
    'R-XTR-202430':Nto._make([date(2019,  3, 20), '...I...', '.C', """Translocation of ZAP-70 to Immunological synapse"""]),
    'R-HSA-202433':Nto._make([date(2008,  3, 12), '....P..', '.C', """Generation of second messenger molecules"""]),
    'R-BTA-202433':Nto._make([date(2019,  3, 20), '...I...', '.C', """Generation of second messenger molecules"""]),
    'R-CEL-202433':Nto._make([date(2019,  3, 20), '...I...', '.C', """Generation of second messenger molecules"""]),
    'R-CFA-202433':Nto._make([date(2019,  3, 20), '...I...', '.C', """Generation of second messenger molecules"""]),
    'R-DDI-202433':Nto._make([date(2019,  3, 20), '...I...', '.C', """Generation of second messenger molecules"""]),
    'R-DME-202433':Nto._make([date(2019,  3, 20), '...I...', '.C', """Generation of second messenger molecules"""]),
    'R-DRE-202433':Nto._make([date(2019,  3, 20), '...I...', '.C', """Generation of second messenger molecules"""]),
    'R-GGA-202433':Nto._make([date(2019,  3, 20), '...I...', '.C', """Generation of second messenger molecules"""]),
    'R-MMU-202433':Nto._make([date(2019,  3, 20), '...I...', '.C', """Generation of second messenger molecules"""]),
    'R-PFA-202433':Nto._make([date(2019,  3, 20), '...I...', '.C', """Generation of second messenger molecules"""]),
    'R-RNO-202433':Nto._make([date(2019,  3, 20), '...I...', '.C', """Generation of second messenger molecules"""]),
    'R-SCE-202433':Nto._make([date(2019,  3, 20), '...I...', '.C', """Generation of second messenger molecules"""]),
    'R-SPO-202433':Nto._make([date(2019,  3, 20), '...I...', '.C', """Generation of second messenger molecules"""]),
    'R-SSC-202433':Nto._make([date(2019,  3, 20), '...I...', '.C', """Generation of second messenger molecules"""]),
    'R-XTR-202433':Nto._make([date(2019,  3, 20), '...I...', '.C', """Generation of second messenger molecules"""]),
    'R-HSA-202670':Nto._make([date(2008,  3, 12), '....P..', '..', """ERKs are inactivated"""]),
    'R-BTA-202670':Nto._make([date(2019,  3, 20), '...I...', '..', """ERKs are inactivated"""]),
    'R-CEL-202670':Nto._make([date(2019,  3, 20), '...I...', '..', """ERKs are inactivated"""]),
    'R-CFA-202670':Nto._make([date(2019,  3, 20), '...I...', '..', """ERKs are inactivated"""]),
    'R-DDI-202670':Nto._make([date(2019,  3, 20), '...I...', '..', """ERKs are inactivated"""]),
    'R-DME-202670':Nto._make([date(2019,  3, 20), '...I...', '..', """ERKs are inactivated"""]),
    'R-DRE-202670':Nto._make([date(2019,  3, 20), '...I...', '..', """ERKs are inactivated"""]),
    'R-GGA-202670':Nto._make([date(2019,  3, 20), '...I...', '..', """ERKs are inactivated"""]),
    'R-MMU-202670':Nto._make([date(2019,  3, 20), '...I...', '..', """ERKs are inactivated"""]),
    'R-PFA-202670':Nto._make([date(2019,  3, 20), '...I...', '..', """ERKs are inactivated"""]),
    'R-RNO-202670':Nto._make([date(2019,  3, 20), '...I...', '..', """ERKs are inactivated"""]),
    'R-SCE-202670':Nto._make([date(2019,  3, 20), '...I...', '..', """ERKs are inactivated"""]),
    'R-SPO-202670':Nto._make([date(2019,  3, 20), '...I...', '..', """ERKs are inactivated"""]),
    'R-SSC-202670':Nto._make([date(2019,  3, 20), '...I...', '..', """ERKs are inactivated"""]),
    'R-XTR-202670':Nto._make([date(2019,  3, 20), '...I...', '..', """ERKs are inactivated"""]),
    'R-HSA-202733':Nto._make([date(2007, 12, 11), '..F.P..', 'BC', """Cell surface interactions at the vascular wall"""]),
    'R-BTA-202733':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Cell surface interactions at the vascular wall"""]),
    'R-CEL-202733':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Cell surface interactions at the vascular wall"""]),
    'R-CFA-202733':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Cell surface interactions at the vascular wall"""]),
    'R-DME-202733':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Cell surface interactions at the vascular wall"""]),
    'R-DRE-202733':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Cell surface interactions at the vascular wall"""]),
    'R-GGA-202733':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Cell surface interactions at the vascular wall"""]),
    'R-MMU-202733':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Cell surface interactions at the vascular wall"""]),
    'R-RNO-202733':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Cell surface interactions at the vascular wall"""]),
    'R-SSC-202733':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Cell surface interactions at the vascular wall"""]),
    'R-XTR-202733':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Cell surface interactions at the vascular wall"""]),
    'R-HSA-203615':Nto._make([date(2008,  3, 12), '....P..', 'B.', """eNOS activation"""]),
    'R-BTA-203615':Nto._make([date(2019,  3, 20), '...I...', 'B.', """eNOS activation"""]),
    'R-CEL-203615':Nto._make([date(2019,  3, 20), '...I...', 'B.', """eNOS activation"""]),
    'R-CFA-203615':Nto._make([date(2019,  3, 20), '...I...', 'B.', """eNOS activation"""]),
    'R-DDI-203615':Nto._make([date(2019,  3, 20), '...I...', 'B.', """eNOS activation"""]),
    'R-DME-203615':Nto._make([date(2019,  3, 20), '...I...', 'B.', """eNOS activation"""]),
    'R-DRE-203615':Nto._make([date(2019,  3, 20), '...I...', 'B.', """eNOS activation"""]),
    'R-GGA-203615':Nto._make([date(2019,  3, 20), '...I...', 'B.', """eNOS activation"""]),
    'R-MMU-203615':Nto._make([date(2019,  3, 20), '...I...', 'B.', """eNOS activation"""]),
    'R-PFA-203615':Nto._make([date(2019,  3, 20), '...I...', 'B.', """eNOS activation"""]),
    'R-RNO-203615':Nto._make([date(2019,  3, 20), '...I...', 'B.', """eNOS activation"""]),
    'R-SCE-203615':Nto._make([date(2019,  3, 20), '...I...', 'B.', """eNOS activation"""]),
    'R-SPO-203615':Nto._make([date(2019,  3, 20), '...I...', 'B.', """eNOS activation"""]),
    'R-SSC-203615':Nto._make([date(2019,  3, 20), '...I...', 'B.', """eNOS activation"""]),
    'R-XTR-203615':Nto._make([date(2019,  3, 20), '...I...', 'B.', """eNOS activation"""]),
    'R-HSA-203641':Nto._make([date(2008,  3, 12), '....P..', 'B.', """NOSTRIN mediated eNOS trafficking"""]),
    'R-BTA-203641':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOSTRIN mediated eNOS trafficking"""]),
    'R-CEL-203641':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOSTRIN mediated eNOS trafficking"""]),
    'R-CFA-203641':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOSTRIN mediated eNOS trafficking"""]),
    'R-DDI-203641':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOSTRIN mediated eNOS trafficking"""]),
    'R-DME-203641':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOSTRIN mediated eNOS trafficking"""]),
    'R-DRE-203641':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOSTRIN mediated eNOS trafficking"""]),
    'R-MMU-203641':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOSTRIN mediated eNOS trafficking"""]),
    'R-RNO-203641':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOSTRIN mediated eNOS trafficking"""]),
    'R-SCE-203641':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOSTRIN mediated eNOS trafficking"""]),
    'R-SPO-203641':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOSTRIN mediated eNOS trafficking"""]),
    'R-SSC-203641':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOSTRIN mediated eNOS trafficking"""]),
    'R-XTR-203641':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOSTRIN mediated eNOS trafficking"""]),
    'R-HSA-203754':Nto._make([date(2008,  3, 12), '....P..', 'B.', """NOSIP mediated eNOS trafficking"""]),
    'R-DDI-203754':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOSIP mediated eNOS trafficking"""]),
    'R-DME-203754':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOSIP mediated eNOS trafficking"""]),
    'R-MMU-203754':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOSIP mediated eNOS trafficking"""]),
    'R-PFA-203754':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOSIP mediated eNOS trafficking"""]),
    'R-RNO-203754':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOSIP mediated eNOS trafficking"""]),
    'R-XTR-203754':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOSIP mediated eNOS trafficking"""]),
    'R-HSA-203927':Nto._make([date(2010,  6, 15), '....P..', 'BC', """MicroRNA (miRNA) biogenesis"""]),
    'R-CEL-203927':Nto._make([date(2019,  3, 20), '...I...', 'BC', """MicroRNA (miRNA) biogenesis"""]),
    'R-CFA-203927':Nto._make([date(2019,  3, 20), '...I...', 'BC', """MicroRNA (miRNA) biogenesis"""]),
    'R-DME-203927':Nto._make([date(2019,  3, 20), '...I...', 'BC', """MicroRNA (miRNA) biogenesis"""]),
    'R-DRE-203927':Nto._make([date(2019,  3, 20), '...I...', 'BC', """MicroRNA (miRNA) biogenesis"""]),
    'R-MMU-203927':Nto._make([date(2019,  3, 20), '...I...', 'BC', """MicroRNA (miRNA) biogenesis"""]),
    'R-RNO-203927':Nto._make([date(2019,  3, 20), '...I...', 'BC', """MicroRNA (miRNA) biogenesis"""]),
    'R-SSC-203927':Nto._make([date(2019,  3, 20), '...I...', 'BC', """MicroRNA (miRNA) biogenesis"""]),
    'R-XTR-203927':Nto._make([date(2019,  3, 20), '...I...', 'BC', """MicroRNA (miRNA) biogenesis"""]),
    'R-HSA-204005':Nto._make([date(2010, 12, 14), '..F.P..', 'B.', """COPII-mediated vesicle transport"""]),
    'R-BTA-204005':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """COPII-mediated vesicle transport"""]),
    'R-CEL-204005':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """COPII-mediated vesicle transport"""]),
    'R-CFA-204005':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """COPII-mediated vesicle transport"""]),
    'R-DDI-204005':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """COPII-mediated vesicle transport"""]),
    'R-DME-204005':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """COPII-mediated vesicle transport"""]),
    'R-DRE-204005':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """COPII-mediated vesicle transport"""]),
    'R-GGA-204005':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """COPII-mediated vesicle transport"""]),
    'R-MMU-204005':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """COPII-mediated vesicle transport"""]),
    'R-PFA-204005':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """COPII-mediated vesicle transport"""]),
    'R-RNO-204005':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """COPII-mediated vesicle transport"""]),
    'R-SCE-204005':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """COPII-mediated vesicle transport"""]),
    'R-SPO-204005':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """COPII-mediated vesicle transport"""]),
    'R-SSC-204005':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """COPII-mediated vesicle transport"""]),
    'R-XTR-204005':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """COPII-mediated vesicle transport"""]),
    'R-HSA-204174':Nto._make([date(2008,  3, 12), '....P..', 'BC', """Regulation of pyruvate dehydrogenase (PDH) complex"""]),
    'R-BTA-204174':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of pyruvate dehydrogenase (PDH) complex"""]),
    'R-CEL-204174':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of pyruvate dehydrogenase (PDH) complex"""]),
    'R-CFA-204174':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of pyruvate dehydrogenase (PDH) complex"""]),
    'R-DDI-204174':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of pyruvate dehydrogenase (PDH) complex"""]),
    'R-DME-204174':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of pyruvate dehydrogenase (PDH) complex"""]),
    'R-DRE-204174':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of pyruvate dehydrogenase (PDH) complex"""]),
    'R-GGA-204174':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of pyruvate dehydrogenase (PDH) complex"""]),
    'R-MMU-204174':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of pyruvate dehydrogenase (PDH) complex"""]),
    'R-RNO-204174':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of pyruvate dehydrogenase (PDH) complex"""]),
    'R-SPO-204174':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of pyruvate dehydrogenase (PDH) complex"""]),
    'R-SSC-204174':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of pyruvate dehydrogenase (PDH) complex"""]),
    'R-XTR-204174':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of pyruvate dehydrogenase (PDH) complex"""]),
    'R-HSA-204626':Nto._make([date(2008,  3, 12), '....P..', 'BC', """Hypusine synthesis from eIF5A-lysine"""]),
    'R-BTA-204626':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Hypusine synthesis from eIF5A-lysine"""]),
    'R-CEL-204626':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Hypusine synthesis from eIF5A-lysine"""]),
    'R-CFA-204626':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Hypusine synthesis from eIF5A-lysine"""]),
    'R-DDI-204626':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Hypusine synthesis from eIF5A-lysine"""]),
    'R-DME-204626':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Hypusine synthesis from eIF5A-lysine"""]),
    'R-DRE-204626':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Hypusine synthesis from eIF5A-lysine"""]),
    'R-GGA-204626':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Hypusine synthesis from eIF5A-lysine"""]),
    'R-MMU-204626':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Hypusine synthesis from eIF5A-lysine"""]),
    'R-PFA-204626':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Hypusine synthesis from eIF5A-lysine"""]),
    'R-RNO-204626':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Hypusine synthesis from eIF5A-lysine"""]),
    'R-SCE-204626':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Hypusine synthesis from eIF5A-lysine"""]),
    'R-SPO-204626':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Hypusine synthesis from eIF5A-lysine"""]),
    'R-SSC-204626':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Hypusine synthesis from eIF5A-lysine"""]),
    'R-XTR-204626':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Hypusine synthesis from eIF5A-lysine"""]),
    'R-HSA-204998':Nto._make([date(2008,  6, 30), '....P..', 'B.', """Cell death signalling via NRAGE, NRIF and NADE"""]),
    'R-BTA-204998':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cell death signalling via NRAGE, NRIF and NADE"""]),
    'R-CEL-204998':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cell death signalling via NRAGE, NRIF and NADE"""]),
    'R-CFA-204998':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cell death signalling via NRAGE, NRIF and NADE"""]),
    'R-DDI-204998':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cell death signalling via NRAGE, NRIF and NADE"""]),
    'R-DME-204998':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cell death signalling via NRAGE, NRIF and NADE"""]),
    'R-DRE-204998':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cell death signalling via NRAGE, NRIF and NADE"""]),
    'R-GGA-204998':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cell death signalling via NRAGE, NRIF and NADE"""]),
    'R-MMU-204998':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cell death signalling via NRAGE, NRIF and NADE"""]),
    'R-RNO-204998':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cell death signalling via NRAGE, NRIF and NADE"""]),
    'R-SSC-204998':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cell death signalling via NRAGE, NRIF and NADE"""]),
    'R-XTR-204998':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cell death signalling via NRAGE, NRIF and NADE"""]),
    'R-HSA-205017':Nto._make([date(2008,  6, 30), '.......', 'B.', """NFG and proNGF binds to p75NTR"""]),
    'R-BTA-205017':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NFG and proNGF binds to p75NTR"""]),
    'R-CFA-205017':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NFG and proNGF binds to p75NTR"""]),
    'R-DRE-205017':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NFG and proNGF binds to p75NTR"""]),
    'R-MMU-205017':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NFG and proNGF binds to p75NTR"""]),
    'R-RNO-205017':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NFG and proNGF binds to p75NTR"""]),
    'R-XTR-205017':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NFG and proNGF binds to p75NTR"""]),
    'R-HSA-205025':Nto._make([date(2008,  6, 30), '....P..', 'B.', """NADE modulates death signalling"""]),
    'R-BTA-205025':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NADE modulates death signalling"""]),
    'R-CFA-205025':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NADE modulates death signalling"""]),
    'R-MMU-205025':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NADE modulates death signalling"""]),
    'R-RNO-205025':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NADE modulates death signalling"""]),
    'R-HSA-205043':Nto._make([date(2008,  6, 30), '....P..', 'B.', """NRIF signals cell death from the nucleus"""]),
    'R-BTA-205043':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NRIF signals cell death from the nucleus"""]),
    'R-CFA-205043':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NRIF signals cell death from the nucleus"""]),
    'R-DRE-205043':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NRIF signals cell death from the nucleus"""]),
    'R-GGA-205043':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NRIF signals cell death from the nucleus"""]),
    'R-MMU-205043':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NRIF signals cell death from the nucleus"""]),
    'R-RNO-205043':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NRIF signals cell death from the nucleus"""]),
    'R-DME-209155':Nto._make([date(2009,  3, 12), '....P..', '.C', """Phosphorylation of AXN and APC"""]),
    'R-DME-209159':Nto._make([date(2009,  3, 12), '....P..', '..', """Assembly of the CI containing complexes"""]),
    'R-DME-209171':Nto._make([date(2009,  3, 12), '....P..', '..', """Peptidoglycans (PGN) bind to a peptidoglycan recognition protein receptor, PGRP-LC/LE"""]),
    'R-DME-209190':Nto._make([date(2009,  3, 12), '....P..', '..', """Phosphorylation of CI"""]),
    'R-DME-209209':Nto._make([date(2009,  3, 12), '....P..', '..', """Formation of the activated receptor complex"""]),
    'R-DME-209214':Nto._make([date(2009,  3, 12), '....P..', '..', """Phosphorylation of SMO"""]),
    'R-DME-209228':Nto._make([date(2009,  3, 12), '....P..', '..', """Formation of the activated STAT92E dimer and transport to the nucleus"""]),
    'R-DME-209266':Nto._make([date(2009,  3, 12), '....P..', '.C', """Peptidoglycan bound PGRP-LC/LE oligomerises"""]),
    'R-DME-209338':Nto._make([date(2009,  3, 12), '....P..', '..', """Assembly of the 'signalling complexes'"""]),
    'R-DME-209360':Nto._make([date(2009,  3, 12), '....P..', '..', """Ubiquitination and proteolysis of phosphorylated CI"""]),
    'R-DME-209387':Nto._make([date(2009,  3, 12), '....P..', '.C', """Phosphorylation of ARR"""]),
    'R-DME-209392':Nto._make([date(2009,  3, 12), '..f.P..', 'B.', """Hedgehog pathway"""]),
    'R-DME-209394':Nto._make([date(2009,  3, 12), '....P..', '..', """Transcriptional activtion and repression of REL-68 target genes"""]),
    'R-DME-209396':Nto._make([date(2009,  3, 12), '....P..', '.C', """Phosphorylation of ARM"""]),
    'R-DME-209397':Nto._make([date(2009,  3, 12), '....P..', '..', """Formation of the cytosolic BSK 'scaffolding complex'"""]),
    'R-DME-209400':Nto._make([date(2009,  3, 12), '....P..', 'B.', """Transcriptional activtion by phosphorylated DL/DIF dimer"""]),
    'R-DME-209405':Nto._make([date(2009,  3, 12), '..f.P..', 'B.', """JAK/STAT pathway"""]),
    'R-DME-209406':Nto._make([date(2009,  3, 12), '....P..', '..', """Degradation of NF-kappa-B inhibitor, CACT"""]),
    'R-DME-209407':Nto._make([date(2009,  3, 12), '....P..', '..', """Transport of ARM to the nucleus"""]),
    'R-DME-209409':Nto._make([date(2009,  3, 12), '....P..', '..', """Formation of the nuclear AP-1 transcription factor 'scaffolding complex'"""]),
    'R-DME-209412':Nto._make([date(2009,  3, 12), '..f.P..', 'B.', """Wingless pathway"""]),
    'R-DME-209413':Nto._make([date(2009,  3, 12), '....P..', '.C', """Assembly of the 'destruction complex'"""]),
    'R-DME-209421':Nto._make([date(2009,  3, 12), '....P..', '.C', """Transcription activation by ARM"""]),
    'R-DME-209425':Nto._make([date(2010,  7, 23), '....P..', '..', """Transcriptional activtion by AP-1 transcription factor"""]),
    'R-DME-209438':Nto._make([date(2009,  3, 12), '....P..', '..', """Formation of the PGN:PGRP-LC/LE receptor 'signalling complex'"""]),
    'R-DME-209440':Nto._make([date(2009,  3, 12), '....P..', '.C', """Recruitment of the 'destruction complex' to the receptor complex, the degradation of AXN and release of ARM"""]),
    'R-DME-209441':Nto._make([date(2009,  3, 12), '....P..', '..', """WG ligand not bound to FZ receptors"""]),
    'R-DME-209442':Nto._make([date(2009,  3, 12), '....P..', '..', """Formation of the trans-membrane 'signalling complex'"""]),
    'R-DME-209446':Nto._make([date(2009,  3, 12), '....P..', '..', """N-HH ligand not bound to PTC receptor complex"""]),
    'R-DME-209447':Nto._make([date(2009,  3, 12), '....P..', '..', """Activation of the IkappaB kinase complex, KEY:IRD5 dimer:KEY"""]),
    'R-DME-209449':Nto._make([date(2009,  3, 12), '..f.P..', 'B.', """Toll pathway"""]),
    'R-DME-209452':Nto._make([date(2009,  3, 12), '....P..', '..', """N-HH ligand bound to PTC receptor complex"""]),
    'R-DME-209459':Nto._make([date(2009,  3, 12), '..f.P..', '..', """Imd pathway"""]),
    'R-DME-209461':Nto._make([date(2009,  3, 12), '....P..', '.C', """Ubiquitination and degradation of phosphorylated ARM"""]),
    'R-DME-209465':Nto._make([date(2009,  3, 12), '....P..', '..', """Catalytic processing of the nuclear factor, REL"""]),
    'R-DME-209469':Nto._make([date(2009,  3, 12), '....P..', '..', """WG ligand bound to FZ receptors"""]),
    'R-DME-209471':Nto._make([date(2009,  3, 12), '....P..', '..', """Formation and transport of the N-HH ligand"""]),
    'R-DME-209472':Nto._make([date(2009,  3, 12), '....P..', '..', """Assembly of receptor complex"""]),
    'R-HSA-209543':Nto._make([date(2008,  6, 30), '.......', '..', """p75NTR recruits signalling complexes"""]),
    'R-BTA-209543':Nto._make([date(2019,  3, 20), '...I...', '..', """p75NTR recruits signalling complexes"""]),
    'R-CFA-209543':Nto._make([date(2019,  3, 20), '...I...', '..', """p75NTR recruits signalling complexes"""]),
    'R-DRE-209543':Nto._make([date(2019,  3, 20), '...I...', '..', """p75NTR recruits signalling complexes"""]),
    'R-MMU-209543':Nto._make([date(2019,  3, 20), '...I...', '..', """p75NTR recruits signalling complexes"""]),
    'R-RNO-209543':Nto._make([date(2019,  3, 20), '...I...', '..', """p75NTR recruits signalling complexes"""]),
    'R-SSC-209543':Nto._make([date(2019,  3, 20), '...I...', '..', """p75NTR recruits signalling complexes"""]),
    'R-XTR-209543':Nto._make([date(2019,  3, 20), '...I...', '..', """p75NTR recruits signalling complexes"""]),
    'R-HSA-209560':Nto._make([date(2008,  6, 30), '....P..', '..', """NF-kB is activated and signals survival"""]),
    'R-BTA-209560':Nto._make([date(2019,  3, 20), '...I...', '..', """NF-kB is activated and signals survival"""]),
    'R-CFA-209560':Nto._make([date(2019,  3, 20), '...I...', '..', """NF-kB is activated and signals survival"""]),
    'R-DME-209560':Nto._make([date(2019,  3, 20), '...I...', '..', """NF-kB is activated and signals survival"""]),
    'R-DRE-209560':Nto._make([date(2019,  3, 20), '...I...', '..', """NF-kB is activated and signals survival"""]),
    'R-GGA-209560':Nto._make([date(2019,  3, 20), '...I...', '..', """NF-kB is activated and signals survival"""]),
    'R-MMU-209560':Nto._make([date(2019,  3, 20), '...I...', '..', """NF-kB is activated and signals survival"""]),
    'R-RNO-209560':Nto._make([date(2019,  3, 20), '...I...', '..', """NF-kB is activated and signals survival"""]),
    'R-SSC-209560':Nto._make([date(2019,  3, 20), '...I...', '..', """NF-kB is activated and signals survival"""]),
    'R-XTR-209560':Nto._make([date(2019,  3, 20), '...I...', '..', """NF-kB is activated and signals survival"""]),
    'R-HSA-209563':Nto._make([date(2008,  6, 30), '....P..', 'B.', """Axonal growth stimulation"""]),
    'R-BTA-209563':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Axonal growth stimulation"""]),
    'R-CFA-209563':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Axonal growth stimulation"""]),
    'R-DRE-209563':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Axonal growth stimulation"""]),
    'R-MMU-209563':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Axonal growth stimulation"""]),
    'R-RNO-209563':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Axonal growth stimulation"""]),
    'R-SSC-209563':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Axonal growth stimulation"""]),
    'R-XTR-209563':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Axonal growth stimulation"""]),
    'R-HSA-209776':Nto._make([date(2008,  6, 30), '..f.P..', '..', """Amine-derived hormones"""]),
    'R-BTA-209776':Nto._make([date(2019,  3, 20), '..fI...', '..', """Amine-derived hormones"""]),
    'R-CEL-209776':Nto._make([date(2019,  3, 20), '..fI...', '..', """Amine-derived hormones"""]),
    'R-CFA-209776':Nto._make([date(2019,  3, 20), '..fI...', '..', """Amine-derived hormones"""]),
    'R-DDI-209776':Nto._make([date(2019,  3, 20), '..fI...', '..', """Amine-derived hormones"""]),
    'R-DME-209776':Nto._make([date(2019,  3, 20), '..fI...', '..', """Amine-derived hormones"""]),
    'R-DRE-209776':Nto._make([date(2019,  3, 20), '..fI...', '..', """Amine-derived hormones"""]),
    'R-GGA-209776':Nto._make([date(2019,  3, 20), '..fI...', '..', """Amine-derived hormones"""]),
    'R-MMU-209776':Nto._make([date(2019,  3, 20), '..fI...', '..', """Amine-derived hormones"""]),
    'R-RNO-209776':Nto._make([date(2019,  3, 20), '..fI...', '..', """Amine-derived hormones"""]),
    'R-SCE-209776':Nto._make([date(2019,  3, 20), '..fI...', '..', """Amine-derived hormones"""]),
    'R-SPO-209776':Nto._make([date(2019,  3, 20), '..fI...', '..', """Amine-derived hormones"""]),
    'R-SSC-209776':Nto._make([date(2019,  3, 20), '..fI...', '..', """Amine-derived hormones"""]),
    'R-XTR-209776':Nto._make([date(2019,  3, 20), '..fI...', '..', """Amine-derived hormones"""]),
    'R-HSA-209822':Nto._make([date(2008, 12, 17), '....P..', '..', """Glycoprotein hormones"""]),
    'R-BTA-209822':Nto._make([date(2019,  3, 20), '...I...', '..', """Glycoprotein hormones"""]),
    'R-CFA-209822':Nto._make([date(2019,  3, 20), '...I...', '..', """Glycoprotein hormones"""]),
    'R-DRE-209822':Nto._make([date(2019,  3, 20), '...I...', '..', """Glycoprotein hormones"""]),
    'R-GGA-209822':Nto._make([date(2019,  3, 20), '...I...', '..', """Glycoprotein hormones"""]),
    'R-MMU-209822':Nto._make([date(2019,  3, 20), '...I...', '..', """Glycoprotein hormones"""]),
    'R-RNO-209822':Nto._make([date(2019,  3, 20), '...I...', '..', """Glycoprotein hormones"""]),
    'R-SSC-209822':Nto._make([date(2019,  3, 20), '...I...', '..', """Glycoprotein hormones"""]),
    'R-XTR-209822':Nto._make([date(2019,  3, 20), '...I...', '..', """Glycoprotein hormones"""]),
    'R-HSA-209905':Nto._make([date(2008,  6, 30), '....P..', 'BC', """Catecholamine biosynthesis"""]),
    'R-BTA-209905':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Catecholamine biosynthesis"""]),
    'R-CEL-209905':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Catecholamine biosynthesis"""]),
    'R-CFA-209905':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Catecholamine biosynthesis"""]),
    'R-DDI-209905':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Catecholamine biosynthesis"""]),
    'R-DME-209905':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Catecholamine biosynthesis"""]),
    'R-DRE-209905':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Catecholamine biosynthesis"""]),
    'R-GGA-209905':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Catecholamine biosynthesis"""]),
    'R-MMU-209905':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Catecholamine biosynthesis"""]),
    'R-RNO-209905':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Catecholamine biosynthesis"""]),
    'R-SSC-209905':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Catecholamine biosynthesis"""]),
    'R-XTR-209905':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Catecholamine biosynthesis"""]),
    'R-HSA-209931':Nto._make([date(2008,  6, 30), '....P..', 'BC', """Serotonin and melatonin biosynthesis"""]),
    'R-BTA-209931':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Serotonin and melatonin biosynthesis"""]),
    'R-CEL-209931':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Serotonin and melatonin biosynthesis"""]),
    'R-CFA-209931':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Serotonin and melatonin biosynthesis"""]),
    'R-DDI-209931':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Serotonin and melatonin biosynthesis"""]),
    'R-DME-209931':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Serotonin and melatonin biosynthesis"""]),
    'R-DRE-209931':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Serotonin and melatonin biosynthesis"""]),
    'R-GGA-209931':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Serotonin and melatonin biosynthesis"""]),
    'R-MMU-209931':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Serotonin and melatonin biosynthesis"""]),
    'R-RNO-209931':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Serotonin and melatonin biosynthesis"""]),
    'R-SCE-209931':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Serotonin and melatonin biosynthesis"""]),
    'R-SPO-209931':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Serotonin and melatonin biosynthesis"""]),
    'R-SSC-209931':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Serotonin and melatonin biosynthesis"""]),
    'R-XTR-209931':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Serotonin and melatonin biosynthesis"""]),
    'R-HSA-209952':Nto._make([date(2008, 12, 17), '..f.P..', 'B.', """Peptide hormone biosynthesis"""]),
    'R-BTA-209952':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Peptide hormone biosynthesis"""]),
    'R-CFA-209952':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Peptide hormone biosynthesis"""]),
    'R-DRE-209952':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Peptide hormone biosynthesis"""]),
    'R-GGA-209952':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Peptide hormone biosynthesis"""]),
    'R-MMU-209952':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Peptide hormone biosynthesis"""]),
    'R-RNO-209952':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Peptide hormone biosynthesis"""]),
    'R-SSC-209952':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Peptide hormone biosynthesis"""]),
    'R-XTR-209952':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Peptide hormone biosynthesis"""]),
    'R-HSA-209968':Nto._make([date(2008,  6, 30), '....P..', 'B.', """Thyroxine biosynthesis"""]),
    'R-BTA-209968':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Thyroxine biosynthesis"""]),
    'R-CEL-209968':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Thyroxine biosynthesis"""]),
    'R-CFA-209968':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Thyroxine biosynthesis"""]),
    'R-DDI-209968':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Thyroxine biosynthesis"""]),
    'R-DME-209968':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Thyroxine biosynthesis"""]),
    'R-DRE-209968':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Thyroxine biosynthesis"""]),
    'R-GGA-209968':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Thyroxine biosynthesis"""]),
    'R-MMU-209968':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Thyroxine biosynthesis"""]),
    'R-RNO-209968':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Thyroxine biosynthesis"""]),
    'R-SSC-209968':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Thyroxine biosynthesis"""]),
    'R-XTR-209968':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Thyroxine biosynthesis"""]),
    'R-HSA-210455':Nto._make([date(2005,  9, 26), '.......', '.C', """Astrocytic Glutamate-Glutamine Uptake And Metabolism"""]),
    'R-BTA-210455':Nto._make([date(2019,  3, 20), '...I...', '.C', """Astrocytic Glutamate-Glutamine Uptake And Metabolism"""]),
    'R-CEL-210455':Nto._make([date(2019,  3, 20), '...I...', '.C', """Astrocytic Glutamate-Glutamine Uptake And Metabolism"""]),
    'R-CFA-210455':Nto._make([date(2019,  3, 20), '...I...', '.C', """Astrocytic Glutamate-Glutamine Uptake And Metabolism"""]),
    'R-DME-210455':Nto._make([date(2019,  3, 20), '...I...', '.C', """Astrocytic Glutamate-Glutamine Uptake And Metabolism"""]),
    'R-DRE-210455':Nto._make([date(2019,  3, 20), '...I...', '.C', """Astrocytic Glutamate-Glutamine Uptake And Metabolism"""]),
    'R-GGA-210455':Nto._make([date(2019,  3, 20), '...I...', '.C', """Astrocytic Glutamate-Glutamine Uptake And Metabolism"""]),
    'R-MMU-210455':Nto._make([date(2019,  3, 20), '...I...', '.C', """Astrocytic Glutamate-Glutamine Uptake And Metabolism"""]),
    'R-RNO-210455':Nto._make([date(2019,  3, 20), '...I...', '.C', """Astrocytic Glutamate-Glutamine Uptake And Metabolism"""]),
    'R-SCE-210455':Nto._make([date(2019,  3, 20), '...I...', '.C', """Astrocytic Glutamate-Glutamine Uptake And Metabolism"""]),
    'R-SPO-210455':Nto._make([date(2019,  3, 20), '...I...', '.C', """Astrocytic Glutamate-Glutamine Uptake And Metabolism"""]),
    'R-SSC-210455':Nto._make([date(2019,  3, 20), '...I...', '.C', """Astrocytic Glutamate-Glutamine Uptake And Metabolism"""]),
    'R-XTR-210455':Nto._make([date(2019,  3, 20), '...I...', '.C', """Astrocytic Glutamate-Glutamine Uptake And Metabolism"""]),
    'R-HSA-210500':Nto._make([date(2005,  9, 26), '....P..', 'B.', """Glutamate Neurotransmitter Release Cycle"""]),
    'R-BTA-210500':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutamate Neurotransmitter Release Cycle"""]),
    'R-CEL-210500':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutamate Neurotransmitter Release Cycle"""]),
    'R-CFA-210500':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutamate Neurotransmitter Release Cycle"""]),
    'R-DDI-210500':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutamate Neurotransmitter Release Cycle"""]),
    'R-DME-210500':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutamate Neurotransmitter Release Cycle"""]),
    'R-DRE-210500':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutamate Neurotransmitter Release Cycle"""]),
    'R-GGA-210500':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutamate Neurotransmitter Release Cycle"""]),
    'R-MMU-210500':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutamate Neurotransmitter Release Cycle"""]),
    'R-RNO-210500':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutamate Neurotransmitter Release Cycle"""]),
    'R-SCE-210500':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutamate Neurotransmitter Release Cycle"""]),
    'R-SPO-210500':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutamate Neurotransmitter Release Cycle"""]),
    'R-SSC-210500':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutamate Neurotransmitter Release Cycle"""]),
    'R-XTR-210500':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glutamate Neurotransmitter Release Cycle"""]),
    'R-DME-210671':Nto._make([date(2009,  3, 12), '....P..', '..', """Transcriptional repression by nuclear factors"""]),
    'R-DME-210688':Nto._make([date(2009,  3, 12), '....P..', '..', """Dephosphorylation by PTP61F phosphatases"""]),
    'R-DME-210693':Nto._make([date(2009,  3, 12), '....P..', '..', """STAT92E dimer dephosphorylated in the nucleus and transported to the cytosol"""]),
    'R-HSA-210744':Nto._make([date(2008,  6, 30), '....P..', 'B.', """Regulation of gene expression in late stage (branching morphogenesis) pancreatic bud precursor cells"""]),
    'R-HSA-210745':Nto._make([date(2008,  6, 30), '....P..', 'B.', """Regulation of gene expression in beta cells"""]),
    'R-BTA-210745':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of gene expression in beta cells"""]),
    'R-CEL-210745':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of gene expression in beta cells"""]),
    'R-CFA-210745':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of gene expression in beta cells"""]),
    'R-DME-210745':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of gene expression in beta cells"""]),
    'R-DRE-210745':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of gene expression in beta cells"""]),
    'R-GGA-210745':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of gene expression in beta cells"""]),
    'R-MMU-210745':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of gene expression in beta cells"""]),
    'R-RNO-210745':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of gene expression in beta cells"""]),
    'R-SSC-210745':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of gene expression in beta cells"""]),
    'R-XTR-210745':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of gene expression in beta cells"""]),
    'R-HSA-210746':Nto._make([date(2008,  6, 30), '....P..', 'B.', """Regulation of gene expression in endocrine-committed (NEUROG3+) progenitor cells"""]),
    'R-HSA-210747':Nto._make([date(2008,  6, 30), '....P..', 'BC', """Regulation of gene expression in early pancreatic precursor cells"""]),
    'R-HSA-210990':Nto._make([date(2008,  3, 12), '....P..', '..', """PECAM1 interactions"""]),
    'R-BTA-210990':Nto._make([date(2019,  3, 20), '...I...', '..', """PECAM1 interactions"""]),
    'R-CEL-210990':Nto._make([date(2019,  3, 20), '...I...', '..', """PECAM1 interactions"""]),
    'R-CFA-210990':Nto._make([date(2019,  3, 20), '...I...', '..', """PECAM1 interactions"""]),
    'R-DRE-210990':Nto._make([date(2019,  3, 20), '...I...', '..', """PECAM1 interactions"""]),
    'R-MMU-210990':Nto._make([date(2019,  3, 20), '...I...', '..', """PECAM1 interactions"""]),
    'R-RNO-210990':Nto._make([date(2019,  3, 20), '...I...', '..', """PECAM1 interactions"""]),
    'R-SSC-210990':Nto._make([date(2019,  3, 20), '...I...', '..', """PECAM1 interactions"""]),
    'R-XTR-210990':Nto._make([date(2019,  3, 20), '...I...', '..', """PECAM1 interactions"""]),
    'R-HSA-210991':Nto._make([date(2008,  3, 12), '....P..', '.C', """Basigin interactions"""]),
    'R-CEL-210991':Nto._make([date(2019,  3, 20), '...I...', '.C', """Basigin interactions"""]),
    'R-CFA-210991':Nto._make([date(2019,  3, 20), '...I...', '.C', """Basigin interactions"""]),
    'R-DME-210991':Nto._make([date(2019,  3, 20), '...I...', '.C', """Basigin interactions"""]),
    'R-DRE-210991':Nto._make([date(2019,  3, 20), '...I...', '.C', """Basigin interactions"""]),
    'R-GGA-210991':Nto._make([date(2019,  3, 20), '...I...', '.C', """Basigin interactions"""]),
    'R-MMU-210991':Nto._make([date(2019,  3, 20), '...I...', '.C', """Basigin interactions"""]),
    'R-RNO-210991':Nto._make([date(2019,  3, 20), '...I...', '.C', """Basigin interactions"""]),
    'R-XTR-210991':Nto._make([date(2019,  3, 20), '...I...', '.C', """Basigin interactions"""]),
    'R-HSA-210993':Nto._make([date(2008,  3, 12), '....P..', '..', """Tie2 Signaling"""]),
    'R-BTA-210993':Nto._make([date(2019,  3, 20), '...I...', '..', """Tie2 Signaling"""]),
    'R-CEL-210993':Nto._make([date(2019,  3, 20), '...I...', '..', """Tie2 Signaling"""]),
    'R-CFA-210993':Nto._make([date(2019,  3, 20), '...I...', '..', """Tie2 Signaling"""]),
    'R-DME-210993':Nto._make([date(2019,  3, 20), '...I...', '..', """Tie2 Signaling"""]),
    'R-DRE-210993':Nto._make([date(2019,  3, 20), '...I...', '..', """Tie2 Signaling"""]),
    'R-GGA-210993':Nto._make([date(2019,  3, 20), '...I...', '..', """Tie2 Signaling"""]),
    'R-MMU-210993':Nto._make([date(2019,  3, 20), '...I...', '..', """Tie2 Signaling"""]),
    'R-RNO-210993':Nto._make([date(2019,  3, 20), '...I...', '..', """Tie2 Signaling"""]),
    'R-SSC-210993':Nto._make([date(2019,  3, 20), '...I...', '..', """Tie2 Signaling"""]),
    'R-XTR-210993':Nto._make([date(2019,  3, 20), '...I...', '..', """Tie2 Signaling"""]),
    'R-HSA-211000':Nto._make([date(2010,  6, 15), '..f.P..', 'BC', """Gene Silencing by RNA"""]),
    'R-BTA-211000':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Gene Silencing by RNA"""]),
    'R-CEL-211000':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Gene Silencing by RNA"""]),
    'R-CFA-211000':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Gene Silencing by RNA"""]),
    'R-DME-211000':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Gene Silencing by RNA"""]),
    'R-DRE-211000':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Gene Silencing by RNA"""]),
    'R-GGA-211000':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Gene Silencing by RNA"""]),
    'R-MMU-211000':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Gene Silencing by RNA"""]),
    'R-RNO-211000':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Gene Silencing by RNA"""]),
    'R-SSC-211000':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Gene Silencing by RNA"""]),
    'R-XTR-211000':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Gene Silencing by RNA"""]),
    'R-HSA-211163':Nto._make([date(2008,  6, 30), '....P..', '..', """AKT-mediated inactivation of FOXO1A"""]),
    'R-BTA-211163':Nto._make([date(2019,  3, 20), '...I...', '..', """AKT-mediated inactivation of FOXO1A"""]),
    'R-CEL-211163':Nto._make([date(2019,  3, 20), '...I...', '..', """AKT-mediated inactivation of FOXO1A"""]),
    'R-CFA-211163':Nto._make([date(2019,  3, 20), '...I...', '..', """AKT-mediated inactivation of FOXO1A"""]),
    'R-DME-211163':Nto._make([date(2019,  3, 20), '...I...', '..', """AKT-mediated inactivation of FOXO1A"""]),
    'R-DRE-211163':Nto._make([date(2019,  3, 20), '...I...', '..', """AKT-mediated inactivation of FOXO1A"""]),
    'R-GGA-211163':Nto._make([date(2019,  3, 20), '...I...', '..', """AKT-mediated inactivation of FOXO1A"""]),
    'R-MMU-211163':Nto._make([date(2019,  3, 20), '...I...', '..', """AKT-mediated inactivation of FOXO1A"""]),
    'R-RNO-211163':Nto._make([date(2019,  3, 20), '...I...', '..', """AKT-mediated inactivation of FOXO1A"""]),
    'R-SSC-211163':Nto._make([date(2019,  3, 20), '...I...', '..', """AKT-mediated inactivation of FOXO1A"""]),
    'R-XTR-211163':Nto._make([date(2019,  3, 20), '...I...', '..', """AKT-mediated inactivation of FOXO1A"""]),
    'R-HSA-211728':Nto._make([date(2008,  6, 30), '....P..', 'BC', """Regulation of PAK-2p34 activity by PS-GAP/RHG10"""]),
    'R-HSA-211733':Nto._make([date(2008,  6, 30), '....P..', 'B.', """Regulation of activated PAK-2p34 by proteasome mediated degradation"""]),
    'R-HSA-211736':Nto._make([date(2008,  6, 30), '....P..', '..', """Stimulation of the cell death response by PAK-2p34"""]),
    'R-HSA-211859':Nto._make([date(2008,  6, 30), '..F..B.', 'B.', """Biological oxidations"""]),
    'R-BTA-211859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biological oxidations"""]),
    'R-CEL-211859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biological oxidations"""]),
    'R-CFA-211859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biological oxidations"""]),
    'R-DDI-211859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biological oxidations"""]),
    'R-DME-211859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biological oxidations"""]),
    'R-DRE-211859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biological oxidations"""]),
    'R-GGA-211859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biological oxidations"""]),
    'R-MMU-211859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biological oxidations"""]),
    'R-PFA-211859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biological oxidations"""]),
    'R-RNO-211859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biological oxidations"""]),
    'R-SCE-211859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biological oxidations"""]),
    'R-SPO-211859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biological oxidations"""]),
    'R-SSC-211859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biological oxidations"""]),
    'R-XTR-211859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biological oxidations"""]),
    'R-HSA-211897':Nto._make([date(2008,  6, 30), '....P..', '.C', """Cytochrome P450 - arranged by substrate type"""]),
    'R-BTA-211897':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cytochrome P450 - arranged by substrate type"""]),
    'R-CEL-211897':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cytochrome P450 - arranged by substrate type"""]),
    'R-CFA-211897':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cytochrome P450 - arranged by substrate type"""]),
    'R-DDI-211897':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cytochrome P450 - arranged by substrate type"""]),
    'R-DME-211897':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cytochrome P450 - arranged by substrate type"""]),
    'R-DRE-211897':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cytochrome P450 - arranged by substrate type"""]),
    'R-GGA-211897':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cytochrome P450 - arranged by substrate type"""]),
    'R-MMU-211897':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cytochrome P450 - arranged by substrate type"""]),
    'R-RNO-211897':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cytochrome P450 - arranged by substrate type"""]),
    'R-SCE-211897':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cytochrome P450 - arranged by substrate type"""]),
    'R-SPO-211897':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cytochrome P450 - arranged by substrate type"""]),
    'R-SSC-211897':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cytochrome P450 - arranged by substrate type"""]),
    'R-XTR-211897':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cytochrome P450 - arranged by substrate type"""]),
    'R-HSA-211916':Nto._make([date(2008,  6, 30), '....P..', 'BC', """Vitamins"""]),
    'R-BTA-211916':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Vitamins"""]),
    'R-CFA-211916':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Vitamins"""]),
    'R-DDI-211916':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Vitamins"""]),
    'R-DME-211916':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Vitamins"""]),
    'R-DRE-211916':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Vitamins"""]),
    'R-GGA-211916':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Vitamins"""]),
    'R-MMU-211916':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Vitamins"""]),
    'R-RNO-211916':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Vitamins"""]),
    'R-SCE-211916':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Vitamins"""]),
    'R-SPO-211916':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Vitamins"""]),
    'R-SSC-211916':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Vitamins"""]),
    'R-XTR-211916':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Vitamins"""]),
    'R-HSA-211935':Nto._make([date(2008,  6, 30), '....P..', '.C', """Fatty acids"""]),
    'R-BTA-211935':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fatty acids"""]),
    'R-CFA-211935':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fatty acids"""]),
    'R-DDI-211935':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fatty acids"""]),
    'R-DRE-211935':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fatty acids"""]),
    'R-GGA-211935':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fatty acids"""]),
    'R-MMU-211935':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fatty acids"""]),
    'R-RNO-211935':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fatty acids"""]),
    'R-SSC-211935':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fatty acids"""]),
    'R-XTR-211935':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fatty acids"""]),
    'R-HSA-211945':Nto._make([date(2008,  6, 30), '..f.P..', 'BC', """Phase I - Functionalization of compounds"""]),
    'R-BTA-211945':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Phase I - Functionalization of compounds"""]),
    'R-CEL-211945':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Phase I - Functionalization of compounds"""]),
    'R-CFA-211945':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Phase I - Functionalization of compounds"""]),
    'R-DDI-211945':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Phase I - Functionalization of compounds"""]),
    'R-DME-211945':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Phase I - Functionalization of compounds"""]),
    'R-DRE-211945':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Phase I - Functionalization of compounds"""]),
    'R-GGA-211945':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Phase I - Functionalization of compounds"""]),
    'R-MMU-211945':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Phase I - Functionalization of compounds"""]),
    'R-PFA-211945':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Phase I - Functionalization of compounds"""]),
    'R-RNO-211945':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Phase I - Functionalization of compounds"""]),
    'R-SCE-211945':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Phase I - Functionalization of compounds"""]),
    'R-SPO-211945':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Phase I - Functionalization of compounds"""]),
    'R-SSC-211945':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Phase I - Functionalization of compounds"""]),
    'R-XTR-211945':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Phase I - Functionalization of compounds"""]),
    'R-HSA-211957':Nto._make([date(2008,  6, 30), '.......', '.C', """Aromatic amines can be N-hydroxylated or N-dealkylated by CYP1A2"""]),
    'R-BTA-211957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Aromatic amines can be N-hydroxylated or N-dealkylated by CYP1A2"""]),
    'R-DRE-211957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Aromatic amines can be N-hydroxylated or N-dealkylated by CYP1A2"""]),
    'R-GGA-211957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Aromatic amines can be N-hydroxylated or N-dealkylated by CYP1A2"""]),
    'R-SSC-211957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Aromatic amines can be N-hydroxylated or N-dealkylated by CYP1A2"""]),
    'R-XTR-211957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Aromatic amines can be N-hydroxylated or N-dealkylated by CYP1A2"""]),
    'R-HSA-211958':Nto._make([date(2008,  6, 30), '....P..', '.C', """Miscellaneous substrates"""]),
    'R-BTA-211958':Nto._make([date(2019,  3, 20), '...I...', '.C', """Miscellaneous substrates"""]),
    'R-CFA-211958':Nto._make([date(2019,  3, 20), '...I...', '.C', """Miscellaneous substrates"""]),
    'R-DDI-211958':Nto._make([date(2019,  3, 20), '...I...', '.C', """Miscellaneous substrates"""]),
    'R-DRE-211958':Nto._make([date(2019,  3, 20), '...I...', '.C', """Miscellaneous substrates"""]),
    'R-GGA-211958':Nto._make([date(2019,  3, 20), '...I...', '.C', """Miscellaneous substrates"""]),
    'R-MMU-211958':Nto._make([date(2019,  3, 20), '...I...', '.C', """Miscellaneous substrates"""]),
    'R-RNO-211958':Nto._make([date(2019,  3, 20), '...I...', '.C', """Miscellaneous substrates"""]),
    'R-SSC-211958':Nto._make([date(2019,  3, 20), '...I...', '.C', """Miscellaneous substrates"""]),
    'R-XTR-211958':Nto._make([date(2019,  3, 20), '...I...', '.C', """Miscellaneous substrates"""]),
    'R-HSA-211976':Nto._make([date(2008,  6, 30), '....P..', 'BC', """Endogenous sterols"""]),
    'R-BTA-211976':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Endogenous sterols"""]),
    'R-CEL-211976':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Endogenous sterols"""]),
    'R-CFA-211976':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Endogenous sterols"""]),
    'R-DDI-211976':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Endogenous sterols"""]),
    'R-DME-211976':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Endogenous sterols"""]),
    'R-DRE-211976':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Endogenous sterols"""]),
    'R-GGA-211976':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Endogenous sterols"""]),
    'R-MMU-211976':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Endogenous sterols"""]),
    'R-RNO-211976':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Endogenous sterols"""]),
    'R-SCE-211976':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Endogenous sterols"""]),
    'R-SPO-211976':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Endogenous sterols"""]),
    'R-SSC-211976':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Endogenous sterols"""]),
    'R-XTR-211976':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Endogenous sterols"""]),
    'R-HSA-211979':Nto._make([date(2008,  6, 30), '....P..', 'BC', """Eicosanoids"""]),
    'R-BTA-211979':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Eicosanoids"""]),
    'R-CFA-211979':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Eicosanoids"""]),
    'R-DRE-211979':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Eicosanoids"""]),
    'R-GGA-211979':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Eicosanoids"""]),
    'R-MMU-211979':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Eicosanoids"""]),
    'R-RNO-211979':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Eicosanoids"""]),
    'R-SSC-211979':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Eicosanoids"""]),
    'R-XTR-211979':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Eicosanoids"""]),
    'R-HSA-211981':Nto._make([date(2008,  6, 30), '....P..', 'BC', """Xenobiotics"""]),
    'R-BTA-211981':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Xenobiotics"""]),
    'R-CFA-211981':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Xenobiotics"""]),
    'R-DDI-211981':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Xenobiotics"""]),
    'R-DRE-211981':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Xenobiotics"""]),
    'R-GGA-211981':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Xenobiotics"""]),
    'R-MMU-211981':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Xenobiotics"""]),
    'R-RNO-211981':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Xenobiotics"""]),
    'R-SSC-211981':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Xenobiotics"""]),
    'R-XTR-211981':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Xenobiotics"""]),
    'R-HSA-211994':Nto._make([date(2008,  6, 30), '....P..', 'BC', """Sterols are 12-hydroxylated by CYP8B1"""]),
    'R-BTA-211994':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Sterols are 12-hydroxylated by CYP8B1"""]),
    'R-CFA-211994':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Sterols are 12-hydroxylated by CYP8B1"""]),
    'R-DRE-211994':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Sterols are 12-hydroxylated by CYP8B1"""]),
    'R-GGA-211994':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Sterols are 12-hydroxylated by CYP8B1"""]),
    'R-MMU-211994':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Sterols are 12-hydroxylated by CYP8B1"""]),
    'R-RNO-211994':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Sterols are 12-hydroxylated by CYP8B1"""]),
    'R-XTR-211994':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Sterols are 12-hydroxylated by CYP8B1"""]),
    'R-HSA-211999':Nto._make([date(2008,  6, 30), '....P..', '.C', """CYP2E1 reactions"""]),
    'R-CFA-211999':Nto._make([date(2019,  3, 20), '...I...', '.C', """CYP2E1 reactions"""]),
    'R-DDI-211999':Nto._make([date(2019,  3, 20), '...I...', '.C', """CYP2E1 reactions"""]),
    'R-DRE-211999':Nto._make([date(2019,  3, 20), '...I...', '.C', """CYP2E1 reactions"""]),
    'R-GGA-211999':Nto._make([date(2019,  3, 20), '...I...', '.C', """CYP2E1 reactions"""]),
    'R-MMU-211999':Nto._make([date(2019,  3, 20), '...I...', '.C', """CYP2E1 reactions"""]),
    'R-RNO-211999':Nto._make([date(2019,  3, 20), '...I...', '.C', """CYP2E1 reactions"""]),
    'R-XTR-211999':Nto._make([date(2019,  3, 20), '...I...', '.C', """CYP2E1 reactions"""]),
    'R-HSA-212165':Nto._make([date(2014,  3, 12), '..F.P..', 'BC', """Epigenetic regulation of gene expression"""]),
    'R-BTA-212165':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Epigenetic regulation of gene expression"""]),
    'R-CEL-212165':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Epigenetic regulation of gene expression"""]),
    'R-CFA-212165':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Epigenetic regulation of gene expression"""]),
    'R-DME-212165':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Epigenetic regulation of gene expression"""]),
    'R-DRE-212165':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Epigenetic regulation of gene expression"""]),
    'R-GGA-212165':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Epigenetic regulation of gene expression"""]),
    'R-MMU-212165':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Epigenetic regulation of gene expression"""]),
    'R-RNO-212165':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Epigenetic regulation of gene expression"""]),
    'R-SPO-212165':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Epigenetic regulation of gene expression"""]),
    'R-SSC-212165':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Epigenetic regulation of gene expression"""]),
    'R-XTR-212165':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Epigenetic regulation of gene expression"""]),
    'R-HSA-212300':Nto._make([date(2014,  3, 12), '..f.P..', 'BC', """PRC2 methylates histones and DNA"""]),
    'R-BTA-212300':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """PRC2 methylates histones and DNA"""]),
    'R-CEL-212300':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """PRC2 methylates histones and DNA"""]),
    'R-CFA-212300':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """PRC2 methylates histones and DNA"""]),
    'R-DME-212300':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """PRC2 methylates histones and DNA"""]),
    'R-DRE-212300':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """PRC2 methylates histones and DNA"""]),
    'R-GGA-212300':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """PRC2 methylates histones and DNA"""]),
    'R-MMU-212300':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """PRC2 methylates histones and DNA"""]),
    'R-RNO-212300':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """PRC2 methylates histones and DNA"""]),
    'R-SSC-212300':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """PRC2 methylates histones and DNA"""]),
    'R-XTR-212300':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """PRC2 methylates histones and DNA"""]),
    'R-HSA-212436':Nto._make([date(2008,  3, 12), '..F.P..', 'B.', """Generic Transcription Pathway"""]),
    'R-BTA-212436':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Generic Transcription Pathway"""]),
    'R-CEL-212436':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Generic Transcription Pathway"""]),
    'R-CFA-212436':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Generic Transcription Pathway"""]),
    'R-DDI-212436':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Generic Transcription Pathway"""]),
    'R-DME-212436':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Generic Transcription Pathway"""]),
    'R-DRE-212436':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Generic Transcription Pathway"""]),
    'R-GGA-212436':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Generic Transcription Pathway"""]),
    'R-MMU-212436':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Generic Transcription Pathway"""]),
    'R-PFA-212436':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Generic Transcription Pathway"""]),
    'R-RNO-212436':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Generic Transcription Pathway"""]),
    'R-SCE-212436':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Generic Transcription Pathway"""]),
    'R-SPO-212436':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Generic Transcription Pathway"""]),
    'R-SSC-212436':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Generic Transcription Pathway"""]),
    'R-XTR-212436':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Generic Transcription Pathway"""]),
    'R-HSA-212676':Nto._make([date(2008, 12, 17), '....P..', '..', """Dopamine Neurotransmitter Release Cycle"""]),
    'R-BTA-212676':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine Neurotransmitter Release Cycle"""]),
    'R-CEL-212676':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine Neurotransmitter Release Cycle"""]),
    'R-CFA-212676':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine Neurotransmitter Release Cycle"""]),
    'R-DME-212676':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine Neurotransmitter Release Cycle"""]),
    'R-DRE-212676':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine Neurotransmitter Release Cycle"""]),
    'R-GGA-212676':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine Neurotransmitter Release Cycle"""]),
    'R-MMU-212676':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine Neurotransmitter Release Cycle"""]),
    'R-RNO-212676':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine Neurotransmitter Release Cycle"""]),
    'R-SPO-212676':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine Neurotransmitter Release Cycle"""]),
    'R-SSC-212676':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine Neurotransmitter Release Cycle"""]),
    'R-XTR-212676':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine Neurotransmitter Release Cycle"""]),
    'R-HSA-212718':Nto._make([date(2008,  3, 12), '....P..', 'B.', """EGFR interacts with phospholipase C-gamma"""]),
    'R-BTA-212718':Nto._make([date(2019,  3, 20), '...I...', 'B.', """EGFR interacts with phospholipase C-gamma"""]),
    'R-CEL-212718':Nto._make([date(2019,  3, 20), '...I...', 'B.', """EGFR interacts with phospholipase C-gamma"""]),
    'R-CFA-212718':Nto._make([date(2019,  3, 20), '...I...', 'B.', """EGFR interacts with phospholipase C-gamma"""]),
    'R-DME-212718':Nto._make([date(2019,  3, 20), '...I...', 'B.', """EGFR interacts with phospholipase C-gamma"""]),
    'R-DRE-212718':Nto._make([date(2019,  3, 20), '...I...', 'B.', """EGFR interacts with phospholipase C-gamma"""]),
    'R-MMU-212718':Nto._make([date(2019,  3, 20), '...I...', 'B.', """EGFR interacts with phospholipase C-gamma"""]),
    'R-RNO-212718':Nto._make([date(2019,  3, 20), '...I...', 'B.', """EGFR interacts with phospholipase C-gamma"""]),
    'R-SSC-212718':Nto._make([date(2019,  3, 20), '...I...', 'B.', """EGFR interacts with phospholipase C-gamma"""]),
    'R-XTR-212718':Nto._make([date(2019,  3, 20), '...I...', 'B.', """EGFR interacts with phospholipase C-gamma"""]),
    'R-DME-214397':Nto._make([date(2009,  3, 12), '....P..', '..', """Assembly of the PGN:PGRP-LC/LE receptor 'signalling complex'"""]),
    'R-DME-214399':Nto._make([date(2009,  3, 12), '....P..', '..', """Activated IkappaB kinase (IKK) complex, Phospho IRD5:KEY dimer, phosphorylates REL in the PGN:PGRP-LC/LE receptor 'signalling complex'"""]),
    'R-DME-214411':Nto._make([date(2009,  3, 12), '....P..', '..', """REL binds to DREDD in the PGN:PGRP-LC/LE receptor 'signalling complex'"""]),
    'R-DME-214416':Nto._make([date(2009,  3, 12), '....P..', '..', """Phosphorylated REL is cleaved by and dissociates from DREDD"""]),
    'R-DME-214842':Nto._make([date(2009,  3, 12), '....P..', '.C', """DL and DIF homodimers bind to TUB and phosphorylated PLL in the TL receptor 'signalling complex'"""]),
    'R-DME-214844':Nto._make([date(2009,  3, 12), '....P..', '.C', """DL and DIF homodimers complexed with CACT are all phosphorylated in the TL receptor 'signalling complex'"""]),
    'R-DME-214862':Nto._make([date(2009,  3, 12), '....P..', '.C', """Activated PLL kinase is autophosphorylated in the TL receptor 'signalling complex'"""]),
    'R-DME-214863':Nto._make([date(2009,  3, 12), '....P..', '.C', """Adaptor protein complex binds to TL receptor at the plasma membrane"""]),
    'R-DME-214869':Nto._make([date(2009,  3, 12), '....P..', '.C', """Phosphorylated CACT, DL and DIF homodimers dissociate from the TL receptor 'signalling complex'"""]),
    'R-DME-214874':Nto._make([date(2009,  3, 12), '....P..', '.C', """PLL kinase binds to TUB in the TL receptor 'signalling complex'"""]),
    'R-RNO-215126':Nto._make([date(2007,  2, 20), '.......', '.C', """Transport of connexins along the secretory pathway"""]),
    'R-HSA-216083':Nto._make([date(2008,  6, 30), '..F.P..', '..', """Integrin cell surface interactions"""]),
    'R-BTA-216083':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin cell surface interactions"""]),
    'R-CEL-216083':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin cell surface interactions"""]),
    'R-CFA-216083':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin cell surface interactions"""]),
    'R-DME-216083':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin cell surface interactions"""]),
    'R-DRE-216083':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin cell surface interactions"""]),
    'R-GGA-216083':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin cell surface interactions"""]),
    'R-MMU-216083':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin cell surface interactions"""]),
    'R-RNO-216083':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin cell surface interactions"""]),
    'R-SSC-216083':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin cell surface interactions"""]),
    'R-XTR-216083':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin cell surface interactions"""]),
    'R-DME-216119':Nto._make([date(2009,  3, 12), '....P..', '..', """Activation of CI"""]),
    'R-DME-216167':Nto._make([date(2009,  3, 12), '....P..', '..', """Nuclear CI is degraded"""]),
    'R-DME-216217':Nto._make([date(2009,  3, 12), '....P..', '..', """Activation of SMO"""]),
    'R-GGA-217106':Nto._make([date(2009,  6,  1), '....P..', '.C', """Chk1-controlled and DNA-damage induced centrosome duplication"""]),
    'R-HSA-217271':Nto._make([date(2008,  6, 30), '....P..', '.C', """FMO oxidises nucleophiles"""]),
    'R-BTA-217271':Nto._make([date(2019,  3, 20), '...I...', '.C', """FMO oxidises nucleophiles"""]),
    'R-CFA-217271':Nto._make([date(2019,  3, 20), '...I...', '.C', """FMO oxidises nucleophiles"""]),
    'R-DDI-217271':Nto._make([date(2019,  3, 20), '...I...', '.C', """FMO oxidises nucleophiles"""]),
    'R-GGA-217271':Nto._make([date(2019,  3, 20), '...I...', '.C', """FMO oxidises nucleophiles"""]),
    'R-MMU-217271':Nto._make([date(2019,  3, 20), '...I...', '.C', """FMO oxidises nucleophiles"""]),
    'R-RNO-217271':Nto._make([date(2019,  3, 20), '...I...', '.C', """FMO oxidises nucleophiles"""]),
    'R-SSC-217271':Nto._make([date(2019,  3, 20), '...I...', '.C', """FMO oxidises nucleophiles"""]),
    'R-XTR-217271':Nto._make([date(2019,  3, 20), '...I...', '.C', """FMO oxidises nucleophiles"""]),
    'R-HSA-264642':Nto._make([date(2006, 11, 16), '....P..', '..', """Acetylcholine Neurotransmitter Release Cycle"""]),
    'R-BTA-264642':Nto._make([date(2019,  3, 20), '...I...', '..', """Acetylcholine Neurotransmitter Release Cycle"""]),
    'R-CEL-264642':Nto._make([date(2019,  3, 20), '...I...', '..', """Acetylcholine Neurotransmitter Release Cycle"""]),
    'R-CFA-264642':Nto._make([date(2019,  3, 20), '...I...', '..', """Acetylcholine Neurotransmitter Release Cycle"""]),
    'R-DME-264642':Nto._make([date(2019,  3, 20), '...I...', '..', """Acetylcholine Neurotransmitter Release Cycle"""]),
    'R-DRE-264642':Nto._make([date(2019,  3, 20), '...I...', '..', """Acetylcholine Neurotransmitter Release Cycle"""]),
    'R-GGA-264642':Nto._make([date(2019,  3, 20), '...I...', '..', """Acetylcholine Neurotransmitter Release Cycle"""]),
    'R-MMU-264642':Nto._make([date(2019,  3, 20), '...I...', '..', """Acetylcholine Neurotransmitter Release Cycle"""]),
    'R-RNO-264642':Nto._make([date(2019,  3, 20), '...I...', '..', """Acetylcholine Neurotransmitter Release Cycle"""]),
    'R-SPO-264642':Nto._make([date(2019,  3, 20), '...I...', '..', """Acetylcholine Neurotransmitter Release Cycle"""]),
    'R-SSC-264642':Nto._make([date(2019,  3, 20), '...I...', '..', """Acetylcholine Neurotransmitter Release Cycle"""]),
    'R-XTR-264642':Nto._make([date(2019,  3, 20), '...I...', '..', """Acetylcholine Neurotransmitter Release Cycle"""]),
    'R-HSA-264870':Nto._make([date(2008,  6, 30), '....P..', '..', """Caspase-mediated cleavage of cytoskeletal proteins"""]),
    'R-BTA-264870':Nto._make([date(2019,  3, 20), '...I...', '..', """Caspase-mediated cleavage of cytoskeletal proteins"""]),
    'R-CEL-264870':Nto._make([date(2019,  3, 20), '...I...', '..', """Caspase-mediated cleavage of cytoskeletal proteins"""]),
    'R-CFA-264870':Nto._make([date(2019,  3, 20), '...I...', '..', """Caspase-mediated cleavage of cytoskeletal proteins"""]),
    'R-DME-264870':Nto._make([date(2019,  3, 20), '...I...', '..', """Caspase-mediated cleavage of cytoskeletal proteins"""]),
    'R-DRE-264870':Nto._make([date(2019,  3, 20), '...I...', '..', """Caspase-mediated cleavage of cytoskeletal proteins"""]),
    'R-GGA-264870':Nto._make([date(2019,  3, 20), '...I...', '..', """Caspase-mediated cleavage of cytoskeletal proteins"""]),
    'R-MMU-264870':Nto._make([date(2019,  3, 20), '...I...', '..', """Caspase-mediated cleavage of cytoskeletal proteins"""]),
    'R-RNO-264870':Nto._make([date(2019,  3, 20), '...I...', '..', """Caspase-mediated cleavage of cytoskeletal proteins"""]),
    'R-SSC-264870':Nto._make([date(2019,  3, 20), '...I...', '..', """Caspase-mediated cleavage of cytoskeletal proteins"""]),
    'R-XTR-264870':Nto._make([date(2019,  3, 20), '...I...', '..', """Caspase-mediated cleavage of cytoskeletal proteins"""]),
    'R-HSA-264876':Nto._make([date(2008, 12, 17), '..F.P..', '.C', """Insulin processing"""]),
    'R-BTA-264876':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Insulin processing"""]),
    'R-CEL-264876':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Insulin processing"""]),
    'R-CFA-264876':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Insulin processing"""]),
    'R-DDI-264876':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Insulin processing"""]),
    'R-DME-264876':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Insulin processing"""]),
    'R-DRE-264876':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Insulin processing"""]),
    'R-GGA-264876':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Insulin processing"""]),
    'R-MMU-264876':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Insulin processing"""]),
    'R-PFA-264876':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Insulin processing"""]),
    'R-RNO-264876':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Insulin processing"""]),
    'R-SCE-264876':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Insulin processing"""]),
    'R-SPO-264876':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Insulin processing"""]),
    'R-SSC-264876':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Insulin processing"""]),
    'R-XTR-264876':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Insulin processing"""]),
    'R-GGA-265976':Nto._make([date(2009,  6,  1), '....P..', 'BC', """Homologous DNA pairing and strand exchange"""]),
    'R-HSA-349425':Nto._make([date(2009, 12, 15), '....P..', '..', """Autodegradation of the E3 ubiquitin ligase COP1"""]),
    'R-BTA-349425':Nto._make([date(2019,  3, 20), '...I...', '..', """Autodegradation of the E3 ubiquitin ligase COP1"""]),
    'R-CEL-349425':Nto._make([date(2019,  3, 20), '...I...', '..', """Autodegradation of the E3 ubiquitin ligase COP1"""]),
    'R-CFA-349425':Nto._make([date(2019,  3, 20), '...I...', '..', """Autodegradation of the E3 ubiquitin ligase COP1"""]),
    'R-DDI-349425':Nto._make([date(2019,  3, 20), '...I...', '..', """Autodegradation of the E3 ubiquitin ligase COP1"""]),
    'R-DRE-349425':Nto._make([date(2019,  3, 20), '...I...', '..', """Autodegradation of the E3 ubiquitin ligase COP1"""]),
    'R-GGA-349425':Nto._make([date(2019,  3, 20), '...I...', '..', """Autodegradation of the E3 ubiquitin ligase COP1"""]),
    'R-MMU-349425':Nto._make([date(2019,  3, 20), '...I...', '..', """Autodegradation of the E3 ubiquitin ligase COP1"""]),
    'R-RNO-349425':Nto._make([date(2019,  3, 20), '...I...', '..', """Autodegradation of the E3 ubiquitin ligase COP1"""]),
    'R-SSC-349425':Nto._make([date(2019,  3, 20), '...I...', '..', """Autodegradation of the E3 ubiquitin ligase COP1"""]),
    'R-XTR-349425':Nto._make([date(2019,  3, 20), '...I...', '..', """Autodegradation of the E3 ubiquitin ligase COP1"""]),
    'R-HSA-350054':Nto._make([date(2008,  6, 30), '....P..', 'B.', """Notch-HLH transcription pathway"""]),
    'R-BTA-350054':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Notch-HLH transcription pathway"""]),
    'R-CFA-350054':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Notch-HLH transcription pathway"""]),
    'R-DME-350054':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Notch-HLH transcription pathway"""]),
    'R-DRE-350054':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Notch-HLH transcription pathway"""]),
    'R-GGA-350054':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Notch-HLH transcription pathway"""]),
    'R-MMU-350054':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Notch-HLH transcription pathway"""]),
    'R-RNO-350054':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Notch-HLH transcription pathway"""]),
    'R-SPO-350054':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Notch-HLH transcription pathway"""]),
    'R-SSC-350054':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Notch-HLH transcription pathway"""]),
    'R-XTR-350054':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Notch-HLH transcription pathway"""]),
    'R-DME-350368':Nto._make([date(2010,  7, 23), '....P..', '..', """Activation of RHO1 by FZ:DSH complex"""]),
    'R-DME-350369':Nto._make([date(2010,  7, 23), '....P..', '..', """Negative feedback loop regulates asymmetric localisation"""]),
    'R-DME-350376':Nto._make([date(2009,  3, 12), '....P..', '..', """Activation of RAC1:GTP by FZ:DSH complex"""]),
    'R-DME-350379':Nto._make([date(2010,  7, 23), '....P..', '..', """Homo-/heterophilic binding of transmembrane components"""]),
    'R-DME-350407':Nto._make([date(2010,  7, 23), '....P..', '..', """RHO1 GTPase cycle"""]),
    'R-DME-350411':Nto._make([date(2010,  7, 23), '....P..', '..', """Formation and asymmetric localisation of transmembrane complexes"""]),
    'R-DME-350416':Nto._make([date(2010,  7, 23), '....P..', '..', """Regulation of non-muscle Myosin II"""]),
    'R-DME-350431':Nto._make([date(2010,  7, 23), '..f.P..', 'B.', """Planar Cell Polarity pathway"""]),
    'R-DME-350480':Nto._make([date(2010,  7, 23), '....P..', '..', """Activation of non-muscle Myosin II"""]),
    'R-HSA-350562':Nto._make([date(2008,  6, 30), '....P..', 'BC', """Regulation of ornithine decarboxylase (ODC)"""]),
    'R-BTA-350562':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of ornithine decarboxylase (ODC)"""]),
    'R-CEL-350562':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of ornithine decarboxylase (ODC)"""]),
    'R-CFA-350562':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of ornithine decarboxylase (ODC)"""]),
    'R-DME-350562':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of ornithine decarboxylase (ODC)"""]),
    'R-DRE-350562':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of ornithine decarboxylase (ODC)"""]),
    'R-MMU-350562':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of ornithine decarboxylase (ODC)"""]),
    'R-RNO-350562':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of ornithine decarboxylase (ODC)"""]),
    'R-SPO-350562':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of ornithine decarboxylase (ODC)"""]),
    'R-SSC-350562':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of ornithine decarboxylase (ODC)"""]),
    'R-XTR-350562':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of ornithine decarboxylase (ODC)"""]),
    'R-HSA-350864':Nto._make([date(2008,  6, 30), '....P..', '..', """Regulation of thyroid hormone activity"""]),
    'R-BTA-350864':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of thyroid hormone activity"""]),
    'R-CFA-350864':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of thyroid hormone activity"""]),
    'R-DDI-350864':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of thyroid hormone activity"""]),
    'R-DRE-350864':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of thyroid hormone activity"""]),
    'R-GGA-350864':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of thyroid hormone activity"""]),
    'R-MMU-350864':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of thyroid hormone activity"""]),
    'R-RNO-350864':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of thyroid hormone activity"""]),
    'R-SSC-350864':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of thyroid hormone activity"""]),
    'R-XTR-350864':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of thyroid hormone activity"""]),
    'R-HSA-351143':Nto._make([date(2008,  9, 30), '....P..', 'BC', """Agmatine biosynthesis"""]),
    'R-BTA-351143':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Agmatine biosynthesis"""]),
    'R-CEL-351143':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Agmatine biosynthesis"""]),
    'R-CFA-351143':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Agmatine biosynthesis"""]),
    'R-DDI-351143':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Agmatine biosynthesis"""]),
    'R-DME-351143':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Agmatine biosynthesis"""]),
    'R-DRE-351143':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Agmatine biosynthesis"""]),
    'R-GGA-351143':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Agmatine biosynthesis"""]),
    'R-MMU-351143':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Agmatine biosynthesis"""]),
    'R-PFA-351143':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Agmatine biosynthesis"""]),
    'R-RNO-351143':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Agmatine biosynthesis"""]),
    'R-SCE-351143':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Agmatine biosynthesis"""]),
    'R-SPO-351143':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Agmatine biosynthesis"""]),
    'R-SSC-351143':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Agmatine biosynthesis"""]),
    'R-XTR-351143':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Agmatine biosynthesis"""]),
    'R-HSA-351200':Nto._make([date(2008,  9, 30), '....P..', 'BC', """Interconversion of polyamines"""]),
    'R-BTA-351200':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interconversion of polyamines"""]),
    'R-CEL-351200':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interconversion of polyamines"""]),
    'R-CFA-351200':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interconversion of polyamines"""]),
    'R-DDI-351200':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interconversion of polyamines"""]),
    'R-DME-351200':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interconversion of polyamines"""]),
    'R-DRE-351200':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interconversion of polyamines"""]),
    'R-GGA-351200':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interconversion of polyamines"""]),
    'R-MMU-351200':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interconversion of polyamines"""]),
    'R-PFA-351200':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interconversion of polyamines"""]),
    'R-RNO-351200':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interconversion of polyamines"""]),
    'R-SCE-351200':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interconversion of polyamines"""]),
    'R-SPO-351200':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interconversion of polyamines"""]),
    'R-SSC-351200':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interconversion of polyamines"""]),
    'R-XTR-351200':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interconversion of polyamines"""]),
    'R-HSA-351202':Nto._make([date(2008,  9, 30), '..F.P..', 'BC', """Metabolism of polyamines"""]),
    'R-BTA-351202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of polyamines"""]),
    'R-CEL-351202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of polyamines"""]),
    'R-CFA-351202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of polyamines"""]),
    'R-DDI-351202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of polyamines"""]),
    'R-DME-351202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of polyamines"""]),
    'R-DRE-351202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of polyamines"""]),
    'R-GGA-351202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of polyamines"""]),
    'R-MMU-351202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of polyamines"""]),
    'R-PFA-351202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of polyamines"""]),
    'R-RNO-351202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of polyamines"""]),
    'R-SCE-351202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of polyamines"""]),
    'R-SPO-351202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of polyamines"""]),
    'R-SSC-351202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of polyamines"""]),
    'R-XTR-351202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of polyamines"""]),
    'R-GGA-351433':Nto._make([date(2009,  6,  1), '....P..', 'BC', """ATM mediated phosphorylation of repair proteins"""]),
    'R-GGA-351442':Nto._make([date(2009,  6,  1), '.......', 'BC', """ATM mediated response to DNA double-strand break"""]),
    'R-GGA-351444':Nto._make([date(2009,  6,  1), '.......', 'BC', """Recruitment of repair and signaling proteins to double-strand breaks"""]),
    'R-GGA-351451':Nto._make([date(2009,  6,  1), '.......', 'BC', """Homologous recombination repair of replication-dependent double-strand breaks"""]),
    'R-GGA-351465':Nto._make([date(2009,  6,  1), '.......', 'BC', """Fanconi Anemia Pathway in DNA repair"""]),
    'R-GGA-351468':Nto._make([date(2009,  6,  1), '.......', 'BC', """Processing of DNA double-strand break ends"""]),
    'R-GGA-351470':Nto._make([date(2009,  6,  1), '.......', 'BC', """Homologous recombination repair (HRR) of replication-independent double-strand breaks"""]),
    'R-HSA-351906':Nto._make([date(2008,  6, 30), '....P..', '..', """Apoptotic cleavage of cell adhesion  proteins"""]),
    'R-CFA-351906':Nto._make([date(2019,  3, 20), '...I...', '..', """Apoptotic cleavage of cell adhesion  proteins"""]),
    'R-DME-351906':Nto._make([date(2019,  3, 20), '...I...', '..', """Apoptotic cleavage of cell adhesion  proteins"""]),
    'R-DRE-351906':Nto._make([date(2019,  3, 20), '...I...', '..', """Apoptotic cleavage of cell adhesion  proteins"""]),
    'R-GGA-351906':Nto._make([date(2019,  3, 20), '...I...', '..', """Apoptotic cleavage of cell adhesion  proteins"""]),
    'R-MMU-351906':Nto._make([date(2019,  3, 20), '...I...', '..', """Apoptotic cleavage of cell adhesion  proteins"""]),
    'R-RNO-351906':Nto._make([date(2019,  3, 20), '...I...', '..', """Apoptotic cleavage of cell adhesion  proteins"""]),
    'R-XTR-351906':Nto._make([date(2019,  3, 20), '...I...', '..', """Apoptotic cleavage of cell adhesion  proteins"""]),
    'R-HSA-352230':Nto._make([date(2008,  6, 30), '....P..', 'BC', """Amino acid transport across the plasma membrane"""]),
    'R-BTA-352230':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Amino acid transport across the plasma membrane"""]),
    'R-CEL-352230':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Amino acid transport across the plasma membrane"""]),
    'R-CFA-352230':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Amino acid transport across the plasma membrane"""]),
    'R-DDI-352230':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Amino acid transport across the plasma membrane"""]),
    'R-DME-352230':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Amino acid transport across the plasma membrane"""]),
    'R-DRE-352230':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Amino acid transport across the plasma membrane"""]),
    'R-GGA-352230':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Amino acid transport across the plasma membrane"""]),
    'R-MMU-352230':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Amino acid transport across the plasma membrane"""]),
    'R-PFA-352230':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Amino acid transport across the plasma membrane"""]),
    'R-RNO-352230':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Amino acid transport across the plasma membrane"""]),
    'R-SCE-352230':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Amino acid transport across the plasma membrane"""]),
    'R-SPO-352230':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Amino acid transport across the plasma membrane"""]),
    'R-SSC-352230':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Amino acid transport across the plasma membrane"""]),
    'R-XTR-352230':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Amino acid transport across the plasma membrane"""]),
    'R-HSA-352238':Nto._make([date(2008,  6, 30), '....P..', '.C', """Breakdown of the nuclear lamina"""]),
    'R-BTA-352238':Nto._make([date(2019,  3, 20), '...I...', '.C', """Breakdown of the nuclear lamina"""]),
    'R-CFA-352238':Nto._make([date(2019,  3, 20), '...I...', '.C', """Breakdown of the nuclear lamina"""]),
    'R-DME-352238':Nto._make([date(2019,  3, 20), '...I...', '.C', """Breakdown of the nuclear lamina"""]),
    'R-DRE-352238':Nto._make([date(2019,  3, 20), '...I...', '.C', """Breakdown of the nuclear lamina"""]),
    'R-GGA-352238':Nto._make([date(2019,  3, 20), '...I...', '.C', """Breakdown of the nuclear lamina"""]),
    'R-MMU-352238':Nto._make([date(2019,  3, 20), '...I...', '.C', """Breakdown of the nuclear lamina"""]),
    'R-RNO-352238':Nto._make([date(2019,  3, 20), '...I...', '.C', """Breakdown of the nuclear lamina"""]),
    'R-SSC-352238':Nto._make([date(2019,  3, 20), '...I...', '.C', """Breakdown of the nuclear lamina"""]),
    'R-XTR-352238':Nto._make([date(2019,  3, 20), '...I...', '.C', """Breakdown of the nuclear lamina"""]),
    'R-GGA-352832':Nto._make([date(2009,  6,  1), '.......', 'B.', """Glucose transport"""]),
    'R-GGA-352875':Nto._make([date(2009,  6,  1), '....P..', 'B.', """Gluconeogenesis"""]),
    'R-GGA-352882':Nto._make([date(2009,  6,  1), '.......', 'BC', """Glycolysis"""]),
    'R-GGA-353098':Nto._make([date(2009,  6,  1), '..f....', 'B.', """Carbohydrate metabolism"""]),
    'R-GGA-353234':Nto._make([date(2009,  6,  1), '....P..', 'BC', """Base Excision Repair, AP site formation by depyrimidination"""]),
    'R-GGA-353239':Nto._make([date(2009,  6,  1), '.......', 'BC', """DNA Damage Reversal"""]),
    'R-GGA-353248':Nto._make([date(2009,  6,  1), '.......', 'BC', """DNA damage recognition in global genomic repair"""]),
    'R-GGA-353295':Nto._make([date(2009,  6,  1), '.......', 'BC', """Homologous recombination repair"""]),
    'R-GGA-353299':Nto._make([date(2009,  6,  1), '.......', 'BC', """RAD18 and ubiquitinated PCNA-mediated recruitment of translesion polymerases"""]),
    'R-GGA-353303':Nto._make([date(2009,  6,  1), '.......', '.C', """Nucleotide Excision Repair"""]),
    'R-GGA-353357':Nto._make([date(2009,  6,  1), '....P..', 'BC', """Base Excision Repair"""]),
    'R-GGA-353371':Nto._make([date(2009,  6,  1), '.......', 'BC', """Double strand break repair"""]),
    'R-GGA-353377':Nto._make([date(2009,  6,  1), '..f....', 'BC', """DNA repair"""]),
    'R-GGA-353382':Nto._make([date(2009,  6,  1), '....P..', 'BC', """Translesion synthesis by Pol eta"""]),
    'R-GGA-353416':Nto._make([date(2009,  6,  1), '.......', 'BC', """Resolution of Abasic Sites (AP sites)"""]),
    'R-GGA-353423':Nto._make([date(2009,  6,  1), '....P..', 'BC', """Non-homologous end joining (NHEJ)"""]),
    'R-GGA-353473':Nto._make([date(2009,  6,  1), '....P..', 'BC', """Translesion synthesis by Pol zeta"""]),
    'R-GGA-353488':Nto._make([date(2009,  6,  1), '....P..', 'BC', """DNA damage bypass"""]),
    'R-GGA-353496':Nto._make([date(2009,  6,  1), '.......', 'BC', """Translesion synthesis by DNA polymerases bypassing lesion on DNA template"""]),
    'R-GGA-353503':Nto._make([date(2009,  6,  1), '....P..', 'BC', """Translesion synthesis by Pol kappa"""]),
    'R-HSA-354192':Nto._make([date(2008, 12, 17), '..F.P..', '..', """Integrin alphaIIb beta3 signaling"""]),
    'R-BTA-354192':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin alphaIIb beta3 signaling"""]),
    'R-CEL-354192':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin alphaIIb beta3 signaling"""]),
    'R-CFA-354192':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin alphaIIb beta3 signaling"""]),
    'R-DDI-354192':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin alphaIIb beta3 signaling"""]),
    'R-DME-354192':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin alphaIIb beta3 signaling"""]),
    'R-DRE-354192':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin alphaIIb beta3 signaling"""]),
    'R-GGA-354192':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin alphaIIb beta3 signaling"""]),
    'R-MMU-354192':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin alphaIIb beta3 signaling"""]),
    'R-RNO-354192':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin alphaIIb beta3 signaling"""]),
    'R-SCE-354192':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin alphaIIb beta3 signaling"""]),
    'R-SSC-354192':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin alphaIIb beta3 signaling"""]),
    'R-XTR-354192':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin alphaIIb beta3 signaling"""]),
    'R-HSA-354194':Nto._make([date(2008, 12, 17), '....P..', '..', """GRB2:SOS provides linkage to MAPK signaling for Integrins """]),
    'R-CEL-354194':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2:SOS provides linkage to MAPK signaling for Integrins """]),
    'R-CFA-354194':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2:SOS provides linkage to MAPK signaling for Integrins """]),
    'R-DRE-354194':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2:SOS provides linkage to MAPK signaling for Integrins """]),
    'R-MMU-354194':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2:SOS provides linkage to MAPK signaling for Integrins """]),
    'R-RNO-354194':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2:SOS provides linkage to MAPK signaling for Integrins """]),
    'R-XTR-354194':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2:SOS provides linkage to MAPK signaling for Integrins """]),
    'R-GGA-372442':Nto._make([date(2009,  6,  1), '..f....', 'B.', """Lipid metabolism"""]),
    'R-GGA-372568':Nto._make([date(2009,  6,  1), '..f....', 'B.', """Amino acid metabolism"""]),
    'R-HSA-372708':Nto._make([date(2008, 12, 17), '....P..', '..', """p130Cas linkage to MAPK signaling for integrins"""]),
    'R-CFA-372708':Nto._make([date(2019,  3, 20), '...I...', '..', """p130Cas linkage to MAPK signaling for integrins"""]),
    'R-DRE-372708':Nto._make([date(2019,  3, 20), '...I...', '..', """p130Cas linkage to MAPK signaling for integrins"""]),
    'R-MMU-372708':Nto._make([date(2019,  3, 20), '...I...', '..', """p130Cas linkage to MAPK signaling for integrins"""]),
    'R-RNO-372708':Nto._make([date(2019,  3, 20), '...I...', '..', """p130Cas linkage to MAPK signaling for integrins"""]),
    'R-XTR-372708':Nto._make([date(2019,  3, 20), '...I...', '..', """p130Cas linkage to MAPK signaling for integrins"""]),
    'R-HSA-372790':Nto._make([date(2008,  9, 30), '..F.P..', '..', """Signaling by GPCR"""]),
    'R-BTA-372790':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by GPCR"""]),
    'R-CEL-372790':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by GPCR"""]),
    'R-CFA-372790':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by GPCR"""]),
    'R-DDI-372790':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by GPCR"""]),
    'R-DME-372790':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by GPCR"""]),
    'R-DRE-372790':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by GPCR"""]),
    'R-GGA-372790':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by GPCR"""]),
    'R-MMU-372790':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by GPCR"""]),
    'R-PFA-372790':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by GPCR"""]),
    'R-RNO-372790':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by GPCR"""]),
    'R-SCE-372790':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by GPCR"""]),
    'R-SPO-372790':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by GPCR"""]),
    'R-SSC-372790':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by GPCR"""]),
    'R-XTR-372790':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by GPCR"""]),
    'R-GGA-372987':Nto._make([date(2009,  6,  1), '..f....', 'BC', """The tricarboxylic acid cycle"""]),
    'R-HSA-373076':Nto._make([date(2008,  9, 30), '..f.P..', '..', """Class A/1 (Rhodopsin-like receptors)"""]),
    'R-BTA-373076':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class A/1 (Rhodopsin-like receptors)"""]),
    'R-CEL-373076':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class A/1 (Rhodopsin-like receptors)"""]),
    'R-CFA-373076':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class A/1 (Rhodopsin-like receptors)"""]),
    'R-DME-373076':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class A/1 (Rhodopsin-like receptors)"""]),
    'R-DRE-373076':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class A/1 (Rhodopsin-like receptors)"""]),
    'R-GGA-373076':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class A/1 (Rhodopsin-like receptors)"""]),
    'R-MMU-373076':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class A/1 (Rhodopsin-like receptors)"""]),
    'R-RNO-373076':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class A/1 (Rhodopsin-like receptors)"""]),
    'R-SSC-373076':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class A/1 (Rhodopsin-like receptors)"""]),
    'R-XTR-373076':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class A/1 (Rhodopsin-like receptors)"""]),
    'R-HSA-373080':Nto._make([date(2009,  6, 24), '..f.P..', '..', """Class B/2 (Secretin family receptors)"""]),
    'R-BTA-373080':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class B/2 (Secretin family receptors)"""]),
    'R-CEL-373080':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class B/2 (Secretin family receptors)"""]),
    'R-CFA-373080':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class B/2 (Secretin family receptors)"""]),
    'R-DRE-373080':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class B/2 (Secretin family receptors)"""]),
    'R-GGA-373080':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class B/2 (Secretin family receptors)"""]),
    'R-MMU-373080':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class B/2 (Secretin family receptors)"""]),
    'R-RNO-373080':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class B/2 (Secretin family receptors)"""]),
    'R-SSC-373080':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class B/2 (Secretin family receptors)"""]),
    'R-XTR-373080':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class B/2 (Secretin family receptors)"""]),
    'R-HSA-373752':Nto._make([date(2010,  6, 15), '..f.P..', '..', """Netrin-1 signaling"""]),
    'R-BTA-373752':Nto._make([date(2019,  3, 20), '..fI...', '..', """Netrin-1 signaling"""]),
    'R-CEL-373752':Nto._make([date(2019,  3, 20), '..fI...', '..', """Netrin-1 signaling"""]),
    'R-CFA-373752':Nto._make([date(2019,  3, 20), '..fI...', '..', """Netrin-1 signaling"""]),
    'R-DME-373752':Nto._make([date(2019,  3, 20), '..fI...', '..', """Netrin-1 signaling"""]),
    'R-DRE-373752':Nto._make([date(2019,  3, 20), '..fI...', '..', """Netrin-1 signaling"""]),
    'R-GGA-373752':Nto._make([date(2019,  3, 20), '..fI...', '..', """Netrin-1 signaling"""]),
    'R-MMU-373752':Nto._make([date(2019,  3, 20), '..fI...', '..', """Netrin-1 signaling"""]),
    'R-RNO-373752':Nto._make([date(2019,  3, 20), '..fI...', '..', """Netrin-1 signaling"""]),
    'R-SSC-373752':Nto._make([date(2019,  3, 20), '..fI...', '..', """Netrin-1 signaling"""]),
    'R-XTR-373752':Nto._make([date(2019,  3, 20), '..fI...', '..', """Netrin-1 signaling"""]),
    'R-HSA-373753':Nto._make([date(2010,  9, 21), '..f.P..', '.C', """Nephrin family interactions"""]),
    'R-BTA-373753':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Nephrin family interactions"""]),
    'R-CEL-373753':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Nephrin family interactions"""]),
    'R-CFA-373753':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Nephrin family interactions"""]),
    'R-DME-373753':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Nephrin family interactions"""]),
    'R-DRE-373753':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Nephrin family interactions"""]),
    'R-MMU-373753':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Nephrin family interactions"""]),
    'R-RNO-373753':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Nephrin family interactions"""]),
    'R-SSC-373753':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Nephrin family interactions"""]),
    'R-XTR-373753':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Nephrin family interactions"""]),
    'R-HSA-373755':Nto._make([date(2009,  9, 30), '..f.P..', '..', """Semaphorin interactions"""]),
    'R-BTA-373755':Nto._make([date(2019,  3, 20), '..fI...', '..', """Semaphorin interactions"""]),
    'R-CEL-373755':Nto._make([date(2019,  3, 20), '..fI...', '..', """Semaphorin interactions"""]),
    'R-CFA-373755':Nto._make([date(2019,  3, 20), '..fI...', '..', """Semaphorin interactions"""]),
    'R-DME-373755':Nto._make([date(2019,  3, 20), '..fI...', '..', """Semaphorin interactions"""]),
    'R-DRE-373755':Nto._make([date(2019,  3, 20), '..fI...', '..', """Semaphorin interactions"""]),
    'R-GGA-373755':Nto._make([date(2019,  3, 20), '..fI...', '..', """Semaphorin interactions"""]),
    'R-MMU-373755':Nto._make([date(2019,  3, 20), '..fI...', '..', """Semaphorin interactions"""]),
    'R-RNO-373755':Nto._make([date(2019,  3, 20), '..fI...', '..', """Semaphorin interactions"""]),
    'R-SSC-373755':Nto._make([date(2019,  3, 20), '..fI...', '..', """Semaphorin interactions"""]),
    'R-XTR-373755':Nto._make([date(2019,  3, 20), '..fI...', '..', """Semaphorin interactions"""]),
    'R-HSA-373756':Nto._make([date(2017,  3, 27), '....P..', '.C', """SDK interactions"""]),
    'R-BTA-373756':Nto._make([date(2019,  3, 20), '...I...', '.C', """SDK interactions"""]),
    'R-CEL-373756':Nto._make([date(2019,  3, 20), '...I...', '.C', """SDK interactions"""]),
    'R-CFA-373756':Nto._make([date(2019,  3, 20), '...I...', '.C', """SDK interactions"""]),
    'R-DRE-373756':Nto._make([date(2019,  3, 20), '...I...', '.C', """SDK interactions"""]),
    'R-MMU-373756':Nto._make([date(2019,  3, 20), '...I...', '.C', """SDK interactions"""]),
    'R-RNO-373756':Nto._make([date(2019,  3, 20), '...I...', '.C', """SDK interactions"""]),
    'R-SSC-373756':Nto._make([date(2019,  3, 20), '...I...', '.C', """SDK interactions"""]),
    'R-XTR-373756':Nto._make([date(2019,  3, 20), '...I...', '.C', """SDK interactions"""]),
    'R-HSA-373760':Nto._make([date(2010,  6, 15), '..f.P..', '..', """L1CAM interactions"""]),
    'R-BTA-373760':Nto._make([date(2019,  3, 20), '..fI...', '..', """L1CAM interactions"""]),
    'R-CEL-373760':Nto._make([date(2019,  3, 20), '..fI...', '..', """L1CAM interactions"""]),
    'R-CFA-373760':Nto._make([date(2019,  3, 20), '..fI...', '..', """L1CAM interactions"""]),
    'R-DDI-373760':Nto._make([date(2019,  3, 20), '..fI...', '..', """L1CAM interactions"""]),
    'R-DME-373760':Nto._make([date(2019,  3, 20), '..fI...', '..', """L1CAM interactions"""]),
    'R-DRE-373760':Nto._make([date(2019,  3, 20), '..fI...', '..', """L1CAM interactions"""]),
    'R-GGA-373760':Nto._make([date(2019,  3, 20), '..fI...', '..', """L1CAM interactions"""]),
    'R-MMU-373760':Nto._make([date(2019,  3, 20), '..fI...', '..', """L1CAM interactions"""]),
    'R-PFA-373760':Nto._make([date(2019,  3, 20), '..fI...', '..', """L1CAM interactions"""]),
    'R-RNO-373760':Nto._make([date(2019,  3, 20), '..fI...', '..', """L1CAM interactions"""]),
    'R-SCE-373760':Nto._make([date(2019,  3, 20), '..fI...', '..', """L1CAM interactions"""]),
    'R-SPO-373760':Nto._make([date(2019,  3, 20), '..fI...', '..', """L1CAM interactions"""]),
    'R-SSC-373760':Nto._make([date(2019,  3, 20), '..fI...', '..', """L1CAM interactions"""]),
    'R-XTR-373760':Nto._make([date(2019,  3, 20), '..fI...', '..', """L1CAM interactions"""]),
    'R-GGA-373920':Nto._make([date(2009,  6,  1), '..f.P..', 'B.', """Pyruvate metabolism"""]),
    'R-HSA-375165':Nto._make([date(2009,  6, 24), '..F.P..', '.C', """NCAM signaling for neurite out-growth"""]),
    'R-BTA-375165':Nto._make([date(2019,  3, 20), '..fI...', '.C', """NCAM signaling for neurite out-growth"""]),
    'R-CEL-375165':Nto._make([date(2019,  3, 20), '..fI...', '.C', """NCAM signaling for neurite out-growth"""]),
    'R-CFA-375165':Nto._make([date(2019,  3, 20), '..fI...', '.C', """NCAM signaling for neurite out-growth"""]),
    'R-DDI-375165':Nto._make([date(2019,  3, 20), '..fI...', '.C', """NCAM signaling for neurite out-growth"""]),
    'R-DME-375165':Nto._make([date(2019,  3, 20), '..fI...', '.C', """NCAM signaling for neurite out-growth"""]),
    'R-DRE-375165':Nto._make([date(2019,  3, 20), '..fI...', '.C', """NCAM signaling for neurite out-growth"""]),
    'R-MMU-375165':Nto._make([date(2019,  3, 20), '..fI...', '.C', """NCAM signaling for neurite out-growth"""]),
    'R-PFA-375165':Nto._make([date(2019,  3, 20), '..fI...', '.C', """NCAM signaling for neurite out-growth"""]),
    'R-RNO-375165':Nto._make([date(2019,  3, 20), '..fI...', '.C', """NCAM signaling for neurite out-growth"""]),
    'R-SCE-375165':Nto._make([date(2019,  3, 20), '..fI...', '.C', """NCAM signaling for neurite out-growth"""]),
    'R-SPO-375165':Nto._make([date(2019,  3, 20), '..fI...', '.C', """NCAM signaling for neurite out-growth"""]),
    'R-SSC-375165':Nto._make([date(2019,  3, 20), '..fI...', '.C', """NCAM signaling for neurite out-growth"""]),
    'R-XTR-375165':Nto._make([date(2019,  3, 20), '..fI...', '.C', """NCAM signaling for neurite out-growth"""]),
    'R-HSA-375276':Nto._make([date(2008,  9, 30), '....P..', '..', """Peptide ligand-binding receptors"""]),
    'R-BTA-375276':Nto._make([date(2019,  3, 20), '...I...', '..', """Peptide ligand-binding receptors"""]),
    'R-CEL-375276':Nto._make([date(2019,  3, 20), '...I...', '..', """Peptide ligand-binding receptors"""]),
    'R-CFA-375276':Nto._make([date(2019,  3, 20), '...I...', '..', """Peptide ligand-binding receptors"""]),
    'R-DME-375276':Nto._make([date(2019,  3, 20), '...I...', '..', """Peptide ligand-binding receptors"""]),
    'R-DRE-375276':Nto._make([date(2019,  3, 20), '...I...', '..', """Peptide ligand-binding receptors"""]),
    'R-GGA-375276':Nto._make([date(2019,  3, 20), '...I...', '..', """Peptide ligand-binding receptors"""]),
    'R-MMU-375276':Nto._make([date(2019,  3, 20), '...I...', '..', """Peptide ligand-binding receptors"""]),
    'R-RNO-375276':Nto._make([date(2019,  3, 20), '...I...', '..', """Peptide ligand-binding receptors"""]),
    'R-SSC-375276':Nto._make([date(2019,  3, 20), '...I...', '..', """Peptide ligand-binding receptors"""]),
    'R-XTR-375276':Nto._make([date(2019,  3, 20), '...I...', '..', """Peptide ligand-binding receptors"""]),
    'R-HSA-375280':Nto._make([date(2009,  4,  1), '....P..', '..', """Amine ligand-binding receptors"""]),
    'R-BTA-375280':Nto._make([date(2019,  3, 20), '...I...', '..', """Amine ligand-binding receptors"""]),
    'R-CEL-375280':Nto._make([date(2019,  3, 20), '...I...', '..', """Amine ligand-binding receptors"""]),
    'R-CFA-375280':Nto._make([date(2019,  3, 20), '...I...', '..', """Amine ligand-binding receptors"""]),
    'R-DME-375280':Nto._make([date(2019,  3, 20), '...I...', '..', """Amine ligand-binding receptors"""]),
    'R-DRE-375280':Nto._make([date(2019,  3, 20), '...I...', '..', """Amine ligand-binding receptors"""]),
    'R-GGA-375280':Nto._make([date(2019,  3, 20), '...I...', '..', """Amine ligand-binding receptors"""]),
    'R-MMU-375280':Nto._make([date(2019,  3, 20), '...I...', '..', """Amine ligand-binding receptors"""]),
    'R-RNO-375280':Nto._make([date(2019,  3, 20), '...I...', '..', """Amine ligand-binding receptors"""]),
    'R-SSC-375280':Nto._make([date(2019,  3, 20), '...I...', '..', """Amine ligand-binding receptors"""]),
    'R-XTR-375280':Nto._make([date(2019,  3, 20), '...I...', '..', """Amine ligand-binding receptors"""]),
    'R-HSA-375281':Nto._make([date(2009,  4,  1), '....P..', '..', """Hormone ligand-binding receptors"""]),
    'R-BTA-375281':Nto._make([date(2019,  3, 20), '...I...', '..', """Hormone ligand-binding receptors"""]),
    'R-CEL-375281':Nto._make([date(2019,  3, 20), '...I...', '..', """Hormone ligand-binding receptors"""]),
    'R-CFA-375281':Nto._make([date(2019,  3, 20), '...I...', '..', """Hormone ligand-binding receptors"""]),
    'R-DME-375281':Nto._make([date(2019,  3, 20), '...I...', '..', """Hormone ligand-binding receptors"""]),
    'R-DRE-375281':Nto._make([date(2019,  3, 20), '...I...', '..', """Hormone ligand-binding receptors"""]),
    'R-GGA-375281':Nto._make([date(2019,  3, 20), '...I...', '..', """Hormone ligand-binding receptors"""]),
    'R-MMU-375281':Nto._make([date(2019,  3, 20), '...I...', '..', """Hormone ligand-binding receptors"""]),
    'R-RNO-375281':Nto._make([date(2019,  3, 20), '...I...', '..', """Hormone ligand-binding receptors"""]),
    'R-SSC-375281':Nto._make([date(2019,  3, 20), '...I...', '..', """Hormone ligand-binding receptors"""]),
    'R-XTR-375281':Nto._make([date(2019,  3, 20), '...I...', '..', """Hormone ligand-binding receptors"""]),
    'R-HSA-376172':Nto._make([date(2010, 12, 14), '....P..', '.C', """DSCAM interactions"""]),
    'R-BTA-376172':Nto._make([date(2019,  3, 20), '...I...', '.C', """DSCAM interactions"""]),
    'R-CFA-376172':Nto._make([date(2019,  3, 20), '...I...', '.C', """DSCAM interactions"""]),
    'R-DRE-376172':Nto._make([date(2019,  3, 20), '...I...', '.C', """DSCAM interactions"""]),
    'R-GGA-376172':Nto._make([date(2019,  3, 20), '...I...', '.C', """DSCAM interactions"""]),
    'R-MMU-376172':Nto._make([date(2019,  3, 20), '...I...', '.C', """DSCAM interactions"""]),
    'R-RNO-376172':Nto._make([date(2019,  3, 20), '...I...', '.C', """DSCAM interactions"""]),
    'R-SSC-376172':Nto._make([date(2019,  3, 20), '...I...', '.C', """DSCAM interactions"""]),
    'R-XTR-376172':Nto._make([date(2019,  3, 20), '...I...', '.C', """DSCAM interactions"""]),
    'R-HSA-376176':Nto._make([date(2009,  9, 30), '..f.P..', '.C', """Signaling by ROBO receptors"""]),
    'R-BTA-376176':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by ROBO receptors"""]),
    'R-CEL-376176':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by ROBO receptors"""]),
    'R-CFA-376176':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by ROBO receptors"""]),
    'R-DME-376176':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by ROBO receptors"""]),
    'R-DRE-376176':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by ROBO receptors"""]),
    'R-GGA-376176':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by ROBO receptors"""]),
    'R-MMU-376176':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by ROBO receptors"""]),
    'R-RNO-376176':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by ROBO receptors"""]),
    'R-SSC-376176':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by ROBO receptors"""]),
    'R-XTR-376176':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by ROBO receptors"""]),
    'R-HSA-379397':Nto._make([date(2008, 12, 17), '....P..', '..', """Enzymatic degradation of dopamine by COMT"""]),
    'R-BTA-379397':Nto._make([date(2019,  3, 20), '...I...', '..', """Enzymatic degradation of dopamine by COMT"""]),
    'R-CFA-379397':Nto._make([date(2019,  3, 20), '...I...', '..', """Enzymatic degradation of dopamine by COMT"""]),
    'R-DDI-379397':Nto._make([date(2019,  3, 20), '...I...', '..', """Enzymatic degradation of dopamine by COMT"""]),
    'R-DRE-379397':Nto._make([date(2019,  3, 20), '...I...', '..', """Enzymatic degradation of dopamine by COMT"""]),
    'R-GGA-379397':Nto._make([date(2019,  3, 20), '...I...', '..', """Enzymatic degradation of dopamine by COMT"""]),
    'R-MMU-379397':Nto._make([date(2019,  3, 20), '...I...', '..', """Enzymatic degradation of dopamine by COMT"""]),
    'R-RNO-379397':Nto._make([date(2019,  3, 20), '...I...', '..', """Enzymatic degradation of dopamine by COMT"""]),
    'R-SPO-379397':Nto._make([date(2019,  3, 20), '...I...', '..', """Enzymatic degradation of dopamine by COMT"""]),
    'R-SSC-379397':Nto._make([date(2019,  3, 20), '...I...', '..', """Enzymatic degradation of dopamine by COMT"""]),
    'R-XTR-379397':Nto._make([date(2019,  3, 20), '...I...', '..', """Enzymatic degradation of dopamine by COMT"""]),
    'R-HSA-379398':Nto._make([date(2008, 12, 17), '.......', '..', """Enzymatic degradation of Dopamine by monoamine oxidase"""]),
    'R-BTA-379398':Nto._make([date(2019,  3, 20), '...I...', '..', """Enzymatic degradation of Dopamine by monoamine oxidase"""]),
    'R-CFA-379398':Nto._make([date(2019,  3, 20), '...I...', '..', """Enzymatic degradation of Dopamine by monoamine oxidase"""]),
    'R-DDI-379398':Nto._make([date(2019,  3, 20), '...I...', '..', """Enzymatic degradation of Dopamine by monoamine oxidase"""]),
    'R-DRE-379398':Nto._make([date(2019,  3, 20), '...I...', '..', """Enzymatic degradation of Dopamine by monoamine oxidase"""]),
    'R-GGA-379398':Nto._make([date(2019,  3, 20), '...I...', '..', """Enzymatic degradation of Dopamine by monoamine oxidase"""]),
    'R-MMU-379398':Nto._make([date(2019,  3, 20), '...I...', '..', """Enzymatic degradation of Dopamine by monoamine oxidase"""]),
    'R-RNO-379398':Nto._make([date(2019,  3, 20), '...I...', '..', """Enzymatic degradation of Dopamine by monoamine oxidase"""]),
    'R-SPO-379398':Nto._make([date(2019,  3, 20), '...I...', '..', """Enzymatic degradation of Dopamine by monoamine oxidase"""]),
    'R-XTR-379398':Nto._make([date(2019,  3, 20), '...I...', '..', """Enzymatic degradation of Dopamine by monoamine oxidase"""]),
    'R-HSA-379401':Nto._make([date(2008, 12, 17), '.......', '..', """Dopamine clearance from the synaptic cleft"""]),
    'R-BTA-379401':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine clearance from the synaptic cleft"""]),
    'R-CEL-379401':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine clearance from the synaptic cleft"""]),
    'R-CFA-379401':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine clearance from the synaptic cleft"""]),
    'R-DDI-379401':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine clearance from the synaptic cleft"""]),
    'R-DME-379401':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine clearance from the synaptic cleft"""]),
    'R-DRE-379401':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine clearance from the synaptic cleft"""]),
    'R-GGA-379401':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine clearance from the synaptic cleft"""]),
    'R-MMU-379401':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine clearance from the synaptic cleft"""]),
    'R-PFA-379401':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine clearance from the synaptic cleft"""]),
    'R-RNO-379401':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine clearance from the synaptic cleft"""]),
    'R-SPO-379401':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine clearance from the synaptic cleft"""]),
    'R-SSC-379401':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine clearance from the synaptic cleft"""]),
    'R-XTR-379401':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine clearance from the synaptic cleft"""]),
    'R-HSA-379716':Nto._make([date(2008, 12, 17), '....P..', 'BC', """Cytosolic tRNA aminoacylation"""]),
    'R-BTA-379716':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic tRNA aminoacylation"""]),
    'R-CEL-379716':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic tRNA aminoacylation"""]),
    'R-CFA-379716':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic tRNA aminoacylation"""]),
    'R-DDI-379716':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic tRNA aminoacylation"""]),
    'R-DME-379716':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic tRNA aminoacylation"""]),
    'R-DRE-379716':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic tRNA aminoacylation"""]),
    'R-GGA-379716':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic tRNA aminoacylation"""]),
    'R-MMU-379716':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic tRNA aminoacylation"""]),
    'R-PFA-379716':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic tRNA aminoacylation"""]),
    'R-RNO-379716':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic tRNA aminoacylation"""]),
    'R-SCE-379716':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic tRNA aminoacylation"""]),
    'R-SPO-379716':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic tRNA aminoacylation"""]),
    'R-SSC-379716':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic tRNA aminoacylation"""]),
    'R-XTR-379716':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cytosolic tRNA aminoacylation"""]),
    'R-HSA-379724':Nto._make([date(2008, 12, 17), '..f.P..', 'B.', """tRNA Aminoacylation"""]),
    'R-BTA-379724':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """tRNA Aminoacylation"""]),
    'R-CEL-379724':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """tRNA Aminoacylation"""]),
    'R-CFA-379724':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """tRNA Aminoacylation"""]),
    'R-DDI-379724':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """tRNA Aminoacylation"""]),
    'R-DME-379724':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """tRNA Aminoacylation"""]),
    'R-DRE-379724':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """tRNA Aminoacylation"""]),
    'R-GGA-379724':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """tRNA Aminoacylation"""]),
    'R-MMU-379724':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """tRNA Aminoacylation"""]),
    'R-PFA-379724':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """tRNA Aminoacylation"""]),
    'R-RNO-379724':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """tRNA Aminoacylation"""]),
    'R-SCE-379724':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """tRNA Aminoacylation"""]),
    'R-SPO-379724':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """tRNA Aminoacylation"""]),
    'R-SSC-379724':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """tRNA Aminoacylation"""]),
    'R-XTR-379724':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """tRNA Aminoacylation"""]),
    'R-HSA-379726':Nto._make([date(2008, 12, 17), '....P..', 'BC', """Mitochondrial tRNA aminoacylation"""]),
    'R-BTA-379726':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial tRNA aminoacylation"""]),
    'R-CEL-379726':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial tRNA aminoacylation"""]),
    'R-CFA-379726':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial tRNA aminoacylation"""]),
    'R-DDI-379726':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial tRNA aminoacylation"""]),
    'R-DME-379726':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial tRNA aminoacylation"""]),
    'R-DRE-379726':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial tRNA aminoacylation"""]),
    'R-GGA-379726':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial tRNA aminoacylation"""]),
    'R-MMU-379726':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial tRNA aminoacylation"""]),
    'R-PFA-379726':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial tRNA aminoacylation"""]),
    'R-RNO-379726':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial tRNA aminoacylation"""]),
    'R-SCE-379726':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial tRNA aminoacylation"""]),
    'R-SPO-379726':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial tRNA aminoacylation"""]),
    'R-SSC-379726':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial tRNA aminoacylation"""]),
    'R-XTR-379726':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial tRNA aminoacylation"""]),
    'R-HSA-380095':Nto._make([date(2009,  4,  1), '....P..', '..', """Tachykinin receptors bind tachykinins"""]),
    'R-BTA-380095':Nto._make([date(2019,  3, 20), '...I...', '..', """Tachykinin receptors bind tachykinins"""]),
    'R-CFA-380095':Nto._make([date(2019,  3, 20), '...I...', '..', """Tachykinin receptors bind tachykinins"""]),
    'R-GGA-380095':Nto._make([date(2019,  3, 20), '...I...', '..', """Tachykinin receptors bind tachykinins"""]),
    'R-MMU-380095':Nto._make([date(2019,  3, 20), '...I...', '..', """Tachykinin receptors bind tachykinins"""]),
    'R-RNO-380095':Nto._make([date(2019,  3, 20), '...I...', '..', """Tachykinin receptors bind tachykinins"""]),
    'R-SSC-380095':Nto._make([date(2019,  3, 20), '...I...', '..', """Tachykinin receptors bind tachykinins"""]),
    'R-XTR-380095':Nto._make([date(2019,  3, 20), '...I...', '..', """Tachykinin receptors bind tachykinins"""]),
    'R-HSA-380108':Nto._make([date(2008, 12, 17), '....P..', '..', """Chemokine receptors bind chemokines"""]),
    'R-BTA-380108':Nto._make([date(2019,  3, 20), '...I...', '..', """Chemokine receptors bind chemokines"""]),
    'R-CFA-380108':Nto._make([date(2019,  3, 20), '...I...', '..', """Chemokine receptors bind chemokines"""]),
    'R-DRE-380108':Nto._make([date(2019,  3, 20), '...I...', '..', """Chemokine receptors bind chemokines"""]),
    'R-GGA-380108':Nto._make([date(2019,  3, 20), '...I...', '..', """Chemokine receptors bind chemokines"""]),
    'R-MMU-380108':Nto._make([date(2019,  3, 20), '...I...', '..', """Chemokine receptors bind chemokines"""]),
    'R-RNO-380108':Nto._make([date(2019,  3, 20), '...I...', '..', """Chemokine receptors bind chemokines"""]),
    'R-SSC-380108':Nto._make([date(2019,  3, 20), '...I...', '..', """Chemokine receptors bind chemokines"""]),
    'R-XTR-380108':Nto._make([date(2019,  3, 20), '...I...', '..', """Chemokine receptors bind chemokines"""]),
    'R-HSA-380259':Nto._make([date(2008, 12, 17), '....P..', '.C', """Loss of Nlp from mitotic centrosomes"""]),
    'R-BTA-380259':Nto._make([date(2019,  3, 20), '...I...', '.C', """Loss of Nlp from mitotic centrosomes"""]),
    'R-CFA-380259':Nto._make([date(2019,  3, 20), '...I...', '.C', """Loss of Nlp from mitotic centrosomes"""]),
    'R-DRE-380259':Nto._make([date(2019,  3, 20), '...I...', '.C', """Loss of Nlp from mitotic centrosomes"""]),
    'R-GGA-380259':Nto._make([date(2019,  3, 20), '...I...', '.C', """Loss of Nlp from mitotic centrosomes"""]),
    'R-MMU-380259':Nto._make([date(2019,  3, 20), '...I...', '.C', """Loss of Nlp from mitotic centrosomes"""]),
    'R-RNO-380259':Nto._make([date(2019,  3, 20), '...I...', '.C', """Loss of Nlp from mitotic centrosomes"""]),
    'R-SSC-380259':Nto._make([date(2019,  3, 20), '...I...', '.C', """Loss of Nlp from mitotic centrosomes"""]),
    'R-XTR-380259':Nto._make([date(2019,  3, 20), '...I...', '.C', """Loss of Nlp from mitotic centrosomes"""]),
    'R-HSA-380270':Nto._make([date(2008, 12, 17), '....P..', '.C', """Recruitment of mitotic centrosome proteins and complexes"""]),
    'R-BTA-380270':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recruitment of mitotic centrosome proteins and complexes"""]),
    'R-CFA-380270':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recruitment of mitotic centrosome proteins and complexes"""]),
    'R-DRE-380270':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recruitment of mitotic centrosome proteins and complexes"""]),
    'R-GGA-380270':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recruitment of mitotic centrosome proteins and complexes"""]),
    'R-MMU-380270':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recruitment of mitotic centrosome proteins and complexes"""]),
    'R-RNO-380270':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recruitment of mitotic centrosome proteins and complexes"""]),
    'R-SSC-380270':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recruitment of mitotic centrosome proteins and complexes"""]),
    'R-XTR-380270':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recruitment of mitotic centrosome proteins and complexes"""]),
    'R-HSA-380284':Nto._make([date(2008, 12, 17), '....P..', '.C', """Loss of proteins required for interphase microtubule organization from the centrosome"""]),
    'R-BTA-380284':Nto._make([date(2019,  3, 20), '...I...', '.C', """Loss of proteins required for interphase microtubule organization from the centrosome"""]),
    'R-CFA-380284':Nto._make([date(2019,  3, 20), '...I...', '.C', """Loss of proteins required for interphase microtubule organization from the centrosome"""]),
    'R-DRE-380284':Nto._make([date(2019,  3, 20), '...I...', '.C', """Loss of proteins required for interphase microtubule organization from the centrosome"""]),
    'R-GGA-380284':Nto._make([date(2019,  3, 20), '...I...', '.C', """Loss of proteins required for interphase microtubule organization from the centrosome"""]),
    'R-MMU-380284':Nto._make([date(2019,  3, 20), '...I...', '.C', """Loss of proteins required for interphase microtubule organization from the centrosome"""]),
    'R-RNO-380284':Nto._make([date(2019,  3, 20), '...I...', '.C', """Loss of proteins required for interphase microtubule organization from the centrosome"""]),
    'R-SSC-380284':Nto._make([date(2019,  3, 20), '...I...', '.C', """Loss of proteins required for interphase microtubule organization from the centrosome"""]),
    'R-XTR-380284':Nto._make([date(2019,  3, 20), '...I...', '.C', """Loss of proteins required for interphase microtubule organization from the centrosome"""]),
    'R-HSA-380287':Nto._make([date(2008, 12, 17), '....P..', '..', """Centrosome maturation"""]),
    'R-BTA-380287':Nto._make([date(2019,  3, 20), '...I...', '..', """Centrosome maturation"""]),
    'R-CFA-380287':Nto._make([date(2019,  3, 20), '...I...', '..', """Centrosome maturation"""]),
    'R-DRE-380287':Nto._make([date(2019,  3, 20), '...I...', '..', """Centrosome maturation"""]),
    'R-GGA-380287':Nto._make([date(2019,  3, 20), '...I...', '..', """Centrosome maturation"""]),
    'R-MMU-380287':Nto._make([date(2019,  3, 20), '...I...', '..', """Centrosome maturation"""]),
    'R-RNO-380287':Nto._make([date(2019,  3, 20), '...I...', '..', """Centrosome maturation"""]),
    'R-SSC-380287':Nto._make([date(2019,  3, 20), '...I...', '..', """Centrosome maturation"""]),
    'R-XTR-380287':Nto._make([date(2019,  3, 20), '...I...', '..', """Centrosome maturation"""]),
    'R-HSA-380320':Nto._make([date(2008, 12, 17), '....P..', '..', """Recruitment of NuMA to mitotic centrosomes"""]),
    'R-BTA-380320':Nto._make([date(2019,  3, 20), '...I...', '..', """Recruitment of NuMA to mitotic centrosomes"""]),
    'R-CFA-380320':Nto._make([date(2019,  3, 20), '...I...', '..', """Recruitment of NuMA to mitotic centrosomes"""]),
    'R-DRE-380320':Nto._make([date(2019,  3, 20), '...I...', '..', """Recruitment of NuMA to mitotic centrosomes"""]),
    'R-GGA-380320':Nto._make([date(2019,  3, 20), '...I...', '..', """Recruitment of NuMA to mitotic centrosomes"""]),
    'R-MMU-380320':Nto._make([date(2019,  3, 20), '...I...', '..', """Recruitment of NuMA to mitotic centrosomes"""]),
    'R-RNO-380320':Nto._make([date(2019,  3, 20), '...I...', '..', """Recruitment of NuMA to mitotic centrosomes"""]),
    'R-SSC-380320':Nto._make([date(2019,  3, 20), '...I...', '..', """Recruitment of NuMA to mitotic centrosomes"""]),
    'R-XTR-380320':Nto._make([date(2019,  3, 20), '...I...', '..', """Recruitment of NuMA to mitotic centrosomes"""]),
    'R-HSA-380612':Nto._make([date(2008, 12, 17), '.......', '..', """Metabolism of serotonin"""]),
    'R-BTA-380612':Nto._make([date(2019,  3, 20), '...I...', '..', """Metabolism of serotonin"""]),
    'R-CEL-380612':Nto._make([date(2019,  3, 20), '...I...', '..', """Metabolism of serotonin"""]),
    'R-CFA-380612':Nto._make([date(2019,  3, 20), '...I...', '..', """Metabolism of serotonin"""]),
    'R-DDI-380612':Nto._make([date(2019,  3, 20), '...I...', '..', """Metabolism of serotonin"""]),
    'R-DME-380612':Nto._make([date(2019,  3, 20), '...I...', '..', """Metabolism of serotonin"""]),
    'R-DRE-380612':Nto._make([date(2019,  3, 20), '...I...', '..', """Metabolism of serotonin"""]),
    'R-GGA-380612':Nto._make([date(2019,  3, 20), '...I...', '..', """Metabolism of serotonin"""]),
    'R-MMU-380612':Nto._make([date(2019,  3, 20), '...I...', '..', """Metabolism of serotonin"""]),
    'R-RNO-380612':Nto._make([date(2019,  3, 20), '...I...', '..', """Metabolism of serotonin"""]),
    'R-SCE-380612':Nto._make([date(2019,  3, 20), '...I...', '..', """Metabolism of serotonin"""]),
    'R-SPO-380612':Nto._make([date(2019,  3, 20), '...I...', '..', """Metabolism of serotonin"""]),
    'R-SSC-380612':Nto._make([date(2019,  3, 20), '...I...', '..', """Metabolism of serotonin"""]),
    'R-XTR-380612':Nto._make([date(2019,  3, 20), '...I...', '..', """Metabolism of serotonin"""]),
    'R-HSA-380615':Nto._make([date(2008, 12, 17), '.......', '..', """Serotonin clearance from the synaptic cleft"""]),
    'R-BTA-380615':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin clearance from the synaptic cleft"""]),
    'R-CEL-380615':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin clearance from the synaptic cleft"""]),
    'R-CFA-380615':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin clearance from the synaptic cleft"""]),
    'R-DDI-380615':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin clearance from the synaptic cleft"""]),
    'R-DME-380615':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin clearance from the synaptic cleft"""]),
    'R-DRE-380615':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin clearance from the synaptic cleft"""]),
    'R-GGA-380615':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin clearance from the synaptic cleft"""]),
    'R-MMU-380615':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin clearance from the synaptic cleft"""]),
    'R-PFA-380615':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin clearance from the synaptic cleft"""]),
    'R-RNO-380615':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin clearance from the synaptic cleft"""]),
    'R-SCE-380615':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin clearance from the synaptic cleft"""]),
    'R-SPO-380615':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin clearance from the synaptic cleft"""]),
    'R-SSC-380615':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin clearance from the synaptic cleft"""]),
    'R-XTR-380615':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin clearance from the synaptic cleft"""]),
    'R-HSA-380972':Nto._make([date(2010,  3, 16), '..f.P..', 'B.', """Energy dependent regulation of mTOR by LKB1-AMPK"""]),
    'R-BTA-380972':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Energy dependent regulation of mTOR by LKB1-AMPK"""]),
    'R-CEL-380972':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Energy dependent regulation of mTOR by LKB1-AMPK"""]),
    'R-CFA-380972':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Energy dependent regulation of mTOR by LKB1-AMPK"""]),
    'R-DDI-380972':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Energy dependent regulation of mTOR by LKB1-AMPK"""]),
    'R-DME-380972':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Energy dependent regulation of mTOR by LKB1-AMPK"""]),
    'R-DRE-380972':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Energy dependent regulation of mTOR by LKB1-AMPK"""]),
    'R-GGA-380972':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Energy dependent regulation of mTOR by LKB1-AMPK"""]),
    'R-MMU-380972':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Energy dependent regulation of mTOR by LKB1-AMPK"""]),
    'R-RNO-380972':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Energy dependent regulation of mTOR by LKB1-AMPK"""]),
    'R-SCE-380972':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Energy dependent regulation of mTOR by LKB1-AMPK"""]),
    'R-SPO-380972':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Energy dependent regulation of mTOR by LKB1-AMPK"""]),
    'R-SSC-380972':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Energy dependent regulation of mTOR by LKB1-AMPK"""]),
    'R-XTR-380972':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Energy dependent regulation of mTOR by LKB1-AMPK"""]),
    'R-HSA-380994':Nto._make([date(2009,  6, 24), '..f.P..', '..', """ATF4 activates genes in response to endoplasmic reticulum  stress"""]),
    'R-HSA-381033':Nto._make([date(2009,  6, 24), '....P..', 'BC', """ATF6 (ATF6-alpha) activates chaperones"""]),
    'R-BTA-381033':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ATF6 (ATF6-alpha) activates chaperones"""]),
    'R-CEL-381033':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ATF6 (ATF6-alpha) activates chaperones"""]),
    'R-CFA-381033':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ATF6 (ATF6-alpha) activates chaperones"""]),
    'R-DDI-381033':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ATF6 (ATF6-alpha) activates chaperones"""]),
    'R-DME-381033':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ATF6 (ATF6-alpha) activates chaperones"""]),
    'R-DRE-381033':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ATF6 (ATF6-alpha) activates chaperones"""]),
    'R-GGA-381033':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ATF6 (ATF6-alpha) activates chaperones"""]),
    'R-MMU-381033':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ATF6 (ATF6-alpha) activates chaperones"""]),
    'R-RNO-381033':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ATF6 (ATF6-alpha) activates chaperones"""]),
    'R-SSC-381033':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ATF6 (ATF6-alpha) activates chaperones"""]),
    'R-XTR-381033':Nto._make([date(2019,  3, 20), '...I...', 'BC', """ATF6 (ATF6-alpha) activates chaperones"""]),
    'R-HSA-381038':Nto._make([date(2009,  6, 24), '..f.P..', '.C', """XBP1(S) activates chaperone genes"""]),
    'R-HSA-381042':Nto._make([date(2009,  6, 24), '....P..', 'BC', """PERK regulates gene expression"""]),
    'R-BTA-381042':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PERK regulates gene expression"""]),
    'R-CEL-381042':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PERK regulates gene expression"""]),
    'R-CFA-381042':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PERK regulates gene expression"""]),
    'R-DDI-381042':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PERK regulates gene expression"""]),
    'R-DME-381042':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PERK regulates gene expression"""]),
    'R-DRE-381042':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PERK regulates gene expression"""]),
    'R-GGA-381042':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PERK regulates gene expression"""]),
    'R-MMU-381042':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PERK regulates gene expression"""]),
    'R-PFA-381042':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PERK regulates gene expression"""]),
    'R-RNO-381042':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PERK regulates gene expression"""]),
    'R-SPO-381042':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PERK regulates gene expression"""]),
    'R-SSC-381042':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PERK regulates gene expression"""]),
    'R-XTR-381042':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PERK regulates gene expression"""]),
    'R-HSA-381070':Nto._make([date(2009,  6, 24), '....P..', 'BC', """IRE1alpha activates chaperones"""]),
    'R-BTA-381070':Nto._make([date(2019,  3, 20), '...I...', 'BC', """IRE1alpha activates chaperones"""]),
    'R-CEL-381070':Nto._make([date(2019,  3, 20), '...I...', 'BC', """IRE1alpha activates chaperones"""]),
    'R-CFA-381070':Nto._make([date(2019,  3, 20), '...I...', 'BC', """IRE1alpha activates chaperones"""]),
    'R-DDI-381070':Nto._make([date(2019,  3, 20), '...I...', 'BC', """IRE1alpha activates chaperones"""]),
    'R-DME-381070':Nto._make([date(2019,  3, 20), '...I...', 'BC', """IRE1alpha activates chaperones"""]),
    'R-DRE-381070':Nto._make([date(2019,  3, 20), '...I...', 'BC', """IRE1alpha activates chaperones"""]),
    'R-GGA-381070':Nto._make([date(2019,  3, 20), '...I...', 'BC', """IRE1alpha activates chaperones"""]),
    'R-MMU-381070':Nto._make([date(2019,  3, 20), '...I...', 'BC', """IRE1alpha activates chaperones"""]),
    'R-RNO-381070':Nto._make([date(2019,  3, 20), '...I...', 'BC', """IRE1alpha activates chaperones"""]),
    'R-SCE-381070':Nto._make([date(2019,  3, 20), '...I...', 'BC', """IRE1alpha activates chaperones"""]),
    'R-SPO-381070':Nto._make([date(2019,  3, 20), '...I...', 'BC', """IRE1alpha activates chaperones"""]),
    'R-SSC-381070':Nto._make([date(2019,  3, 20), '...I...', 'BC', """IRE1alpha activates chaperones"""]),
    'R-XTR-381070':Nto._make([date(2019,  3, 20), '...I...', 'BC', """IRE1alpha activates chaperones"""]),
    'R-HSA-381119':Nto._make([date(2009,  6, 24), '..F.P..', 'BC', """Unfolded Protein Response (UPR)"""]),
    'R-BTA-381119':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Unfolded Protein Response (UPR)"""]),
    'R-CEL-381119':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Unfolded Protein Response (UPR)"""]),
    'R-CFA-381119':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Unfolded Protein Response (UPR)"""]),
    'R-DDI-381119':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Unfolded Protein Response (UPR)"""]),
    'R-DME-381119':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Unfolded Protein Response (UPR)"""]),
    'R-DRE-381119':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Unfolded Protein Response (UPR)"""]),
    'R-GGA-381119':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Unfolded Protein Response (UPR)"""]),
    'R-MMU-381119':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Unfolded Protein Response (UPR)"""]),
    'R-PFA-381119':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Unfolded Protein Response (UPR)"""]),
    'R-RNO-381119':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Unfolded Protein Response (UPR)"""]),
    'R-SCE-381119':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Unfolded Protein Response (UPR)"""]),
    'R-SPO-381119':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Unfolded Protein Response (UPR)"""]),
    'R-SSC-381119':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Unfolded Protein Response (UPR)"""]),
    'R-XTR-381119':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Unfolded Protein Response (UPR)"""]),
    'R-HSA-381183':Nto._make([date(2009,  6, 24), '..f.P..', '..', """ATF6 (ATF6-alpha) activates chaperone genes"""]),
    'R-HSA-381340':Nto._make([date(2011,  3, 15), '..f.P..', '.C', """Transcriptional regulation of white adipocyte differentiation"""]),
    'R-BTA-381340':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Transcriptional regulation of white adipocyte differentiation"""]),
    'R-DME-381340':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Transcriptional regulation of white adipocyte differentiation"""]),
    'R-DRE-381340':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Transcriptional regulation of white adipocyte differentiation"""]),
    'R-GGA-381340':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Transcriptional regulation of white adipocyte differentiation"""]),
    'R-MMU-381340':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Transcriptional regulation of white adipocyte differentiation"""]),
    'R-RNO-381340':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Transcriptional regulation of white adipocyte differentiation"""]),
    'R-SSC-381340':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Transcriptional regulation of white adipocyte differentiation"""]),
    'R-XTR-381340':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Transcriptional regulation of white adipocyte differentiation"""]),
    'R-HSA-381426':Nto._make([date(2008, 12, 17), '..F.P..', '.C', """Regulation of Insulin-like Growth Factor (IGF) transport and uptake by Insulin-like Growth Factor Binding Proteins (IGFBPs)"""]),
    'R-BTA-381426':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Regulation of Insulin-like Growth Factor (IGF) transport and uptake by Insulin-like Growth Factor Binding Proteins (IGFBPs)"""]),
    'R-CEL-381426':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Regulation of Insulin-like Growth Factor (IGF) transport and uptake by Insulin-like Growth Factor Binding Proteins (IGFBPs)"""]),
    'R-CFA-381426':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Regulation of Insulin-like Growth Factor (IGF) transport and uptake by Insulin-like Growth Factor Binding Proteins (IGFBPs)"""]),
    'R-DME-381426':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Regulation of Insulin-like Growth Factor (IGF) transport and uptake by Insulin-like Growth Factor Binding Proteins (IGFBPs)"""]),
    'R-DRE-381426':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Regulation of Insulin-like Growth Factor (IGF) transport and uptake by Insulin-like Growth Factor Binding Proteins (IGFBPs)"""]),
    'R-GGA-381426':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Regulation of Insulin-like Growth Factor (IGF) transport and uptake by Insulin-like Growth Factor Binding Proteins (IGFBPs)"""]),
    'R-MMU-381426':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Regulation of Insulin-like Growth Factor (IGF) transport and uptake by Insulin-like Growth Factor Binding Proteins (IGFBPs)"""]),
    'R-RNO-381426':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Regulation of Insulin-like Growth Factor (IGF) transport and uptake by Insulin-like Growth Factor Binding Proteins (IGFBPs)"""]),
    'R-SSC-381426':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Regulation of Insulin-like Growth Factor (IGF) transport and uptake by Insulin-like Growth Factor Binding Proteins (IGFBPs)"""]),
    'R-XTR-381426':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Regulation of Insulin-like Growth Factor (IGF) transport and uptake by Insulin-like Growth Factor Binding Proteins (IGFBPs)"""]),
    'R-HSA-381676':Nto._make([date(2009,  6, 24), '....P..', '.C', """Glucagon-like Peptide-1 (GLP1) regulates insulin secretion"""]),
    'R-BTA-381676':Nto._make([date(2019,  3, 20), '...I...', '.C', """Glucagon-like Peptide-1 (GLP1) regulates insulin secretion"""]),
    'R-CEL-381676':Nto._make([date(2019,  3, 20), '...I...', '.C', """Glucagon-like Peptide-1 (GLP1) regulates insulin secretion"""]),
    'R-CFA-381676':Nto._make([date(2019,  3, 20), '...I...', '.C', """Glucagon-like Peptide-1 (GLP1) regulates insulin secretion"""]),
    'R-DDI-381676':Nto._make([date(2019,  3, 20), '...I...', '.C', """Glucagon-like Peptide-1 (GLP1) regulates insulin secretion"""]),
    'R-DME-381676':Nto._make([date(2019,  3, 20), '...I...', '.C', """Glucagon-like Peptide-1 (GLP1) regulates insulin secretion"""]),
    'R-DRE-381676':Nto._make([date(2019,  3, 20), '...I...', '.C', """Glucagon-like Peptide-1 (GLP1) regulates insulin secretion"""]),
    'R-GGA-381676':Nto._make([date(2019,  3, 20), '...I...', '.C', """Glucagon-like Peptide-1 (GLP1) regulates insulin secretion"""]),
    'R-MMU-381676':Nto._make([date(2019,  3, 20), '...I...', '.C', """Glucagon-like Peptide-1 (GLP1) regulates insulin secretion"""]),
    'R-PFA-381676':Nto._make([date(2019,  3, 20), '...I...', '.C', """Glucagon-like Peptide-1 (GLP1) regulates insulin secretion"""]),
    'R-RNO-381676':Nto._make([date(2019,  3, 20), '...I...', '.C', """Glucagon-like Peptide-1 (GLP1) regulates insulin secretion"""]),
    'R-SCE-381676':Nto._make([date(2019,  3, 20), '...I...', '.C', """Glucagon-like Peptide-1 (GLP1) regulates insulin secretion"""]),
    'R-SSC-381676':Nto._make([date(2019,  3, 20), '...I...', '.C', """Glucagon-like Peptide-1 (GLP1) regulates insulin secretion"""]),
    'R-XTR-381676':Nto._make([date(2019,  3, 20), '...I...', '.C', """Glucagon-like Peptide-1 (GLP1) regulates insulin secretion"""]),
    'R-HSA-381753':Nto._make([date(2008, 12, 15), '....P..', '.C', """Olfactory Signaling Pathway"""]),
    'R-BTA-381753':Nto._make([date(2019,  3, 20), '...I...', '.C', """Olfactory Signaling Pathway"""]),
    'R-CEL-381753':Nto._make([date(2019,  3, 20), '...I...', '.C', """Olfactory Signaling Pathway"""]),
    'R-CFA-381753':Nto._make([date(2019,  3, 20), '...I...', '.C', """Olfactory Signaling Pathway"""]),
    'R-DME-381753':Nto._make([date(2019,  3, 20), '...I...', '.C', """Olfactory Signaling Pathway"""]),
    'R-DRE-381753':Nto._make([date(2019,  3, 20), '...I...', '.C', """Olfactory Signaling Pathway"""]),
    'R-MMU-381753':Nto._make([date(2019,  3, 20), '...I...', '.C', """Olfactory Signaling Pathway"""]),
    'R-RNO-381753':Nto._make([date(2019,  3, 20), '...I...', '.C', """Olfactory Signaling Pathway"""]),
    'R-SSC-381753':Nto._make([date(2019,  3, 20), '...I...', '.C', """Olfactory Signaling Pathway"""]),
    'R-HSA-381771':Nto._make([date(2010,  9, 21), '....P..', '.C', """Synthesis, secretion, and inactivation of Glucagon-like Peptide-1 (GLP-1)"""]),
    'R-BTA-381771':Nto._make([date(2019,  3, 20), '...I...', '.C', """Synthesis, secretion, and inactivation of Glucagon-like Peptide-1 (GLP-1)"""]),
    'R-CFA-381771':Nto._make([date(2019,  3, 20), '...I...', '.C', """Synthesis, secretion, and inactivation of Glucagon-like Peptide-1 (GLP-1)"""]),
    'R-DRE-381771':Nto._make([date(2019,  3, 20), '...I...', '.C', """Synthesis, secretion, and inactivation of Glucagon-like Peptide-1 (GLP-1)"""]),
    'R-GGA-381771':Nto._make([date(2019,  3, 20), '...I...', '.C', """Synthesis, secretion, and inactivation of Glucagon-like Peptide-1 (GLP-1)"""]),
    'R-MMU-381771':Nto._make([date(2019,  3, 20), '...I...', '.C', """Synthesis, secretion, and inactivation of Glucagon-like Peptide-1 (GLP-1)"""]),
    'R-RNO-381771':Nto._make([date(2019,  3, 20), '...I...', '.C', """Synthesis, secretion, and inactivation of Glucagon-like Peptide-1 (GLP-1)"""]),
    'R-XTR-381771':Nto._make([date(2019,  3, 20), '...I...', '.C', """Synthesis, secretion, and inactivation of Glucagon-like Peptide-1 (GLP-1)"""]),
    'R-HSA-382551':Nto._make([date(2008, 12, 17), 'T.F....', 'B.', """Transport of small molecules"""]),
    'R-BTA-382551':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Transport of small molecules"""]),
    'R-CEL-382551':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Transport of small molecules"""]),
    'R-CFA-382551':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Transport of small molecules"""]),
    'R-DDI-382551':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Transport of small molecules"""]),
    'R-DME-382551':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Transport of small molecules"""]),
    'R-DRE-382551':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Transport of small molecules"""]),
    'R-GGA-382551':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Transport of small molecules"""]),
    'R-MMU-382551':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Transport of small molecules"""]),
    'R-PFA-382551':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Transport of small molecules"""]),
    'R-RNO-382551':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Transport of small molecules"""]),
    'R-SCE-382551':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Transport of small molecules"""]),
    'R-SPO-382551':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Transport of small molecules"""]),
    'R-SSC-382551':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Transport of small molecules"""]),
    'R-XTR-382551':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Transport of small molecules"""]),
    'R-HSA-382556':Nto._make([date(2008, 12, 17), '..f.P..', 'B.', """ABC-family proteins mediated transport"""]),
    'R-BTA-382556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ABC-family proteins mediated transport"""]),
    'R-CEL-382556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ABC-family proteins mediated transport"""]),
    'R-CFA-382556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ABC-family proteins mediated transport"""]),
    'R-DDI-382556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ABC-family proteins mediated transport"""]),
    'R-DME-382556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ABC-family proteins mediated transport"""]),
    'R-DRE-382556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ABC-family proteins mediated transport"""]),
    'R-GGA-382556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ABC-family proteins mediated transport"""]),
    'R-MMU-382556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ABC-family proteins mediated transport"""]),
    'R-PFA-382556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ABC-family proteins mediated transport"""]),
    'R-RNO-382556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ABC-family proteins mediated transport"""]),
    'R-SCE-382556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ABC-family proteins mediated transport"""]),
    'R-SPO-382556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ABC-family proteins mediated transport"""]),
    'R-SSC-382556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ABC-family proteins mediated transport"""]),
    'R-XTR-382556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ABC-family proteins mediated transport"""]),
    'R-HSA-383280':Nto._make([date(2009, 12, 15), '.......', 'B.', """Nuclear Receptor transcription pathway"""]),
    'R-BTA-383280':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Receptor transcription pathway"""]),
    'R-CEL-383280':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Receptor transcription pathway"""]),
    'R-CFA-383280':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Receptor transcription pathway"""]),
    'R-DDI-383280':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Receptor transcription pathway"""]),
    'R-DME-383280':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Receptor transcription pathway"""]),
    'R-DRE-383280':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Receptor transcription pathway"""]),
    'R-GGA-383280':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Receptor transcription pathway"""]),
    'R-MMU-383280':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Receptor transcription pathway"""]),
    'R-RNO-383280':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Receptor transcription pathway"""]),
    'R-SSC-383280':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Receptor transcription pathway"""]),
    'R-XTR-383280':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Receptor transcription pathway"""]),
    'R-HSA-388396':Nto._make([date(2009,  9, 30), '..F.P..', 'BC', """GPCR downstream signalling"""]),
    'R-BTA-388396':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """GPCR downstream signalling"""]),
    'R-CEL-388396':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """GPCR downstream signalling"""]),
    'R-CFA-388396':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """GPCR downstream signalling"""]),
    'R-DDI-388396':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """GPCR downstream signalling"""]),
    'R-DME-388396':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """GPCR downstream signalling"""]),
    'R-DRE-388396':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """GPCR downstream signalling"""]),
    'R-GGA-388396':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """GPCR downstream signalling"""]),
    'R-MMU-388396':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """GPCR downstream signalling"""]),
    'R-PFA-388396':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """GPCR downstream signalling"""]),
    'R-RNO-388396':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """GPCR downstream signalling"""]),
    'R-SCE-388396':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """GPCR downstream signalling"""]),
    'R-SPO-388396':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """GPCR downstream signalling"""]),
    'R-SSC-388396':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """GPCR downstream signalling"""]),
    'R-XTR-388396':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """GPCR downstream signalling"""]),
    'R-HSA-388479':Nto._make([date(2009,  4,  1), '....P..', '..', """Vasopressin-like receptors"""]),
    'R-BTA-388479':Nto._make([date(2019,  3, 20), '...I...', '..', """Vasopressin-like receptors"""]),
    'R-CFA-388479':Nto._make([date(2019,  3, 20), '...I...', '..', """Vasopressin-like receptors"""]),
    'R-DRE-388479':Nto._make([date(2019,  3, 20), '...I...', '..', """Vasopressin-like receptors"""]),
    'R-GGA-388479':Nto._make([date(2019,  3, 20), '...I...', '..', """Vasopressin-like receptors"""]),
    'R-MMU-388479':Nto._make([date(2019,  3, 20), '...I...', '..', """Vasopressin-like receptors"""]),
    'R-RNO-388479':Nto._make([date(2019,  3, 20), '...I...', '..', """Vasopressin-like receptors"""]),
    'R-SSC-388479':Nto._make([date(2019,  3, 20), '...I...', '..', """Vasopressin-like receptors"""]),
    'R-XTR-388479':Nto._make([date(2019,  3, 20), '...I...', '..', """Vasopressin-like receptors"""]),
    'R-HSA-388841':Nto._make([date(2009,  9, 30), '..F.P..', 'BC', """Costimulation by the CD28 family"""]),
    'R-BTA-388841':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Costimulation by the CD28 family"""]),
    'R-CEL-388841':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Costimulation by the CD28 family"""]),
    'R-CFA-388841':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Costimulation by the CD28 family"""]),
    'R-DDI-388841':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Costimulation by the CD28 family"""]),
    'R-DME-388841':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Costimulation by the CD28 family"""]),
    'R-DRE-388841':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Costimulation by the CD28 family"""]),
    'R-GGA-388841':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Costimulation by the CD28 family"""]),
    'R-MMU-388841':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Costimulation by the CD28 family"""]),
    'R-PFA-388841':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Costimulation by the CD28 family"""]),
    'R-RNO-388841':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Costimulation by the CD28 family"""]),
    'R-SCE-388841':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Costimulation by the CD28 family"""]),
    'R-SPO-388841':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Costimulation by the CD28 family"""]),
    'R-SSC-388841':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Costimulation by the CD28 family"""]),
    'R-XTR-388841':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Costimulation by the CD28 family"""]),
    'R-HSA-388844':Nto._make([date(2017,  3, 27), '..f.P..', '.C', """Receptor-type tyrosine-protein phosphatases"""]),
    'R-BTA-388844':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Receptor-type tyrosine-protein phosphatases"""]),
    'R-CEL-388844':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Receptor-type tyrosine-protein phosphatases"""]),
    'R-CFA-388844':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Receptor-type tyrosine-protein phosphatases"""]),
    'R-DME-388844':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Receptor-type tyrosine-protein phosphatases"""]),
    'R-DRE-388844':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Receptor-type tyrosine-protein phosphatases"""]),
    'R-GGA-388844':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Receptor-type tyrosine-protein phosphatases"""]),
    'R-MMU-388844':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Receptor-type tyrosine-protein phosphatases"""]),
    'R-RNO-388844':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Receptor-type tyrosine-protein phosphatases"""]),
    'R-SSC-388844':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Receptor-type tyrosine-protein phosphatases"""]),
    'R-XTR-388844':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Receptor-type tyrosine-protein phosphatases"""]),
    'R-HSA-389356':Nto._make([date(2009,  9, 30), '....P..', 'B.', """CD28 co-stimulation"""]),
    'R-BTA-389356':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CD28 co-stimulation"""]),
    'R-CEL-389356':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CD28 co-stimulation"""]),
    'R-CFA-389356':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CD28 co-stimulation"""]),
    'R-DDI-389356':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CD28 co-stimulation"""]),
    'R-DME-389356':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CD28 co-stimulation"""]),
    'R-DRE-389356':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CD28 co-stimulation"""]),
    'R-GGA-389356':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CD28 co-stimulation"""]),
    'R-MMU-389356':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CD28 co-stimulation"""]),
    'R-PFA-389356':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CD28 co-stimulation"""]),
    'R-RNO-389356':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CD28 co-stimulation"""]),
    'R-SCE-389356':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CD28 co-stimulation"""]),
    'R-SPO-389356':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CD28 co-stimulation"""]),
    'R-SSC-389356':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CD28 co-stimulation"""]),
    'R-XTR-389356':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CD28 co-stimulation"""]),
    'R-HSA-389357':Nto._make([date(2009,  9, 30), '....P..', '..', """CD28 dependent PI3K/Akt signaling"""]),
    'R-BTA-389357':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent PI3K/Akt signaling"""]),
    'R-CEL-389357':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent PI3K/Akt signaling"""]),
    'R-CFA-389357':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent PI3K/Akt signaling"""]),
    'R-DDI-389357':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent PI3K/Akt signaling"""]),
    'R-DME-389357':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent PI3K/Akt signaling"""]),
    'R-DRE-389357':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent PI3K/Akt signaling"""]),
    'R-GGA-389357':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent PI3K/Akt signaling"""]),
    'R-MMU-389357':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent PI3K/Akt signaling"""]),
    'R-PFA-389357':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent PI3K/Akt signaling"""]),
    'R-RNO-389357':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent PI3K/Akt signaling"""]),
    'R-SCE-389357':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent PI3K/Akt signaling"""]),
    'R-SPO-389357':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent PI3K/Akt signaling"""]),
    'R-SSC-389357':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent PI3K/Akt signaling"""]),
    'R-XTR-389357':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent PI3K/Akt signaling"""]),
    'R-HSA-389359':Nto._make([date(2009,  9, 30), '....P..', '..', """CD28 dependent Vav1 pathway"""]),
    'R-BTA-389359':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent Vav1 pathway"""]),
    'R-CEL-389359':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent Vav1 pathway"""]),
    'R-CFA-389359':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent Vav1 pathway"""]),
    'R-DDI-389359':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent Vav1 pathway"""]),
    'R-DME-389359':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent Vav1 pathway"""]),
    'R-DRE-389359':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent Vav1 pathway"""]),
    'R-GGA-389359':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent Vav1 pathway"""]),
    'R-MMU-389359':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent Vav1 pathway"""]),
    'R-RNO-389359':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent Vav1 pathway"""]),
    'R-SCE-389359':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent Vav1 pathway"""]),
    'R-SPO-389359':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent Vav1 pathway"""]),
    'R-SSC-389359':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent Vav1 pathway"""]),
    'R-XTR-389359':Nto._make([date(2019,  3, 20), '...I...', '..', """CD28 dependent Vav1 pathway"""]),
    'R-HSA-389397':Nto._make([date(2009,  4,  1), '....P..', '..', """Orexin and neuropeptides FF and QRFP bind to their respective receptors"""]),
    'R-BTA-389397':Nto._make([date(2019,  3, 20), '...I...', '..', """Orexin and neuropeptides FF and QRFP bind to their respective receptors"""]),
    'R-CFA-389397':Nto._make([date(2019,  3, 20), '...I...', '..', """Orexin and neuropeptides FF and QRFP bind to their respective receptors"""]),
    'R-DRE-389397':Nto._make([date(2019,  3, 20), '...I...', '..', """Orexin and neuropeptides FF and QRFP bind to their respective receptors"""]),
    'R-GGA-389397':Nto._make([date(2019,  3, 20), '...I...', '..', """Orexin and neuropeptides FF and QRFP bind to their respective receptors"""]),
    'R-MMU-389397':Nto._make([date(2019,  3, 20), '...I...', '..', """Orexin and neuropeptides FF and QRFP bind to their respective receptors"""]),
    'R-RNO-389397':Nto._make([date(2019,  3, 20), '...I...', '..', """Orexin and neuropeptides FF and QRFP bind to their respective receptors"""]),
    'R-SSC-389397':Nto._make([date(2019,  3, 20), '...I...', '..', """Orexin and neuropeptides FF and QRFP bind to their respective receptors"""]),
    'R-XTR-389397':Nto._make([date(2019,  3, 20), '...I...', '..', """Orexin and neuropeptides FF and QRFP bind to their respective receptors"""]),
    'R-HSA-389513':Nto._make([date(2009,  9, 30), '....P..', '..', """CTLA4 inhibitory signaling"""]),
    'R-BTA-389513':Nto._make([date(2019,  3, 20), '...I...', '..', """CTLA4 inhibitory signaling"""]),
    'R-CFA-389513':Nto._make([date(2019,  3, 20), '...I...', '..', """CTLA4 inhibitory signaling"""]),
    'R-DDI-389513':Nto._make([date(2019,  3, 20), '...I...', '..', """CTLA4 inhibitory signaling"""]),
    'R-DRE-389513':Nto._make([date(2019,  3, 20), '...I...', '..', """CTLA4 inhibitory signaling"""]),
    'R-GGA-389513':Nto._make([date(2019,  3, 20), '...I...', '..', """CTLA4 inhibitory signaling"""]),
    'R-MMU-389513':Nto._make([date(2019,  3, 20), '...I...', '..', """CTLA4 inhibitory signaling"""]),
    'R-RNO-389513':Nto._make([date(2019,  3, 20), '...I...', '..', """CTLA4 inhibitory signaling"""]),
    'R-SCE-389513':Nto._make([date(2019,  3, 20), '...I...', '..', """CTLA4 inhibitory signaling"""]),
    'R-SPO-389513':Nto._make([date(2019,  3, 20), '...I...', '..', """CTLA4 inhibitory signaling"""]),
    'R-SSC-389513':Nto._make([date(2019,  3, 20), '...I...', '..', """CTLA4 inhibitory signaling"""]),
    'R-XTR-389513':Nto._make([date(2019,  3, 20), '...I...', '..', """CTLA4 inhibitory signaling"""]),
    'R-HSA-389542':Nto._make([date(2009,  4,  1), '..f.P..', 'B.', """NADPH regeneration"""]),
    'R-BTA-389542':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """NADPH regeneration"""]),
    'R-CEL-389542':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """NADPH regeneration"""]),
    'R-CFA-389542':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """NADPH regeneration"""]),
    'R-DDI-389542':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """NADPH regeneration"""]),
    'R-DME-389542':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """NADPH regeneration"""]),
    'R-DRE-389542':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """NADPH regeneration"""]),
    'R-GGA-389542':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """NADPH regeneration"""]),
    'R-MMU-389542':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """NADPH regeneration"""]),
    'R-RNO-389542':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """NADPH regeneration"""]),
    'R-SCE-389542':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """NADPH regeneration"""]),
    'R-SPO-389542':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """NADPH regeneration"""]),
    'R-SSC-389542':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """NADPH regeneration"""]),
    'R-XTR-389542':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """NADPH regeneration"""]),
    'R-HSA-389599':Nto._make([date(2009,  4,  1), '....P..', 'BC', """Alpha-oxidation of phytanate"""]),
    'R-BTA-389599':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Alpha-oxidation of phytanate"""]),
    'R-CEL-389599':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Alpha-oxidation of phytanate"""]),
    'R-CFA-389599':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Alpha-oxidation of phytanate"""]),
    'R-DDI-389599':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Alpha-oxidation of phytanate"""]),
    'R-DME-389599':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Alpha-oxidation of phytanate"""]),
    'R-DRE-389599':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Alpha-oxidation of phytanate"""]),
    'R-GGA-389599':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Alpha-oxidation of phytanate"""]),
    'R-MMU-389599':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Alpha-oxidation of phytanate"""]),
    'R-RNO-389599':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Alpha-oxidation of phytanate"""]),
    'R-SCE-389599':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Alpha-oxidation of phytanate"""]),
    'R-SPO-389599':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Alpha-oxidation of phytanate"""]),
    'R-SSC-389599':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Alpha-oxidation of phytanate"""]),
    'R-XTR-389599':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Alpha-oxidation of phytanate"""]),
    'R-HSA-389661':Nto._make([date(2009,  4,  1), '..F.P..', '..', """Glyoxylate metabolism and glycine degradation"""]),
    'R-BTA-389661':Nto._make([date(2019,  3, 20), '..fI...', '..', """Glyoxylate metabolism and glycine degradation"""]),
    'R-CEL-389661':Nto._make([date(2019,  3, 20), '..fI...', '..', """Glyoxylate metabolism and glycine degradation"""]),
    'R-CFA-389661':Nto._make([date(2019,  3, 20), '..fI...', '..', """Glyoxylate metabolism and glycine degradation"""]),
    'R-DDI-389661':Nto._make([date(2019,  3, 20), '..fI...', '..', """Glyoxylate metabolism and glycine degradation"""]),
    'R-DME-389661':Nto._make([date(2019,  3, 20), '..fI...', '..', """Glyoxylate metabolism and glycine degradation"""]),
    'R-DRE-389661':Nto._make([date(2019,  3, 20), '..fI...', '..', """Glyoxylate metabolism and glycine degradation"""]),
    'R-GGA-389661':Nto._make([date(2019,  3, 20), '..fI...', '..', """Glyoxylate metabolism and glycine degradation"""]),
    'R-MMU-389661':Nto._make([date(2019,  3, 20), '..fI...', '..', """Glyoxylate metabolism and glycine degradation"""]),
    'R-PFA-389661':Nto._make([date(2019,  3, 20), '..fI...', '..', """Glyoxylate metabolism and glycine degradation"""]),
    'R-RNO-389661':Nto._make([date(2019,  3, 20), '..fI...', '..', """Glyoxylate metabolism and glycine degradation"""]),
    'R-SCE-389661':Nto._make([date(2019,  3, 20), '..fI...', '..', """Glyoxylate metabolism and glycine degradation"""]),
    'R-SPO-389661':Nto._make([date(2019,  3, 20), '..fI...', '..', """Glyoxylate metabolism and glycine degradation"""]),
    'R-SSC-389661':Nto._make([date(2019,  3, 20), '..fI...', '..', """Glyoxylate metabolism and glycine degradation"""]),
    'R-XTR-389661':Nto._make([date(2019,  3, 20), '..fI...', '..', """Glyoxylate metabolism and glycine degradation"""]),
    'R-HSA-389887':Nto._make([date(2009,  4,  1), '....P..', 'BC', """Beta-oxidation of pristanoyl-CoA"""]),
    'R-BTA-389887':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of pristanoyl-CoA"""]),
    'R-CEL-389887':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of pristanoyl-CoA"""]),
    'R-CFA-389887':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of pristanoyl-CoA"""]),
    'R-DDI-389887':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of pristanoyl-CoA"""]),
    'R-DME-389887':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of pristanoyl-CoA"""]),
    'R-DRE-389887':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of pristanoyl-CoA"""]),
    'R-GGA-389887':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of pristanoyl-CoA"""]),
    'R-MMU-389887':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of pristanoyl-CoA"""]),
    'R-RNO-389887':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of pristanoyl-CoA"""]),
    'R-SCE-389887':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of pristanoyl-CoA"""]),
    'R-SSC-389887':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of pristanoyl-CoA"""]),
    'R-XTR-389887':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of pristanoyl-CoA"""]),
    'R-HSA-389948':Nto._make([date(2009,  9, 30), '....P..', '.C', """PD-1 signaling"""]),
    'R-BTA-389948':Nto._make([date(2019,  3, 20), '...I...', '.C', """PD-1 signaling"""]),
    'R-CFA-389948':Nto._make([date(2019,  3, 20), '...I...', '.C', """PD-1 signaling"""]),
    'R-GGA-389948':Nto._make([date(2019,  3, 20), '...I...', '.C', """PD-1 signaling"""]),
    'R-MMU-389948':Nto._make([date(2019,  3, 20), '...I...', '.C', """PD-1 signaling"""]),
    'R-RNO-389948':Nto._make([date(2019,  3, 20), '...I...', '.C', """PD-1 signaling"""]),
    'R-SSC-389948':Nto._make([date(2019,  3, 20), '...I...', '.C', """PD-1 signaling"""]),
    'R-XTR-389948':Nto._make([date(2019,  3, 20), '...I...', '.C', """PD-1 signaling"""]),
    'R-HSA-389957':Nto._make([date(2009,  4,  1), '....P..', '.C', """Prefoldin mediated transfer of substrate  to CCT/TriC"""]),
    'R-HSA-389958':Nto._make([date(2009,  4,  1), '....P..', '.C', """Cooperation of Prefoldin and TriC/CCT  in actin and tubulin folding"""]),
    'R-HSA-389960':Nto._make([date(2009,  4,  1), '....P..', 'BC', """Formation of tubulin folding intermediates by CCT/TriC"""]),
    'R-HSA-389977':Nto._make([date(2009,  4,  1), '....P..', 'BC', """Post-chaperonin tubulin folding pathway"""]),
    'R-DME-390023':Nto._make([date(2010,  7, 23), '....P..', '.C', """Subcellular localisation of D"""]),
    'R-DME-390089':Nto._make([date(2010,  7, 23), '....P..', '.C', """Formation of the Hippo kinase cassette"""]),
    'R-DME-390098':Nto._make([date(2010,  7, 23), '....P..', '.C', """Phosphorylation-dependent inhibition of YKI"""]),
    'R-DME-390146':Nto._make([date(2010,  7, 23), '..f.P..', '..', """Hippo/Warts pathway"""]),
    'R-DME-390150':Nto._make([date(2010,  7, 23), '....P..', '..', """DS ligand bound to FT receptor"""]),
    'R-DME-390178':Nto._make([date(2010,  7, 23), '....P..', '..', """DS ligand not bound to FT receptor"""]),
    'R-DME-390193':Nto._make([date(2010,  7, 23), '....P..', '..', """Transcriptional activation by YKI"""]),
    'R-HSA-390247':Nto._make([date(2009,  4,  1), '....P..', 'BC', """Beta-oxidation of very long chain fatty acids"""]),
    'R-BTA-390247':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of very long chain fatty acids"""]),
    'R-CEL-390247':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of very long chain fatty acids"""]),
    'R-CFA-390247':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of very long chain fatty acids"""]),
    'R-DDI-390247':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of very long chain fatty acids"""]),
    'R-DME-390247':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of very long chain fatty acids"""]),
    'R-DRE-390247':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of very long chain fatty acids"""]),
    'R-GGA-390247':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of very long chain fatty acids"""]),
    'R-MMU-390247':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of very long chain fatty acids"""]),
    'R-PFA-390247':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of very long chain fatty acids"""]),
    'R-RNO-390247':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of very long chain fatty acids"""]),
    'R-SCE-390247':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of very long chain fatty acids"""]),
    'R-SSC-390247':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of very long chain fatty acids"""]),
    'R-XTR-390247':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Beta-oxidation of very long chain fatty acids"""]),
    'R-HSA-390450':Nto._make([date(2009,  4,  1), '....P..', 'BC', """Folding of actin by CCT/TriC"""]),
    'R-HSA-390466':Nto._make([date(2009,  4,  1), '....P..', 'BC', """Chaperonin-mediated protein folding"""]),
    'R-BTA-390466':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Chaperonin-mediated protein folding"""]),
    'R-CEL-390466':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Chaperonin-mediated protein folding"""]),
    'R-CFA-390466':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Chaperonin-mediated protein folding"""]),
    'R-DDI-390466':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Chaperonin-mediated protein folding"""]),
    'R-DME-390466':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Chaperonin-mediated protein folding"""]),
    'R-DRE-390466':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Chaperonin-mediated protein folding"""]),
    'R-GGA-390466':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Chaperonin-mediated protein folding"""]),
    'R-MMU-390466':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Chaperonin-mediated protein folding"""]),
    'R-PFA-390466':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Chaperonin-mediated protein folding"""]),
    'R-RNO-390466':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Chaperonin-mediated protein folding"""]),
    'R-SCE-390466':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Chaperonin-mediated protein folding"""]),
    'R-SPO-390466':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Chaperonin-mediated protein folding"""]),
    'R-SSC-390466':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Chaperonin-mediated protein folding"""]),
    'R-XTR-390466':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Chaperonin-mediated protein folding"""]),
    'R-HSA-390471':Nto._make([date(2009,  4,  1), '....P..', '.C', """Association of TriC/CCT with target proteins during biosynthesis"""]),
    'R-BTA-390471':Nto._make([date(2019,  3, 20), '...I...', '.C', """Association of TriC/CCT with target proteins during biosynthesis"""]),
    'R-CEL-390471':Nto._make([date(2019,  3, 20), '...I...', '.C', """Association of TriC/CCT with target proteins during biosynthesis"""]),
    'R-CFA-390471':Nto._make([date(2019,  3, 20), '...I...', '.C', """Association of TriC/CCT with target proteins during biosynthesis"""]),
    'R-DDI-390471':Nto._make([date(2019,  3, 20), '...I...', '.C', """Association of TriC/CCT with target proteins during biosynthesis"""]),
    'R-DME-390471':Nto._make([date(2019,  3, 20), '...I...', '.C', """Association of TriC/CCT with target proteins during biosynthesis"""]),
    'R-DRE-390471':Nto._make([date(2019,  3, 20), '...I...', '.C', """Association of TriC/CCT with target proteins during biosynthesis"""]),
    'R-GGA-390471':Nto._make([date(2019,  3, 20), '...I...', '.C', """Association of TriC/CCT with target proteins during biosynthesis"""]),
    'R-MMU-390471':Nto._make([date(2019,  3, 20), '...I...', '.C', """Association of TriC/CCT with target proteins during biosynthesis"""]),
    'R-RNO-390471':Nto._make([date(2019,  3, 20), '...I...', '.C', """Association of TriC/CCT with target proteins during biosynthesis"""]),
    'R-SCE-390471':Nto._make([date(2019,  3, 20), '...I...', '.C', """Association of TriC/CCT with target proteins during biosynthesis"""]),
    'R-SPO-390471':Nto._make([date(2019,  3, 20), '...I...', '.C', """Association of TriC/CCT with target proteins during biosynthesis"""]),
    'R-SSC-390471':Nto._make([date(2019,  3, 20), '...I...', '.C', """Association of TriC/CCT with target proteins during biosynthesis"""]),
    'R-XTR-390471':Nto._make([date(2019,  3, 20), '...I...', '.C', """Association of TriC/CCT with target proteins during biosynthesis"""]),
    'R-HSA-390522':Nto._make([date(2009,  4,  1), '..f.PB.', 'BC', """Striated Muscle Contraction"""]),
    'R-BTA-390522':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Striated Muscle Contraction"""]),
    'R-CFA-390522':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Striated Muscle Contraction"""]),
    'R-DRE-390522':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Striated Muscle Contraction"""]),
    'R-GGA-390522':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Striated Muscle Contraction"""]),
    'R-MMU-390522':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Striated Muscle Contraction"""]),
    'R-RNO-390522':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Striated Muscle Contraction"""]),
    'R-SSC-390522':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Striated Muscle Contraction"""]),
    'R-XTR-390522':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Striated Muscle Contraction"""]),
    'R-HSA-390648':Nto._make([date(2009,  4,  1), '....P..', '..', """Muscarinic acetylcholine receptors"""]),
    'R-BTA-390648':Nto._make([date(2019,  3, 20), '...I...', '..', """Muscarinic acetylcholine receptors"""]),
    'R-CEL-390648':Nto._make([date(2019,  3, 20), '...I...', '..', """Muscarinic acetylcholine receptors"""]),
    'R-CFA-390648':Nto._make([date(2019,  3, 20), '...I...', '..', """Muscarinic acetylcholine receptors"""]),
    'R-DME-390648':Nto._make([date(2019,  3, 20), '...I...', '..', """Muscarinic acetylcholine receptors"""]),
    'R-DRE-390648':Nto._make([date(2019,  3, 20), '...I...', '..', """Muscarinic acetylcholine receptors"""]),
    'R-GGA-390648':Nto._make([date(2019,  3, 20), '...I...', '..', """Muscarinic acetylcholine receptors"""]),
    'R-MMU-390648':Nto._make([date(2019,  3, 20), '...I...', '..', """Muscarinic acetylcholine receptors"""]),
    'R-RNO-390648':Nto._make([date(2019,  3, 20), '...I...', '..', """Muscarinic acetylcholine receptors"""]),
    'R-SSC-390648':Nto._make([date(2019,  3, 20), '...I...', '..', """Muscarinic acetylcholine receptors"""]),
    'R-XTR-390648':Nto._make([date(2019,  3, 20), '...I...', '..', """Muscarinic acetylcholine receptors"""]),
    'R-HSA-390650':Nto._make([date(2009,  4,  1), '....P..', '..', """Histamine receptors"""]),
    'R-BTA-390650':Nto._make([date(2019,  3, 20), '...I...', '..', """Histamine receptors"""]),
    'R-CEL-390650':Nto._make([date(2019,  3, 20), '...I...', '..', """Histamine receptors"""]),
    'R-CFA-390650':Nto._make([date(2019,  3, 20), '...I...', '..', """Histamine receptors"""]),
    'R-DME-390650':Nto._make([date(2019,  3, 20), '...I...', '..', """Histamine receptors"""]),
    'R-DRE-390650':Nto._make([date(2019,  3, 20), '...I...', '..', """Histamine receptors"""]),
    'R-GGA-390650':Nto._make([date(2019,  3, 20), '...I...', '..', """Histamine receptors"""]),
    'R-MMU-390650':Nto._make([date(2019,  3, 20), '...I...', '..', """Histamine receptors"""]),
    'R-RNO-390650':Nto._make([date(2019,  3, 20), '...I...', '..', """Histamine receptors"""]),
    'R-SSC-390650':Nto._make([date(2019,  3, 20), '...I...', '..', """Histamine receptors"""]),
    'R-XTR-390650':Nto._make([date(2019,  3, 20), '...I...', '..', """Histamine receptors"""]),
    'R-HSA-390651':Nto._make([date(2009,  4,  1), '....P..', '..', """Dopamine receptors"""]),
    'R-BTA-390651':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine receptors"""]),
    'R-CEL-390651':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine receptors"""]),
    'R-CFA-390651':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine receptors"""]),
    'R-DME-390651':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine receptors"""]),
    'R-DRE-390651':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine receptors"""]),
    'R-GGA-390651':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine receptors"""]),
    'R-MMU-390651':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine receptors"""]),
    'R-RNO-390651':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine receptors"""]),
    'R-SSC-390651':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine receptors"""]),
    'R-XTR-390651':Nto._make([date(2019,  3, 20), '...I...', '..', """Dopamine receptors"""]),
    'R-HSA-390666':Nto._make([date(2009,  4,  1), '....P..', '..', """Serotonin receptors"""]),
    'R-BTA-390666':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin receptors"""]),
    'R-CEL-390666':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin receptors"""]),
    'R-CFA-390666':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin receptors"""]),
    'R-DME-390666':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin receptors"""]),
    'R-DRE-390666':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin receptors"""]),
    'R-GGA-390666':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin receptors"""]),
    'R-MMU-390666':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin receptors"""]),
    'R-RNO-390666':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin receptors"""]),
    'R-SSC-390666':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin receptors"""]),
    'R-XTR-390666':Nto._make([date(2019,  3, 20), '...I...', '..', """Serotonin receptors"""]),
    'R-HSA-390696':Nto._make([date(2009,  4,  1), '....P..', '..', """Adrenoceptors"""]),
    'R-BTA-390696':Nto._make([date(2019,  3, 20), '...I...', '..', """Adrenoceptors"""]),
    'R-CEL-390696':Nto._make([date(2019,  3, 20), '...I...', '..', """Adrenoceptors"""]),
    'R-CFA-390696':Nto._make([date(2019,  3, 20), '...I...', '..', """Adrenoceptors"""]),
    'R-DME-390696':Nto._make([date(2019,  3, 20), '...I...', '..', """Adrenoceptors"""]),
    'R-DRE-390696':Nto._make([date(2019,  3, 20), '...I...', '..', """Adrenoceptors"""]),
    'R-GGA-390696':Nto._make([date(2019,  3, 20), '...I...', '..', """Adrenoceptors"""]),
    'R-MMU-390696':Nto._make([date(2019,  3, 20), '...I...', '..', """Adrenoceptors"""]),
    'R-RNO-390696':Nto._make([date(2019,  3, 20), '...I...', '..', """Adrenoceptors"""]),
    'R-SSC-390696':Nto._make([date(2019,  3, 20), '...I...', '..', """Adrenoceptors"""]),
    'R-XTR-390696':Nto._make([date(2019,  3, 20), '...I...', '..', """Adrenoceptors"""]),
    'R-HSA-390918':Nto._make([date(2009,  4,  1), '..f.P..', 'B.', """Peroxisomal lipid metabolism"""]),
    'R-BTA-390918':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Peroxisomal lipid metabolism"""]),
    'R-CEL-390918':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Peroxisomal lipid metabolism"""]),
    'R-CFA-390918':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Peroxisomal lipid metabolism"""]),
    'R-DDI-390918':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Peroxisomal lipid metabolism"""]),
    'R-DME-390918':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Peroxisomal lipid metabolism"""]),
    'R-DRE-390918':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Peroxisomal lipid metabolism"""]),
    'R-GGA-390918':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Peroxisomal lipid metabolism"""]),
    'R-MMU-390918':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Peroxisomal lipid metabolism"""]),
    'R-PFA-390918':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Peroxisomal lipid metabolism"""]),
    'R-RNO-390918':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Peroxisomal lipid metabolism"""]),
    'R-SCE-390918':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Peroxisomal lipid metabolism"""]),
    'R-SPO-390918':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Peroxisomal lipid metabolism"""]),
    'R-SSC-390918':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Peroxisomal lipid metabolism"""]),
    'R-XTR-390918':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Peroxisomal lipid metabolism"""]),
    'R-HSA-391160':Nto._make([date(2010,  9, 21), '..f.P..', '.C', """Signal regulatory protein family interactions"""]),
    'R-BTA-391160':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signal regulatory protein family interactions"""]),
    'R-CFA-391160':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signal regulatory protein family interactions"""]),
    'R-GGA-391160':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signal regulatory protein family interactions"""]),
    'R-MMU-391160':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signal regulatory protein family interactions"""]),
    'R-RNO-391160':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signal regulatory protein family interactions"""]),
    'R-SSC-391160':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signal regulatory protein family interactions"""]),
    'R-HSA-391251':Nto._make([date(2009,  4,  1), '..f.P..', 'BC', """Protein folding"""]),
    'R-BTA-391251':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Protein folding"""]),
    'R-CEL-391251':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Protein folding"""]),
    'R-CFA-391251':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Protein folding"""]),
    'R-DDI-391251':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Protein folding"""]),
    'R-DME-391251':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Protein folding"""]),
    'R-DRE-391251':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Protein folding"""]),
    'R-GGA-391251':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Protein folding"""]),
    'R-MMU-391251':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Protein folding"""]),
    'R-PFA-391251':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Protein folding"""]),
    'R-RNO-391251':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Protein folding"""]),
    'R-SCE-391251':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Protein folding"""]),
    'R-SPO-391251':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Protein folding"""]),
    'R-SSC-391251':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Protein folding"""]),
    'R-XTR-391251':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Protein folding"""]),
    'R-HSA-391903':Nto._make([date(2009,  6, 24), '....P..', '..', """Eicosanoid ligand-binding receptors"""]),
    'R-BTA-391903':Nto._make([date(2019,  3, 20), '...I...', '..', """Eicosanoid ligand-binding receptors"""]),
    'R-CEL-391903':Nto._make([date(2019,  3, 20), '...I...', '..', """Eicosanoid ligand-binding receptors"""]),
    'R-CFA-391903':Nto._make([date(2019,  3, 20), '...I...', '..', """Eicosanoid ligand-binding receptors"""]),
    'R-DME-391903':Nto._make([date(2019,  3, 20), '...I...', '..', """Eicosanoid ligand-binding receptors"""]),
    'R-DRE-391903':Nto._make([date(2019,  3, 20), '...I...', '..', """Eicosanoid ligand-binding receptors"""]),
    'R-GGA-391903':Nto._make([date(2019,  3, 20), '...I...', '..', """Eicosanoid ligand-binding receptors"""]),
    'R-MMU-391903':Nto._make([date(2019,  3, 20), '...I...', '..', """Eicosanoid ligand-binding receptors"""]),
    'R-RNO-391903':Nto._make([date(2019,  3, 20), '...I...', '..', """Eicosanoid ligand-binding receptors"""]),
    'R-SSC-391903':Nto._make([date(2019,  3, 20), '...I...', '..', """Eicosanoid ligand-binding receptors"""]),
    'R-XTR-391903':Nto._make([date(2019,  3, 20), '...I...', '..', """Eicosanoid ligand-binding receptors"""]),
    'R-HSA-391906':Nto._make([date(2009,  6, 24), '....P..', '..', """Leukotriene receptors"""]),
    'R-BTA-391906':Nto._make([date(2019,  3, 20), '...I...', '..', """Leukotriene receptors"""]),
    'R-CEL-391906':Nto._make([date(2019,  3, 20), '...I...', '..', """Leukotriene receptors"""]),
    'R-CFA-391906':Nto._make([date(2019,  3, 20), '...I...', '..', """Leukotriene receptors"""]),
    'R-DME-391906':Nto._make([date(2019,  3, 20), '...I...', '..', """Leukotriene receptors"""]),
    'R-DRE-391906':Nto._make([date(2019,  3, 20), '...I...', '..', """Leukotriene receptors"""]),
    'R-GGA-391906':Nto._make([date(2019,  3, 20), '...I...', '..', """Leukotriene receptors"""]),
    'R-MMU-391906':Nto._make([date(2019,  3, 20), '...I...', '..', """Leukotriene receptors"""]),
    'R-RNO-391906':Nto._make([date(2019,  3, 20), '...I...', '..', """Leukotriene receptors"""]),
    'R-SSC-391906':Nto._make([date(2019,  3, 20), '...I...', '..', """Leukotriene receptors"""]),
    'R-XTR-391906':Nto._make([date(2019,  3, 20), '...I...', '..', """Leukotriene receptors"""]),
    'R-HSA-391908':Nto._make([date(2009,  6, 24), '....P..', '..', """Prostanoid ligand receptors"""]),
    'R-BTA-391908':Nto._make([date(2019,  3, 20), '...I...', '..', """Prostanoid ligand receptors"""]),
    'R-CEL-391908':Nto._make([date(2019,  3, 20), '...I...', '..', """Prostanoid ligand receptors"""]),
    'R-CFA-391908':Nto._make([date(2019,  3, 20), '...I...', '..', """Prostanoid ligand receptors"""]),
    'R-DME-391908':Nto._make([date(2019,  3, 20), '...I...', '..', """Prostanoid ligand receptors"""]),
    'R-DRE-391908':Nto._make([date(2019,  3, 20), '...I...', '..', """Prostanoid ligand receptors"""]),
    'R-GGA-391908':Nto._make([date(2019,  3, 20), '...I...', '..', """Prostanoid ligand receptors"""]),
    'R-MMU-391908':Nto._make([date(2019,  3, 20), '...I...', '..', """Prostanoid ligand receptors"""]),
    'R-RNO-391908':Nto._make([date(2019,  3, 20), '...I...', '..', """Prostanoid ligand receptors"""]),
    'R-SSC-391908':Nto._make([date(2019,  3, 20), '...I...', '..', """Prostanoid ligand receptors"""]),
    'R-XTR-391908':Nto._make([date(2019,  3, 20), '...I...', '..', """Prostanoid ligand receptors"""]),
    'R-HSA-392023':Nto._make([date(2009,  9, 30), '....P..', '.C', """Adrenaline signalling through Alpha-2 adrenergic receptor"""]),
    'R-CEL-392023':Nto._make([date(2019,  3, 20), '...I...', '.C', """Adrenaline signalling through Alpha-2 adrenergic receptor"""]),
    'R-CFA-392023':Nto._make([date(2019,  3, 20), '...I...', '.C', """Adrenaline signalling through Alpha-2 adrenergic receptor"""]),
    'R-DME-392023':Nto._make([date(2019,  3, 20), '...I...', '.C', """Adrenaline signalling through Alpha-2 adrenergic receptor"""]),
    'R-DRE-392023':Nto._make([date(2019,  3, 20), '...I...', '.C', """Adrenaline signalling through Alpha-2 adrenergic receptor"""]),
    'R-GGA-392023':Nto._make([date(2019,  3, 20), '...I...', '.C', """Adrenaline signalling through Alpha-2 adrenergic receptor"""]),
    'R-MMU-392023':Nto._make([date(2019,  3, 20), '...I...', '.C', """Adrenaline signalling through Alpha-2 adrenergic receptor"""]),
    'R-RNO-392023':Nto._make([date(2019,  3, 20), '...I...', '.C', """Adrenaline signalling through Alpha-2 adrenergic receptor"""]),
    'R-SSC-392023':Nto._make([date(2019,  3, 20), '...I...', '.C', """Adrenaline signalling through Alpha-2 adrenergic receptor"""]),
    'R-XTR-392023':Nto._make([date(2019,  3, 20), '...I...', '.C', """Adrenaline signalling through Alpha-2 adrenergic receptor"""]),
    'R-HSA-392154':Nto._make([date(2010,  9, 21), '....P..', '.C', """Nitric oxide stimulates guanylate cyclase"""]),
    'R-BTA-392154':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nitric oxide stimulates guanylate cyclase"""]),
    'R-CEL-392154':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nitric oxide stimulates guanylate cyclase"""]),
    'R-CFA-392154':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nitric oxide stimulates guanylate cyclase"""]),
    'R-DDI-392154':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nitric oxide stimulates guanylate cyclase"""]),
    'R-DME-392154':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nitric oxide stimulates guanylate cyclase"""]),
    'R-DRE-392154':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nitric oxide stimulates guanylate cyclase"""]),
    'R-GGA-392154':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nitric oxide stimulates guanylate cyclase"""]),
    'R-MMU-392154':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nitric oxide stimulates guanylate cyclase"""]),
    'R-PFA-392154':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nitric oxide stimulates guanylate cyclase"""]),
    'R-RNO-392154':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nitric oxide stimulates guanylate cyclase"""]),
    'R-SCE-392154':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nitric oxide stimulates guanylate cyclase"""]),
    'R-SPO-392154':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nitric oxide stimulates guanylate cyclase"""]),
    'R-SSC-392154':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nitric oxide stimulates guanylate cyclase"""]),
    'R-XTR-392154':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nitric oxide stimulates guanylate cyclase"""]),
    'R-HSA-392170':Nto._make([date(2009,  9, 30), '....P..', '.C', """ADP signalling through P2Y purinoceptor 12"""]),
    'R-BTA-392170':Nto._make([date(2019,  3, 20), '...I...', '.C', """ADP signalling through P2Y purinoceptor 12"""]),
    'R-CEL-392170':Nto._make([date(2019,  3, 20), '...I...', '.C', """ADP signalling through P2Y purinoceptor 12"""]),
    'R-CFA-392170':Nto._make([date(2019,  3, 20), '...I...', '.C', """ADP signalling through P2Y purinoceptor 12"""]),
    'R-DME-392170':Nto._make([date(2019,  3, 20), '...I...', '.C', """ADP signalling through P2Y purinoceptor 12"""]),
    'R-DRE-392170':Nto._make([date(2019,  3, 20), '...I...', '.C', """ADP signalling through P2Y purinoceptor 12"""]),
    'R-GGA-392170':Nto._make([date(2019,  3, 20), '...I...', '.C', """ADP signalling through P2Y purinoceptor 12"""]),
    'R-MMU-392170':Nto._make([date(2019,  3, 20), '...I...', '.C', """ADP signalling through P2Y purinoceptor 12"""]),
    'R-RNO-392170':Nto._make([date(2019,  3, 20), '...I...', '.C', """ADP signalling through P2Y purinoceptor 12"""]),
    'R-SSC-392170':Nto._make([date(2019,  3, 20), '...I...', '.C', """ADP signalling through P2Y purinoceptor 12"""]),
    'R-XTR-392170':Nto._make([date(2019,  3, 20), '...I...', '.C', """ADP signalling through P2Y purinoceptor 12"""]),
    'R-HSA-392451':Nto._make([date(2009,  9, 30), '....P..', '.C', """G beta:gamma signalling through PI3Kgamma"""]),
    'R-BTA-392451':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through PI3Kgamma"""]),
    'R-CEL-392451':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through PI3Kgamma"""]),
    'R-CFA-392451':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through PI3Kgamma"""]),
    'R-DDI-392451':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through PI3Kgamma"""]),
    'R-DME-392451':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through PI3Kgamma"""]),
    'R-DRE-392451':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through PI3Kgamma"""]),
    'R-GGA-392451':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through PI3Kgamma"""]),
    'R-MMU-392451':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through PI3Kgamma"""]),
    'R-RNO-392451':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through PI3Kgamma"""]),
    'R-SCE-392451':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through PI3Kgamma"""]),
    'R-SPO-392451':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through PI3Kgamma"""]),
    'R-SSC-392451':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through PI3Kgamma"""]),
    'R-XTR-392451':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through PI3Kgamma"""]),
    'R-HSA-392499':Nto._make([date(2009,  4,  1), 'T.F....', 'B.', """Metabolism of proteins"""]),
    'R-BTA-392499':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of proteins"""]),
    'R-CEL-392499':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of proteins"""]),
    'R-CFA-392499':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of proteins"""]),
    'R-DDI-392499':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of proteins"""]),
    'R-DME-392499':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of proteins"""]),
    'R-DRE-392499':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of proteins"""]),
    'R-GGA-392499':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of proteins"""]),
    'R-MMU-392499':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of proteins"""]),
    'R-PFA-392499':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of proteins"""]),
    'R-RNO-392499':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of proteins"""]),
    'R-SCE-392499':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of proteins"""]),
    'R-SPO-392499':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of proteins"""]),
    'R-SSC-392499':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of proteins"""]),
    'R-XTR-392499':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of proteins"""]),
    'R-HSA-392517':Nto._make([date(2010,  9, 21), '..f.P..', '.C', """Rap1 signalling"""]),
    'R-BTA-392517':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Rap1 signalling"""]),
    'R-CEL-392517':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Rap1 signalling"""]),
    'R-CFA-392517':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Rap1 signalling"""]),
    'R-DDI-392517':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Rap1 signalling"""]),
    'R-DME-392517':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Rap1 signalling"""]),
    'R-DRE-392517':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Rap1 signalling"""]),
    'R-GGA-392517':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Rap1 signalling"""]),
    'R-MMU-392517':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Rap1 signalling"""]),
    'R-RNO-392517':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Rap1 signalling"""]),
    'R-SCE-392517':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Rap1 signalling"""]),
    'R-SSC-392517':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Rap1 signalling"""]),
    'R-XTR-392517':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Rap1 signalling"""]),
    'R-HSA-392518':Nto._make([date(2009, 12, 15), '..f.P..', '..', """Signal amplification"""]),
    'R-BTA-392518':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signal amplification"""]),
    'R-CEL-392518':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signal amplification"""]),
    'R-CFA-392518':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signal amplification"""]),
    'R-DME-392518':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signal amplification"""]),
    'R-DRE-392518':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signal amplification"""]),
    'R-GGA-392518':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signal amplification"""]),
    'R-MMU-392518':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signal amplification"""]),
    'R-RNO-392518':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signal amplification"""]),
    'R-SCE-392518':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signal amplification"""]),
    'R-SPO-392518':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signal amplification"""]),
    'R-SSC-392518':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signal amplification"""]),
    'R-XTR-392518':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signal amplification"""]),
    'R-HSA-392851':Nto._make([date(2010,  9, 21), '....P..', '.C', """Prostacyclin signalling through prostacyclin receptor"""]),
    'R-CFA-392851':Nto._make([date(2019,  3, 20), '...I...', '.C', """Prostacyclin signalling through prostacyclin receptor"""]),
    'R-DME-392851':Nto._make([date(2019,  3, 20), '...I...', '.C', """Prostacyclin signalling through prostacyclin receptor"""]),
    'R-DRE-392851':Nto._make([date(2019,  3, 20), '...I...', '.C', """Prostacyclin signalling through prostacyclin receptor"""]),
    'R-MMU-392851':Nto._make([date(2019,  3, 20), '...I...', '.C', """Prostacyclin signalling through prostacyclin receptor"""]),
    'R-RNO-392851':Nto._make([date(2019,  3, 20), '...I...', '.C', """Prostacyclin signalling through prostacyclin receptor"""]),
    'R-SSC-392851':Nto._make([date(2019,  3, 20), '...I...', '.C', """Prostacyclin signalling through prostacyclin receptor"""]),
    'R-XTR-392851':Nto._make([date(2019,  3, 20), '...I...', '.C', """Prostacyclin signalling through prostacyclin receptor"""]),
    'R-HSA-397014':Nto._make([date(2009,  4,  1), 'T.F....', '.C', """Muscle contraction"""]),
    'R-BTA-397014':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """Muscle contraction"""]),
    'R-CEL-397014':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """Muscle contraction"""]),
    'R-CFA-397014':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """Muscle contraction"""]),
    'R-DDI-397014':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """Muscle contraction"""]),
    'R-DME-397014':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """Muscle contraction"""]),
    'R-DRE-397014':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """Muscle contraction"""]),
    'R-GGA-397014':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """Muscle contraction"""]),
    'R-MMU-397014':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """Muscle contraction"""]),
    'R-PFA-397014':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """Muscle contraction"""]),
    'R-RNO-397014':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """Muscle contraction"""]),
    'R-SCE-397014':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """Muscle contraction"""]),
    'R-SPO-397014':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """Muscle contraction"""]),
    'R-SSC-397014':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """Muscle contraction"""]),
    'R-XTR-397014':Nto._make([date(2019,  3, 20), 'T.fI...', '.C', """Muscle contraction"""]),
    'R-HSA-397795':Nto._make([date(2009,  9, 30), '..f.P..', '.C', """G-protein beta:gamma signalling"""]),
    'R-BTA-397795':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G-protein beta:gamma signalling"""]),
    'R-CEL-397795':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G-protein beta:gamma signalling"""]),
    'R-CFA-397795':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G-protein beta:gamma signalling"""]),
    'R-DDI-397795':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G-protein beta:gamma signalling"""]),
    'R-DME-397795':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G-protein beta:gamma signalling"""]),
    'R-DRE-397795':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G-protein beta:gamma signalling"""]),
    'R-GGA-397795':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G-protein beta:gamma signalling"""]),
    'R-MMU-397795':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G-protein beta:gamma signalling"""]),
    'R-RNO-397795':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G-protein beta:gamma signalling"""]),
    'R-SCE-397795':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G-protein beta:gamma signalling"""]),
    'R-SPO-397795':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G-protein beta:gamma signalling"""]),
    'R-SSC-397795':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G-protein beta:gamma signalling"""]),
    'R-XTR-397795':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G-protein beta:gamma signalling"""]),
    'R-HSA-399710':Nto._make([date(2009,  6, 24), '....P..', '.C', """Activation of AMPA receptors"""]),
    'R-BTA-399710':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of AMPA receptors"""]),
    'R-CEL-399710':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of AMPA receptors"""]),
    'R-CFA-399710':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of AMPA receptors"""]),
    'R-DME-399710':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of AMPA receptors"""]),
    'R-DRE-399710':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of AMPA receptors"""]),
    'R-GGA-399710':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of AMPA receptors"""]),
    'R-MMU-399710':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of AMPA receptors"""]),
    'R-RNO-399710':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of AMPA receptors"""]),
    'R-SSC-399710':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of AMPA receptors"""]),
    'R-XTR-399710':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of AMPA receptors"""]),
    'R-HSA-399719':Nto._make([date(2009,  6, 24), '....P..', '..', """Trafficking of AMPA receptors"""]),
    'R-CFA-399719':Nto._make([date(2019,  3, 20), '...I...', '..', """Trafficking of AMPA receptors"""]),
    'R-DRE-399719':Nto._make([date(2019,  3, 20), '...I...', '..', """Trafficking of AMPA receptors"""]),
    'R-GGA-399719':Nto._make([date(2019,  3, 20), '...I...', '..', """Trafficking of AMPA receptors"""]),
    'R-MMU-399719':Nto._make([date(2019,  3, 20), '...I...', '..', """Trafficking of AMPA receptors"""]),
    'R-RNO-399719':Nto._make([date(2019,  3, 20), '...I...', '..', """Trafficking of AMPA receptors"""]),
    'R-SSC-399719':Nto._make([date(2019,  3, 20), '...I...', '..', """Trafficking of AMPA receptors"""]),
    'R-XTR-399719':Nto._make([date(2019,  3, 20), '...I...', '..', """Trafficking of AMPA receptors"""]),
    'R-HSA-399721':Nto._make([date(2009,  6, 24), '..f.P..', '.C', """Glutamate binding, activation of AMPA receptors and synaptic plasticity"""]),
    'R-BTA-399721':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Glutamate binding, activation of AMPA receptors and synaptic plasticity"""]),
    'R-CEL-399721':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Glutamate binding, activation of AMPA receptors and synaptic plasticity"""]),
    'R-CFA-399721':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Glutamate binding, activation of AMPA receptors and synaptic plasticity"""]),
    'R-DME-399721':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Glutamate binding, activation of AMPA receptors and synaptic plasticity"""]),
    'R-DRE-399721':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Glutamate binding, activation of AMPA receptors and synaptic plasticity"""]),
    'R-GGA-399721':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Glutamate binding, activation of AMPA receptors and synaptic plasticity"""]),
    'R-MMU-399721':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Glutamate binding, activation of AMPA receptors and synaptic plasticity"""]),
    'R-RNO-399721':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Glutamate binding, activation of AMPA receptors and synaptic plasticity"""]),
    'R-SSC-399721':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Glutamate binding, activation of AMPA receptors and synaptic plasticity"""]),
    'R-XTR-399721':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Glutamate binding, activation of AMPA receptors and synaptic plasticity"""]),
    'R-HSA-399954':Nto._make([date(2009,  9, 30), '....P..', '..', """Sema3A PAK dependent Axon repulsion"""]),
    'R-BTA-399954':Nto._make([date(2019,  3, 20), '...I...', '..', """Sema3A PAK dependent Axon repulsion"""]),
    'R-CEL-399954':Nto._make([date(2019,  3, 20), '...I...', '..', """Sema3A PAK dependent Axon repulsion"""]),
    'R-CFA-399954':Nto._make([date(2019,  3, 20), '...I...', '..', """Sema3A PAK dependent Axon repulsion"""]),
    'R-DME-399954':Nto._make([date(2019,  3, 20), '...I...', '..', """Sema3A PAK dependent Axon repulsion"""]),
    'R-DRE-399954':Nto._make([date(2019,  3, 20), '...I...', '..', """Sema3A PAK dependent Axon repulsion"""]),
    'R-GGA-399954':Nto._make([date(2019,  3, 20), '...I...', '..', """Sema3A PAK dependent Axon repulsion"""]),
    'R-MMU-399954':Nto._make([date(2019,  3, 20), '...I...', '..', """Sema3A PAK dependent Axon repulsion"""]),
    'R-RNO-399954':Nto._make([date(2019,  3, 20), '...I...', '..', """Sema3A PAK dependent Axon repulsion"""]),
    'R-SSC-399954':Nto._make([date(2019,  3, 20), '...I...', '..', """Sema3A PAK dependent Axon repulsion"""]),
    'R-XTR-399954':Nto._make([date(2019,  3, 20), '...I...', '..', """Sema3A PAK dependent Axon repulsion"""]),
    'R-HSA-399955':Nto._make([date(2009,  9, 30), '....P..', '..', """SEMA3A-Plexin repulsion signaling by inhibiting Integrin adhesion"""]),
    'R-BTA-399955':Nto._make([date(2019,  3, 20), '...I...', '..', """SEMA3A-Plexin repulsion signaling by inhibiting Integrin adhesion"""]),
    'R-CEL-399955':Nto._make([date(2019,  3, 20), '...I...', '..', """SEMA3A-Plexin repulsion signaling by inhibiting Integrin adhesion"""]),
    'R-CFA-399955':Nto._make([date(2019,  3, 20), '...I...', '..', """SEMA3A-Plexin repulsion signaling by inhibiting Integrin adhesion"""]),
    'R-DME-399955':Nto._make([date(2019,  3, 20), '...I...', '..', """SEMA3A-Plexin repulsion signaling by inhibiting Integrin adhesion"""]),
    'R-DRE-399955':Nto._make([date(2019,  3, 20), '...I...', '..', """SEMA3A-Plexin repulsion signaling by inhibiting Integrin adhesion"""]),
    'R-MMU-399955':Nto._make([date(2019,  3, 20), '...I...', '..', """SEMA3A-Plexin repulsion signaling by inhibiting Integrin adhesion"""]),
    'R-RNO-399955':Nto._make([date(2019,  3, 20), '...I...', '..', """SEMA3A-Plexin repulsion signaling by inhibiting Integrin adhesion"""]),
    'R-SSC-399955':Nto._make([date(2019,  3, 20), '...I...', '..', """SEMA3A-Plexin repulsion signaling by inhibiting Integrin adhesion"""]),
    'R-XTR-399955':Nto._make([date(2019,  3, 20), '...I...', '..', """SEMA3A-Plexin repulsion signaling by inhibiting Integrin adhesion"""]),
    'R-HSA-399956':Nto._make([date(2009,  9, 30), '....P..', '..', """CRMPs in Sema3A signaling"""]),
    'R-BTA-399956':Nto._make([date(2019,  3, 20), '...I...', '..', """CRMPs in Sema3A signaling"""]),
    'R-CEL-399956':Nto._make([date(2019,  3, 20), '...I...', '..', """CRMPs in Sema3A signaling"""]),
    'R-CFA-399956':Nto._make([date(2019,  3, 20), '...I...', '..', """CRMPs in Sema3A signaling"""]),
    'R-DRE-399956':Nto._make([date(2019,  3, 20), '...I...', '..', """CRMPs in Sema3A signaling"""]),
    'R-MMU-399956':Nto._make([date(2019,  3, 20), '...I...', '..', """CRMPs in Sema3A signaling"""]),
    'R-RNO-399956':Nto._make([date(2019,  3, 20), '...I...', '..', """CRMPs in Sema3A signaling"""]),
    'R-SSC-399956':Nto._make([date(2019,  3, 20), '...I...', '..', """CRMPs in Sema3A signaling"""]),
    'R-XTR-399956':Nto._make([date(2019,  3, 20), '...I...', '..', """CRMPs in Sema3A signaling"""]),
    'R-HSA-399997':Nto._make([date(2009,  6, 24), '....P..', '.C', """Acetylcholine regulates insulin secretion"""]),
    'R-BTA-399997':Nto._make([date(2019,  3, 20), '...I...', '.C', """Acetylcholine regulates insulin secretion"""]),
    'R-CEL-399997':Nto._make([date(2019,  3, 20), '...I...', '.C', """Acetylcholine regulates insulin secretion"""]),
    'R-CFA-399997':Nto._make([date(2019,  3, 20), '...I...', '.C', """Acetylcholine regulates insulin secretion"""]),
    'R-DDI-399997':Nto._make([date(2019,  3, 20), '...I...', '.C', """Acetylcholine regulates insulin secretion"""]),
    'R-DME-399997':Nto._make([date(2019,  3, 20), '...I...', '.C', """Acetylcholine regulates insulin secretion"""]),
    'R-DRE-399997':Nto._make([date(2019,  3, 20), '...I...', '.C', """Acetylcholine regulates insulin secretion"""]),
    'R-GGA-399997':Nto._make([date(2019,  3, 20), '...I...', '.C', """Acetylcholine regulates insulin secretion"""]),
    'R-MMU-399997':Nto._make([date(2019,  3, 20), '...I...', '.C', """Acetylcholine regulates insulin secretion"""]),
    'R-RNO-399997':Nto._make([date(2019,  3, 20), '...I...', '.C', """Acetylcholine regulates insulin secretion"""]),
    'R-SCE-399997':Nto._make([date(2019,  3, 20), '...I...', '.C', """Acetylcholine regulates insulin secretion"""]),
    'R-SPO-399997':Nto._make([date(2019,  3, 20), '...I...', '.C', """Acetylcholine regulates insulin secretion"""]),
    'R-SSC-399997':Nto._make([date(2019,  3, 20), '...I...', '.C', """Acetylcholine regulates insulin secretion"""]),
    'R-XTR-399997':Nto._make([date(2019,  3, 20), '...I...', '.C', """Acetylcholine regulates insulin secretion"""]),
    'R-HSA-400042':Nto._make([date(2009,  6, 24), '....P..', '.C', """Adrenaline,noradrenaline inhibits insulin secretion"""]),
    'R-BTA-400042':Nto._make([date(2019,  3, 20), '...I...', '.C', """Adrenaline,noradrenaline inhibits insulin secretion"""]),
    'R-CEL-400042':Nto._make([date(2019,  3, 20), '...I...', '.C', """Adrenaline,noradrenaline inhibits insulin secretion"""]),
    'R-CFA-400042':Nto._make([date(2019,  3, 20), '...I...', '.C', """Adrenaline,noradrenaline inhibits insulin secretion"""]),
    'R-DME-400042':Nto._make([date(2019,  3, 20), '...I...', '.C', """Adrenaline,noradrenaline inhibits insulin secretion"""]),
    'R-DRE-400042':Nto._make([date(2019,  3, 20), '...I...', '.C', """Adrenaline,noradrenaline inhibits insulin secretion"""]),
    'R-GGA-400042':Nto._make([date(2019,  3, 20), '...I...', '.C', """Adrenaline,noradrenaline inhibits insulin secretion"""]),
    'R-MMU-400042':Nto._make([date(2019,  3, 20), '...I...', '.C', """Adrenaline,noradrenaline inhibits insulin secretion"""]),
    'R-RNO-400042':Nto._make([date(2019,  3, 20), '...I...', '.C', """Adrenaline,noradrenaline inhibits insulin secretion"""]),
    'R-SSC-400042':Nto._make([date(2019,  3, 20), '...I...', '.C', """Adrenaline,noradrenaline inhibits insulin secretion"""]),
    'R-XTR-400042':Nto._make([date(2019,  3, 20), '...I...', '.C', """Adrenaline,noradrenaline inhibits insulin secretion"""]),
    'R-HSA-400206':Nto._make([date(2009,  9, 30), '..f.P..', 'BC', """Regulation of lipid metabolism by Peroxisome proliferator-activated receptor alpha (PPARalpha)"""]),
    'R-BTA-400206':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of lipid metabolism by Peroxisome proliferator-activated receptor alpha (PPARalpha)"""]),
    'R-CFA-400206':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of lipid metabolism by Peroxisome proliferator-activated receptor alpha (PPARalpha)"""]),
    'R-DME-400206':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of lipid metabolism by Peroxisome proliferator-activated receptor alpha (PPARalpha)"""]),
    'R-DRE-400206':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of lipid metabolism by Peroxisome proliferator-activated receptor alpha (PPARalpha)"""]),
    'R-GGA-400206':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of lipid metabolism by Peroxisome proliferator-activated receptor alpha (PPARalpha)"""]),
    'R-MMU-400206':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of lipid metabolism by Peroxisome proliferator-activated receptor alpha (PPARalpha)"""]),
    'R-RNO-400206':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of lipid metabolism by Peroxisome proliferator-activated receptor alpha (PPARalpha)"""]),
    'R-SSC-400206':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of lipid metabolism by Peroxisome proliferator-activated receptor alpha (PPARalpha)"""]),
    'R-XTR-400206':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of lipid metabolism by Peroxisome proliferator-activated receptor alpha (PPARalpha)"""]),
    'R-HSA-400253':Nto._make([date(2010, 12, 14), 'T.F.P..', 'BC', """Circadian Clock"""]),
    'R-HSA-400451':Nto._make([date(2009,  9, 30), '....P..', '.C', """Free fatty acids regulate insulin secretion"""]),
    'R-BTA-400451':Nto._make([date(2019,  3, 20), '...I...', '.C', """Free fatty acids regulate insulin secretion"""]),
    'R-CEL-400451':Nto._make([date(2019,  3, 20), '...I...', '.C', """Free fatty acids regulate insulin secretion"""]),
    'R-CFA-400451':Nto._make([date(2019,  3, 20), '...I...', '.C', """Free fatty acids regulate insulin secretion"""]),
    'R-DDI-400451':Nto._make([date(2019,  3, 20), '...I...', '.C', """Free fatty acids regulate insulin secretion"""]),
    'R-DME-400451':Nto._make([date(2019,  3, 20), '...I...', '.C', """Free fatty acids regulate insulin secretion"""]),
    'R-DRE-400451':Nto._make([date(2019,  3, 20), '...I...', '.C', """Free fatty acids regulate insulin secretion"""]),
    'R-GGA-400451':Nto._make([date(2019,  3, 20), '...I...', '.C', """Free fatty acids regulate insulin secretion"""]),
    'R-MMU-400451':Nto._make([date(2019,  3, 20), '...I...', '.C', """Free fatty acids regulate insulin secretion"""]),
    'R-RNO-400451':Nto._make([date(2019,  3, 20), '...I...', '.C', """Free fatty acids regulate insulin secretion"""]),
    'R-SCE-400451':Nto._make([date(2019,  3, 20), '...I...', '.C', """Free fatty acids regulate insulin secretion"""]),
    'R-SPO-400451':Nto._make([date(2019,  3, 20), '...I...', '.C', """Free fatty acids regulate insulin secretion"""]),
    'R-SSC-400451':Nto._make([date(2019,  3, 20), '...I...', '.C', """Free fatty acids regulate insulin secretion"""]),
    'R-XTR-400451':Nto._make([date(2019,  3, 20), '...I...', '.C', """Free fatty acids regulate insulin secretion"""]),
    'R-HSA-400508':Nto._make([date(2010,  9, 21), '..f.P..', 'BC', """Incretin synthesis, secretion, and inactivation"""]),
    'R-BTA-400508':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Incretin synthesis, secretion, and inactivation"""]),
    'R-CFA-400508':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Incretin synthesis, secretion, and inactivation"""]),
    'R-DRE-400508':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Incretin synthesis, secretion, and inactivation"""]),
    'R-GGA-400508':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Incretin synthesis, secretion, and inactivation"""]),
    'R-MMU-400508':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Incretin synthesis, secretion, and inactivation"""]),
    'R-RNO-400508':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Incretin synthesis, secretion, and inactivation"""]),
    'R-XTR-400508':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Incretin synthesis, secretion, and inactivation"""]),
    'R-HSA-400511':Nto._make([date(2010,  9, 21), '....P..', '.C', """Synthesis, secretion, and inactivation of Glucose-dependent Insulinotropic Polypeptide (GIP)"""]),
    'R-CFA-400511':Nto._make([date(2019,  3, 20), '...I...', '.C', """Synthesis, secretion, and inactivation of Glucose-dependent Insulinotropic Polypeptide (GIP)"""]),
    'R-DRE-400511':Nto._make([date(2019,  3, 20), '...I...', '.C', """Synthesis, secretion, and inactivation of Glucose-dependent Insulinotropic Polypeptide (GIP)"""]),
    'R-GGA-400511':Nto._make([date(2019,  3, 20), '...I...', '.C', """Synthesis, secretion, and inactivation of Glucose-dependent Insulinotropic Polypeptide (GIP)"""]),
    'R-MMU-400511':Nto._make([date(2019,  3, 20), '...I...', '.C', """Synthesis, secretion, and inactivation of Glucose-dependent Insulinotropic Polypeptide (GIP)"""]),
    'R-RNO-400511':Nto._make([date(2019,  3, 20), '...I...', '.C', """Synthesis, secretion, and inactivation of Glucose-dependent Insulinotropic Polypeptide (GIP)"""]),
    'R-XTR-400511':Nto._make([date(2019,  3, 20), '...I...', '.C', """Synthesis, secretion, and inactivation of Glucose-dependent Insulinotropic Polypeptide (GIP)"""]),
    'R-HSA-400685':Nto._make([date(2009,  9, 30), '....P..', '..', """Sema4D in semaphorin signaling"""]),
    'R-BTA-400685':Nto._make([date(2019,  3, 20), '...I...', '..', """Sema4D in semaphorin signaling"""]),
    'R-CEL-400685':Nto._make([date(2019,  3, 20), '...I...', '..', """Sema4D in semaphorin signaling"""]),
    'R-CFA-400685':Nto._make([date(2019,  3, 20), '...I...', '..', """Sema4D in semaphorin signaling"""]),
    'R-DME-400685':Nto._make([date(2019,  3, 20), '...I...', '..', """Sema4D in semaphorin signaling"""]),
    'R-DRE-400685':Nto._make([date(2019,  3, 20), '...I...', '..', """Sema4D in semaphorin signaling"""]),
    'R-GGA-400685':Nto._make([date(2019,  3, 20), '...I...', '..', """Sema4D in semaphorin signaling"""]),
    'R-MMU-400685':Nto._make([date(2019,  3, 20), '...I...', '..', """Sema4D in semaphorin signaling"""]),
    'R-RNO-400685':Nto._make([date(2019,  3, 20), '...I...', '..', """Sema4D in semaphorin signaling"""]),
    'R-SSC-400685':Nto._make([date(2019,  3, 20), '...I...', '..', """Sema4D in semaphorin signaling"""]),
    'R-XTR-400685':Nto._make([date(2019,  3, 20), '...I...', '..', """Sema4D in semaphorin signaling"""]),
    'R-HSA-416476':Nto._make([date(2009,  9, 30), '..f.P..', '.C', """G alpha (q) signalling events"""]),
    'R-BTA-416476':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (q) signalling events"""]),
    'R-CEL-416476':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (q) signalling events"""]),
    'R-CFA-416476':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (q) signalling events"""]),
    'R-DDI-416476':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (q) signalling events"""]),
    'R-DME-416476':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (q) signalling events"""]),
    'R-DRE-416476':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (q) signalling events"""]),
    'R-GGA-416476':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (q) signalling events"""]),
    'R-MMU-416476':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (q) signalling events"""]),
    'R-PFA-416476':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (q) signalling events"""]),
    'R-RNO-416476':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (q) signalling events"""]),
    'R-SCE-416476':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (q) signalling events"""]),
    'R-SPO-416476':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (q) signalling events"""]),
    'R-SSC-416476':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (q) signalling events"""]),
    'R-XTR-416476':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (q) signalling events"""]),
    'R-HSA-416482':Nto._make([date(2009,  9, 30), '..f.P..', '.C', """G alpha (12/13) signalling events"""]),
    'R-BTA-416482':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (12/13) signalling events"""]),
    'R-CEL-416482':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (12/13) signalling events"""]),
    'R-CFA-416482':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (12/13) signalling events"""]),
    'R-DDI-416482':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (12/13) signalling events"""]),
    'R-DME-416482':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (12/13) signalling events"""]),
    'R-DRE-416482':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (12/13) signalling events"""]),
    'R-GGA-416482':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (12/13) signalling events"""]),
    'R-MMU-416482':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (12/13) signalling events"""]),
    'R-RNO-416482':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (12/13) signalling events"""]),
    'R-SCE-416482':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (12/13) signalling events"""]),
    'R-SPO-416482':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (12/13) signalling events"""]),
    'R-SSC-416482':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (12/13) signalling events"""]),
    'R-XTR-416482':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (12/13) signalling events"""]),
    'R-HSA-416550':Nto._make([date(2009,  9, 30), '....P..', '.C', """Sema4D mediated inhibition of cell attachment and migration"""]),
    'R-BTA-416550':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sema4D mediated inhibition of cell attachment and migration"""]),
    'R-CEL-416550':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sema4D mediated inhibition of cell attachment and migration"""]),
    'R-CFA-416550':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sema4D mediated inhibition of cell attachment and migration"""]),
    'R-DRE-416550':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sema4D mediated inhibition of cell attachment and migration"""]),
    'R-GGA-416550':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sema4D mediated inhibition of cell attachment and migration"""]),
    'R-MMU-416550':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sema4D mediated inhibition of cell attachment and migration"""]),
    'R-RNO-416550':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sema4D mediated inhibition of cell attachment and migration"""]),
    'R-SSC-416550':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sema4D mediated inhibition of cell attachment and migration"""]),
    'R-XTR-416550':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sema4D mediated inhibition of cell attachment and migration"""]),
    'R-HSA-416572':Nto._make([date(2009,  9, 30), '....P..', '.C', """Sema4D induced cell migration and growth-cone collapse"""]),
    'R-BTA-416572':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sema4D induced cell migration and growth-cone collapse"""]),
    'R-CEL-416572':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sema4D induced cell migration and growth-cone collapse"""]),
    'R-CFA-416572':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sema4D induced cell migration and growth-cone collapse"""]),
    'R-DME-416572':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sema4D induced cell migration and growth-cone collapse"""]),
    'R-DRE-416572':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sema4D induced cell migration and growth-cone collapse"""]),
    'R-GGA-416572':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sema4D induced cell migration and growth-cone collapse"""]),
    'R-MMU-416572':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sema4D induced cell migration and growth-cone collapse"""]),
    'R-RNO-416572':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sema4D induced cell migration and growth-cone collapse"""]),
    'R-SSC-416572':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sema4D induced cell migration and growth-cone collapse"""]),
    'R-XTR-416572':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sema4D induced cell migration and growth-cone collapse"""]),
    'R-HSA-416700':Nto._make([date(2009,  9, 30), '.......', '.C', """Other semaphorin interactions"""]),
    'R-BTA-416700':Nto._make([date(2019,  3, 20), '...I...', '.C', """Other semaphorin interactions"""]),
    'R-CEL-416700':Nto._make([date(2019,  3, 20), '...I...', '.C', """Other semaphorin interactions"""]),
    'R-CFA-416700':Nto._make([date(2019,  3, 20), '...I...', '.C', """Other semaphorin interactions"""]),
    'R-DME-416700':Nto._make([date(2019,  3, 20), '...I...', '.C', """Other semaphorin interactions"""]),
    'R-DRE-416700':Nto._make([date(2019,  3, 20), '...I...', '.C', """Other semaphorin interactions"""]),
    'R-GGA-416700':Nto._make([date(2019,  3, 20), '...I...', '.C', """Other semaphorin interactions"""]),
    'R-MMU-416700':Nto._make([date(2019,  3, 20), '...I...', '.C', """Other semaphorin interactions"""]),
    'R-RNO-416700':Nto._make([date(2019,  3, 20), '...I...', '.C', """Other semaphorin interactions"""]),
    'R-SSC-416700':Nto._make([date(2019,  3, 20), '...I...', '.C', """Other semaphorin interactions"""]),
    'R-XTR-416700':Nto._make([date(2019,  3, 20), '...I...', '.C', """Other semaphorin interactions"""]),
    'R-HSA-416993':Nto._make([date(2009,  6, 24), '....P..', '..', """Trafficking of GluR2-containing AMPA receptors"""]),
    'R-CFA-416993':Nto._make([date(2019,  3, 20), '...I...', '..', """Trafficking of GluR2-containing AMPA receptors"""]),
    'R-DRE-416993':Nto._make([date(2019,  3, 20), '...I...', '..', """Trafficking of GluR2-containing AMPA receptors"""]),
    'R-GGA-416993':Nto._make([date(2019,  3, 20), '...I...', '..', """Trafficking of GluR2-containing AMPA receptors"""]),
    'R-MMU-416993':Nto._make([date(2019,  3, 20), '...I...', '..', """Trafficking of GluR2-containing AMPA receptors"""]),
    'R-RNO-416993':Nto._make([date(2019,  3, 20), '...I...', '..', """Trafficking of GluR2-containing AMPA receptors"""]),
    'R-SSC-416993':Nto._make([date(2019,  3, 20), '...I...', '..', """Trafficking of GluR2-containing AMPA receptors"""]),
    'R-XTR-416993':Nto._make([date(2019,  3, 20), '...I...', '..', """Trafficking of GluR2-containing AMPA receptors"""]),
    'R-GGA-417076':Nto._make([date(2010, 12, 14), '....P..', 'BC', """Assembly of telomerase and telomere extension"""]),
    'R-HSA-417957':Nto._make([date(2009,  6, 24), '....P..', '..', """P2Y receptors"""]),
    'R-BTA-417957':Nto._make([date(2019,  3, 20), '...I...', '..', """P2Y receptors"""]),
    'R-CEL-417957':Nto._make([date(2019,  3, 20), '...I...', '..', """P2Y receptors"""]),
    'R-CFA-417957':Nto._make([date(2019,  3, 20), '...I...', '..', """P2Y receptors"""]),
    'R-DRE-417957':Nto._make([date(2019,  3, 20), '...I...', '..', """P2Y receptors"""]),
    'R-GGA-417957':Nto._make([date(2019,  3, 20), '...I...', '..', """P2Y receptors"""]),
    'R-MMU-417957':Nto._make([date(2019,  3, 20), '...I...', '..', """P2Y receptors"""]),
    'R-RNO-417957':Nto._make([date(2019,  3, 20), '...I...', '..', """P2Y receptors"""]),
    'R-SSC-417957':Nto._make([date(2019,  3, 20), '...I...', '..', """P2Y receptors"""]),
    'R-XTR-417957':Nto._make([date(2019,  3, 20), '...I...', '..', """P2Y receptors"""]),
    'R-HSA-417973':Nto._make([date(2009,  6, 24), '....P..', '..', """Adenosine P1 receptors"""]),
    'R-BTA-417973':Nto._make([date(2019,  3, 20), '...I...', '..', """Adenosine P1 receptors"""]),
    'R-CEL-417973':Nto._make([date(2019,  3, 20), '...I...', '..', """Adenosine P1 receptors"""]),
    'R-CFA-417973':Nto._make([date(2019,  3, 20), '...I...', '..', """Adenosine P1 receptors"""]),
    'R-DME-417973':Nto._make([date(2019,  3, 20), '...I...', '..', """Adenosine P1 receptors"""]),
    'R-DRE-417973':Nto._make([date(2019,  3, 20), '...I...', '..', """Adenosine P1 receptors"""]),
    'R-GGA-417973':Nto._make([date(2019,  3, 20), '...I...', '..', """Adenosine P1 receptors"""]),
    'R-MMU-417973':Nto._make([date(2019,  3, 20), '...I...', '..', """Adenosine P1 receptors"""]),
    'R-RNO-417973':Nto._make([date(2019,  3, 20), '...I...', '..', """Adenosine P1 receptors"""]),
    'R-SSC-417973':Nto._make([date(2019,  3, 20), '...I...', '..', """Adenosine P1 receptors"""]),
    'R-XTR-417973':Nto._make([date(2019,  3, 20), '...I...', '..', """Adenosine P1 receptors"""]),
    'R-HSA-418038':Nto._make([date(2009,  6, 24), '....P..', '..', """Nucleotide-like (purinergic) receptors"""]),
    'R-BTA-418038':Nto._make([date(2019,  3, 20), '...I...', '..', """Nucleotide-like (purinergic) receptors"""]),
    'R-CEL-418038':Nto._make([date(2019,  3, 20), '...I...', '..', """Nucleotide-like (purinergic) receptors"""]),
    'R-CFA-418038':Nto._make([date(2019,  3, 20), '...I...', '..', """Nucleotide-like (purinergic) receptors"""]),
    'R-DME-418038':Nto._make([date(2019,  3, 20), '...I...', '..', """Nucleotide-like (purinergic) receptors"""]),
    'R-DRE-418038':Nto._make([date(2019,  3, 20), '...I...', '..', """Nucleotide-like (purinergic) receptors"""]),
    'R-GGA-418038':Nto._make([date(2019,  3, 20), '...I...', '..', """Nucleotide-like (purinergic) receptors"""]),
    'R-MMU-418038':Nto._make([date(2019,  3, 20), '...I...', '..', """Nucleotide-like (purinergic) receptors"""]),
    'R-RNO-418038':Nto._make([date(2019,  3, 20), '...I...', '..', """Nucleotide-like (purinergic) receptors"""]),
    'R-SSC-418038':Nto._make([date(2019,  3, 20), '...I...', '..', """Nucleotide-like (purinergic) receptors"""]),
    'R-XTR-418038':Nto._make([date(2019,  3, 20), '...I...', '..', """Nucleotide-like (purinergic) receptors"""]),
    'R-GGA-418124':Nto._make([date(2010, 12, 14), '..F.P..', 'BC', """Telomere maintenance"""]),
    'R-HSA-418217':Nto._make([date(2009,  9, 30), '....P..', '.C', """G beta:gamma signalling through PLC beta"""]),
    'R-BTA-418217':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through PLC beta"""]),
    'R-CFA-418217':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through PLC beta"""]),
    'R-DME-418217':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through PLC beta"""]),
    'R-DRE-418217':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through PLC beta"""]),
    'R-GGA-418217':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through PLC beta"""]),
    'R-MMU-418217':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through PLC beta"""]),
    'R-RNO-418217':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through PLC beta"""]),
    'R-SSC-418217':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through PLC beta"""]),
    'R-XTR-418217':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through PLC beta"""]),
    'R-HSA-418346':Nto._make([date(2010,  9, 21), '..f.PB.', '.C', """Platelet homeostasis"""]),
    'R-BTA-418346':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Platelet homeostasis"""]),
    'R-CEL-418346':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Platelet homeostasis"""]),
    'R-CFA-418346':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Platelet homeostasis"""]),
    'R-DDI-418346':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Platelet homeostasis"""]),
    'R-DME-418346':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Platelet homeostasis"""]),
    'R-DRE-418346':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Platelet homeostasis"""]),
    'R-GGA-418346':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Platelet homeostasis"""]),
    'R-MMU-418346':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Platelet homeostasis"""]),
    'R-PFA-418346':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Platelet homeostasis"""]),
    'R-RNO-418346':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Platelet homeostasis"""]),
    'R-SCE-418346':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Platelet homeostasis"""]),
    'R-SPO-418346':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Platelet homeostasis"""]),
    'R-SSC-418346':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Platelet homeostasis"""]),
    'R-XTR-418346':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Platelet homeostasis"""]),
    'R-HSA-418359':Nto._make([date(2010,  9, 21), '....P..', '..', """Reduction of cytosolic Ca++ levels"""]),
    'R-BTA-418359':Nto._make([date(2019,  3, 20), '...I...', '..', """Reduction of cytosolic Ca++ levels"""]),
    'R-CEL-418359':Nto._make([date(2019,  3, 20), '...I...', '..', """Reduction of cytosolic Ca++ levels"""]),
    'R-CFA-418359':Nto._make([date(2019,  3, 20), '...I...', '..', """Reduction of cytosolic Ca++ levels"""]),
    'R-DDI-418359':Nto._make([date(2019,  3, 20), '...I...', '..', """Reduction of cytosolic Ca++ levels"""]),
    'R-DME-418359':Nto._make([date(2019,  3, 20), '...I...', '..', """Reduction of cytosolic Ca++ levels"""]),
    'R-DRE-418359':Nto._make([date(2019,  3, 20), '...I...', '..', """Reduction of cytosolic Ca++ levels"""]),
    'R-GGA-418359':Nto._make([date(2019,  3, 20), '...I...', '..', """Reduction of cytosolic Ca++ levels"""]),
    'R-MMU-418359':Nto._make([date(2019,  3, 20), '...I...', '..', """Reduction of cytosolic Ca++ levels"""]),
    'R-PFA-418359':Nto._make([date(2019,  3, 20), '...I...', '..', """Reduction of cytosolic Ca++ levels"""]),
    'R-RNO-418359':Nto._make([date(2019,  3, 20), '...I...', '..', """Reduction of cytosolic Ca++ levels"""]),
    'R-SCE-418359':Nto._make([date(2019,  3, 20), '...I...', '..', """Reduction of cytosolic Ca++ levels"""]),
    'R-SPO-418359':Nto._make([date(2019,  3, 20), '...I...', '..', """Reduction of cytosolic Ca++ levels"""]),
    'R-SSC-418359':Nto._make([date(2019,  3, 20), '...I...', '..', """Reduction of cytosolic Ca++ levels"""]),
    'R-XTR-418359':Nto._make([date(2019,  3, 20), '...I...', '..', """Reduction of cytosolic Ca++ levels"""]),
    'R-HSA-418360':Nto._make([date(2010,  9, 21), '....P..', '..', """Platelet calcium homeostasis"""]),
    'R-BTA-418360':Nto._make([date(2019,  3, 20), '...I...', '..', """Platelet calcium homeostasis"""]),
    'R-CEL-418360':Nto._make([date(2019,  3, 20), '...I...', '..', """Platelet calcium homeostasis"""]),
    'R-CFA-418360':Nto._make([date(2019,  3, 20), '...I...', '..', """Platelet calcium homeostasis"""]),
    'R-DDI-418360':Nto._make([date(2019,  3, 20), '...I...', '..', """Platelet calcium homeostasis"""]),
    'R-DME-418360':Nto._make([date(2019,  3, 20), '...I...', '..', """Platelet calcium homeostasis"""]),
    'R-DRE-418360':Nto._make([date(2019,  3, 20), '...I...', '..', """Platelet calcium homeostasis"""]),
    'R-GGA-418360':Nto._make([date(2019,  3, 20), '...I...', '..', """Platelet calcium homeostasis"""]),
    'R-MMU-418360':Nto._make([date(2019,  3, 20), '...I...', '..', """Platelet calcium homeostasis"""]),
    'R-PFA-418360':Nto._make([date(2019,  3, 20), '...I...', '..', """Platelet calcium homeostasis"""]),
    'R-RNO-418360':Nto._make([date(2019,  3, 20), '...I...', '..', """Platelet calcium homeostasis"""]),
    'R-SCE-418360':Nto._make([date(2019,  3, 20), '...I...', '..', """Platelet calcium homeostasis"""]),
    'R-SPO-418360':Nto._make([date(2019,  3, 20), '...I...', '..', """Platelet calcium homeostasis"""]),
    'R-SSC-418360':Nto._make([date(2019,  3, 20), '...I...', '..', """Platelet calcium homeostasis"""]),
    'R-XTR-418360':Nto._make([date(2019,  3, 20), '...I...', '..', """Platelet calcium homeostasis"""]),
    'R-HSA-418457':Nto._make([date(2010,  9, 21), '....P..', '.C', """cGMP effects"""]),
    'R-BTA-418457':Nto._make([date(2019,  3, 20), '...I...', '.C', """cGMP effects"""]),
    'R-CEL-418457':Nto._make([date(2019,  3, 20), '...I...', '.C', """cGMP effects"""]),
    'R-CFA-418457':Nto._make([date(2019,  3, 20), '...I...', '.C', """cGMP effects"""]),
    'R-DDI-418457':Nto._make([date(2019,  3, 20), '...I...', '.C', """cGMP effects"""]),
    'R-DME-418457':Nto._make([date(2019,  3, 20), '...I...', '.C', """cGMP effects"""]),
    'R-DRE-418457':Nto._make([date(2019,  3, 20), '...I...', '.C', """cGMP effects"""]),
    'R-GGA-418457':Nto._make([date(2019,  3, 20), '...I...', '.C', """cGMP effects"""]),
    'R-MMU-418457':Nto._make([date(2019,  3, 20), '...I...', '.C', """cGMP effects"""]),
    'R-PFA-418457':Nto._make([date(2019,  3, 20), '...I...', '.C', """cGMP effects"""]),
    'R-RNO-418457':Nto._make([date(2019,  3, 20), '...I...', '.C', """cGMP effects"""]),
    'R-SCE-418457':Nto._make([date(2019,  3, 20), '...I...', '.C', """cGMP effects"""]),
    'R-SSC-418457':Nto._make([date(2019,  3, 20), '...I...', '.C', """cGMP effects"""]),
    'R-XTR-418457':Nto._make([date(2019,  3, 20), '...I...', '.C', """cGMP effects"""]),
    'R-HSA-418555':Nto._make([date(2009,  9, 30), '..f.P..', '.C', """G alpha (s) signalling events"""]),
    'R-BTA-418555':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (s) signalling events"""]),
    'R-CEL-418555':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (s) signalling events"""]),
    'R-CFA-418555':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (s) signalling events"""]),
    'R-DDI-418555':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (s) signalling events"""]),
    'R-DME-418555':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (s) signalling events"""]),
    'R-DRE-418555':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (s) signalling events"""]),
    'R-GGA-418555':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (s) signalling events"""]),
    'R-MMU-418555':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (s) signalling events"""]),
    'R-PFA-418555':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (s) signalling events"""]),
    'R-RNO-418555':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (s) signalling events"""]),
    'R-SSC-418555':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (s) signalling events"""]),
    'R-XTR-418555':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (s) signalling events"""]),
    'R-HSA-418592':Nto._make([date(2009,  9, 30), '....P..', '.C', """ADP signalling through P2Y purinoceptor 1"""]),
    'R-BTA-418592':Nto._make([date(2019,  3, 20), '...I...', '.C', """ADP signalling through P2Y purinoceptor 1"""]),
    'R-CEL-418592':Nto._make([date(2019,  3, 20), '...I...', '.C', """ADP signalling through P2Y purinoceptor 1"""]),
    'R-CFA-418592':Nto._make([date(2019,  3, 20), '...I...', '.C', """ADP signalling through P2Y purinoceptor 1"""]),
    'R-DME-418592':Nto._make([date(2019,  3, 20), '...I...', '.C', """ADP signalling through P2Y purinoceptor 1"""]),
    'R-DRE-418592':Nto._make([date(2019,  3, 20), '...I...', '.C', """ADP signalling through P2Y purinoceptor 1"""]),
    'R-GGA-418592':Nto._make([date(2019,  3, 20), '...I...', '.C', """ADP signalling through P2Y purinoceptor 1"""]),
    'R-MMU-418592':Nto._make([date(2019,  3, 20), '...I...', '.C', """ADP signalling through P2Y purinoceptor 1"""]),
    'R-RNO-418592':Nto._make([date(2019,  3, 20), '...I...', '.C', """ADP signalling through P2Y purinoceptor 1"""]),
    'R-SCE-418592':Nto._make([date(2019,  3, 20), '...I...', '.C', """ADP signalling through P2Y purinoceptor 1"""]),
    'R-SPO-418592':Nto._make([date(2019,  3, 20), '...I...', '.C', """ADP signalling through P2Y purinoceptor 1"""]),
    'R-SSC-418592':Nto._make([date(2019,  3, 20), '...I...', '.C', """ADP signalling through P2Y purinoceptor 1"""]),
    'R-XTR-418592':Nto._make([date(2019,  3, 20), '...I...', '.C', """ADP signalling through P2Y purinoceptor 1"""]),
    'R-HSA-418594':Nto._make([date(2009,  9, 30), '..f.P..', '.C', """G alpha (i) signalling events"""]),
    'R-BTA-418594':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (i) signalling events"""]),
    'R-CEL-418594':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (i) signalling events"""]),
    'R-CFA-418594':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (i) signalling events"""]),
    'R-DDI-418594':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (i) signalling events"""]),
    'R-DME-418594':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (i) signalling events"""]),
    'R-DRE-418594':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (i) signalling events"""]),
    'R-GGA-418594':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (i) signalling events"""]),
    'R-MMU-418594':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (i) signalling events"""]),
    'R-PFA-418594':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (i) signalling events"""]),
    'R-RNO-418594':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (i) signalling events"""]),
    'R-SCE-418594':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (i) signalling events"""]),
    'R-SPO-418594':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (i) signalling events"""]),
    'R-SSC-418594':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (i) signalling events"""]),
    'R-XTR-418594':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (i) signalling events"""]),
    'R-HSA-418597':Nto._make([date(2009,  9, 30), '..f.P..', '.C', """G alpha (z) signalling events"""]),
    'R-BTA-418597':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (z) signalling events"""]),
    'R-CEL-418597':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (z) signalling events"""]),
    'R-CFA-418597':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (z) signalling events"""]),
    'R-DDI-418597':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (z) signalling events"""]),
    'R-DME-418597':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (z) signalling events"""]),
    'R-DRE-418597':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (z) signalling events"""]),
    'R-GGA-418597':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (z) signalling events"""]),
    'R-MMU-418597':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (z) signalling events"""]),
    'R-RNO-418597':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (z) signalling events"""]),
    'R-SCE-418597':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (z) signalling events"""]),
    'R-SPO-418597':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (z) signalling events"""]),
    'R-SSC-418597':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (z) signalling events"""]),
    'R-XTR-418597':Nto._make([date(2019,  3, 20), '..fI...', '.C', """G alpha (z) signalling events"""]),
    'R-HSA-418885':Nto._make([date(2010,  6, 15), '....P..', '.C', """DCC mediated attractive signaling"""]),
    'R-BTA-418885':Nto._make([date(2019,  3, 20), '...I...', '.C', """DCC mediated attractive signaling"""]),
    'R-CEL-418885':Nto._make([date(2019,  3, 20), '...I...', '.C', """DCC mediated attractive signaling"""]),
    'R-CFA-418885':Nto._make([date(2019,  3, 20), '...I...', '.C', """DCC mediated attractive signaling"""]),
    'R-DME-418885':Nto._make([date(2019,  3, 20), '...I...', '.C', """DCC mediated attractive signaling"""]),
    'R-DRE-418885':Nto._make([date(2019,  3, 20), '...I...', '.C', """DCC mediated attractive signaling"""]),
    'R-MMU-418885':Nto._make([date(2019,  3, 20), '...I...', '.C', """DCC mediated attractive signaling"""]),
    'R-RNO-418885':Nto._make([date(2019,  3, 20), '...I...', '.C', """DCC mediated attractive signaling"""]),
    'R-XTR-418885':Nto._make([date(2019,  3, 20), '...I...', '.C', """DCC mediated attractive signaling"""]),
    'R-HSA-418886':Nto._make([date(2010,  6, 15), '.......', '.C', """Netrin mediated repulsion signals"""]),
    'R-HSA-418889':Nto._make([date(2010,  6, 15), '..f.P..', 'B.', """Caspase activation via Dependence Receptors in the absence of ligand"""]),
    'R-CFA-418889':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Caspase activation via Dependence Receptors in the absence of ligand"""]),
    'R-DME-418889':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Caspase activation via Dependence Receptors in the absence of ligand"""]),
    'R-DRE-418889':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Caspase activation via Dependence Receptors in the absence of ligand"""]),
    'R-MMU-418889':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Caspase activation via Dependence Receptors in the absence of ligand"""]),
    'R-RNO-418889':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Caspase activation via Dependence Receptors in the absence of ligand"""]),
    'R-XTR-418889':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Caspase activation via Dependence Receptors in the absence of ligand"""]),
    'R-HSA-418890':Nto._make([date(2010,  6, 15), '....P..', '.C', """Role of second messengers in netrin-1 signaling"""]),
    'R-HSA-418990':Nto._make([date(2009,  9, 30), '....P..', 'B.', """Adherens junctions interactions"""]),
    'R-BTA-418990':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Adherens junctions interactions"""]),
    'R-CEL-418990':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Adherens junctions interactions"""]),
    'R-CFA-418990':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Adherens junctions interactions"""]),
    'R-DME-418990':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Adherens junctions interactions"""]),
    'R-DRE-418990':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Adherens junctions interactions"""]),
    'R-GGA-418990':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Adherens junctions interactions"""]),
    'R-MMU-418990':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Adherens junctions interactions"""]),
    'R-RNO-418990':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Adherens junctions interactions"""]),
    'R-SSC-418990':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Adherens junctions interactions"""]),
    'R-XTR-418990':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Adherens junctions interactions"""]),
    'R-HSA-419037':Nto._make([date(2009,  6, 24), '....P..', '.C', """NCAM1 interactions"""]),
    'R-CEL-419037':Nto._make([date(2019,  3, 20), '...I...', '.C', """NCAM1 interactions"""]),
    'R-CFA-419037':Nto._make([date(2019,  3, 20), '...I...', '.C', """NCAM1 interactions"""]),
    'R-DME-419037':Nto._make([date(2019,  3, 20), '...I...', '.C', """NCAM1 interactions"""]),
    'R-DRE-419037':Nto._make([date(2019,  3, 20), '...I...', '.C', """NCAM1 interactions"""]),
    'R-MMU-419037':Nto._make([date(2019,  3, 20), '...I...', '.C', """NCAM1 interactions"""]),
    'R-RNO-419037':Nto._make([date(2019,  3, 20), '...I...', '.C', """NCAM1 interactions"""]),
    'R-XTR-419037':Nto._make([date(2019,  3, 20), '...I...', '.C', """NCAM1 interactions"""]),
    'R-GGA-419140':Nto._make([date(2011, 12,  6), '....P..', 'BC', """De novo synthesis of IMP"""]),
    'R-HSA-419408':Nto._make([date(2009,  6, 24), '....P..', '..', """Lysosphingolipid and LPA receptors"""]),
    'R-BTA-419408':Nto._make([date(2019,  3, 20), '...I...', '..', """Lysosphingolipid and LPA receptors"""]),
    'R-CFA-419408':Nto._make([date(2019,  3, 20), '...I...', '..', """Lysosphingolipid and LPA receptors"""]),
    'R-DRE-419408':Nto._make([date(2019,  3, 20), '...I...', '..', """Lysosphingolipid and LPA receptors"""]),
    'R-GGA-419408':Nto._make([date(2019,  3, 20), '...I...', '..', """Lysosphingolipid and LPA receptors"""]),
    'R-MMU-419408':Nto._make([date(2019,  3, 20), '...I...', '..', """Lysosphingolipid and LPA receptors"""]),
    'R-RNO-419408':Nto._make([date(2019,  3, 20), '...I...', '..', """Lysosphingolipid and LPA receptors"""]),
    'R-SSC-419408':Nto._make([date(2019,  3, 20), '...I...', '..', """Lysosphingolipid and LPA receptors"""]),
    'R-XTR-419408':Nto._make([date(2019,  3, 20), '...I...', '..', """Lysosphingolipid and LPA receptors"""]),
    'R-GGA-419469':Nto._make([date(2011, 12,  6), '.......', 'B.', """Pyrimidine metabolism: de novo synthesis of UMP"""]),
    'R-GGA-419470':Nto._make([date(2011, 12,  6), '..f....', 'B.', """Nucleotide metabolism"""]),
    'R-GGA-419474':Nto._make([date(2011, 12,  6), '....P..', 'B.', """Purine metabolism"""]),
    'R-HSA-419771':Nto._make([date(2009,  6, 24), '....P..', '..', """Opsins"""]),
    'R-BTA-419771':Nto._make([date(2019,  3, 20), '...I...', '..', """Opsins"""]),
    'R-CEL-419771':Nto._make([date(2019,  3, 20), '...I...', '..', """Opsins"""]),
    'R-CFA-419771':Nto._make([date(2019,  3, 20), '...I...', '..', """Opsins"""]),
    'R-DME-419771':Nto._make([date(2019,  3, 20), '...I...', '..', """Opsins"""]),
    'R-DRE-419771':Nto._make([date(2019,  3, 20), '...I...', '..', """Opsins"""]),
    'R-GGA-419771':Nto._make([date(2019,  3, 20), '...I...', '..', """Opsins"""]),
    'R-MMU-419771':Nto._make([date(2019,  3, 20), '...I...', '..', """Opsins"""]),
    'R-RNO-419771':Nto._make([date(2019,  3, 20), '...I...', '..', """Opsins"""]),
    'R-SSC-419771':Nto._make([date(2019,  3, 20), '...I...', '..', """Opsins"""]),
    'R-XTR-419771':Nto._make([date(2019,  3, 20), '...I...', '..', """Opsins"""]),
    'R-HSA-419812':Nto._make([date(2009,  6, 24), '....P..', '..', """Calcitonin-like ligand receptors"""]),
    'R-BTA-419812':Nto._make([date(2019,  3, 20), '...I...', '..', """Calcitonin-like ligand receptors"""]),
    'R-CFA-419812':Nto._make([date(2019,  3, 20), '...I...', '..', """Calcitonin-like ligand receptors"""]),
    'R-DRE-419812':Nto._make([date(2019,  3, 20), '...I...', '..', """Calcitonin-like ligand receptors"""]),
    'R-GGA-419812':Nto._make([date(2019,  3, 20), '...I...', '..', """Calcitonin-like ligand receptors"""]),
    'R-MMU-419812':Nto._make([date(2019,  3, 20), '...I...', '..', """Calcitonin-like ligand receptors"""]),
    'R-RNO-419812':Nto._make([date(2019,  3, 20), '...I...', '..', """Calcitonin-like ligand receptors"""]),
    'R-XTR-419812':Nto._make([date(2019,  3, 20), '...I...', '..', """Calcitonin-like ligand receptors"""]),
    'R-HSA-420029':Nto._make([date(2009,  9, 30), '....P..', 'B.', """Tight junction interactions"""]),
    'R-BTA-420029':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Tight junction interactions"""]),
    'R-CFA-420029':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Tight junction interactions"""]),
    'R-MMU-420029':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Tight junction interactions"""]),
    'R-RNO-420029':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Tight junction interactions"""]),
    'R-SSC-420029':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Tight junction interactions"""]),
    'R-XTR-420029':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Tight junction interactions"""]),
    'R-HSA-420092':Nto._make([date(2009,  6, 24), '....P..', '..', """Glucagon-type ligand receptors"""]),
    'R-BTA-420092':Nto._make([date(2019,  3, 20), '...I...', '..', """Glucagon-type ligand receptors"""]),
    'R-CFA-420092':Nto._make([date(2019,  3, 20), '...I...', '..', """Glucagon-type ligand receptors"""]),
    'R-DRE-420092':Nto._make([date(2019,  3, 20), '...I...', '..', """Glucagon-type ligand receptors"""]),
    'R-GGA-420092':Nto._make([date(2019,  3, 20), '...I...', '..', """Glucagon-type ligand receptors"""]),
    'R-MMU-420092':Nto._make([date(2019,  3, 20), '...I...', '..', """Glucagon-type ligand receptors"""]),
    'R-RNO-420092':Nto._make([date(2019,  3, 20), '...I...', '..', """Glucagon-type ligand receptors"""]),
    'R-SSC-420092':Nto._make([date(2019,  3, 20), '...I...', '..', """Glucagon-type ligand receptors"""]),
    'R-XTR-420092':Nto._make([date(2019,  3, 20), '...I...', '..', """Glucagon-type ligand receptors"""]),
    'R-HSA-420499':Nto._make([date(2009,  6, 24), '..f.P..', '..', """Class C/3 (Metabotropic glutamate/pheromone receptors)"""]),
    'R-BTA-420499':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class C/3 (Metabotropic glutamate/pheromone receptors)"""]),
    'R-CEL-420499':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class C/3 (Metabotropic glutamate/pheromone receptors)"""]),
    'R-CFA-420499':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class C/3 (Metabotropic glutamate/pheromone receptors)"""]),
    'R-DDI-420499':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class C/3 (Metabotropic glutamate/pheromone receptors)"""]),
    'R-DME-420499':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class C/3 (Metabotropic glutamate/pheromone receptors)"""]),
    'R-DRE-420499':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class C/3 (Metabotropic glutamate/pheromone receptors)"""]),
    'R-GGA-420499':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class C/3 (Metabotropic glutamate/pheromone receptors)"""]),
    'R-MMU-420499':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class C/3 (Metabotropic glutamate/pheromone receptors)"""]),
    'R-RNO-420499':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class C/3 (Metabotropic glutamate/pheromone receptors)"""]),
    'R-SSC-420499':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class C/3 (Metabotropic glutamate/pheromone receptors)"""]),
    'R-XTR-420499':Nto._make([date(2019,  3, 20), '..fI...', '..', """Class C/3 (Metabotropic glutamate/pheromone receptors)"""]),
    'R-HSA-420597':Nto._make([date(2009,  9, 30), '....P..', '.C', """Nectin/Necl  trans heterodimerization"""]),
    'R-BTA-420597':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nectin/Necl  trans heterodimerization"""]),
    'R-CEL-420597':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nectin/Necl  trans heterodimerization"""]),
    'R-CFA-420597':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nectin/Necl  trans heterodimerization"""]),
    'R-DRE-420597':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nectin/Necl  trans heterodimerization"""]),
    'R-GGA-420597':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nectin/Necl  trans heterodimerization"""]),
    'R-MMU-420597':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nectin/Necl  trans heterodimerization"""]),
    'R-RNO-420597':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nectin/Necl  trans heterodimerization"""]),
    'R-SSC-420597':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nectin/Necl  trans heterodimerization"""]),
    'R-XTR-420597':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nectin/Necl  trans heterodimerization"""]),
    'R-GGA-421178':Nto._make([date(2011, 12,  6), '....P..', 'BC', """Urate synthesis"""]),
    'R-GGA-421203':Nto._make([date(2011, 12,  6), '.......', 'BC', """De novo synthesis of AMP"""]),
    'R-GGA-421223':Nto._make([date(2011, 12,  6), '.......', 'BC', """De novo synthesis of GMP"""]),
    'R-HSA-421270':Nto._make([date(2009,  9, 30), '....P..', 'B.', """Cell-cell junction organization"""]),
    'R-BTA-421270':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cell-cell junction organization"""]),
    'R-CEL-421270':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cell-cell junction organization"""]),
    'R-CFA-421270':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cell-cell junction organization"""]),
    'R-DME-421270':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cell-cell junction organization"""]),
    'R-DRE-421270':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cell-cell junction organization"""]),
    'R-GGA-421270':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cell-cell junction organization"""]),
    'R-MMU-421270':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cell-cell junction organization"""]),
    'R-RNO-421270':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cell-cell junction organization"""]),
    'R-SSC-421270':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cell-cell junction organization"""]),
    'R-XTR-421270':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cell-cell junction organization"""]),
    'R-GGA-421984':Nto._make([date(2011, 12,  6), '..f.P..', 'B.', """Heme synthesis"""]),
    'R-HSA-422085':Nto._make([date(2009,  9, 30), '..f.P..', '.C', """Synthesis, secretion, and deacylation of Ghrelin"""]),
    'R-BTA-422085':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Synthesis, secretion, and deacylation of Ghrelin"""]),
    'R-CFA-422085':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Synthesis, secretion, and deacylation of Ghrelin"""]),
    'R-DRE-422085':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Synthesis, secretion, and deacylation of Ghrelin"""]),
    'R-GGA-422085':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Synthesis, secretion, and deacylation of Ghrelin"""]),
    'R-MMU-422085':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Synthesis, secretion, and deacylation of Ghrelin"""]),
    'R-RNO-422085':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Synthesis, secretion, and deacylation of Ghrelin"""]),
    'R-SSC-422085':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Synthesis, secretion, and deacylation of Ghrelin"""]),
    'R-HSA-422356':Nto._make([date(2009,  6, 24), '....P..', 'BC', """Regulation of insulin secretion"""]),
    'R-BTA-422356':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of insulin secretion"""]),
    'R-CEL-422356':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of insulin secretion"""]),
    'R-CFA-422356':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of insulin secretion"""]),
    'R-DDI-422356':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of insulin secretion"""]),
    'R-DME-422356':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of insulin secretion"""]),
    'R-DRE-422356':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of insulin secretion"""]),
    'R-GGA-422356':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of insulin secretion"""]),
    'R-MMU-422356':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of insulin secretion"""]),
    'R-PFA-422356':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of insulin secretion"""]),
    'R-RNO-422356':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of insulin secretion"""]),
    'R-SCE-422356':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of insulin secretion"""]),
    'R-SPO-422356':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of insulin secretion"""]),
    'R-SSC-422356':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of insulin secretion"""]),
    'R-XTR-422356':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of insulin secretion"""]),
    'R-HSA-422475':Nto._make([date(2009,  6, 24), '..F....', 'B.', """Axon guidance"""]),
    'R-BTA-422475':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Axon guidance"""]),
    'R-CEL-422475':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Axon guidance"""]),
    'R-CFA-422475':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Axon guidance"""]),
    'R-DDI-422475':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Axon guidance"""]),
    'R-DME-422475':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Axon guidance"""]),
    'R-DRE-422475':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Axon guidance"""]),
    'R-GGA-422475':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Axon guidance"""]),
    'R-MMU-422475':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Axon guidance"""]),
    'R-PFA-422475':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Axon guidance"""]),
    'R-RNO-422475':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Axon guidance"""]),
    'R-SCE-422475':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Axon guidance"""]),
    'R-SPO-422475':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Axon guidance"""]),
    'R-SSC-422475':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Axon guidance"""]),
    'R-XTR-422475':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Axon guidance"""]),
    'R-HSA-425366':Nto._make([date(2009,  9, 30), '..f.P..', '..', """Transport of bile salts and organic acids, metal ions and amine compounds"""]),
    'R-BTA-425366':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of bile salts and organic acids, metal ions and amine compounds"""]),
    'R-CEL-425366':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of bile salts and organic acids, metal ions and amine compounds"""]),
    'R-CFA-425366':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of bile salts and organic acids, metal ions and amine compounds"""]),
    'R-DDI-425366':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of bile salts and organic acids, metal ions and amine compounds"""]),
    'R-DME-425366':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of bile salts and organic acids, metal ions and amine compounds"""]),
    'R-DRE-425366':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of bile salts and organic acids, metal ions and amine compounds"""]),
    'R-GGA-425366':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of bile salts and organic acids, metal ions and amine compounds"""]),
    'R-MMU-425366':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of bile salts and organic acids, metal ions and amine compounds"""]),
    'R-PFA-425366':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of bile salts and organic acids, metal ions and amine compounds"""]),
    'R-RNO-425366':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of bile salts and organic acids, metal ions and amine compounds"""]),
    'R-SCE-425366':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of bile salts and organic acids, metal ions and amine compounds"""]),
    'R-SPO-425366':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of bile salts and organic acids, metal ions and amine compounds"""]),
    'R-SSC-425366':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of bile salts and organic acids, metal ions and amine compounds"""]),
    'R-XTR-425366':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of bile salts and organic acids, metal ions and amine compounds"""]),
    'R-HSA-425381':Nto._make([date(2009,  9, 30), '....P..', 'B.', """Bicarbonate transporters"""]),
    'R-BTA-425381':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Bicarbonate transporters"""]),
    'R-CEL-425381':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Bicarbonate transporters"""]),
    'R-CFA-425381':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Bicarbonate transporters"""]),
    'R-DME-425381':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Bicarbonate transporters"""]),
    'R-DRE-425381':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Bicarbonate transporters"""]),
    'R-GGA-425381':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Bicarbonate transporters"""]),
    'R-MMU-425381':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Bicarbonate transporters"""]),
    'R-RNO-425381':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Bicarbonate transporters"""]),
    'R-SSC-425381':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Bicarbonate transporters"""]),
    'R-XTR-425381':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Bicarbonate transporters"""]),
    'R-HSA-425393':Nto._make([date(2009,  9, 30), '..f.P..', 'B.', """Transport of inorganic cations/anions and amino acids/oligopeptides"""]),
    'R-BTA-425393':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transport of inorganic cations/anions and amino acids/oligopeptides"""]),
    'R-CEL-425393':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transport of inorganic cations/anions and amino acids/oligopeptides"""]),
    'R-CFA-425393':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transport of inorganic cations/anions and amino acids/oligopeptides"""]),
    'R-DDI-425393':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transport of inorganic cations/anions and amino acids/oligopeptides"""]),
    'R-DME-425393':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transport of inorganic cations/anions and amino acids/oligopeptides"""]),
    'R-DRE-425393':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transport of inorganic cations/anions and amino acids/oligopeptides"""]),
    'R-GGA-425393':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transport of inorganic cations/anions and amino acids/oligopeptides"""]),
    'R-MMU-425393':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transport of inorganic cations/anions and amino acids/oligopeptides"""]),
    'R-PFA-425393':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transport of inorganic cations/anions and amino acids/oligopeptides"""]),
    'R-RNO-425393':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transport of inorganic cations/anions and amino acids/oligopeptides"""]),
    'R-SCE-425393':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transport of inorganic cations/anions and amino acids/oligopeptides"""]),
    'R-SPO-425393':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transport of inorganic cations/anions and amino acids/oligopeptides"""]),
    'R-SSC-425393':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transport of inorganic cations/anions and amino acids/oligopeptides"""]),
    'R-XTR-425393':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transport of inorganic cations/anions and amino acids/oligopeptides"""]),
    'R-HSA-425397':Nto._make([date(2010,  6, 15), '..f.P..', '..', """Transport of vitamins, nucleosides, and related molecules"""]),
    'R-BTA-425397':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of vitamins, nucleosides, and related molecules"""]),
    'R-CEL-425397':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of vitamins, nucleosides, and related molecules"""]),
    'R-CFA-425397':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of vitamins, nucleosides, and related molecules"""]),
    'R-DDI-425397':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of vitamins, nucleosides, and related molecules"""]),
    'R-DME-425397':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of vitamins, nucleosides, and related molecules"""]),
    'R-DRE-425397':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of vitamins, nucleosides, and related molecules"""]),
    'R-GGA-425397':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of vitamins, nucleosides, and related molecules"""]),
    'R-MMU-425397':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of vitamins, nucleosides, and related molecules"""]),
    'R-PFA-425397':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of vitamins, nucleosides, and related molecules"""]),
    'R-RNO-425397':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of vitamins, nucleosides, and related molecules"""]),
    'R-SCE-425397':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of vitamins, nucleosides, and related molecules"""]),
    'R-SPO-425397':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of vitamins, nucleosides, and related molecules"""]),
    'R-SSC-425397':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of vitamins, nucleosides, and related molecules"""]),
    'R-XTR-425397':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transport of vitamins, nucleosides, and related molecules"""]),
    'R-HSA-425407':Nto._make([date(2009,  9, 30), '..F.P..', 'B.', """SLC-mediated transmembrane transport"""]),
    'R-BTA-425407':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """SLC-mediated transmembrane transport"""]),
    'R-CEL-425407':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """SLC-mediated transmembrane transport"""]),
    'R-CFA-425407':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """SLC-mediated transmembrane transport"""]),
    'R-DDI-425407':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """SLC-mediated transmembrane transport"""]),
    'R-DME-425407':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """SLC-mediated transmembrane transport"""]),
    'R-DRE-425407':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """SLC-mediated transmembrane transport"""]),
    'R-GGA-425407':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """SLC-mediated transmembrane transport"""]),
    'R-MMU-425407':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """SLC-mediated transmembrane transport"""]),
    'R-PFA-425407':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """SLC-mediated transmembrane transport"""]),
    'R-RNO-425407':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """SLC-mediated transmembrane transport"""]),
    'R-SCE-425407':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """SLC-mediated transmembrane transport"""]),
    'R-SPO-425407':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """SLC-mediated transmembrane transport"""]),
    'R-SSC-425407':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """SLC-mediated transmembrane transport"""]),
    'R-XTR-425407':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """SLC-mediated transmembrane transport"""]),
    'R-HSA-425410':Nto._make([date(2009, 12, 15), '....P..', '..', """Metal ion SLC transporters"""]),
    'R-BTA-425410':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal ion SLC transporters"""]),
    'R-CEL-425410':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal ion SLC transporters"""]),
    'R-CFA-425410':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal ion SLC transporters"""]),
    'R-DDI-425410':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal ion SLC transporters"""]),
    'R-DME-425410':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal ion SLC transporters"""]),
    'R-DRE-425410':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal ion SLC transporters"""]),
    'R-GGA-425410':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal ion SLC transporters"""]),
    'R-MMU-425410':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal ion SLC transporters"""]),
    'R-PFA-425410':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal ion SLC transporters"""]),
    'R-RNO-425410':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal ion SLC transporters"""]),
    'R-SCE-425410':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal ion SLC transporters"""]),
    'R-SPO-425410':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal ion SLC transporters"""]),
    'R-SSC-425410':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal ion SLC transporters"""]),
    'R-XTR-425410':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal ion SLC transporters"""]),
    'R-HSA-425561':Nto._make([date(2009,  9, 30), '....P..', '..', """Sodium/Calcium exchangers"""]),
    'R-BTA-425561':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium/Calcium exchangers"""]),
    'R-CEL-425561':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium/Calcium exchangers"""]),
    'R-CFA-425561':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium/Calcium exchangers"""]),
    'R-DME-425561':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium/Calcium exchangers"""]),
    'R-DRE-425561':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium/Calcium exchangers"""]),
    'R-GGA-425561':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium/Calcium exchangers"""]),
    'R-MMU-425561':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium/Calcium exchangers"""]),
    'R-RNO-425561':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium/Calcium exchangers"""]),
    'R-SCE-425561':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium/Calcium exchangers"""]),
    'R-SPO-425561':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium/Calcium exchangers"""]),
    'R-SSC-425561':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium/Calcium exchangers"""]),
    'R-XTR-425561':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium/Calcium exchangers"""]),
    'R-HSA-425986':Nto._make([date(2009,  9, 30), '....P..', '.C', """Sodium/Proton exchangers"""]),
    'R-BTA-425986':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sodium/Proton exchangers"""]),
    'R-CEL-425986':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sodium/Proton exchangers"""]),
    'R-CFA-425986':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sodium/Proton exchangers"""]),
    'R-DDI-425986':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sodium/Proton exchangers"""]),
    'R-DME-425986':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sodium/Proton exchangers"""]),
    'R-DRE-425986':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sodium/Proton exchangers"""]),
    'R-GGA-425986':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sodium/Proton exchangers"""]),
    'R-MMU-425986':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sodium/Proton exchangers"""]),
    'R-RNO-425986':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sodium/Proton exchangers"""]),
    'R-SCE-425986':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sodium/Proton exchangers"""]),
    'R-SPO-425986':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sodium/Proton exchangers"""]),
    'R-SSC-425986':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sodium/Proton exchangers"""]),
    'R-XTR-425986':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sodium/Proton exchangers"""]),
    'R-HSA-426048':Nto._make([date(2009,  9, 30), '....P..', '.C', """Arachidonate production from DAG"""]),
    'R-BTA-426048':Nto._make([date(2019,  3, 20), '...I...', '.C', """Arachidonate production from DAG"""]),
    'R-CEL-426048':Nto._make([date(2019,  3, 20), '...I...', '.C', """Arachidonate production from DAG"""]),
    'R-CFA-426048':Nto._make([date(2019,  3, 20), '...I...', '.C', """Arachidonate production from DAG"""]),
    'R-DDI-426048':Nto._make([date(2019,  3, 20), '...I...', '.C', """Arachidonate production from DAG"""]),
    'R-DME-426048':Nto._make([date(2019,  3, 20), '...I...', '.C', """Arachidonate production from DAG"""]),
    'R-DRE-426048':Nto._make([date(2019,  3, 20), '...I...', '.C', """Arachidonate production from DAG"""]),
    'R-GGA-426048':Nto._make([date(2019,  3, 20), '...I...', '.C', """Arachidonate production from DAG"""]),
    'R-MMU-426048':Nto._make([date(2019,  3, 20), '...I...', '.C', """Arachidonate production from DAG"""]),
    'R-PFA-426048':Nto._make([date(2019,  3, 20), '...I...', '.C', """Arachidonate production from DAG"""]),
    'R-RNO-426048':Nto._make([date(2019,  3, 20), '...I...', '.C', """Arachidonate production from DAG"""]),
    'R-SSC-426048':Nto._make([date(2019,  3, 20), '...I...', '.C', """Arachidonate production from DAG"""]),
    'R-XTR-426048':Nto._make([date(2019,  3, 20), '...I...', '.C', """Arachidonate production from DAG"""]),
    'R-HSA-426117':Nto._make([date(2009,  9, 30), '....P..', '..', """Cation-coupled Chloride cotransporters"""]),
    'R-BTA-426117':Nto._make([date(2019,  3, 20), '...I...', '..', """Cation-coupled Chloride cotransporters"""]),
    'R-CEL-426117':Nto._make([date(2019,  3, 20), '...I...', '..', """Cation-coupled Chloride cotransporters"""]),
    'R-CFA-426117':Nto._make([date(2019,  3, 20), '...I...', '..', """Cation-coupled Chloride cotransporters"""]),
    'R-DME-426117':Nto._make([date(2019,  3, 20), '...I...', '..', """Cation-coupled Chloride cotransporters"""]),
    'R-DRE-426117':Nto._make([date(2019,  3, 20), '...I...', '..', """Cation-coupled Chloride cotransporters"""]),
    'R-GGA-426117':Nto._make([date(2019,  3, 20), '...I...', '..', """Cation-coupled Chloride cotransporters"""]),
    'R-MMU-426117':Nto._make([date(2019,  3, 20), '...I...', '..', """Cation-coupled Chloride cotransporters"""]),
    'R-RNO-426117':Nto._make([date(2019,  3, 20), '...I...', '..', """Cation-coupled Chloride cotransporters"""]),
    'R-SSC-426117':Nto._make([date(2019,  3, 20), '...I...', '..', """Cation-coupled Chloride cotransporters"""]),
    'R-XTR-426117':Nto._make([date(2019,  3, 20), '...I...', '..', """Cation-coupled Chloride cotransporters"""]),
    'R-HSA-426486':Nto._make([date(2012,  3, 13), '....P..', 'BC', """Small interfering RNA (siRNA) biogenesis"""]),
    'R-CEL-426486':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Small interfering RNA (siRNA) biogenesis"""]),
    'R-CFA-426486':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Small interfering RNA (siRNA) biogenesis"""]),
    'R-DME-426486':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Small interfering RNA (siRNA) biogenesis"""]),
    'R-DRE-426486':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Small interfering RNA (siRNA) biogenesis"""]),
    'R-GGA-426486':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Small interfering RNA (siRNA) biogenesis"""]),
    'R-MMU-426486':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Small interfering RNA (siRNA) biogenesis"""]),
    'R-RNO-426486':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Small interfering RNA (siRNA) biogenesis"""]),
    'R-SSC-426486':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Small interfering RNA (siRNA) biogenesis"""]),
    'R-XTR-426486':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Small interfering RNA (siRNA) biogenesis"""]),
    'R-HSA-426496':Nto._make([date(2012,  3, 13), '....P..', 'BC', """Post-transcriptional silencing by small RNAs"""]),
    'R-BTA-426496':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Post-transcriptional silencing by small RNAs"""]),
    'R-CEL-426496':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Post-transcriptional silencing by small RNAs"""]),
    'R-CFA-426496':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Post-transcriptional silencing by small RNAs"""]),
    'R-DME-426496':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Post-transcriptional silencing by small RNAs"""]),
    'R-DRE-426496':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Post-transcriptional silencing by small RNAs"""]),
    'R-GGA-426496':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Post-transcriptional silencing by small RNAs"""]),
    'R-MMU-426496':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Post-transcriptional silencing by small RNAs"""]),
    'R-RNO-426496':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Post-transcriptional silencing by small RNAs"""]),
    'R-SSC-426496':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Post-transcriptional silencing by small RNAs"""]),
    'R-XTR-426496':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Post-transcriptional silencing by small RNAs"""]),
    'R-HSA-427359':Nto._make([date(2014,  3, 12), '..f.P..', 'BC', """SIRT1 negatively regulates rRNA expression"""]),
    'R-BTA-427359':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SIRT1 negatively regulates rRNA expression"""]),
    'R-CEL-427359':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SIRT1 negatively regulates rRNA expression"""]),
    'R-CFA-427359':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SIRT1 negatively regulates rRNA expression"""]),
    'R-DME-427359':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SIRT1 negatively regulates rRNA expression"""]),
    'R-DRE-427359':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SIRT1 negatively regulates rRNA expression"""]),
    'R-MMU-427359':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SIRT1 negatively regulates rRNA expression"""]),
    'R-RNO-427359':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SIRT1 negatively regulates rRNA expression"""]),
    'R-SSC-427359':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SIRT1 negatively regulates rRNA expression"""]),
    'R-HSA-427389':Nto._make([date(2016,  3, 23), '..f.P..', 'BC', """ERCC6 (CSB) and EHMT2 (G9a) positively regulate rRNA expression"""]),
    'R-HSA-427413':Nto._make([date(2014,  3, 12), '..f.P..', 'BC', """NoRC negatively regulates rRNA expression"""]),
    'R-BTA-427413':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """NoRC negatively regulates rRNA expression"""]),
    'R-CEL-427413':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """NoRC negatively regulates rRNA expression"""]),
    'R-CFA-427413':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """NoRC negatively regulates rRNA expression"""]),
    'R-DRE-427413':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """NoRC negatively regulates rRNA expression"""]),
    'R-MMU-427413':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """NoRC negatively regulates rRNA expression"""]),
    'R-RNO-427413':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """NoRC negatively regulates rRNA expression"""]),
    'R-SSC-427413':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """NoRC negatively regulates rRNA expression"""]),
    'R-XTR-427413':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """NoRC negatively regulates rRNA expression"""]),
    'R-HSA-427589':Nto._make([date(2009,  9, 30), '....P..', '..', """Type II Na+/Pi cotransporters"""]),
    'R-BTA-427589':Nto._make([date(2019,  3, 20), '...I...', '..', """Type II Na+/Pi cotransporters"""]),
    'R-CEL-427589':Nto._make([date(2019,  3, 20), '...I...', '..', """Type II Na+/Pi cotransporters"""]),
    'R-CFA-427589':Nto._make([date(2019,  3, 20), '...I...', '..', """Type II Na+/Pi cotransporters"""]),
    'R-DRE-427589':Nto._make([date(2019,  3, 20), '...I...', '..', """Type II Na+/Pi cotransporters"""]),
    'R-GGA-427589':Nto._make([date(2019,  3, 20), '...I...', '..', """Type II Na+/Pi cotransporters"""]),
    'R-MMU-427589':Nto._make([date(2019,  3, 20), '...I...', '..', """Type II Na+/Pi cotransporters"""]),
    'R-RNO-427589':Nto._make([date(2019,  3, 20), '...I...', '..', """Type II Na+/Pi cotransporters"""]),
    'R-SSC-427589':Nto._make([date(2019,  3, 20), '...I...', '..', """Type II Na+/Pi cotransporters"""]),
    'R-XTR-427589':Nto._make([date(2019,  3, 20), '...I...', '..', """Type II Na+/Pi cotransporters"""]),
    'R-HSA-427601':Nto._make([date(2009,  9, 30), '....P..', '..', """Multifunctional anion exchangers"""]),
    'R-BTA-427601':Nto._make([date(2019,  3, 20), '...I...', '..', """Multifunctional anion exchangers"""]),
    'R-CEL-427601':Nto._make([date(2019,  3, 20), '...I...', '..', """Multifunctional anion exchangers"""]),
    'R-CFA-427601':Nto._make([date(2019,  3, 20), '...I...', '..', """Multifunctional anion exchangers"""]),
    'R-DDI-427601':Nto._make([date(2019,  3, 20), '...I...', '..', """Multifunctional anion exchangers"""]),
    'R-DME-427601':Nto._make([date(2019,  3, 20), '...I...', '..', """Multifunctional anion exchangers"""]),
    'R-DRE-427601':Nto._make([date(2019,  3, 20), '...I...', '..', """Multifunctional anion exchangers"""]),
    'R-GGA-427601':Nto._make([date(2019,  3, 20), '...I...', '..', """Multifunctional anion exchangers"""]),
    'R-MMU-427601':Nto._make([date(2019,  3, 20), '...I...', '..', """Multifunctional anion exchangers"""]),
    'R-RNO-427601':Nto._make([date(2019,  3, 20), '...I...', '..', """Multifunctional anion exchangers"""]),
    'R-SCE-427601':Nto._make([date(2019,  3, 20), '...I...', '..', """Multifunctional anion exchangers"""]),
    'R-SPO-427601':Nto._make([date(2019,  3, 20), '...I...', '..', """Multifunctional anion exchangers"""]),
    'R-SSC-427601':Nto._make([date(2019,  3, 20), '...I...', '..', """Multifunctional anion exchangers"""]),
    'R-XTR-427601':Nto._make([date(2019,  3, 20), '...I...', '..', """Multifunctional anion exchangers"""]),
    'R-HSA-427652':Nto._make([date(2009,  9, 30), '....P..', '..', """Sodium-coupled phosphate cotransporters"""]),
    'R-BTA-427652':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium-coupled phosphate cotransporters"""]),
    'R-CEL-427652':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium-coupled phosphate cotransporters"""]),
    'R-CFA-427652':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium-coupled phosphate cotransporters"""]),
    'R-DME-427652':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium-coupled phosphate cotransporters"""]),
    'R-DRE-427652':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium-coupled phosphate cotransporters"""]),
    'R-GGA-427652':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium-coupled phosphate cotransporters"""]),
    'R-MMU-427652':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium-coupled phosphate cotransporters"""]),
    'R-PFA-427652':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium-coupled phosphate cotransporters"""]),
    'R-RNO-427652':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium-coupled phosphate cotransporters"""]),
    'R-SCE-427652':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium-coupled phosphate cotransporters"""]),
    'R-SSC-427652':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium-coupled phosphate cotransporters"""]),
    'R-XTR-427652':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium-coupled phosphate cotransporters"""]),
    'R-HSA-427975':Nto._make([date(2009,  9, 30), '....P..', '..', """Proton/oligopeptide cotransporters"""]),
    'R-BTA-427975':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton/oligopeptide cotransporters"""]),
    'R-CEL-427975':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton/oligopeptide cotransporters"""]),
    'R-CFA-427975':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton/oligopeptide cotransporters"""]),
    'R-DDI-427975':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton/oligopeptide cotransporters"""]),
    'R-DME-427975':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton/oligopeptide cotransporters"""]),
    'R-DRE-427975':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton/oligopeptide cotransporters"""]),
    'R-GGA-427975':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton/oligopeptide cotransporters"""]),
    'R-MMU-427975':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton/oligopeptide cotransporters"""]),
    'R-RNO-427975':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton/oligopeptide cotransporters"""]),
    'R-SCE-427975':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton/oligopeptide cotransporters"""]),
    'R-SPO-427975':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton/oligopeptide cotransporters"""]),
    'R-SSC-427975':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton/oligopeptide cotransporters"""]),
    'R-XTR-427975':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton/oligopeptide cotransporters"""]),
    'R-HSA-428157':Nto._make([date(2009,  9, 30), '..f.P..', 'B.', """Sphingolipid metabolism"""]),
    'R-BTA-428157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sphingolipid metabolism"""]),
    'R-CEL-428157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sphingolipid metabolism"""]),
    'R-CFA-428157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sphingolipid metabolism"""]),
    'R-DDI-428157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sphingolipid metabolism"""]),
    'R-DME-428157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sphingolipid metabolism"""]),
    'R-DRE-428157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sphingolipid metabolism"""]),
    'R-GGA-428157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sphingolipid metabolism"""]),
    'R-MMU-428157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sphingolipid metabolism"""]),
    'R-PFA-428157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sphingolipid metabolism"""]),
    'R-RNO-428157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sphingolipid metabolism"""]),
    'R-SCE-428157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sphingolipid metabolism"""]),
    'R-SPO-428157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sphingolipid metabolism"""]),
    'R-SSC-428157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sphingolipid metabolism"""]),
    'R-XTR-428157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sphingolipid metabolism"""]),
    'R-HSA-428359':Nto._make([date(2010,  6, 15), '..f.P..', 'BC', """Insulin-like Growth Factor-2 mRNA Binding Proteins (IGF2BPs/IMPs/VICKZs) bind RNA"""]),
    'R-HSA-428540':Nto._make([date(2009,  9, 30), '.......', '..', """Activation of RAC1"""]),
    'R-HSA-428542':Nto._make([date(2009,  9, 30), '....P..', '..', """Regulation of commissural axon pathfinding by SLIT and ROBO"""]),
    'R-CEL-428542':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of commissural axon pathfinding by SLIT and ROBO"""]),
    'R-DME-428542':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of commissural axon pathfinding by SLIT and ROBO"""]),
    'R-DRE-428542':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of commissural axon pathfinding by SLIT and ROBO"""]),
    'R-HSA-428543':Nto._make([date(2009,  9, 30), '.......', '.C', """Inactivation of CDC42 and RAC1"""]),
    'R-HSA-428559':Nto._make([date(2009,  9, 30), '....P..', '..', """Proton-coupled neutral amino acid transporters"""]),
    'R-BTA-428559':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton-coupled neutral amino acid transporters"""]),
    'R-CEL-428559':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton-coupled neutral amino acid transporters"""]),
    'R-CFA-428559':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton-coupled neutral amino acid transporters"""]),
    'R-DDI-428559':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton-coupled neutral amino acid transporters"""]),
    'R-DME-428559':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton-coupled neutral amino acid transporters"""]),
    'R-DRE-428559':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton-coupled neutral amino acid transporters"""]),
    'R-GGA-428559':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton-coupled neutral amino acid transporters"""]),
    'R-MMU-428559':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton-coupled neutral amino acid transporters"""]),
    'R-RNO-428559':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton-coupled neutral amino acid transporters"""]),
    'R-SCE-428559':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton-coupled neutral amino acid transporters"""]),
    'R-SPO-428559':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton-coupled neutral amino acid transporters"""]),
    'R-SSC-428559':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton-coupled neutral amino acid transporters"""]),
    'R-XTR-428559':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton-coupled neutral amino acid transporters"""]),
    'R-HSA-428643':Nto._make([date(2009,  9, 30), '....P..', '..', """Organic anion transporters"""]),
    'R-BTA-428643':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transporters"""]),
    'R-CEL-428643':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transporters"""]),
    'R-CFA-428643':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transporters"""]),
    'R-DDI-428643':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transporters"""]),
    'R-DME-428643':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transporters"""]),
    'R-DRE-428643':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transporters"""]),
    'R-GGA-428643':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transporters"""]),
    'R-MMU-428643':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transporters"""]),
    'R-RNO-428643':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transporters"""]),
    'R-SCE-428643':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transporters"""]),
    'R-SSC-428643':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transporters"""]),
    'R-XTR-428643':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transporters"""]),
    'R-HSA-428890':Nto._make([date(2009,  9, 30), '....P..', '.C', """Role of ABL in ROBO-SLIT signaling"""]),
    'R-BTA-428890':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of ABL in ROBO-SLIT signaling"""]),
    'R-DME-428890':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of ABL in ROBO-SLIT signaling"""]),
    'R-DRE-428890':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of ABL in ROBO-SLIT signaling"""]),
    'R-MMU-428890':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of ABL in ROBO-SLIT signaling"""]),
    'R-XTR-428890':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of ABL in ROBO-SLIT signaling"""]),
    'R-HSA-428930':Nto._make([date(2009, 12, 15), '....P..', '.C', """Thromboxane signalling through TP receptor"""]),
    'R-BTA-428930':Nto._make([date(2019,  3, 20), '...I...', '.C', """Thromboxane signalling through TP receptor"""]),
    'R-CEL-428930':Nto._make([date(2019,  3, 20), '...I...', '.C', """Thromboxane signalling through TP receptor"""]),
    'R-CFA-428930':Nto._make([date(2019,  3, 20), '...I...', '.C', """Thromboxane signalling through TP receptor"""]),
    'R-DME-428930':Nto._make([date(2019,  3, 20), '...I...', '.C', """Thromboxane signalling through TP receptor"""]),
    'R-DRE-428930':Nto._make([date(2019,  3, 20), '...I...', '.C', """Thromboxane signalling through TP receptor"""]),
    'R-GGA-428930':Nto._make([date(2019,  3, 20), '...I...', '.C', """Thromboxane signalling through TP receptor"""]),
    'R-MMU-428930':Nto._make([date(2019,  3, 20), '...I...', '.C', """Thromboxane signalling through TP receptor"""]),
    'R-RNO-428930':Nto._make([date(2019,  3, 20), '...I...', '.C', """Thromboxane signalling through TP receptor"""]),
    'R-SSC-428930':Nto._make([date(2019,  3, 20), '...I...', '.C', """Thromboxane signalling through TP receptor"""]),
    'R-XTR-428930':Nto._make([date(2019,  3, 20), '...I...', '.C', """Thromboxane signalling through TP receptor"""]),
    'R-HSA-429593':Nto._make([date(2009,  9, 30), '.......', 'B.', """Inositol transporters"""]),
    'R-BTA-429593':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inositol transporters"""]),
    'R-CEL-429593':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inositol transporters"""]),
    'R-CFA-429593':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inositol transporters"""]),
    'R-DDI-429593':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inositol transporters"""]),
    'R-DRE-429593':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inositol transporters"""]),
    'R-GGA-429593':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inositol transporters"""]),
    'R-MMU-429593':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inositol transporters"""]),
    'R-RNO-429593':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inositol transporters"""]),
    'R-SCE-429593':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inositol transporters"""]),
    'R-SPO-429593':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inositol transporters"""]),
    'R-SSC-429593':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inositol transporters"""]),
    'R-XTR-429593':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inositol transporters"""]),
    'R-HSA-429914':Nto._make([date(2009, 12, 15), '..f.P..', 'BC', """Deadenylation-dependent mRNA decay"""]),
    'R-BTA-429914':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Deadenylation-dependent mRNA decay"""]),
    'R-CEL-429914':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Deadenylation-dependent mRNA decay"""]),
    'R-CFA-429914':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Deadenylation-dependent mRNA decay"""]),
    'R-DDI-429914':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Deadenylation-dependent mRNA decay"""]),
    'R-DME-429914':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Deadenylation-dependent mRNA decay"""]),
    'R-DRE-429914':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Deadenylation-dependent mRNA decay"""]),
    'R-GGA-429914':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Deadenylation-dependent mRNA decay"""]),
    'R-MMU-429914':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Deadenylation-dependent mRNA decay"""]),
    'R-PFA-429914':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Deadenylation-dependent mRNA decay"""]),
    'R-RNO-429914':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Deadenylation-dependent mRNA decay"""]),
    'R-SCE-429914':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Deadenylation-dependent mRNA decay"""]),
    'R-SPO-429914':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Deadenylation-dependent mRNA decay"""]),
    'R-SSC-429914':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Deadenylation-dependent mRNA decay"""]),
    'R-XTR-429914':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Deadenylation-dependent mRNA decay"""]),
    'R-HSA-429947':Nto._make([date(2009, 12, 15), '....P..', 'BC', """Deadenylation of mRNA"""]),
    'R-BTA-429947':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Deadenylation of mRNA"""]),
    'R-CFA-429947':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Deadenylation of mRNA"""]),
    'R-DDI-429947':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Deadenylation of mRNA"""]),
    'R-DME-429947':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Deadenylation of mRNA"""]),
    'R-DRE-429947':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Deadenylation of mRNA"""]),
    'R-GGA-429947':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Deadenylation of mRNA"""]),
    'R-MMU-429947':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Deadenylation of mRNA"""]),
    'R-RNO-429947':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Deadenylation of mRNA"""]),
    'R-SPO-429947':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Deadenylation of mRNA"""]),
    'R-SSC-429947':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Deadenylation of mRNA"""]),
    'R-XTR-429947':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Deadenylation of mRNA"""]),
    'R-HSA-429958':Nto._make([date(2009, 12, 15), '....P..', 'BC', """mRNA decay by 3' to 5' exoribonuclease"""]),
    'R-BTA-429958':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 3' to 5' exoribonuclease"""]),
    'R-CEL-429958':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 3' to 5' exoribonuclease"""]),
    'R-CFA-429958':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 3' to 5' exoribonuclease"""]),
    'R-DDI-429958':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 3' to 5' exoribonuclease"""]),
    'R-DME-429958':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 3' to 5' exoribonuclease"""]),
    'R-DRE-429958':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 3' to 5' exoribonuclease"""]),
    'R-GGA-429958':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 3' to 5' exoribonuclease"""]),
    'R-MMU-429958':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 3' to 5' exoribonuclease"""]),
    'R-RNO-429958':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 3' to 5' exoribonuclease"""]),
    'R-SCE-429958':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 3' to 5' exoribonuclease"""]),
    'R-SPO-429958':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 3' to 5' exoribonuclease"""]),
    'R-SSC-429958':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 3' to 5' exoribonuclease"""]),
    'R-XTR-429958':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 3' to 5' exoribonuclease"""]),
    'R-HSA-430039':Nto._make([date(2009, 12, 15), '....P..', 'BC', """mRNA decay by 5' to 3' exoribonuclease"""]),
    'R-BTA-430039':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 5' to 3' exoribonuclease"""]),
    'R-CEL-430039':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 5' to 3' exoribonuclease"""]),
    'R-CFA-430039':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 5' to 3' exoribonuclease"""]),
    'R-DDI-430039':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 5' to 3' exoribonuclease"""]),
    'R-DME-430039':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 5' to 3' exoribonuclease"""]),
    'R-DRE-430039':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 5' to 3' exoribonuclease"""]),
    'R-GGA-430039':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 5' to 3' exoribonuclease"""]),
    'R-MMU-430039':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 5' to 3' exoribonuclease"""]),
    'R-PFA-430039':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 5' to 3' exoribonuclease"""]),
    'R-RNO-430039':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 5' to 3' exoribonuclease"""]),
    'R-SCE-430039':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 5' to 3' exoribonuclease"""]),
    'R-SPO-430039':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 5' to 3' exoribonuclease"""]),
    'R-SSC-430039':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 5' to 3' exoribonuclease"""]),
    'R-XTR-430039':Nto._make([date(2019,  3, 20), '...I...', 'BC', """mRNA decay by 5' to 3' exoribonuclease"""]),
    'R-HSA-430116':Nto._make([date(2010,  9, 21), '..f.P..', '.C', """GP1b-IX-V activation signalling"""]),
    'R-BTA-430116':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GP1b-IX-V activation signalling"""]),
    'R-CEL-430116':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GP1b-IX-V activation signalling"""]),
    'R-CFA-430116':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GP1b-IX-V activation signalling"""]),
    'R-DDI-430116':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GP1b-IX-V activation signalling"""]),
    'R-DME-430116':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GP1b-IX-V activation signalling"""]),
    'R-DRE-430116':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GP1b-IX-V activation signalling"""]),
    'R-GGA-430116':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GP1b-IX-V activation signalling"""]),
    'R-MMU-430116':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GP1b-IX-V activation signalling"""]),
    'R-RNO-430116':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GP1b-IX-V activation signalling"""]),
    'R-SSC-430116':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GP1b-IX-V activation signalling"""]),
    'R-XTR-430116':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GP1b-IX-V activation signalling"""]),
    'R-HSA-432030':Nto._make([date(2010,  9, 21), '..f.P..', 'BC', """Transport of glycerol from adipocytes to the liver by Aquaporins"""]),
    'R-BTA-432030':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Transport of glycerol from adipocytes to the liver by Aquaporins"""]),
    'R-CEL-432030':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Transport of glycerol from adipocytes to the liver by Aquaporins"""]),
    'R-CFA-432030':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Transport of glycerol from adipocytes to the liver by Aquaporins"""]),
    'R-DRE-432030':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Transport of glycerol from adipocytes to the liver by Aquaporins"""]),
    'R-GGA-432030':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Transport of glycerol from adipocytes to the liver by Aquaporins"""]),
    'R-MMU-432030':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Transport of glycerol from adipocytes to the liver by Aquaporins"""]),
    'R-PFA-432030':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Transport of glycerol from adipocytes to the liver by Aquaporins"""]),
    'R-RNO-432030':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Transport of glycerol from adipocytes to the liver by Aquaporins"""]),
    'R-SCE-432030':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Transport of glycerol from adipocytes to the liver by Aquaporins"""]),
    'R-SPO-432030':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Transport of glycerol from adipocytes to the liver by Aquaporins"""]),
    'R-SSC-432030':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Transport of glycerol from adipocytes to the liver by Aquaporins"""]),
    'R-XTR-432030':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Transport of glycerol from adipocytes to the liver by Aquaporins"""]),
    'R-HSA-432040':Nto._make([date(2010,  9, 21), '..f.P..', 'BC', """Vasopressin regulates renal water homeostasis via Aquaporins"""]),
    'R-BTA-432040':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Vasopressin regulates renal water homeostasis via Aquaporins"""]),
    'R-CEL-432040':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Vasopressin regulates renal water homeostasis via Aquaporins"""]),
    'R-CFA-432040':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Vasopressin regulates renal water homeostasis via Aquaporins"""]),
    'R-DDI-432040':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Vasopressin regulates renal water homeostasis via Aquaporins"""]),
    'R-DME-432040':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Vasopressin regulates renal water homeostasis via Aquaporins"""]),
    'R-DRE-432040':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Vasopressin regulates renal water homeostasis via Aquaporins"""]),
    'R-GGA-432040':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Vasopressin regulates renal water homeostasis via Aquaporins"""]),
    'R-MMU-432040':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Vasopressin regulates renal water homeostasis via Aquaporins"""]),
    'R-PFA-432040':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Vasopressin regulates renal water homeostasis via Aquaporins"""]),
    'R-RNO-432040':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Vasopressin regulates renal water homeostasis via Aquaporins"""]),
    'R-SCE-432040':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Vasopressin regulates renal water homeostasis via Aquaporins"""]),
    'R-SPO-432040':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Vasopressin regulates renal water homeostasis via Aquaporins"""]),
    'R-SSC-432040':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Vasopressin regulates renal water homeostasis via Aquaporins"""]),
    'R-XTR-432040':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Vasopressin regulates renal water homeostasis via Aquaporins"""]),
    'R-HSA-432047':Nto._make([date(2010,  9, 21), '..f.P..', 'BC', """Passive transport by Aquaporins"""]),
    'R-BTA-432047':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Passive transport by Aquaporins"""]),
    'R-CEL-432047':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Passive transport by Aquaporins"""]),
    'R-CFA-432047':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Passive transport by Aquaporins"""]),
    'R-DDI-432047':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Passive transport by Aquaporins"""]),
    'R-DME-432047':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Passive transport by Aquaporins"""]),
    'R-DRE-432047':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Passive transport by Aquaporins"""]),
    'R-GGA-432047':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Passive transport by Aquaporins"""]),
    'R-MMU-432047':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Passive transport by Aquaporins"""]),
    'R-PFA-432047':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Passive transport by Aquaporins"""]),
    'R-RNO-432047':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Passive transport by Aquaporins"""]),
    'R-SCE-432047':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Passive transport by Aquaporins"""]),
    'R-SPO-432047':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Passive transport by Aquaporins"""]),
    'R-SSC-432047':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Passive transport by Aquaporins"""]),
    'R-XTR-432047':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Passive transport by Aquaporins"""]),
    'R-HSA-432142':Nto._make([date(2010,  9, 21), '....P..', '.C', """Platelet sensitization by LDL"""]),
    'R-BTA-432142':Nto._make([date(2019,  3, 20), '...I...', '.C', """Platelet sensitization by LDL"""]),
    'R-CEL-432142':Nto._make([date(2019,  3, 20), '...I...', '.C', """Platelet sensitization by LDL"""]),
    'R-CFA-432142':Nto._make([date(2019,  3, 20), '...I...', '.C', """Platelet sensitization by LDL"""]),
    'R-DRE-432142':Nto._make([date(2019,  3, 20), '...I...', '.C', """Platelet sensitization by LDL"""]),
    'R-GGA-432142':Nto._make([date(2019,  3, 20), '...I...', '.C', """Platelet sensitization by LDL"""]),
    'R-MMU-432142':Nto._make([date(2019,  3, 20), '...I...', '.C', """Platelet sensitization by LDL"""]),
    'R-RNO-432142':Nto._make([date(2019,  3, 20), '...I...', '.C', """Platelet sensitization by LDL"""]),
    'R-SCE-432142':Nto._make([date(2019,  3, 20), '...I...', '.C', """Platelet sensitization by LDL"""]),
    'R-SPO-432142':Nto._make([date(2019,  3, 20), '...I...', '.C', """Platelet sensitization by LDL"""]),
    'R-SSC-432142':Nto._make([date(2019,  3, 20), '...I...', '.C', """Platelet sensitization by LDL"""]),
    'R-XTR-432142':Nto._make([date(2019,  3, 20), '...I...', '.C', """Platelet sensitization by LDL"""]),
    'R-DME-432395':Nto._make([date(2010,  7, 23), '....P..', '..', """Degradation of TIM"""]),
    'R-DME-432408':Nto._make([date(2010,  7, 23), '....P..', '..', """Transcription regulation of cwo gene"""]),
    'R-DME-432490':Nto._make([date(2010,  7, 23), '....P..', '..', """Nuclear import of PER and TIM"""]),
    'R-DME-432501':Nto._make([date(2010,  7, 23), '....P..', '..', """Transcription repression by PER and activation by PDP1"""]),
    'R-DME-432524':Nto._make([date(2010,  7, 23), '....P..', '..', """Degradation of PER"""]),
    'R-DME-432553':Nto._make([date(2010,  7, 23), '....P..', '..', """Phosphorylation of PER and TIM"""]),
    'R-DME-432560':Nto._make([date(2010,  7, 23), '....P..', '..', """Transcription activation by CLK:CYC and repression by VRI"""]),
    'R-DME-432620':Nto._make([date(2010,  7, 23), '....P..', '..', """Dephosphorylation of PER"""]),
    'R-DME-432626':Nto._make([date(2010,  7, 23), '..f.P..', 'B.', """Circadian Clock pathway"""]),
    'R-HSA-432720':Nto._make([date(2009,  9, 30), '.......', '..', """Lysosome Vesicle Biogenesis"""]),
    'R-BTA-432720':Nto._make([date(2019,  3, 20), '...I...', '..', """Lysosome Vesicle Biogenesis"""]),
    'R-CEL-432720':Nto._make([date(2019,  3, 20), '...I...', '..', """Lysosome Vesicle Biogenesis"""]),
    'R-CFA-432720':Nto._make([date(2019,  3, 20), '...I...', '..', """Lysosome Vesicle Biogenesis"""]),
    'R-DDI-432720':Nto._make([date(2019,  3, 20), '...I...', '..', """Lysosome Vesicle Biogenesis"""]),
    'R-DME-432720':Nto._make([date(2019,  3, 20), '...I...', '..', """Lysosome Vesicle Biogenesis"""]),
    'R-DRE-432720':Nto._make([date(2019,  3, 20), '...I...', '..', """Lysosome Vesicle Biogenesis"""]),
    'R-GGA-432720':Nto._make([date(2019,  3, 20), '...I...', '..', """Lysosome Vesicle Biogenesis"""]),
    'R-MMU-432720':Nto._make([date(2019,  3, 20), '...I...', '..', """Lysosome Vesicle Biogenesis"""]),
    'R-PFA-432720':Nto._make([date(2019,  3, 20), '...I...', '..', """Lysosome Vesicle Biogenesis"""]),
    'R-RNO-432720':Nto._make([date(2019,  3, 20), '...I...', '..', """Lysosome Vesicle Biogenesis"""]),
    'R-SCE-432720':Nto._make([date(2019,  3, 20), '...I...', '..', """Lysosome Vesicle Biogenesis"""]),
    'R-SPO-432720':Nto._make([date(2019,  3, 20), '...I...', '..', """Lysosome Vesicle Biogenesis"""]),
    'R-SSC-432720':Nto._make([date(2019,  3, 20), '...I...', '..', """Lysosome Vesicle Biogenesis"""]),
    'R-XTR-432720':Nto._make([date(2019,  3, 20), '...I...', '..', """Lysosome Vesicle Biogenesis"""]),
    'R-HSA-432722':Nto._make([date(2009,  9, 30), '.......', '..', """Golgi Associated Vesicle Biogenesis"""]),
    'R-BTA-432722':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi Associated Vesicle Biogenesis"""]),
    'R-CEL-432722':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi Associated Vesicle Biogenesis"""]),
    'R-CFA-432722':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi Associated Vesicle Biogenesis"""]),
    'R-DDI-432722':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi Associated Vesicle Biogenesis"""]),
    'R-DME-432722':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi Associated Vesicle Biogenesis"""]),
    'R-DRE-432722':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi Associated Vesicle Biogenesis"""]),
    'R-GGA-432722':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi Associated Vesicle Biogenesis"""]),
    'R-MMU-432722':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi Associated Vesicle Biogenesis"""]),
    'R-RNO-432722':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi Associated Vesicle Biogenesis"""]),
    'R-SCE-432722':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi Associated Vesicle Biogenesis"""]),
    'R-SSC-432722':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi Associated Vesicle Biogenesis"""]),
    'R-XTR-432722':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi Associated Vesicle Biogenesis"""]),
    'R-HSA-433137':Nto._make([date(2009, 12, 15), '....P..', '..', """Sodium-coupled sulphate, di- and tri-carboxylate transporters"""]),
    'R-BTA-433137':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium-coupled sulphate, di- and tri-carboxylate transporters"""]),
    'R-CEL-433137':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium-coupled sulphate, di- and tri-carboxylate transporters"""]),
    'R-CFA-433137':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium-coupled sulphate, di- and tri-carboxylate transporters"""]),
    'R-DME-433137':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium-coupled sulphate, di- and tri-carboxylate transporters"""]),
    'R-DRE-433137':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium-coupled sulphate, di- and tri-carboxylate transporters"""]),
    'R-GGA-433137':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium-coupled sulphate, di- and tri-carboxylate transporters"""]),
    'R-MMU-433137':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium-coupled sulphate, di- and tri-carboxylate transporters"""]),
    'R-RNO-433137':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium-coupled sulphate, di- and tri-carboxylate transporters"""]),
    'R-SSC-433137':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium-coupled sulphate, di- and tri-carboxylate transporters"""]),
    'R-XTR-433137':Nto._make([date(2019,  3, 20), '...I...', '..', """Sodium-coupled sulphate, di- and tri-carboxylate transporters"""]),
    'R-GGA-433584':Nto._make([date(2011, 12,  6), '..f....', 'B.', """Sphingolipid metabolism"""]),
    'R-HSA-433692':Nto._make([date(2009, 12, 15), '....P..', '..', """Proton-coupled monocarboxylate transport"""]),
    'R-BTA-433692':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton-coupled monocarboxylate transport"""]),
    'R-CFA-433692':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton-coupled monocarboxylate transport"""]),
    'R-DME-433692':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton-coupled monocarboxylate transport"""]),
    'R-DRE-433692':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton-coupled monocarboxylate transport"""]),
    'R-GGA-433692':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton-coupled monocarboxylate transport"""]),
    'R-MMU-433692':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton-coupled monocarboxylate transport"""]),
    'R-RNO-433692':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton-coupled monocarboxylate transport"""]),
    'R-SSC-433692':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton-coupled monocarboxylate transport"""]),
    'R-XTR-433692':Nto._make([date(2019,  3, 20), '...I...', '..', """Proton-coupled monocarboxylate transport"""]),
    'R-GGA-433794':Nto._make([date(2010, 12, 14), '....P..', 'B.', """TLR4 cascade"""]),
    'R-GGA-433819':Nto._make([date(2010, 12, 14), '...IP..', '..', """Viral dsRNA:TLR3:TICAM1 Complex Activates IKBKE_CHICK"""]),
    'R-GGA-433822':Nto._make([date(2010, 12, 14), '....P..', 'B.', """NFkB  and MAPK activation mediated by TRAF6"""]),
    'R-GGA-433835':Nto._make([date(2010, 12, 14), '...IP..', '..', """IKK related kinases bound to dsRNA:TLR3:TICAM1  activate IRF3"""]),
    'R-GGA-433871':Nto._make([date(2010, 12, 14), '...IP..', '..', """TRAF6 mediated induction of proinflammatory cytokines"""]),
    'R-GGA-434001':Nto._make([date(2010, 12, 14), '...IP..', 'B.', """TAK1 activates NFkB by phosphorylation and activation of IKKs complex"""]),
    'R-GGA-434048':Nto._make([date(2010, 12, 14), '....P..', 'B.', """TLR3 cascade"""]),
    'R-GGA-434131':Nto._make([date(2010, 12, 14), '...IP..', '..', """NFkB activation mediated by RIP1 complexed with activated TLR3"""]),
    'R-GGA-434136':Nto._make([date(2010, 12, 14), '...IP..', '..', """Viral dsRNA:TLR3:TICAM1 Complex Activates TBK1"""]),
    'R-BTA-434313':Nto._make([date(2019,  3, 20), '...I...', '..', """Intracellular metabolism of fatty acids regulates insulin secretion"""]),
    'R-CEL-434313':Nto._make([date(2019,  3, 20), '...I...', '..', """Intracellular metabolism of fatty acids regulates insulin secretion"""]),
    'R-CFA-434313':Nto._make([date(2019,  3, 20), '...I...', '..', """Intracellular metabolism of fatty acids regulates insulin secretion"""]),
    'R-DDI-434313':Nto._make([date(2019,  3, 20), '...I...', '..', """Intracellular metabolism of fatty acids regulates insulin secretion"""]),
    'R-DME-434313':Nto._make([date(2019,  3, 20), '...I...', '..', """Intracellular metabolism of fatty acids regulates insulin secretion"""]),
    'R-DRE-434313':Nto._make([date(2019,  3, 20), '...I...', '..', """Intracellular metabolism of fatty acids regulates insulin secretion"""]),
    'R-GGA-434313':Nto._make([date(2019,  3, 20), '...I...', '..', """Intracellular metabolism of fatty acids regulates insulin secretion"""]),
    'R-HSA-434313':Nto._make([date(2019,  3, 20), '....P..', '..', """Intracellular metabolism of fatty acids regulates insulin secretion"""]),
    'R-MMU-434313':Nto._make([date(2019,  3, 20), '...I...', '..', """Intracellular metabolism of fatty acids regulates insulin secretion"""]),
    'R-RNO-434313':Nto._make([date(2019,  3, 20), '...I...', '..', """Intracellular metabolism of fatty acids regulates insulin secretion"""]),
    'R-SCE-434313':Nto._make([date(2019,  3, 20), '...I...', '..', """Intracellular metabolism of fatty acids regulates insulin secretion"""]),
    'R-SPO-434313':Nto._make([date(2019,  3, 20), '...I...', '..', """Intracellular metabolism of fatty acids regulates insulin secretion"""]),
    'R-SSC-434313':Nto._make([date(2019,  3, 20), '...I...', '..', """Intracellular metabolism of fatty acids regulates insulin secretion"""]),
    'R-XTR-434313':Nto._make([date(2019,  3, 20), '...I...', '..', """Intracellular metabolism of fatty acids regulates insulin secretion"""]),
    'R-HSA-434316':Nto._make([date(2009,  9, 30), '....P..', '.C', """Fatty Acids bound to GPR40 (FFAR1) regulate insulin secretion"""]),
    'R-BTA-434316':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fatty Acids bound to GPR40 (FFAR1) regulate insulin secretion"""]),
    'R-CFA-434316':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fatty Acids bound to GPR40 (FFAR1) regulate insulin secretion"""]),
    'R-DDI-434316':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fatty Acids bound to GPR40 (FFAR1) regulate insulin secretion"""]),
    'R-DME-434316':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fatty Acids bound to GPR40 (FFAR1) regulate insulin secretion"""]),
    'R-DRE-434316':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fatty Acids bound to GPR40 (FFAR1) regulate insulin secretion"""]),
    'R-GGA-434316':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fatty Acids bound to GPR40 (FFAR1) regulate insulin secretion"""]),
    'R-MMU-434316':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fatty Acids bound to GPR40 (FFAR1) regulate insulin secretion"""]),
    'R-RNO-434316':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fatty Acids bound to GPR40 (FFAR1) regulate insulin secretion"""]),
    'R-SCE-434316':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fatty Acids bound to GPR40 (FFAR1) regulate insulin secretion"""]),
    'R-SPO-434316':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fatty Acids bound to GPR40 (FFAR1) regulate insulin secretion"""]),
    'R-XTR-434316':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fatty Acids bound to GPR40 (FFAR1) regulate insulin secretion"""]),
    'R-HSA-435354':Nto._make([date(2009, 12, 15), '....P..', '..', """Zinc transporters"""]),
    'R-BTA-435354':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc transporters"""]),
    'R-CEL-435354':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc transporters"""]),
    'R-CFA-435354':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc transporters"""]),
    'R-DDI-435354':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc transporters"""]),
    'R-DME-435354':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc transporters"""]),
    'R-DRE-435354':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc transporters"""]),
    'R-GGA-435354':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc transporters"""]),
    'R-MMU-435354':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc transporters"""]),
    'R-PFA-435354':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc transporters"""]),
    'R-RNO-435354':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc transporters"""]),
    'R-SCE-435354':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc transporters"""]),
    'R-SPO-435354':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc transporters"""]),
    'R-SSC-435354':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc transporters"""]),
    'R-XTR-435354':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc transporters"""]),
    'R-HSA-435368':Nto._make([date(2009, 12, 15), '....P..', '..', """Zinc efflux and compartmentalization by the SLC30 family"""]),
    'R-BTA-435368':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc efflux and compartmentalization by the SLC30 family"""]),
    'R-CEL-435368':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc efflux and compartmentalization by the SLC30 family"""]),
    'R-CFA-435368':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc efflux and compartmentalization by the SLC30 family"""]),
    'R-DDI-435368':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc efflux and compartmentalization by the SLC30 family"""]),
    'R-DME-435368':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc efflux and compartmentalization by the SLC30 family"""]),
    'R-DRE-435368':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc efflux and compartmentalization by the SLC30 family"""]),
    'R-GGA-435368':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc efflux and compartmentalization by the SLC30 family"""]),
    'R-MMU-435368':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc efflux and compartmentalization by the SLC30 family"""]),
    'R-PFA-435368':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc efflux and compartmentalization by the SLC30 family"""]),
    'R-RNO-435368':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc efflux and compartmentalization by the SLC30 family"""]),
    'R-SCE-435368':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc efflux and compartmentalization by the SLC30 family"""]),
    'R-SPO-435368':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc efflux and compartmentalization by the SLC30 family"""]),
    'R-SSC-435368':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc efflux and compartmentalization by the SLC30 family"""]),
    'R-XTR-435368':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc efflux and compartmentalization by the SLC30 family"""]),
    'R-HSA-437239':Nto._make([date(2010,  6, 15), '....P..', '..', """Recycling pathway of L1"""]),
    'R-CEL-437239':Nto._make([date(2019,  3, 20), '...I...', '..', """Recycling pathway of L1"""]),
    'R-CFA-437239':Nto._make([date(2019,  3, 20), '...I...', '..', """Recycling pathway of L1"""]),
    'R-DDI-437239':Nto._make([date(2019,  3, 20), '...I...', '..', """Recycling pathway of L1"""]),
    'R-DME-437239':Nto._make([date(2019,  3, 20), '...I...', '..', """Recycling pathway of L1"""]),
    'R-DRE-437239':Nto._make([date(2019,  3, 20), '...I...', '..', """Recycling pathway of L1"""]),
    'R-GGA-437239':Nto._make([date(2019,  3, 20), '...I...', '..', """Recycling pathway of L1"""]),
    'R-MMU-437239':Nto._make([date(2019,  3, 20), '...I...', '..', """Recycling pathway of L1"""]),
    'R-RNO-437239':Nto._make([date(2019,  3, 20), '...I...', '..', """Recycling pathway of L1"""]),
    'R-SCE-437239':Nto._make([date(2019,  3, 20), '...I...', '..', """Recycling pathway of L1"""]),
    'R-SPO-437239':Nto._make([date(2019,  3, 20), '...I...', '..', """Recycling pathway of L1"""]),
    'R-SSC-437239':Nto._make([date(2019,  3, 20), '...I...', '..', """Recycling pathway of L1"""]),
    'R-XTR-437239':Nto._make([date(2019,  3, 20), '...I...', '..', """Recycling pathway of L1"""]),
    'R-GGA-437980':Nto._make([date(2010, 12, 14), '...IP..', 'B.', """Activated TAK1 mediates p38 MAP kinase phosphorylation"""]),
    'R-GGA-437986':Nto._make([date(2010, 12, 14), '...IP..', 'BC', """Activated TAK1 mediates Jun kinases (JNK) phosphorylation and  activation"""]),
    'R-GGA-437987':Nto._make([date(2010, 12, 14), '..f.P..', 'B.', """Toll-like receptors (TLR) cascades"""]),
    'R-HSA-438064':Nto._make([date(2009, 12, 15), '....P..', '.C', """Post NMDA receptor activation events"""]),
    'R-BTA-438064':Nto._make([date(2019,  3, 20), '...I...', '.C', """Post NMDA receptor activation events"""]),
    'R-CEL-438064':Nto._make([date(2019,  3, 20), '...I...', '.C', """Post NMDA receptor activation events"""]),
    'R-CFA-438064':Nto._make([date(2019,  3, 20), '...I...', '.C', """Post NMDA receptor activation events"""]),
    'R-DDI-438064':Nto._make([date(2019,  3, 20), '...I...', '.C', """Post NMDA receptor activation events"""]),
    'R-DME-438064':Nto._make([date(2019,  3, 20), '...I...', '.C', """Post NMDA receptor activation events"""]),
    'R-DRE-438064':Nto._make([date(2019,  3, 20), '...I...', '.C', """Post NMDA receptor activation events"""]),
    'R-GGA-438064':Nto._make([date(2019,  3, 20), '...I...', '.C', """Post NMDA receptor activation events"""]),
    'R-MMU-438064':Nto._make([date(2019,  3, 20), '...I...', '.C', """Post NMDA receptor activation events"""]),
    'R-PFA-438064':Nto._make([date(2019,  3, 20), '...I...', '.C', """Post NMDA receptor activation events"""]),
    'R-RNO-438064':Nto._make([date(2019,  3, 20), '...I...', '.C', """Post NMDA receptor activation events"""]),
    'R-SCE-438064':Nto._make([date(2019,  3, 20), '...I...', '.C', """Post NMDA receptor activation events"""]),
    'R-SPO-438064':Nto._make([date(2019,  3, 20), '...I...', '.C', """Post NMDA receptor activation events"""]),
    'R-SSC-438064':Nto._make([date(2019,  3, 20), '...I...', '.C', """Post NMDA receptor activation events"""]),
    'R-XTR-438064':Nto._make([date(2019,  3, 20), '...I...', '.C', """Post NMDA receptor activation events"""]),
    'R-HSA-438066':Nto._make([date(2009, 12, 15), '....P..', 'BC', """Unblocking of NMDA receptors, glutamate binding and activation"""]),
    'R-BTA-438066':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Unblocking of NMDA receptors, glutamate binding and activation"""]),
    'R-CEL-438066':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Unblocking of NMDA receptors, glutamate binding and activation"""]),
    'R-CFA-438066':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Unblocking of NMDA receptors, glutamate binding and activation"""]),
    'R-DME-438066':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Unblocking of NMDA receptors, glutamate binding and activation"""]),
    'R-DRE-438066':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Unblocking of NMDA receptors, glutamate binding and activation"""]),
    'R-GGA-438066':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Unblocking of NMDA receptors, glutamate binding and activation"""]),
    'R-MMU-438066':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Unblocking of NMDA receptors, glutamate binding and activation"""]),
    'R-RNO-438066':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Unblocking of NMDA receptors, glutamate binding and activation"""]),
    'R-SSC-438066':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Unblocking of NMDA receptors, glutamate binding and activation"""]),
    'R-XTR-438066':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Unblocking of NMDA receptors, glutamate binding and activation"""]),
    'R-HSA-442380':Nto._make([date(2009, 12, 15), '....P..', '..', """Zinc influx into cells by the SLC39 gene family"""]),
    'R-BTA-442380':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc influx into cells by the SLC39 gene family"""]),
    'R-CEL-442380':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc influx into cells by the SLC39 gene family"""]),
    'R-CFA-442380':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc influx into cells by the SLC39 gene family"""]),
    'R-DDI-442380':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc influx into cells by the SLC39 gene family"""]),
    'R-DME-442380':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc influx into cells by the SLC39 gene family"""]),
    'R-DRE-442380':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc influx into cells by the SLC39 gene family"""]),
    'R-GGA-442380':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc influx into cells by the SLC39 gene family"""]),
    'R-MMU-442380':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc influx into cells by the SLC39 gene family"""]),
    'R-PFA-442380':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc influx into cells by the SLC39 gene family"""]),
    'R-RNO-442380':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc influx into cells by the SLC39 gene family"""]),
    'R-SCE-442380':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc influx into cells by the SLC39 gene family"""]),
    'R-SPO-442380':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc influx into cells by the SLC39 gene family"""]),
    'R-SSC-442380':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc influx into cells by the SLC39 gene family"""]),
    'R-XTR-442380':Nto._make([date(2019,  3, 20), '...I...', '..', """Zinc influx into cells by the SLC39 gene family"""]),
    'R-HSA-442660':Nto._make([date(2009, 12, 15), '....P..', '..', """Na+/Cl- dependent neurotransmitter transporters"""]),
    'R-BTA-442660':Nto._make([date(2019,  3, 20), '...I...', '..', """Na+/Cl- dependent neurotransmitter transporters"""]),
    'R-CEL-442660':Nto._make([date(2019,  3, 20), '...I...', '..', """Na+/Cl- dependent neurotransmitter transporters"""]),
    'R-CFA-442660':Nto._make([date(2019,  3, 20), '...I...', '..', """Na+/Cl- dependent neurotransmitter transporters"""]),
    'R-DME-442660':Nto._make([date(2019,  3, 20), '...I...', '..', """Na+/Cl- dependent neurotransmitter transporters"""]),
    'R-DRE-442660':Nto._make([date(2019,  3, 20), '...I...', '..', """Na+/Cl- dependent neurotransmitter transporters"""]),
    'R-GGA-442660':Nto._make([date(2019,  3, 20), '...I...', '..', """Na+/Cl- dependent neurotransmitter transporters"""]),
    'R-MMU-442660':Nto._make([date(2019,  3, 20), '...I...', '..', """Na+/Cl- dependent neurotransmitter transporters"""]),
    'R-PFA-442660':Nto._make([date(2019,  3, 20), '...I...', '..', """Na+/Cl- dependent neurotransmitter transporters"""]),
    'R-RNO-442660':Nto._make([date(2019,  3, 20), '...I...', '..', """Na+/Cl- dependent neurotransmitter transporters"""]),
    'R-SPO-442660':Nto._make([date(2019,  3, 20), '...I...', '..', """Na+/Cl- dependent neurotransmitter transporters"""]),
    'R-SSC-442660':Nto._make([date(2019,  3, 20), '...I...', '..', """Na+/Cl- dependent neurotransmitter transporters"""]),
    'R-XTR-442660':Nto._make([date(2019,  3, 20), '...I...', '..', """Na+/Cl- dependent neurotransmitter transporters"""]),
    'R-HSA-442720':Nto._make([date(2009, 12, 15), '....P..', '.C', """CREB1 phosphorylation through the activation of Adenylate Cyclase"""]),
    'R-BTA-442720':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of Adenylate Cyclase"""]),
    'R-CEL-442720':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of Adenylate Cyclase"""]),
    'R-CFA-442720':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of Adenylate Cyclase"""]),
    'R-DME-442720':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of Adenylate Cyclase"""]),
    'R-DRE-442720':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of Adenylate Cyclase"""]),
    'R-GGA-442720':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of Adenylate Cyclase"""]),
    'R-MMU-442720':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of Adenylate Cyclase"""]),
    'R-RNO-442720':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of Adenylate Cyclase"""]),
    'R-SCE-442720':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of Adenylate Cyclase"""]),
    'R-SPO-442720':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of Adenylate Cyclase"""]),
    'R-SSC-442720':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of Adenylate Cyclase"""]),
    'R-XTR-442720':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of Adenylate Cyclase"""]),
    'R-HSA-442729':Nto._make([date(2009, 12, 15), '....P..', '.C', """CREB1 phosphorylation through the activation of CaMKII/CaMKK/CaMKIV cascasde"""]),
    'R-BTA-442729':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of CaMKII/CaMKK/CaMKIV cascasde"""]),
    'R-CEL-442729':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of CaMKII/CaMKK/CaMKIV cascasde"""]),
    'R-CFA-442729':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of CaMKII/CaMKK/CaMKIV cascasde"""]),
    'R-DDI-442729':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of CaMKII/CaMKK/CaMKIV cascasde"""]),
    'R-DME-442729':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of CaMKII/CaMKK/CaMKIV cascasde"""]),
    'R-MMU-442729':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of CaMKII/CaMKK/CaMKIV cascasde"""]),
    'R-PFA-442729':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of CaMKII/CaMKK/CaMKIV cascasde"""]),
    'R-RNO-442729':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of CaMKII/CaMKK/CaMKIV cascasde"""]),
    'R-SCE-442729':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of CaMKII/CaMKK/CaMKIV cascasde"""]),
    'R-SSC-442729':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of CaMKII/CaMKK/CaMKIV cascasde"""]),
    'R-XTR-442729':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through the activation of CaMKII/CaMKK/CaMKIV cascasde"""]),
    'R-HSA-442742':Nto._make([date(2009, 12, 15), '....P..', '.C', """CREB1 phosphorylation through NMDA receptor-mediated activation of RAS signaling"""]),
    'R-BTA-442742':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through NMDA receptor-mediated activation of RAS signaling"""]),
    'R-CEL-442742':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through NMDA receptor-mediated activation of RAS signaling"""]),
    'R-CFA-442742':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through NMDA receptor-mediated activation of RAS signaling"""]),
    'R-DDI-442742':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through NMDA receptor-mediated activation of RAS signaling"""]),
    'R-DME-442742':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through NMDA receptor-mediated activation of RAS signaling"""]),
    'R-DRE-442742':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through NMDA receptor-mediated activation of RAS signaling"""]),
    'R-GGA-442742':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through NMDA receptor-mediated activation of RAS signaling"""]),
    'R-MMU-442742':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through NMDA receptor-mediated activation of RAS signaling"""]),
    'R-PFA-442742':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through NMDA receptor-mediated activation of RAS signaling"""]),
    'R-RNO-442742':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through NMDA receptor-mediated activation of RAS signaling"""]),
    'R-SCE-442742':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through NMDA receptor-mediated activation of RAS signaling"""]),
    'R-SPO-442742':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through NMDA receptor-mediated activation of RAS signaling"""]),
    'R-SSC-442742':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through NMDA receptor-mediated activation of RAS signaling"""]),
    'R-XTR-442742':Nto._make([date(2019,  3, 20), '...I...', '.C', """CREB1 phosphorylation through NMDA receptor-mediated activation of RAS signaling"""]),
    'R-HSA-442755':Nto._make([date(2009, 12, 15), '..f.P..', '.C', """Activation of NMDA receptors and postsynaptic events"""]),
    'R-BTA-442755':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of NMDA receptors and postsynaptic events"""]),
    'R-CEL-442755':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of NMDA receptors and postsynaptic events"""]),
    'R-CFA-442755':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of NMDA receptors and postsynaptic events"""]),
    'R-DDI-442755':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of NMDA receptors and postsynaptic events"""]),
    'R-DME-442755':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of NMDA receptors and postsynaptic events"""]),
    'R-DRE-442755':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of NMDA receptors and postsynaptic events"""]),
    'R-GGA-442755':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of NMDA receptors and postsynaptic events"""]),
    'R-MMU-442755':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of NMDA receptors and postsynaptic events"""]),
    'R-PFA-442755':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of NMDA receptors and postsynaptic events"""]),
    'R-RNO-442755':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of NMDA receptors and postsynaptic events"""]),
    'R-SCE-442755':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of NMDA receptors and postsynaptic events"""]),
    'R-SPO-442755':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of NMDA receptors and postsynaptic events"""]),
    'R-SSC-442755':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of NMDA receptors and postsynaptic events"""]),
    'R-XTR-442755':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of NMDA receptors and postsynaptic events"""]),
    'R-HSA-442982':Nto._make([date(2009, 12, 15), '....P..', '.C', """Ras activation upon Ca2+ influx through NMDA receptor"""]),
    'R-HSA-444209':Nto._make([date(2010,  3, 16), '....P..', '.C', """Free fatty acid receptors"""]),
    'R-BTA-444209':Nto._make([date(2019,  3, 20), '...I...', '.C', """Free fatty acid receptors"""]),
    'R-CFA-444209':Nto._make([date(2019,  3, 20), '...I...', '.C', """Free fatty acid receptors"""]),
    'R-DRE-444209':Nto._make([date(2019,  3, 20), '...I...', '.C', """Free fatty acid receptors"""]),
    'R-GGA-444209':Nto._make([date(2019,  3, 20), '...I...', '.C', """Free fatty acid receptors"""]),
    'R-MMU-444209':Nto._make([date(2019,  3, 20), '...I...', '.C', """Free fatty acid receptors"""]),
    'R-RNO-444209':Nto._make([date(2019,  3, 20), '...I...', '.C', """Free fatty acid receptors"""]),
    'R-SSC-444209':Nto._make([date(2019,  3, 20), '...I...', '.C', """Free fatty acid receptors"""]),
    'R-XTR-444209':Nto._make([date(2019,  3, 20), '...I...', '.C', """Free fatty acid receptors"""]),
    'R-HSA-444257':Nto._make([date(2009, 12, 15), '....P..', '.C', """RSK activation"""]),
    'R-BTA-444257':Nto._make([date(2019,  3, 20), '...I...', '.C', """RSK activation"""]),
    'R-CEL-444257':Nto._make([date(2019,  3, 20), '...I...', '.C', """RSK activation"""]),
    'R-CFA-444257':Nto._make([date(2019,  3, 20), '...I...', '.C', """RSK activation"""]),
    'R-DDI-444257':Nto._make([date(2019,  3, 20), '...I...', '.C', """RSK activation"""]),
    'R-DME-444257':Nto._make([date(2019,  3, 20), '...I...', '.C', """RSK activation"""]),
    'R-DRE-444257':Nto._make([date(2019,  3, 20), '...I...', '.C', """RSK activation"""]),
    'R-GGA-444257':Nto._make([date(2019,  3, 20), '...I...', '.C', """RSK activation"""]),
    'R-MMU-444257':Nto._make([date(2019,  3, 20), '...I...', '.C', """RSK activation"""]),
    'R-PFA-444257':Nto._make([date(2019,  3, 20), '...I...', '.C', """RSK activation"""]),
    'R-RNO-444257':Nto._make([date(2019,  3, 20), '...I...', '.C', """RSK activation"""]),
    'R-SCE-444257':Nto._make([date(2019,  3, 20), '...I...', '.C', """RSK activation"""]),
    'R-SPO-444257':Nto._make([date(2019,  3, 20), '...I...', '.C', """RSK activation"""]),
    'R-SSC-444257':Nto._make([date(2019,  3, 20), '...I...', '.C', """RSK activation"""]),
    'R-XTR-444257':Nto._make([date(2019,  3, 20), '...I...', '.C', """RSK activation"""]),
    'R-HSA-444411':Nto._make([date(2009, 12, 15), '....P..', '..', """Rhesus glycoproteins mediate ammonium transport."""]),
    'R-BTA-444411':Nto._make([date(2019,  3, 20), '...I...', '..', """Rhesus glycoproteins mediate ammonium transport."""]),
    'R-CEL-444411':Nto._make([date(2019,  3, 20), '...I...', '..', """Rhesus glycoproteins mediate ammonium transport."""]),
    'R-CFA-444411':Nto._make([date(2019,  3, 20), '...I...', '..', """Rhesus glycoproteins mediate ammonium transport."""]),
    'R-DDI-444411':Nto._make([date(2019,  3, 20), '...I...', '..', """Rhesus glycoproteins mediate ammonium transport."""]),
    'R-DME-444411':Nto._make([date(2019,  3, 20), '...I...', '..', """Rhesus glycoproteins mediate ammonium transport."""]),
    'R-DRE-444411':Nto._make([date(2019,  3, 20), '...I...', '..', """Rhesus glycoproteins mediate ammonium transport."""]),
    'R-GGA-444411':Nto._make([date(2019,  3, 20), '...I...', '..', """Rhesus glycoproteins mediate ammonium transport."""]),
    'R-MMU-444411':Nto._make([date(2019,  3, 20), '...I...', '..', """Rhesus glycoproteins mediate ammonium transport."""]),
    'R-RNO-444411':Nto._make([date(2019,  3, 20), '...I...', '..', """Rhesus glycoproteins mediate ammonium transport."""]),
    'R-SSC-444411':Nto._make([date(2019,  3, 20), '...I...', '..', """Rhesus glycoproteins mediate ammonium transport."""]),
    'R-XTR-444411':Nto._make([date(2019,  3, 20), '...I...', '..', """Rhesus glycoproteins mediate ammonium transport."""]),
    'R-HSA-444473':Nto._make([date(2010,  3, 16), '....P..', '.C', """Formyl peptide receptors bind formyl peptides and many other ligands"""]),
    'R-CFA-444473':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formyl peptide receptors bind formyl peptides and many other ligands"""]),
    'R-DRE-444473':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formyl peptide receptors bind formyl peptides and many other ligands"""]),
    'R-GGA-444473':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formyl peptide receptors bind formyl peptides and many other ligands"""]),
    'R-MMU-444473':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formyl peptide receptors bind formyl peptides and many other ligands"""]),
    'R-RNO-444473':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formyl peptide receptors bind formyl peptides and many other ligands"""]),
    'R-XTR-444473':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formyl peptide receptors bind formyl peptides and many other ligands"""]),
    'R-HSA-444821':Nto._make([date(2010,  3, 16), '....P..', '.C', """Relaxin receptors"""]),
    'R-BTA-444821':Nto._make([date(2019,  3, 20), '...I...', '.C', """Relaxin receptors"""]),
    'R-CFA-444821':Nto._make([date(2019,  3, 20), '...I...', '.C', """Relaxin receptors"""]),
    'R-DME-444821':Nto._make([date(2019,  3, 20), '...I...', '.C', """Relaxin receptors"""]),
    'R-DRE-444821':Nto._make([date(2019,  3, 20), '...I...', '.C', """Relaxin receptors"""]),
    'R-MMU-444821':Nto._make([date(2019,  3, 20), '...I...', '.C', """Relaxin receptors"""]),
    'R-RNO-444821':Nto._make([date(2019,  3, 20), '...I...', '.C', """Relaxin receptors"""]),
    'R-SSC-444821':Nto._make([date(2019,  3, 20), '...I...', '.C', """Relaxin receptors"""]),
    'R-XTR-444821':Nto._make([date(2019,  3, 20), '...I...', '.C', """Relaxin receptors"""]),
    'R-HSA-445095':Nto._make([date(2010,  6, 15), '....P..', '..', """Interaction between L1 and Ankyrins"""]),
    'R-MMU-445095':Nto._make([date(2019,  3, 20), '...I...', '..', """Interaction between L1 and Ankyrins"""]),
    'R-RNO-445095':Nto._make([date(2019,  3, 20), '...I...', '..', """Interaction between L1 and Ankyrins"""]),
    'R-HSA-445144':Nto._make([date(2010,  6, 15), '....P..', '..', """Signal transduction by L1"""]),
    'R-BTA-445144':Nto._make([date(2019,  3, 20), '...I...', '..', """Signal transduction by L1"""]),
    'R-CEL-445144':Nto._make([date(2019,  3, 20), '...I...', '..', """Signal transduction by L1"""]),
    'R-CFA-445144':Nto._make([date(2019,  3, 20), '...I...', '..', """Signal transduction by L1"""]),
    'R-DDI-445144':Nto._make([date(2019,  3, 20), '...I...', '..', """Signal transduction by L1"""]),
    'R-DME-445144':Nto._make([date(2019,  3, 20), '...I...', '..', """Signal transduction by L1"""]),
    'R-DRE-445144':Nto._make([date(2019,  3, 20), '...I...', '..', """Signal transduction by L1"""]),
    'R-GGA-445144':Nto._make([date(2019,  3, 20), '...I...', '..', """Signal transduction by L1"""]),
    'R-MMU-445144':Nto._make([date(2019,  3, 20), '...I...', '..', """Signal transduction by L1"""]),
    'R-PFA-445144':Nto._make([date(2019,  3, 20), '...I...', '..', """Signal transduction by L1"""]),
    'R-RNO-445144':Nto._make([date(2019,  3, 20), '...I...', '..', """Signal transduction by L1"""]),
    'R-SCE-445144':Nto._make([date(2019,  3, 20), '...I...', '..', """Signal transduction by L1"""]),
    'R-SPO-445144':Nto._make([date(2019,  3, 20), '...I...', '..', """Signal transduction by L1"""]),
    'R-SSC-445144':Nto._make([date(2019,  3, 20), '...I...', '..', """Signal transduction by L1"""]),
    'R-XTR-445144':Nto._make([date(2019,  3, 20), '...I...', '..', """Signal transduction by L1"""]),
    'R-HSA-445355':Nto._make([date(2009, 12, 15), '..f.P..', 'BC', """Smooth Muscle Contraction"""]),
    'R-BTA-445355':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Smooth Muscle Contraction"""]),
    'R-CEL-445355':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Smooth Muscle Contraction"""]),
    'R-CFA-445355':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Smooth Muscle Contraction"""]),
    'R-DRE-445355':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Smooth Muscle Contraction"""]),
    'R-MMU-445355':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Smooth Muscle Contraction"""]),
    'R-RNO-445355':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Smooth Muscle Contraction"""]),
    'R-SSC-445355':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Smooth Muscle Contraction"""]),
    'R-XTR-445355':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Smooth Muscle Contraction"""]),
    'R-HSA-445717':Nto._make([date(2010,  9, 21), '..F.P..', 'BC', """Aquaporin-mediated transport"""]),
    'R-BTA-445717':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Aquaporin-mediated transport"""]),
    'R-CEL-445717':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Aquaporin-mediated transport"""]),
    'R-CFA-445717':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Aquaporin-mediated transport"""]),
    'R-DDI-445717':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Aquaporin-mediated transport"""]),
    'R-DME-445717':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Aquaporin-mediated transport"""]),
    'R-DRE-445717':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Aquaporin-mediated transport"""]),
    'R-GGA-445717':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Aquaporin-mediated transport"""]),
    'R-MMU-445717':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Aquaporin-mediated transport"""]),
    'R-PFA-445717':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Aquaporin-mediated transport"""]),
    'R-RNO-445717':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Aquaporin-mediated transport"""]),
    'R-SCE-445717':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Aquaporin-mediated transport"""]),
    'R-SPO-445717':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Aquaporin-mediated transport"""]),
    'R-SSC-445717':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Aquaporin-mediated transport"""]),
    'R-XTR-445717':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Aquaporin-mediated transport"""]),
    'R-HSA-445989':Nto._make([date(2010, 12, 14), '..f.P..', 'BC', """TAK1 activates NFkB by phosphorylation and activation of IKKs complex"""]),
    'R-BTA-445989':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TAK1 activates NFkB by phosphorylation and activation of IKKs complex"""]),
    'R-CFA-445989':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TAK1 activates NFkB by phosphorylation and activation of IKKs complex"""]),
    'R-DME-445989':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TAK1 activates NFkB by phosphorylation and activation of IKKs complex"""]),
    'R-DRE-445989':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TAK1 activates NFkB by phosphorylation and activation of IKKs complex"""]),
    'R-MMU-445989':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TAK1 activates NFkB by phosphorylation and activation of IKKs complex"""]),
    'R-RNO-445989':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TAK1 activates NFkB by phosphorylation and activation of IKKs complex"""]),
    'R-SSC-445989':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TAK1 activates NFkB by phosphorylation and activation of IKKs complex"""]),
    'R-XTR-445989':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TAK1 activates NFkB by phosphorylation and activation of IKKs complex"""]),
    'R-HSA-446107':Nto._make([date(2009, 12, 15), '....P..', 'B.', """Type I hemidesmosome assembly"""]),
    'R-BTA-446107':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Type I hemidesmosome assembly"""]),
    'R-CEL-446107':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Type I hemidesmosome assembly"""]),
    'R-CFA-446107':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Type I hemidesmosome assembly"""]),
    'R-DME-446107':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Type I hemidesmosome assembly"""]),
    'R-DRE-446107':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Type I hemidesmosome assembly"""]),
    'R-MMU-446107':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Type I hemidesmosome assembly"""]),
    'R-RNO-446107':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Type I hemidesmosome assembly"""]),
    'R-SSC-446107':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Type I hemidesmosome assembly"""]),
    'R-XTR-446107':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Type I hemidesmosome assembly"""]),
    'R-HSA-446193':Nto._make([date(2010,  6, 15), '.....B.', 'B.', """Biosynthesis of the N-glycan precursor (dolichol lipid-linked oligosaccharide, LLO) and transfer to a nascent protein"""]),
    'R-BTA-446193':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of the N-glycan precursor (dolichol lipid-linked oligosaccharide, LLO) and transfer to a nascent protein"""]),
    'R-CEL-446193':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of the N-glycan precursor (dolichol lipid-linked oligosaccharide, LLO) and transfer to a nascent protein"""]),
    'R-CFA-446193':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of the N-glycan precursor (dolichol lipid-linked oligosaccharide, LLO) and transfer to a nascent protein"""]),
    'R-DDI-446193':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of the N-glycan precursor (dolichol lipid-linked oligosaccharide, LLO) and transfer to a nascent protein"""]),
    'R-DME-446193':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of the N-glycan precursor (dolichol lipid-linked oligosaccharide, LLO) and transfer to a nascent protein"""]),
    'R-DRE-446193':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of the N-glycan precursor (dolichol lipid-linked oligosaccharide, LLO) and transfer to a nascent protein"""]),
    'R-GGA-446193':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of the N-glycan precursor (dolichol lipid-linked oligosaccharide, LLO) and transfer to a nascent protein"""]),
    'R-MMU-446193':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of the N-glycan precursor (dolichol lipid-linked oligosaccharide, LLO) and transfer to a nascent protein"""]),
    'R-PFA-446193':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of the N-glycan precursor (dolichol lipid-linked oligosaccharide, LLO) and transfer to a nascent protein"""]),
    'R-RNO-446193':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of the N-glycan precursor (dolichol lipid-linked oligosaccharide, LLO) and transfer to a nascent protein"""]),
    'R-SCE-446193':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of the N-glycan precursor (dolichol lipid-linked oligosaccharide, LLO) and transfer to a nascent protein"""]),
    'R-SPO-446193':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of the N-glycan precursor (dolichol lipid-linked oligosaccharide, LLO) and transfer to a nascent protein"""]),
    'R-SSC-446193':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of the N-glycan precursor (dolichol lipid-linked oligosaccharide, LLO) and transfer to a nascent protein"""]),
    'R-XTR-446193':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of the N-glycan precursor (dolichol lipid-linked oligosaccharide, LLO) and transfer to a nascent protein"""]),
    'R-HSA-446199':Nto._make([date(2010,  6, 15), '....P..', 'B.', """Synthesis of Dolichyl-phosphate"""]),
    'R-BTA-446199':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Dolichyl-phosphate"""]),
    'R-CEL-446199':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Dolichyl-phosphate"""]),
    'R-CFA-446199':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Dolichyl-phosphate"""]),
    'R-DDI-446199':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Dolichyl-phosphate"""]),
    'R-DME-446199':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Dolichyl-phosphate"""]),
    'R-DRE-446199':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Dolichyl-phosphate"""]),
    'R-GGA-446199':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Dolichyl-phosphate"""]),
    'R-MMU-446199':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Dolichyl-phosphate"""]),
    'R-PFA-446199':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Dolichyl-phosphate"""]),
    'R-RNO-446199':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Dolichyl-phosphate"""]),
    'R-SCE-446199':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Dolichyl-phosphate"""]),
    'R-SPO-446199':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Dolichyl-phosphate"""]),
    'R-SSC-446199':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Dolichyl-phosphate"""]),
    'R-XTR-446199':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Dolichyl-phosphate"""]),
    'R-HSA-446203':Nto._make([date(2010,  6, 15), '..F.PB.', 'B.', """Asparagine N-linked glycosylation"""]),
    'R-BTA-446203':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Asparagine N-linked glycosylation"""]),
    'R-CEL-446203':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Asparagine N-linked glycosylation"""]),
    'R-CFA-446203':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Asparagine N-linked glycosylation"""]),
    'R-DDI-446203':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Asparagine N-linked glycosylation"""]),
    'R-DME-446203':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Asparagine N-linked glycosylation"""]),
    'R-DRE-446203':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Asparagine N-linked glycosylation"""]),
    'R-GGA-446203':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Asparagine N-linked glycosylation"""]),
    'R-MMU-446203':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Asparagine N-linked glycosylation"""]),
    'R-PFA-446203':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Asparagine N-linked glycosylation"""]),
    'R-RNO-446203':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Asparagine N-linked glycosylation"""]),
    'R-SCE-446203':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Asparagine N-linked glycosylation"""]),
    'R-SPO-446203':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Asparagine N-linked glycosylation"""]),
    'R-SSC-446203':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Asparagine N-linked glycosylation"""]),
    'R-XTR-446203':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Asparagine N-linked glycosylation"""]),
    'R-HSA-446205':Nto._make([date(2010,  6, 15), '.......', 'B.', """Synthesis of GDP-mannose"""]),
    'R-BTA-446205':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of GDP-mannose"""]),
    'R-CEL-446205':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of GDP-mannose"""]),
    'R-CFA-446205':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of GDP-mannose"""]),
    'R-DDI-446205':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of GDP-mannose"""]),
    'R-DME-446205':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of GDP-mannose"""]),
    'R-DRE-446205':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of GDP-mannose"""]),
    'R-GGA-446205':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of GDP-mannose"""]),
    'R-MMU-446205':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of GDP-mannose"""]),
    'R-PFA-446205':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of GDP-mannose"""]),
    'R-RNO-446205':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of GDP-mannose"""]),
    'R-SCE-446205':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of GDP-mannose"""]),
    'R-SPO-446205':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of GDP-mannose"""]),
    'R-SSC-446205':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of GDP-mannose"""]),
    'R-XTR-446205':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of GDP-mannose"""]),
    'R-HSA-446210':Nto._make([date(2010,  6, 15), '.......', 'B.', """Synthesis of UDP-N-acetyl-glucosamine"""]),
    'R-BTA-446210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of UDP-N-acetyl-glucosamine"""]),
    'R-CEL-446210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of UDP-N-acetyl-glucosamine"""]),
    'R-CFA-446210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of UDP-N-acetyl-glucosamine"""]),
    'R-DDI-446210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of UDP-N-acetyl-glucosamine"""]),
    'R-DME-446210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of UDP-N-acetyl-glucosamine"""]),
    'R-DRE-446210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of UDP-N-acetyl-glucosamine"""]),
    'R-GGA-446210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of UDP-N-acetyl-glucosamine"""]),
    'R-MMU-446210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of UDP-N-acetyl-glucosamine"""]),
    'R-PFA-446210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of UDP-N-acetyl-glucosamine"""]),
    'R-RNO-446210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of UDP-N-acetyl-glucosamine"""]),
    'R-SCE-446210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of UDP-N-acetyl-glucosamine"""]),
    'R-SPO-446210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of UDP-N-acetyl-glucosamine"""]),
    'R-SSC-446210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of UDP-N-acetyl-glucosamine"""]),
    'R-XTR-446210':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of UDP-N-acetyl-glucosamine"""]),
    'R-HSA-446219':Nto._make([date(2010,  6, 15), '....P..', '..', """Synthesis of substrates in N-glycan biosythesis"""]),
    'R-BTA-446219':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of substrates in N-glycan biosythesis"""]),
    'R-CEL-446219':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of substrates in N-glycan biosythesis"""]),
    'R-CFA-446219':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of substrates in N-glycan biosythesis"""]),
    'R-DDI-446219':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of substrates in N-glycan biosythesis"""]),
    'R-DME-446219':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of substrates in N-glycan biosythesis"""]),
    'R-DRE-446219':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of substrates in N-glycan biosythesis"""]),
    'R-GGA-446219':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of substrates in N-glycan biosythesis"""]),
    'R-MMU-446219':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of substrates in N-glycan biosythesis"""]),
    'R-PFA-446219':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of substrates in N-glycan biosythesis"""]),
    'R-RNO-446219':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of substrates in N-glycan biosythesis"""]),
    'R-SCE-446219':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of substrates in N-glycan biosythesis"""]),
    'R-SPO-446219':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of substrates in N-glycan biosythesis"""]),
    'R-SSC-446219':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of substrates in N-glycan biosythesis"""]),
    'R-XTR-446219':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of substrates in N-glycan biosythesis"""]),
    'R-HSA-446343':Nto._make([date(2009, 12, 15), '....P..', '..', """Localization of the PINCH-ILK-PARVIN complex to focal adhesions"""]),
    'R-BTA-446343':Nto._make([date(2019,  3, 20), '...I...', '..', """Localization of the PINCH-ILK-PARVIN complex to focal adhesions"""]),
    'R-CEL-446343':Nto._make([date(2019,  3, 20), '...I...', '..', """Localization of the PINCH-ILK-PARVIN complex to focal adhesions"""]),
    'R-CFA-446343':Nto._make([date(2019,  3, 20), '...I...', '..', """Localization of the PINCH-ILK-PARVIN complex to focal adhesions"""]),
    'R-DME-446343':Nto._make([date(2019,  3, 20), '...I...', '..', """Localization of the PINCH-ILK-PARVIN complex to focal adhesions"""]),
    'R-DRE-446343':Nto._make([date(2019,  3, 20), '...I...', '..', """Localization of the PINCH-ILK-PARVIN complex to focal adhesions"""]),
    'R-MMU-446343':Nto._make([date(2019,  3, 20), '...I...', '..', """Localization of the PINCH-ILK-PARVIN complex to focal adhesions"""]),
    'R-RNO-446343':Nto._make([date(2019,  3, 20), '...I...', '..', """Localization of the PINCH-ILK-PARVIN complex to focal adhesions"""]),
    'R-SSC-446343':Nto._make([date(2019,  3, 20), '...I...', '..', """Localization of the PINCH-ILK-PARVIN complex to focal adhesions"""]),
    'R-XTR-446343':Nto._make([date(2019,  3, 20), '...I...', '..', """Localization of the PINCH-ILK-PARVIN complex to focal adhesions"""]),
    'R-HSA-446353':Nto._make([date(2009, 12, 15), '....P..', '..', """Cell-extracellular matrix interactions"""]),
    'R-BTA-446353':Nto._make([date(2019,  3, 20), '...I...', '..', """Cell-extracellular matrix interactions"""]),
    'R-CEL-446353':Nto._make([date(2019,  3, 20), '...I...', '..', """Cell-extracellular matrix interactions"""]),
    'R-CFA-446353':Nto._make([date(2019,  3, 20), '...I...', '..', """Cell-extracellular matrix interactions"""]),
    'R-DME-446353':Nto._make([date(2019,  3, 20), '...I...', '..', """Cell-extracellular matrix interactions"""]),
    'R-DRE-446353':Nto._make([date(2019,  3, 20), '...I...', '..', """Cell-extracellular matrix interactions"""]),
    'R-GGA-446353':Nto._make([date(2019,  3, 20), '...I...', '..', """Cell-extracellular matrix interactions"""]),
    'R-MMU-446353':Nto._make([date(2019,  3, 20), '...I...', '..', """Cell-extracellular matrix interactions"""]),
    'R-RNO-446353':Nto._make([date(2019,  3, 20), '...I...', '..', """Cell-extracellular matrix interactions"""]),
    'R-SSC-446353':Nto._make([date(2019,  3, 20), '...I...', '..', """Cell-extracellular matrix interactions"""]),
    'R-XTR-446353':Nto._make([date(2019,  3, 20), '...I...', '..', """Cell-extracellular matrix interactions"""]),
    'R-HSA-446388':Nto._make([date(2009, 12, 15), '....P..', '..', """Regulation of cytoskeletal remodeling and cell spreading by IPP complex components"""]),
    'R-BTA-446388':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of cytoskeletal remodeling and cell spreading by IPP complex components"""]),
    'R-CEL-446388':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of cytoskeletal remodeling and cell spreading by IPP complex components"""]),
    'R-CFA-446388':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of cytoskeletal remodeling and cell spreading by IPP complex components"""]),
    'R-DME-446388':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of cytoskeletal remodeling and cell spreading by IPP complex components"""]),
    'R-DRE-446388':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of cytoskeletal remodeling and cell spreading by IPP complex components"""]),
    'R-GGA-446388':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of cytoskeletal remodeling and cell spreading by IPP complex components"""]),
    'R-MMU-446388':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of cytoskeletal remodeling and cell spreading by IPP complex components"""]),
    'R-RNO-446388':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of cytoskeletal remodeling and cell spreading by IPP complex components"""]),
    'R-SSC-446388':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of cytoskeletal remodeling and cell spreading by IPP complex components"""]),
    'R-XTR-446388':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of cytoskeletal remodeling and cell spreading by IPP complex components"""]),
    'R-HSA-446652':Nto._make([date(2010,  6, 15), '..f.P..', 'BC', """Interleukin-1 family signaling"""]),
    'R-BTA-446652':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-1 family signaling"""]),
    'R-CEL-446652':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-1 family signaling"""]),
    'R-CFA-446652':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-1 family signaling"""]),
    'R-DDI-446652':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-1 family signaling"""]),
    'R-DME-446652':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-1 family signaling"""]),
    'R-DRE-446652':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-1 family signaling"""]),
    'R-GGA-446652':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-1 family signaling"""]),
    'R-MMU-446652':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-1 family signaling"""]),
    'R-PFA-446652':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-1 family signaling"""]),
    'R-RNO-446652':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-1 family signaling"""]),
    'R-SSC-446652':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-1 family signaling"""]),
    'R-XTR-446652':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-1 family signaling"""]),
    'R-HSA-446728':Nto._make([date(2009, 12, 15), '..f....', 'B.', """Cell junction organization"""]),
    'R-BTA-446728':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell junction organization"""]),
    'R-CEL-446728':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell junction organization"""]),
    'R-CFA-446728':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell junction organization"""]),
    'R-DME-446728':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell junction organization"""]),
    'R-DRE-446728':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell junction organization"""]),
    'R-GGA-446728':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell junction organization"""]),
    'R-MMU-446728':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell junction organization"""]),
    'R-RNO-446728':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell junction organization"""]),
    'R-SSC-446728':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell junction organization"""]),
    'R-XTR-446728':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cell junction organization"""]),
    'R-HSA-447038':Nto._make([date(2010,  6, 15), '....P..', '.C', """NrCAM interactions"""]),
    'R-HSA-447041':Nto._make([date(2010,  6, 15), '....P..', '.C', """CHL1 interactions"""]),
    'R-HSA-447043':Nto._make([date(2010,  6, 15), '....P..', '.C', """Neurofascin interactions"""]),
    'R-BTA-447043':Nto._make([date(2019,  3, 20), '...I...', '.C', """Neurofascin interactions"""]),
    'R-DME-447043':Nto._make([date(2019,  3, 20), '...I...', '.C', """Neurofascin interactions"""]),
    'R-MMU-447043':Nto._make([date(2019,  3, 20), '...I...', '.C', """Neurofascin interactions"""]),
    'R-RNO-447043':Nto._make([date(2019,  3, 20), '...I...', '.C', """Neurofascin interactions"""]),
    'R-SSC-447043':Nto._make([date(2019,  3, 20), '...I...', '.C', """Neurofascin interactions"""]),
    'R-HSA-447115':Nto._make([date(2016,  3, 23), '..f.P..', 'B.', """Interleukin-12 family signaling"""]),
    'R-BTA-447115':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-12 family signaling"""]),
    'R-CEL-447115':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-12 family signaling"""]),
    'R-CFA-447115':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-12 family signaling"""]),
    'R-DDI-447115':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-12 family signaling"""]),
    'R-DME-447115':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-12 family signaling"""]),
    'R-DRE-447115':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-12 family signaling"""]),
    'R-GGA-447115':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-12 family signaling"""]),
    'R-MMU-447115':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-12 family signaling"""]),
    'R-RNO-447115':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-12 family signaling"""]),
    'R-SSC-447115':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-12 family signaling"""]),
    'R-XTR-447115':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-12 family signaling"""]),
    'R-HSA-448424':Nto._make([date(2016,  3, 23), '..f.P..', 'B.', """Interleukin-17 signaling"""]),
    'R-BTA-448424':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-17 signaling"""]),
    'R-CEL-448424':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-17 signaling"""]),
    'R-CFA-448424':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-17 signaling"""]),
    'R-DDI-448424':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-17 signaling"""]),
    'R-DME-448424':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-17 signaling"""]),
    'R-DRE-448424':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-17 signaling"""]),
    'R-GGA-448424':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-17 signaling"""]),
    'R-MMU-448424':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-17 signaling"""]),
    'R-PFA-448424':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-17 signaling"""]),
    'R-RNO-448424':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-17 signaling"""]),
    'R-SCE-448424':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-17 signaling"""]),
    'R-SPO-448424':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-17 signaling"""]),
    'R-SSC-448424':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-17 signaling"""]),
    'R-XTR-448424':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-17 signaling"""]),
    'R-HSA-448706':Nto._make([date(2010,  9, 21), '..f.P..', '.C', """Interleukin-1 processing"""]),
    'R-CEL-448706':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Interleukin-1 processing"""]),
    'R-CFA-448706':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Interleukin-1 processing"""]),
    'R-DME-448706':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Interleukin-1 processing"""]),
    'R-DRE-448706':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Interleukin-1 processing"""]),
    'R-GGA-448706':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Interleukin-1 processing"""]),
    'R-MMU-448706':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Interleukin-1 processing"""]),
    'R-RNO-448706':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Interleukin-1 processing"""]),
    'R-SSC-448706':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Interleukin-1 processing"""]),
    'R-XTR-448706':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Interleukin-1 processing"""]),
    'R-HSA-449147':Nto._make([date(2010,  6, 15), '..F.P..', 'BC', """Signaling by Interleukins"""]),
    'R-BTA-449147':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Interleukins"""]),
    'R-CEL-449147':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Interleukins"""]),
    'R-CFA-449147':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Interleukins"""]),
    'R-DDI-449147':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Interleukins"""]),
    'R-DME-449147':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Interleukins"""]),
    'R-DRE-449147':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Interleukins"""]),
    'R-GGA-449147':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Interleukins"""]),
    'R-MMU-449147':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Interleukins"""]),
    'R-PFA-449147':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Interleukins"""]),
    'R-RNO-449147':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Interleukins"""]),
    'R-SCE-449147':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Interleukins"""]),
    'R-SPO-449147':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Interleukins"""]),
    'R-SSC-449147':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Interleukins"""]),
    'R-XTR-449147':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Interleukins"""]),
    'R-HSA-449836':Nto._make([date(2016,  3, 23), '..f.P..', 'B.', """Other interleukin signaling"""]),
    'R-BTA-449836':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Other interleukin signaling"""]),
    'R-CEL-449836':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Other interleukin signaling"""]),
    'R-CFA-449836':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Other interleukin signaling"""]),
    'R-DDI-449836':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Other interleukin signaling"""]),
    'R-DME-449836':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Other interleukin signaling"""]),
    'R-DRE-449836':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Other interleukin signaling"""]),
    'R-GGA-449836':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Other interleukin signaling"""]),
    'R-MMU-449836':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Other interleukin signaling"""]),
    'R-RNO-449836':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Other interleukin signaling"""]),
    'R-SSC-449836':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Other interleukin signaling"""]),
    'R-XTR-449836':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Other interleukin signaling"""]),
    'R-HSA-450282':Nto._make([date(2010,  3, 16), '..f.P..', '..', """MAPK targets/ Nuclear events mediated by MAP kinases"""]),
    'R-BTA-450282':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK targets/ Nuclear events mediated by MAP kinases"""]),
    'R-CEL-450282':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK targets/ Nuclear events mediated by MAP kinases"""]),
    'R-CFA-450282':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK targets/ Nuclear events mediated by MAP kinases"""]),
    'R-DDI-450282':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK targets/ Nuclear events mediated by MAP kinases"""]),
    'R-DME-450282':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK targets/ Nuclear events mediated by MAP kinases"""]),
    'R-DRE-450282':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK targets/ Nuclear events mediated by MAP kinases"""]),
    'R-GGA-450282':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK targets/ Nuclear events mediated by MAP kinases"""]),
    'R-MMU-450282':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK targets/ Nuclear events mediated by MAP kinases"""]),
    'R-PFA-450282':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK targets/ Nuclear events mediated by MAP kinases"""]),
    'R-RNO-450282':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK targets/ Nuclear events mediated by MAP kinases"""]),
    'R-SCE-450282':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK targets/ Nuclear events mediated by MAP kinases"""]),
    'R-SPO-450282':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK targets/ Nuclear events mediated by MAP kinases"""]),
    'R-SSC-450282':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK targets/ Nuclear events mediated by MAP kinases"""]),
    'R-XTR-450282':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK targets/ Nuclear events mediated by MAP kinases"""]),
    'R-HSA-450294':Nto._make([date(2010, 12, 14), '..f.P..', 'BC', """MAP kinase activation"""]),
    'R-BTA-450294':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MAP kinase activation"""]),
    'R-CEL-450294':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MAP kinase activation"""]),
    'R-CFA-450294':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MAP kinase activation"""]),
    'R-DDI-450294':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MAP kinase activation"""]),
    'R-DME-450294':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MAP kinase activation"""]),
    'R-DRE-450294':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MAP kinase activation"""]),
    'R-GGA-450294':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MAP kinase activation"""]),
    'R-MMU-450294':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MAP kinase activation"""]),
    'R-PFA-450294':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MAP kinase activation"""]),
    'R-RNO-450294':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MAP kinase activation"""]),
    'R-SCE-450294':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MAP kinase activation"""]),
    'R-SPO-450294':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MAP kinase activation"""]),
    'R-SSC-450294':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MAP kinase activation"""]),
    'R-XTR-450294':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """MAP kinase activation"""]),
    'R-HSA-450302':Nto._make([date(2010, 12, 14), '....P..', 'BC', """activated TAK1 mediates p38 MAPK activation"""]),
    'R-BTA-450302':Nto._make([date(2019,  3, 20), '...I...', 'BC', """activated TAK1 mediates p38 MAPK activation"""]),
    'R-CEL-450302':Nto._make([date(2019,  3, 20), '...I...', 'BC', """activated TAK1 mediates p38 MAPK activation"""]),
    'R-CFA-450302':Nto._make([date(2019,  3, 20), '...I...', 'BC', """activated TAK1 mediates p38 MAPK activation"""]),
    'R-DDI-450302':Nto._make([date(2019,  3, 20), '...I...', 'BC', """activated TAK1 mediates p38 MAPK activation"""]),
    'R-DME-450302':Nto._make([date(2019,  3, 20), '...I...', 'BC', """activated TAK1 mediates p38 MAPK activation"""]),
    'R-DRE-450302':Nto._make([date(2019,  3, 20), '...I...', 'BC', """activated TAK1 mediates p38 MAPK activation"""]),
    'R-GGA-450302':Nto._make([date(2019,  3, 20), '...I...', 'BC', """activated TAK1 mediates p38 MAPK activation"""]),
    'R-MMU-450302':Nto._make([date(2019,  3, 20), '...I...', 'BC', """activated TAK1 mediates p38 MAPK activation"""]),
    'R-PFA-450302':Nto._make([date(2019,  3, 20), '...I...', 'BC', """activated TAK1 mediates p38 MAPK activation"""]),
    'R-RNO-450302':Nto._make([date(2019,  3, 20), '...I...', 'BC', """activated TAK1 mediates p38 MAPK activation"""]),
    'R-SCE-450302':Nto._make([date(2019,  3, 20), '...I...', 'BC', """activated TAK1 mediates p38 MAPK activation"""]),
    'R-SPO-450302':Nto._make([date(2019,  3, 20), '...I...', 'BC', """activated TAK1 mediates p38 MAPK activation"""]),
    'R-SSC-450302':Nto._make([date(2019,  3, 20), '...I...', 'BC', """activated TAK1 mediates p38 MAPK activation"""]),
    'R-XTR-450302':Nto._make([date(2019,  3, 20), '...I...', 'BC', """activated TAK1 mediates p38 MAPK activation"""]),
    'R-HSA-450321':Nto._make([date(2010, 12, 14), '....P..', 'BC', """JNK (c-Jun kinases) phosphorylation and  activation mediated by activated human TAK1"""]),
    'R-BTA-450321':Nto._make([date(2019,  3, 20), '...I...', 'BC', """JNK (c-Jun kinases) phosphorylation and  activation mediated by activated human TAK1"""]),
    'R-CEL-450321':Nto._make([date(2019,  3, 20), '...I...', 'BC', """JNK (c-Jun kinases) phosphorylation and  activation mediated by activated human TAK1"""]),
    'R-CFA-450321':Nto._make([date(2019,  3, 20), '...I...', 'BC', """JNK (c-Jun kinases) phosphorylation and  activation mediated by activated human TAK1"""]),
    'R-DDI-450321':Nto._make([date(2019,  3, 20), '...I...', 'BC', """JNK (c-Jun kinases) phosphorylation and  activation mediated by activated human TAK1"""]),
    'R-DME-450321':Nto._make([date(2019,  3, 20), '...I...', 'BC', """JNK (c-Jun kinases) phosphorylation and  activation mediated by activated human TAK1"""]),
    'R-DRE-450321':Nto._make([date(2019,  3, 20), '...I...', 'BC', """JNK (c-Jun kinases) phosphorylation and  activation mediated by activated human TAK1"""]),
    'R-GGA-450321':Nto._make([date(2019,  3, 20), '...I...', 'BC', """JNK (c-Jun kinases) phosphorylation and  activation mediated by activated human TAK1"""]),
    'R-MMU-450321':Nto._make([date(2019,  3, 20), '...I...', 'BC', """JNK (c-Jun kinases) phosphorylation and  activation mediated by activated human TAK1"""]),
    'R-RNO-450321':Nto._make([date(2019,  3, 20), '...I...', 'BC', """JNK (c-Jun kinases) phosphorylation and  activation mediated by activated human TAK1"""]),
    'R-SSC-450321':Nto._make([date(2019,  3, 20), '...I...', 'BC', """JNK (c-Jun kinases) phosphorylation and  activation mediated by activated human TAK1"""]),
    'R-XTR-450321':Nto._make([date(2019,  3, 20), '...I...', 'BC', """JNK (c-Jun kinases) phosphorylation and  activation mediated by activated human TAK1"""]),
    'R-HSA-450341':Nto._make([date(2010,  3, 16), '....P..', 'BC', """Activation of the AP-1 family of transcription factors"""]),
    'R-BTA-450341':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of the AP-1 family of transcription factors"""]),
    'R-CEL-450341':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of the AP-1 family of transcription factors"""]),
    'R-CFA-450341':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of the AP-1 family of transcription factors"""]),
    'R-DME-450341':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of the AP-1 family of transcription factors"""]),
    'R-DRE-450341':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of the AP-1 family of transcription factors"""]),
    'R-GGA-450341':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of the AP-1 family of transcription factors"""]),
    'R-MMU-450341':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of the AP-1 family of transcription factors"""]),
    'R-RNO-450341':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of the AP-1 family of transcription factors"""]),
    'R-SCE-450341':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of the AP-1 family of transcription factors"""]),
    'R-SPO-450341':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of the AP-1 family of transcription factors"""]),
    'R-SSC-450341':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of the AP-1 family of transcription factors"""]),
    'R-XTR-450341':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of the AP-1 family of transcription factors"""]),
    'R-HSA-450385':Nto._make([date(2010,  9, 21), '....P..', 'BC', """Butyrate Response Factor 1 (BRF1) binds and destabilizes mRNA"""]),
    'R-BTA-450385':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Butyrate Response Factor 1 (BRF1) binds and destabilizes mRNA"""]),
    'R-CEL-450385':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Butyrate Response Factor 1 (BRF1) binds and destabilizes mRNA"""]),
    'R-CFA-450385':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Butyrate Response Factor 1 (BRF1) binds and destabilizes mRNA"""]),
    'R-DDI-450385':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Butyrate Response Factor 1 (BRF1) binds and destabilizes mRNA"""]),
    'R-DME-450385':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Butyrate Response Factor 1 (BRF1) binds and destabilizes mRNA"""]),
    'R-DRE-450385':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Butyrate Response Factor 1 (BRF1) binds and destabilizes mRNA"""]),
    'R-GGA-450385':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Butyrate Response Factor 1 (BRF1) binds and destabilizes mRNA"""]),
    'R-MMU-450385':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Butyrate Response Factor 1 (BRF1) binds and destabilizes mRNA"""]),
    'R-RNO-450385':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Butyrate Response Factor 1 (BRF1) binds and destabilizes mRNA"""]),
    'R-SCE-450385':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Butyrate Response Factor 1 (BRF1) binds and destabilizes mRNA"""]),
    'R-SPO-450385':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Butyrate Response Factor 1 (BRF1) binds and destabilizes mRNA"""]),
    'R-SSC-450385':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Butyrate Response Factor 1 (BRF1) binds and destabilizes mRNA"""]),
    'R-XTR-450385':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Butyrate Response Factor 1 (BRF1) binds and destabilizes mRNA"""]),
    'R-HSA-450408':Nto._make([date(2010,  9, 21), '....P..', 'BC', """AUF1 (hnRNP D0) binds and destabilizes mRNA"""]),
    'R-BTA-450408':Nto._make([date(2019,  3, 20), '...I...', 'BC', """AUF1 (hnRNP D0) binds and destabilizes mRNA"""]),
    'R-CEL-450408':Nto._make([date(2019,  3, 20), '...I...', 'BC', """AUF1 (hnRNP D0) binds and destabilizes mRNA"""]),
    'R-CFA-450408':Nto._make([date(2019,  3, 20), '...I...', 'BC', """AUF1 (hnRNP D0) binds and destabilizes mRNA"""]),
    'R-DDI-450408':Nto._make([date(2019,  3, 20), '...I...', 'BC', """AUF1 (hnRNP D0) binds and destabilizes mRNA"""]),
    'R-DME-450408':Nto._make([date(2019,  3, 20), '...I...', 'BC', """AUF1 (hnRNP D0) binds and destabilizes mRNA"""]),
    'R-DRE-450408':Nto._make([date(2019,  3, 20), '...I...', 'BC', """AUF1 (hnRNP D0) binds and destabilizes mRNA"""]),
    'R-GGA-450408':Nto._make([date(2019,  3, 20), '...I...', 'BC', """AUF1 (hnRNP D0) binds and destabilizes mRNA"""]),
    'R-MMU-450408':Nto._make([date(2019,  3, 20), '...I...', 'BC', """AUF1 (hnRNP D0) binds and destabilizes mRNA"""]),
    'R-PFA-450408':Nto._make([date(2019,  3, 20), '...I...', 'BC', """AUF1 (hnRNP D0) binds and destabilizes mRNA"""]),
    'R-RNO-450408':Nto._make([date(2019,  3, 20), '...I...', 'BC', """AUF1 (hnRNP D0) binds and destabilizes mRNA"""]),
    'R-SSC-450408':Nto._make([date(2019,  3, 20), '...I...', 'BC', """AUF1 (hnRNP D0) binds and destabilizes mRNA"""]),
    'R-XTR-450408':Nto._make([date(2019,  3, 20), '...I...', 'BC', """AUF1 (hnRNP D0) binds and destabilizes mRNA"""]),
    'R-HSA-450513':Nto._make([date(2010,  9, 21), '....P..', 'BC', """Tristetraprolin (TTP, ZFP36) binds and destabilizes mRNA"""]),
    'R-CFA-450513':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tristetraprolin (TTP, ZFP36) binds and destabilizes mRNA"""]),
    'R-DDI-450513':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tristetraprolin (TTP, ZFP36) binds and destabilizes mRNA"""]),
    'R-DME-450513':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tristetraprolin (TTP, ZFP36) binds and destabilizes mRNA"""]),
    'R-DRE-450513':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tristetraprolin (TTP, ZFP36) binds and destabilizes mRNA"""]),
    'R-GGA-450513':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tristetraprolin (TTP, ZFP36) binds and destabilizes mRNA"""]),
    'R-MMU-450513':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tristetraprolin (TTP, ZFP36) binds and destabilizes mRNA"""]),
    'R-RNO-450513':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tristetraprolin (TTP, ZFP36) binds and destabilizes mRNA"""]),
    'R-SCE-450513':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tristetraprolin (TTP, ZFP36) binds and destabilizes mRNA"""]),
    'R-SPO-450513':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tristetraprolin (TTP, ZFP36) binds and destabilizes mRNA"""]),
    'R-SSC-450513':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tristetraprolin (TTP, ZFP36) binds and destabilizes mRNA"""]),
    'R-XTR-450513':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Tristetraprolin (TTP, ZFP36) binds and destabilizes mRNA"""]),
    'R-HSA-450520':Nto._make([date(2010,  9, 21), '....P..', 'BC', """HuR (ELAVL1) binds and stabilizes mRNA"""]),
    'R-BTA-450520':Nto._make([date(2019,  3, 20), '...I...', 'BC', """HuR (ELAVL1) binds and stabilizes mRNA"""]),
    'R-CFA-450520':Nto._make([date(2019,  3, 20), '...I...', 'BC', """HuR (ELAVL1) binds and stabilizes mRNA"""]),
    'R-DME-450520':Nto._make([date(2019,  3, 20), '...I...', 'BC', """HuR (ELAVL1) binds and stabilizes mRNA"""]),
    'R-DRE-450520':Nto._make([date(2019,  3, 20), '...I...', 'BC', """HuR (ELAVL1) binds and stabilizes mRNA"""]),
    'R-GGA-450520':Nto._make([date(2019,  3, 20), '...I...', 'BC', """HuR (ELAVL1) binds and stabilizes mRNA"""]),
    'R-MMU-450520':Nto._make([date(2019,  3, 20), '...I...', 'BC', """HuR (ELAVL1) binds and stabilizes mRNA"""]),
    'R-PFA-450520':Nto._make([date(2019,  3, 20), '...I...', 'BC', """HuR (ELAVL1) binds and stabilizes mRNA"""]),
    'R-RNO-450520':Nto._make([date(2019,  3, 20), '...I...', 'BC', """HuR (ELAVL1) binds and stabilizes mRNA"""]),
    'R-SSC-450520':Nto._make([date(2019,  3, 20), '...I...', 'BC', """HuR (ELAVL1) binds and stabilizes mRNA"""]),
    'R-XTR-450520':Nto._make([date(2019,  3, 20), '...I...', 'BC', """HuR (ELAVL1) binds and stabilizes mRNA"""]),
    'R-HSA-450531':Nto._make([date(2010, 12, 14), '..f.P..', 'BC', """Regulation of mRNA stability by proteins that bind AU-rich elements"""]),
    'R-BTA-450531':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of mRNA stability by proteins that bind AU-rich elements"""]),
    'R-CEL-450531':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of mRNA stability by proteins that bind AU-rich elements"""]),
    'R-CFA-450531':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of mRNA stability by proteins that bind AU-rich elements"""]),
    'R-DDI-450531':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of mRNA stability by proteins that bind AU-rich elements"""]),
    'R-DME-450531':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of mRNA stability by proteins that bind AU-rich elements"""]),
    'R-DRE-450531':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of mRNA stability by proteins that bind AU-rich elements"""]),
    'R-GGA-450531':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of mRNA stability by proteins that bind AU-rich elements"""]),
    'R-MMU-450531':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of mRNA stability by proteins that bind AU-rich elements"""]),
    'R-PFA-450531':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of mRNA stability by proteins that bind AU-rich elements"""]),
    'R-RNO-450531':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of mRNA stability by proteins that bind AU-rich elements"""]),
    'R-SCE-450531':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of mRNA stability by proteins that bind AU-rich elements"""]),
    'R-SPO-450531':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of mRNA stability by proteins that bind AU-rich elements"""]),
    'R-SSC-450531':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of mRNA stability by proteins that bind AU-rich elements"""]),
    'R-XTR-450531':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of mRNA stability by proteins that bind AU-rich elements"""]),
    'R-HSA-450604':Nto._make([date(2010,  9, 21), '....P..', 'BC', """KSRP (KHSRP) binds and destabilizes mRNA"""]),
    'R-BTA-450604':Nto._make([date(2019,  3, 20), '...I...', 'BC', """KSRP (KHSRP) binds and destabilizes mRNA"""]),
    'R-CEL-450604':Nto._make([date(2019,  3, 20), '...I...', 'BC', """KSRP (KHSRP) binds and destabilizes mRNA"""]),
    'R-CFA-450604':Nto._make([date(2019,  3, 20), '...I...', 'BC', """KSRP (KHSRP) binds and destabilizes mRNA"""]),
    'R-DME-450604':Nto._make([date(2019,  3, 20), '...I...', 'BC', """KSRP (KHSRP) binds and destabilizes mRNA"""]),
    'R-DRE-450604':Nto._make([date(2019,  3, 20), '...I...', 'BC', """KSRP (KHSRP) binds and destabilizes mRNA"""]),
    'R-MMU-450604':Nto._make([date(2019,  3, 20), '...I...', 'BC', """KSRP (KHSRP) binds and destabilizes mRNA"""]),
    'R-RNO-450604':Nto._make([date(2019,  3, 20), '...I...', 'BC', """KSRP (KHSRP) binds and destabilizes mRNA"""]),
    'R-SSC-450604':Nto._make([date(2019,  3, 20), '...I...', 'BC', """KSRP (KHSRP) binds and destabilizes mRNA"""]),
    'R-XTR-450604':Nto._make([date(2019,  3, 20), '...I...', 'BC', """KSRP (KHSRP) binds and destabilizes mRNA"""]),
    'R-DME-450724':Nto._make([date(2010,  7, 23), '....P..', '..', """JNK signalling"""]),
    'R-DME-450728':Nto._make([date(2010,  7, 23), '....P..', '..', """Inhibition of actin polymerisation"""]),
    'R-DME-450736':Nto._make([date(2010,  7, 23), '....P..', '..', """Activation of Downstream Effectors"""]),
    'R-DME-450799':Nto._make([date(2010,  7, 23), '....P..', '..', """RHO1 signalling"""]),
    'R-HSA-451306':Nto._make([date(2010,  3, 16), '....P..', '.C', """Ionotropic activity of kainate receptors"""]),
    'R-BTA-451306':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ionotropic activity of kainate receptors"""]),
    'R-CEL-451306':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ionotropic activity of kainate receptors"""]),
    'R-CFA-451306':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ionotropic activity of kainate receptors"""]),
    'R-DME-451306':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ionotropic activity of kainate receptors"""]),
    'R-DRE-451306':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ionotropic activity of kainate receptors"""]),
    'R-GGA-451306':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ionotropic activity of kainate receptors"""]),
    'R-MMU-451306':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ionotropic activity of kainate receptors"""]),
    'R-RNO-451306':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ionotropic activity of kainate receptors"""]),
    'R-SSC-451306':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ionotropic activity of kainate receptors"""]),
    'R-XTR-451306':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ionotropic activity of kainate receptors"""]),
    'R-HSA-451307':Nto._make([date(2010,  3, 16), '....P..', '.C', """Activation of Na-permeable kainate receptors"""]),
    'R-BTA-451307':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of Na-permeable kainate receptors"""]),
    'R-CEL-451307':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of Na-permeable kainate receptors"""]),
    'R-CFA-451307':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of Na-permeable kainate receptors"""]),
    'R-DME-451307':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of Na-permeable kainate receptors"""]),
    'R-DRE-451307':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of Na-permeable kainate receptors"""]),
    'R-GGA-451307':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of Na-permeable kainate receptors"""]),
    'R-MMU-451307':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of Na-permeable kainate receptors"""]),
    'R-RNO-451307':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of Na-permeable kainate receptors"""]),
    'R-SSC-451307':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of Na-permeable kainate receptors"""]),
    'R-XTR-451307':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of Na-permeable kainate receptors"""]),
    'R-HSA-451308':Nto._make([date(2010,  3, 16), '....P..', '.C', """Activation of Ca-permeable Kainate Receptor"""]),
    'R-BTA-451308':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of Ca-permeable Kainate Receptor"""]),
    'R-CFA-451308':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of Ca-permeable Kainate Receptor"""]),
    'R-DME-451308':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of Ca-permeable Kainate Receptor"""]),
    'R-DRE-451308':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of Ca-permeable Kainate Receptor"""]),
    'R-MMU-451308':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of Ca-permeable Kainate Receptor"""]),
    'R-RNO-451308':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of Ca-permeable Kainate Receptor"""]),
    'R-SSC-451308':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of Ca-permeable Kainate Receptor"""]),
    'R-XTR-451308':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of Ca-permeable Kainate Receptor"""]),
    'R-HSA-451326':Nto._make([date(2010,  3, 16), '..f.P..', '.C', """Activation of kainate receptors upon glutamate binding"""]),
    'R-BTA-451326':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of kainate receptors upon glutamate binding"""]),
    'R-CEL-451326':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of kainate receptors upon glutamate binding"""]),
    'R-CFA-451326':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of kainate receptors upon glutamate binding"""]),
    'R-DME-451326':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of kainate receptors upon glutamate binding"""]),
    'R-DRE-451326':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of kainate receptors upon glutamate binding"""]),
    'R-GGA-451326':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of kainate receptors upon glutamate binding"""]),
    'R-MMU-451326':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of kainate receptors upon glutamate binding"""]),
    'R-RNO-451326':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of kainate receptors upon glutamate binding"""]),
    'R-SSC-451326':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of kainate receptors upon glutamate binding"""]),
    'R-XTR-451326':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activation of kainate receptors upon glutamate binding"""]),
    'R-GGA-451477':Nto._make([date(2011,  3, 15), '....P..', 'B.', """MyD88-dependent cascade initiated on endosome membrane"""]),
    'R-GGA-451478':Nto._make([date(2010, 12, 14), '....P..', 'B.', """ERK activation"""]),
    'R-GGA-451498':Nto._make([date(2011,  3, 15), '....P..', 'B.', """TLR7 cascade"""]),
    'R-GGA-451514':Nto._make([date(2010, 12, 14), '....P..', 'B.', """MyD88:TIRAP-dependent cascade initiated on plasma membrane"""]),
    'R-GGA-451524':Nto._make([date(2010, 12, 14), '...IP..', 'B.', """MAPK activation in TLR cascade"""]),
    'R-GGA-451529':Nto._make([date(2011,  3, 15), '....P..', 'B.', """TLR15 cascade"""]),
    'R-GGA-451531':Nto._make([date(2011,  3, 15), '....P..', 'B.', """TLR21 cascade"""]),
    'R-GGA-451534':Nto._make([date(2011,  3, 15), '....P..', 'B.', """TLR5 cascade"""]),
    'R-DME-451806':Nto._make([date(2010,  7, 23), '....P..', '..', """Phosphorylation-independent inhibition of YKI"""]),
    'R-HSA-451927':Nto._make([date(2011,  3, 15), '..f.P..', 'BC', """Interleukin-2 family signaling"""]),
    'R-BTA-451927':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-2 family signaling"""]),
    'R-CEL-451927':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-2 family signaling"""]),
    'R-CFA-451927':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-2 family signaling"""]),
    'R-DDI-451927':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-2 family signaling"""]),
    'R-DME-451927':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-2 family signaling"""]),
    'R-DRE-451927':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-2 family signaling"""]),
    'R-GGA-451927':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-2 family signaling"""]),
    'R-MMU-451927':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-2 family signaling"""]),
    'R-RNO-451927':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-2 family signaling"""]),
    'R-SSC-451927':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-2 family signaling"""]),
    'R-XTR-451927':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-2 family signaling"""]),
    'R-HSA-452723':Nto._make([date(2014,  3, 12), '..f.P..', 'BC', """Transcriptional regulation of pluripotent stem cells"""]),
    'R-HSA-453274':Nto._make([date(2001,  3, 16), '..f.P..', '..', """Mitotic G2-G2/M phases"""]),
    'R-BTA-453274':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G2-G2/M phases"""]),
    'R-CEL-453274':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G2-G2/M phases"""]),
    'R-CFA-453274':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G2-G2/M phases"""]),
    'R-DDI-453274':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G2-G2/M phases"""]),
    'R-DME-453274':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G2-G2/M phases"""]),
    'R-DRE-453274':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G2-G2/M phases"""]),
    'R-GGA-453274':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G2-G2/M phases"""]),
    'R-MMU-453274':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G2-G2/M phases"""]),
    'R-PFA-453274':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G2-G2/M phases"""]),
    'R-RNO-453274':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G2-G2/M phases"""]),
    'R-SCE-453274':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G2-G2/M phases"""]),
    'R-SPO-453274':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G2-G2/M phases"""]),
    'R-SSC-453274':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G2-G2/M phases"""]),
    'R-XTR-453274':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G2-G2/M phases"""]),
    'R-HSA-453276':Nto._make([date(2001,  3, 16), '..f....', '..', """Regulation of mitotic cell cycle"""]),
    'R-BTA-453276':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of mitotic cell cycle"""]),
    'R-CEL-453276':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of mitotic cell cycle"""]),
    'R-CFA-453276':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of mitotic cell cycle"""]),
    'R-DDI-453276':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of mitotic cell cycle"""]),
    'R-DME-453276':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of mitotic cell cycle"""]),
    'R-DRE-453276':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of mitotic cell cycle"""]),
    'R-GGA-453276':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of mitotic cell cycle"""]),
    'R-MMU-453276':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of mitotic cell cycle"""]),
    'R-RNO-453276':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of mitotic cell cycle"""]),
    'R-SCE-453276':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of mitotic cell cycle"""]),
    'R-SPO-453276':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of mitotic cell cycle"""]),
    'R-SSC-453276':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of mitotic cell cycle"""]),
    'R-XTR-453276':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of mitotic cell cycle"""]),
    'R-HSA-453279':Nto._make([date(2010,  3, 16), '..f.P..', '..', """Mitotic G1-G1/S phases"""]),
    'R-BTA-453279':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G1-G1/S phases"""]),
    'R-CEL-453279':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G1-G1/S phases"""]),
    'R-CFA-453279':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G1-G1/S phases"""]),
    'R-DDI-453279':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G1-G1/S phases"""]),
    'R-DME-453279':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G1-G1/S phases"""]),
    'R-DRE-453279':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G1-G1/S phases"""]),
    'R-GGA-453279':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G1-G1/S phases"""]),
    'R-MMU-453279':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G1-G1/S phases"""]),
    'R-PFA-453279':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G1-G1/S phases"""]),
    'R-RNO-453279':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G1-G1/S phases"""]),
    'R-SCE-453279':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G1-G1/S phases"""]),
    'R-SPO-453279':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G1-G1/S phases"""]),
    'R-SSC-453279':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G1-G1/S phases"""]),
    'R-XTR-453279':Nto._make([date(2019,  3, 20), '..fI...', '..', """Mitotic G1-G1/S phases"""]),
    'R-HSA-456926':Nto._make([date(2010,  9, 21), '..f.P..', '.C', """Thrombin signalling through proteinase activated receptors (PARs)"""]),
    'R-BTA-456926':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Thrombin signalling through proteinase activated receptors (PARs)"""]),
    'R-CEL-456926':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Thrombin signalling through proteinase activated receptors (PARs)"""]),
    'R-CFA-456926':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Thrombin signalling through proteinase activated receptors (PARs)"""]),
    'R-DRE-456926':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Thrombin signalling through proteinase activated receptors (PARs)"""]),
    'R-GGA-456926':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Thrombin signalling through proteinase activated receptors (PARs)"""]),
    'R-MMU-456926':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Thrombin signalling through proteinase activated receptors (PARs)"""]),
    'R-RNO-456926':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Thrombin signalling through proteinase activated receptors (PARs)"""]),
    'R-SSC-456926':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Thrombin signalling through proteinase activated receptors (PARs)"""]),
    'R-XTR-456926':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Thrombin signalling through proteinase activated receptors (PARs)"""]),
    'R-HSA-480985':Nto._make([date(2010,  6, 15), '.......', 'B.', """Synthesis of dolichyl-phosphate-glucose"""]),
    'R-BTA-480985':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of dolichyl-phosphate-glucose"""]),
    'R-CEL-480985':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of dolichyl-phosphate-glucose"""]),
    'R-CFA-480985':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of dolichyl-phosphate-glucose"""]),
    'R-DDI-480985':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of dolichyl-phosphate-glucose"""]),
    'R-DME-480985':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of dolichyl-phosphate-glucose"""]),
    'R-GGA-480985':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of dolichyl-phosphate-glucose"""]),
    'R-MMU-480985':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of dolichyl-phosphate-glucose"""]),
    'R-RNO-480985':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of dolichyl-phosphate-glucose"""]),
    'R-SCE-480985':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of dolichyl-phosphate-glucose"""]),
    'R-SPO-480985':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of dolichyl-phosphate-glucose"""]),
    'R-SSC-480985':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of dolichyl-phosphate-glucose"""]),
    'R-XTR-480985':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of dolichyl-phosphate-glucose"""]),
    'R-HSA-499943':Nto._make([date(2010,  3, 16), '..f.PB.', 'BC', """Interconversion of nucleotide di- and triphosphates"""]),
    'R-BTA-499943':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interconversion of nucleotide di- and triphosphates"""]),
    'R-CEL-499943':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interconversion of nucleotide di- and triphosphates"""]),
    'R-CFA-499943':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interconversion of nucleotide di- and triphosphates"""]),
    'R-DDI-499943':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interconversion of nucleotide di- and triphosphates"""]),
    'R-DME-499943':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interconversion of nucleotide di- and triphosphates"""]),
    'R-DRE-499943':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interconversion of nucleotide di- and triphosphates"""]),
    'R-GGA-499943':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interconversion of nucleotide di- and triphosphates"""]),
    'R-MMU-499943':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interconversion of nucleotide di- and triphosphates"""]),
    'R-PFA-499943':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interconversion of nucleotide di- and triphosphates"""]),
    'R-RNO-499943':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interconversion of nucleotide di- and triphosphates"""]),
    'R-SCE-499943':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interconversion of nucleotide di- and triphosphates"""]),
    'R-SPO-499943':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interconversion of nucleotide di- and triphosphates"""]),
    'R-SSC-499943':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interconversion of nucleotide di- and triphosphates"""]),
    'R-XTR-499943':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interconversion of nucleotide di- and triphosphates"""]),
    'R-HSA-500657':Nto._make([date(2010,  3, 16), '....P..', '.C', """Presynaptic function of Kainate receptors"""]),
    'R-BTA-500657':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic function of Kainate receptors"""]),
    'R-CEL-500657':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic function of Kainate receptors"""]),
    'R-CFA-500657':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic function of Kainate receptors"""]),
    'R-DME-500657':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic function of Kainate receptors"""]),
    'R-DRE-500657':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic function of Kainate receptors"""]),
    'R-GGA-500657':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic function of Kainate receptors"""]),
    'R-MMU-500657':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic function of Kainate receptors"""]),
    'R-RNO-500657':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic function of Kainate receptors"""]),
    'R-SSC-500657':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic function of Kainate receptors"""]),
    'R-XTR-500657':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic function of Kainate receptors"""]),
    'R-HSA-500753':Nto._make([date(2010,  3, 16), '....P..', 'BC', """Pyrimidine biosynthesis"""]),
    'R-BTA-500753':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pyrimidine biosynthesis"""]),
    'R-CEL-500753':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pyrimidine biosynthesis"""]),
    'R-CFA-500753':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pyrimidine biosynthesis"""]),
    'R-DDI-500753':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pyrimidine biosynthesis"""]),
    'R-DME-500753':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pyrimidine biosynthesis"""]),
    'R-DRE-500753':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pyrimidine biosynthesis"""]),
    'R-GGA-500753':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pyrimidine biosynthesis"""]),
    'R-MMU-500753':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pyrimidine biosynthesis"""]),
    'R-PFA-500753':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pyrimidine biosynthesis"""]),
    'R-RNO-500753':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pyrimidine biosynthesis"""]),
    'R-SCE-500753':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pyrimidine biosynthesis"""]),
    'R-SPO-500753':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pyrimidine biosynthesis"""]),
    'R-SSC-500753':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pyrimidine biosynthesis"""]),
    'R-XTR-500753':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pyrimidine biosynthesis"""]),
    'R-HSA-500792':Nto._make([date(2010,  3, 16), '..F.P..', '.C', """GPCR ligand binding"""]),
    'R-BTA-500792':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GPCR ligand binding"""]),
    'R-CEL-500792':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GPCR ligand binding"""]),
    'R-CFA-500792':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GPCR ligand binding"""]),
    'R-DDI-500792':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GPCR ligand binding"""]),
    'R-DME-500792':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GPCR ligand binding"""]),
    'R-DRE-500792':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GPCR ligand binding"""]),
    'R-GGA-500792':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GPCR ligand binding"""]),
    'R-MMU-500792':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GPCR ligand binding"""]),
    'R-RNO-500792':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GPCR ligand binding"""]),
    'R-SSC-500792':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GPCR ligand binding"""]),
    'R-XTR-500792':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GPCR ligand binding"""]),
    'R-HSA-512988':Nto._make([date(2010,  9, 21), '..F.P..', 'BC', """Interleukin-3, Interleukin-5 and GM-CSF signaling"""]),
    'R-BTA-512988':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-3, Interleukin-5 and GM-CSF signaling"""]),
    'R-CEL-512988':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-3, Interleukin-5 and GM-CSF signaling"""]),
    'R-CFA-512988':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-3, Interleukin-5 and GM-CSF signaling"""]),
    'R-DDI-512988':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-3, Interleukin-5 and GM-CSF signaling"""]),
    'R-DME-512988':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-3, Interleukin-5 and GM-CSF signaling"""]),
    'R-DRE-512988':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-3, Interleukin-5 and GM-CSF signaling"""]),
    'R-GGA-512988':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-3, Interleukin-5 and GM-CSF signaling"""]),
    'R-MMU-512988':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-3, Interleukin-5 and GM-CSF signaling"""]),
    'R-RNO-512988':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-3, Interleukin-5 and GM-CSF signaling"""]),
    'R-SSC-512988':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-3, Interleukin-5 and GM-CSF signaling"""]),
    'R-XTR-512988':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-3, Interleukin-5 and GM-CSF signaling"""]),
    'R-GGA-517856':Nto._make([date(2010, 12, 14), '....P..', 'B.', """TLR2 subfamily cascade"""]),
    'R-HSA-525793':Nto._make([date(2010,  3, 16), '..f.P..', 'B.', """Myogenesis"""]),
    'R-BTA-525793':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Myogenesis"""]),
    'R-CEL-525793':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Myogenesis"""]),
    'R-CFA-525793':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Myogenesis"""]),
    'R-DME-525793':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Myogenesis"""]),
    'R-DRE-525793':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Myogenesis"""]),
    'R-GGA-525793':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Myogenesis"""]),
    'R-MMU-525793':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Myogenesis"""]),
    'R-RNO-525793':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Myogenesis"""]),
    'R-SCE-525793':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Myogenesis"""]),
    'R-SPO-525793':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Myogenesis"""]),
    'R-SSC-525793':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Myogenesis"""]),
    'R-XTR-525793':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Myogenesis"""]),
    'R-HSA-532668':Nto._make([date(2010,  9, 21), '....P..', 'B.', """N-glycan trimming in the ER and Calnexin/Calreticulin cycle"""]),
    'R-BTA-532668':Nto._make([date(2019,  3, 20), '...I...', 'B.', """N-glycan trimming in the ER and Calnexin/Calreticulin cycle"""]),
    'R-CEL-532668':Nto._make([date(2019,  3, 20), '...I...', 'B.', """N-glycan trimming in the ER and Calnexin/Calreticulin cycle"""]),
    'R-CFA-532668':Nto._make([date(2019,  3, 20), '...I...', 'B.', """N-glycan trimming in the ER and Calnexin/Calreticulin cycle"""]),
    'R-DDI-532668':Nto._make([date(2019,  3, 20), '...I...', 'B.', """N-glycan trimming in the ER and Calnexin/Calreticulin cycle"""]),
    'R-DME-532668':Nto._make([date(2019,  3, 20), '...I...', 'B.', """N-glycan trimming in the ER and Calnexin/Calreticulin cycle"""]),
    'R-DRE-532668':Nto._make([date(2019,  3, 20), '...I...', 'B.', """N-glycan trimming in the ER and Calnexin/Calreticulin cycle"""]),
    'R-GGA-532668':Nto._make([date(2019,  3, 20), '...I...', 'B.', """N-glycan trimming in the ER and Calnexin/Calreticulin cycle"""]),
    'R-MMU-532668':Nto._make([date(2019,  3, 20), '...I...', 'B.', """N-glycan trimming in the ER and Calnexin/Calreticulin cycle"""]),
    'R-RNO-532668':Nto._make([date(2019,  3, 20), '...I...', 'B.', """N-glycan trimming in the ER and Calnexin/Calreticulin cycle"""]),
    'R-SCE-532668':Nto._make([date(2019,  3, 20), '...I...', 'B.', """N-glycan trimming in the ER and Calnexin/Calreticulin cycle"""]),
    'R-SPO-532668':Nto._make([date(2019,  3, 20), '...I...', 'B.', """N-glycan trimming in the ER and Calnexin/Calreticulin cycle"""]),
    'R-SSC-532668':Nto._make([date(2019,  3, 20), '...I...', 'B.', """N-glycan trimming in the ER and Calnexin/Calreticulin cycle"""]),
    'R-XTR-532668':Nto._make([date(2019,  3, 20), '...I...', 'B.', """N-glycan trimming in the ER and Calnexin/Calreticulin cycle"""]),
    'R-DME-538864':Nto._make([date(2010,  7, 23), '....P..', '..', """Degradation of CRY"""]),
    'R-DME-538898':Nto._make([date(2010,  7, 23), '....P..', '..', """Dephosphorylation of TIM"""]),
    'R-HSA-549127':Nto._make([date(2010,  6, 15), '....P..', '..', """Organic cation transport"""]),
    'R-BTA-549127':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic cation transport"""]),
    'R-CEL-549127':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic cation transport"""]),
    'R-CFA-549127':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic cation transport"""]),
    'R-DME-549127':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic cation transport"""]),
    'R-DRE-549127':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic cation transport"""]),
    'R-GGA-549127':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic cation transport"""]),
    'R-MMU-549127':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic cation transport"""]),
    'R-PFA-549127':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic cation transport"""]),
    'R-RNO-549127':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic cation transport"""]),
    'R-SSC-549127':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic cation transport"""]),
    'R-XTR-549127':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic cation transport"""]),
    'R-HSA-549132':Nto._make([date(2010,  6, 15), '....P..', '..', """Organic cation/anion/zwitterion transport"""]),
    'R-BTA-549132':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic cation/anion/zwitterion transport"""]),
    'R-CEL-549132':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic cation/anion/zwitterion transport"""]),
    'R-CFA-549132':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic cation/anion/zwitterion transport"""]),
    'R-DME-549132':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic cation/anion/zwitterion transport"""]),
    'R-DRE-549132':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic cation/anion/zwitterion transport"""]),
    'R-GGA-549132':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic cation/anion/zwitterion transport"""]),
    'R-MMU-549132':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic cation/anion/zwitterion transport"""]),
    'R-PFA-549132':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic cation/anion/zwitterion transport"""]),
    'R-RNO-549132':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic cation/anion/zwitterion transport"""]),
    'R-SSC-549132':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic cation/anion/zwitterion transport"""]),
    'R-XTR-549132':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic cation/anion/zwitterion transport"""]),
    'R-HSA-556833':Nto._make([date(2010,  6, 15), '..f...U', 'B.', """Metabolism of lipids"""]),
    'R-BTA-556833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of lipids"""]),
    'R-CEL-556833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of lipids"""]),
    'R-CFA-556833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of lipids"""]),
    'R-DDI-556833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of lipids"""]),
    'R-DME-556833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of lipids"""]),
    'R-DRE-556833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of lipids"""]),
    'R-GGA-556833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of lipids"""]),
    'R-MMU-556833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of lipids"""]),
    'R-PFA-556833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of lipids"""]),
    'R-RNO-556833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of lipids"""]),
    'R-SCE-556833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of lipids"""]),
    'R-SPO-556833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of lipids"""]),
    'R-SSC-556833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of lipids"""]),
    'R-XTR-556833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of lipids"""]),
    'R-HSA-561048':Nto._make([date(2010,  6, 15), '....P..', '..', """Organic anion transport"""]),
    'R-BTA-561048':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transport"""]),
    'R-CEL-561048':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transport"""]),
    'R-CFA-561048':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transport"""]),
    'R-DME-561048':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transport"""]),
    'R-DRE-561048':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transport"""]),
    'R-GGA-561048':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transport"""]),
    'R-MMU-561048':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transport"""]),
    'R-PFA-561048':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transport"""]),
    'R-RNO-561048':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transport"""]),
    'R-SSC-561048':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transport"""]),
    'R-XTR-561048':Nto._make([date(2019,  3, 20), '...I...', '..', """Organic anion transport"""]),
    'R-GGA-573298':Nto._make([date(2011,  3, 15), '....P..', 'B.', """NFkB and MAPK activation mediated by TRAF6 upon TLR7 or TLR21 stimulation"""]),
    'R-HSA-597592':Nto._make([date(2010,  6, 15), '..F....', 'B.', """Post-translational protein modification"""]),
    'R-BTA-597592':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational protein modification"""]),
    'R-CEL-597592':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational protein modification"""]),
    'R-CFA-597592':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational protein modification"""]),
    'R-DDI-597592':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational protein modification"""]),
    'R-DME-597592':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational protein modification"""]),
    'R-DRE-597592':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational protein modification"""]),
    'R-GGA-597592':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational protein modification"""]),
    'R-MMU-597592':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational protein modification"""]),
    'R-PFA-597592':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational protein modification"""]),
    'R-RNO-597592':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational protein modification"""]),
    'R-SCE-597592':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational protein modification"""]),
    'R-SPO-597592':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational protein modification"""]),
    'R-SSC-597592':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational protein modification"""]),
    'R-XTR-597592':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Post-translational protein modification"""]),
    'R-HSA-606279':Nto._make([date(2010,  6, 15), '....P..', 'BC', """Deposition of new CENPA-containing nucleosomes at the centromere"""]),
    'R-BTA-606279':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Deposition of new CENPA-containing nucleosomes at the centromere"""]),
    'R-CFA-606279':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Deposition of new CENPA-containing nucleosomes at the centromere"""]),
    'R-DRE-606279':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Deposition of new CENPA-containing nucleosomes at the centromere"""]),
    'R-MMU-606279':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Deposition of new CENPA-containing nucleosomes at the centromere"""]),
    'R-RNO-606279':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Deposition of new CENPA-containing nucleosomes at the centromere"""]),
    'R-SSC-606279':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Deposition of new CENPA-containing nucleosomes at the centromere"""]),
    'R-HSA-611105':Nto._make([date(2009, 12, 15), '....PB.', 'B.', """Respiratory electron transport"""]),
    'R-BTA-611105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Respiratory electron transport"""]),
    'R-CEL-611105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Respiratory electron transport"""]),
    'R-CFA-611105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Respiratory electron transport"""]),
    'R-DDI-611105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Respiratory electron transport"""]),
    'R-DME-611105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Respiratory electron transport"""]),
    'R-DRE-611105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Respiratory electron transport"""]),
    'R-GGA-611105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Respiratory electron transport"""]),
    'R-MMU-611105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Respiratory electron transport"""]),
    'R-RNO-611105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Respiratory electron transport"""]),
    'R-SCE-611105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Respiratory electron transport"""]),
    'R-SPO-611105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Respiratory electron transport"""]),
    'R-SSC-611105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Respiratory electron transport"""]),
    'R-XTR-611105':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Respiratory electron transport"""]),
    'R-HSA-622312':Nto._make([date(2011,  6, 14), '....P..', '.C', """Inflammasomes"""]),
    'R-BTA-622312':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inflammasomes"""]),
    'R-CEL-622312':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inflammasomes"""]),
    'R-CFA-622312':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inflammasomes"""]),
    'R-DDI-622312':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inflammasomes"""]),
    'R-DME-622312':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inflammasomes"""]),
    'R-DRE-622312':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inflammasomes"""]),
    'R-GGA-622312':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inflammasomes"""]),
    'R-MMU-622312':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inflammasomes"""]),
    'R-PFA-622312':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inflammasomes"""]),
    'R-RNO-622312':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inflammasomes"""]),
    'R-SCE-622312':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inflammasomes"""]),
    'R-SPO-622312':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inflammasomes"""]),
    'R-SSC-622312':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inflammasomes"""]),
    'R-XTR-622312':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inflammasomes"""]),
    'R-HSA-622323':Nto._make([date(2010,  6, 15), '....P..', '.C', """Presynaptic nicotinic acetylcholine receptors"""]),
    'R-BTA-622323':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic nicotinic acetylcholine receptors"""]),
    'R-CEL-622323':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic nicotinic acetylcholine receptors"""]),
    'R-CFA-622323':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic nicotinic acetylcholine receptors"""]),
    'R-DME-622323':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic nicotinic acetylcholine receptors"""]),
    'R-DRE-622323':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic nicotinic acetylcholine receptors"""]),
    'R-MMU-622323':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic nicotinic acetylcholine receptors"""]),
    'R-RNO-622323':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic nicotinic acetylcholine receptors"""]),
    'R-SSC-622323':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic nicotinic acetylcholine receptors"""]),
    'R-XTR-622323':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic nicotinic acetylcholine receptors"""]),
    'R-HSA-622327':Nto._make([date(2010,  6, 15), '....P..', '.C', """Postsynaptic nicotinic acetylcholine receptors"""]),
    'R-BTA-622327':Nto._make([date(2019,  3, 20), '...I...', '.C', """Postsynaptic nicotinic acetylcholine receptors"""]),
    'R-CEL-622327':Nto._make([date(2019,  3, 20), '...I...', '.C', """Postsynaptic nicotinic acetylcholine receptors"""]),
    'R-CFA-622327':Nto._make([date(2019,  3, 20), '...I...', '.C', """Postsynaptic nicotinic acetylcholine receptors"""]),
    'R-DME-622327':Nto._make([date(2019,  3, 20), '...I...', '.C', """Postsynaptic nicotinic acetylcholine receptors"""]),
    'R-DRE-622327':Nto._make([date(2019,  3, 20), '...I...', '.C', """Postsynaptic nicotinic acetylcholine receptors"""]),
    'R-MMU-622327':Nto._make([date(2019,  3, 20), '...I...', '.C', """Postsynaptic nicotinic acetylcholine receptors"""]),
    'R-RNO-622327':Nto._make([date(2019,  3, 20), '...I...', '.C', """Postsynaptic nicotinic acetylcholine receptors"""]),
    'R-SSC-622327':Nto._make([date(2019,  3, 20), '...I...', '.C', """Postsynaptic nicotinic acetylcholine receptors"""]),
    'R-XTR-622327':Nto._make([date(2019,  3, 20), '...I...', '.C', """Postsynaptic nicotinic acetylcholine receptors"""]),
    'R-HSA-629587':Nto._make([date(2010,  6, 15), '....P..', '.C', """Highly sodium permeable acetylcholine nicotinic receptors"""]),
    'R-CEL-629587':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly sodium permeable acetylcholine nicotinic receptors"""]),
    'R-CFA-629587':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly sodium permeable acetylcholine nicotinic receptors"""]),
    'R-DME-629587':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly sodium permeable acetylcholine nicotinic receptors"""]),
    'R-DRE-629587':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly sodium permeable acetylcholine nicotinic receptors"""]),
    'R-MMU-629587':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly sodium permeable acetylcholine nicotinic receptors"""]),
    'R-RNO-629587':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly sodium permeable acetylcholine nicotinic receptors"""]),
    'R-SSC-629587':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly sodium permeable acetylcholine nicotinic receptors"""]),
    'R-XTR-629587':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly sodium permeable acetylcholine nicotinic receptors"""]),
    'R-HSA-629594':Nto._make([date(2010,  6, 15), '....P..', '.C', """Highly calcium permeable postsynaptic nicotinic acetylcholine receptors"""]),
    'R-BTA-629594':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly calcium permeable postsynaptic nicotinic acetylcholine receptors"""]),
    'R-CEL-629594':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly calcium permeable postsynaptic nicotinic acetylcholine receptors"""]),
    'R-CFA-629594':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly calcium permeable postsynaptic nicotinic acetylcholine receptors"""]),
    'R-DME-629594':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly calcium permeable postsynaptic nicotinic acetylcholine receptors"""]),
    'R-DRE-629594':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly calcium permeable postsynaptic nicotinic acetylcholine receptors"""]),
    'R-MMU-629594':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly calcium permeable postsynaptic nicotinic acetylcholine receptors"""]),
    'R-RNO-629594':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly calcium permeable postsynaptic nicotinic acetylcholine receptors"""]),
    'R-SSC-629594':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly calcium permeable postsynaptic nicotinic acetylcholine receptors"""]),
    'R-XTR-629594':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly calcium permeable postsynaptic nicotinic acetylcholine receptors"""]),
    'R-HSA-629597':Nto._make([date(2010,  6, 15), '....P..', '.C', """Highly calcium permeable nicotinic acetylcholine receptors"""]),
    'R-BTA-629597':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly calcium permeable nicotinic acetylcholine receptors"""]),
    'R-CEL-629597':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly calcium permeable nicotinic acetylcholine receptors"""]),
    'R-CFA-629597':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly calcium permeable nicotinic acetylcholine receptors"""]),
    'R-DME-629597':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly calcium permeable nicotinic acetylcholine receptors"""]),
    'R-DRE-629597':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly calcium permeable nicotinic acetylcholine receptors"""]),
    'R-MMU-629597':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly calcium permeable nicotinic acetylcholine receptors"""]),
    'R-RNO-629597':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly calcium permeable nicotinic acetylcholine receptors"""]),
    'R-SSC-629597':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly calcium permeable nicotinic acetylcholine receptors"""]),
    'R-XTR-629597':Nto._make([date(2019,  3, 20), '...I...', '.C', """Highly calcium permeable nicotinic acetylcholine receptors"""]),
    'R-HSA-674695':Nto._make([date(2010,  6, 15), '....P..', '.C', """RNA Polymerase II Pre-transcription Events"""]),
    'R-BTA-674695':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Pre-transcription Events"""]),
    'R-CEL-674695':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Pre-transcription Events"""]),
    'R-CFA-674695':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Pre-transcription Events"""]),
    'R-DDI-674695':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Pre-transcription Events"""]),
    'R-DME-674695':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Pre-transcription Events"""]),
    'R-DRE-674695':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Pre-transcription Events"""]),
    'R-GGA-674695':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Pre-transcription Events"""]),
    'R-MMU-674695':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Pre-transcription Events"""]),
    'R-PFA-674695':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Pre-transcription Events"""]),
    'R-RNO-674695':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Pre-transcription Events"""]),
    'R-SCE-674695':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Pre-transcription Events"""]),
    'R-SPO-674695':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Pre-transcription Events"""]),
    'R-SSC-674695':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Pre-transcription Events"""]),
    'R-XTR-674695':Nto._make([date(2019,  3, 20), '...I...', '.C', """RNA Polymerase II Pre-transcription Events"""]),
    'R-HSA-727802':Nto._make([date(2010,  6, 15), '....P..', '..', """Transport of nucleotide sugars"""]),
    'R-BTA-727802':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport of nucleotide sugars"""]),
    'R-CEL-727802':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport of nucleotide sugars"""]),
    'R-CFA-727802':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport of nucleotide sugars"""]),
    'R-DDI-727802':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport of nucleotide sugars"""]),
    'R-DME-727802':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport of nucleotide sugars"""]),
    'R-DRE-727802':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport of nucleotide sugars"""]),
    'R-GGA-727802':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport of nucleotide sugars"""]),
    'R-MMU-727802':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport of nucleotide sugars"""]),
    'R-RNO-727802':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport of nucleotide sugars"""]),
    'R-SCE-727802':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport of nucleotide sugars"""]),
    'R-SPO-727802':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport of nucleotide sugars"""]),
    'R-SSC-727802':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport of nucleotide sugars"""]),
    'R-XTR-727802':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport of nucleotide sugars"""]),
    'R-HSA-749476':Nto._make([date(2010,  6, 15), '.......', '.C', """RNA Polymerase III Abortive And Retractive Initiation"""]),
    'R-HSA-774815':Nto._make([date(2010,  6, 15), '..f....', 'B.', """Nucleosome assembly"""]),
    'R-BTA-774815':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleosome assembly"""]),
    'R-CFA-774815':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleosome assembly"""]),
    'R-DRE-774815':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleosome assembly"""]),
    'R-MMU-774815':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleosome assembly"""]),
    'R-RNO-774815':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleosome assembly"""]),
    'R-SSC-774815':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleosome assembly"""]),
    'R-HSA-804914':Nto._make([date(2010,  9, 21), '....P..', 'B.', """Transport of fatty acids"""]),
    'R-BTA-804914':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of fatty acids"""]),
    'R-CEL-804914':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of fatty acids"""]),
    'R-CFA-804914':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of fatty acids"""]),
    'R-DME-804914':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of fatty acids"""]),
    'R-DRE-804914':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of fatty acids"""]),
    'R-GGA-804914':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of fatty acids"""]),
    'R-MMU-804914':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of fatty acids"""]),
    'R-RNO-804914':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of fatty acids"""]),
    'R-SCE-804914':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of fatty acids"""]),
    'R-SSC-804914':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of fatty acids"""]),
    'R-XTR-804914':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of fatty acids"""]),
    'R-HSA-844455':Nto._make([date(2011,  6, 14), '....P..', '.C', """The NLRP1 inflammasome"""]),
    'R-BTA-844455':Nto._make([date(2019,  3, 20), '...I...', '.C', """The NLRP1 inflammasome"""]),
    'R-CFA-844455':Nto._make([date(2019,  3, 20), '...I...', '.C', """The NLRP1 inflammasome"""]),
    'R-DRE-844455':Nto._make([date(2019,  3, 20), '...I...', '.C', """The NLRP1 inflammasome"""]),
    'R-GGA-844455':Nto._make([date(2019,  3, 20), '...I...', '.C', """The NLRP1 inflammasome"""]),
    'R-MMU-844455':Nto._make([date(2019,  3, 20), '...I...', '.C', """The NLRP1 inflammasome"""]),
    'R-RNO-844455':Nto._make([date(2019,  3, 20), '...I...', '.C', """The NLRP1 inflammasome"""]),
    'R-SSC-844455':Nto._make([date(2019,  3, 20), '...I...', '.C', """The NLRP1 inflammasome"""]),
    'R-HSA-844456':Nto._make([date(2011,  6, 14), '....P..', '.C', """The NLRP3 inflammasome"""]),
    'R-BTA-844456':Nto._make([date(2019,  3, 20), '...I...', '.C', """The NLRP3 inflammasome"""]),
    'R-CEL-844456':Nto._make([date(2019,  3, 20), '...I...', '.C', """The NLRP3 inflammasome"""]),
    'R-CFA-844456':Nto._make([date(2019,  3, 20), '...I...', '.C', """The NLRP3 inflammasome"""]),
    'R-DDI-844456':Nto._make([date(2019,  3, 20), '...I...', '.C', """The NLRP3 inflammasome"""]),
    'R-DME-844456':Nto._make([date(2019,  3, 20), '...I...', '.C', """The NLRP3 inflammasome"""]),
    'R-DRE-844456':Nto._make([date(2019,  3, 20), '...I...', '.C', """The NLRP3 inflammasome"""]),
    'R-GGA-844456':Nto._make([date(2019,  3, 20), '...I...', '.C', """The NLRP3 inflammasome"""]),
    'R-MMU-844456':Nto._make([date(2019,  3, 20), '...I...', '.C', """The NLRP3 inflammasome"""]),
    'R-PFA-844456':Nto._make([date(2019,  3, 20), '...I...', '.C', """The NLRP3 inflammasome"""]),
    'R-RNO-844456':Nto._make([date(2019,  3, 20), '...I...', '.C', """The NLRP3 inflammasome"""]),
    'R-SCE-844456':Nto._make([date(2019,  3, 20), '...I...', '.C', """The NLRP3 inflammasome"""]),
    'R-SPO-844456':Nto._make([date(2019,  3, 20), '...I...', '.C', """The NLRP3 inflammasome"""]),
    'R-SSC-844456':Nto._make([date(2019,  3, 20), '...I...', '.C', """The NLRP3 inflammasome"""]),
    'R-XTR-844456':Nto._make([date(2019,  3, 20), '...I...', '.C', """The NLRP3 inflammasome"""]),
    'R-HSA-844615':Nto._make([date(2011,  6, 14), '....P..', '.C', """The AIM2 inflammasome"""]),
    'R-MMU-844615':Nto._make([date(2019,  3, 20), '...I...', '.C', """The AIM2 inflammasome"""]),
    'R-RNO-844615':Nto._make([date(2019,  3, 20), '...I...', '.C', """The AIM2 inflammasome"""]),
    'R-HSA-844623':Nto._make([date(2011,  6, 14), '....P..', '.C', """The IPAF inflammasome"""]),
    'R-MTU-868688':Nto._make([date(2011,  3, 15), '....P..', 'BC', """Trehalose biosynthesis"""]),
    'R-MTU-870331':Nto._make([date(2011,  3, 15), '....P..', 'B.', """Mycothiol metabolism"""]),
    'R-MTU-870392':Nto._make([date(2011,  3, 15), 'T.f.P..', '..', """Mycobacterium tuberculosis biological processes"""]),
    'R-HSA-877300':Nto._make([date(2010, 12, 14), '..f.P..', 'B.', """Interferon gamma signaling"""]),
    'R-BTA-877300':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon gamma signaling"""]),
    'R-CEL-877300':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon gamma signaling"""]),
    'R-CFA-877300':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon gamma signaling"""]),
    'R-DDI-877300':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon gamma signaling"""]),
    'R-DME-877300':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon gamma signaling"""]),
    'R-DRE-877300':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon gamma signaling"""]),
    'R-GGA-877300':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon gamma signaling"""]),
    'R-MMU-877300':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon gamma signaling"""]),
    'R-RNO-877300':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon gamma signaling"""]),
    'R-SSC-877300':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon gamma signaling"""]),
    'R-XTR-877300':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon gamma signaling"""]),
    'R-HSA-877312':Nto._make([date(2010, 12, 14), '....P..', 'B.', """Regulation of IFNG signaling"""]),
    'R-BTA-877312':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of IFNG signaling"""]),
    'R-CEL-877312':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of IFNG signaling"""]),
    'R-CFA-877312':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of IFNG signaling"""]),
    'R-DDI-877312':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of IFNG signaling"""]),
    'R-DME-877312':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of IFNG signaling"""]),
    'R-DRE-877312':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of IFNG signaling"""]),
    'R-GGA-877312':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of IFNG signaling"""]),
    'R-MMU-877312':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of IFNG signaling"""]),
    'R-RNO-877312':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of IFNG signaling"""]),
    'R-SSC-877312':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of IFNG signaling"""]),
    'R-XTR-877312':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of IFNG signaling"""]),
    'R-MTU-879235':Nto._make([date(2011,  3, 15), '....P..', 'BC', """Mycothiol-dependent detoxification"""]),
    'R-MTU-879299':Nto._make([date(2011,  3, 15), '....P..', 'BC', """Mycothiol biosynthesis"""]),
    'R-MTU-879325':Nto._make([date(2011,  3, 15), '....P..', 'B.', """Mycothiol catabolism"""]),
    'R-HSA-879415':Nto._make([date(2010, 12, 14), '..f.P..', '.C', """Advanced glycosylation endproduct receptor signaling"""]),
    'R-BTA-879415':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Advanced glycosylation endproduct receptor signaling"""]),
    'R-CFA-879415':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Advanced glycosylation endproduct receptor signaling"""]),
    'R-DDI-879415':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Advanced glycosylation endproduct receptor signaling"""]),
    'R-DRE-879415':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Advanced glycosylation endproduct receptor signaling"""]),
    'R-GGA-879415':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Advanced glycosylation endproduct receptor signaling"""]),
    'R-MMU-879415':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Advanced glycosylation endproduct receptor signaling"""]),
    'R-RNO-879415':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Advanced glycosylation endproduct receptor signaling"""]),
    'R-SSC-879415':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Advanced glycosylation endproduct receptor signaling"""]),
    'R-XTR-879415':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Advanced glycosylation endproduct receptor signaling"""]),
    'R-HSA-879518':Nto._make([date(2010,  9, 21), '....P..', 'B.', """Transport of organic anions"""]),
    'R-BTA-879518':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of organic anions"""]),
    'R-CEL-879518':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of organic anions"""]),
    'R-CFA-879518':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of organic anions"""]),
    'R-DME-879518':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of organic anions"""]),
    'R-DRE-879518':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of organic anions"""]),
    'R-GGA-879518':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of organic anions"""]),
    'R-MMU-879518':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of organic anions"""]),
    'R-RNO-879518':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of organic anions"""]),
    'R-SCE-879518':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of organic anions"""]),
    'R-SPO-879518':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of organic anions"""]),
    'R-SSC-879518':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of organic anions"""]),
    'R-XTR-879518':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transport of organic anions"""]),
    'R-HSA-880009':Nto._make([date(2010, 12, 14), '....P..', 'B.', """Interconversion of 2-oxoglutarate and 2-hydroxyglutarate"""]),
    'R-BTA-880009':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interconversion of 2-oxoglutarate and 2-hydroxyglutarate"""]),
    'R-CEL-880009':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interconversion of 2-oxoglutarate and 2-hydroxyglutarate"""]),
    'R-CFA-880009':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interconversion of 2-oxoglutarate and 2-hydroxyglutarate"""]),
    'R-DDI-880009':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interconversion of 2-oxoglutarate and 2-hydroxyglutarate"""]),
    'R-DME-880009':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interconversion of 2-oxoglutarate and 2-hydroxyglutarate"""]),
    'R-DRE-880009':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interconversion of 2-oxoglutarate and 2-hydroxyglutarate"""]),
    'R-GGA-880009':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interconversion of 2-oxoglutarate and 2-hydroxyglutarate"""]),
    'R-MMU-880009':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interconversion of 2-oxoglutarate and 2-hydroxyglutarate"""]),
    'R-RNO-880009':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interconversion of 2-oxoglutarate and 2-hydroxyglutarate"""]),
    'R-SCE-880009':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interconversion of 2-oxoglutarate and 2-hydroxyglutarate"""]),
    'R-SPO-880009':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interconversion of 2-oxoglutarate and 2-hydroxyglutarate"""]),
    'R-SSC-880009':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interconversion of 2-oxoglutarate and 2-hydroxyglutarate"""]),
    'R-XTR-880009':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interconversion of 2-oxoglutarate and 2-hydroxyglutarate"""]),
    'R-HSA-881907':Nto._make([date(2012,  6, 12), '..f.P..', '..', """Gastrin-CREB signalling pathway via PKC and MAPK"""]),
    'R-BTA-881907':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gastrin-CREB signalling pathway via PKC and MAPK"""]),
    'R-CEL-881907':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gastrin-CREB signalling pathway via PKC and MAPK"""]),
    'R-CFA-881907':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gastrin-CREB signalling pathway via PKC and MAPK"""]),
    'R-DDI-881907':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gastrin-CREB signalling pathway via PKC and MAPK"""]),
    'R-DME-881907':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gastrin-CREB signalling pathway via PKC and MAPK"""]),
    'R-DRE-881907':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gastrin-CREB signalling pathway via PKC and MAPK"""]),
    'R-GGA-881907':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gastrin-CREB signalling pathway via PKC and MAPK"""]),
    'R-MMU-881907':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gastrin-CREB signalling pathway via PKC and MAPK"""]),
    'R-PFA-881907':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gastrin-CREB signalling pathway via PKC and MAPK"""]),
    'R-RNO-881907':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gastrin-CREB signalling pathway via PKC and MAPK"""]),
    'R-SCE-881907':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gastrin-CREB signalling pathway via PKC and MAPK"""]),
    'R-SPO-881907':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gastrin-CREB signalling pathway via PKC and MAPK"""]),
    'R-SSC-881907':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gastrin-CREB signalling pathway via PKC and MAPK"""]),
    'R-XTR-881907':Nto._make([date(2019,  3, 20), '..fI...', '..', """Gastrin-CREB signalling pathway via PKC and MAPK"""]),
    'R-HSA-888568':Nto._make([date(2010,  9, 21), '....P..', '.C', """GABA synthesis"""]),
    'R-BTA-888568':Nto._make([date(2019,  3, 20), '...I...', '.C', """GABA synthesis"""]),
    'R-CEL-888568':Nto._make([date(2019,  3, 20), '...I...', '.C', """GABA synthesis"""]),
    'R-DME-888568':Nto._make([date(2019,  3, 20), '...I...', '.C', """GABA synthesis"""]),
    'R-DRE-888568':Nto._make([date(2019,  3, 20), '...I...', '.C', """GABA synthesis"""]),
    'R-GGA-888568':Nto._make([date(2019,  3, 20), '...I...', '.C', """GABA synthesis"""]),
    'R-MMU-888568':Nto._make([date(2019,  3, 20), '...I...', '.C', """GABA synthesis"""]),
    'R-RNO-888568':Nto._make([date(2019,  3, 20), '...I...', '.C', """GABA synthesis"""]),
    'R-SSC-888568':Nto._make([date(2019,  3, 20), '...I...', '.C', """GABA synthesis"""]),
    'R-XTR-888568':Nto._make([date(2019,  3, 20), '...I...', '.C', """GABA synthesis"""]),
    'R-HSA-888590':Nto._make([date(2010,  9, 21), '..f.P..', '.C', """GABA synthesis, release, reuptake and degradation"""]),
    'R-BTA-888590':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA synthesis, release, reuptake and degradation"""]),
    'R-CEL-888590':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA synthesis, release, reuptake and degradation"""]),
    'R-CFA-888590':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA synthesis, release, reuptake and degradation"""]),
    'R-DDI-888590':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA synthesis, release, reuptake and degradation"""]),
    'R-DME-888590':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA synthesis, release, reuptake and degradation"""]),
    'R-DRE-888590':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA synthesis, release, reuptake and degradation"""]),
    'R-GGA-888590':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA synthesis, release, reuptake and degradation"""]),
    'R-MMU-888590':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA synthesis, release, reuptake and degradation"""]),
    'R-PFA-888590':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA synthesis, release, reuptake and degradation"""]),
    'R-RNO-888590':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA synthesis, release, reuptake and degradation"""]),
    'R-SCE-888590':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA synthesis, release, reuptake and degradation"""]),
    'R-SPO-888590':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA synthesis, release, reuptake and degradation"""]),
    'R-SSC-888590':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA synthesis, release, reuptake and degradation"""]),
    'R-XTR-888590':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA synthesis, release, reuptake and degradation"""]),
    'R-HSA-888593':Nto._make([date(2010,  9, 21), '....P..', '.C', """Reuptake of GABA"""]),
    'R-BTA-888593':Nto._make([date(2019,  3, 20), '...I...', '.C', """Reuptake of GABA"""]),
    'R-CEL-888593':Nto._make([date(2019,  3, 20), '...I...', '.C', """Reuptake of GABA"""]),
    'R-CFA-888593':Nto._make([date(2019,  3, 20), '...I...', '.C', """Reuptake of GABA"""]),
    'R-DRE-888593':Nto._make([date(2019,  3, 20), '...I...', '.C', """Reuptake of GABA"""]),
    'R-GGA-888593':Nto._make([date(2019,  3, 20), '...I...', '.C', """Reuptake of GABA"""]),
    'R-MMU-888593':Nto._make([date(2019,  3, 20), '...I...', '.C', """Reuptake of GABA"""]),
    'R-PFA-888593':Nto._make([date(2019,  3, 20), '...I...', '.C', """Reuptake of GABA"""]),
    'R-RNO-888593':Nto._make([date(2019,  3, 20), '...I...', '.C', """Reuptake of GABA"""]),
    'R-SSC-888593':Nto._make([date(2019,  3, 20), '...I...', '.C', """Reuptake of GABA"""]),
    'R-XTR-888593':Nto._make([date(2019,  3, 20), '...I...', '.C', """Reuptake of GABA"""]),
    'R-HSA-901032':Nto._make([date(2010, 12, 14), '....P..', 'B.', """ER Quality Control Compartment (ERQC)"""]),
    'R-BTA-901032':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ER Quality Control Compartment (ERQC)"""]),
    'R-CEL-901032':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ER Quality Control Compartment (ERQC)"""]),
    'R-CFA-901032':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ER Quality Control Compartment (ERQC)"""]),
    'R-DDI-901032':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ER Quality Control Compartment (ERQC)"""]),
    'R-DME-901032':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ER Quality Control Compartment (ERQC)"""]),
    'R-DRE-901032':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ER Quality Control Compartment (ERQC)"""]),
    'R-GGA-901032':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ER Quality Control Compartment (ERQC)"""]),
    'R-MMU-901032':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ER Quality Control Compartment (ERQC)"""]),
    'R-RNO-901032':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ER Quality Control Compartment (ERQC)"""]),
    'R-SSC-901032':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ER Quality Control Compartment (ERQC)"""]),
    'R-XTR-901032':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ER Quality Control Compartment (ERQC)"""]),
    'R-HSA-901042':Nto._make([date(2010,  9, 21), '....P..', '..', """Calnexin/calreticulin cycle"""]),
    'R-BTA-901042':Nto._make([date(2019,  3, 20), '...I...', '..', """Calnexin/calreticulin cycle"""]),
    'R-CEL-901042':Nto._make([date(2019,  3, 20), '...I...', '..', """Calnexin/calreticulin cycle"""]),
    'R-CFA-901042':Nto._make([date(2019,  3, 20), '...I...', '..', """Calnexin/calreticulin cycle"""]),
    'R-DDI-901042':Nto._make([date(2019,  3, 20), '...I...', '..', """Calnexin/calreticulin cycle"""]),
    'R-DME-901042':Nto._make([date(2019,  3, 20), '...I...', '..', """Calnexin/calreticulin cycle"""]),
    'R-DRE-901042':Nto._make([date(2019,  3, 20), '...I...', '..', """Calnexin/calreticulin cycle"""]),
    'R-GGA-901042':Nto._make([date(2019,  3, 20), '...I...', '..', """Calnexin/calreticulin cycle"""]),
    'R-MMU-901042':Nto._make([date(2019,  3, 20), '...I...', '..', """Calnexin/calreticulin cycle"""]),
    'R-RNO-901042':Nto._make([date(2019,  3, 20), '...I...', '..', """Calnexin/calreticulin cycle"""]),
    'R-SCE-901042':Nto._make([date(2019,  3, 20), '...I...', '..', """Calnexin/calreticulin cycle"""]),
    'R-SPO-901042':Nto._make([date(2019,  3, 20), '...I...', '..', """Calnexin/calreticulin cycle"""]),
    'R-SSC-901042':Nto._make([date(2019,  3, 20), '...I...', '..', """Calnexin/calreticulin cycle"""]),
    'R-XTR-901042':Nto._make([date(2019,  3, 20), '...I...', '..', """Calnexin/calreticulin cycle"""]),
    'R-HSA-909733':Nto._make([date(2010, 12, 14), '..f.P..', 'B.', """Interferon alpha/beta signaling"""]),
    'R-BTA-909733':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon alpha/beta signaling"""]),
    'R-CEL-909733':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon alpha/beta signaling"""]),
    'R-CFA-909733':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon alpha/beta signaling"""]),
    'R-DDI-909733':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon alpha/beta signaling"""]),
    'R-DME-909733':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon alpha/beta signaling"""]),
    'R-DRE-909733':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon alpha/beta signaling"""]),
    'R-GGA-909733':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon alpha/beta signaling"""]),
    'R-MMU-909733':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon alpha/beta signaling"""]),
    'R-RNO-909733':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon alpha/beta signaling"""]),
    'R-SSC-909733':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon alpha/beta signaling"""]),
    'R-XTR-909733':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon alpha/beta signaling"""]),
    'R-HSA-912446':Nto._make([date(2011,  3, 15), '..f.P..', '.C', """Meiotic recombination"""]),
    'R-HSA-912526':Nto._make([date(2010,  9, 21), '....P..', '.C', """Interleukin receptor SHC signaling"""]),
    'R-BTA-912526':Nto._make([date(2019,  3, 20), '...I...', '.C', """Interleukin receptor SHC signaling"""]),
    'R-CFA-912526':Nto._make([date(2019,  3, 20), '...I...', '.C', """Interleukin receptor SHC signaling"""]),
    'R-DRE-912526':Nto._make([date(2019,  3, 20), '...I...', '.C', """Interleukin receptor SHC signaling"""]),
    'R-GGA-912526':Nto._make([date(2019,  3, 20), '...I...', '.C', """Interleukin receptor SHC signaling"""]),
    'R-MMU-912526':Nto._make([date(2019,  3, 20), '...I...', '.C', """Interleukin receptor SHC signaling"""]),
    'R-RNO-912526':Nto._make([date(2019,  3, 20), '...I...', '.C', """Interleukin receptor SHC signaling"""]),
    'R-SSC-912526':Nto._make([date(2019,  3, 20), '...I...', '.C', """Interleukin receptor SHC signaling"""]),
    'R-HSA-912631':Nto._make([date(2010,  9, 21), '....P..', '.C', """Regulation of signaling by CBL"""]),
    'R-BTA-912631':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of signaling by CBL"""]),
    'R-CEL-912631':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of signaling by CBL"""]),
    'R-CFA-912631':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of signaling by CBL"""]),
    'R-DME-912631':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of signaling by CBL"""]),
    'R-DRE-912631':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of signaling by CBL"""]),
    'R-GGA-912631':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of signaling by CBL"""]),
    'R-MMU-912631':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of signaling by CBL"""]),
    'R-RNO-912631':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of signaling by CBL"""]),
    'R-SSC-912631':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of signaling by CBL"""]),
    'R-XTR-912631':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of signaling by CBL"""]),
    'R-HSA-912694':Nto._make([date(2010, 12, 14), '....P..', 'B.', """Regulation of IFNA signaling"""]),
    'R-BTA-912694':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of IFNA signaling"""]),
    'R-CFA-912694':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of IFNA signaling"""]),
    'R-DRE-912694':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of IFNA signaling"""]),
    'R-GGA-912694':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of IFNA signaling"""]),
    'R-MMU-912694':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of IFNA signaling"""]),
    'R-RNO-912694':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of IFNA signaling"""]),
    'R-SSC-912694':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of IFNA signaling"""]),
    'R-XTR-912694':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of IFNA signaling"""]),
    'R-HSA-913531':Nto._make([date(2010, 12, 14), '..F.P..', 'B.', """Interferon Signaling"""]),
    'R-BTA-913531':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon Signaling"""]),
    'R-CEL-913531':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon Signaling"""]),
    'R-CFA-913531':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon Signaling"""]),
    'R-DDI-913531':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon Signaling"""]),
    'R-DME-913531':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon Signaling"""]),
    'R-DRE-913531':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon Signaling"""]),
    'R-GGA-913531':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon Signaling"""]),
    'R-MMU-913531':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon Signaling"""]),
    'R-PFA-913531':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon Signaling"""]),
    'R-RNO-913531':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon Signaling"""]),
    'R-SSC-913531':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon Signaling"""]),
    'R-XTR-913531':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interferon Signaling"""]),
    'R-HSA-913709':Nto._make([date(2011, 12,  6), '....PB.', 'B.', """O-linked glycosylation of mucins"""]),
    'R-BTA-913709':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-linked glycosylation of mucins"""]),
    'R-CEL-913709':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-linked glycosylation of mucins"""]),
    'R-CFA-913709':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-linked glycosylation of mucins"""]),
    'R-DDI-913709':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-linked glycosylation of mucins"""]),
    'R-DME-913709':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-linked glycosylation of mucins"""]),
    'R-DRE-913709':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-linked glycosylation of mucins"""]),
    'R-GGA-913709':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-linked glycosylation of mucins"""]),
    'R-MMU-913709':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-linked glycosylation of mucins"""]),
    'R-PFA-913709':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-linked glycosylation of mucins"""]),
    'R-RNO-913709':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-linked glycosylation of mucins"""]),
    'R-SSC-913709':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-linked glycosylation of mucins"""]),
    'R-XTR-913709':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-linked glycosylation of mucins"""]),
    'R-HSA-916853':Nto._make([date(2010,  9, 21), '....P..', '.C', """Degradation of GABA"""]),
    'R-BTA-916853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Degradation of GABA"""]),
    'R-CEL-916853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Degradation of GABA"""]),
    'R-CFA-916853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Degradation of GABA"""]),
    'R-DDI-916853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Degradation of GABA"""]),
    'R-DME-916853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Degradation of GABA"""]),
    'R-DRE-916853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Degradation of GABA"""]),
    'R-GGA-916853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Degradation of GABA"""]),
    'R-MMU-916853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Degradation of GABA"""]),
    'R-RNO-916853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Degradation of GABA"""]),
    'R-SCE-916853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Degradation of GABA"""]),
    'R-SPO-916853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Degradation of GABA"""]),
    'R-SSC-916853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Degradation of GABA"""]),
    'R-XTR-916853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Degradation of GABA"""]),
    'R-HSA-917729':Nto._make([date(2011,  3, 15), '..f.P..', 'B.', """Endosomal Sorting Complex Required For Transport (ESCRT)"""]),
    'R-BTA-917729':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Endosomal Sorting Complex Required For Transport (ESCRT)"""]),
    'R-CEL-917729':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Endosomal Sorting Complex Required For Transport (ESCRT)"""]),
    'R-CFA-917729':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Endosomal Sorting Complex Required For Transport (ESCRT)"""]),
    'R-DDI-917729':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Endosomal Sorting Complex Required For Transport (ESCRT)"""]),
    'R-DME-917729':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Endosomal Sorting Complex Required For Transport (ESCRT)"""]),
    'R-DRE-917729':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Endosomal Sorting Complex Required For Transport (ESCRT)"""]),
    'R-GGA-917729':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Endosomal Sorting Complex Required For Transport (ESCRT)"""]),
    'R-MMU-917729':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Endosomal Sorting Complex Required For Transport (ESCRT)"""]),
    'R-RNO-917729':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Endosomal Sorting Complex Required For Transport (ESCRT)"""]),
    'R-SCE-917729':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Endosomal Sorting Complex Required For Transport (ESCRT)"""]),
    'R-SPO-917729':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Endosomal Sorting Complex Required For Transport (ESCRT)"""]),
    'R-SSC-917729':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Endosomal Sorting Complex Required For Transport (ESCRT)"""]),
    'R-XTR-917729':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Endosomal Sorting Complex Required For Transport (ESCRT)"""]),
    'R-HSA-917937':Nto._make([date(2010, 12, 14), '..f.P..', 'B.', """Iron uptake and transport"""]),
    'R-BTA-917937':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Iron uptake and transport"""]),
    'R-CEL-917937':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Iron uptake and transport"""]),
    'R-CFA-917937':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Iron uptake and transport"""]),
    'R-DDI-917937':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Iron uptake and transport"""]),
    'R-DME-917937':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Iron uptake and transport"""]),
    'R-DRE-917937':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Iron uptake and transport"""]),
    'R-GGA-917937':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Iron uptake and transport"""]),
    'R-MMU-917937':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Iron uptake and transport"""]),
    'R-PFA-917937':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Iron uptake and transport"""]),
    'R-RNO-917937':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Iron uptake and transport"""]),
    'R-SCE-917937':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Iron uptake and transport"""]),
    'R-SPO-917937':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Iron uptake and transport"""]),
    'R-SSC-917937':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Iron uptake and transport"""]),
    'R-XTR-917937':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Iron uptake and transport"""]),
    'R-HSA-917977':Nto._make([date(2010, 12, 14), '....P..', 'B.', """Transferrin endocytosis and recycling"""]),
    'R-BTA-917977':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transferrin endocytosis and recycling"""]),
    'R-CEL-917977':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transferrin endocytosis and recycling"""]),
    'R-CFA-917977':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transferrin endocytosis and recycling"""]),
    'R-DDI-917977':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transferrin endocytosis and recycling"""]),
    'R-DME-917977':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transferrin endocytosis and recycling"""]),
    'R-DRE-917977':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transferrin endocytosis and recycling"""]),
    'R-GGA-917977':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transferrin endocytosis and recycling"""]),
    'R-MMU-917977':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transferrin endocytosis and recycling"""]),
    'R-PFA-917977':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transferrin endocytosis and recycling"""]),
    'R-RNO-917977':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transferrin endocytosis and recycling"""]),
    'R-SCE-917977':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transferrin endocytosis and recycling"""]),
    'R-SPO-917977':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transferrin endocytosis and recycling"""]),
    'R-SSC-917977':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transferrin endocytosis and recycling"""]),
    'R-XTR-917977':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transferrin endocytosis and recycling"""]),
    'R-HSA-918233':Nto._make([date(2010, 12, 14), '....P..', '.C', """TRAF3-dependent IRF activation pathway"""]),
    'R-BTA-918233':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF3-dependent IRF activation pathway"""]),
    'R-CFA-918233':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF3-dependent IRF activation pathway"""]),
    'R-DRE-918233':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF3-dependent IRF activation pathway"""]),
    'R-MMU-918233':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF3-dependent IRF activation pathway"""]),
    'R-RNO-918233':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF3-dependent IRF activation pathway"""]),
    'R-XTR-918233':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF3-dependent IRF activation pathway"""]),
    'R-HSA-927802':Nto._make([date(2011,  6, 14), '..f.P..', 'BC', """Nonsense-Mediated Decay (NMD)"""]),
    'R-BTA-927802':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonsense-Mediated Decay (NMD)"""]),
    'R-CEL-927802':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonsense-Mediated Decay (NMD)"""]),
    'R-CFA-927802':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonsense-Mediated Decay (NMD)"""]),
    'R-DDI-927802':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonsense-Mediated Decay (NMD)"""]),
    'R-DME-927802':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonsense-Mediated Decay (NMD)"""]),
    'R-DRE-927802':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonsense-Mediated Decay (NMD)"""]),
    'R-GGA-927802':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonsense-Mediated Decay (NMD)"""]),
    'R-MMU-927802':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonsense-Mediated Decay (NMD)"""]),
    'R-PFA-927802':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonsense-Mediated Decay (NMD)"""]),
    'R-RNO-927802':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonsense-Mediated Decay (NMD)"""]),
    'R-SCE-927802':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonsense-Mediated Decay (NMD)"""]),
    'R-SPO-927802':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonsense-Mediated Decay (NMD)"""]),
    'R-SSC-927802':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonsense-Mediated Decay (NMD)"""]),
    'R-XTR-927802':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonsense-Mediated Decay (NMD)"""]),
    'R-HSA-933541':Nto._make([date(2010, 12, 14), '....P..', '.C', """TRAF6 mediated IRF7 activation"""]),
    'R-BTA-933541':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated IRF7 activation"""]),
    'R-CFA-933541':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated IRF7 activation"""]),
    'R-DRE-933541':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated IRF7 activation"""]),
    'R-GGA-933541':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated IRF7 activation"""]),
    'R-MMU-933541':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated IRF7 activation"""]),
    'R-RNO-933541':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated IRF7 activation"""]),
    'R-SSC-933541':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated IRF7 activation"""]),
    'R-XTR-933541':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated IRF7 activation"""]),
    'R-HSA-933542':Nto._make([date(2010, 12, 14), '....P..', '.C', """TRAF6 mediated NF-kB activation"""]),
    'R-BTA-933542':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated NF-kB activation"""]),
    'R-CFA-933542':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated NF-kB activation"""]),
    'R-DME-933542':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated NF-kB activation"""]),
    'R-DRE-933542':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated NF-kB activation"""]),
    'R-MMU-933542':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated NF-kB activation"""]),
    'R-RNO-933542':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated NF-kB activation"""]),
    'R-SSC-933542':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated NF-kB activation"""]),
    'R-XTR-933542':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated NF-kB activation"""]),
    'R-HSA-933543':Nto._make([date(2010, 12, 14), '....P..', '.C', """NF-kB activation through FADD/RIP-1 pathway mediated by caspase-8 and -10"""]),
    'R-HSA-936440':Nto._make([date(2010, 12, 14), '....P..', 'B.', """Negative regulators of DDX58/IFIH1 signaling"""]),
    'R-BTA-936440':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulators of DDX58/IFIH1 signaling"""]),
    'R-CEL-936440':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulators of DDX58/IFIH1 signaling"""]),
    'R-CFA-936440':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulators of DDX58/IFIH1 signaling"""]),
    'R-DDI-936440':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulators of DDX58/IFIH1 signaling"""]),
    'R-DRE-936440':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulators of DDX58/IFIH1 signaling"""]),
    'R-GGA-936440':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulators of DDX58/IFIH1 signaling"""]),
    'R-MMU-936440':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulators of DDX58/IFIH1 signaling"""]),
    'R-PFA-936440':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulators of DDX58/IFIH1 signaling"""]),
    'R-RNO-936440':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulators of DDX58/IFIH1 signaling"""]),
    'R-SSC-936440':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulators of DDX58/IFIH1 signaling"""]),
    'R-XTR-936440':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulators of DDX58/IFIH1 signaling"""]),
    'R-MTU-936621':Nto._make([date(2011,  3, 15), '....P..', 'B.', """Sulfur compound metabolism"""]),
    'R-MTU-936635':Nto._make([date(2011,  3, 15), '....P..', 'B.', """Sulfate assimilation"""]),
    'R-MTU-936654':Nto._make([date(2011,  3, 15), '....P..', 'B.', """Cysteine synthesis from O-phosphoserine"""]),
    'R-MTU-936721':Nto._make([date(2011,  3, 15), '....P..', 'B.', """Cysteine synthesis from O-acetylserine"""]),
    'R-HSA-936837':Nto._make([date(2010, 12, 14), '....P..', 'B.', """Ion transport by P-type ATPases"""]),
    'R-BTA-936837':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion transport by P-type ATPases"""]),
    'R-CEL-936837':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion transport by P-type ATPases"""]),
    'R-CFA-936837':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion transport by P-type ATPases"""]),
    'R-DDI-936837':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion transport by P-type ATPases"""]),
    'R-DME-936837':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion transport by P-type ATPases"""]),
    'R-DRE-936837':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion transport by P-type ATPases"""]),
    'R-GGA-936837':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion transport by P-type ATPases"""]),
    'R-MMU-936837':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion transport by P-type ATPases"""]),
    'R-PFA-936837':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion transport by P-type ATPases"""]),
    'R-RNO-936837':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion transport by P-type ATPases"""]),
    'R-SCE-936837':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion transport by P-type ATPases"""]),
    'R-SPO-936837':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion transport by P-type ATPases"""]),
    'R-SSC-936837':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion transport by P-type ATPases"""]),
    'R-XTR-936837':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion transport by P-type ATPases"""]),
    'R-HSA-936964':Nto._make([date(2010, 12, 14), '....P..', 'BC', """Activation of IRF3/IRF7 mediated by TBK1/IKK epsilon"""]),
    'R-BTA-936964':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of IRF3/IRF7 mediated by TBK1/IKK epsilon"""]),
    'R-CFA-936964':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of IRF3/IRF7 mediated by TBK1/IKK epsilon"""]),
    'R-DRE-936964':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of IRF3/IRF7 mediated by TBK1/IKK epsilon"""]),
    'R-GGA-936964':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of IRF3/IRF7 mediated by TBK1/IKK epsilon"""]),
    'R-MMU-936964':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of IRF3/IRF7 mediated by TBK1/IKK epsilon"""]),
    'R-RNO-936964':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of IRF3/IRF7 mediated by TBK1/IKK epsilon"""]),
    'R-SSC-936964':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of IRF3/IRF7 mediated by TBK1/IKK epsilon"""]),
    'R-XTR-936964':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Activation of IRF3/IRF7 mediated by TBK1/IKK epsilon"""]),
    'R-HSA-937039':Nto._make([date(2010, 12, 14), '....P..', 'BC', """IRAK1 recruits IKK complex"""]),
    'R-BTA-937039':Nto._make([date(2019,  3, 20), '...I...', 'BC', """IRAK1 recruits IKK complex"""]),
    'R-CFA-937039':Nto._make([date(2019,  3, 20), '...I...', 'BC', """IRAK1 recruits IKK complex"""]),
    'R-DME-937039':Nto._make([date(2019,  3, 20), '...I...', 'BC', """IRAK1 recruits IKK complex"""]),
    'R-DRE-937039':Nto._make([date(2019,  3, 20), '...I...', 'BC', """IRAK1 recruits IKK complex"""]),
    'R-MMU-937039':Nto._make([date(2019,  3, 20), '...I...', 'BC', """IRAK1 recruits IKK complex"""]),
    'R-RNO-937039':Nto._make([date(2019,  3, 20), '...I...', 'BC', """IRAK1 recruits IKK complex"""]),
    'R-SSC-937039':Nto._make([date(2019,  3, 20), '...I...', 'BC', """IRAK1 recruits IKK complex"""]),
    'R-XTR-937039':Nto._make([date(2019,  3, 20), '...I...', 'BC', """IRAK1 recruits IKK complex"""]),
    'R-HSA-937041':Nto._make([date(2010, 12, 14), '....P..', '.C', """IKK complex recruitment mediated by RIP1"""]),
    'R-MMU-937041':Nto._make([date(2019,  3, 20), '...I...', '.C', """IKK complex recruitment mediated by RIP1"""]),
    'R-SSC-937041':Nto._make([date(2019,  3, 20), '...I...', '.C', """IKK complex recruitment mediated by RIP1"""]),
    'R-HSA-937042':Nto._make([date(2010, 12, 14), '....P..', '.C', """IRAK2 mediated activation of TAK1 complex"""]),
    'R-BTA-937042':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK2 mediated activation of TAK1 complex"""]),
    'R-CFA-937042':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK2 mediated activation of TAK1 complex"""]),
    'R-DDI-937042':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK2 mediated activation of TAK1 complex"""]),
    'R-DME-937042':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK2 mediated activation of TAK1 complex"""]),
    'R-DRE-937042':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK2 mediated activation of TAK1 complex"""]),
    'R-GGA-937042':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK2 mediated activation of TAK1 complex"""]),
    'R-MMU-937042':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK2 mediated activation of TAK1 complex"""]),
    'R-RNO-937042':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK2 mediated activation of TAK1 complex"""]),
    'R-SSC-937042':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK2 mediated activation of TAK1 complex"""]),
    'R-XTR-937042':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK2 mediated activation of TAK1 complex"""]),
    'R-HSA-937061':Nto._make([date(2010, 12, 14), '....P..', 'B.', """TRIF(TICAM1)-mediated TLR4 signaling """]),
    'R-BTA-937061':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRIF(TICAM1)-mediated TLR4 signaling """]),
    'R-CEL-937061':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRIF(TICAM1)-mediated TLR4 signaling """]),
    'R-CFA-937061':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRIF(TICAM1)-mediated TLR4 signaling """]),
    'R-DDI-937061':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRIF(TICAM1)-mediated TLR4 signaling """]),
    'R-DME-937061':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRIF(TICAM1)-mediated TLR4 signaling """]),
    'R-DRE-937061':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRIF(TICAM1)-mediated TLR4 signaling """]),
    'R-GGA-937061':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRIF(TICAM1)-mediated TLR4 signaling """]),
    'R-MMU-937061':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRIF(TICAM1)-mediated TLR4 signaling """]),
    'R-PFA-937061':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRIF(TICAM1)-mediated TLR4 signaling """]),
    'R-RNO-937061':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRIF(TICAM1)-mediated TLR4 signaling """]),
    'R-SCE-937061':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRIF(TICAM1)-mediated TLR4 signaling """]),
    'R-SPO-937061':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRIF(TICAM1)-mediated TLR4 signaling """]),
    'R-SSC-937061':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRIF(TICAM1)-mediated TLR4 signaling """]),
    'R-XTR-937061':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRIF(TICAM1)-mediated TLR4 signaling """]),
    'R-HSA-937072':Nto._make([date(2010, 12, 14), '....P..', 'BC', """TRAF6-mediated induction of TAK1 complex within TLR4 complex"""]),
    'R-BTA-937072':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TRAF6-mediated induction of TAK1 complex within TLR4 complex"""]),
    'R-CFA-937072':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TRAF6-mediated induction of TAK1 complex within TLR4 complex"""]),
    'R-DDI-937072':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TRAF6-mediated induction of TAK1 complex within TLR4 complex"""]),
    'R-DME-937072':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TRAF6-mediated induction of TAK1 complex within TLR4 complex"""]),
    'R-DRE-937072':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TRAF6-mediated induction of TAK1 complex within TLR4 complex"""]),
    'R-GGA-937072':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TRAF6-mediated induction of TAK1 complex within TLR4 complex"""]),
    'R-MMU-937072':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TRAF6-mediated induction of TAK1 complex within TLR4 complex"""]),
    'R-RNO-937072':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TRAF6-mediated induction of TAK1 complex within TLR4 complex"""]),
    'R-SSC-937072':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TRAF6-mediated induction of TAK1 complex within TLR4 complex"""]),
    'R-XTR-937072':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TRAF6-mediated induction of TAK1 complex within TLR4 complex"""]),
    'R-MTU-937250':Nto._make([date(2011,  3, 15), '....P..', 'B.', """Sulfur amino acid metabolism"""]),
    'R-HSA-947581':Nto._make([date(2010, 12, 14), '....P..', 'BC', """Molybdenum cofactor biosynthesis"""]),
    'R-BTA-947581':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Molybdenum cofactor biosynthesis"""]),
    'R-CEL-947581':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Molybdenum cofactor biosynthesis"""]),
    'R-CFA-947581':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Molybdenum cofactor biosynthesis"""]),
    'R-DDI-947581':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Molybdenum cofactor biosynthesis"""]),
    'R-DME-947581':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Molybdenum cofactor biosynthesis"""]),
    'R-DRE-947581':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Molybdenum cofactor biosynthesis"""]),
    'R-GGA-947581':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Molybdenum cofactor biosynthesis"""]),
    'R-MMU-947581':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Molybdenum cofactor biosynthesis"""]),
    'R-PFA-947581':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Molybdenum cofactor biosynthesis"""]),
    'R-RNO-947581':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Molybdenum cofactor biosynthesis"""]),
    'R-SCE-947581':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Molybdenum cofactor biosynthesis"""]),
    'R-SPO-947581':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Molybdenum cofactor biosynthesis"""]),
    'R-SSC-947581':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Molybdenum cofactor biosynthesis"""]),
    'R-XTR-947581':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Molybdenum cofactor biosynthesis"""]),
    'R-HSA-948021':Nto._make([date(2010, 12, 14), '....P..', '..', """Transport to the Golgi and subsequent modification"""]),
    'R-BTA-948021':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport to the Golgi and subsequent modification"""]),
    'R-CEL-948021':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport to the Golgi and subsequent modification"""]),
    'R-CFA-948021':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport to the Golgi and subsequent modification"""]),
    'R-DDI-948021':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport to the Golgi and subsequent modification"""]),
    'R-DME-948021':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport to the Golgi and subsequent modification"""]),
    'R-DRE-948021':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport to the Golgi and subsequent modification"""]),
    'R-GGA-948021':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport to the Golgi and subsequent modification"""]),
    'R-MMU-948021':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport to the Golgi and subsequent modification"""]),
    'R-PFA-948021':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport to the Golgi and subsequent modification"""]),
    'R-RNO-948021':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport to the Golgi and subsequent modification"""]),
    'R-SCE-948021':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport to the Golgi and subsequent modification"""]),
    'R-SPO-948021':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport to the Golgi and subsequent modification"""]),
    'R-SSC-948021':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport to the Golgi and subsequent modification"""]),
    'R-XTR-948021':Nto._make([date(2019,  3, 20), '...I...', '..', """Transport to the Golgi and subsequent modification"""]),
    'R-HSA-964739':Nto._make([date(2010, 12, 14), '....PB.', '..', """N-glycan trimming and elongation in the cis-Golgi"""]),
    'R-BTA-964739':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan trimming and elongation in the cis-Golgi"""]),
    'R-CEL-964739':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan trimming and elongation in the cis-Golgi"""]),
    'R-CFA-964739':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan trimming and elongation in the cis-Golgi"""]),
    'R-DDI-964739':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan trimming and elongation in the cis-Golgi"""]),
    'R-DME-964739':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan trimming and elongation in the cis-Golgi"""]),
    'R-DRE-964739':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan trimming and elongation in the cis-Golgi"""]),
    'R-GGA-964739':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan trimming and elongation in the cis-Golgi"""]),
    'R-MMU-964739':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan trimming and elongation in the cis-Golgi"""]),
    'R-RNO-964739':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan trimming and elongation in the cis-Golgi"""]),
    'R-SCE-964739':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan trimming and elongation in the cis-Golgi"""]),
    'R-SSC-964739':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan trimming and elongation in the cis-Golgi"""]),
    'R-XTR-964739':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan trimming and elongation in the cis-Golgi"""]),
    'R-HSA-964827':Nto._make([date(2010, 12, 14), '....P..', 'B.', """Progressive trimming of alpha-1,2-linked mannose residues from Man9/8/7GlcNAc2 to produce Man5GlcNAc2"""]),
    'R-BTA-964827':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Progressive trimming of alpha-1,2-linked mannose residues from Man9/8/7GlcNAc2 to produce Man5GlcNAc2"""]),
    'R-CEL-964827':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Progressive trimming of alpha-1,2-linked mannose residues from Man9/8/7GlcNAc2 to produce Man5GlcNAc2"""]),
    'R-CFA-964827':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Progressive trimming of alpha-1,2-linked mannose residues from Man9/8/7GlcNAc2 to produce Man5GlcNAc2"""]),
    'R-DDI-964827':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Progressive trimming of alpha-1,2-linked mannose residues from Man9/8/7GlcNAc2 to produce Man5GlcNAc2"""]),
    'R-DME-964827':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Progressive trimming of alpha-1,2-linked mannose residues from Man9/8/7GlcNAc2 to produce Man5GlcNAc2"""]),
    'R-DRE-964827':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Progressive trimming of alpha-1,2-linked mannose residues from Man9/8/7GlcNAc2 to produce Man5GlcNAc2"""]),
    'R-GGA-964827':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Progressive trimming of alpha-1,2-linked mannose residues from Man9/8/7GlcNAc2 to produce Man5GlcNAc2"""]),
    'R-MMU-964827':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Progressive trimming of alpha-1,2-linked mannose residues from Man9/8/7GlcNAc2 to produce Man5GlcNAc2"""]),
    'R-RNO-964827':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Progressive trimming of alpha-1,2-linked mannose residues from Man9/8/7GlcNAc2 to produce Man5GlcNAc2"""]),
    'R-SCE-964827':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Progressive trimming of alpha-1,2-linked mannose residues from Man9/8/7GlcNAc2 to produce Man5GlcNAc2"""]),
    'R-SSC-964827':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Progressive trimming of alpha-1,2-linked mannose residues from Man9/8/7GlcNAc2 to produce Man5GlcNAc2"""]),
    'R-XTR-964827':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Progressive trimming of alpha-1,2-linked mannose residues from Man9/8/7GlcNAc2 to produce Man5GlcNAc2"""]),
    'R-MTU-964903':Nto._make([date(2011,  3, 15), '....P..', 'BC', """Chorismate via Shikimate Pathway"""]),
    'R-HSA-964975':Nto._make([date(2010, 12, 14), '....P..', 'B.', """Vitamins B6 activation to pyridoxal phosphate"""]),
    'R-BTA-964975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamins B6 activation to pyridoxal phosphate"""]),
    'R-CEL-964975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamins B6 activation to pyridoxal phosphate"""]),
    'R-CFA-964975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamins B6 activation to pyridoxal phosphate"""]),
    'R-DDI-964975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamins B6 activation to pyridoxal phosphate"""]),
    'R-DME-964975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamins B6 activation to pyridoxal phosphate"""]),
    'R-DRE-964975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamins B6 activation to pyridoxal phosphate"""]),
    'R-GGA-964975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamins B6 activation to pyridoxal phosphate"""]),
    'R-MMU-964975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamins B6 activation to pyridoxal phosphate"""]),
    'R-PFA-964975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamins B6 activation to pyridoxal phosphate"""]),
    'R-RNO-964975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamins B6 activation to pyridoxal phosphate"""]),
    'R-SCE-964975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamins B6 activation to pyridoxal phosphate"""]),
    'R-SPO-964975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamins B6 activation to pyridoxal phosphate"""]),
    'R-SSC-964975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamins B6 activation to pyridoxal phosphate"""]),
    'R-XTR-964975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Vitamins B6 activation to pyridoxal phosphate"""]),
    'R-HSA-975110':Nto._make([date(2010, 12, 14), '....P..', '.C', """TRAF6 mediated IRF7 activation in TLR7/8 or 9 signaling"""]),
    'R-BTA-975110':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated IRF7 activation in TLR7/8 or 9 signaling"""]),
    'R-CFA-975110':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated IRF7 activation in TLR7/8 or 9 signaling"""]),
    'R-DRE-975110':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated IRF7 activation in TLR7/8 or 9 signaling"""]),
    'R-GGA-975110':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated IRF7 activation in TLR7/8 or 9 signaling"""]),
    'R-MMU-975110':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated IRF7 activation in TLR7/8 or 9 signaling"""]),
    'R-RNO-975110':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated IRF7 activation in TLR7/8 or 9 signaling"""]),
    'R-SSC-975110':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated IRF7 activation in TLR7/8 or 9 signaling"""]),
    'R-XTR-975110':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated IRF7 activation in TLR7/8 or 9 signaling"""]),
    'R-HSA-975138':Nto._make([date(2010, 12, 14), '....P..', '.C', """TRAF6 mediated induction of NFkB and MAP kinases upon TLR7/8 or 9 activation"""]),
    'R-BTA-975138':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated induction of NFkB and MAP kinases upon TLR7/8 or 9 activation"""]),
    'R-CEL-975138':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated induction of NFkB and MAP kinases upon TLR7/8 or 9 activation"""]),
    'R-CFA-975138':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated induction of NFkB and MAP kinases upon TLR7/8 or 9 activation"""]),
    'R-DDI-975138':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated induction of NFkB and MAP kinases upon TLR7/8 or 9 activation"""]),
    'R-DME-975138':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated induction of NFkB and MAP kinases upon TLR7/8 or 9 activation"""]),
    'R-DRE-975138':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated induction of NFkB and MAP kinases upon TLR7/8 or 9 activation"""]),
    'R-GGA-975138':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated induction of NFkB and MAP kinases upon TLR7/8 or 9 activation"""]),
    'R-MMU-975138':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated induction of NFkB and MAP kinases upon TLR7/8 or 9 activation"""]),
    'R-PFA-975138':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated induction of NFkB and MAP kinases upon TLR7/8 or 9 activation"""]),
    'R-RNO-975138':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated induction of NFkB and MAP kinases upon TLR7/8 or 9 activation"""]),
    'R-SCE-975138':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated induction of NFkB and MAP kinases upon TLR7/8 or 9 activation"""]),
    'R-SPO-975138':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated induction of NFkB and MAP kinases upon TLR7/8 or 9 activation"""]),
    'R-SSC-975138':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated induction of NFkB and MAP kinases upon TLR7/8 or 9 activation"""]),
    'R-XTR-975138':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRAF6 mediated induction of NFkB and MAP kinases upon TLR7/8 or 9 activation"""]),
    'R-HSA-975144':Nto._make([date(2010, 12, 14), '....P..', '.C', """IRAK1 recruits IKK complex upon TLR7/8 or 9 stimulation"""]),
    'R-BTA-975144':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK1 recruits IKK complex upon TLR7/8 or 9 stimulation"""]),
    'R-CFA-975144':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK1 recruits IKK complex upon TLR7/8 or 9 stimulation"""]),
    'R-DME-975144':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK1 recruits IKK complex upon TLR7/8 or 9 stimulation"""]),
    'R-DRE-975144':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK1 recruits IKK complex upon TLR7/8 or 9 stimulation"""]),
    'R-MMU-975144':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK1 recruits IKK complex upon TLR7/8 or 9 stimulation"""]),
    'R-RNO-975144':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK1 recruits IKK complex upon TLR7/8 or 9 stimulation"""]),
    'R-SSC-975144':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK1 recruits IKK complex upon TLR7/8 or 9 stimulation"""]),
    'R-XTR-975144':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK1 recruits IKK complex upon TLR7/8 or 9 stimulation"""]),
    'R-HSA-975155':Nto._make([date(2010, 12, 14), '..f.P..', '.C', """MyD88 dependent cascade initiated on endosome"""]),
    'R-BTA-975155':Nto._make([date(2019,  3, 20), '..fI...', '.C', """MyD88 dependent cascade initiated on endosome"""]),
    'R-CEL-975155':Nto._make([date(2019,  3, 20), '..fI...', '.C', """MyD88 dependent cascade initiated on endosome"""]),
    'R-CFA-975155':Nto._make([date(2019,  3, 20), '..fI...', '.C', """MyD88 dependent cascade initiated on endosome"""]),
    'R-DDI-975155':Nto._make([date(2019,  3, 20), '..fI...', '.C', """MyD88 dependent cascade initiated on endosome"""]),
    'R-DME-975155':Nto._make([date(2019,  3, 20), '..fI...', '.C', """MyD88 dependent cascade initiated on endosome"""]),
    'R-DRE-975155':Nto._make([date(2019,  3, 20), '..fI...', '.C', """MyD88 dependent cascade initiated on endosome"""]),
    'R-GGA-975155':Nto._make([date(2019,  3, 20), '..fI...', '.C', """MyD88 dependent cascade initiated on endosome"""]),
    'R-MMU-975155':Nto._make([date(2019,  3, 20), '..fI...', '.C', """MyD88 dependent cascade initiated on endosome"""]),
    'R-PFA-975155':Nto._make([date(2019,  3, 20), '..fI...', '.C', """MyD88 dependent cascade initiated on endosome"""]),
    'R-RNO-975155':Nto._make([date(2019,  3, 20), '..fI...', '.C', """MyD88 dependent cascade initiated on endosome"""]),
    'R-SCE-975155':Nto._make([date(2019,  3, 20), '..fI...', '.C', """MyD88 dependent cascade initiated on endosome"""]),
    'R-SPO-975155':Nto._make([date(2019,  3, 20), '..fI...', '.C', """MyD88 dependent cascade initiated on endosome"""]),
    'R-SSC-975155':Nto._make([date(2019,  3, 20), '..fI...', '.C', """MyD88 dependent cascade initiated on endosome"""]),
    'R-XTR-975155':Nto._make([date(2019,  3, 20), '..fI...', '.C', """MyD88 dependent cascade initiated on endosome"""]),
    'R-HSA-975163':Nto._make([date(2010, 12, 14), '....P..', '.C', """IRAK2 mediated activation of TAK1 complex upon TLR7/8 or 9 stimulation"""]),
    'R-BTA-975163':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK2 mediated activation of TAK1 complex upon TLR7/8 or 9 stimulation"""]),
    'R-CFA-975163':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK2 mediated activation of TAK1 complex upon TLR7/8 or 9 stimulation"""]),
    'R-DDI-975163':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK2 mediated activation of TAK1 complex upon TLR7/8 or 9 stimulation"""]),
    'R-DME-975163':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK2 mediated activation of TAK1 complex upon TLR7/8 or 9 stimulation"""]),
    'R-DRE-975163':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK2 mediated activation of TAK1 complex upon TLR7/8 or 9 stimulation"""]),
    'R-GGA-975163':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK2 mediated activation of TAK1 complex upon TLR7/8 or 9 stimulation"""]),
    'R-MMU-975163':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK2 mediated activation of TAK1 complex upon TLR7/8 or 9 stimulation"""]),
    'R-RNO-975163':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK2 mediated activation of TAK1 complex upon TLR7/8 or 9 stimulation"""]),
    'R-SSC-975163':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK2 mediated activation of TAK1 complex upon TLR7/8 or 9 stimulation"""]),
    'R-XTR-975163':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRAK2 mediated activation of TAK1 complex upon TLR7/8 or 9 stimulation"""]),
    'R-HSA-975574':Nto._make([date(2010, 12, 14), '....P..', '..', """Reactions specific to the hybrid N-glycan synthesis pathway"""]),
    'R-BTA-975574':Nto._make([date(2019,  3, 20), '...I...', '..', """Reactions specific to the hybrid N-glycan synthesis pathway"""]),
    'R-CFA-975574':Nto._make([date(2019,  3, 20), '...I...', '..', """Reactions specific to the hybrid N-glycan synthesis pathway"""]),
    'R-DDI-975574':Nto._make([date(2019,  3, 20), '...I...', '..', """Reactions specific to the hybrid N-glycan synthesis pathway"""]),
    'R-DME-975574':Nto._make([date(2019,  3, 20), '...I...', '..', """Reactions specific to the hybrid N-glycan synthesis pathway"""]),
    'R-DRE-975574':Nto._make([date(2019,  3, 20), '...I...', '..', """Reactions specific to the hybrid N-glycan synthesis pathway"""]),
    'R-GGA-975574':Nto._make([date(2019,  3, 20), '...I...', '..', """Reactions specific to the hybrid N-glycan synthesis pathway"""]),
    'R-MMU-975574':Nto._make([date(2019,  3, 20), '...I...', '..', """Reactions specific to the hybrid N-glycan synthesis pathway"""]),
    'R-RNO-975574':Nto._make([date(2019,  3, 20), '...I...', '..', """Reactions specific to the hybrid N-glycan synthesis pathway"""]),
    'R-SSC-975574':Nto._make([date(2019,  3, 20), '...I...', '..', """Reactions specific to the hybrid N-glycan synthesis pathway"""]),
    'R-XTR-975574':Nto._make([date(2019,  3, 20), '...I...', '..', """Reactions specific to the hybrid N-glycan synthesis pathway"""]),
    'R-HSA-975576':Nto._make([date(2010, 12, 14), '....P..', '..', """N-glycan antennae elongation in the medial/trans-Golgi"""]),
    'R-BTA-975576':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan antennae elongation in the medial/trans-Golgi"""]),
    'R-CEL-975576':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan antennae elongation in the medial/trans-Golgi"""]),
    'R-CFA-975576':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan antennae elongation in the medial/trans-Golgi"""]),
    'R-DDI-975576':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan antennae elongation in the medial/trans-Golgi"""]),
    'R-DME-975576':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan antennae elongation in the medial/trans-Golgi"""]),
    'R-DRE-975576':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan antennae elongation in the medial/trans-Golgi"""]),
    'R-GGA-975576':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan antennae elongation in the medial/trans-Golgi"""]),
    'R-MMU-975576':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan antennae elongation in the medial/trans-Golgi"""]),
    'R-RNO-975576':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan antennae elongation in the medial/trans-Golgi"""]),
    'R-SSC-975576':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan antennae elongation in the medial/trans-Golgi"""]),
    'R-XTR-975576':Nto._make([date(2019,  3, 20), '...I...', '..', """N-glycan antennae elongation in the medial/trans-Golgi"""]),
    'R-HSA-975577':Nto._make([date(2010, 12, 14), '....P..', '..', """N-Glycan antennae elongation"""]),
    'R-BTA-975577':Nto._make([date(2019,  3, 20), '...I...', '..', """N-Glycan antennae elongation"""]),
    'R-CEL-975577':Nto._make([date(2019,  3, 20), '...I...', '..', """N-Glycan antennae elongation"""]),
    'R-CFA-975577':Nto._make([date(2019,  3, 20), '...I...', '..', """N-Glycan antennae elongation"""]),
    'R-DME-975577':Nto._make([date(2019,  3, 20), '...I...', '..', """N-Glycan antennae elongation"""]),
    'R-DRE-975577':Nto._make([date(2019,  3, 20), '...I...', '..', """N-Glycan antennae elongation"""]),
    'R-GGA-975577':Nto._make([date(2019,  3, 20), '...I...', '..', """N-Glycan antennae elongation"""]),
    'R-MMU-975577':Nto._make([date(2019,  3, 20), '...I...', '..', """N-Glycan antennae elongation"""]),
    'R-RNO-975577':Nto._make([date(2019,  3, 20), '...I...', '..', """N-Glycan antennae elongation"""]),
    'R-SSC-975577':Nto._make([date(2019,  3, 20), '...I...', '..', """N-Glycan antennae elongation"""]),
    'R-XTR-975577':Nto._make([date(2019,  3, 20), '...I...', '..', """N-Glycan antennae elongation"""]),
    'R-HSA-975578':Nto._make([date(2010, 12, 14), '.......', '..', """Reactions specific to the complex N-glycan synthesis pathway"""]),
    'R-BTA-975578':Nto._make([date(2019,  3, 20), '...I...', '..', """Reactions specific to the complex N-glycan synthesis pathway"""]),
    'R-CEL-975578':Nto._make([date(2019,  3, 20), '...I...', '..', """Reactions specific to the complex N-glycan synthesis pathway"""]),
    'R-CFA-975578':Nto._make([date(2019,  3, 20), '...I...', '..', """Reactions specific to the complex N-glycan synthesis pathway"""]),
    'R-DDI-975578':Nto._make([date(2019,  3, 20), '...I...', '..', """Reactions specific to the complex N-glycan synthesis pathway"""]),
    'R-DME-975578':Nto._make([date(2019,  3, 20), '...I...', '..', """Reactions specific to the complex N-glycan synthesis pathway"""]),
    'R-DRE-975578':Nto._make([date(2019,  3, 20), '...I...', '..', """Reactions specific to the complex N-glycan synthesis pathway"""]),
    'R-GGA-975578':Nto._make([date(2019,  3, 20), '...I...', '..', """Reactions specific to the complex N-glycan synthesis pathway"""]),
    'R-MMU-975578':Nto._make([date(2019,  3, 20), '...I...', '..', """Reactions specific to the complex N-glycan synthesis pathway"""]),
    'R-RNO-975578':Nto._make([date(2019,  3, 20), '...I...', '..', """Reactions specific to the complex N-glycan synthesis pathway"""]),
    'R-SSC-975578':Nto._make([date(2019,  3, 20), '...I...', '..', """Reactions specific to the complex N-glycan synthesis pathway"""]),
    'R-XTR-975578':Nto._make([date(2019,  3, 20), '...I...', '..', """Reactions specific to the complex N-glycan synthesis pathway"""]),
    'R-HSA-975634':Nto._make([date(2010, 12, 14), '..f.P..', 'B.', """Retinoid metabolism and transport"""]),
    'R-BTA-975634':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Retinoid metabolism and transport"""]),
    'R-CEL-975634':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Retinoid metabolism and transport"""]),
    'R-CFA-975634':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Retinoid metabolism and transport"""]),
    'R-DME-975634':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Retinoid metabolism and transport"""]),
    'R-DRE-975634':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Retinoid metabolism and transport"""]),
    'R-GGA-975634':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Retinoid metabolism and transport"""]),
    'R-MMU-975634':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Retinoid metabolism and transport"""]),
    'R-RNO-975634':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Retinoid metabolism and transport"""]),
    'R-SSC-975634':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Retinoid metabolism and transport"""]),
    'R-XTR-975634':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Retinoid metabolism and transport"""]),
    'R-HSA-975871':Nto._make([date(2011,  3, 15), '..f.P..', 'B.', """MyD88 cascade initiated on plasma membrane"""]),
    'R-BTA-975871':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88 cascade initiated on plasma membrane"""]),
    'R-CEL-975871':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88 cascade initiated on plasma membrane"""]),
    'R-CFA-975871':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88 cascade initiated on plasma membrane"""]),
    'R-DDI-975871':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88 cascade initiated on plasma membrane"""]),
    'R-DME-975871':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88 cascade initiated on plasma membrane"""]),
    'R-DRE-975871':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88 cascade initiated on plasma membrane"""]),
    'R-GGA-975871':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88 cascade initiated on plasma membrane"""]),
    'R-MMU-975871':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88 cascade initiated on plasma membrane"""]),
    'R-PFA-975871':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88 cascade initiated on plasma membrane"""]),
    'R-RNO-975871':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88 cascade initiated on plasma membrane"""]),
    'R-SCE-975871':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88 cascade initiated on plasma membrane"""]),
    'R-SPO-975871':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88 cascade initiated on plasma membrane"""]),
    'R-SSC-975871':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88 cascade initiated on plasma membrane"""]),
    'R-XTR-975871':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MyD88 cascade initiated on plasma membrane"""]),
    'R-HSA-975956':Nto._make([date(2011,  6, 14), '....P..', '.C', """Nonsense Mediated Decay (NMD) independent of the Exon Junction Complex (EJC)"""]),
    'R-BTA-975956':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) independent of the Exon Junction Complex (EJC)"""]),
    'R-CEL-975956':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) independent of the Exon Junction Complex (EJC)"""]),
    'R-CFA-975956':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) independent of the Exon Junction Complex (EJC)"""]),
    'R-DDI-975956':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) independent of the Exon Junction Complex (EJC)"""]),
    'R-DME-975956':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) independent of the Exon Junction Complex (EJC)"""]),
    'R-DRE-975956':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) independent of the Exon Junction Complex (EJC)"""]),
    'R-MMU-975956':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) independent of the Exon Junction Complex (EJC)"""]),
    'R-PFA-975956':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) independent of the Exon Junction Complex (EJC)"""]),
    'R-RNO-975956':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) independent of the Exon Junction Complex (EJC)"""]),
    'R-SCE-975956':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) independent of the Exon Junction Complex (EJC)"""]),
    'R-SPO-975956':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) independent of the Exon Junction Complex (EJC)"""]),
    'R-SSC-975956':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) independent of the Exon Junction Complex (EJC)"""]),
    'R-XTR-975956':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) independent of the Exon Junction Complex (EJC)"""]),
    'R-HSA-975957':Nto._make([date(2011,  6, 14), '....P..', '.C', """Nonsense Mediated Decay (NMD) enhanced by the Exon Junction Complex (EJC)"""]),
    'R-BTA-975957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) enhanced by the Exon Junction Complex (EJC)"""]),
    'R-CEL-975957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) enhanced by the Exon Junction Complex (EJC)"""]),
    'R-CFA-975957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) enhanced by the Exon Junction Complex (EJC)"""]),
    'R-DDI-975957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) enhanced by the Exon Junction Complex (EJC)"""]),
    'R-DME-975957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) enhanced by the Exon Junction Complex (EJC)"""]),
    'R-DRE-975957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) enhanced by the Exon Junction Complex (EJC)"""]),
    'R-GGA-975957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) enhanced by the Exon Junction Complex (EJC)"""]),
    'R-MMU-975957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) enhanced by the Exon Junction Complex (EJC)"""]),
    'R-PFA-975957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) enhanced by the Exon Junction Complex (EJC)"""]),
    'R-RNO-975957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) enhanced by the Exon Junction Complex (EJC)"""]),
    'R-SCE-975957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) enhanced by the Exon Junction Complex (EJC)"""]),
    'R-SPO-975957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) enhanced by the Exon Junction Complex (EJC)"""]),
    'R-SSC-975957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) enhanced by the Exon Junction Complex (EJC)"""]),
    'R-XTR-975957':Nto._make([date(2019,  3, 20), '...I...', '.C', """Nonsense Mediated Decay (NMD) enhanced by the Exon Junction Complex (EJC)"""]),
    'R-HSA-977068':Nto._make([date(2011, 12,  6), '.....B.', 'B.', """Termination of O-glycan biosynthesis"""]),
    'R-BTA-977068':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Termination of O-glycan biosynthesis"""]),
    'R-CFA-977068':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Termination of O-glycan biosynthesis"""]),
    'R-DME-977068':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Termination of O-glycan biosynthesis"""]),
    'R-DRE-977068':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Termination of O-glycan biosynthesis"""]),
    'R-GGA-977068':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Termination of O-glycan biosynthesis"""]),
    'R-MMU-977068':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Termination of O-glycan biosynthesis"""]),
    'R-RNO-977068':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Termination of O-glycan biosynthesis"""]),
    'R-SSC-977068':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Termination of O-glycan biosynthesis"""]),
    'R-XTR-977068':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Termination of O-glycan biosynthesis"""]),
    'R-HSA-977225':Nto._make([date(2011,  6, 14), '..f.P..', '..', """Amyloid fiber formation"""]),
    'R-GGA-977240':Nto._make([date(2011,  3, 15), '...IP..', 'BC', """MyD88 cascade initiated on plasma membrane"""]),
    'R-HSA-977347':Nto._make([date(2011, 12,  6), '..f.P..', 'BC', """Serine biosynthesis"""]),
    'R-BTA-977347':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Serine biosynthesis"""]),
    'R-CEL-977347':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Serine biosynthesis"""]),
    'R-CFA-977347':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Serine biosynthesis"""]),
    'R-DDI-977347':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Serine biosynthesis"""]),
    'R-DME-977347':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Serine biosynthesis"""]),
    'R-DRE-977347':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Serine biosynthesis"""]),
    'R-GGA-977347':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Serine biosynthesis"""]),
    'R-MMU-977347':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Serine biosynthesis"""]),
    'R-RNO-977347':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Serine biosynthesis"""]),
    'R-SCE-977347':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Serine biosynthesis"""]),
    'R-SPO-977347':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Serine biosynthesis"""]),
    'R-SSC-977347':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Serine biosynthesis"""]),
    'R-XTR-977347':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Serine biosynthesis"""]),
    'R-HSA-977443':Nto._make([date(2010, 12, 14), '..f.P..', '.C', """GABA receptor activation"""]),
    'R-BTA-977443':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA receptor activation"""]),
    'R-CEL-977443':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA receptor activation"""]),
    'R-CFA-977443':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA receptor activation"""]),
    'R-DDI-977443':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA receptor activation"""]),
    'R-DME-977443':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA receptor activation"""]),
    'R-DRE-977443':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA receptor activation"""]),
    'R-GGA-977443':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA receptor activation"""]),
    'R-MMU-977443':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA receptor activation"""]),
    'R-RNO-977443':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA receptor activation"""]),
    'R-SSC-977443':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA receptor activation"""]),
    'R-XTR-977443':Nto._make([date(2019,  3, 20), '..fI...', '.C', """GABA receptor activation"""]),
    'R-HSA-977444':Nto._make([date(2010, 12, 14), '....P..', '.C', """GABA B receptor activation"""]),
    'R-BTA-977444':Nto._make([date(2019,  3, 20), '...I...', '.C', """GABA B receptor activation"""]),
    'R-CEL-977444':Nto._make([date(2019,  3, 20), '...I...', '.C', """GABA B receptor activation"""]),
    'R-CFA-977444':Nto._make([date(2019,  3, 20), '...I...', '.C', """GABA B receptor activation"""]),
    'R-DDI-977444':Nto._make([date(2019,  3, 20), '...I...', '.C', """GABA B receptor activation"""]),
    'R-DME-977444':Nto._make([date(2019,  3, 20), '...I...', '.C', """GABA B receptor activation"""]),
    'R-DRE-977444':Nto._make([date(2019,  3, 20), '...I...', '.C', """GABA B receptor activation"""]),
    'R-GGA-977444':Nto._make([date(2019,  3, 20), '...I...', '.C', """GABA B receptor activation"""]),
    'R-MMU-977444':Nto._make([date(2019,  3, 20), '...I...', '.C', """GABA B receptor activation"""]),
    'R-RNO-977444':Nto._make([date(2019,  3, 20), '...I...', '.C', """GABA B receptor activation"""]),
    'R-SSC-977444':Nto._make([date(2019,  3, 20), '...I...', '.C', """GABA B receptor activation"""]),
    'R-XTR-977444':Nto._make([date(2019,  3, 20), '...I...', '.C', """GABA B receptor activation"""]),
    'R-HSA-977606':Nto._make([date(2012,  3, 13), '....P.U', 'BC', """Regulation of Complement cascade"""]),
    'R-BTA-977606':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of Complement cascade"""]),
    'R-CEL-977606':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of Complement cascade"""]),
    'R-CFA-977606':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of Complement cascade"""]),
    'R-DME-977606':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of Complement cascade"""]),
    'R-DRE-977606':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of Complement cascade"""]),
    'R-GGA-977606':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of Complement cascade"""]),
    'R-MMU-977606':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of Complement cascade"""]),
    'R-RNO-977606':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of Complement cascade"""]),
    'R-SSC-977606':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of Complement cascade"""]),
    'R-XTR-977606':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of Complement cascade"""]),
    'R-HSA-982772':Nto._make([date(2011,  9, 20), '..f.P..', 'BC', """Growth hormone receptor signaling"""]),
    'R-BTA-982772':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Growth hormone receptor signaling"""]),
    'R-CEL-982772':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Growth hormone receptor signaling"""]),
    'R-CFA-982772':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Growth hormone receptor signaling"""]),
    'R-DDI-982772':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Growth hormone receptor signaling"""]),
    'R-DME-982772':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Growth hormone receptor signaling"""]),
    'R-DRE-982772':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Growth hormone receptor signaling"""]),
    'R-GGA-982772':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Growth hormone receptor signaling"""]),
    'R-MMU-982772':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Growth hormone receptor signaling"""]),
    'R-RNO-982772':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Growth hormone receptor signaling"""]),
    'R-XTR-982772':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Growth hormone receptor signaling"""]),
    'R-HSA-983168':Nto._make([date(2011,  6, 14), '....P..', 'BC', """Antigen processing: Ubiquitination & Proteasome degradation"""]),
    'R-BTA-983168':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Antigen processing: Ubiquitination & Proteasome degradation"""]),
    'R-CEL-983168':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Antigen processing: Ubiquitination & Proteasome degradation"""]),
    'R-CFA-983168':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Antigen processing: Ubiquitination & Proteasome degradation"""]),
    'R-DDI-983168':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Antigen processing: Ubiquitination & Proteasome degradation"""]),
    'R-DME-983168':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Antigen processing: Ubiquitination & Proteasome degradation"""]),
    'R-DRE-983168':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Antigen processing: Ubiquitination & Proteasome degradation"""]),
    'R-GGA-983168':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Antigen processing: Ubiquitination & Proteasome degradation"""]),
    'R-MMU-983168':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Antigen processing: Ubiquitination & Proteasome degradation"""]),
    'R-PFA-983168':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Antigen processing: Ubiquitination & Proteasome degradation"""]),
    'R-RNO-983168':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Antigen processing: Ubiquitination & Proteasome degradation"""]),
    'R-SCE-983168':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Antigen processing: Ubiquitination & Proteasome degradation"""]),
    'R-SPO-983168':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Antigen processing: Ubiquitination & Proteasome degradation"""]),
    'R-SSC-983168':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Antigen processing: Ubiquitination & Proteasome degradation"""]),
    'R-XTR-983168':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Antigen processing: Ubiquitination & Proteasome degradation"""]),
    'R-HSA-983169':Nto._make([date(2011,  6, 14), '..f.P..', 'B.', """Class I MHC mediated antigen processing & presentation"""]),
    'R-BTA-983169':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I MHC mediated antigen processing & presentation"""]),
    'R-CEL-983169':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I MHC mediated antigen processing & presentation"""]),
    'R-CFA-983169':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I MHC mediated antigen processing & presentation"""]),
    'R-DDI-983169':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I MHC mediated antigen processing & presentation"""]),
    'R-DME-983169':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I MHC mediated antigen processing & presentation"""]),
    'R-DRE-983169':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I MHC mediated antigen processing & presentation"""]),
    'R-GGA-983169':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I MHC mediated antigen processing & presentation"""]),
    'R-MMU-983169':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I MHC mediated antigen processing & presentation"""]),
    'R-PFA-983169':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I MHC mediated antigen processing & presentation"""]),
    'R-RNO-983169':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I MHC mediated antigen processing & presentation"""]),
    'R-SCE-983169':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I MHC mediated antigen processing & presentation"""]),
    'R-SPO-983169':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I MHC mediated antigen processing & presentation"""]),
    'R-SSC-983169':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I MHC mediated antigen processing & presentation"""]),
    'R-XTR-983169':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I MHC mediated antigen processing & presentation"""]),
    'R-HSA-983170':Nto._make([date(2011,  6, 14), '....P..', '..', """Antigen Presentation: Folding, assembly and peptide loading of class I MHC"""]),
    'R-BTA-983170':Nto._make([date(2019,  3, 20), '...I...', '..', """Antigen Presentation: Folding, assembly and peptide loading of class I MHC"""]),
    'R-CEL-983170':Nto._make([date(2019,  3, 20), '...I...', '..', """Antigen Presentation: Folding, assembly and peptide loading of class I MHC"""]),
    'R-CFA-983170':Nto._make([date(2019,  3, 20), '...I...', '..', """Antigen Presentation: Folding, assembly and peptide loading of class I MHC"""]),
    'R-DDI-983170':Nto._make([date(2019,  3, 20), '...I...', '..', """Antigen Presentation: Folding, assembly and peptide loading of class I MHC"""]),
    'R-DME-983170':Nto._make([date(2019,  3, 20), '...I...', '..', """Antigen Presentation: Folding, assembly and peptide loading of class I MHC"""]),
    'R-DRE-983170':Nto._make([date(2019,  3, 20), '...I...', '..', """Antigen Presentation: Folding, assembly and peptide loading of class I MHC"""]),
    'R-GGA-983170':Nto._make([date(2019,  3, 20), '...I...', '..', """Antigen Presentation: Folding, assembly and peptide loading of class I MHC"""]),
    'R-MMU-983170':Nto._make([date(2019,  3, 20), '...I...', '..', """Antigen Presentation: Folding, assembly and peptide loading of class I MHC"""]),
    'R-PFA-983170':Nto._make([date(2019,  3, 20), '...I...', '..', """Antigen Presentation: Folding, assembly and peptide loading of class I MHC"""]),
    'R-RNO-983170':Nto._make([date(2019,  3, 20), '...I...', '..', """Antigen Presentation: Folding, assembly and peptide loading of class I MHC"""]),
    'R-SCE-983170':Nto._make([date(2019,  3, 20), '...I...', '..', """Antigen Presentation: Folding, assembly and peptide loading of class I MHC"""]),
    'R-SPO-983170':Nto._make([date(2019,  3, 20), '...I...', '..', """Antigen Presentation: Folding, assembly and peptide loading of class I MHC"""]),
    'R-SSC-983170':Nto._make([date(2019,  3, 20), '...I...', '..', """Antigen Presentation: Folding, assembly and peptide loading of class I MHC"""]),
    'R-XTR-983170':Nto._make([date(2019,  3, 20), '...I...', '..', """Antigen Presentation: Folding, assembly and peptide loading of class I MHC"""]),
    'R-HSA-983189':Nto._make([date(2010, 12, 14), '..f.P.U', 'BC', """Kinesins"""]),
    'R-BTA-983189':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Kinesins"""]),
    'R-CEL-983189':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Kinesins"""]),
    'R-CFA-983189':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Kinesins"""]),
    'R-DDI-983189':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Kinesins"""]),
    'R-DME-983189':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Kinesins"""]),
    'R-DRE-983189':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Kinesins"""]),
    'R-GGA-983189':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Kinesins"""]),
    'R-MMU-983189':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Kinesins"""]),
    'R-PFA-983189':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Kinesins"""]),
    'R-RNO-983189':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Kinesins"""]),
    'R-SCE-983189':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Kinesins"""]),
    'R-SPO-983189':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Kinesins"""]),
    'R-SSC-983189':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Kinesins"""]),
    'R-XTR-983189':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Kinesins"""]),
    'R-HSA-983231':Nto._make([date(2010, 12, 14), '..f.P..', '..', """Factors involved in megakaryocyte development and platelet production"""]),
    'R-BTA-983231':Nto._make([date(2019,  3, 20), '..fI...', '..', """Factors involved in megakaryocyte development and platelet production"""]),
    'R-CEL-983231':Nto._make([date(2019,  3, 20), '..fI...', '..', """Factors involved in megakaryocyte development and platelet production"""]),
    'R-CFA-983231':Nto._make([date(2019,  3, 20), '..fI...', '..', """Factors involved in megakaryocyte development and platelet production"""]),
    'R-DDI-983231':Nto._make([date(2019,  3, 20), '..fI...', '..', """Factors involved in megakaryocyte development and platelet production"""]),
    'R-DME-983231':Nto._make([date(2019,  3, 20), '..fI...', '..', """Factors involved in megakaryocyte development and platelet production"""]),
    'R-DRE-983231':Nto._make([date(2019,  3, 20), '..fI...', '..', """Factors involved in megakaryocyte development and platelet production"""]),
    'R-GGA-983231':Nto._make([date(2019,  3, 20), '..fI...', '..', """Factors involved in megakaryocyte development and platelet production"""]),
    'R-MMU-983231':Nto._make([date(2019,  3, 20), '..fI...', '..', """Factors involved in megakaryocyte development and platelet production"""]),
    'R-PFA-983231':Nto._make([date(2019,  3, 20), '..fI...', '..', """Factors involved in megakaryocyte development and platelet production"""]),
    'R-RNO-983231':Nto._make([date(2019,  3, 20), '..fI...', '..', """Factors involved in megakaryocyte development and platelet production"""]),
    'R-SCE-983231':Nto._make([date(2019,  3, 20), '..fI...', '..', """Factors involved in megakaryocyte development and platelet production"""]),
    'R-SPO-983231':Nto._make([date(2019,  3, 20), '..fI...', '..', """Factors involved in megakaryocyte development and platelet production"""]),
    'R-SSC-983231':Nto._make([date(2019,  3, 20), '..fI...', '..', """Factors involved in megakaryocyte development and platelet production"""]),
    'R-XTR-983231':Nto._make([date(2019,  3, 20), '..fI...', '..', """Factors involved in megakaryocyte development and platelet production"""]),
    'R-HSA-983695':Nto._make([date(2012,  3, 13), '....P..', '.C', """Antigen activates B Cell Receptor (BCR) leading to generation of second messengers"""]),
    'R-BTA-983695':Nto._make([date(2019,  3, 20), '...I...', '.C', """Antigen activates B Cell Receptor (BCR) leading to generation of second messengers"""]),
    'R-CEL-983695':Nto._make([date(2019,  3, 20), '...I...', '.C', """Antigen activates B Cell Receptor (BCR) leading to generation of second messengers"""]),
    'R-CFA-983695':Nto._make([date(2019,  3, 20), '...I...', '.C', """Antigen activates B Cell Receptor (BCR) leading to generation of second messengers"""]),
    'R-DDI-983695':Nto._make([date(2019,  3, 20), '...I...', '.C', """Antigen activates B Cell Receptor (BCR) leading to generation of second messengers"""]),
    'R-DME-983695':Nto._make([date(2019,  3, 20), '...I...', '.C', """Antigen activates B Cell Receptor (BCR) leading to generation of second messengers"""]),
    'R-DRE-983695':Nto._make([date(2019,  3, 20), '...I...', '.C', """Antigen activates B Cell Receptor (BCR) leading to generation of second messengers"""]),
    'R-GGA-983695':Nto._make([date(2019,  3, 20), '...I...', '.C', """Antigen activates B Cell Receptor (BCR) leading to generation of second messengers"""]),
    'R-MMU-983695':Nto._make([date(2019,  3, 20), '...I...', '.C', """Antigen activates B Cell Receptor (BCR) leading to generation of second messengers"""]),
    'R-RNO-983695':Nto._make([date(2019,  3, 20), '...I...', '.C', """Antigen activates B Cell Receptor (BCR) leading to generation of second messengers"""]),
    'R-SSC-983695':Nto._make([date(2019,  3, 20), '...I...', '.C', """Antigen activates B Cell Receptor (BCR) leading to generation of second messengers"""]),
    'R-XTR-983695':Nto._make([date(2019,  3, 20), '...I...', '.C', """Antigen activates B Cell Receptor (BCR) leading to generation of second messengers"""]),
    'R-HSA-983705':Nto._make([date(2012,  3, 13), '..f.P..', '.C', """Signaling by the B Cell Receptor (BCR)"""]),
    'R-BTA-983705':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by the B Cell Receptor (BCR)"""]),
    'R-CEL-983705':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by the B Cell Receptor (BCR)"""]),
    'R-CFA-983705':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by the B Cell Receptor (BCR)"""]),
    'R-DDI-983705':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by the B Cell Receptor (BCR)"""]),
    'R-DME-983705':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by the B Cell Receptor (BCR)"""]),
    'R-DRE-983705':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by the B Cell Receptor (BCR)"""]),
    'R-GGA-983705':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by the B Cell Receptor (BCR)"""]),
    'R-MMU-983705':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by the B Cell Receptor (BCR)"""]),
    'R-RNO-983705':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by the B Cell Receptor (BCR)"""]),
    'R-SCE-983705':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by the B Cell Receptor (BCR)"""]),
    'R-SPO-983705':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by the B Cell Receptor (BCR)"""]),
    'R-SSC-983705':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by the B Cell Receptor (BCR)"""]),
    'R-XTR-983705':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by the B Cell Receptor (BCR)"""]),
    'R-HSA-983712':Nto._make([date(2010, 12, 14), '..f.PB.', 'B.', """Ion channel transport"""]),
    'R-BTA-983712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ion channel transport"""]),
    'R-CEL-983712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ion channel transport"""]),
    'R-CFA-983712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ion channel transport"""]),
    'R-DDI-983712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ion channel transport"""]),
    'R-DME-983712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ion channel transport"""]),
    'R-DRE-983712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ion channel transport"""]),
    'R-GGA-983712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ion channel transport"""]),
    'R-MMU-983712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ion channel transport"""]),
    'R-PFA-983712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ion channel transport"""]),
    'R-RNO-983712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ion channel transport"""]),
    'R-SCE-983712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ion channel transport"""]),
    'R-SPO-983712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ion channel transport"""]),
    'R-SSC-983712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ion channel transport"""]),
    'R-XTR-983712':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ion channel transport"""]),
    'R-HSA-991365':Nto._make([date(2010, 12, 14), '....P..', '.C', """Activation of GABAB receptors"""]),
    'R-BTA-991365':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of GABAB receptors"""]),
    'R-CEL-991365':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of GABAB receptors"""]),
    'R-CFA-991365':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of GABAB receptors"""]),
    'R-DDI-991365':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of GABAB receptors"""]),
    'R-DME-991365':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of GABAB receptors"""]),
    'R-DRE-991365':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of GABAB receptors"""]),
    'R-GGA-991365':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of GABAB receptors"""]),
    'R-MMU-991365':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of GABAB receptors"""]),
    'R-RNO-991365':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of GABAB receptors"""]),
    'R-SSC-991365':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of GABAB receptors"""]),
    'R-XTR-991365':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of GABAB receptors"""]),
    'R-HSA-997272':Nto._make([date(2010, 12, 14), '....P..', '.C', """Inhibition  of voltage gated Ca2+ channels via Gbeta/gamma subunits"""]),
    'R-BTA-997272':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition  of voltage gated Ca2+ channels via Gbeta/gamma subunits"""]),
    'R-CEL-997272':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition  of voltage gated Ca2+ channels via Gbeta/gamma subunits"""]),
    'R-CFA-997272':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition  of voltage gated Ca2+ channels via Gbeta/gamma subunits"""]),
    'R-DME-997272':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition  of voltage gated Ca2+ channels via Gbeta/gamma subunits"""]),
    'R-DRE-997272':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition  of voltage gated Ca2+ channels via Gbeta/gamma subunits"""]),
    'R-GGA-997272':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition  of voltage gated Ca2+ channels via Gbeta/gamma subunits"""]),
    'R-MMU-997272':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition  of voltage gated Ca2+ channels via Gbeta/gamma subunits"""]),
    'R-RNO-997272':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition  of voltage gated Ca2+ channels via Gbeta/gamma subunits"""]),
    'R-SSC-997272':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition  of voltage gated Ca2+ channels via Gbeta/gamma subunits"""]),
    'R-XTR-997272':Nto._make([date(2019,  3, 20), '...I...', '.C', """Inhibition  of voltage gated Ca2+ channels via Gbeta/gamma subunits"""]),
    'R-HSA-1059683':Nto._make([date(2011,  3, 15), '.......', 'B.', """Interleukin-6 signaling"""]),
    'R-BTA-1059683':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-6 signaling"""]),
    'R-CEL-1059683':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-6 signaling"""]),
    'R-CFA-1059683':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-6 signaling"""]),
    'R-DDI-1059683':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-6 signaling"""]),
    'R-DME-1059683':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-6 signaling"""]),
    'R-DRE-1059683':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-6 signaling"""]),
    'R-GGA-1059683':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-6 signaling"""]),
    'R-MMU-1059683':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-6 signaling"""]),
    'R-RNO-1059683':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-6 signaling"""]),
    'R-SSC-1059683':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-6 signaling"""]),
    'R-XTR-1059683':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-6 signaling"""]),
    'R-HSA-1168372':Nto._make([date(2012,  3, 13), '....P..', '.C', """Downstream signaling events of B Cell Receptor (BCR)"""]),
    'R-BTA-1168372':Nto._make([date(2019,  3, 20), '...I...', '.C', """Downstream signaling events of B Cell Receptor (BCR)"""]),
    'R-CEL-1168372':Nto._make([date(2019,  3, 20), '...I...', '.C', """Downstream signaling events of B Cell Receptor (BCR)"""]),
    'R-CFA-1168372':Nto._make([date(2019,  3, 20), '...I...', '.C', """Downstream signaling events of B Cell Receptor (BCR)"""]),
    'R-DDI-1168372':Nto._make([date(2019,  3, 20), '...I...', '.C', """Downstream signaling events of B Cell Receptor (BCR)"""]),
    'R-DME-1168372':Nto._make([date(2019,  3, 20), '...I...', '.C', """Downstream signaling events of B Cell Receptor (BCR)"""]),
    'R-DRE-1168372':Nto._make([date(2019,  3, 20), '...I...', '.C', """Downstream signaling events of B Cell Receptor (BCR)"""]),
    'R-GGA-1168372':Nto._make([date(2019,  3, 20), '...I...', '.C', """Downstream signaling events of B Cell Receptor (BCR)"""]),
    'R-MMU-1168372':Nto._make([date(2019,  3, 20), '...I...', '.C', """Downstream signaling events of B Cell Receptor (BCR)"""]),
    'R-RNO-1168372':Nto._make([date(2019,  3, 20), '...I...', '.C', """Downstream signaling events of B Cell Receptor (BCR)"""]),
    'R-SCE-1168372':Nto._make([date(2019,  3, 20), '...I...', '.C', """Downstream signaling events of B Cell Receptor (BCR)"""]),
    'R-SPO-1168372':Nto._make([date(2019,  3, 20), '...I...', '.C', """Downstream signaling events of B Cell Receptor (BCR)"""]),
    'R-SSC-1168372':Nto._make([date(2019,  3, 20), '...I...', '.C', """Downstream signaling events of B Cell Receptor (BCR)"""]),
    'R-XTR-1168372':Nto._make([date(2019,  3, 20), '...I...', '.C', """Downstream signaling events of B Cell Receptor (BCR)"""]),
    'R-HSA-1169091':Nto._make([date(2012,  3, 13), '....P..', '.C', """Activation of NF-kappaB in B cells"""]),
    'R-BTA-1169091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of NF-kappaB in B cells"""]),
    'R-CEL-1169091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of NF-kappaB in B cells"""]),
    'R-CFA-1169091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of NF-kappaB in B cells"""]),
    'R-DDI-1169091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of NF-kappaB in B cells"""]),
    'R-DME-1169091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of NF-kappaB in B cells"""]),
    'R-DRE-1169091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of NF-kappaB in B cells"""]),
    'R-GGA-1169091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of NF-kappaB in B cells"""]),
    'R-MMU-1169091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of NF-kappaB in B cells"""]),
    'R-RNO-1169091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of NF-kappaB in B cells"""]),
    'R-SCE-1169091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of NF-kappaB in B cells"""]),
    'R-SPO-1169091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of NF-kappaB in B cells"""]),
    'R-SSC-1169091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of NF-kappaB in B cells"""]),
    'R-XTR-1169091':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of NF-kappaB in B cells"""]),
    'R-HSA-1169092':Nto._make([date(2012,  3, 13), '....P..', '.C', """Activation of RAS in B cells"""]),
    'R-BTA-1169092':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of RAS in B cells"""]),
    'R-CEL-1169092':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of RAS in B cells"""]),
    'R-CFA-1169092':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of RAS in B cells"""]),
    'R-DDI-1169092':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of RAS in B cells"""]),
    'R-DRE-1169092':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of RAS in B cells"""]),
    'R-GGA-1169092':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of RAS in B cells"""]),
    'R-MMU-1169092':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of RAS in B cells"""]),
    'R-RNO-1169092':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of RAS in B cells"""]),
    'R-SSC-1169092':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of RAS in B cells"""]),
    'R-XTR-1169092':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of RAS in B cells"""]),
    'R-HSA-1169408':Nto._make([date(2011, 12,  6), '..f.P.U', '.C', """ISG15 antiviral mechanism"""]),
    'R-BTA-1169408':Nto._make([date(2019,  3, 20), '..fI...', '.C', """ISG15 antiviral mechanism"""]),
    'R-CEL-1169408':Nto._make([date(2019,  3, 20), '..fI...', '.C', """ISG15 antiviral mechanism"""]),
    'R-CFA-1169408':Nto._make([date(2019,  3, 20), '..fI...', '.C', """ISG15 antiviral mechanism"""]),
    'R-DDI-1169408':Nto._make([date(2019,  3, 20), '..fI...', '.C', """ISG15 antiviral mechanism"""]),
    'R-DME-1169408':Nto._make([date(2019,  3, 20), '..fI...', '.C', """ISG15 antiviral mechanism"""]),
    'R-DRE-1169408':Nto._make([date(2019,  3, 20), '..fI...', '.C', """ISG15 antiviral mechanism"""]),
    'R-GGA-1169408':Nto._make([date(2019,  3, 20), '..fI...', '.C', """ISG15 antiviral mechanism"""]),
    'R-MMU-1169408':Nto._make([date(2019,  3, 20), '..fI...', '.C', """ISG15 antiviral mechanism"""]),
    'R-PFA-1169408':Nto._make([date(2019,  3, 20), '..fI...', '.C', """ISG15 antiviral mechanism"""]),
    'R-RNO-1169408':Nto._make([date(2019,  3, 20), '..fI...', '.C', """ISG15 antiviral mechanism"""]),
    'R-SSC-1169408':Nto._make([date(2019,  3, 20), '..fI...', '.C', """ISG15 antiviral mechanism"""]),
    'R-XTR-1169408':Nto._make([date(2019,  3, 20), '..fI...', '.C', """ISG15 antiviral mechanism"""]),
    'R-HSA-1169410':Nto._make([date(2011, 12,  6), '..F....', '.C', """Antiviral mechanism by IFN-stimulated genes"""]),
    'R-BTA-1169410':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Antiviral mechanism by IFN-stimulated genes"""]),
    'R-CEL-1169410':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Antiviral mechanism by IFN-stimulated genes"""]),
    'R-CFA-1169410':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Antiviral mechanism by IFN-stimulated genes"""]),
    'R-DDI-1169410':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Antiviral mechanism by IFN-stimulated genes"""]),
    'R-DME-1169410':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Antiviral mechanism by IFN-stimulated genes"""]),
    'R-DRE-1169410':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Antiviral mechanism by IFN-stimulated genes"""]),
    'R-GGA-1169410':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Antiviral mechanism by IFN-stimulated genes"""]),
    'R-MMU-1169410':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Antiviral mechanism by IFN-stimulated genes"""]),
    'R-PFA-1169410':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Antiviral mechanism by IFN-stimulated genes"""]),
    'R-RNO-1169410':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Antiviral mechanism by IFN-stimulated genes"""]),
    'R-SSC-1169410':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Antiviral mechanism by IFN-stimulated genes"""]),
    'R-XTR-1169410':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Antiviral mechanism by IFN-stimulated genes"""]),
    'R-HSA-1170546':Nto._make([date(2011, 12,  6), '..f.P.U', '..', """Prolactin receptor signaling"""]),
    'R-BTA-1170546':Nto._make([date(2019,  3, 20), '..fI...', '..', """Prolactin receptor signaling"""]),
    'R-CFA-1170546':Nto._make([date(2019,  3, 20), '..fI...', '..', """Prolactin receptor signaling"""]),
    'R-DRE-1170546':Nto._make([date(2019,  3, 20), '..fI...', '..', """Prolactin receptor signaling"""]),
    'R-MMU-1170546':Nto._make([date(2019,  3, 20), '..fI...', '..', """Prolactin receptor signaling"""]),
    'R-RNO-1170546':Nto._make([date(2019,  3, 20), '..fI...', '..', """Prolactin receptor signaling"""]),
    'R-XTR-1170546':Nto._make([date(2019,  3, 20), '..fI...', '..', """Prolactin receptor signaling"""]),
    'R-HSA-1181150':Nto._make([date(2011,  9, 20), '..f.P..', '.C', """Signaling by NODAL"""]),
    'R-CEL-1181150':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by NODAL"""]),
    'R-CFA-1181150':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by NODAL"""]),
    'R-DME-1181150':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by NODAL"""]),
    'R-DRE-1181150':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by NODAL"""]),
    'R-GGA-1181150':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by NODAL"""]),
    'R-MMU-1181150':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by NODAL"""]),
    'R-RNO-1181150':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by NODAL"""]),
    'R-SSC-1181150':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by NODAL"""]),
    'R-XTR-1181150':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by NODAL"""]),
    'R-HSA-1187000':Nto._make([date(2013,  6, 11), '..f.P..', 'B.', """Fertilization"""]),
    'R-BTA-1187000':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fertilization"""]),
    'R-CEL-1187000':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fertilization"""]),
    'R-CFA-1187000':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fertilization"""]),
    'R-DDI-1187000':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fertilization"""]),
    'R-DME-1187000':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fertilization"""]),
    'R-DRE-1187000':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fertilization"""]),
    'R-GGA-1187000':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fertilization"""]),
    'R-MMU-1187000':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fertilization"""]),
    'R-PFA-1187000':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fertilization"""]),
    'R-RNO-1187000':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fertilization"""]),
    'R-SSC-1187000':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fertilization"""]),
    'R-XTR-1187000':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fertilization"""]),
    'R-HSA-1221632':Nto._make([date(2011,  6, 14), '..f.P..', '.C', """Meiotic synapsis"""]),
    'R-HSA-1222352':Nto._make([date(2012,  6, 12), '.Df.P..', 'B.', """Latent infection of Homo sapiens with Mycobacterium tuberculosis"""]),
    'R-HSA-1222387':Nto._make([date(2012,  6, 12), '.D..P..', 'B.', """Tolerance of reactive oxygen produced by macrophages"""]),
    'R-HSA-1222449':Nto._make([date(2012,  6, 12), '.D..P..', 'B.', """Mtb iron assimilation by chelation"""]),
    'R-HSA-1222499':Nto._make([date(2012,  6, 12), '.D..P..', 'B.', """Response of Mtb to phagocytosis"""]),
    'R-HSA-1222538':Nto._make([date(2012,  6, 12), '.D..P..', 'B.', """Tolerance by Mtb to nitric oxide produced by macrophages"""]),
    'R-HSA-1222541':Nto._make([date(2012,  6, 12), '.D..P..', 'B.', """Cell redox homeostasis"""]),
    'R-HSA-1222556':Nto._make([date(2012,  6, 12), '..f.P..', 'B.', """ROS and RNS production in phagocytes"""]),
    'R-BTA-1222556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ROS and RNS production in phagocytes"""]),
    'R-CEL-1222556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ROS and RNS production in phagocytes"""]),
    'R-CFA-1222556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ROS and RNS production in phagocytes"""]),
    'R-DDI-1222556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ROS and RNS production in phagocytes"""]),
    'R-DME-1222556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ROS and RNS production in phagocytes"""]),
    'R-DRE-1222556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ROS and RNS production in phagocytes"""]),
    'R-GGA-1222556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ROS and RNS production in phagocytes"""]),
    'R-MMU-1222556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ROS and RNS production in phagocytes"""]),
    'R-PFA-1222556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ROS and RNS production in phagocytes"""]),
    'R-RNO-1222556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ROS and RNS production in phagocytes"""]),
    'R-SCE-1222556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ROS and RNS production in phagocytes"""]),
    'R-SPO-1222556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ROS and RNS production in phagocytes"""]),
    'R-SSC-1222556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ROS and RNS production in phagocytes"""]),
    'R-XTR-1222556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """ROS and RNS production in phagocytes"""]),
    'R-HSA-1226099':Nto._make([date(2012,  6, 12), '.Df.P..', '..', """Signaling by FGFR in disease"""]),
    'R-GGA-1227739':Nto._make([date(2011,  6, 14), '...IP..', 'B.', """Caspase-8 and -10 mediated induction of NF-kB"""]),
    'R-GGA-1227882':Nto._make([date(2011,  6, 14), '...IP..', 'B.', """TRAF mediated activation of IRF"""]),
    'R-GGA-1227887':Nto._make([date(2011,  6, 14), '..f.P..', 'B.', """RLR (RIG-like receptor) mediated induction of IFN alpha/beta"""]),
    'R-GGA-1227888':Nto._make([date(2011,  6, 14), '...IP..', 'B.', """Negative Regulation of MDA5 signaling"""]),
    'R-GGA-1227892':Nto._make([date(2011,  6, 14), '....P..', 'B.', """TRAF6 mediated NF-kB activation"""]),
    'R-HSA-1227986':Nto._make([date(2011, 12,  6), '..F....', 'BC', """Signaling by ERBB2"""]),
    'R-BTA-1227986':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by ERBB2"""]),
    'R-CEL-1227986':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by ERBB2"""]),
    'R-CFA-1227986':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by ERBB2"""]),
    'R-DDI-1227986':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by ERBB2"""]),
    'R-DME-1227986':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by ERBB2"""]),
    'R-DRE-1227986':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by ERBB2"""]),
    'R-GGA-1227986':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by ERBB2"""]),
    'R-MMU-1227986':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by ERBB2"""]),
    'R-RNO-1227986':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by ERBB2"""]),
    'R-SCE-1227986':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by ERBB2"""]),
    'R-SPO-1227986':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by ERBB2"""]),
    'R-SSC-1227986':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by ERBB2"""]),
    'R-XTR-1227986':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by ERBB2"""]),
    'R-HSA-1234158':Nto._make([date(2012,  6, 12), '....P..', '.C', """Regulation of gene expression by Hypoxia-inducible Factor"""]),
    'R-BTA-1234158':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of gene expression by Hypoxia-inducible Factor"""]),
    'R-CEL-1234158':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of gene expression by Hypoxia-inducible Factor"""]),
    'R-CFA-1234158':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of gene expression by Hypoxia-inducible Factor"""]),
    'R-DME-1234158':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of gene expression by Hypoxia-inducible Factor"""]),
    'R-DRE-1234158':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of gene expression by Hypoxia-inducible Factor"""]),
    'R-GGA-1234158':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of gene expression by Hypoxia-inducible Factor"""]),
    'R-MMU-1234158':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of gene expression by Hypoxia-inducible Factor"""]),
    'R-RNO-1234158':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of gene expression by Hypoxia-inducible Factor"""]),
    'R-SSC-1234158':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of gene expression by Hypoxia-inducible Factor"""]),
    'R-XTR-1234158':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of gene expression by Hypoxia-inducible Factor"""]),
    'R-HSA-1234174':Nto._make([date(2012,  6, 12), '..f.P..', 'BC', """Cellular response to hypoxia"""]),
    'R-BTA-1234174':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Cellular response to hypoxia"""]),
    'R-CEL-1234174':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Cellular response to hypoxia"""]),
    'R-CFA-1234174':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Cellular response to hypoxia"""]),
    'R-DME-1234174':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Cellular response to hypoxia"""]),
    'R-DRE-1234174':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Cellular response to hypoxia"""]),
    'R-GGA-1234174':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Cellular response to hypoxia"""]),
    'R-MMU-1234174':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Cellular response to hypoxia"""]),
    'R-RNO-1234174':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Cellular response to hypoxia"""]),
    'R-SSC-1234174':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Cellular response to hypoxia"""]),
    'R-XTR-1234174':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Cellular response to hypoxia"""]),
    'R-HSA-1234176':Nto._make([date(2012,  6, 12), '....P..', '.C', """Oxygen-dependent proline hydroxylation of Hypoxia-inducible Factor Alpha"""]),
    'R-BTA-1234176':Nto._make([date(2019,  3, 20), '...I...', '.C', """Oxygen-dependent proline hydroxylation of Hypoxia-inducible Factor Alpha"""]),
    'R-CEL-1234176':Nto._make([date(2019,  3, 20), '...I...', '.C', """Oxygen-dependent proline hydroxylation of Hypoxia-inducible Factor Alpha"""]),
    'R-CFA-1234176':Nto._make([date(2019,  3, 20), '...I...', '.C', """Oxygen-dependent proline hydroxylation of Hypoxia-inducible Factor Alpha"""]),
    'R-DME-1234176':Nto._make([date(2019,  3, 20), '...I...', '.C', """Oxygen-dependent proline hydroxylation of Hypoxia-inducible Factor Alpha"""]),
    'R-DRE-1234176':Nto._make([date(2019,  3, 20), '...I...', '.C', """Oxygen-dependent proline hydroxylation of Hypoxia-inducible Factor Alpha"""]),
    'R-GGA-1234176':Nto._make([date(2019,  3, 20), '...I...', '.C', """Oxygen-dependent proline hydroxylation of Hypoxia-inducible Factor Alpha"""]),
    'R-MMU-1234176':Nto._make([date(2019,  3, 20), '...I...', '.C', """Oxygen-dependent proline hydroxylation of Hypoxia-inducible Factor Alpha"""]),
    'R-RNO-1234176':Nto._make([date(2019,  3, 20), '...I...', '.C', """Oxygen-dependent proline hydroxylation of Hypoxia-inducible Factor Alpha"""]),
    'R-SSC-1234176':Nto._make([date(2019,  3, 20), '...I...', '.C', """Oxygen-dependent proline hydroxylation of Hypoxia-inducible Factor Alpha"""]),
    'R-XTR-1234176':Nto._make([date(2019,  3, 20), '...I...', '.C', """Oxygen-dependent proline hydroxylation of Hypoxia-inducible Factor Alpha"""]),
    'R-HSA-1236382':Nto._make([date(2011, 12,  6), '.D.....', '.C', """Constitutive Signaling by Ligand-Responsive EGFR Cancer Variants"""]),
    'R-HSA-1236394':Nto._make([date(2011, 12,  6), '..F.P..', '.C', """Signaling by ERBB4"""]),
    'R-BTA-1236394':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by ERBB4"""]),
    'R-CEL-1236394':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by ERBB4"""]),
    'R-CFA-1236394':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by ERBB4"""]),
    'R-DME-1236394':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by ERBB4"""]),
    'R-DRE-1236394':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by ERBB4"""]),
    'R-GGA-1236394':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by ERBB4"""]),
    'R-MMU-1236394':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by ERBB4"""]),
    'R-RNO-1236394':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by ERBB4"""]),
    'R-SSC-1236394':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by ERBB4"""]),
    'R-XTR-1236394':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by ERBB4"""]),
    'R-HSA-1236973':Nto._make([date(2011,  9, 20), '.......', 'B.', """Cross-presentation of particulate exogenous antigens (phagosomes)"""]),
    'R-BTA-1236973':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of particulate exogenous antigens (phagosomes)"""]),
    'R-CEL-1236973':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of particulate exogenous antigens (phagosomes)"""]),
    'R-CFA-1236973':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of particulate exogenous antigens (phagosomes)"""]),
    'R-DME-1236973':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of particulate exogenous antigens (phagosomes)"""]),
    'R-DRE-1236973':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of particulate exogenous antigens (phagosomes)"""]),
    'R-GGA-1236973':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of particulate exogenous antigens (phagosomes)"""]),
    'R-MMU-1236973':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of particulate exogenous antigens (phagosomes)"""]),
    'R-RNO-1236973':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of particulate exogenous antigens (phagosomes)"""]),
    'R-SSC-1236973':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of particulate exogenous antigens (phagosomes)"""]),
    'R-XTR-1236973':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of particulate exogenous antigens (phagosomes)"""]),
    'R-HSA-1236974':Nto._make([date(2011,  9, 20), '....P..', 'B.', """ER-Phagosome pathway"""]),
    'R-BTA-1236974':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ER-Phagosome pathway"""]),
    'R-DRE-1236974':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ER-Phagosome pathway"""]),
    'R-GGA-1236974':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ER-Phagosome pathway"""]),
    'R-MMU-1236974':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ER-Phagosome pathway"""]),
    'R-RNO-1236974':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ER-Phagosome pathway"""]),
    'R-SSC-1236974':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ER-Phagosome pathway"""]),
    'R-XTR-1236974':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ER-Phagosome pathway"""]),
    'R-HSA-1236975':Nto._make([date(2011,  9, 20), '....P..', 'B.', """Antigen processing-Cross presentation"""]),
    'R-BTA-1236975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Antigen processing-Cross presentation"""]),
    'R-CEL-1236975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Antigen processing-Cross presentation"""]),
    'R-CFA-1236975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Antigen processing-Cross presentation"""]),
    'R-DDI-1236975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Antigen processing-Cross presentation"""]),
    'R-DME-1236975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Antigen processing-Cross presentation"""]),
    'R-DRE-1236975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Antigen processing-Cross presentation"""]),
    'R-GGA-1236975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Antigen processing-Cross presentation"""]),
    'R-MMU-1236975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Antigen processing-Cross presentation"""]),
    'R-PFA-1236975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Antigen processing-Cross presentation"""]),
    'R-RNO-1236975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Antigen processing-Cross presentation"""]),
    'R-SCE-1236975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Antigen processing-Cross presentation"""]),
    'R-SPO-1236975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Antigen processing-Cross presentation"""]),
    'R-SSC-1236975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Antigen processing-Cross presentation"""]),
    'R-XTR-1236975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Antigen processing-Cross presentation"""]),
    'R-HSA-1236977':Nto._make([date(2011,  9, 20), '....P..', 'BC', """Endosomal/Vacuolar pathway"""]),
    'R-BTA-1236977':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Endosomal/Vacuolar pathway"""]),
    'R-DRE-1236977':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Endosomal/Vacuolar pathway"""]),
    'R-GGA-1236977':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Endosomal/Vacuolar pathway"""]),
    'R-MMU-1236977':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Endosomal/Vacuolar pathway"""]),
    'R-RNO-1236977':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Endosomal/Vacuolar pathway"""]),
    'R-SSC-1236977':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Endosomal/Vacuolar pathway"""]),
    'R-XTR-1236977':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Endosomal/Vacuolar pathway"""]),
    'R-HSA-1236978':Nto._make([date(2011,  9, 20), '....P..', 'B.', """Cross-presentation of soluble exogenous antigens (endosomes)"""]),
    'R-BTA-1236978':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of soluble exogenous antigens (endosomes)"""]),
    'R-CEL-1236978':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of soluble exogenous antigens (endosomes)"""]),
    'R-CFA-1236978':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of soluble exogenous antigens (endosomes)"""]),
    'R-DDI-1236978':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of soluble exogenous antigens (endosomes)"""]),
    'R-DME-1236978':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of soluble exogenous antigens (endosomes)"""]),
    'R-DRE-1236978':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of soluble exogenous antigens (endosomes)"""]),
    'R-GGA-1236978':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of soluble exogenous antigens (endosomes)"""]),
    'R-MMU-1236978':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of soluble exogenous antigens (endosomes)"""]),
    'R-PFA-1236978':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of soluble exogenous antigens (endosomes)"""]),
    'R-RNO-1236978':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of soluble exogenous antigens (endosomes)"""]),
    'R-SCE-1236978':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of soluble exogenous antigens (endosomes)"""]),
    'R-SPO-1236978':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of soluble exogenous antigens (endosomes)"""]),
    'R-SSC-1236978':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of soluble exogenous antigens (endosomes)"""]),
    'R-XTR-1236978':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cross-presentation of soluble exogenous antigens (endosomes)"""]),
    'R-HSA-1237044':Nto._make([date(2012,  6, 12), '..f.P..', 'BC', """Erythrocytes take up carbon dioxide and release oxygen"""]),
    'R-BTA-1237044':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up carbon dioxide and release oxygen"""]),
    'R-CEL-1237044':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up carbon dioxide and release oxygen"""]),
    'R-CFA-1237044':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up carbon dioxide and release oxygen"""]),
    'R-DDI-1237044':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up carbon dioxide and release oxygen"""]),
    'R-DME-1237044':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up carbon dioxide and release oxygen"""]),
    'R-DRE-1237044':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up carbon dioxide and release oxygen"""]),
    'R-GGA-1237044':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up carbon dioxide and release oxygen"""]),
    'R-MMU-1237044':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up carbon dioxide and release oxygen"""]),
    'R-PFA-1237044':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up carbon dioxide and release oxygen"""]),
    'R-RNO-1237044':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up carbon dioxide and release oxygen"""]),
    'R-SCE-1237044':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up carbon dioxide and release oxygen"""]),
    'R-SSC-1237044':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up carbon dioxide and release oxygen"""]),
    'R-XTR-1237044':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up carbon dioxide and release oxygen"""]),
    'R-HSA-1237112':Nto._make([date(2011,  6, 14), '....P..', 'BC', """Methionine salvage pathway"""]),
    'R-BTA-1237112':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Methionine salvage pathway"""]),
    'R-CEL-1237112':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Methionine salvage pathway"""]),
    'R-CFA-1237112':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Methionine salvage pathway"""]),
    'R-DDI-1237112':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Methionine salvage pathway"""]),
    'R-DME-1237112':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Methionine salvage pathway"""]),
    'R-DRE-1237112':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Methionine salvage pathway"""]),
    'R-GGA-1237112':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Methionine salvage pathway"""]),
    'R-MMU-1237112':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Methionine salvage pathway"""]),
    'R-RNO-1237112':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Methionine salvage pathway"""]),
    'R-SCE-1237112':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Methionine salvage pathway"""]),
    'R-SPO-1237112':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Methionine salvage pathway"""]),
    'R-SSC-1237112':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Methionine salvage pathway"""]),
    'R-XTR-1237112':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Methionine salvage pathway"""]),
    'R-HSA-1247673':Nto._make([date(2012,  6, 12), '..f.P..', 'BC', """Erythrocytes take up oxygen and release carbon dioxide"""]),
    'R-BTA-1247673':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up oxygen and release carbon dioxide"""]),
    'R-CEL-1247673':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up oxygen and release carbon dioxide"""]),
    'R-CFA-1247673':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up oxygen and release carbon dioxide"""]),
    'R-DDI-1247673':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up oxygen and release carbon dioxide"""]),
    'R-DME-1247673':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up oxygen and release carbon dioxide"""]),
    'R-DRE-1247673':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up oxygen and release carbon dioxide"""]),
    'R-GGA-1247673':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up oxygen and release carbon dioxide"""]),
    'R-MMU-1247673':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up oxygen and release carbon dioxide"""]),
    'R-PFA-1247673':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up oxygen and release carbon dioxide"""]),
    'R-RNO-1247673':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up oxygen and release carbon dioxide"""]),
    'R-SCE-1247673':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up oxygen and release carbon dioxide"""]),
    'R-SSC-1247673':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up oxygen and release carbon dioxide"""]),
    'R-XTR-1247673':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Erythrocytes take up oxygen and release carbon dioxide"""]),
    'R-HSA-1250196':Nto._make([date(2011, 12,  6), '.......', '.C', """SHC1 events in ERBB2 signaling"""]),
    'R-BTA-1250196':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC1 events in ERBB2 signaling"""]),
    'R-CEL-1250196':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC1 events in ERBB2 signaling"""]),
    'R-CFA-1250196':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC1 events in ERBB2 signaling"""]),
    'R-DME-1250196':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC1 events in ERBB2 signaling"""]),
    'R-DRE-1250196':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC1 events in ERBB2 signaling"""]),
    'R-GGA-1250196':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC1 events in ERBB2 signaling"""]),
    'R-MMU-1250196':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC1 events in ERBB2 signaling"""]),
    'R-RNO-1250196':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC1 events in ERBB2 signaling"""]),
    'R-SSC-1250196':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC1 events in ERBB2 signaling"""]),
    'R-XTR-1250196':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC1 events in ERBB2 signaling"""]),
    'R-HSA-1250342':Nto._make([date(2011, 12,  6), '.......', '..', """PI3K events in ERBB4 signaling"""]),
    'R-BTA-1250342':Nto._make([date(2019,  3, 20), '...I...', '..', """PI3K events in ERBB4 signaling"""]),
    'R-CFA-1250342':Nto._make([date(2019,  3, 20), '...I...', '..', """PI3K events in ERBB4 signaling"""]),
    'R-DME-1250342':Nto._make([date(2019,  3, 20), '...I...', '..', """PI3K events in ERBB4 signaling"""]),
    'R-DRE-1250342':Nto._make([date(2019,  3, 20), '...I...', '..', """PI3K events in ERBB4 signaling"""]),
    'R-GGA-1250342':Nto._make([date(2019,  3, 20), '...I...', '..', """PI3K events in ERBB4 signaling"""]),
    'R-MMU-1250342':Nto._make([date(2019,  3, 20), '...I...', '..', """PI3K events in ERBB4 signaling"""]),
    'R-RNO-1250342':Nto._make([date(2019,  3, 20), '...I...', '..', """PI3K events in ERBB4 signaling"""]),
    'R-SSC-1250342':Nto._make([date(2019,  3, 20), '...I...', '..', """PI3K events in ERBB4 signaling"""]),
    'R-XTR-1250342':Nto._make([date(2019,  3, 20), '...I...', '..', """PI3K events in ERBB4 signaling"""]),
    'R-HSA-1250347':Nto._make([date(2011, 12,  6), '.......', '..', """SHC1 events in ERBB4 signaling"""]),
    'R-BTA-1250347':Nto._make([date(2019,  3, 20), '...I...', '..', """SHC1 events in ERBB4 signaling"""]),
    'R-CFA-1250347':Nto._make([date(2019,  3, 20), '...I...', '..', """SHC1 events in ERBB4 signaling"""]),
    'R-DME-1250347':Nto._make([date(2019,  3, 20), '...I...', '..', """SHC1 events in ERBB4 signaling"""]),
    'R-DRE-1250347':Nto._make([date(2019,  3, 20), '...I...', '..', """SHC1 events in ERBB4 signaling"""]),
    'R-GGA-1250347':Nto._make([date(2019,  3, 20), '...I...', '..', """SHC1 events in ERBB4 signaling"""]),
    'R-MMU-1250347':Nto._make([date(2019,  3, 20), '...I...', '..', """SHC1 events in ERBB4 signaling"""]),
    'R-RNO-1250347':Nto._make([date(2019,  3, 20), '...I...', '..', """SHC1 events in ERBB4 signaling"""]),
    'R-SSC-1250347':Nto._make([date(2019,  3, 20), '...I...', '..', """SHC1 events in ERBB4 signaling"""]),
    'R-XTR-1250347':Nto._make([date(2019,  3, 20), '...I...', '..', """SHC1 events in ERBB4 signaling"""]),
    'R-HSA-1251932':Nto._make([date(2011, 12,  6), '.......', '..', """PLCG1 events in ERBB2 signaling"""]),
    'R-HSA-1251985':Nto._make([date(2011, 12,  6), '....P..', '..', """Nuclear signaling by ERBB4"""]),
    'R-BTA-1251985':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear signaling by ERBB4"""]),
    'R-CEL-1251985':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear signaling by ERBB4"""]),
    'R-CFA-1251985':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear signaling by ERBB4"""]),
    'R-DME-1251985':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear signaling by ERBB4"""]),
    'R-DRE-1251985':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear signaling by ERBB4"""]),
    'R-GGA-1251985':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear signaling by ERBB4"""]),
    'R-MMU-1251985':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear signaling by ERBB4"""]),
    'R-RNO-1251985':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear signaling by ERBB4"""]),
    'R-SSC-1251985':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear signaling by ERBB4"""]),
    'R-XTR-1251985':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear signaling by ERBB4"""]),
    'R-HSA-1253288':Nto._make([date(2011, 12,  6), '.......', '..', """Downregulation of ERBB4 signaling"""]),
    'R-BTA-1253288':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB4 signaling"""]),
    'R-CEL-1253288':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB4 signaling"""]),
    'R-CFA-1253288':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB4 signaling"""]),
    'R-DME-1253288':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB4 signaling"""]),
    'R-DRE-1253288':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB4 signaling"""]),
    'R-GGA-1253288':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB4 signaling"""]),
    'R-MMU-1253288':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB4 signaling"""]),
    'R-RNO-1253288':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB4 signaling"""]),
    'R-SSC-1253288':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB4 signaling"""]),
    'R-XTR-1253288':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB4 signaling"""]),
    'R-HSA-1257604':Nto._make([date(2011,  6, 14), '..F....', '..', """PIP3 activates AKT signaling"""]),
    'R-BTA-1257604':Nto._make([date(2019,  3, 20), '..fI...', '..', """PIP3 activates AKT signaling"""]),
    'R-CEL-1257604':Nto._make([date(2019,  3, 20), '..fI...', '..', """PIP3 activates AKT signaling"""]),
    'R-CFA-1257604':Nto._make([date(2019,  3, 20), '..fI...', '..', """PIP3 activates AKT signaling"""]),
    'R-DDI-1257604':Nto._make([date(2019,  3, 20), '..fI...', '..', """PIP3 activates AKT signaling"""]),
    'R-DME-1257604':Nto._make([date(2019,  3, 20), '..fI...', '..', """PIP3 activates AKT signaling"""]),
    'R-DRE-1257604':Nto._make([date(2019,  3, 20), '..fI...', '..', """PIP3 activates AKT signaling"""]),
    'R-GGA-1257604':Nto._make([date(2019,  3, 20), '..fI...', '..', """PIP3 activates AKT signaling"""]),
    'R-MMU-1257604':Nto._make([date(2019,  3, 20), '..fI...', '..', """PIP3 activates AKT signaling"""]),
    'R-PFA-1257604':Nto._make([date(2019,  3, 20), '..fI...', '..', """PIP3 activates AKT signaling"""]),
    'R-RNO-1257604':Nto._make([date(2019,  3, 20), '..fI...', '..', """PIP3 activates AKT signaling"""]),
    'R-SCE-1257604':Nto._make([date(2019,  3, 20), '..fI...', '..', """PIP3 activates AKT signaling"""]),
    'R-SPO-1257604':Nto._make([date(2019,  3, 20), '..fI...', '..', """PIP3 activates AKT signaling"""]),
    'R-SSC-1257604':Nto._make([date(2019,  3, 20), '..fI...', '..', """PIP3 activates AKT signaling"""]),
    'R-XTR-1257604':Nto._make([date(2019,  3, 20), '..fI...', '..', """PIP3 activates AKT signaling"""]),
    'R-HSA-1266695':Nto._make([date(2011, 12,  6), '..f....', 'B.', """Interleukin-7 signaling"""]),
    'R-BTA-1266695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-7 signaling"""]),
    'R-CEL-1266695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-7 signaling"""]),
    'R-CFA-1266695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-7 signaling"""]),
    'R-DDI-1266695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-7 signaling"""]),
    'R-DME-1266695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-7 signaling"""]),
    'R-DRE-1266695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-7 signaling"""]),
    'R-GGA-1266695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-7 signaling"""]),
    'R-MMU-1266695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-7 signaling"""]),
    'R-RNO-1266695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-7 signaling"""]),
    'R-SSC-1266695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-7 signaling"""]),
    'R-XTR-1266695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-7 signaling"""]),
    'R-HSA-1266738':Nto._make([date(2011,  9, 20), 'T.F....', '..', """Developmental Biology"""]),
    'R-BTA-1266738':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Developmental Biology"""]),
    'R-CEL-1266738':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Developmental Biology"""]),
    'R-CFA-1266738':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Developmental Biology"""]),
    'R-DDI-1266738':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Developmental Biology"""]),
    'R-DME-1266738':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Developmental Biology"""]),
    'R-DRE-1266738':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Developmental Biology"""]),
    'R-GGA-1266738':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Developmental Biology"""]),
    'R-MMU-1266738':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Developmental Biology"""]),
    'R-PFA-1266738':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Developmental Biology"""]),
    'R-RNO-1266738':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Developmental Biology"""]),
    'R-SCE-1266738':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Developmental Biology"""]),
    'R-SPO-1266738':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Developmental Biology"""]),
    'R-SSC-1266738':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Developmental Biology"""]),
    'R-XTR-1266738':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Developmental Biology"""]),
    'R-HSA-1268020':Nto._make([date(2012,  3, 13), '..F.P..', 'BC', """Mitochondrial protein import"""]),
    'R-BTA-1268020':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial protein import"""]),
    'R-CEL-1268020':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial protein import"""]),
    'R-CFA-1268020':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial protein import"""]),
    'R-DDI-1268020':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial protein import"""]),
    'R-DME-1268020':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial protein import"""]),
    'R-DRE-1268020':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial protein import"""]),
    'R-GGA-1268020':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial protein import"""]),
    'R-MMU-1268020':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial protein import"""]),
    'R-RNO-1268020':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial protein import"""]),
    'R-SCE-1268020':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial protein import"""]),
    'R-SPO-1268020':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial protein import"""]),
    'R-SSC-1268020':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial protein import"""]),
    'R-XTR-1268020':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial protein import"""]),
    'R-HSA-1280215':Nto._make([date(2011,  6, 14), '..F.PBU', '..', """Cytokine Signaling in Immune system"""]),
    'R-BTA-1280215':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cytokine Signaling in Immune system"""]),
    'R-CEL-1280215':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cytokine Signaling in Immune system"""]),
    'R-CFA-1280215':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cytokine Signaling in Immune system"""]),
    'R-DDI-1280215':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cytokine Signaling in Immune system"""]),
    'R-DME-1280215':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cytokine Signaling in Immune system"""]),
    'R-DRE-1280215':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cytokine Signaling in Immune system"""]),
    'R-GGA-1280215':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cytokine Signaling in Immune system"""]),
    'R-MMU-1280215':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cytokine Signaling in Immune system"""]),
    'R-PFA-1280215':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cytokine Signaling in Immune system"""]),
    'R-RNO-1280215':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cytokine Signaling in Immune system"""]),
    'R-SCE-1280215':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cytokine Signaling in Immune system"""]),
    'R-SPO-1280215':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cytokine Signaling in Immune system"""]),
    'R-SSC-1280215':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cytokine Signaling in Immune system"""]),
    'R-XTR-1280215':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cytokine Signaling in Immune system"""]),
    'R-HSA-1280218':Nto._make([date(2011,  6, 14), '..F.P..', '..', """Adaptive Immune System"""]),
    'R-BTA-1280218':Nto._make([date(2019,  3, 20), '..fI...', '..', """Adaptive Immune System"""]),
    'R-CEL-1280218':Nto._make([date(2019,  3, 20), '..fI...', '..', """Adaptive Immune System"""]),
    'R-CFA-1280218':Nto._make([date(2019,  3, 20), '..fI...', '..', """Adaptive Immune System"""]),
    'R-DDI-1280218':Nto._make([date(2019,  3, 20), '..fI...', '..', """Adaptive Immune System"""]),
    'R-DME-1280218':Nto._make([date(2019,  3, 20), '..fI...', '..', """Adaptive Immune System"""]),
    'R-DRE-1280218':Nto._make([date(2019,  3, 20), '..fI...', '..', """Adaptive Immune System"""]),
    'R-GGA-1280218':Nto._make([date(2019,  3, 20), '..fI...', '..', """Adaptive Immune System"""]),
    'R-MMU-1280218':Nto._make([date(2019,  3, 20), '..fI...', '..', """Adaptive Immune System"""]),
    'R-PFA-1280218':Nto._make([date(2019,  3, 20), '..fI...', '..', """Adaptive Immune System"""]),
    'R-RNO-1280218':Nto._make([date(2019,  3, 20), '..fI...', '..', """Adaptive Immune System"""]),
    'R-SCE-1280218':Nto._make([date(2019,  3, 20), '..fI...', '..', """Adaptive Immune System"""]),
    'R-SPO-1280218':Nto._make([date(2019,  3, 20), '..fI...', '..', """Adaptive Immune System"""]),
    'R-SSC-1280218':Nto._make([date(2019,  3, 20), '..fI...', '..', """Adaptive Immune System"""]),
    'R-XTR-1280218':Nto._make([date(2019,  3, 20), '..fI...', '..', """Adaptive Immune System"""]),
    'R-HSA-1295596':Nto._make([date(2011,  9, 20), '....P..', '.C', """Spry regulation of FGF signaling"""]),
    'R-BTA-1295596':Nto._make([date(2019,  3, 20), '...I...', '.C', """Spry regulation of FGF signaling"""]),
    'R-CFA-1295596':Nto._make([date(2019,  3, 20), '...I...', '.C', """Spry regulation of FGF signaling"""]),
    'R-DME-1295596':Nto._make([date(2019,  3, 20), '...I...', '.C', """Spry regulation of FGF signaling"""]),
    'R-DRE-1295596':Nto._make([date(2019,  3, 20), '...I...', '.C', """Spry regulation of FGF signaling"""]),
    'R-GGA-1295596':Nto._make([date(2019,  3, 20), '...I...', '.C', """Spry regulation of FGF signaling"""]),
    'R-MMU-1295596':Nto._make([date(2019,  3, 20), '...I...', '.C', """Spry regulation of FGF signaling"""]),
    'R-RNO-1295596':Nto._make([date(2019,  3, 20), '...I...', '.C', """Spry regulation of FGF signaling"""]),
    'R-SSC-1295596':Nto._make([date(2019,  3, 20), '...I...', '.C', """Spry regulation of FGF signaling"""]),
    'R-XTR-1295596':Nto._make([date(2019,  3, 20), '...I...', '.C', """Spry regulation of FGF signaling"""]),
    'R-HSA-1296025':Nto._make([date(2011,  6, 14), '....P..', '.C', """ATP sensitive Potassium channels"""]),
    'R-BTA-1296025':Nto._make([date(2019,  3, 20), '...I...', '.C', """ATP sensitive Potassium channels"""]),
    'R-CFA-1296025':Nto._make([date(2019,  3, 20), '...I...', '.C', """ATP sensitive Potassium channels"""]),
    'R-DME-1296025':Nto._make([date(2019,  3, 20), '...I...', '.C', """ATP sensitive Potassium channels"""]),
    'R-DRE-1296025':Nto._make([date(2019,  3, 20), '...I...', '.C', """ATP sensitive Potassium channels"""]),
    'R-GGA-1296025':Nto._make([date(2019,  3, 20), '...I...', '.C', """ATP sensitive Potassium channels"""]),
    'R-MMU-1296025':Nto._make([date(2019,  3, 20), '...I...', '.C', """ATP sensitive Potassium channels"""]),
    'R-RNO-1296025':Nto._make([date(2019,  3, 20), '...I...', '.C', """ATP sensitive Potassium channels"""]),
    'R-SSC-1296025':Nto._make([date(2019,  3, 20), '...I...', '.C', """ATP sensitive Potassium channels"""]),
    'R-HSA-1296041':Nto._make([date(2011,  6, 14), '....P..', '.C', """Activation of G protein gated Potassium channels"""]),
    'R-BTA-1296041':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of G protein gated Potassium channels"""]),
    'R-CEL-1296041':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of G protein gated Potassium channels"""]),
    'R-CFA-1296041':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of G protein gated Potassium channels"""]),
    'R-DME-1296041':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of G protein gated Potassium channels"""]),
    'R-DRE-1296041':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of G protein gated Potassium channels"""]),
    'R-GGA-1296041':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of G protein gated Potassium channels"""]),
    'R-MMU-1296041':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of G protein gated Potassium channels"""]),
    'R-RNO-1296041':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of G protein gated Potassium channels"""]),
    'R-SSC-1296041':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of G protein gated Potassium channels"""]),
    'R-XTR-1296041':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activation of G protein gated Potassium channels"""]),
    'R-HSA-1296052':Nto._make([date(2011,  6, 14), '....P..', '.C', """Ca2+ activated K+ channels"""]),
    'R-BTA-1296052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca2+ activated K+ channels"""]),
    'R-CEL-1296052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca2+ activated K+ channels"""]),
    'R-CFA-1296052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca2+ activated K+ channels"""]),
    'R-DDI-1296052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca2+ activated K+ channels"""]),
    'R-DME-1296052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca2+ activated K+ channels"""]),
    'R-DRE-1296052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca2+ activated K+ channels"""]),
    'R-GGA-1296052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca2+ activated K+ channels"""]),
    'R-MMU-1296052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca2+ activated K+ channels"""]),
    'R-RNO-1296052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca2+ activated K+ channels"""]),
    'R-SSC-1296052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca2+ activated K+ channels"""]),
    'R-XTR-1296052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ca2+ activated K+ channels"""]),
    'R-HSA-1296053':Nto._make([date(2011,  6, 14), '....P..', '.C', """Classical Kir channels"""]),
    'R-BTA-1296053':Nto._make([date(2019,  3, 20), '...I...', '.C', """Classical Kir channels"""]),
    'R-CEL-1296053':Nto._make([date(2019,  3, 20), '...I...', '.C', """Classical Kir channels"""]),
    'R-CFA-1296053':Nto._make([date(2019,  3, 20), '...I...', '.C', """Classical Kir channels"""]),
    'R-DME-1296053':Nto._make([date(2019,  3, 20), '...I...', '.C', """Classical Kir channels"""]),
    'R-DRE-1296053':Nto._make([date(2019,  3, 20), '...I...', '.C', """Classical Kir channels"""]),
    'R-GGA-1296053':Nto._make([date(2019,  3, 20), '...I...', '.C', """Classical Kir channels"""]),
    'R-MMU-1296053':Nto._make([date(2019,  3, 20), '...I...', '.C', """Classical Kir channels"""]),
    'R-RNO-1296053':Nto._make([date(2019,  3, 20), '...I...', '.C', """Classical Kir channels"""]),
    'R-SSC-1296053':Nto._make([date(2019,  3, 20), '...I...', '.C', """Classical Kir channels"""]),
    'R-XTR-1296053':Nto._make([date(2019,  3, 20), '...I...', '.C', """Classical Kir channels"""]),
    'R-HSA-1296059':Nto._make([date(2011,  6, 14), '....P..', '.C', """G protein gated Potassium channels"""]),
    'R-BTA-1296059':Nto._make([date(2019,  3, 20), '...I...', '.C', """G protein gated Potassium channels"""]),
    'R-CEL-1296059':Nto._make([date(2019,  3, 20), '...I...', '.C', """G protein gated Potassium channels"""]),
    'R-CFA-1296059':Nto._make([date(2019,  3, 20), '...I...', '.C', """G protein gated Potassium channels"""]),
    'R-DME-1296059':Nto._make([date(2019,  3, 20), '...I...', '.C', """G protein gated Potassium channels"""]),
    'R-DRE-1296059':Nto._make([date(2019,  3, 20), '...I...', '.C', """G protein gated Potassium channels"""]),
    'R-GGA-1296059':Nto._make([date(2019,  3, 20), '...I...', '.C', """G protein gated Potassium channels"""]),
    'R-MMU-1296059':Nto._make([date(2019,  3, 20), '...I...', '.C', """G protein gated Potassium channels"""]),
    'R-RNO-1296059':Nto._make([date(2019,  3, 20), '...I...', '.C', """G protein gated Potassium channels"""]),
    'R-SSC-1296059':Nto._make([date(2019,  3, 20), '...I...', '.C', """G protein gated Potassium channels"""]),
    'R-XTR-1296059':Nto._make([date(2019,  3, 20), '...I...', '.C', """G protein gated Potassium channels"""]),
    'R-HSA-1296061':Nto._make([date(2011,  6, 14), '....P..', '..', """HCN channels"""]),
    'R-BTA-1296061':Nto._make([date(2019,  3, 20), '...I...', '..', """HCN channels"""]),
    'R-CFA-1296061':Nto._make([date(2019,  3, 20), '...I...', '..', """HCN channels"""]),
    'R-DME-1296061':Nto._make([date(2019,  3, 20), '...I...', '..', """HCN channels"""]),
    'R-DRE-1296061':Nto._make([date(2019,  3, 20), '...I...', '..', """HCN channels"""]),
    'R-GGA-1296061':Nto._make([date(2019,  3, 20), '...I...', '..', """HCN channels"""]),
    'R-MMU-1296061':Nto._make([date(2019,  3, 20), '...I...', '..', """HCN channels"""]),
    'R-RNO-1296061':Nto._make([date(2019,  3, 20), '...I...', '..', """HCN channels"""]),
    'R-SSC-1296061':Nto._make([date(2019,  3, 20), '...I...', '..', """HCN channels"""]),
    'R-XTR-1296061':Nto._make([date(2019,  3, 20), '...I...', '..', """HCN channels"""]),
    'R-HSA-1296065':Nto._make([date(2011,  6, 14), '....P..', '..', """Inwardly rectifying K+ channels"""]),
    'R-BTA-1296065':Nto._make([date(2019,  3, 20), '...I...', '..', """Inwardly rectifying K+ channels"""]),
    'R-CEL-1296065':Nto._make([date(2019,  3, 20), '...I...', '..', """Inwardly rectifying K+ channels"""]),
    'R-CFA-1296065':Nto._make([date(2019,  3, 20), '...I...', '..', """Inwardly rectifying K+ channels"""]),
    'R-DME-1296065':Nto._make([date(2019,  3, 20), '...I...', '..', """Inwardly rectifying K+ channels"""]),
    'R-DRE-1296065':Nto._make([date(2019,  3, 20), '...I...', '..', """Inwardly rectifying K+ channels"""]),
    'R-GGA-1296065':Nto._make([date(2019,  3, 20), '...I...', '..', """Inwardly rectifying K+ channels"""]),
    'R-MMU-1296065':Nto._make([date(2019,  3, 20), '...I...', '..', """Inwardly rectifying K+ channels"""]),
    'R-RNO-1296065':Nto._make([date(2019,  3, 20), '...I...', '..', """Inwardly rectifying K+ channels"""]),
    'R-SSC-1296065':Nto._make([date(2019,  3, 20), '...I...', '..', """Inwardly rectifying K+ channels"""]),
    'R-XTR-1296065':Nto._make([date(2019,  3, 20), '...I...', '..', """Inwardly rectifying K+ channels"""]),
    'R-HSA-1296067':Nto._make([date(2011,  6, 14), '....P..', '.C', """Potassium transport channels"""]),
    'R-BTA-1296067':Nto._make([date(2019,  3, 20), '...I...', '.C', """Potassium transport channels"""]),
    'R-CEL-1296067':Nto._make([date(2019,  3, 20), '...I...', '.C', """Potassium transport channels"""]),
    'R-CFA-1296067':Nto._make([date(2019,  3, 20), '...I...', '.C', """Potassium transport channels"""]),
    'R-DME-1296067':Nto._make([date(2019,  3, 20), '...I...', '.C', """Potassium transport channels"""]),
    'R-DRE-1296067':Nto._make([date(2019,  3, 20), '...I...', '.C', """Potassium transport channels"""]),
    'R-GGA-1296067':Nto._make([date(2019,  3, 20), '...I...', '.C', """Potassium transport channels"""]),
    'R-MMU-1296067':Nto._make([date(2019,  3, 20), '...I...', '.C', """Potassium transport channels"""]),
    'R-RNO-1296067':Nto._make([date(2019,  3, 20), '...I...', '.C', """Potassium transport channels"""]),
    'R-SSC-1296067':Nto._make([date(2019,  3, 20), '...I...', '.C', """Potassium transport channels"""]),
    'R-XTR-1296067':Nto._make([date(2019,  3, 20), '...I...', '.C', """Potassium transport channels"""]),
    'R-HSA-1296071':Nto._make([date(2011,  6, 14), '..f.P..', '..', """Potassium Channels"""]),
    'R-BTA-1296071':Nto._make([date(2019,  3, 20), '..fI...', '..', """Potassium Channels"""]),
    'R-CEL-1296071':Nto._make([date(2019,  3, 20), '..fI...', '..', """Potassium Channels"""]),
    'R-CFA-1296071':Nto._make([date(2019,  3, 20), '..fI...', '..', """Potassium Channels"""]),
    'R-DDI-1296071':Nto._make([date(2019,  3, 20), '..fI...', '..', """Potassium Channels"""]),
    'R-DME-1296071':Nto._make([date(2019,  3, 20), '..fI...', '..', """Potassium Channels"""]),
    'R-DRE-1296071':Nto._make([date(2019,  3, 20), '..fI...', '..', """Potassium Channels"""]),
    'R-GGA-1296071':Nto._make([date(2019,  3, 20), '..fI...', '..', """Potassium Channels"""]),
    'R-MMU-1296071':Nto._make([date(2019,  3, 20), '..fI...', '..', """Potassium Channels"""]),
    'R-RNO-1296071':Nto._make([date(2019,  3, 20), '..fI...', '..', """Potassium Channels"""]),
    'R-SCE-1296071':Nto._make([date(2019,  3, 20), '..fI...', '..', """Potassium Channels"""]),
    'R-SSC-1296071':Nto._make([date(2019,  3, 20), '..fI...', '..', """Potassium Channels"""]),
    'R-XTR-1296071':Nto._make([date(2019,  3, 20), '..fI...', '..', """Potassium Channels"""]),
    'R-HSA-1296072':Nto._make([date(2011,  6, 14), '....P..', '..', """Voltage gated Potassium channels"""]),
    'R-BTA-1296072':Nto._make([date(2019,  3, 20), '...I...', '..', """Voltage gated Potassium channels"""]),
    'R-CFA-1296072':Nto._make([date(2019,  3, 20), '...I...', '..', """Voltage gated Potassium channels"""]),
    'R-DME-1296072':Nto._make([date(2019,  3, 20), '...I...', '..', """Voltage gated Potassium channels"""]),
    'R-DRE-1296072':Nto._make([date(2019,  3, 20), '...I...', '..', """Voltage gated Potassium channels"""]),
    'R-GGA-1296072':Nto._make([date(2019,  3, 20), '...I...', '..', """Voltage gated Potassium channels"""]),
    'R-MMU-1296072':Nto._make([date(2019,  3, 20), '...I...', '..', """Voltage gated Potassium channels"""]),
    'R-RNO-1296072':Nto._make([date(2019,  3, 20), '...I...', '..', """Voltage gated Potassium channels"""]),
    'R-SSC-1296072':Nto._make([date(2019,  3, 20), '...I...', '..', """Voltage gated Potassium channels"""]),
    'R-XTR-1296072':Nto._make([date(2019,  3, 20), '...I...', '..', """Voltage gated Potassium channels"""]),
    'R-HSA-1296346':Nto._make([date(2011,  6, 14), '....P..', '..', """Tandem pore domain potassium channels"""]),
    'R-BTA-1296346':Nto._make([date(2019,  3, 20), '...I...', '..', """Tandem pore domain potassium channels"""]),
    'R-CEL-1296346':Nto._make([date(2019,  3, 20), '...I...', '..', """Tandem pore domain potassium channels"""]),
    'R-CFA-1296346':Nto._make([date(2019,  3, 20), '...I...', '..', """Tandem pore domain potassium channels"""]),
    'R-DDI-1296346':Nto._make([date(2019,  3, 20), '...I...', '..', """Tandem pore domain potassium channels"""]),
    'R-DME-1296346':Nto._make([date(2019,  3, 20), '...I...', '..', """Tandem pore domain potassium channels"""]),
    'R-DRE-1296346':Nto._make([date(2019,  3, 20), '...I...', '..', """Tandem pore domain potassium channels"""]),
    'R-GGA-1296346':Nto._make([date(2019,  3, 20), '...I...', '..', """Tandem pore domain potassium channels"""]),
    'R-MMU-1296346':Nto._make([date(2019,  3, 20), '...I...', '..', """Tandem pore domain potassium channels"""]),
    'R-RNO-1296346':Nto._make([date(2019,  3, 20), '...I...', '..', """Tandem pore domain potassium channels"""]),
    'R-SCE-1296346':Nto._make([date(2019,  3, 20), '...I...', '..', """Tandem pore domain potassium channels"""]),
    'R-SSC-1296346':Nto._make([date(2019,  3, 20), '...I...', '..', """Tandem pore domain potassium channels"""]),
    'R-XTR-1296346':Nto._make([date(2019,  3, 20), '...I...', '..', """Tandem pore domain potassium channels"""]),
    'R-HSA-1299287':Nto._make([date(2011,  6, 14), '....P..', '.C', """Tandem pore domain halothane-inhibited K+ channel (THIK)"""]),
    'R-BTA-1299287':Nto._make([date(2019,  3, 20), '...I...', '.C', """Tandem pore domain halothane-inhibited K+ channel (THIK)"""]),
    'R-CEL-1299287':Nto._make([date(2019,  3, 20), '...I...', '.C', """Tandem pore domain halothane-inhibited K+ channel (THIK)"""]),
    'R-CFA-1299287':Nto._make([date(2019,  3, 20), '...I...', '.C', """Tandem pore domain halothane-inhibited K+ channel (THIK)"""]),
    'R-DDI-1299287':Nto._make([date(2019,  3, 20), '...I...', '.C', """Tandem pore domain halothane-inhibited K+ channel (THIK)"""]),
    'R-DRE-1299287':Nto._make([date(2019,  3, 20), '...I...', '.C', """Tandem pore domain halothane-inhibited K+ channel (THIK)"""]),
    'R-GGA-1299287':Nto._make([date(2019,  3, 20), '...I...', '.C', """Tandem pore domain halothane-inhibited K+ channel (THIK)"""]),
    'R-MMU-1299287':Nto._make([date(2019,  3, 20), '...I...', '.C', """Tandem pore domain halothane-inhibited K+ channel (THIK)"""]),
    'R-RNO-1299287':Nto._make([date(2019,  3, 20), '...I...', '.C', """Tandem pore domain halothane-inhibited K+ channel (THIK)"""]),
    'R-SCE-1299287':Nto._make([date(2019,  3, 20), '...I...', '.C', """Tandem pore domain halothane-inhibited K+ channel (THIK)"""]),
    'R-SSC-1299287':Nto._make([date(2019,  3, 20), '...I...', '.C', """Tandem pore domain halothane-inhibited K+ channel (THIK)"""]),
    'R-XTR-1299287':Nto._make([date(2019,  3, 20), '...I...', '.C', """Tandem pore domain halothane-inhibited K+ channel (THIK)"""]),
    'R-HSA-1299308':Nto._make([date(2011,  6, 14), '....P..', '.C', """Tandem of pore domain in a weak inwardly rectifying K+ channels (TWIK)"""]),
    'R-BTA-1299308':Nto._make([date(2019,  3, 20), '...I...', '.C', """Tandem of pore domain in a weak inwardly rectifying K+ channels (TWIK)"""]),
    'R-CEL-1299308':Nto._make([date(2019,  3, 20), '...I...', '.C', """Tandem of pore domain in a weak inwardly rectifying K+ channels (TWIK)"""]),
    'R-CFA-1299308':Nto._make([date(2019,  3, 20), '...I...', '.C', """Tandem of pore domain in a weak inwardly rectifying K+ channels (TWIK)"""]),
    'R-DDI-1299308':Nto._make([date(2019,  3, 20), '...I...', '.C', """Tandem of pore domain in a weak inwardly rectifying K+ channels (TWIK)"""]),
    'R-DRE-1299308':Nto._make([date(2019,  3, 20), '...I...', '.C', """Tandem of pore domain in a weak inwardly rectifying K+ channels (TWIK)"""]),
    'R-GGA-1299308':Nto._make([date(2019,  3, 20), '...I...', '.C', """Tandem of pore domain in a weak inwardly rectifying K+ channels (TWIK)"""]),
    'R-MMU-1299308':Nto._make([date(2019,  3, 20), '...I...', '.C', """Tandem of pore domain in a weak inwardly rectifying K+ channels (TWIK)"""]),
    'R-RNO-1299308':Nto._make([date(2019,  3, 20), '...I...', '.C', """Tandem of pore domain in a weak inwardly rectifying K+ channels (TWIK)"""]),
    'R-SCE-1299308':Nto._make([date(2019,  3, 20), '...I...', '.C', """Tandem of pore domain in a weak inwardly rectifying K+ channels (TWIK)"""]),
    'R-SSC-1299308':Nto._make([date(2019,  3, 20), '...I...', '.C', """Tandem of pore domain in a weak inwardly rectifying K+ channels (TWIK)"""]),
    'R-XTR-1299308':Nto._make([date(2019,  3, 20), '...I...', '.C', """Tandem of pore domain in a weak inwardly rectifying K+ channels (TWIK)"""]),
    'R-HSA-1299316':Nto._make([date(2011,  6, 14), '....P..', '.C', """TWIK-releated acid-sensitive K+ channel (TASK)"""]),
    'R-BTA-1299316':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-releated acid-sensitive K+ channel (TASK)"""]),
    'R-CEL-1299316':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-releated acid-sensitive K+ channel (TASK)"""]),
    'R-CFA-1299316':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-releated acid-sensitive K+ channel (TASK)"""]),
    'R-DDI-1299316':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-releated acid-sensitive K+ channel (TASK)"""]),
    'R-DME-1299316':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-releated acid-sensitive K+ channel (TASK)"""]),
    'R-DRE-1299316':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-releated acid-sensitive K+ channel (TASK)"""]),
    'R-GGA-1299316':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-releated acid-sensitive K+ channel (TASK)"""]),
    'R-MMU-1299316':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-releated acid-sensitive K+ channel (TASK)"""]),
    'R-RNO-1299316':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-releated acid-sensitive K+ channel (TASK)"""]),
    'R-SCE-1299316':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-releated acid-sensitive K+ channel (TASK)"""]),
    'R-SSC-1299316':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-releated acid-sensitive K+ channel (TASK)"""]),
    'R-XTR-1299316':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-releated acid-sensitive K+ channel (TASK)"""]),
    'R-HSA-1299344':Nto._make([date(2011,  6, 14), '....P..', '.C', """TWIK-related spinal cord K+ channel (TRESK)"""]),
    'R-BTA-1299344':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-related spinal cord K+ channel (TRESK)"""]),
    'R-CFA-1299344':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-related spinal cord K+ channel (TRESK)"""]),
    'R-DDI-1299344':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-related spinal cord K+ channel (TRESK)"""]),
    'R-DRE-1299344':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-related spinal cord K+ channel (TRESK)"""]),
    'R-GGA-1299344':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-related spinal cord K+ channel (TRESK)"""]),
    'R-MMU-1299344':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-related spinal cord K+ channel (TRESK)"""]),
    'R-RNO-1299344':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-related spinal cord K+ channel (TRESK)"""]),
    'R-SCE-1299344':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-related spinal cord K+ channel (TRESK)"""]),
    'R-SSC-1299344':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-related spinal cord K+ channel (TRESK)"""]),
    'R-XTR-1299344':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-related spinal cord K+ channel (TRESK)"""]),
    'R-HSA-1299361':Nto._make([date(2011,  6, 14), '....P..', '.C', """TWIK-related alkaline pH activated K+ channel (TALK)"""]),
    'R-BTA-1299361':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-related alkaline pH activated K+ channel (TALK)"""]),
    'R-CEL-1299361':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-related alkaline pH activated K+ channel (TALK)"""]),
    'R-CFA-1299361':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-related alkaline pH activated K+ channel (TALK)"""]),
    'R-DDI-1299361':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-related alkaline pH activated K+ channel (TALK)"""]),
    'R-DME-1299361':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-related alkaline pH activated K+ channel (TALK)"""]),
    'R-GGA-1299361':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-related alkaline pH activated K+ channel (TALK)"""]),
    'R-MMU-1299361':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-related alkaline pH activated K+ channel (TALK)"""]),
    'R-RNO-1299361':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-related alkaline pH activated K+ channel (TALK)"""]),
    'R-SCE-1299361':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-related alkaline pH activated K+ channel (TALK)"""]),
    'R-SSC-1299361':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-related alkaline pH activated K+ channel (TALK)"""]),
    'R-XTR-1299361':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK-related alkaline pH activated K+ channel (TALK)"""]),
    'R-HSA-1299503':Nto._make([date(2011,  6, 14), '....P..', '.C', """TWIK related potassium channel (TREK)"""]),
    'R-BTA-1299503':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK related potassium channel (TREK)"""]),
    'R-CEL-1299503':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK related potassium channel (TREK)"""]),
    'R-CFA-1299503':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK related potassium channel (TREK)"""]),
    'R-DDI-1299503':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK related potassium channel (TREK)"""]),
    'R-DME-1299503':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK related potassium channel (TREK)"""]),
    'R-DRE-1299503':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK related potassium channel (TREK)"""]),
    'R-GGA-1299503':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK related potassium channel (TREK)"""]),
    'R-MMU-1299503':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK related potassium channel (TREK)"""]),
    'R-RNO-1299503':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK related potassium channel (TREK)"""]),
    'R-SCE-1299503':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK related potassium channel (TREK)"""]),
    'R-SSC-1299503':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK related potassium channel (TREK)"""]),
    'R-XTR-1299503':Nto._make([date(2019,  3, 20), '...I...', '.C', """TWIK related potassium channel (TREK)"""]),
    'R-HSA-1300642':Nto._make([date(2013,  6, 11), '....P..', 'B.', """Sperm Motility And Taxes"""]),
    'R-BTA-1300642':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sperm Motility And Taxes"""]),
    'R-CEL-1300642':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sperm Motility And Taxes"""]),
    'R-CFA-1300642':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sperm Motility And Taxes"""]),
    'R-DDI-1300642':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sperm Motility And Taxes"""]),
    'R-DME-1300642':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sperm Motility And Taxes"""]),
    'R-DRE-1300642':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sperm Motility And Taxes"""]),
    'R-GGA-1300642':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sperm Motility And Taxes"""]),
    'R-MMU-1300642':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sperm Motility And Taxes"""]),
    'R-PFA-1300642':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sperm Motility And Taxes"""]),
    'R-RNO-1300642':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sperm Motility And Taxes"""]),
    'R-SSC-1300642':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sperm Motility And Taxes"""]),
    'R-XTR-1300642':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sperm Motility And Taxes"""]),
    'R-HSA-1300645':Nto._make([date(2013,  6, 11), '....P..', 'B.', """Acrosome Reaction and Sperm:Oocyte Membrane Binding"""]),
    'R-BTA-1300645':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acrosome Reaction and Sperm:Oocyte Membrane Binding"""]),
    'R-CFA-1300645':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acrosome Reaction and Sperm:Oocyte Membrane Binding"""]),
    'R-GGA-1300645':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acrosome Reaction and Sperm:Oocyte Membrane Binding"""]),
    'R-MMU-1300645':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acrosome Reaction and Sperm:Oocyte Membrane Binding"""]),
    'R-RNO-1300645':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acrosome Reaction and Sperm:Oocyte Membrane Binding"""]),
    'R-SSC-1300645':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acrosome Reaction and Sperm:Oocyte Membrane Binding"""]),
    'R-XTR-1300645':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acrosome Reaction and Sperm:Oocyte Membrane Binding"""]),
    'R-HSA-1306955':Nto._make([date(2011, 12,  6), '....P..', '..', """GRB7 events in ERBB2 signaling"""]),
    'R-BTA-1306955':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB7 events in ERBB2 signaling"""]),
    'R-DRE-1306955':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB7 events in ERBB2 signaling"""]),
    'R-GGA-1306955':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB7 events in ERBB2 signaling"""]),
    'R-MMU-1306955':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB7 events in ERBB2 signaling"""]),
    'R-RNO-1306955':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB7 events in ERBB2 signaling"""]),
    'R-SSC-1306955':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB7 events in ERBB2 signaling"""]),
    'R-XTR-1306955':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB7 events in ERBB2 signaling"""]),
    'R-HSA-1307965':Nto._make([date(2011,  9, 20), '....P..', '.C', """betaKlotho-mediated ligand binding"""]),
    'R-BTA-1307965':Nto._make([date(2019,  3, 20), '...I...', '.C', """betaKlotho-mediated ligand binding"""]),
    'R-CFA-1307965':Nto._make([date(2019,  3, 20), '...I...', '.C', """betaKlotho-mediated ligand binding"""]),
    'R-DRE-1307965':Nto._make([date(2019,  3, 20), '...I...', '.C', """betaKlotho-mediated ligand binding"""]),
    'R-GGA-1307965':Nto._make([date(2019,  3, 20), '...I...', '.C', """betaKlotho-mediated ligand binding"""]),
    'R-MMU-1307965':Nto._make([date(2019,  3, 20), '...I...', '.C', """betaKlotho-mediated ligand binding"""]),
    'R-RNO-1307965':Nto._make([date(2019,  3, 20), '...I...', '.C', """betaKlotho-mediated ligand binding"""]),
    'R-SSC-1307965':Nto._make([date(2019,  3, 20), '...I...', '.C', """betaKlotho-mediated ligand binding"""]),
    'R-XTR-1307965':Nto._make([date(2019,  3, 20), '...I...', '.C', """betaKlotho-mediated ligand binding"""]),
    'R-HSA-1358803':Nto._make([date(2011, 12,  6), '.......', '..', """Downregulation of ERBB2:ERBB3 signaling"""]),
    'R-BTA-1358803':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2:ERBB3 signaling"""]),
    'R-CFA-1358803':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2:ERBB3 signaling"""]),
    'R-DDI-1358803':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2:ERBB3 signaling"""]),
    'R-DME-1358803':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2:ERBB3 signaling"""]),
    'R-DRE-1358803':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2:ERBB3 signaling"""]),
    'R-GGA-1358803':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2:ERBB3 signaling"""]),
    'R-MMU-1358803':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2:ERBB3 signaling"""]),
    'R-RNO-1358803':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2:ERBB3 signaling"""]),
    'R-SCE-1358803':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2:ERBB3 signaling"""]),
    'R-SPO-1358803':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2:ERBB3 signaling"""]),
    'R-SSC-1358803':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2:ERBB3 signaling"""]),
    'R-XTR-1358803':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2:ERBB3 signaling"""]),
    'R-HSA-1362277':Nto._make([date(2011,  9, 20), '....P..', '.C', """Transcription of E2F targets under negative control by DREAM complex"""]),
    'R-HSA-1362300':Nto._make([date(2011,  9, 20), '....P..', '.C', """Transcription of E2F targets under negative control by p107 (RBL1) and p130 (RBL2) in complex with HDAC1"""]),
    'R-HSA-1362409':Nto._make([date(2012, 12,  4), '..f.P..', '.C', """Mitochondrial iron-sulfur cluster biogenesis"""]),
    'R-BTA-1362409':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitochondrial iron-sulfur cluster biogenesis"""]),
    'R-CEL-1362409':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitochondrial iron-sulfur cluster biogenesis"""]),
    'R-CFA-1362409':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitochondrial iron-sulfur cluster biogenesis"""]),
    'R-DDI-1362409':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitochondrial iron-sulfur cluster biogenesis"""]),
    'R-DME-1362409':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitochondrial iron-sulfur cluster biogenesis"""]),
    'R-DRE-1362409':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitochondrial iron-sulfur cluster biogenesis"""]),
    'R-GGA-1362409':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitochondrial iron-sulfur cluster biogenesis"""]),
    'R-MMU-1362409':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitochondrial iron-sulfur cluster biogenesis"""]),
    'R-PFA-1362409':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitochondrial iron-sulfur cluster biogenesis"""]),
    'R-RNO-1362409':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitochondrial iron-sulfur cluster biogenesis"""]),
    'R-SCE-1362409':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitochondrial iron-sulfur cluster biogenesis"""]),
    'R-SPO-1362409':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitochondrial iron-sulfur cluster biogenesis"""]),
    'R-SSC-1362409':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitochondrial iron-sulfur cluster biogenesis"""]),
    'R-XTR-1362409':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitochondrial iron-sulfur cluster biogenesis"""]),
    'R-HSA-1368071':Nto._make([date(2012,  3, 13), '..f.P..', '.C', """NR1D1 (REV-ERBA) represses gene expression"""]),
    'R-HSA-1368082':Nto._make([date(2012,  3, 13), '..f.P..', '.C', """RORA activates gene expression"""]),
    'R-HSA-1368108':Nto._make([date(2011,  9, 20), '..f.P..', '.C', """BMAL1:CLOCK,NPAS2 activates circadian gene expression"""]),
    'R-HSA-1369007':Nto._make([date(2011,  9, 20), '....P..', '..', """Mitochondrial ABC transporters"""]),
    'R-BTA-1369007':Nto._make([date(2019,  3, 20), '...I...', '..', """Mitochondrial ABC transporters"""]),
    'R-CEL-1369007':Nto._make([date(2019,  3, 20), '...I...', '..', """Mitochondrial ABC transporters"""]),
    'R-CFA-1369007':Nto._make([date(2019,  3, 20), '...I...', '..', """Mitochondrial ABC transporters"""]),
    'R-DDI-1369007':Nto._make([date(2019,  3, 20), '...I...', '..', """Mitochondrial ABC transporters"""]),
    'R-DME-1369007':Nto._make([date(2019,  3, 20), '...I...', '..', """Mitochondrial ABC transporters"""]),
    'R-DRE-1369007':Nto._make([date(2019,  3, 20), '...I...', '..', """Mitochondrial ABC transporters"""]),
    'R-GGA-1369007':Nto._make([date(2019,  3, 20), '...I...', '..', """Mitochondrial ABC transporters"""]),
    'R-MMU-1369007':Nto._make([date(2019,  3, 20), '...I...', '..', """Mitochondrial ABC transporters"""]),
    'R-PFA-1369007':Nto._make([date(2019,  3, 20), '...I...', '..', """Mitochondrial ABC transporters"""]),
    'R-RNO-1369007':Nto._make([date(2019,  3, 20), '...I...', '..', """Mitochondrial ABC transporters"""]),
    'R-SCE-1369007':Nto._make([date(2019,  3, 20), '...I...', '..', """Mitochondrial ABC transporters"""]),
    'R-SPO-1369007':Nto._make([date(2019,  3, 20), '...I...', '..', """Mitochondrial ABC transporters"""]),
    'R-SSC-1369007':Nto._make([date(2019,  3, 20), '...I...', '..', """Mitochondrial ABC transporters"""]),
    'R-XTR-1369007':Nto._make([date(2019,  3, 20), '...I...', '..', """Mitochondrial ABC transporters"""]),
    'R-HSA-1369062':Nto._make([date(2011,  9, 20), '....P..', '..', """ABC transporters in lipid homeostasis"""]),
    'R-BTA-1369062':Nto._make([date(2019,  3, 20), '...I...', '..', """ABC transporters in lipid homeostasis"""]),
    'R-CEL-1369062':Nto._make([date(2019,  3, 20), '...I...', '..', """ABC transporters in lipid homeostasis"""]),
    'R-CFA-1369062':Nto._make([date(2019,  3, 20), '...I...', '..', """ABC transporters in lipid homeostasis"""]),
    'R-DDI-1369062':Nto._make([date(2019,  3, 20), '...I...', '..', """ABC transporters in lipid homeostasis"""]),
    'R-DME-1369062':Nto._make([date(2019,  3, 20), '...I...', '..', """ABC transporters in lipid homeostasis"""]),
    'R-DRE-1369062':Nto._make([date(2019,  3, 20), '...I...', '..', """ABC transporters in lipid homeostasis"""]),
    'R-GGA-1369062':Nto._make([date(2019,  3, 20), '...I...', '..', """ABC transporters in lipid homeostasis"""]),
    'R-MMU-1369062':Nto._make([date(2019,  3, 20), '...I...', '..', """ABC transporters in lipid homeostasis"""]),
    'R-PFA-1369062':Nto._make([date(2019,  3, 20), '...I...', '..', """ABC transporters in lipid homeostasis"""]),
    'R-RNO-1369062':Nto._make([date(2019,  3, 20), '...I...', '..', """ABC transporters in lipid homeostasis"""]),
    'R-SCE-1369062':Nto._make([date(2019,  3, 20), '...I...', '..', """ABC transporters in lipid homeostasis"""]),
    'R-SSC-1369062':Nto._make([date(2019,  3, 20), '...I...', '..', """ABC transporters in lipid homeostasis"""]),
    'R-XTR-1369062':Nto._make([date(2019,  3, 20), '...I...', '..', """ABC transporters in lipid homeostasis"""]),
    'R-HSA-1428517':Nto._make([date(2003,  2,  3), '..f....', 'B.', """The citric acid (TCA) cycle and respiratory electron transport"""]),
    'R-BTA-1428517':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """The citric acid (TCA) cycle and respiratory electron transport"""]),
    'R-CEL-1428517':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """The citric acid (TCA) cycle and respiratory electron transport"""]),
    'R-CFA-1428517':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """The citric acid (TCA) cycle and respiratory electron transport"""]),
    'R-DDI-1428517':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """The citric acid (TCA) cycle and respiratory electron transport"""]),
    'R-DME-1428517':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """The citric acid (TCA) cycle and respiratory electron transport"""]),
    'R-DRE-1428517':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """The citric acid (TCA) cycle and respiratory electron transport"""]),
    'R-GGA-1428517':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """The citric acid (TCA) cycle and respiratory electron transport"""]),
    'R-MMU-1428517':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """The citric acid (TCA) cycle and respiratory electron transport"""]),
    'R-PFA-1428517':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """The citric acid (TCA) cycle and respiratory electron transport"""]),
    'R-RNO-1428517':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """The citric acid (TCA) cycle and respiratory electron transport"""]),
    'R-SCE-1428517':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """The citric acid (TCA) cycle and respiratory electron transport"""]),
    'R-SPO-1428517':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """The citric acid (TCA) cycle and respiratory electron transport"""]),
    'R-SSC-1428517':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """The citric acid (TCA) cycle and respiratory electron transport"""]),
    'R-XTR-1428517':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """The citric acid (TCA) cycle and respiratory electron transport"""]),
    'R-HSA-1430728':Nto._make([date(2011,  9, 20), 'T.f....', 'B.', """Metabolism"""]),
    'R-BTA-1430728':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism"""]),
    'R-CEL-1430728':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism"""]),
    'R-CFA-1430728':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism"""]),
    'R-DDI-1430728':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism"""]),
    'R-DME-1430728':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism"""]),
    'R-DRE-1430728':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism"""]),
    'R-GGA-1430728':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism"""]),
    'R-MMU-1430728':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism"""]),
    'R-PFA-1430728':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism"""]),
    'R-RNO-1430728':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism"""]),
    'R-SCE-1430728':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism"""]),
    'R-SPO-1430728':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism"""]),
    'R-SSC-1430728':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism"""]),
    'R-XTR-1430728':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism"""]),
    'R-HSA-1433557':Nto._make([date(2011,  9, 20), '..F.P..', '..', """Signaling by SCF-KIT"""]),
    'R-BTA-1433557':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by SCF-KIT"""]),
    'R-CEL-1433557':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by SCF-KIT"""]),
    'R-CFA-1433557':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by SCF-KIT"""]),
    'R-DME-1433557':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by SCF-KIT"""]),
    'R-DRE-1433557':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by SCF-KIT"""]),
    'R-GGA-1433557':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by SCF-KIT"""]),
    'R-MMU-1433557':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by SCF-KIT"""]),
    'R-RNO-1433557':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by SCF-KIT"""]),
    'R-SSC-1433557':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by SCF-KIT"""]),
    'R-XTR-1433557':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by SCF-KIT"""]),
    'R-HSA-1433559':Nto._make([date(2011,  9, 20), '....P..', '..', """Regulation of KIT signaling"""]),
    'R-BTA-1433559':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of KIT signaling"""]),
    'R-CEL-1433559':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of KIT signaling"""]),
    'R-CFA-1433559':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of KIT signaling"""]),
    'R-DME-1433559':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of KIT signaling"""]),
    'R-DRE-1433559':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of KIT signaling"""]),
    'R-GGA-1433559':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of KIT signaling"""]),
    'R-MMU-1433559':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of KIT signaling"""]),
    'R-RNO-1433559':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of KIT signaling"""]),
    'R-SSC-1433559':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of KIT signaling"""]),
    'R-XTR-1433559':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of KIT signaling"""]),
    'R-HSA-1433617':Nto._make([date(2011,  9, 20), '....P..', '.C', """Regulation of signaling by NODAL"""]),
    'R-HSA-1442490':Nto._make([date(2012, 12,  4), '..f.P..', 'B.', """Collagen degradation"""]),
    'R-BTA-1442490':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Collagen degradation"""]),
    'R-CEL-1442490':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Collagen degradation"""]),
    'R-CFA-1442490':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Collagen degradation"""]),
    'R-DDI-1442490':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Collagen degradation"""]),
    'R-DME-1442490':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Collagen degradation"""]),
    'R-DRE-1442490':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Collagen degradation"""]),
    'R-GGA-1442490':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Collagen degradation"""]),
    'R-MMU-1442490':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Collagen degradation"""]),
    'R-RNO-1442490':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Collagen degradation"""]),
    'R-SSC-1442490':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Collagen degradation"""]),
    'R-XTR-1442490':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Collagen degradation"""]),
    'R-HSA-1445148':Nto._make([date(2012,  9, 18), '..f.P..', '.C', """Translocation of SLC2A4 (GLUT4) to the plasma membrane"""]),
    'R-HSA-1461957':Nto._make([date(2011, 12,  6), '....P..', '..', """Beta defensins"""]),
    'R-BTA-1461957':Nto._make([date(2019,  3, 20), '...I...', '..', """Beta defensins"""]),
    'R-CFA-1461957':Nto._make([date(2019,  3, 20), '...I...', '..', """Beta defensins"""]),
    'R-GGA-1461957':Nto._make([date(2019,  3, 20), '...I...', '..', """Beta defensins"""]),
    'R-MMU-1461957':Nto._make([date(2019,  3, 20), '...I...', '..', """Beta defensins"""]),
    'R-RNO-1461957':Nto._make([date(2019,  3, 20), '...I...', '..', """Beta defensins"""]),
    'R-SSC-1461957':Nto._make([date(2019,  3, 20), '...I...', '..', """Beta defensins"""]),
    'R-HSA-1461973':Nto._make([date(2011, 12,  6), '..f.P..', '..', """Defensins"""]),
    'R-BTA-1461973':Nto._make([date(2019,  3, 20), '..fI...', '..', """Defensins"""]),
    'R-CFA-1461973':Nto._make([date(2019,  3, 20), '..fI...', '..', """Defensins"""]),
    'R-GGA-1461973':Nto._make([date(2019,  3, 20), '..fI...', '..', """Defensins"""]),
    'R-MMU-1461973':Nto._make([date(2019,  3, 20), '..fI...', '..', """Defensins"""]),
    'R-RNO-1461973':Nto._make([date(2019,  3, 20), '..fI...', '..', """Defensins"""]),
    'R-SSC-1461973':Nto._make([date(2019,  3, 20), '..fI...', '..', """Defensins"""]),
    'R-HSA-1462054':Nto._make([date(2011, 12,  6), '....P..', '..', """Alpha-defensins"""]),
    'R-MMU-1462054':Nto._make([date(2019,  3, 20), '...I...', '..', """Alpha-defensins"""]),
    'R-RNO-1462054':Nto._make([date(2019,  3, 20), '...I...', '..', """Alpha-defensins"""]),
    'R-HSA-1474151':Nto._make([date(2011,  9, 20), '..f.P..', '..', """Tetrahydrobiopterin (BH4) synthesis, recycling, salvage and regulation"""]),
    'R-BTA-1474151':Nto._make([date(2019,  3, 20), '..fI...', '..', """Tetrahydrobiopterin (BH4) synthesis, recycling, salvage and regulation"""]),
    'R-CEL-1474151':Nto._make([date(2019,  3, 20), '..fI...', '..', """Tetrahydrobiopterin (BH4) synthesis, recycling, salvage and regulation"""]),
    'R-CFA-1474151':Nto._make([date(2019,  3, 20), '..fI...', '..', """Tetrahydrobiopterin (BH4) synthesis, recycling, salvage and regulation"""]),
    'R-DDI-1474151':Nto._make([date(2019,  3, 20), '..fI...', '..', """Tetrahydrobiopterin (BH4) synthesis, recycling, salvage and regulation"""]),
    'R-DME-1474151':Nto._make([date(2019,  3, 20), '..fI...', '..', """Tetrahydrobiopterin (BH4) synthesis, recycling, salvage and regulation"""]),
    'R-DRE-1474151':Nto._make([date(2019,  3, 20), '..fI...', '..', """Tetrahydrobiopterin (BH4) synthesis, recycling, salvage and regulation"""]),
    'R-GGA-1474151':Nto._make([date(2019,  3, 20), '..fI...', '..', """Tetrahydrobiopterin (BH4) synthesis, recycling, salvage and regulation"""]),
    'R-MMU-1474151':Nto._make([date(2019,  3, 20), '..fI...', '..', """Tetrahydrobiopterin (BH4) synthesis, recycling, salvage and regulation"""]),
    'R-PFA-1474151':Nto._make([date(2019,  3, 20), '..fI...', '..', """Tetrahydrobiopterin (BH4) synthesis, recycling, salvage and regulation"""]),
    'R-RNO-1474151':Nto._make([date(2019,  3, 20), '..fI...', '..', """Tetrahydrobiopterin (BH4) synthesis, recycling, salvage and regulation"""]),
    'R-SCE-1474151':Nto._make([date(2019,  3, 20), '..fI...', '..', """Tetrahydrobiopterin (BH4) synthesis, recycling, salvage and regulation"""]),
    'R-SPO-1474151':Nto._make([date(2019,  3, 20), '..fI...', '..', """Tetrahydrobiopterin (BH4) synthesis, recycling, salvage and regulation"""]),
    'R-SSC-1474151':Nto._make([date(2019,  3, 20), '..fI...', '..', """Tetrahydrobiopterin (BH4) synthesis, recycling, salvage and regulation"""]),
    'R-XTR-1474151':Nto._make([date(2019,  3, 20), '..fI...', '..', """Tetrahydrobiopterin (BH4) synthesis, recycling, salvage and regulation"""]),
    'R-HSA-1474165':Nto._make([date(2013,  6, 11), 'T.F..B.', 'B.', """Reproduction"""]),
    'R-BTA-1474165':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Reproduction"""]),
    'R-CEL-1474165':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Reproduction"""]),
    'R-CFA-1474165':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Reproduction"""]),
    'R-DDI-1474165':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Reproduction"""]),
    'R-DME-1474165':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Reproduction"""]),
    'R-DRE-1474165':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Reproduction"""]),
    'R-GGA-1474165':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Reproduction"""]),
    'R-MMU-1474165':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Reproduction"""]),
    'R-PFA-1474165':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Reproduction"""]),
    'R-RNO-1474165':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Reproduction"""]),
    'R-SSC-1474165':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Reproduction"""]),
    'R-XTR-1474165':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Reproduction"""]),
    'R-HSA-1474228':Nto._make([date(2012,  3, 13), '..f.P..', 'B.', """Degradation of the extracellular matrix"""]),
    'R-BTA-1474228':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Degradation of the extracellular matrix"""]),
    'R-CEL-1474228':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Degradation of the extracellular matrix"""]),
    'R-CFA-1474228':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Degradation of the extracellular matrix"""]),
    'R-DDI-1474228':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Degradation of the extracellular matrix"""]),
    'R-DME-1474228':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Degradation of the extracellular matrix"""]),
    'R-DRE-1474228':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Degradation of the extracellular matrix"""]),
    'R-GGA-1474228':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Degradation of the extracellular matrix"""]),
    'R-MMU-1474228':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Degradation of the extracellular matrix"""]),
    'R-PFA-1474228':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Degradation of the extracellular matrix"""]),
    'R-RNO-1474228':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Degradation of the extracellular matrix"""]),
    'R-SSC-1474228':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Degradation of the extracellular matrix"""]),
    'R-XTR-1474228':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Degradation of the extracellular matrix"""]),
    'R-HSA-1474244':Nto._make([date(2012,  3, 13), 'T.f.P..', 'B.', """Extracellular matrix organization"""]),
    'R-BTA-1474244':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Extracellular matrix organization"""]),
    'R-CEL-1474244':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Extracellular matrix organization"""]),
    'R-CFA-1474244':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Extracellular matrix organization"""]),
    'R-DDI-1474244':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Extracellular matrix organization"""]),
    'R-DME-1474244':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Extracellular matrix organization"""]),
    'R-DRE-1474244':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Extracellular matrix organization"""]),
    'R-GGA-1474244':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Extracellular matrix organization"""]),
    'R-MMU-1474244':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Extracellular matrix organization"""]),
    'R-PFA-1474244':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Extracellular matrix organization"""]),
    'R-RNO-1474244':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Extracellular matrix organization"""]),
    'R-SPO-1474244':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Extracellular matrix organization"""]),
    'R-SSC-1474244':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Extracellular matrix organization"""]),
    'R-XTR-1474244':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Extracellular matrix organization"""]),
    'R-HSA-1474290':Nto._make([date(2012,  6, 12), '..F.P..', '..', """Collagen formation"""]),
    'R-BTA-1474290':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen formation"""]),
    'R-CEL-1474290':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen formation"""]),
    'R-CFA-1474290':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen formation"""]),
    'R-DDI-1474290':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen formation"""]),
    'R-DME-1474290':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen formation"""]),
    'R-DRE-1474290':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen formation"""]),
    'R-GGA-1474290':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen formation"""]),
    'R-MMU-1474290':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen formation"""]),
    'R-PFA-1474290':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen formation"""]),
    'R-RNO-1474290':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen formation"""]),
    'R-SSC-1474290':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen formation"""]),
    'R-XTR-1474290':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen formation"""]),
    'R-HSA-1475029':Nto._make([date(2012,  6, 12), '..f.P..', 'BC', """Reversible hydration of carbon dioxide"""]),
    'R-BTA-1475029':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Reversible hydration of carbon dioxide"""]),
    'R-CEL-1475029':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Reversible hydration of carbon dioxide"""]),
    'R-CFA-1475029':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Reversible hydration of carbon dioxide"""]),
    'R-DME-1475029':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Reversible hydration of carbon dioxide"""]),
    'R-DRE-1475029':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Reversible hydration of carbon dioxide"""]),
    'R-GGA-1475029':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Reversible hydration of carbon dioxide"""]),
    'R-MMU-1475029':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Reversible hydration of carbon dioxide"""]),
    'R-PFA-1475029':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Reversible hydration of carbon dioxide"""]),
    'R-RNO-1475029':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Reversible hydration of carbon dioxide"""]),
    'R-SSC-1475029':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Reversible hydration of carbon dioxide"""]),
    'R-XTR-1475029':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Reversible hydration of carbon dioxide"""]),
    'R-HSA-1480926':Nto._make([date(2012,  6, 12), '..F.P..', 'BC', """O2/CO2 exchange in erythrocytes"""]),
    'R-BTA-1480926':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """O2/CO2 exchange in erythrocytes"""]),
    'R-CEL-1480926':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """O2/CO2 exchange in erythrocytes"""]),
    'R-CFA-1480926':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """O2/CO2 exchange in erythrocytes"""]),
    'R-DDI-1480926':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """O2/CO2 exchange in erythrocytes"""]),
    'R-DME-1480926':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """O2/CO2 exchange in erythrocytes"""]),
    'R-DRE-1480926':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """O2/CO2 exchange in erythrocytes"""]),
    'R-GGA-1480926':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """O2/CO2 exchange in erythrocytes"""]),
    'R-MMU-1480926':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """O2/CO2 exchange in erythrocytes"""]),
    'R-PFA-1480926':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """O2/CO2 exchange in erythrocytes"""]),
    'R-RNO-1480926':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """O2/CO2 exchange in erythrocytes"""]),
    'R-SCE-1480926':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """O2/CO2 exchange in erythrocytes"""]),
    'R-SSC-1480926':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """O2/CO2 exchange in erythrocytes"""]),
    'R-XTR-1480926':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """O2/CO2 exchange in erythrocytes"""]),
    'R-HSA-1482788':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Acyl chain remodelling of PC"""]),
    'R-BTA-1482788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PC"""]),
    'R-CEL-1482788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PC"""]),
    'R-CFA-1482788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PC"""]),
    'R-DDI-1482788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PC"""]),
    'R-DME-1482788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PC"""]),
    'R-DRE-1482788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PC"""]),
    'R-GGA-1482788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PC"""]),
    'R-MMU-1482788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PC"""]),
    'R-PFA-1482788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PC"""]),
    'R-RNO-1482788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PC"""]),
    'R-SCE-1482788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PC"""]),
    'R-SPO-1482788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PC"""]),
    'R-SSC-1482788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PC"""]),
    'R-XTR-1482788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PC"""]),
    'R-HSA-1482798':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Acyl chain remodeling of CL"""]),
    'R-BTA-1482798':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of CL"""]),
    'R-CEL-1482798':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of CL"""]),
    'R-CFA-1482798':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of CL"""]),
    'R-DDI-1482798':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of CL"""]),
    'R-DME-1482798':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of CL"""]),
    'R-DRE-1482798':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of CL"""]),
    'R-GGA-1482798':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of CL"""]),
    'R-MMU-1482798':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of CL"""]),
    'R-RNO-1482798':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of CL"""]),
    'R-SCE-1482798':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of CL"""]),
    'R-SPO-1482798':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of CL"""]),
    'R-SSC-1482798':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of CL"""]),
    'R-XTR-1482798':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of CL"""]),
    'R-HSA-1482801':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Acyl chain remodelling of PS"""]),
    'R-BTA-1482801':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PS"""]),
    'R-CEL-1482801':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PS"""]),
    'R-CFA-1482801':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PS"""]),
    'R-DDI-1482801':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PS"""]),
    'R-DME-1482801':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PS"""]),
    'R-DRE-1482801':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PS"""]),
    'R-GGA-1482801':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PS"""]),
    'R-MMU-1482801':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PS"""]),
    'R-PFA-1482801':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PS"""]),
    'R-RNO-1482801':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PS"""]),
    'R-SCE-1482801':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PS"""]),
    'R-SPO-1482801':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PS"""]),
    'R-SSC-1482801':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PS"""]),
    'R-XTR-1482801':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PS"""]),
    'R-HSA-1482839':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Acyl chain remodelling of PE"""]),
    'R-BTA-1482839':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PE"""]),
    'R-CEL-1482839':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PE"""]),
    'R-CFA-1482839':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PE"""]),
    'R-DDI-1482839':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PE"""]),
    'R-DME-1482839':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PE"""]),
    'R-DRE-1482839':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PE"""]),
    'R-GGA-1482839':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PE"""]),
    'R-MMU-1482839':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PE"""]),
    'R-PFA-1482839':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PE"""]),
    'R-RNO-1482839':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PE"""]),
    'R-SCE-1482839':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PE"""]),
    'R-SPO-1482839':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PE"""]),
    'R-SSC-1482839':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PE"""]),
    'R-XTR-1482839':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PE"""]),
    'R-HSA-1482883':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Acyl chain remodeling of DAG and TAG"""]),
    'R-BTA-1482883':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of DAG and TAG"""]),
    'R-CEL-1482883':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of DAG and TAG"""]),
    'R-CFA-1482883':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of DAG and TAG"""]),
    'R-DDI-1482883':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of DAG and TAG"""]),
    'R-DME-1482883':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of DAG and TAG"""]),
    'R-DRE-1482883':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of DAG and TAG"""]),
    'R-GGA-1482883':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of DAG and TAG"""]),
    'R-MMU-1482883':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of DAG and TAG"""]),
    'R-PFA-1482883':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of DAG and TAG"""]),
    'R-RNO-1482883':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of DAG and TAG"""]),
    'R-SCE-1482883':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of DAG and TAG"""]),
    'R-SPO-1482883':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of DAG and TAG"""]),
    'R-SSC-1482883':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of DAG and TAG"""]),
    'R-XTR-1482883':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodeling of DAG and TAG"""]),
    'R-HSA-1482922':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Acyl chain remodelling of PI"""]),
    'R-BTA-1482922':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PI"""]),
    'R-CEL-1482922':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PI"""]),
    'R-CFA-1482922':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PI"""]),
    'R-DDI-1482922':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PI"""]),
    'R-DME-1482922':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PI"""]),
    'R-DRE-1482922':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PI"""]),
    'R-GGA-1482922':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PI"""]),
    'R-MMU-1482922':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PI"""]),
    'R-RNO-1482922':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PI"""]),
    'R-SCE-1482922':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PI"""]),
    'R-SPO-1482922':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PI"""]),
    'R-SSC-1482922':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PI"""]),
    'R-XTR-1482922':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PI"""]),
    'R-HSA-1482925':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Acyl chain remodelling of PG"""]),
    'R-BTA-1482925':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PG"""]),
    'R-CEL-1482925':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PG"""]),
    'R-CFA-1482925':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PG"""]),
    'R-DDI-1482925':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PG"""]),
    'R-DME-1482925':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PG"""]),
    'R-DRE-1482925':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PG"""]),
    'R-GGA-1482925':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PG"""]),
    'R-MMU-1482925':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PG"""]),
    'R-PFA-1482925':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PG"""]),
    'R-RNO-1482925':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PG"""]),
    'R-SCE-1482925':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PG"""]),
    'R-SPO-1482925':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PG"""]),
    'R-SSC-1482925':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PG"""]),
    'R-XTR-1482925':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Acyl chain remodelling of PG"""]),
    'R-HSA-1483076':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Synthesis of CL"""]),
    'R-BTA-1483076':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of CL"""]),
    'R-CEL-1483076':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of CL"""]),
    'R-CFA-1483076':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of CL"""]),
    'R-DME-1483076':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of CL"""]),
    'R-DRE-1483076':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of CL"""]),
    'R-GGA-1483076':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of CL"""]),
    'R-MMU-1483076':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of CL"""]),
    'R-RNO-1483076':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of CL"""]),
    'R-SCE-1483076':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of CL"""]),
    'R-SPO-1483076':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of CL"""]),
    'R-SSC-1483076':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of CL"""]),
    'R-XTR-1483076':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of CL"""]),
    'R-HSA-1483101':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Synthesis of PS"""]),
    'R-BTA-1483101':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PS"""]),
    'R-CEL-1483101':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PS"""]),
    'R-CFA-1483101':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PS"""]),
    'R-DDI-1483101':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PS"""]),
    'R-DME-1483101':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PS"""]),
    'R-DRE-1483101':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PS"""]),
    'R-GGA-1483101':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PS"""]),
    'R-MMU-1483101':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PS"""]),
    'R-PFA-1483101':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PS"""]),
    'R-RNO-1483101':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PS"""]),
    'R-SSC-1483101':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PS"""]),
    'R-HSA-1483115':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Hydrolysis of LPC"""]),
    'R-BTA-1483115':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hydrolysis of LPC"""]),
    'R-CEL-1483115':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hydrolysis of LPC"""]),
    'R-CFA-1483115':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hydrolysis of LPC"""]),
    'R-DDI-1483115':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hydrolysis of LPC"""]),
    'R-DME-1483115':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hydrolysis of LPC"""]),
    'R-DRE-1483115':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hydrolysis of LPC"""]),
    'R-GGA-1483115':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hydrolysis of LPC"""]),
    'R-MMU-1483115':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hydrolysis of LPC"""]),
    'R-PFA-1483115':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hydrolysis of LPC"""]),
    'R-RNO-1483115':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hydrolysis of LPC"""]),
    'R-SCE-1483115':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hydrolysis of LPC"""]),
    'R-SPO-1483115':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hydrolysis of LPC"""]),
    'R-SSC-1483115':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hydrolysis of LPC"""]),
    'R-XTR-1483115':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hydrolysis of LPC"""]),
    'R-HSA-1483148':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Synthesis of PG"""]),
    'R-BTA-1483148':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PG"""]),
    'R-CEL-1483148':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PG"""]),
    'R-CFA-1483148':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PG"""]),
    'R-DDI-1483148':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PG"""]),
    'R-DME-1483148':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PG"""]),
    'R-DRE-1483148':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PG"""]),
    'R-GGA-1483148':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PG"""]),
    'R-MMU-1483148':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PG"""]),
    'R-PFA-1483148':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PG"""]),
    'R-RNO-1483148':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PG"""]),
    'R-SCE-1483148':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PG"""]),
    'R-SPO-1483148':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PG"""]),
    'R-SSC-1483148':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PG"""]),
    'R-XTR-1483148':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PG"""]),
    'R-HSA-1483152':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Hydrolysis of LPE"""]),
    'R-DDI-1483152':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hydrolysis of LPE"""]),
    'R-DRE-1483152':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hydrolysis of LPE"""]),
    'R-MMU-1483152':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hydrolysis of LPE"""]),
    'R-RNO-1483152':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hydrolysis of LPE"""]),
    'R-SCE-1483152':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hydrolysis of LPE"""]),
    'R-SPO-1483152':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hydrolysis of LPE"""]),
    'R-HSA-1483166':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Synthesis of PA"""]),
    'R-BTA-1483166':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PA"""]),
    'R-CEL-1483166':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PA"""]),
    'R-CFA-1483166':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PA"""]),
    'R-DDI-1483166':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PA"""]),
    'R-DME-1483166':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PA"""]),
    'R-DRE-1483166':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PA"""]),
    'R-GGA-1483166':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PA"""]),
    'R-MMU-1483166':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PA"""]),
    'R-PFA-1483166':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PA"""]),
    'R-RNO-1483166':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PA"""]),
    'R-SCE-1483166':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PA"""]),
    'R-SPO-1483166':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PA"""]),
    'R-SSC-1483166':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PA"""]),
    'R-XTR-1483166':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PA"""]),
    'R-HSA-1483171':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Synthesis of BMP"""]),
    'R-HSA-1483191':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Synthesis of PC"""]),
    'R-BTA-1483191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PC"""]),
    'R-CEL-1483191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PC"""]),
    'R-CFA-1483191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PC"""]),
    'R-DDI-1483191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PC"""]),
    'R-DME-1483191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PC"""]),
    'R-DRE-1483191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PC"""]),
    'R-GGA-1483191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PC"""]),
    'R-MMU-1483191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PC"""]),
    'R-PFA-1483191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PC"""]),
    'R-RNO-1483191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PC"""]),
    'R-SCE-1483191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PC"""]),
    'R-SPO-1483191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PC"""]),
    'R-SSC-1483191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PC"""]),
    'R-XTR-1483191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PC"""]),
    'R-HSA-1483196':Nto._make([date(2012,  6, 12), '....P..', 'B.', """PI and PC transport between ER and Golgi membranes"""]),
    'R-BTA-1483196':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI and PC transport between ER and Golgi membranes"""]),
    'R-CEL-1483196':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI and PC transport between ER and Golgi membranes"""]),
    'R-CFA-1483196':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI and PC transport between ER and Golgi membranes"""]),
    'R-DDI-1483196':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI and PC transport between ER and Golgi membranes"""]),
    'R-DRE-1483196':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI and PC transport between ER and Golgi membranes"""]),
    'R-GGA-1483196':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI and PC transport between ER and Golgi membranes"""]),
    'R-MMU-1483196':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI and PC transport between ER and Golgi membranes"""]),
    'R-PFA-1483196':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI and PC transport between ER and Golgi membranes"""]),
    'R-RNO-1483196':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI and PC transport between ER and Golgi membranes"""]),
    'R-SSC-1483196':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI and PC transport between ER and Golgi membranes"""]),
    'R-XTR-1483196':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI and PC transport between ER and Golgi membranes"""]),
    'R-HSA-1483206':Nto._make([date(2012,  6, 12), '..f.PB.', 'B.', """Glycerophospholipid biosynthesis"""]),
    'R-BTA-1483206':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycerophospholipid biosynthesis"""]),
    'R-CEL-1483206':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycerophospholipid biosynthesis"""]),
    'R-CFA-1483206':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycerophospholipid biosynthesis"""]),
    'R-DDI-1483206':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycerophospholipid biosynthesis"""]),
    'R-DME-1483206':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycerophospholipid biosynthesis"""]),
    'R-DRE-1483206':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycerophospholipid biosynthesis"""]),
    'R-GGA-1483206':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycerophospholipid biosynthesis"""]),
    'R-MMU-1483206':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycerophospholipid biosynthesis"""]),
    'R-PFA-1483206':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycerophospholipid biosynthesis"""]),
    'R-RNO-1483206':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycerophospholipid biosynthesis"""]),
    'R-SCE-1483206':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycerophospholipid biosynthesis"""]),
    'R-SPO-1483206':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycerophospholipid biosynthesis"""]),
    'R-SSC-1483206':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycerophospholipid biosynthesis"""]),
    'R-XTR-1483206':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycerophospholipid biosynthesis"""]),
    'R-HSA-1483213':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Synthesis of PE"""]),
    'R-BTA-1483213':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PE"""]),
    'R-CEL-1483213':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PE"""]),
    'R-CFA-1483213':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PE"""]),
    'R-DDI-1483213':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PE"""]),
    'R-DME-1483213':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PE"""]),
    'R-DRE-1483213':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PE"""]),
    'R-GGA-1483213':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PE"""]),
    'R-MMU-1483213':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PE"""]),
    'R-PFA-1483213':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PE"""]),
    'R-RNO-1483213':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PE"""]),
    'R-SCE-1483213':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PE"""]),
    'R-SPO-1483213':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PE"""]),
    'R-SSC-1483213':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PE"""]),
    'R-XTR-1483213':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PE"""]),
    'R-HSA-1483226':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Synthesis of PI"""]),
    'R-BTA-1483226':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PI"""]),
    'R-CEL-1483226':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PI"""]),
    'R-CFA-1483226':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PI"""]),
    'R-DDI-1483226':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PI"""]),
    'R-DME-1483226':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PI"""]),
    'R-DRE-1483226':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PI"""]),
    'R-GGA-1483226':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PI"""]),
    'R-MMU-1483226':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PI"""]),
    'R-PFA-1483226':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PI"""]),
    'R-RNO-1483226':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PI"""]),
    'R-SCE-1483226':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PI"""]),
    'R-SPO-1483226':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PI"""]),
    'R-SSC-1483226':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PI"""]),
    'R-XTR-1483226':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PI"""]),
    'R-HSA-1483248':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Synthesis of PIPs at the ER membrane"""]),
    'R-BTA-1483248':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the ER membrane"""]),
    'R-CEL-1483248':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the ER membrane"""]),
    'R-CFA-1483248':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the ER membrane"""]),
    'R-DDI-1483248':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the ER membrane"""]),
    'R-DME-1483248':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the ER membrane"""]),
    'R-DRE-1483248':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the ER membrane"""]),
    'R-GGA-1483248':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the ER membrane"""]),
    'R-MMU-1483248':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the ER membrane"""]),
    'R-PFA-1483248':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the ER membrane"""]),
    'R-RNO-1483248':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the ER membrane"""]),
    'R-SCE-1483248':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the ER membrane"""]),
    'R-SPO-1483248':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the ER membrane"""]),
    'R-SSC-1483248':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the ER membrane"""]),
    'R-XTR-1483248':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the ER membrane"""]),
    'R-HSA-1483249':Nto._make([date(2012, 12,  4), '..f.P..', 'B.', """Inositol phosphate metabolism"""]),
    'R-BTA-1483249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Inositol phosphate metabolism"""]),
    'R-CEL-1483249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Inositol phosphate metabolism"""]),
    'R-CFA-1483249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Inositol phosphate metabolism"""]),
    'R-DDI-1483249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Inositol phosphate metabolism"""]),
    'R-DME-1483249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Inositol phosphate metabolism"""]),
    'R-DRE-1483249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Inositol phosphate metabolism"""]),
    'R-GGA-1483249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Inositol phosphate metabolism"""]),
    'R-MMU-1483249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Inositol phosphate metabolism"""]),
    'R-PFA-1483249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Inositol phosphate metabolism"""]),
    'R-RNO-1483249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Inositol phosphate metabolism"""]),
    'R-SCE-1483249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Inositol phosphate metabolism"""]),
    'R-SPO-1483249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Inositol phosphate metabolism"""]),
    'R-SSC-1483249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Inositol phosphate metabolism"""]),
    'R-XTR-1483249':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Inositol phosphate metabolism"""]),
    'R-HSA-1483255':Nto._make([date(2012,  6, 12), '..f.P..', 'B.', """PI Metabolism"""]),
    'R-BTA-1483255':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """PI Metabolism"""]),
    'R-CEL-1483255':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """PI Metabolism"""]),
    'R-CFA-1483255':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """PI Metabolism"""]),
    'R-DDI-1483255':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """PI Metabolism"""]),
    'R-DME-1483255':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """PI Metabolism"""]),
    'R-DRE-1483255':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """PI Metabolism"""]),
    'R-GGA-1483255':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """PI Metabolism"""]),
    'R-MMU-1483255':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """PI Metabolism"""]),
    'R-PFA-1483255':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """PI Metabolism"""]),
    'R-RNO-1483255':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """PI Metabolism"""]),
    'R-SCE-1483255':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """PI Metabolism"""]),
    'R-SPO-1483255':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """PI Metabolism"""]),
    'R-SSC-1483255':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """PI Metabolism"""]),
    'R-XTR-1483255':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """PI Metabolism"""]),
    'R-HSA-1483257':Nto._make([date(2012,  6, 12), '..f.P..', 'B.', """Phospholipid metabolism"""]),
    'R-BTA-1483257':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phospholipid metabolism"""]),
    'R-CEL-1483257':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phospholipid metabolism"""]),
    'R-CFA-1483257':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phospholipid metabolism"""]),
    'R-DDI-1483257':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phospholipid metabolism"""]),
    'R-DME-1483257':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phospholipid metabolism"""]),
    'R-DRE-1483257':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phospholipid metabolism"""]),
    'R-GGA-1483257':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phospholipid metabolism"""]),
    'R-MMU-1483257':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phospholipid metabolism"""]),
    'R-PFA-1483257':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phospholipid metabolism"""]),
    'R-RNO-1483257':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phospholipid metabolism"""]),
    'R-SCE-1483257':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phospholipid metabolism"""]),
    'R-SPO-1483257':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phospholipid metabolism"""]),
    'R-SSC-1483257':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phospholipid metabolism"""]),
    'R-XTR-1483257':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Phospholipid metabolism"""]),
    'R-HSA-1489509':Nto._make([date(2011,  9, 20), '..f.P..', '.C', """DAG and IP3 signaling"""]),
    'R-BTA-1489509':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DAG and IP3 signaling"""]),
    'R-CEL-1489509':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DAG and IP3 signaling"""]),
    'R-CFA-1489509':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DAG and IP3 signaling"""]),
    'R-DDI-1489509':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DAG and IP3 signaling"""]),
    'R-DME-1489509':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DAG and IP3 signaling"""]),
    'R-DRE-1489509':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DAG and IP3 signaling"""]),
    'R-GGA-1489509':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DAG and IP3 signaling"""]),
    'R-MMU-1489509':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DAG and IP3 signaling"""]),
    'R-PFA-1489509':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DAG and IP3 signaling"""]),
    'R-RNO-1489509':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DAG and IP3 signaling"""]),
    'R-SCE-1489509':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DAG and IP3 signaling"""]),
    'R-SPO-1489509':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DAG and IP3 signaling"""]),
    'R-SSC-1489509':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DAG and IP3 signaling"""]),
    'R-XTR-1489509':Nto._make([date(2019,  3, 20), '..fI...', '.C', """DAG and IP3 signaling"""]),
    'R-HSA-1500620':Nto._make([date(2011,  9, 20), '..F.P..', '.C', """Meiosis"""]),
    'R-HSA-1500931':Nto._make([date(2011,  9, 20), 'T.F.P..', '..', """Cell-Cell communication"""]),
    'R-BTA-1500931':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Cell-Cell communication"""]),
    'R-CEL-1500931':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Cell-Cell communication"""]),
    'R-CFA-1500931':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Cell-Cell communication"""]),
    'R-DME-1500931':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Cell-Cell communication"""]),
    'R-DRE-1500931':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Cell-Cell communication"""]),
    'R-GGA-1500931':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Cell-Cell communication"""]),
    'R-MMU-1500931':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Cell-Cell communication"""]),
    'R-RNO-1500931':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Cell-Cell communication"""]),
    'R-SSC-1500931':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Cell-Cell communication"""]),
    'R-XTR-1500931':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Cell-Cell communication"""]),
    'R-HSA-1502540':Nto._make([date(2012, 12,  4), '..f.P..', '.C', """Signaling by Activin"""]),
    'R-BTA-1502540':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Activin"""]),
    'R-CEL-1502540':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Activin"""]),
    'R-CFA-1502540':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Activin"""]),
    'R-DME-1502540':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Activin"""]),
    'R-DRE-1502540':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Activin"""]),
    'R-GGA-1502540':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Activin"""]),
    'R-MMU-1502540':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Activin"""]),
    'R-RNO-1502540':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Activin"""]),
    'R-SSC-1502540':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Activin"""]),
    'R-XTR-1502540':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Activin"""]),
    'R-HSA-1538133':Nto._make([date(2011,  9, 20), '.......', '.C', """G0 and Early G1"""]),
    'R-BTA-1538133':Nto._make([date(2019,  3, 20), '...I...', '.C', """G0 and Early G1"""]),
    'R-CEL-1538133':Nto._make([date(2019,  3, 20), '...I...', '.C', """G0 and Early G1"""]),
    'R-CFA-1538133':Nto._make([date(2019,  3, 20), '...I...', '.C', """G0 and Early G1"""]),
    'R-DDI-1538133':Nto._make([date(2019,  3, 20), '...I...', '.C', """G0 and Early G1"""]),
    'R-DME-1538133':Nto._make([date(2019,  3, 20), '...I...', '.C', """G0 and Early G1"""]),
    'R-DRE-1538133':Nto._make([date(2019,  3, 20), '...I...', '.C', """G0 and Early G1"""]),
    'R-GGA-1538133':Nto._make([date(2019,  3, 20), '...I...', '.C', """G0 and Early G1"""]),
    'R-MMU-1538133':Nto._make([date(2019,  3, 20), '...I...', '.C', """G0 and Early G1"""]),
    'R-RNO-1538133':Nto._make([date(2019,  3, 20), '...I...', '.C', """G0 and Early G1"""]),
    'R-SSC-1538133':Nto._make([date(2019,  3, 20), '...I...', '.C', """G0 and Early G1"""]),
    'R-XTR-1538133':Nto._make([date(2019,  3, 20), '...I...', '.C', """G0 and Early G1"""]),
    'R-HSA-1566948':Nto._make([date(2012, 12,  4), '..f.P..', '.C', """Elastic fibre formation"""]),
    'R-BTA-1566948':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Elastic fibre formation"""]),
    'R-CEL-1566948':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Elastic fibre formation"""]),
    'R-CFA-1566948':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Elastic fibre formation"""]),
    'R-DDI-1566948':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Elastic fibre formation"""]),
    'R-DME-1566948':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Elastic fibre formation"""]),
    'R-DRE-1566948':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Elastic fibre formation"""]),
    'R-GGA-1566948':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Elastic fibre formation"""]),
    'R-MMU-1566948':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Elastic fibre formation"""]),
    'R-RNO-1566948':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Elastic fibre formation"""]),
    'R-SSC-1566948':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Elastic fibre formation"""]),
    'R-XTR-1566948':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Elastic fibre formation"""]),
    'R-HSA-1566977':Nto._make([date(2013,  3, 12), '....P..', '.C', """Fibronectin matrix formation"""]),
    'R-CEL-1566977':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fibronectin matrix formation"""]),
    'R-CFA-1566977':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fibronectin matrix formation"""]),
    'R-DME-1566977':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fibronectin matrix formation"""]),
    'R-DRE-1566977':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fibronectin matrix formation"""]),
    'R-MMU-1566977':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fibronectin matrix formation"""]),
    'R-RNO-1566977':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fibronectin matrix formation"""]),
    'R-SSC-1566977':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fibronectin matrix formation"""]),
    'R-XTR-1566977':Nto._make([date(2019,  3, 20), '...I...', '.C', """Fibronectin matrix formation"""]),
    'R-HSA-1592230':Nto._make([date(2014,  3, 12), '..f.P..', 'BC', """Mitochondrial biogenesis"""]),
    'R-BTA-1592230':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial biogenesis"""]),
    'R-CEL-1592230':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial biogenesis"""]),
    'R-CFA-1592230':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial biogenesis"""]),
    'R-DDI-1592230':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial biogenesis"""]),
    'R-DME-1592230':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial biogenesis"""]),
    'R-DRE-1592230':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial biogenesis"""]),
    'R-GGA-1592230':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial biogenesis"""]),
    'R-MMU-1592230':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial biogenesis"""]),
    'R-RNO-1592230':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial biogenesis"""]),
    'R-SCE-1592230':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial biogenesis"""]),
    'R-SPO-1592230':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial biogenesis"""]),
    'R-SSC-1592230':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial biogenesis"""]),
    'R-XTR-1592230':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial biogenesis"""]),
    'R-HSA-1592389':Nto._make([date(2012,  3, 13), '..f.PB.', '..', """Activation of Matrix Metalloproteinases"""]),
    'R-BTA-1592389':Nto._make([date(2019,  3, 20), '..fI...', '..', """Activation of Matrix Metalloproteinases"""]),
    'R-CEL-1592389':Nto._make([date(2019,  3, 20), '..fI...', '..', """Activation of Matrix Metalloproteinases"""]),
    'R-CFA-1592389':Nto._make([date(2019,  3, 20), '..fI...', '..', """Activation of Matrix Metalloproteinases"""]),
    'R-DME-1592389':Nto._make([date(2019,  3, 20), '..fI...', '..', """Activation of Matrix Metalloproteinases"""]),
    'R-DRE-1592389':Nto._make([date(2019,  3, 20), '..fI...', '..', """Activation of Matrix Metalloproteinases"""]),
    'R-GGA-1592389':Nto._make([date(2019,  3, 20), '..fI...', '..', """Activation of Matrix Metalloproteinases"""]),
    'R-MMU-1592389':Nto._make([date(2019,  3, 20), '..fI...', '..', """Activation of Matrix Metalloproteinases"""]),
    'R-RNO-1592389':Nto._make([date(2019,  3, 20), '..fI...', '..', """Activation of Matrix Metalloproteinases"""]),
    'R-SSC-1592389':Nto._make([date(2019,  3, 20), '..fI...', '..', """Activation of Matrix Metalloproteinases"""]),
    'R-XTR-1592389':Nto._make([date(2019,  3, 20), '..fI...', '..', """Activation of Matrix Metalloproteinases"""]),
    'R-HSA-1606322':Nto._make([date(2012,  3, 13), '....P..', '..', """ZBP1(DAI) mediated induction of type I IFNs"""]),
    'R-BTA-1606322':Nto._make([date(2019,  3, 20), '...I...', '..', """ZBP1(DAI) mediated induction of type I IFNs"""]),
    'R-CFA-1606322':Nto._make([date(2019,  3, 20), '...I...', '..', """ZBP1(DAI) mediated induction of type I IFNs"""]),
    'R-DME-1606322':Nto._make([date(2019,  3, 20), '...I...', '..', """ZBP1(DAI) mediated induction of type I IFNs"""]),
    'R-DRE-1606322':Nto._make([date(2019,  3, 20), '...I...', '..', """ZBP1(DAI) mediated induction of type I IFNs"""]),
    'R-MMU-1606322':Nto._make([date(2019,  3, 20), '...I...', '..', """ZBP1(DAI) mediated induction of type I IFNs"""]),
    'R-RNO-1606322':Nto._make([date(2019,  3, 20), '...I...', '..', """ZBP1(DAI) mediated induction of type I IFNs"""]),
    'R-SSC-1606322':Nto._make([date(2019,  3, 20), '...I...', '..', """ZBP1(DAI) mediated induction of type I IFNs"""]),
    'R-XTR-1606322':Nto._make([date(2019,  3, 20), '...I...', '..', """ZBP1(DAI) mediated induction of type I IFNs"""]),
    'R-HSA-1606341':Nto._make([date(2012,  3, 13), '....P..', '.C', """IRF3 mediated activation of type 1 IFN"""]),
    'R-BTA-1606341':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRF3 mediated activation of type 1 IFN"""]),
    'R-CFA-1606341':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRF3 mediated activation of type 1 IFN"""]),
    'R-DRE-1606341':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRF3 mediated activation of type 1 IFN"""]),
    'R-MMU-1606341':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRF3 mediated activation of type 1 IFN"""]),
    'R-RNO-1606341':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRF3 mediated activation of type 1 IFN"""]),
    'R-XTR-1606341':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRF3 mediated activation of type 1 IFN"""]),
    'R-HSA-1614517':Nto._make([date(2011,  9, 20), '....P..', 'B.', """Sulfide oxidation to sulfate"""]),
    'R-BTA-1614517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sulfide oxidation to sulfate"""]),
    'R-CEL-1614517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sulfide oxidation to sulfate"""]),
    'R-CFA-1614517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sulfide oxidation to sulfate"""]),
    'R-DDI-1614517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sulfide oxidation to sulfate"""]),
    'R-DME-1614517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sulfide oxidation to sulfate"""]),
    'R-DRE-1614517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sulfide oxidation to sulfate"""]),
    'R-GGA-1614517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sulfide oxidation to sulfate"""]),
    'R-MMU-1614517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sulfide oxidation to sulfate"""]),
    'R-RNO-1614517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sulfide oxidation to sulfate"""]),
    'R-SCE-1614517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sulfide oxidation to sulfate"""]),
    'R-SSC-1614517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sulfide oxidation to sulfate"""]),
    'R-XTR-1614517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sulfide oxidation to sulfate"""]),
    'R-HSA-1614558':Nto._make([date(2011, 12,  6), '....P..', 'B.', """Degradation of cysteine and homocysteine"""]),
    'R-BTA-1614558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of cysteine and homocysteine"""]),
    'R-CEL-1614558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of cysteine and homocysteine"""]),
    'R-CFA-1614558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of cysteine and homocysteine"""]),
    'R-DDI-1614558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of cysteine and homocysteine"""]),
    'R-DME-1614558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of cysteine and homocysteine"""]),
    'R-DRE-1614558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of cysteine and homocysteine"""]),
    'R-GGA-1614558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of cysteine and homocysteine"""]),
    'R-MMU-1614558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of cysteine and homocysteine"""]),
    'R-PFA-1614558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of cysteine and homocysteine"""]),
    'R-RNO-1614558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of cysteine and homocysteine"""]),
    'R-SCE-1614558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of cysteine and homocysteine"""]),
    'R-SPO-1614558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of cysteine and homocysteine"""]),
    'R-SSC-1614558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of cysteine and homocysteine"""]),
    'R-XTR-1614558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of cysteine and homocysteine"""]),
    'R-HSA-1614603':Nto._make([date(2011, 12,  6), '....P..', 'B.', """Cysteine formation from homocysteine"""]),
    'R-BTA-1614603':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cysteine formation from homocysteine"""]),
    'R-CEL-1614603':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cysteine formation from homocysteine"""]),
    'R-CFA-1614603':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cysteine formation from homocysteine"""]),
    'R-DDI-1614603':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cysteine formation from homocysteine"""]),
    'R-DME-1614603':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cysteine formation from homocysteine"""]),
    'R-DRE-1614603':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cysteine formation from homocysteine"""]),
    'R-GGA-1614603':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cysteine formation from homocysteine"""]),
    'R-MMU-1614603':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cysteine formation from homocysteine"""]),
    'R-RNO-1614603':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cysteine formation from homocysteine"""]),
    'R-SCE-1614603':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cysteine formation from homocysteine"""]),
    'R-SPO-1614603':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cysteine formation from homocysteine"""]),
    'R-SSC-1614603':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cysteine formation from homocysteine"""]),
    'R-XTR-1614603':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Cysteine formation from homocysteine"""]),
    'R-HSA-1614635':Nto._make([date(2011, 12,  6), '..f.P..', 'B.', """Sulfur amino acid metabolism"""]),
    'R-BTA-1614635':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sulfur amino acid metabolism"""]),
    'R-CEL-1614635':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sulfur amino acid metabolism"""]),
    'R-CFA-1614635':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sulfur amino acid metabolism"""]),
    'R-DDI-1614635':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sulfur amino acid metabolism"""]),
    'R-DME-1614635':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sulfur amino acid metabolism"""]),
    'R-DRE-1614635':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sulfur amino acid metabolism"""]),
    'R-GGA-1614635':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sulfur amino acid metabolism"""]),
    'R-MMU-1614635':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sulfur amino acid metabolism"""]),
    'R-PFA-1614635':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sulfur amino acid metabolism"""]),
    'R-RNO-1614635':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sulfur amino acid metabolism"""]),
    'R-SCE-1614635':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sulfur amino acid metabolism"""]),
    'R-SPO-1614635':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sulfur amino acid metabolism"""]),
    'R-SSC-1614635':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sulfur amino acid metabolism"""]),
    'R-XTR-1614635':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Sulfur amino acid metabolism"""]),
    'R-HSA-1630316':Nto._make([date(2012,  6, 12), '..f.PB.', 'B.', """Glycosaminoglycan metabolism"""]),
    'R-BTA-1630316':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycosaminoglycan metabolism"""]),
    'R-CEL-1630316':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycosaminoglycan metabolism"""]),
    'R-CFA-1630316':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycosaminoglycan metabolism"""]),
    'R-DDI-1630316':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycosaminoglycan metabolism"""]),
    'R-DME-1630316':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycosaminoglycan metabolism"""]),
    'R-DRE-1630316':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycosaminoglycan metabolism"""]),
    'R-GGA-1630316':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycosaminoglycan metabolism"""]),
    'R-MMU-1630316':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycosaminoglycan metabolism"""]),
    'R-RNO-1630316':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycosaminoglycan metabolism"""]),
    'R-SCE-1630316':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycosaminoglycan metabolism"""]),
    'R-SPO-1630316':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycosaminoglycan metabolism"""]),
    'R-SSC-1630316':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycosaminoglycan metabolism"""]),
    'R-XTR-1630316':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycosaminoglycan metabolism"""]),
    'R-HSA-1632852':Nto._make([date(2015,  6, 17), '..f.P..', 'B.', """Macroautophagy"""]),
    'R-BTA-1632852':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Macroautophagy"""]),
    'R-CEL-1632852':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Macroautophagy"""]),
    'R-CFA-1632852':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Macroautophagy"""]),
    'R-DDI-1632852':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Macroautophagy"""]),
    'R-DME-1632852':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Macroautophagy"""]),
    'R-DRE-1632852':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Macroautophagy"""]),
    'R-GGA-1632852':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Macroautophagy"""]),
    'R-MMU-1632852':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Macroautophagy"""]),
    'R-PFA-1632852':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Macroautophagy"""]),
    'R-RNO-1632852':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Macroautophagy"""]),
    'R-SCE-1632852':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Macroautophagy"""]),
    'R-SPO-1632852':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Macroautophagy"""]),
    'R-SSC-1632852':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Macroautophagy"""]),
    'R-XTR-1632852':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Macroautophagy"""]),
    'R-HSA-1638074':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Keratan sulfate/keratin metabolism"""]),
    'R-BTA-1638074':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate/keratin metabolism"""]),
    'R-CEL-1638074':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate/keratin metabolism"""]),
    'R-CFA-1638074':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate/keratin metabolism"""]),
    'R-DDI-1638074':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate/keratin metabolism"""]),
    'R-DME-1638074':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate/keratin metabolism"""]),
    'R-DRE-1638074':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate/keratin metabolism"""]),
    'R-GGA-1638074':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate/keratin metabolism"""]),
    'R-MMU-1638074':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate/keratin metabolism"""]),
    'R-RNO-1638074':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate/keratin metabolism"""]),
    'R-SSC-1638074':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate/keratin metabolism"""]),
    'R-XTR-1638074':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate/keratin metabolism"""]),
    'R-HSA-1638091':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Heparan sulfate/heparin (HS-GAG) metabolism"""]),
    'R-BTA-1638091':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heparan sulfate/heparin (HS-GAG) metabolism"""]),
    'R-CEL-1638091':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heparan sulfate/heparin (HS-GAG) metabolism"""]),
    'R-CFA-1638091':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heparan sulfate/heparin (HS-GAG) metabolism"""]),
    'R-DDI-1638091':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heparan sulfate/heparin (HS-GAG) metabolism"""]),
    'R-DME-1638091':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heparan sulfate/heparin (HS-GAG) metabolism"""]),
    'R-DRE-1638091':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heparan sulfate/heparin (HS-GAG) metabolism"""]),
    'R-GGA-1638091':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heparan sulfate/heparin (HS-GAG) metabolism"""]),
    'R-MMU-1638091':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heparan sulfate/heparin (HS-GAG) metabolism"""]),
    'R-RNO-1638091':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heparan sulfate/heparin (HS-GAG) metabolism"""]),
    'R-SSC-1638091':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heparan sulfate/heparin (HS-GAG) metabolism"""]),
    'R-XTR-1638091':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Heparan sulfate/heparin (HS-GAG) metabolism"""]),
    'R-HSA-1640170':Nto._make([date(2011, 12,  6), 'T.F....', 'B.', """Cell Cycle"""]),
    'R-BTA-1640170':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cell Cycle"""]),
    'R-CEL-1640170':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cell Cycle"""]),
    'R-CFA-1640170':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cell Cycle"""]),
    'R-DDI-1640170':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cell Cycle"""]),
    'R-DME-1640170':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cell Cycle"""]),
    'R-DRE-1640170':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cell Cycle"""]),
    'R-GGA-1640170':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cell Cycle"""]),
    'R-MMU-1640170':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cell Cycle"""]),
    'R-PFA-1640170':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cell Cycle"""]),
    'R-RNO-1640170':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cell Cycle"""]),
    'R-SCE-1640170':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cell Cycle"""]),
    'R-SPO-1640170':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cell Cycle"""]),
    'R-SSC-1640170':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cell Cycle"""]),
    'R-XTR-1640170':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cell Cycle"""]),
    'R-HSA-1643685':Nto._make([date(2011, 12,  6), 'TDf....', '..', """Disease"""]),
    'R-HSA-1643713':Nto._make([date(2011, 12,  6), '.Df....', '..', """Signaling by EGFR in Cancer"""]),
    'R-HSA-1650814':Nto._make([date(2012,  6, 12), '..f.P..', '..', """Collagen biosynthesis and modifying enzymes"""]),
    'R-BTA-1650814':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen biosynthesis and modifying enzymes"""]),
    'R-CEL-1650814':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen biosynthesis and modifying enzymes"""]),
    'R-CFA-1650814':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen biosynthesis and modifying enzymes"""]),
    'R-DDI-1650814':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen biosynthesis and modifying enzymes"""]),
    'R-DME-1650814':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen biosynthesis and modifying enzymes"""]),
    'R-DRE-1650814':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen biosynthesis and modifying enzymes"""]),
    'R-GGA-1650814':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen biosynthesis and modifying enzymes"""]),
    'R-MMU-1650814':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen biosynthesis and modifying enzymes"""]),
    'R-PFA-1650814':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen biosynthesis and modifying enzymes"""]),
    'R-RNO-1650814':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen biosynthesis and modifying enzymes"""]),
    'R-SSC-1650814':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen biosynthesis and modifying enzymes"""]),
    'R-XTR-1650814':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen biosynthesis and modifying enzymes"""]),
    'R-HSA-1655829':Nto._make([date(2012,  9, 18), '..f.P..', 'BC', """Regulation of cholesterol biosynthesis by SREBP (SREBF)"""]),
    'R-BTA-1655829':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of cholesterol biosynthesis by SREBP (SREBF)"""]),
    'R-CEL-1655829':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of cholesterol biosynthesis by SREBP (SREBF)"""]),
    'R-CFA-1655829':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of cholesterol biosynthesis by SREBP (SREBF)"""]),
    'R-DME-1655829':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of cholesterol biosynthesis by SREBP (SREBF)"""]),
    'R-DRE-1655829':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of cholesterol biosynthesis by SREBP (SREBF)"""]),
    'R-GGA-1655829':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of cholesterol biosynthesis by SREBP (SREBF)"""]),
    'R-MMU-1655829':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of cholesterol biosynthesis by SREBP (SREBF)"""]),
    'R-RNO-1655829':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of cholesterol biosynthesis by SREBP (SREBF)"""]),
    'R-SSC-1655829':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of cholesterol biosynthesis by SREBP (SREBF)"""]),
    'R-XTR-1655829':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Regulation of cholesterol biosynthesis by SREBP (SREBF)"""]),
    'R-HSA-1660499':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Synthesis of PIPs at the plasma membrane"""]),
    'R-BTA-1660499':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the plasma membrane"""]),
    'R-CEL-1660499':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the plasma membrane"""]),
    'R-CFA-1660499':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the plasma membrane"""]),
    'R-DDI-1660499':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the plasma membrane"""]),
    'R-DME-1660499':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the plasma membrane"""]),
    'R-DRE-1660499':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the plasma membrane"""]),
    'R-GGA-1660499':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the plasma membrane"""]),
    'R-MMU-1660499':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the plasma membrane"""]),
    'R-PFA-1660499':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the plasma membrane"""]),
    'R-RNO-1660499':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the plasma membrane"""]),
    'R-SCE-1660499':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the plasma membrane"""]),
    'R-SPO-1660499':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the plasma membrane"""]),
    'R-SSC-1660499':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the plasma membrane"""]),
    'R-XTR-1660499':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the plasma membrane"""]),
    'R-HSA-1660502':Nto._make([date(2012,  6, 12), '....P..', 'B.', """PIPs transport between early and late endosome membranes"""]),
    'R-HSA-1660508':Nto._make([date(2012,  6, 12), '....P..', 'B.', """PIPs transport between late endosome and Golgi membranes"""]),
    'R-HSA-1660510':Nto._make([date(2012,  6, 12), '....P..', 'B.', """PIPs transport between Golgi and plasma membranes"""]),
    'R-HSA-1660514':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Synthesis of PIPs at the Golgi membrane"""]),
    'R-BTA-1660514':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the Golgi membrane"""]),
    'R-CEL-1660514':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the Golgi membrane"""]),
    'R-CFA-1660514':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the Golgi membrane"""]),
    'R-DDI-1660514':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the Golgi membrane"""]),
    'R-DME-1660514':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the Golgi membrane"""]),
    'R-DRE-1660514':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the Golgi membrane"""]),
    'R-GGA-1660514':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the Golgi membrane"""]),
    'R-MMU-1660514':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the Golgi membrane"""]),
    'R-PFA-1660514':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the Golgi membrane"""]),
    'R-RNO-1660514':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the Golgi membrane"""]),
    'R-SCE-1660514':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the Golgi membrane"""]),
    'R-SPO-1660514':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the Golgi membrane"""]),
    'R-SSC-1660514':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the Golgi membrane"""]),
    'R-XTR-1660514':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the Golgi membrane"""]),
    'R-HSA-1660516':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Synthesis of PIPs at the early endosome membrane"""]),
    'R-BTA-1660516':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the early endosome membrane"""]),
    'R-CEL-1660516':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the early endosome membrane"""]),
    'R-CFA-1660516':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the early endosome membrane"""]),
    'R-DDI-1660516':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the early endosome membrane"""]),
    'R-DME-1660516':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the early endosome membrane"""]),
    'R-DRE-1660516':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the early endosome membrane"""]),
    'R-GGA-1660516':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the early endosome membrane"""]),
    'R-MMU-1660516':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the early endosome membrane"""]),
    'R-PFA-1660516':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the early endosome membrane"""]),
    'R-RNO-1660516':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the early endosome membrane"""]),
    'R-SCE-1660516':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the early endosome membrane"""]),
    'R-SPO-1660516':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the early endosome membrane"""]),
    'R-SSC-1660516':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the early endosome membrane"""]),
    'R-XTR-1660516':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the early endosome membrane"""]),
    'R-HSA-1660517':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Synthesis of PIPs at the late endosome membrane"""]),
    'R-BTA-1660517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the late endosome membrane"""]),
    'R-CEL-1660517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the late endosome membrane"""]),
    'R-CFA-1660517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the late endosome membrane"""]),
    'R-DDI-1660517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the late endosome membrane"""]),
    'R-DME-1660517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the late endosome membrane"""]),
    'R-DRE-1660517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the late endosome membrane"""]),
    'R-GGA-1660517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the late endosome membrane"""]),
    'R-MMU-1660517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the late endosome membrane"""]),
    'R-PFA-1660517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the late endosome membrane"""]),
    'R-RNO-1660517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the late endosome membrane"""]),
    'R-SCE-1660517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the late endosome membrane"""]),
    'R-SPO-1660517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the late endosome membrane"""]),
    'R-SSC-1660517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the late endosome membrane"""]),
    'R-XTR-1660517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of PIPs at the late endosome membrane"""]),
    'R-HSA-1660524':Nto._make([date(2012,  6, 12), '....P..', 'B.', """PIPs transport between plasma and early endosome membranes"""]),
    'R-HSA-1660537':Nto._make([date(2012,  6, 12), '....P..', 'B.', """PIPs transport between early endosome and Golgi membranes"""]),
    'R-GGA-1660598':Nto._make([date(2011, 12,  6), 'T.f....', 'B.', """Metabolism"""]),
    'R-HSA-1660661':Nto._make([date(2011, 12,  6), '....P..', 'B.', """Sphingolipid de novo biosynthesis"""]),
    'R-BTA-1660661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sphingolipid de novo biosynthesis"""]),
    'R-CEL-1660661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sphingolipid de novo biosynthesis"""]),
    'R-CFA-1660661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sphingolipid de novo biosynthesis"""]),
    'R-DDI-1660661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sphingolipid de novo biosynthesis"""]),
    'R-DME-1660661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sphingolipid de novo biosynthesis"""]),
    'R-DRE-1660661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sphingolipid de novo biosynthesis"""]),
    'R-GGA-1660661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sphingolipid de novo biosynthesis"""]),
    'R-MMU-1660661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sphingolipid de novo biosynthesis"""]),
    'R-PFA-1660661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sphingolipid de novo biosynthesis"""]),
    'R-RNO-1660661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sphingolipid de novo biosynthesis"""]),
    'R-SCE-1660661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sphingolipid de novo biosynthesis"""]),
    'R-SPO-1660661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sphingolipid de novo biosynthesis"""]),
    'R-SSC-1660661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sphingolipid de novo biosynthesis"""]),
    'R-XTR-1660661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Sphingolipid de novo biosynthesis"""]),
    'R-HSA-1660662':Nto._make([date(2011, 12,  6), '....P..', 'B.', """Glycosphingolipid metabolism"""]),
    'R-BTA-1660662':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycosphingolipid metabolism"""]),
    'R-CEL-1660662':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycosphingolipid metabolism"""]),
    'R-CFA-1660662':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycosphingolipid metabolism"""]),
    'R-DDI-1660662':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycosphingolipid metabolism"""]),
    'R-DME-1660662':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycosphingolipid metabolism"""]),
    'R-DRE-1660662':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycosphingolipid metabolism"""]),
    'R-GGA-1660662':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycosphingolipid metabolism"""]),
    'R-MMU-1660662':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycosphingolipid metabolism"""]),
    'R-PFA-1660662':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycosphingolipid metabolism"""]),
    'R-RNO-1660662':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycosphingolipid metabolism"""]),
    'R-SCE-1660662':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycosphingolipid metabolism"""]),
    'R-SPO-1660662':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycosphingolipid metabolism"""]),
    'R-SSC-1660662':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycosphingolipid metabolism"""]),
    'R-XTR-1660662':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycosphingolipid metabolism"""]),
    'R-HSA-1663150':Nto._make([date(2012,  6, 12), '....P..', '..', """The activation of arylsulfatases"""]),
    'R-BTA-1663150':Nto._make([date(2019,  3, 20), '...I...', '..', """The activation of arylsulfatases"""]),
    'R-CFA-1663150':Nto._make([date(2019,  3, 20), '...I...', '..', """The activation of arylsulfatases"""]),
    'R-GGA-1663150':Nto._make([date(2019,  3, 20), '...I...', '..', """The activation of arylsulfatases"""]),
    'R-MMU-1663150':Nto._make([date(2019,  3, 20), '...I...', '..', """The activation of arylsulfatases"""]),
    'R-RNO-1663150':Nto._make([date(2019,  3, 20), '...I...', '..', """The activation of arylsulfatases"""]),
    'R-SSC-1663150':Nto._make([date(2019,  3, 20), '...I...', '..', """The activation of arylsulfatases"""]),
    'R-XTR-1663150':Nto._make([date(2019,  3, 20), '...I...', '..', """The activation of arylsulfatases"""]),
    'R-GGA-1670466':Nto._make([date(2011, 12,  6), 'T.f....', '.C', """DNA replication and repair"""]),
    'R-HSA-1679131':Nto._make([date(2012,  3, 13), '..F.P..', '..', """Trafficking and processing of endosomal TLR"""]),
    'R-BTA-1679131':Nto._make([date(2019,  3, 20), '..fI...', '..', """Trafficking and processing of endosomal TLR"""]),
    'R-CFA-1679131':Nto._make([date(2019,  3, 20), '..fI...', '..', """Trafficking and processing of endosomal TLR"""]),
    'R-DRE-1679131':Nto._make([date(2019,  3, 20), '..fI...', '..', """Trafficking and processing of endosomal TLR"""]),
    'R-GGA-1679131':Nto._make([date(2019,  3, 20), '..fI...', '..', """Trafficking and processing of endosomal TLR"""]),
    'R-MMU-1679131':Nto._make([date(2019,  3, 20), '..fI...', '..', """Trafficking and processing of endosomal TLR"""]),
    'R-RNO-1679131':Nto._make([date(2019,  3, 20), '..fI...', '..', """Trafficking and processing of endosomal TLR"""]),
    'R-SSC-1679131':Nto._make([date(2019,  3, 20), '..fI...', '..', """Trafficking and processing of endosomal TLR"""]),
    'R-XTR-1679131':Nto._make([date(2019,  3, 20), '..fI...', '..', """Trafficking and processing of endosomal TLR"""]),
    'R-HSA-1793185':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Chondroitin sulfate/dermatan sulfate metabolism"""]),
    'R-BTA-1793185':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chondroitin sulfate/dermatan sulfate metabolism"""]),
    'R-CEL-1793185':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chondroitin sulfate/dermatan sulfate metabolism"""]),
    'R-CFA-1793185':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chondroitin sulfate/dermatan sulfate metabolism"""]),
    'R-DDI-1793185':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chondroitin sulfate/dermatan sulfate metabolism"""]),
    'R-DME-1793185':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chondroitin sulfate/dermatan sulfate metabolism"""]),
    'R-DRE-1793185':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chondroitin sulfate/dermatan sulfate metabolism"""]),
    'R-GGA-1793185':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chondroitin sulfate/dermatan sulfate metabolism"""]),
    'R-MMU-1793185':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chondroitin sulfate/dermatan sulfate metabolism"""]),
    'R-RNO-1793185':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chondroitin sulfate/dermatan sulfate metabolism"""]),
    'R-SSC-1793185':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chondroitin sulfate/dermatan sulfate metabolism"""]),
    'R-XTR-1793185':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chondroitin sulfate/dermatan sulfate metabolism"""]),
    'R-HSA-1799339':Nto._make([date(2011, 12,  6), '..f....', 'BC', """SRP-dependent cotranslational protein targeting to membrane"""]),
    'R-BTA-1799339':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SRP-dependent cotranslational protein targeting to membrane"""]),
    'R-CEL-1799339':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SRP-dependent cotranslational protein targeting to membrane"""]),
    'R-CFA-1799339':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SRP-dependent cotranslational protein targeting to membrane"""]),
    'R-DDI-1799339':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SRP-dependent cotranslational protein targeting to membrane"""]),
    'R-DME-1799339':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SRP-dependent cotranslational protein targeting to membrane"""]),
    'R-DRE-1799339':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SRP-dependent cotranslational protein targeting to membrane"""]),
    'R-MMU-1799339':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SRP-dependent cotranslational protein targeting to membrane"""]),
    'R-PFA-1799339':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SRP-dependent cotranslational protein targeting to membrane"""]),
    'R-RNO-1799339':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SRP-dependent cotranslational protein targeting to membrane"""]),
    'R-SCE-1799339':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SRP-dependent cotranslational protein targeting to membrane"""]),
    'R-SPO-1799339':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SRP-dependent cotranslational protein targeting to membrane"""]),
    'R-SSC-1799339':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SRP-dependent cotranslational protein targeting to membrane"""]),
    'R-XTR-1799339':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SRP-dependent cotranslational protein targeting to membrane"""]),
    'R-HSA-1810476':Nto._make([date(2012,  3, 13), '....P..', '.C', """RIP-mediated NFkB activation via ZBP1"""]),
    'R-BTA-1810476':Nto._make([date(2019,  3, 20), '...I...', '.C', """RIP-mediated NFkB activation via ZBP1"""]),
    'R-CFA-1810476':Nto._make([date(2019,  3, 20), '...I...', '.C', """RIP-mediated NFkB activation via ZBP1"""]),
    'R-DME-1810476':Nto._make([date(2019,  3, 20), '...I...', '.C', """RIP-mediated NFkB activation via ZBP1"""]),
    'R-DRE-1810476':Nto._make([date(2019,  3, 20), '...I...', '.C', """RIP-mediated NFkB activation via ZBP1"""]),
    'R-MMU-1810476':Nto._make([date(2019,  3, 20), '...I...', '.C', """RIP-mediated NFkB activation via ZBP1"""]),
    'R-RNO-1810476':Nto._make([date(2019,  3, 20), '...I...', '.C', """RIP-mediated NFkB activation via ZBP1"""]),
    'R-SSC-1810476':Nto._make([date(2019,  3, 20), '...I...', '.C', """RIP-mediated NFkB activation via ZBP1"""]),
    'R-XTR-1810476':Nto._make([date(2019,  3, 20), '...I...', '.C', """RIP-mediated NFkB activation via ZBP1"""]),
    'R-HSA-1834941':Nto._make([date(2012,  9, 18), '....P..', 'B.', """STING mediated induction of host immune responses"""]),
    'R-BTA-1834941':Nto._make([date(2019,  3, 20), '...I...', 'B.', """STING mediated induction of host immune responses"""]),
    'R-CEL-1834941':Nto._make([date(2019,  3, 20), '...I...', 'B.', """STING mediated induction of host immune responses"""]),
    'R-CFA-1834941':Nto._make([date(2019,  3, 20), '...I...', 'B.', """STING mediated induction of host immune responses"""]),
    'R-DDI-1834941':Nto._make([date(2019,  3, 20), '...I...', 'B.', """STING mediated induction of host immune responses"""]),
    'R-DME-1834941':Nto._make([date(2019,  3, 20), '...I...', 'B.', """STING mediated induction of host immune responses"""]),
    'R-DRE-1834941':Nto._make([date(2019,  3, 20), '...I...', 'B.', """STING mediated induction of host immune responses"""]),
    'R-GGA-1834941':Nto._make([date(2019,  3, 20), '...I...', 'B.', """STING mediated induction of host immune responses"""]),
    'R-MMU-1834941':Nto._make([date(2019,  3, 20), '...I...', 'B.', """STING mediated induction of host immune responses"""]),
    'R-PFA-1834941':Nto._make([date(2019,  3, 20), '...I...', 'B.', """STING mediated induction of host immune responses"""]),
    'R-RNO-1834941':Nto._make([date(2019,  3, 20), '...I...', 'B.', """STING mediated induction of host immune responses"""]),
    'R-SSC-1834941':Nto._make([date(2019,  3, 20), '...I...', 'B.', """STING mediated induction of host immune responses"""]),
    'R-XTR-1834941':Nto._make([date(2019,  3, 20), '...I...', 'B.', """STING mediated induction of host immune responses"""]),
    'R-HSA-1834949':Nto._make([date(2012,  3, 13), '..f.P..', 'B.', """Cytosolic sensors of pathogen-associated DNA """]),
    'R-BTA-1834949':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cytosolic sensors of pathogen-associated DNA """]),
    'R-CEL-1834949':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cytosolic sensors of pathogen-associated DNA """]),
    'R-CFA-1834949':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cytosolic sensors of pathogen-associated DNA """]),
    'R-DDI-1834949':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cytosolic sensors of pathogen-associated DNA """]),
    'R-DME-1834949':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cytosolic sensors of pathogen-associated DNA """]),
    'R-DRE-1834949':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cytosolic sensors of pathogen-associated DNA """]),
    'R-GGA-1834949':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cytosolic sensors of pathogen-associated DNA """]),
    'R-MMU-1834949':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cytosolic sensors of pathogen-associated DNA """]),
    'R-PFA-1834949':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cytosolic sensors of pathogen-associated DNA """]),
    'R-RNO-1834949':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cytosolic sensors of pathogen-associated DNA """]),
    'R-SCE-1834949':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cytosolic sensors of pathogen-associated DNA """]),
    'R-SPO-1834949':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cytosolic sensors of pathogen-associated DNA """]),
    'R-SSC-1834949':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cytosolic sensors of pathogen-associated DNA """]),
    'R-XTR-1834949':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cytosolic sensors of pathogen-associated DNA """]),
    'R-HSA-1839117':Nto._make([date(2012,  6, 12), '.D..P..', '.C', """Signaling by cytosolic FGFR1 fusion mutants"""]),
    'R-HSA-1839120':Nto._make([date(2012,  6, 12), '.D..P..', '.C', """Signaling by FGFR1 amplification mutants"""]),
    'R-HSA-1839122':Nto._make([date(2012,  6, 12), '.D..P..', '.C', """Signaling by activated point mutants of FGFR1"""]),
    'R-HSA-1839124':Nto._make([date(2012,  6, 12), '.D..P..', '.C', """FGFR1 mutant receptor activation"""]),
    'R-HSA-1839126':Nto._make([date(2012,  6, 12), '.D..P..', '.C', """FGFR2 mutant receptor activation"""]),
    'R-HSA-1839128':Nto._make([date(2012,  6, 12), '.D..P..', '.C', """FGFR4 mutant receptor activation"""]),
    'R-HSA-1839130':Nto._make([date(2012,  6, 12), '.D..P..', '.C', """Signaling by activated point mutants of FGFR3"""]),
    'R-HSA-1852241':Nto._make([date(2014,  3, 12), 'T.F.P..', 'B.', """Organelle biogenesis and maintenance"""]),
    'R-BTA-1852241':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Organelle biogenesis and maintenance"""]),
    'R-CEL-1852241':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Organelle biogenesis and maintenance"""]),
    'R-CFA-1852241':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Organelle biogenesis and maintenance"""]),
    'R-DDI-1852241':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Organelle biogenesis and maintenance"""]),
    'R-DME-1852241':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Organelle biogenesis and maintenance"""]),
    'R-DRE-1852241':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Organelle biogenesis and maintenance"""]),
    'R-GGA-1852241':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Organelle biogenesis and maintenance"""]),
    'R-MMU-1852241':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Organelle biogenesis and maintenance"""]),
    'R-PFA-1852241':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Organelle biogenesis and maintenance"""]),
    'R-RNO-1852241':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Organelle biogenesis and maintenance"""]),
    'R-SCE-1852241':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Organelle biogenesis and maintenance"""]),
    'R-SPO-1852241':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Organelle biogenesis and maintenance"""]),
    'R-SSC-1852241':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Organelle biogenesis and maintenance"""]),
    'R-XTR-1852241':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Organelle biogenesis and maintenance"""]),
    'R-HSA-1855156':Nto._make([date(2012, 12,  4), '....P..', 'B.', """IPs transport between ER lumen and nucleus"""]),
    'R-HSA-1855167':Nto._make([date(2012, 12,  4), '....P..', 'B.', """Synthesis of pyrophosphates in the cytosol"""]),
    'R-BTA-1855167':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of pyrophosphates in the cytosol"""]),
    'R-CEL-1855167':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of pyrophosphates in the cytosol"""]),
    'R-CFA-1855167':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of pyrophosphates in the cytosol"""]),
    'R-DDI-1855167':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of pyrophosphates in the cytosol"""]),
    'R-DME-1855167':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of pyrophosphates in the cytosol"""]),
    'R-DRE-1855167':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of pyrophosphates in the cytosol"""]),
    'R-GGA-1855167':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of pyrophosphates in the cytosol"""]),
    'R-MMU-1855167':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of pyrophosphates in the cytosol"""]),
    'R-PFA-1855167':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of pyrophosphates in the cytosol"""]),
    'R-RNO-1855167':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of pyrophosphates in the cytosol"""]),
    'R-SCE-1855167':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of pyrophosphates in the cytosol"""]),
    'R-SPO-1855167':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of pyrophosphates in the cytosol"""]),
    'R-SSC-1855167':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of pyrophosphates in the cytosol"""]),
    'R-XTR-1855167':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of pyrophosphates in the cytosol"""]),
    'R-HSA-1855170':Nto._make([date(2012, 12,  4), '....P..', 'B.', """IPs transport between nucleus and cytosol"""]),
    'R-HSA-1855183':Nto._make([date(2012, 12,  4), '....P..', 'B.', """Synthesis of IP2, IP, and Ins in the cytosol"""]),
    'R-BTA-1855183':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP2, IP, and Ins in the cytosol"""]),
    'R-CEL-1855183':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP2, IP, and Ins in the cytosol"""]),
    'R-CFA-1855183':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP2, IP, and Ins in the cytosol"""]),
    'R-DDI-1855183':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP2, IP, and Ins in the cytosol"""]),
    'R-DME-1855183':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP2, IP, and Ins in the cytosol"""]),
    'R-DRE-1855183':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP2, IP, and Ins in the cytosol"""]),
    'R-GGA-1855183':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP2, IP, and Ins in the cytosol"""]),
    'R-MMU-1855183':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP2, IP, and Ins in the cytosol"""]),
    'R-PFA-1855183':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP2, IP, and Ins in the cytosol"""]),
    'R-RNO-1855183':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP2, IP, and Ins in the cytosol"""]),
    'R-SCE-1855183':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP2, IP, and Ins in the cytosol"""]),
    'R-SPO-1855183':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP2, IP, and Ins in the cytosol"""]),
    'R-SSC-1855183':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP2, IP, and Ins in the cytosol"""]),
    'R-XTR-1855183':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP2, IP, and Ins in the cytosol"""]),
    'R-HSA-1855184':Nto._make([date(2012, 12,  4), '....P..', 'B.', """IPs transport between cytosol and ER lumen"""]),
    'R-HSA-1855191':Nto._make([date(2012, 12,  4), '....P..', 'B.', """Synthesis of IPs in the nucleus"""]),
    'R-BTA-1855191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the nucleus"""]),
    'R-CEL-1855191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the nucleus"""]),
    'R-CFA-1855191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the nucleus"""]),
    'R-DDI-1855191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the nucleus"""]),
    'R-DME-1855191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the nucleus"""]),
    'R-DRE-1855191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the nucleus"""]),
    'R-GGA-1855191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the nucleus"""]),
    'R-MMU-1855191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the nucleus"""]),
    'R-PFA-1855191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the nucleus"""]),
    'R-RNO-1855191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the nucleus"""]),
    'R-SCE-1855191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the nucleus"""]),
    'R-SPO-1855191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the nucleus"""]),
    'R-SSC-1855191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the nucleus"""]),
    'R-XTR-1855191':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the nucleus"""]),
    'R-HSA-1855192':Nto._make([date(2012, 12,  4), '....P..', 'B.', """IPs transport between nucleus and ER lumen"""]),
    'R-HSA-1855196':Nto._make([date(2012, 12,  4), '....P..', 'B.', """IP3 and IP4 transport between cytosol and nucleus"""]),
    'R-HSA-1855204':Nto._make([date(2012, 12,  4), '....P..', 'B.', """Synthesis of IP3 and IP4 in the cytosol"""]),
    'R-BTA-1855204':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP3 and IP4 in the cytosol"""]),
    'R-CEL-1855204':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP3 and IP4 in the cytosol"""]),
    'R-CFA-1855204':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP3 and IP4 in the cytosol"""]),
    'R-DDI-1855204':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP3 and IP4 in the cytosol"""]),
    'R-DME-1855204':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP3 and IP4 in the cytosol"""]),
    'R-DRE-1855204':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP3 and IP4 in the cytosol"""]),
    'R-GGA-1855204':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP3 and IP4 in the cytosol"""]),
    'R-MMU-1855204':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP3 and IP4 in the cytosol"""]),
    'R-PFA-1855204':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP3 and IP4 in the cytosol"""]),
    'R-RNO-1855204':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP3 and IP4 in the cytosol"""]),
    'R-SCE-1855204':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP3 and IP4 in the cytosol"""]),
    'R-SPO-1855204':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP3 and IP4 in the cytosol"""]),
    'R-SSC-1855204':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP3 and IP4 in the cytosol"""]),
    'R-XTR-1855204':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IP3 and IP4 in the cytosol"""]),
    'R-HSA-1855215':Nto._make([date(2012, 12,  4), '....P..', 'B.', """IPs transport between ER lumen and cytosol"""]),
    'R-HSA-1855229':Nto._make([date(2012, 12,  4), '....P..', 'B.', """IP6 and IP7 transport between cytosol and nucleus"""]),
    'R-HSA-1855231':Nto._make([date(2012, 12,  4), '....P..', 'B.', """Synthesis of IPs in the ER lumen"""]),
    'R-BTA-1855231':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the ER lumen"""]),
    'R-CFA-1855231':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the ER lumen"""]),
    'R-DDI-1855231':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the ER lumen"""]),
    'R-DME-1855231':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the ER lumen"""]),
    'R-DRE-1855231':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the ER lumen"""]),
    'R-MMU-1855231':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the ER lumen"""]),
    'R-RNO-1855231':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the ER lumen"""]),
    'R-SSC-1855231':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the ER lumen"""]),
    'R-XTR-1855231':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of IPs in the ER lumen"""]),
    'R-HSA-1912399':Nto._make([date(2012,  3, 13), '....P..', '.C', """Pre-NOTCH Processing in the Endoplasmic Reticulum"""]),
    'R-HSA-1912408':Nto._make([date(2012,  3, 13), '....P..', '.C', """Pre-NOTCH Transcription and Translation"""]),
    'R-BTA-1912408':Nto._make([date(2019,  3, 20), '...I...', '.C', """Pre-NOTCH Transcription and Translation"""]),
    'R-CEL-1912408':Nto._make([date(2019,  3, 20), '...I...', '.C', """Pre-NOTCH Transcription and Translation"""]),
    'R-CFA-1912408':Nto._make([date(2019,  3, 20), '...I...', '.C', """Pre-NOTCH Transcription and Translation"""]),
    'R-DME-1912408':Nto._make([date(2019,  3, 20), '...I...', '.C', """Pre-NOTCH Transcription and Translation"""]),
    'R-DRE-1912408':Nto._make([date(2019,  3, 20), '...I...', '.C', """Pre-NOTCH Transcription and Translation"""]),
    'R-GGA-1912408':Nto._make([date(2019,  3, 20), '...I...', '.C', """Pre-NOTCH Transcription and Translation"""]),
    'R-MMU-1912408':Nto._make([date(2019,  3, 20), '...I...', '.C', """Pre-NOTCH Transcription and Translation"""]),
    'R-RNO-1912408':Nto._make([date(2019,  3, 20), '...I...', '.C', """Pre-NOTCH Transcription and Translation"""]),
    'R-SSC-1912408':Nto._make([date(2019,  3, 20), '...I...', '.C', """Pre-NOTCH Transcription and Translation"""]),
    'R-XTR-1912408':Nto._make([date(2019,  3, 20), '...I...', '.C', """Pre-NOTCH Transcription and Translation"""]),
    'R-HSA-1912420':Nto._make([date(2012,  3, 13), '....P..', '.C', """Pre-NOTCH Processing in Golgi"""]),
    'R-BTA-1912420':Nto._make([date(2019,  3, 20), '...I...', '.C', """Pre-NOTCH Processing in Golgi"""]),
    'R-CFA-1912420':Nto._make([date(2019,  3, 20), '...I...', '.C', """Pre-NOTCH Processing in Golgi"""]),
    'R-DME-1912420':Nto._make([date(2019,  3, 20), '...I...', '.C', """Pre-NOTCH Processing in Golgi"""]),
    'R-DRE-1912420':Nto._make([date(2019,  3, 20), '...I...', '.C', """Pre-NOTCH Processing in Golgi"""]),
    'R-GGA-1912420':Nto._make([date(2019,  3, 20), '...I...', '.C', """Pre-NOTCH Processing in Golgi"""]),
    'R-MMU-1912420':Nto._make([date(2019,  3, 20), '...I...', '.C', """Pre-NOTCH Processing in Golgi"""]),
    'R-RNO-1912420':Nto._make([date(2019,  3, 20), '...I...', '.C', """Pre-NOTCH Processing in Golgi"""]),
    'R-SSC-1912420':Nto._make([date(2019,  3, 20), '...I...', '.C', """Pre-NOTCH Processing in Golgi"""]),
    'R-XTR-1912420':Nto._make([date(2019,  3, 20), '...I...', '.C', """Pre-NOTCH Processing in Golgi"""]),
    'R-HSA-1912422':Nto._make([date(2012,  3, 13), '..F.P..', '.C', """Pre-NOTCH Expression and Processing"""]),
    'R-BTA-1912422':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Pre-NOTCH Expression and Processing"""]),
    'R-CEL-1912422':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Pre-NOTCH Expression and Processing"""]),
    'R-CFA-1912422':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Pre-NOTCH Expression and Processing"""]),
    'R-DME-1912422':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Pre-NOTCH Expression and Processing"""]),
    'R-DRE-1912422':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Pre-NOTCH Expression and Processing"""]),
    'R-GGA-1912422':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Pre-NOTCH Expression and Processing"""]),
    'R-MMU-1912422':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Pre-NOTCH Expression and Processing"""]),
    'R-RNO-1912422':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Pre-NOTCH Expression and Processing"""]),
    'R-SSC-1912422':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Pre-NOTCH Expression and Processing"""]),
    'R-XTR-1912422':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Pre-NOTCH Expression and Processing"""]),
    'R-HSA-1963640':Nto._make([date(2011, 12,  6), '.......', '..', """GRB2 events in ERBB2 signaling"""]),
    'R-BTA-1963640':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2 events in ERBB2 signaling"""]),
    'R-CEL-1963640':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2 events in ERBB2 signaling"""]),
    'R-CFA-1963640':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2 events in ERBB2 signaling"""]),
    'R-DME-1963640':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2 events in ERBB2 signaling"""]),
    'R-DRE-1963640':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2 events in ERBB2 signaling"""]),
    'R-GGA-1963640':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2 events in ERBB2 signaling"""]),
    'R-MMU-1963640':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2 events in ERBB2 signaling"""]),
    'R-RNO-1963640':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2 events in ERBB2 signaling"""]),
    'R-SSC-1963640':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2 events in ERBB2 signaling"""]),
    'R-XTR-1963640':Nto._make([date(2019,  3, 20), '...I...', '..', """GRB2 events in ERBB2 signaling"""]),
    'R-HSA-1963642':Nto._make([date(2011, 12,  6), '.......', '..', """PI3K events in ERBB2 signaling"""]),
    'R-BTA-1963642':Nto._make([date(2019,  3, 20), '...I...', '..', """PI3K events in ERBB2 signaling"""]),
    'R-CEL-1963642':Nto._make([date(2019,  3, 20), '...I...', '..', """PI3K events in ERBB2 signaling"""]),
    'R-CFA-1963642':Nto._make([date(2019,  3, 20), '...I...', '..', """PI3K events in ERBB2 signaling"""]),
    'R-DME-1963642':Nto._make([date(2019,  3, 20), '...I...', '..', """PI3K events in ERBB2 signaling"""]),
    'R-DRE-1963642':Nto._make([date(2019,  3, 20), '...I...', '..', """PI3K events in ERBB2 signaling"""]),
    'R-GGA-1963642':Nto._make([date(2019,  3, 20), '...I...', '..', """PI3K events in ERBB2 signaling"""]),
    'R-MMU-1963642':Nto._make([date(2019,  3, 20), '...I...', '..', """PI3K events in ERBB2 signaling"""]),
    'R-RNO-1963642':Nto._make([date(2019,  3, 20), '...I...', '..', """PI3K events in ERBB2 signaling"""]),
    'R-SSC-1963642':Nto._make([date(2019,  3, 20), '...I...', '..', """PI3K events in ERBB2 signaling"""]),
    'R-XTR-1963642':Nto._make([date(2019,  3, 20), '...I...', '..', """PI3K events in ERBB2 signaling"""]),
    'R-HSA-1971475':Nto._make([date(2012,  6, 12), '....P..', 'B.', """A tetrasaccharide linker sequence is required for GAG synthesis"""]),
    'R-BTA-1971475':Nto._make([date(2019,  3, 20), '...I...', 'B.', """A tetrasaccharide linker sequence is required for GAG synthesis"""]),
    'R-CEL-1971475':Nto._make([date(2019,  3, 20), '...I...', 'B.', """A tetrasaccharide linker sequence is required for GAG synthesis"""]),
    'R-CFA-1971475':Nto._make([date(2019,  3, 20), '...I...', 'B.', """A tetrasaccharide linker sequence is required for GAG synthesis"""]),
    'R-DDI-1971475':Nto._make([date(2019,  3, 20), '...I...', 'B.', """A tetrasaccharide linker sequence is required for GAG synthesis"""]),
    'R-DME-1971475':Nto._make([date(2019,  3, 20), '...I...', 'B.', """A tetrasaccharide linker sequence is required for GAG synthesis"""]),
    'R-DRE-1971475':Nto._make([date(2019,  3, 20), '...I...', 'B.', """A tetrasaccharide linker sequence is required for GAG synthesis"""]),
    'R-GGA-1971475':Nto._make([date(2019,  3, 20), '...I...', 'B.', """A tetrasaccharide linker sequence is required for GAG synthesis"""]),
    'R-MMU-1971475':Nto._make([date(2019,  3, 20), '...I...', 'B.', """A tetrasaccharide linker sequence is required for GAG synthesis"""]),
    'R-RNO-1971475':Nto._make([date(2019,  3, 20), '...I...', 'B.', """A tetrasaccharide linker sequence is required for GAG synthesis"""]),
    'R-SSC-1971475':Nto._make([date(2019,  3, 20), '...I...', 'B.', """A tetrasaccharide linker sequence is required for GAG synthesis"""]),
    'R-XTR-1971475':Nto._make([date(2019,  3, 20), '...I...', 'B.', """A tetrasaccharide linker sequence is required for GAG synthesis"""]),
    'R-HSA-1980143':Nto._make([date(2012,  3, 13), '..F.P..', 'BC', """Signaling by NOTCH1"""]),
    'R-BTA-1980143':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by NOTCH1"""]),
    'R-DME-1980143':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by NOTCH1"""]),
    'R-DRE-1980143':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by NOTCH1"""]),
    'R-GGA-1980143':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by NOTCH1"""]),
    'R-MMU-1980143':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by NOTCH1"""]),
    'R-RNO-1980143':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by NOTCH1"""]),
    'R-SSC-1980143':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by NOTCH1"""]),
    'R-XTR-1980143':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by NOTCH1"""]),
    'R-HSA-1980145':Nto._make([date(2005,  6, 12), '..F.P..', 'BC', """Signaling by NOTCH2"""]),
    'R-GGA-1980145':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by NOTCH2"""]),
    'R-XTR-1980145':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by NOTCH2"""]),
    'R-HSA-1989781':Nto._make([date(2011, 12,  6), '....P..', '.C', """PPARA activates gene expression"""]),
    'R-HSA-2022090':Nto._make([date(2012, 12,  4), '..f.P..', '..', """Assembly of collagen fibrils and other multimeric structures"""]),
    'R-BTA-2022090':Nto._make([date(2019,  3, 20), '..fI...', '..', """Assembly of collagen fibrils and other multimeric structures"""]),
    'R-CEL-2022090':Nto._make([date(2019,  3, 20), '..fI...', '..', """Assembly of collagen fibrils and other multimeric structures"""]),
    'R-CFA-2022090':Nto._make([date(2019,  3, 20), '..fI...', '..', """Assembly of collagen fibrils and other multimeric structures"""]),
    'R-DDI-2022090':Nto._make([date(2019,  3, 20), '..fI...', '..', """Assembly of collagen fibrils and other multimeric structures"""]),
    'R-DME-2022090':Nto._make([date(2019,  3, 20), '..fI...', '..', """Assembly of collagen fibrils and other multimeric structures"""]),
    'R-DRE-2022090':Nto._make([date(2019,  3, 20), '..fI...', '..', """Assembly of collagen fibrils and other multimeric structures"""]),
    'R-GGA-2022090':Nto._make([date(2019,  3, 20), '..fI...', '..', """Assembly of collagen fibrils and other multimeric structures"""]),
    'R-MMU-2022090':Nto._make([date(2019,  3, 20), '..fI...', '..', """Assembly of collagen fibrils and other multimeric structures"""]),
    'R-PFA-2022090':Nto._make([date(2019,  3, 20), '..fI...', '..', """Assembly of collagen fibrils and other multimeric structures"""]),
    'R-RNO-2022090':Nto._make([date(2019,  3, 20), '..fI...', '..', """Assembly of collagen fibrils and other multimeric structures"""]),
    'R-SSC-2022090':Nto._make([date(2019,  3, 20), '..fI...', '..', """Assembly of collagen fibrils and other multimeric structures"""]),
    'R-XTR-2022090':Nto._make([date(2019,  3, 20), '..fI...', '..', """Assembly of collagen fibrils and other multimeric structures"""]),
    'R-HSA-2022377':Nto._make([date(2012,  9, 18), '..f.P..', 'BC', """Metabolism of Angiotensinogen to Angiotensins"""]),
    'R-BTA-2022377':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of Angiotensinogen to Angiotensins"""]),
    'R-CEL-2022377':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of Angiotensinogen to Angiotensins"""]),
    'R-CFA-2022377':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of Angiotensinogen to Angiotensins"""]),
    'R-DDI-2022377':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of Angiotensinogen to Angiotensins"""]),
    'R-DME-2022377':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of Angiotensinogen to Angiotensins"""]),
    'R-DRE-2022377':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of Angiotensinogen to Angiotensins"""]),
    'R-GGA-2022377':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of Angiotensinogen to Angiotensins"""]),
    'R-MMU-2022377':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of Angiotensinogen to Angiotensins"""]),
    'R-RNO-2022377':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of Angiotensinogen to Angiotensins"""]),
    'R-SSC-2022377':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of Angiotensinogen to Angiotensins"""]),
    'R-XTR-2022377':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Metabolism of Angiotensinogen to Angiotensins"""]),
    'R-HSA-2022854':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Keratan sulfate biosynthesis"""]),
    'R-BTA-2022854':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate biosynthesis"""]),
    'R-CEL-2022854':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate biosynthesis"""]),
    'R-CFA-2022854':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate biosynthesis"""]),
    'R-DME-2022854':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate biosynthesis"""]),
    'R-DRE-2022854':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate biosynthesis"""]),
    'R-GGA-2022854':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate biosynthesis"""]),
    'R-MMU-2022854':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate biosynthesis"""]),
    'R-RNO-2022854':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate biosynthesis"""]),
    'R-SSC-2022854':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate biosynthesis"""]),
    'R-XTR-2022854':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate biosynthesis"""]),
    'R-HSA-2022857':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Keratan sulfate degradation"""]),
    'R-BTA-2022857':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate degradation"""]),
    'R-CEL-2022857':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate degradation"""]),
    'R-CFA-2022857':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate degradation"""]),
    'R-DDI-2022857':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate degradation"""]),
    'R-DME-2022857':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate degradation"""]),
    'R-DRE-2022857':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate degradation"""]),
    'R-GGA-2022857':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate degradation"""]),
    'R-MMU-2022857':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate degradation"""]),
    'R-RNO-2022857':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate degradation"""]),
    'R-SSC-2022857':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate degradation"""]),
    'R-XTR-2022857':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Keratan sulfate degradation"""]),
    'R-HSA-2022870':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Chondroitin sulfate biosynthesis"""]),
    'R-BTA-2022870':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chondroitin sulfate biosynthesis"""]),
    'R-CFA-2022870':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chondroitin sulfate biosynthesis"""]),
    'R-DME-2022870':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chondroitin sulfate biosynthesis"""]),
    'R-DRE-2022870':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chondroitin sulfate biosynthesis"""]),
    'R-GGA-2022870':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chondroitin sulfate biosynthesis"""]),
    'R-MMU-2022870':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chondroitin sulfate biosynthesis"""]),
    'R-RNO-2022870':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chondroitin sulfate biosynthesis"""]),
    'R-SSC-2022870':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chondroitin sulfate biosynthesis"""]),
    'R-XTR-2022870':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chondroitin sulfate biosynthesis"""]),
    'R-HSA-2022923':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Dermatan sulfate biosynthesis"""]),
    'R-BTA-2022923':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Dermatan sulfate biosynthesis"""]),
    'R-CFA-2022923':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Dermatan sulfate biosynthesis"""]),
    'R-DME-2022923':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Dermatan sulfate biosynthesis"""]),
    'R-DRE-2022923':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Dermatan sulfate biosynthesis"""]),
    'R-GGA-2022923':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Dermatan sulfate biosynthesis"""]),
    'R-MMU-2022923':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Dermatan sulfate biosynthesis"""]),
    'R-RNO-2022923':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Dermatan sulfate biosynthesis"""]),
    'R-SSC-2022923':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Dermatan sulfate biosynthesis"""]),
    'R-XTR-2022923':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Dermatan sulfate biosynthesis"""]),
    'R-HSA-2022928':Nto._make([date(2012,  6, 12), '....P..', 'B.', """HS-GAG biosynthesis"""]),
    'R-BTA-2022928':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HS-GAG biosynthesis"""]),
    'R-CEL-2022928':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HS-GAG biosynthesis"""]),
    'R-CFA-2022928':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HS-GAG biosynthesis"""]),
    'R-DDI-2022928':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HS-GAG biosynthesis"""]),
    'R-DME-2022928':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HS-GAG biosynthesis"""]),
    'R-DRE-2022928':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HS-GAG biosynthesis"""]),
    'R-GGA-2022928':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HS-GAG biosynthesis"""]),
    'R-MMU-2022928':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HS-GAG biosynthesis"""]),
    'R-RNO-2022928':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HS-GAG biosynthesis"""]),
    'R-SSC-2022928':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HS-GAG biosynthesis"""]),
    'R-XTR-2022928':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HS-GAG biosynthesis"""]),
    'R-HSA-2023837':Nto._make([date(2012,  6, 12), '.D..P..', '.C', """Signaling by FGFR2 amplification mutants"""]),
    'R-HSA-2024096':Nto._make([date(2012,  6, 12), '....P..', 'B.', """HS-GAG degradation"""]),
    'R-BTA-2024096':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HS-GAG degradation"""]),
    'R-CEL-2024096':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HS-GAG degradation"""]),
    'R-CFA-2024096':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HS-GAG degradation"""]),
    'R-DDI-2024096':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HS-GAG degradation"""]),
    'R-DME-2024096':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HS-GAG degradation"""]),
    'R-DRE-2024096':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HS-GAG degradation"""]),
    'R-GGA-2024096':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HS-GAG degradation"""]),
    'R-MMU-2024096':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HS-GAG degradation"""]),
    'R-RNO-2024096':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HS-GAG degradation"""]),
    'R-SSC-2024096':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HS-GAG degradation"""]),
    'R-XTR-2024096':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HS-GAG degradation"""]),
    'R-HSA-2024101':Nto._make([date(2012,  6, 12), '....P..', 'B.', """CS/DS degradation"""]),
    'R-BTA-2024101':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CS/DS degradation"""]),
    'R-CEL-2024101':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CS/DS degradation"""]),
    'R-CFA-2024101':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CS/DS degradation"""]),
    'R-DDI-2024101':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CS/DS degradation"""]),
    'R-DME-2024101':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CS/DS degradation"""]),
    'R-DRE-2024101':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CS/DS degradation"""]),
    'R-GGA-2024101':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CS/DS degradation"""]),
    'R-MMU-2024101':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CS/DS degradation"""]),
    'R-RNO-2024101':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CS/DS degradation"""]),
    'R-SSC-2024101':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CS/DS degradation"""]),
    'R-XTR-2024101':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CS/DS degradation"""]),
    'R-HSA-2025928':Nto._make([date(2012,  3, 13), '....P..', '.C', """Calcineurin activates NFAT"""]),
    'R-BTA-2025928':Nto._make([date(2019,  3, 20), '...I...', '.C', """Calcineurin activates NFAT"""]),
    'R-DME-2025928':Nto._make([date(2019,  3, 20), '...I...', '.C', """Calcineurin activates NFAT"""]),
    'R-MMU-2025928':Nto._make([date(2019,  3, 20), '...I...', '.C', """Calcineurin activates NFAT"""]),
    'R-RNO-2025928':Nto._make([date(2019,  3, 20), '...I...', '.C', """Calcineurin activates NFAT"""]),
    'R-SSC-2025928':Nto._make([date(2019,  3, 20), '...I...', '.C', """Calcineurin activates NFAT"""]),
    'R-XTR-2025928':Nto._make([date(2019,  3, 20), '...I...', '.C', """Calcineurin activates NFAT"""]),
    'R-HSA-2028269':Nto._make([date(2012,  3, 13), '..F.P..', 'BC', """Signaling by Hippo"""]),
    'R-BTA-2028269':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Hippo"""]),
    'R-CEL-2028269':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Hippo"""]),
    'R-CFA-2028269':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Hippo"""]),
    'R-DDI-2028269':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Hippo"""]),
    'R-DME-2028269':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Hippo"""]),
    'R-DRE-2028269':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Hippo"""]),
    'R-GGA-2028269':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Hippo"""]),
    'R-MMU-2028269':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Hippo"""]),
    'R-RNO-2028269':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Hippo"""]),
    'R-SCE-2028269':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Hippo"""]),
    'R-SPO-2028269':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Hippo"""]),
    'R-SSC-2028269':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Hippo"""]),
    'R-XTR-2028269':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Signaling by Hippo"""]),
    'R-HSA-2029480':Nto._make([date(2013,  3, 12), '..f.P..', 'B.', """Fcgamma receptor (FCGR) dependent phagocytosis"""]),
    'R-BTA-2029480':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fcgamma receptor (FCGR) dependent phagocytosis"""]),
    'R-CEL-2029480':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fcgamma receptor (FCGR) dependent phagocytosis"""]),
    'R-CFA-2029480':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fcgamma receptor (FCGR) dependent phagocytosis"""]),
    'R-DDI-2029480':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fcgamma receptor (FCGR) dependent phagocytosis"""]),
    'R-DME-2029480':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fcgamma receptor (FCGR) dependent phagocytosis"""]),
    'R-DRE-2029480':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fcgamma receptor (FCGR) dependent phagocytosis"""]),
    'R-GGA-2029480':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fcgamma receptor (FCGR) dependent phagocytosis"""]),
    'R-MMU-2029480':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fcgamma receptor (FCGR) dependent phagocytosis"""]),
    'R-RNO-2029480':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fcgamma receptor (FCGR) dependent phagocytosis"""]),
    'R-SCE-2029480':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fcgamma receptor (FCGR) dependent phagocytosis"""]),
    'R-SPO-2029480':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fcgamma receptor (FCGR) dependent phagocytosis"""]),
    'R-SSC-2029480':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fcgamma receptor (FCGR) dependent phagocytosis"""]),
    'R-XTR-2029480':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fcgamma receptor (FCGR) dependent phagocytosis"""]),
    'R-HSA-2029481':Nto._make([date(2013,  3, 12), '....P..', '.C', """FCGR activation"""]),
    'R-CFA-2029481':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCGR activation"""]),
    'R-DRE-2029481':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCGR activation"""]),
    'R-MMU-2029481':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCGR activation"""]),
    'R-RNO-2029481':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCGR activation"""]),
    'R-SSC-2029481':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCGR activation"""]),
    'R-XTR-2029481':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCGR activation"""]),
    'R-HSA-2029482':Nto._make([date(2013,  3, 12), '....P..', '.C', """Regulation of actin dynamics for phagocytic cup formation"""]),
    'R-BTA-2029482':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of actin dynamics for phagocytic cup formation"""]),
    'R-CEL-2029482':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of actin dynamics for phagocytic cup formation"""]),
    'R-CFA-2029482':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of actin dynamics for phagocytic cup formation"""]),
    'R-DDI-2029482':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of actin dynamics for phagocytic cup formation"""]),
    'R-DME-2029482':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of actin dynamics for phagocytic cup formation"""]),
    'R-DRE-2029482':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of actin dynamics for phagocytic cup formation"""]),
    'R-GGA-2029482':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of actin dynamics for phagocytic cup formation"""]),
    'R-MMU-2029482':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of actin dynamics for phagocytic cup formation"""]),
    'R-RNO-2029482':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of actin dynamics for phagocytic cup formation"""]),
    'R-SCE-2029482':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of actin dynamics for phagocytic cup formation"""]),
    'R-SPO-2029482':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of actin dynamics for phagocytic cup formation"""]),
    'R-SSC-2029482':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of actin dynamics for phagocytic cup formation"""]),
    'R-XTR-2029482':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of actin dynamics for phagocytic cup formation"""]),
    'R-HSA-2029485':Nto._make([date(2013,  3, 12), '....PB.', '.C', """Role of phospholipids in phagocytosis"""]),
    'R-BTA-2029485':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of phospholipids in phagocytosis"""]),
    'R-CEL-2029485':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of phospholipids in phagocytosis"""]),
    'R-CFA-2029485':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of phospholipids in phagocytosis"""]),
    'R-DDI-2029485':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of phospholipids in phagocytosis"""]),
    'R-DME-2029485':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of phospholipids in phagocytosis"""]),
    'R-DRE-2029485':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of phospholipids in phagocytosis"""]),
    'R-GGA-2029485':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of phospholipids in phagocytosis"""]),
    'R-MMU-2029485':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of phospholipids in phagocytosis"""]),
    'R-RNO-2029485':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of phospholipids in phagocytosis"""]),
    'R-SCE-2029485':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of phospholipids in phagocytosis"""]),
    'R-SPO-2029485':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of phospholipids in phagocytosis"""]),
    'R-SSC-2029485':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of phospholipids in phagocytosis"""]),
    'R-XTR-2029485':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of phospholipids in phagocytosis"""]),
    'R-HSA-2032785':Nto._make([date(2012,  3, 13), '..f.P..', 'BC', """YAP1- and WWTR1 (TAZ)-stimulated gene expression"""]),
    'R-BTA-2032785':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """YAP1- and WWTR1 (TAZ)-stimulated gene expression"""]),
    'R-CEL-2032785':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """YAP1- and WWTR1 (TAZ)-stimulated gene expression"""]),
    'R-CFA-2032785':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """YAP1- and WWTR1 (TAZ)-stimulated gene expression"""]),
    'R-DME-2032785':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """YAP1- and WWTR1 (TAZ)-stimulated gene expression"""]),
    'R-DRE-2032785':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """YAP1- and WWTR1 (TAZ)-stimulated gene expression"""]),
    'R-GGA-2032785':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """YAP1- and WWTR1 (TAZ)-stimulated gene expression"""]),
    'R-MMU-2032785':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """YAP1- and WWTR1 (TAZ)-stimulated gene expression"""]),
    'R-RNO-2032785':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """YAP1- and WWTR1 (TAZ)-stimulated gene expression"""]),
    'R-SSC-2032785':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """YAP1- and WWTR1 (TAZ)-stimulated gene expression"""]),
    'R-XTR-2032785':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """YAP1- and WWTR1 (TAZ)-stimulated gene expression"""]),
    'R-HSA-2033514':Nto._make([date(2012,  6, 12), '.D..P..', '.C', """FGFR3 mutant receptor activation"""]),
    'R-HSA-2033515':Nto._make([date(2012,  6, 12), '.D..P..', '.C', """t(4;14) translocations of FGFR3"""]),
    'R-HSA-2033519':Nto._make([date(2012,  6, 12), '.D..P..', '.C', """Activated point mutants of FGFR2"""]),
    'R-HSA-2046104':Nto._make([date(2012,  6, 12), '..f.P..', 'BC', """alpha-linolenic (omega3) and linoleic (omega6) acid metabolism"""]),
    'R-BTA-2046104':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """alpha-linolenic (omega3) and linoleic (omega6) acid metabolism"""]),
    'R-CEL-2046104':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """alpha-linolenic (omega3) and linoleic (omega6) acid metabolism"""]),
    'R-CFA-2046104':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """alpha-linolenic (omega3) and linoleic (omega6) acid metabolism"""]),
    'R-DDI-2046104':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """alpha-linolenic (omega3) and linoleic (omega6) acid metabolism"""]),
    'R-DME-2046104':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """alpha-linolenic (omega3) and linoleic (omega6) acid metabolism"""]),
    'R-DRE-2046104':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """alpha-linolenic (omega3) and linoleic (omega6) acid metabolism"""]),
    'R-GGA-2046104':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """alpha-linolenic (omega3) and linoleic (omega6) acid metabolism"""]),
    'R-MMU-2046104':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """alpha-linolenic (omega3) and linoleic (omega6) acid metabolism"""]),
    'R-PFA-2046104':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """alpha-linolenic (omega3) and linoleic (omega6) acid metabolism"""]),
    'R-RNO-2046104':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """alpha-linolenic (omega3) and linoleic (omega6) acid metabolism"""]),
    'R-SCE-2046104':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """alpha-linolenic (omega3) and linoleic (omega6) acid metabolism"""]),
    'R-SSC-2046104':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """alpha-linolenic (omega3) and linoleic (omega6) acid metabolism"""]),
    'R-XTR-2046104':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """alpha-linolenic (omega3) and linoleic (omega6) acid metabolism"""]),
    'R-HSA-2046105':Nto._make([date(2012,  6, 12), '....P..', 'BC', """Linoleic acid (LA) metabolism"""]),
    'R-BTA-2046105':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Linoleic acid (LA) metabolism"""]),
    'R-CEL-2046105':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Linoleic acid (LA) metabolism"""]),
    'R-CFA-2046105':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Linoleic acid (LA) metabolism"""]),
    'R-DDI-2046105':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Linoleic acid (LA) metabolism"""]),
    'R-DME-2046105':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Linoleic acid (LA) metabolism"""]),
    'R-DRE-2046105':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Linoleic acid (LA) metabolism"""]),
    'R-GGA-2046105':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Linoleic acid (LA) metabolism"""]),
    'R-MMU-2046105':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Linoleic acid (LA) metabolism"""]),
    'R-PFA-2046105':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Linoleic acid (LA) metabolism"""]),
    'R-RNO-2046105':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Linoleic acid (LA) metabolism"""]),
    'R-SCE-2046105':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Linoleic acid (LA) metabolism"""]),
    'R-SSC-2046105':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Linoleic acid (LA) metabolism"""]),
    'R-XTR-2046105':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Linoleic acid (LA) metabolism"""]),
    'R-HSA-2046106':Nto._make([date(2012,  6, 12), '....P..', 'BC', """alpha-linolenic acid (ALA) metabolism"""]),
    'R-BTA-2046106':Nto._make([date(2019,  3, 20), '...I...', 'BC', """alpha-linolenic acid (ALA) metabolism"""]),
    'R-CEL-2046106':Nto._make([date(2019,  3, 20), '...I...', 'BC', """alpha-linolenic acid (ALA) metabolism"""]),
    'R-CFA-2046106':Nto._make([date(2019,  3, 20), '...I...', 'BC', """alpha-linolenic acid (ALA) metabolism"""]),
    'R-DDI-2046106':Nto._make([date(2019,  3, 20), '...I...', 'BC', """alpha-linolenic acid (ALA) metabolism"""]),
    'R-DME-2046106':Nto._make([date(2019,  3, 20), '...I...', 'BC', """alpha-linolenic acid (ALA) metabolism"""]),
    'R-DRE-2046106':Nto._make([date(2019,  3, 20), '...I...', 'BC', """alpha-linolenic acid (ALA) metabolism"""]),
    'R-GGA-2046106':Nto._make([date(2019,  3, 20), '...I...', 'BC', """alpha-linolenic acid (ALA) metabolism"""]),
    'R-MMU-2046106':Nto._make([date(2019,  3, 20), '...I...', 'BC', """alpha-linolenic acid (ALA) metabolism"""]),
    'R-PFA-2046106':Nto._make([date(2019,  3, 20), '...I...', 'BC', """alpha-linolenic acid (ALA) metabolism"""]),
    'R-RNO-2046106':Nto._make([date(2019,  3, 20), '...I...', 'BC', """alpha-linolenic acid (ALA) metabolism"""]),
    'R-SCE-2046106':Nto._make([date(2019,  3, 20), '...I...', 'BC', """alpha-linolenic acid (ALA) metabolism"""]),
    'R-SSC-2046106':Nto._make([date(2019,  3, 20), '...I...', 'BC', """alpha-linolenic acid (ALA) metabolism"""]),
    'R-XTR-2046106':Nto._make([date(2019,  3, 20), '...I...', 'BC', """alpha-linolenic acid (ALA) metabolism"""]),
    'R-HSA-2122947':Nto._make([date(2012,  3, 13), '....P..', '.C', """NOTCH1 Intracellular Domain Regulates Transcription"""]),
    'R-GGA-2122947':Nto._make([date(2019,  3, 20), '...I...', '.C', """NOTCH1 Intracellular Domain Regulates Transcription"""]),
    'R-MMU-2122947':Nto._make([date(2019,  3, 20), '...I...', '.C', """NOTCH1 Intracellular Domain Regulates Transcription"""]),
    'R-XTR-2122947':Nto._make([date(2019,  3, 20), '...I...', '.C', """NOTCH1 Intracellular Domain Regulates Transcription"""]),
    'R-HSA-2122948':Nto._make([date(2012,  3, 13), '....P..', '.C', """Activated NOTCH1 Transmits Signal to the Nucleus"""]),
    'R-BTA-2122948':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activated NOTCH1 Transmits Signal to the Nucleus"""]),
    'R-DME-2122948':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activated NOTCH1 Transmits Signal to the Nucleus"""]),
    'R-DRE-2122948':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activated NOTCH1 Transmits Signal to the Nucleus"""]),
    'R-GGA-2122948':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activated NOTCH1 Transmits Signal to the Nucleus"""]),
    'R-MMU-2122948':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activated NOTCH1 Transmits Signal to the Nucleus"""]),
    'R-RNO-2122948':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activated NOTCH1 Transmits Signal to the Nucleus"""]),
    'R-SSC-2122948':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activated NOTCH1 Transmits Signal to the Nucleus"""]),
    'R-XTR-2122948':Nto._make([date(2019,  3, 20), '...I...', '.C', """Activated NOTCH1 Transmits Signal to the Nucleus"""]),
    'R-HSA-2129379':Nto._make([date(2012, 12,  4), '....P..', '..', """Molecules associated with elastic fibres"""]),
    'R-BTA-2129379':Nto._make([date(2019,  3, 20), '...I...', '..', """Molecules associated with elastic fibres"""]),
    'R-CEL-2129379':Nto._make([date(2019,  3, 20), '...I...', '..', """Molecules associated with elastic fibres"""]),
    'R-CFA-2129379':Nto._make([date(2019,  3, 20), '...I...', '..', """Molecules associated with elastic fibres"""]),
    'R-DDI-2129379':Nto._make([date(2019,  3, 20), '...I...', '..', """Molecules associated with elastic fibres"""]),
    'R-DME-2129379':Nto._make([date(2019,  3, 20), '...I...', '..', """Molecules associated with elastic fibres"""]),
    'R-DRE-2129379':Nto._make([date(2019,  3, 20), '...I...', '..', """Molecules associated with elastic fibres"""]),
    'R-GGA-2129379':Nto._make([date(2019,  3, 20), '...I...', '..', """Molecules associated with elastic fibres"""]),
    'R-MMU-2129379':Nto._make([date(2019,  3, 20), '...I...', '..', """Molecules associated with elastic fibres"""]),
    'R-RNO-2129379':Nto._make([date(2019,  3, 20), '...I...', '..', """Molecules associated with elastic fibres"""]),
    'R-SSC-2129379':Nto._make([date(2019,  3, 20), '...I...', '..', """Molecules associated with elastic fibres"""]),
    'R-XTR-2129379':Nto._make([date(2019,  3, 20), '...I...', '..', """Molecules associated with elastic fibres"""]),
    'R-GGA-2132263':Nto._make([date(2014,  3, 12), '....P..', 'B.', """Creation of classical C3 convertase"""]),
    'R-GGA-2132267':Nto._make([date(2014,  3, 12), '....P..', '..', """Formation of membrane attack complex (MAC)"""]),
    'R-GGA-2132270':Nto._make([date(2014,  3, 12), '....PB.', 'B.', """Lectin-mediated initiation of complement cascade"""]),
    'R-GGA-2132273':Nto._make([date(2014,  3, 12), '....P..', '..', """Formation of membrane-bound convertase C3"""]),
    'R-GGA-2132281':Nto._make([date(2014,  3, 12), '....P..', 'B.', """Regulation of complement cascades"""]),
    'R-GGA-2132285':Nto._make([date(2014,  3, 12), '..f.PB.', 'B.', """Complement Cascade"""]),
    'R-GGA-2132286':Nto._make([date(2014,  3, 12), '...I.B.', 'B.', """Classical antibody-mediated complement activation"""]),
    'R-GGA-2132287':Nto._make([date(2014,  3, 12), '....P..', 'B.', """Creation of alternative pathway C3 convertase """]),
    'R-GGA-2132293':Nto._make([date(2014,  3, 12), '....P..', '..', """Formation of fluid-phase convertase C3"""]),
    'R-HSA-2132295':Nto._make([date(2012,  6, 12), '..f.P..', 'B.', """MHC class II antigen presentation"""]),
    'R-BTA-2132295':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MHC class II antigen presentation"""]),
    'R-CEL-2132295':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MHC class II antigen presentation"""]),
    'R-CFA-2132295':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MHC class II antigen presentation"""]),
    'R-DDI-2132295':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MHC class II antigen presentation"""]),
    'R-DME-2132295':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MHC class II antigen presentation"""]),
    'R-DRE-2132295':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MHC class II antigen presentation"""]),
    'R-GGA-2132295':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MHC class II antigen presentation"""]),
    'R-MMU-2132295':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MHC class II antigen presentation"""]),
    'R-PFA-2132295':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MHC class II antigen presentation"""]),
    'R-RNO-2132295':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MHC class II antigen presentation"""]),
    'R-SCE-2132295':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MHC class II antigen presentation"""]),
    'R-SSC-2132295':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MHC class II antigen presentation"""]),
    'R-XTR-2132295':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """MHC class II antigen presentation"""]),
    'R-HSA-2142670':Nto._make([date(2012, 12,  4), '....PB.', 'B.', """Synthesis of epoxy (EET) and dihydroxyeicosatrienoic acids (DHET)"""]),
    'R-BTA-2142670':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of epoxy (EET) and dihydroxyeicosatrienoic acids (DHET)"""]),
    'R-CFA-2142670':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of epoxy (EET) and dihydroxyeicosatrienoic acids (DHET)"""]),
    'R-DDI-2142670':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of epoxy (EET) and dihydroxyeicosatrienoic acids (DHET)"""]),
    'R-DRE-2142670':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of epoxy (EET) and dihydroxyeicosatrienoic acids (DHET)"""]),
    'R-GGA-2142670':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of epoxy (EET) and dihydroxyeicosatrienoic acids (DHET)"""]),
    'R-MMU-2142670':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of epoxy (EET) and dihydroxyeicosatrienoic acids (DHET)"""]),
    'R-PFA-2142670':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of epoxy (EET) and dihydroxyeicosatrienoic acids (DHET)"""]),
    'R-RNO-2142670':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of epoxy (EET) and dihydroxyeicosatrienoic acids (DHET)"""]),
    'R-SSC-2142670':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of epoxy (EET) and dihydroxyeicosatrienoic acids (DHET)"""]),
    'R-XTR-2142670':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of epoxy (EET) and dihydroxyeicosatrienoic acids (DHET)"""]),
    'R-HSA-2142688':Nto._make([date(2012, 12,  4), '....PB.', 'B.', """Synthesis of 5-eicosatetraenoic acids"""]),
    'R-BTA-2142688':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 5-eicosatetraenoic acids"""]),
    'R-CEL-2142688':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 5-eicosatetraenoic acids"""]),
    'R-CFA-2142688':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 5-eicosatetraenoic acids"""]),
    'R-DDI-2142688':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 5-eicosatetraenoic acids"""]),
    'R-DRE-2142688':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 5-eicosatetraenoic acids"""]),
    'R-GGA-2142688':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 5-eicosatetraenoic acids"""]),
    'R-MMU-2142688':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 5-eicosatetraenoic acids"""]),
    'R-RNO-2142688':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 5-eicosatetraenoic acids"""]),
    'R-SSC-2142688':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 5-eicosatetraenoic acids"""]),
    'R-XTR-2142688':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 5-eicosatetraenoic acids"""]),
    'R-HSA-2142691':Nto._make([date(2012, 12,  4), '....PB.', 'B.', """Synthesis of Leukotrienes (LT) and Eoxins (EX)"""]),
    'R-BTA-2142691':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Leukotrienes (LT) and Eoxins (EX)"""]),
    'R-CEL-2142691':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Leukotrienes (LT) and Eoxins (EX)"""]),
    'R-CFA-2142691':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Leukotrienes (LT) and Eoxins (EX)"""]),
    'R-DDI-2142691':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Leukotrienes (LT) and Eoxins (EX)"""]),
    'R-DME-2142691':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Leukotrienes (LT) and Eoxins (EX)"""]),
    'R-DRE-2142691':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Leukotrienes (LT) and Eoxins (EX)"""]),
    'R-GGA-2142691':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Leukotrienes (LT) and Eoxins (EX)"""]),
    'R-MMU-2142691':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Leukotrienes (LT) and Eoxins (EX)"""]),
    'R-RNO-2142691':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Leukotrienes (LT) and Eoxins (EX)"""]),
    'R-SCE-2142691':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Leukotrienes (LT) and Eoxins (EX)"""]),
    'R-SPO-2142691':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Leukotrienes (LT) and Eoxins (EX)"""]),
    'R-SSC-2142691':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Leukotrienes (LT) and Eoxins (EX)"""]),
    'R-XTR-2142691':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Leukotrienes (LT) and Eoxins (EX)"""]),
    'R-HSA-2142696':Nto._make([date(2012, 12,  4), '....PB.', 'B.', """Synthesis of Hepoxilins (HX) and Trioxilins (TrX)"""]),
    'R-BTA-2142696':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Hepoxilins (HX) and Trioxilins (TrX)"""]),
    'R-CFA-2142696':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Hepoxilins (HX) and Trioxilins (TrX)"""]),
    'R-DDI-2142696':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Hepoxilins (HX) and Trioxilins (TrX)"""]),
    'R-DRE-2142696':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Hepoxilins (HX) and Trioxilins (TrX)"""]),
    'R-MMU-2142696':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Hepoxilins (HX) and Trioxilins (TrX)"""]),
    'R-RNO-2142696':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Hepoxilins (HX) and Trioxilins (TrX)"""]),
    'R-HSA-2142700':Nto._make([date(2012, 12,  4), '..f.PB.', 'B.', """Synthesis of Lipoxins (LX)"""]),
    'R-BTA-2142700':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Synthesis of Lipoxins (LX)"""]),
    'R-CFA-2142700':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Synthesis of Lipoxins (LX)"""]),
    'R-DDI-2142700':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Synthesis of Lipoxins (LX)"""]),
    'R-DME-2142700':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Synthesis of Lipoxins (LX)"""]),
    'R-DRE-2142700':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Synthesis of Lipoxins (LX)"""]),
    'R-GGA-2142700':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Synthesis of Lipoxins (LX)"""]),
    'R-MMU-2142700':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Synthesis of Lipoxins (LX)"""]),
    'R-RNO-2142700':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Synthesis of Lipoxins (LX)"""]),
    'R-SSC-2142700':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Synthesis of Lipoxins (LX)"""]),
    'R-XTR-2142700':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Synthesis of Lipoxins (LX)"""]),
    'R-HSA-2142712':Nto._make([date(2012, 12,  4), '....PB.', 'B.', """Synthesis of 12-eicosatetraenoic acid derivatives"""]),
    'R-BTA-2142712':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 12-eicosatetraenoic acid derivatives"""]),
    'R-CEL-2142712':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 12-eicosatetraenoic acid derivatives"""]),
    'R-CFA-2142712':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 12-eicosatetraenoic acid derivatives"""]),
    'R-DDI-2142712':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 12-eicosatetraenoic acid derivatives"""]),
    'R-DRE-2142712':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 12-eicosatetraenoic acid derivatives"""]),
    'R-GGA-2142712':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 12-eicosatetraenoic acid derivatives"""]),
    'R-MMU-2142712':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 12-eicosatetraenoic acid derivatives"""]),
    'R-PFA-2142712':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 12-eicosatetraenoic acid derivatives"""]),
    'R-RNO-2142712':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 12-eicosatetraenoic acid derivatives"""]),
    'R-SSC-2142712':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 12-eicosatetraenoic acid derivatives"""]),
    'R-XTR-2142712':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 12-eicosatetraenoic acid derivatives"""]),
    'R-HSA-2142753':Nto._make([date(2012, 12,  4), '..f.PB.', 'B.', """Arachidonic acid metabolism"""]),
    'R-BTA-2142753':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Arachidonic acid metabolism"""]),
    'R-CEL-2142753':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Arachidonic acid metabolism"""]),
    'R-CFA-2142753':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Arachidonic acid metabolism"""]),
    'R-DDI-2142753':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Arachidonic acid metabolism"""]),
    'R-DME-2142753':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Arachidonic acid metabolism"""]),
    'R-DRE-2142753':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Arachidonic acid metabolism"""]),
    'R-GGA-2142753':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Arachidonic acid metabolism"""]),
    'R-MMU-2142753':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Arachidonic acid metabolism"""]),
    'R-PFA-2142753':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Arachidonic acid metabolism"""]),
    'R-RNO-2142753':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Arachidonic acid metabolism"""]),
    'R-SCE-2142753':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Arachidonic acid metabolism"""]),
    'R-SPO-2142753':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Arachidonic acid metabolism"""]),
    'R-SSC-2142753':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Arachidonic acid metabolism"""]),
    'R-XTR-2142753':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Arachidonic acid metabolism"""]),
    'R-HSA-2142770':Nto._make([date(2012, 12,  4), '....PB.', 'B.', """Synthesis of 15-eicosatetraenoic acid derivatives"""]),
    'R-BTA-2142770':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 15-eicosatetraenoic acid derivatives"""]),
    'R-CEL-2142770':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 15-eicosatetraenoic acid derivatives"""]),
    'R-CFA-2142770':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 15-eicosatetraenoic acid derivatives"""]),
    'R-DDI-2142770':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 15-eicosatetraenoic acid derivatives"""]),
    'R-DRE-2142770':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 15-eicosatetraenoic acid derivatives"""]),
    'R-GGA-2142770':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 15-eicosatetraenoic acid derivatives"""]),
    'R-MMU-2142770':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 15-eicosatetraenoic acid derivatives"""]),
    'R-RNO-2142770':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 15-eicosatetraenoic acid derivatives"""]),
    'R-SSC-2142770':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 15-eicosatetraenoic acid derivatives"""]),
    'R-XTR-2142770':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of 15-eicosatetraenoic acid derivatives"""]),
    'R-HSA-2142789':Nto._make([date(2013,  3, 12), '..f.PB.', 'B.', """Ubiquinol biosynthesis"""]),
    'R-BTA-2142789':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ubiquinol biosynthesis"""]),
    'R-CEL-2142789':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ubiquinol biosynthesis"""]),
    'R-CFA-2142789':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ubiquinol biosynthesis"""]),
    'R-DDI-2142789':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ubiquinol biosynthesis"""]),
    'R-DME-2142789':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ubiquinol biosynthesis"""]),
    'R-DRE-2142789':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ubiquinol biosynthesis"""]),
    'R-GGA-2142789':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ubiquinol biosynthesis"""]),
    'R-MMU-2142789':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ubiquinol biosynthesis"""]),
    'R-PFA-2142789':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ubiquinol biosynthesis"""]),
    'R-RNO-2142789':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ubiquinol biosynthesis"""]),
    'R-SCE-2142789':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ubiquinol biosynthesis"""]),
    'R-SPO-2142789':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ubiquinol biosynthesis"""]),
    'R-SSC-2142789':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ubiquinol biosynthesis"""]),
    'R-XTR-2142789':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Ubiquinol biosynthesis"""]),
    'R-HSA-2142816':Nto._make([date(2012, 12,  4), '....PB.', 'B.', """Synthesis of (16-20)-hydroxyeicosatetraenoic acids (HETE)"""]),
    'R-BTA-2142816':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of (16-20)-hydroxyeicosatetraenoic acids (HETE)"""]),
    'R-CFA-2142816':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of (16-20)-hydroxyeicosatetraenoic acids (HETE)"""]),
    'R-DDI-2142816':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of (16-20)-hydroxyeicosatetraenoic acids (HETE)"""]),
    'R-DRE-2142816':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of (16-20)-hydroxyeicosatetraenoic acids (HETE)"""]),
    'R-GGA-2142816':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of (16-20)-hydroxyeicosatetraenoic acids (HETE)"""]),
    'R-MMU-2142816':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of (16-20)-hydroxyeicosatetraenoic acids (HETE)"""]),
    'R-RNO-2142816':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of (16-20)-hydroxyeicosatetraenoic acids (HETE)"""]),
    'R-SSC-2142816':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of (16-20)-hydroxyeicosatetraenoic acids (HETE)"""]),
    'R-XTR-2142816':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of (16-20)-hydroxyeicosatetraenoic acids (HETE)"""]),
    'R-HSA-2142845':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Hyaluronan metabolism"""]),
    'R-BTA-2142845':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan metabolism"""]),
    'R-CEL-2142845':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan metabolism"""]),
    'R-CFA-2142845':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan metabolism"""]),
    'R-DDI-2142845':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan metabolism"""]),
    'R-DME-2142845':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan metabolism"""]),
    'R-DRE-2142845':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan metabolism"""]),
    'R-GGA-2142845':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan metabolism"""]),
    'R-MMU-2142845':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan metabolism"""]),
    'R-RNO-2142845':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan metabolism"""]),
    'R-SSC-2142845':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan metabolism"""]),
    'R-XTR-2142845':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan metabolism"""]),
    'R-HSA-2142850':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Hyaluronan biosynthesis and export"""]),
    'R-BTA-2142850':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan biosynthesis and export"""]),
    'R-CEL-2142850':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan biosynthesis and export"""]),
    'R-CFA-2142850':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan biosynthesis and export"""]),
    'R-DDI-2142850':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan biosynthesis and export"""]),
    'R-DRE-2142850':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan biosynthesis and export"""]),
    'R-GGA-2142850':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan biosynthesis and export"""]),
    'R-MMU-2142850':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan biosynthesis and export"""]),
    'R-RNO-2142850':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan biosynthesis and export"""]),
    'R-SSC-2142850':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan biosynthesis and export"""]),
    'R-XTR-2142850':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan biosynthesis and export"""]),
    'R-HSA-2151201':Nto._make([date(2014,  3, 12), '....P..', '.C', """Transcriptional activation of mitochondrial biogenesis"""]),
    'R-BTA-2151201':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transcriptional activation of mitochondrial biogenesis"""]),
    'R-CEL-2151201':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transcriptional activation of mitochondrial biogenesis"""]),
    'R-CFA-2151201':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transcriptional activation of mitochondrial biogenesis"""]),
    'R-DDI-2151201':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transcriptional activation of mitochondrial biogenesis"""]),
    'R-DME-2151201':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transcriptional activation of mitochondrial biogenesis"""]),
    'R-DRE-2151201':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transcriptional activation of mitochondrial biogenesis"""]),
    'R-GGA-2151201':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transcriptional activation of mitochondrial biogenesis"""]),
    'R-MMU-2151201':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transcriptional activation of mitochondrial biogenesis"""]),
    'R-RNO-2151201':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transcriptional activation of mitochondrial biogenesis"""]),
    'R-SCE-2151201':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transcriptional activation of mitochondrial biogenesis"""]),
    'R-SPO-2151201':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transcriptional activation of mitochondrial biogenesis"""]),
    'R-SSC-2151201':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transcriptional activation of mitochondrial biogenesis"""]),
    'R-XTR-2151201':Nto._make([date(2019,  3, 20), '...I...', '.C', """Transcriptional activation of mitochondrial biogenesis"""]),
    'R-HSA-2151209':Nto._make([date(2014,  3, 12), '....P..', '.C', """Activation of PPARGC1A (PGC-1alpha) by phosphorylation"""]),
    'R-HSA-2160456':Nto._make([date(2012,  6, 12), '.Df.P..', '..', """Phenylketonuria"""]),
    'R-HSA-2160916':Nto._make([date(2012,  6, 12), '....PB.', 'B.', """Hyaluronan uptake and degradation"""]),
    'R-BTA-2160916':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan uptake and degradation"""]),
    'R-CEL-2160916':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan uptake and degradation"""]),
    'R-CFA-2160916':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan uptake and degradation"""]),
    'R-DDI-2160916':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan uptake and degradation"""]),
    'R-DME-2160916':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan uptake and degradation"""]),
    'R-DRE-2160916':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan uptake and degradation"""]),
    'R-GGA-2160916':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan uptake and degradation"""]),
    'R-MMU-2160916':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan uptake and degradation"""]),
    'R-RNO-2160916':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan uptake and degradation"""]),
    'R-SSC-2160916':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan uptake and degradation"""]),
    'R-XTR-2160916':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Hyaluronan uptake and degradation"""]),
    'R-HSA-2161517':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Abacavir transmembrane transport"""]),
    'R-BTA-2161517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir transmembrane transport"""]),
    'R-CEL-2161517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir transmembrane transport"""]),
    'R-CFA-2161517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir transmembrane transport"""]),
    'R-DME-2161517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir transmembrane transport"""]),
    'R-DRE-2161517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir transmembrane transport"""]),
    'R-GGA-2161517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir transmembrane transport"""]),
    'R-MMU-2161517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir transmembrane transport"""]),
    'R-PFA-2161517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir transmembrane transport"""]),
    'R-RNO-2161517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir transmembrane transport"""]),
    'R-SSC-2161517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir transmembrane transport"""]),
    'R-XTR-2161517':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir transmembrane transport"""]),
    'R-HSA-2161522':Nto._make([date(2012,  6, 12), '..f.P..', '..', """Abacavir transport and metabolism"""]),
    'R-BTA-2161522':Nto._make([date(2019,  3, 20), '..fI...', '..', """Abacavir transport and metabolism"""]),
    'R-CEL-2161522':Nto._make([date(2019,  3, 20), '..fI...', '..', """Abacavir transport and metabolism"""]),
    'R-CFA-2161522':Nto._make([date(2019,  3, 20), '..fI...', '..', """Abacavir transport and metabolism"""]),
    'R-DDI-2161522':Nto._make([date(2019,  3, 20), '..fI...', '..', """Abacavir transport and metabolism"""]),
    'R-DME-2161522':Nto._make([date(2019,  3, 20), '..fI...', '..', """Abacavir transport and metabolism"""]),
    'R-DRE-2161522':Nto._make([date(2019,  3, 20), '..fI...', '..', """Abacavir transport and metabolism"""]),
    'R-GGA-2161522':Nto._make([date(2019,  3, 20), '..fI...', '..', """Abacavir transport and metabolism"""]),
    'R-MMU-2161522':Nto._make([date(2019,  3, 20), '..fI...', '..', """Abacavir transport and metabolism"""]),
    'R-PFA-2161522':Nto._make([date(2019,  3, 20), '..fI...', '..', """Abacavir transport and metabolism"""]),
    'R-RNO-2161522':Nto._make([date(2019,  3, 20), '..fI...', '..', """Abacavir transport and metabolism"""]),
    'R-SCE-2161522':Nto._make([date(2019,  3, 20), '..fI...', '..', """Abacavir transport and metabolism"""]),
    'R-SPO-2161522':Nto._make([date(2019,  3, 20), '..fI...', '..', """Abacavir transport and metabolism"""]),
    'R-SSC-2161522':Nto._make([date(2019,  3, 20), '..fI...', '..', """Abacavir transport and metabolism"""]),
    'R-XTR-2161522':Nto._make([date(2019,  3, 20), '..fI...', '..', """Abacavir transport and metabolism"""]),
    'R-HSA-2161541':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Abacavir metabolism"""]),
    'R-BTA-2161541':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir metabolism"""]),
    'R-CEL-2161541':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir metabolism"""]),
    'R-CFA-2161541':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir metabolism"""]),
    'R-DDI-2161541':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir metabolism"""]),
    'R-DME-2161541':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir metabolism"""]),
    'R-DRE-2161541':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir metabolism"""]),
    'R-GGA-2161541':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir metabolism"""]),
    'R-MMU-2161541':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir metabolism"""]),
    'R-RNO-2161541':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir metabolism"""]),
    'R-SCE-2161541':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir metabolism"""]),
    'R-SPO-2161541':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir metabolism"""]),
    'R-SSC-2161541':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir metabolism"""]),
    'R-XTR-2161541':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Abacavir metabolism"""]),
    'R-HSA-2162123':Nto._make([date(2012, 12,  4), '....PB.', 'B.', """Synthesis of Prostaglandins (PG) and Thromboxanes (TX)"""]),
    'R-BTA-2162123':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Prostaglandins (PG) and Thromboxanes (TX)"""]),
    'R-CEL-2162123':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Prostaglandins (PG) and Thromboxanes (TX)"""]),
    'R-CFA-2162123':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Prostaglandins (PG) and Thromboxanes (TX)"""]),
    'R-DDI-2162123':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Prostaglandins (PG) and Thromboxanes (TX)"""]),
    'R-DME-2162123':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Prostaglandins (PG) and Thromboxanes (TX)"""]),
    'R-DRE-2162123':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Prostaglandins (PG) and Thromboxanes (TX)"""]),
    'R-GGA-2162123':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Prostaglandins (PG) and Thromboxanes (TX)"""]),
    'R-MMU-2162123':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Prostaglandins (PG) and Thromboxanes (TX)"""]),
    'R-PFA-2162123':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Prostaglandins (PG) and Thromboxanes (TX)"""]),
    'R-RNO-2162123':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Prostaglandins (PG) and Thromboxanes (TX)"""]),
    'R-SCE-2162123':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Prostaglandins (PG) and Thromboxanes (TX)"""]),
    'R-SPO-2162123':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Prostaglandins (PG) and Thromboxanes (TX)"""]),
    'R-SSC-2162123':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Prostaglandins (PG) and Thromboxanes (TX)"""]),
    'R-XTR-2162123':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of Prostaglandins (PG) and Thromboxanes (TX)"""]),
    'R-HSA-2168880':Nto._make([date(2013,  3, 12), '....PB.', '.C', """Scavenging of heme from plasma"""]),
    'R-BTA-2168880':Nto._make([date(2019,  3, 20), '...I...', '.C', """Scavenging of heme from plasma"""]),
    'R-CEL-2168880':Nto._make([date(2019,  3, 20), '...I...', '.C', """Scavenging of heme from plasma"""]),
    'R-CFA-2168880':Nto._make([date(2019,  3, 20), '...I...', '.C', """Scavenging of heme from plasma"""]),
    'R-DME-2168880':Nto._make([date(2019,  3, 20), '...I...', '.C', """Scavenging of heme from plasma"""]),
    'R-DRE-2168880':Nto._make([date(2019,  3, 20), '...I...', '.C', """Scavenging of heme from plasma"""]),
    'R-GGA-2168880':Nto._make([date(2019,  3, 20), '...I...', '.C', """Scavenging of heme from plasma"""]),
    'R-MMU-2168880':Nto._make([date(2019,  3, 20), '...I...', '.C', """Scavenging of heme from plasma"""]),
    'R-RNO-2168880':Nto._make([date(2019,  3, 20), '...I...', '.C', """Scavenging of heme from plasma"""]),
    'R-SSC-2168880':Nto._make([date(2019,  3, 20), '...I...', '.C', """Scavenging of heme from plasma"""]),
    'R-XTR-2168880':Nto._make([date(2019,  3, 20), '...I...', '.C', """Scavenging of heme from plasma"""]),
    'R-HSA-2172127':Nto._make([date(2012,  9, 18), '..f.P..', '..', """DAP12 interactions"""]),
    'R-BTA-2172127':Nto._make([date(2019,  3, 20), '..fI...', '..', """DAP12 interactions"""]),
    'R-CFA-2172127':Nto._make([date(2019,  3, 20), '..fI...', '..', """DAP12 interactions"""]),
    'R-DME-2172127':Nto._make([date(2019,  3, 20), '..fI...', '..', """DAP12 interactions"""]),
    'R-DRE-2172127':Nto._make([date(2019,  3, 20), '..fI...', '..', """DAP12 interactions"""]),
    'R-GGA-2172127':Nto._make([date(2019,  3, 20), '..fI...', '..', """DAP12 interactions"""]),
    'R-MMU-2172127':Nto._make([date(2019,  3, 20), '..fI...', '..', """DAP12 interactions"""]),
    'R-RNO-2172127':Nto._make([date(2019,  3, 20), '..fI...', '..', """DAP12 interactions"""]),
    'R-SSC-2172127':Nto._make([date(2019,  3, 20), '..fI...', '..', """DAP12 interactions"""]),
    'R-XTR-2172127':Nto._make([date(2019,  3, 20), '..fI...', '..', """DAP12 interactions"""]),
    'R-GGA-2173345':Nto._make([date(2014,  3, 12), '....P..', '..', """Anaphylatoxins initiate inflammatory responses"""]),
    'R-HSA-2173782':Nto._make([date(2013,  3, 12), '..f.P..', 'BC', """Binding and Uptake of Ligands by Scavenger Receptors"""]),
    'R-BTA-2173782':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Binding and Uptake of Ligands by Scavenger Receptors"""]),
    'R-CEL-2173782':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Binding and Uptake of Ligands by Scavenger Receptors"""]),
    'R-CFA-2173782':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Binding and Uptake of Ligands by Scavenger Receptors"""]),
    'R-DME-2173782':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Binding and Uptake of Ligands by Scavenger Receptors"""]),
    'R-DRE-2173782':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Binding and Uptake of Ligands by Scavenger Receptors"""]),
    'R-GGA-2173782':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Binding and Uptake of Ligands by Scavenger Receptors"""]),
    'R-MMU-2173782':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Binding and Uptake of Ligands by Scavenger Receptors"""]),
    'R-RNO-2173782':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Binding and Uptake of Ligands by Scavenger Receptors"""]),
    'R-SSC-2173782':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Binding and Uptake of Ligands by Scavenger Receptors"""]),
    'R-XTR-2173782':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Binding and Uptake of Ligands by Scavenger Receptors"""]),
    'R-HSA-2173788':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Downregulation of TGF-beta receptor signaling"""]),
    'R-BTA-2173788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Downregulation of TGF-beta receptor signaling"""]),
    'R-CEL-2173788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Downregulation of TGF-beta receptor signaling"""]),
    'R-CFA-2173788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Downregulation of TGF-beta receptor signaling"""]),
    'R-DME-2173788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Downregulation of TGF-beta receptor signaling"""]),
    'R-DRE-2173788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Downregulation of TGF-beta receptor signaling"""]),
    'R-GGA-2173788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Downregulation of TGF-beta receptor signaling"""]),
    'R-MMU-2173788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Downregulation of TGF-beta receptor signaling"""]),
    'R-RNO-2173788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Downregulation of TGF-beta receptor signaling"""]),
    'R-SSC-2173788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Downregulation of TGF-beta receptor signaling"""]),
    'R-XTR-2173788':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Downregulation of TGF-beta receptor signaling"""]),
    'R-HSA-2173789':Nto._make([date(2012,  6, 12), '....P..', 'B.', """TGF-beta receptor signaling activates SMADs"""]),
    'R-BTA-2173789':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TGF-beta receptor signaling activates SMADs"""]),
    'R-CEL-2173789':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TGF-beta receptor signaling activates SMADs"""]),
    'R-CFA-2173789':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TGF-beta receptor signaling activates SMADs"""]),
    'R-DME-2173789':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TGF-beta receptor signaling activates SMADs"""]),
    'R-DRE-2173789':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TGF-beta receptor signaling activates SMADs"""]),
    'R-GGA-2173789':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TGF-beta receptor signaling activates SMADs"""]),
    'R-MMU-2173789':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TGF-beta receptor signaling activates SMADs"""]),
    'R-RNO-2173789':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TGF-beta receptor signaling activates SMADs"""]),
    'R-SSC-2173789':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TGF-beta receptor signaling activates SMADs"""]),
    'R-XTR-2173789':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TGF-beta receptor signaling activates SMADs"""]),
    'R-HSA-2173791':Nto._make([date(2012,  6, 12), '....P..', 'B.', """TGF-beta receptor signaling in EMT (epithelial to mesenchymal transition)"""]),
    'R-BTA-2173791':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TGF-beta receptor signaling in EMT (epithelial to mesenchymal transition)"""]),
    'R-CFA-2173791':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TGF-beta receptor signaling in EMT (epithelial to mesenchymal transition)"""]),
    'R-DME-2173791':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TGF-beta receptor signaling in EMT (epithelial to mesenchymal transition)"""]),
    'R-DRE-2173791':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TGF-beta receptor signaling in EMT (epithelial to mesenchymal transition)"""]),
    'R-GGA-2173791':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TGF-beta receptor signaling in EMT (epithelial to mesenchymal transition)"""]),
    'R-MMU-2173791':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TGF-beta receptor signaling in EMT (epithelial to mesenchymal transition)"""]),
    'R-RNO-2173791':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TGF-beta receptor signaling in EMT (epithelial to mesenchymal transition)"""]),
    'R-SSC-2173791':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TGF-beta receptor signaling in EMT (epithelial to mesenchymal transition)"""]),
    'R-XTR-2173791':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TGF-beta receptor signaling in EMT (epithelial to mesenchymal transition)"""]),
    'R-HSA-2173793':Nto._make([date(2012,  6, 12), '..f.P..', 'B.', """Transcriptional activity of SMAD2/SMAD3:SMAD4 heterotrimer"""]),
    'R-BTA-2173793':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional activity of SMAD2/SMAD3:SMAD4 heterotrimer"""]),
    'R-CEL-2173793':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional activity of SMAD2/SMAD3:SMAD4 heterotrimer"""]),
    'R-CFA-2173793':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional activity of SMAD2/SMAD3:SMAD4 heterotrimer"""]),
    'R-DME-2173793':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional activity of SMAD2/SMAD3:SMAD4 heterotrimer"""]),
    'R-DRE-2173793':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional activity of SMAD2/SMAD3:SMAD4 heterotrimer"""]),
    'R-GGA-2173793':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional activity of SMAD2/SMAD3:SMAD4 heterotrimer"""]),
    'R-MMU-2173793':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional activity of SMAD2/SMAD3:SMAD4 heterotrimer"""]),
    'R-RNO-2173793':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional activity of SMAD2/SMAD3:SMAD4 heterotrimer"""]),
    'R-SSC-2173793':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional activity of SMAD2/SMAD3:SMAD4 heterotrimer"""]),
    'R-XTR-2173793':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional activity of SMAD2/SMAD3:SMAD4 heterotrimer"""]),
    'R-HSA-2173795':Nto._make([date(2012,  6, 12), '....P..', 'B.', """Downregulation of SMAD2/3:SMAD4 transcriptional activity"""]),
    'R-BTA-2173795':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Downregulation of SMAD2/3:SMAD4 transcriptional activity"""]),
    'R-CEL-2173795':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Downregulation of SMAD2/3:SMAD4 transcriptional activity"""]),
    'R-CFA-2173795':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Downregulation of SMAD2/3:SMAD4 transcriptional activity"""]),
    'R-DME-2173795':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Downregulation of SMAD2/3:SMAD4 transcriptional activity"""]),
    'R-DRE-2173795':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Downregulation of SMAD2/3:SMAD4 transcriptional activity"""]),
    'R-GGA-2173795':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Downregulation of SMAD2/3:SMAD4 transcriptional activity"""]),
    'R-MMU-2173795':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Downregulation of SMAD2/3:SMAD4 transcriptional activity"""]),
    'R-RNO-2173795':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Downregulation of SMAD2/3:SMAD4 transcriptional activity"""]),
    'R-SSC-2173795':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Downregulation of SMAD2/3:SMAD4 transcriptional activity"""]),
    'R-XTR-2173795':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Downregulation of SMAD2/3:SMAD4 transcriptional activity"""]),
    'R-HSA-2173796':Nto._make([date(2012,  6, 12), '....P..', 'B.', """SMAD2/SMAD3:SMAD4 heterotrimer regulates transcription"""]),
    'R-BTA-2173796':Nto._make([date(2019,  3, 20), '...I...', 'B.', """SMAD2/SMAD3:SMAD4 heterotrimer regulates transcription"""]),
    'R-CEL-2173796':Nto._make([date(2019,  3, 20), '...I...', 'B.', """SMAD2/SMAD3:SMAD4 heterotrimer regulates transcription"""]),
    'R-CFA-2173796':Nto._make([date(2019,  3, 20), '...I...', 'B.', """SMAD2/SMAD3:SMAD4 heterotrimer regulates transcription"""]),
    'R-DME-2173796':Nto._make([date(2019,  3, 20), '...I...', 'B.', """SMAD2/SMAD3:SMAD4 heterotrimer regulates transcription"""]),
    'R-DRE-2173796':Nto._make([date(2019,  3, 20), '...I...', 'B.', """SMAD2/SMAD3:SMAD4 heterotrimer regulates transcription"""]),
    'R-GGA-2173796':Nto._make([date(2019,  3, 20), '...I...', 'B.', """SMAD2/SMAD3:SMAD4 heterotrimer regulates transcription"""]),
    'R-MMU-2173796':Nto._make([date(2019,  3, 20), '...I...', 'B.', """SMAD2/SMAD3:SMAD4 heterotrimer regulates transcription"""]),
    'R-RNO-2173796':Nto._make([date(2019,  3, 20), '...I...', 'B.', """SMAD2/SMAD3:SMAD4 heterotrimer regulates transcription"""]),
    'R-SSC-2173796':Nto._make([date(2019,  3, 20), '...I...', 'B.', """SMAD2/SMAD3:SMAD4 heterotrimer regulates transcription"""]),
    'R-XTR-2173796':Nto._make([date(2019,  3, 20), '...I...', 'B.', """SMAD2/SMAD3:SMAD4 heterotrimer regulates transcription"""]),
    'R-HSA-2179392':Nto._make([date(2012,  6, 12), '....P..', '..', """EGFR Transactivation by Gastrin"""]),
    'R-BTA-2179392':Nto._make([date(2019,  3, 20), '...I...', '..', """EGFR Transactivation by Gastrin"""]),
    'R-CEL-2179392':Nto._make([date(2019,  3, 20), '...I...', '..', """EGFR Transactivation by Gastrin"""]),
    'R-CFA-2179392':Nto._make([date(2019,  3, 20), '...I...', '..', """EGFR Transactivation by Gastrin"""]),
    'R-DDI-2179392':Nto._make([date(2019,  3, 20), '...I...', '..', """EGFR Transactivation by Gastrin"""]),
    'R-DME-2179392':Nto._make([date(2019,  3, 20), '...I...', '..', """EGFR Transactivation by Gastrin"""]),
    'R-DRE-2179392':Nto._make([date(2019,  3, 20), '...I...', '..', """EGFR Transactivation by Gastrin"""]),
    'R-GGA-2179392':Nto._make([date(2019,  3, 20), '...I...', '..', """EGFR Transactivation by Gastrin"""]),
    'R-MMU-2179392':Nto._make([date(2019,  3, 20), '...I...', '..', """EGFR Transactivation by Gastrin"""]),
    'R-RNO-2179392':Nto._make([date(2019,  3, 20), '...I...', '..', """EGFR Transactivation by Gastrin"""]),
    'R-SCE-2179392':Nto._make([date(2019,  3, 20), '...I...', '..', """EGFR Transactivation by Gastrin"""]),
    'R-SPO-2179392':Nto._make([date(2019,  3, 20), '...I...', '..', """EGFR Transactivation by Gastrin"""]),
    'R-SSC-2179392':Nto._make([date(2019,  3, 20), '...I...', '..', """EGFR Transactivation by Gastrin"""]),
    'R-XTR-2179392':Nto._make([date(2019,  3, 20), '...I...', '..', """EGFR Transactivation by Gastrin"""]),
    'R-HSA-2187335':Nto._make([date(2013,  3, 12), '....P..', 'B.', """The retinoid cycle in cones (daylight vision)"""]),
    'R-BTA-2187335':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The retinoid cycle in cones (daylight vision)"""]),
    'R-CEL-2187335':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The retinoid cycle in cones (daylight vision)"""]),
    'R-CFA-2187335':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The retinoid cycle in cones (daylight vision)"""]),
    'R-DDI-2187335':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The retinoid cycle in cones (daylight vision)"""]),
    'R-DME-2187335':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The retinoid cycle in cones (daylight vision)"""]),
    'R-DRE-2187335':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The retinoid cycle in cones (daylight vision)"""]),
    'R-GGA-2187335':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The retinoid cycle in cones (daylight vision)"""]),
    'R-MMU-2187335':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The retinoid cycle in cones (daylight vision)"""]),
    'R-RNO-2187335':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The retinoid cycle in cones (daylight vision)"""]),
    'R-SCE-2187335':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The retinoid cycle in cones (daylight vision)"""]),
    'R-SSC-2187335':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The retinoid cycle in cones (daylight vision)"""]),
    'R-XTR-2187335':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The retinoid cycle in cones (daylight vision)"""]),
    'R-HSA-2187338':Nto._make([date(2013,  3, 12), '..F.P..', 'B.', """Visual phototransduction"""]),
    'R-BTA-2187338':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Visual phototransduction"""]),
    'R-CEL-2187338':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Visual phototransduction"""]),
    'R-CFA-2187338':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Visual phototransduction"""]),
    'R-DDI-2187338':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Visual phototransduction"""]),
    'R-DME-2187338':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Visual phototransduction"""]),
    'R-DRE-2187338':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Visual phototransduction"""]),
    'R-GGA-2187338':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Visual phototransduction"""]),
    'R-MMU-2187338':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Visual phototransduction"""]),
    'R-RNO-2187338':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Visual phototransduction"""]),
    'R-SCE-2187338':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Visual phototransduction"""]),
    'R-SPO-2187338':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Visual phototransduction"""]),
    'R-SSC-2187338':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Visual phototransduction"""]),
    'R-XTR-2187338':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Visual phototransduction"""]),
    'R-HSA-2197563':Nto._make([date(2013,  6, 11), '....P..', '.C', """NOTCH2 intracellular domain regulates transcription"""]),
    'R-GGA-2197563':Nto._make([date(2019,  3, 20), '...I...', '.C', """NOTCH2 intracellular domain regulates transcription"""]),
    'R-XTR-2197563':Nto._make([date(2019,  3, 20), '...I...', '.C', """NOTCH2 intracellular domain regulates transcription"""]),
    'R-HSA-2206280':Nto._make([date(2012,  9, 18), '.Df.P..', '..', """MPS IX - Natowicz syndrome"""]),
    'R-HSA-2206281':Nto._make([date(2012,  9, 18), '.Df.PB.', '..', """Mucopolysaccharidoses"""]),
    'R-HSA-2206282':Nto._make([date(2012,  9, 18), '.Df.P..', '..', """MPS IIIB - Sanfilippo syndrome B"""]),
    'R-HSA-2206285':Nto._make([date(2012,  9, 18), '.Df.PB.', '..', """MPS VI - Maroteaux-Lamy syndrome"""]),
    'R-HSA-2206290':Nto._make([date(2012,  9, 18), '.Df.P..', '..', """MPS IV - Morquio syndrome A"""]),
    'R-HSA-2206291':Nto._make([date(2012,  9, 18), '.Df.P..', '..', """MPS IIIC - Sanfilippo syndrome C"""]),
    'R-HSA-2206292':Nto._make([date(2012,  9, 18), '.Df.P..', '..', """MPS VII - Sly syndrome"""]),
    'R-HSA-2206296':Nto._make([date(2012,  9, 18), '.Df.P..', '..', """MPS II - Hunter syndrome"""]),
    'R-HSA-2206302':Nto._make([date(2012,  9, 18), '.Df.P..', '..', """MPS I - Hurler syndrome"""]),
    'R-HSA-2206305':Nto._make([date(2012,  9, 18), '.Df.P..', '..', """MPS IIID - Sanfilippo syndrome D"""]),
    'R-HSA-2206307':Nto._make([date(2012,  9, 18), '.Df.P..', '..', """MPS IIIA - Sanfilippo syndrome A"""]),
    'R-HSA-2206308':Nto._make([date(2012,  9, 18), '.Df.PB.', '..', """MPS IV - Morquio syndrome B"""]),
    'R-HSA-2214320':Nto._make([date(2012, 12,  4), '....P..', '.C', """Anchoring fibril formation"""]),
    'R-BTA-2214320':Nto._make([date(2019,  3, 20), '...I...', '.C', """Anchoring fibril formation"""]),
    'R-CEL-2214320':Nto._make([date(2019,  3, 20), '...I...', '.C', """Anchoring fibril formation"""]),
    'R-CFA-2214320':Nto._make([date(2019,  3, 20), '...I...', '.C', """Anchoring fibril formation"""]),
    'R-DDI-2214320':Nto._make([date(2019,  3, 20), '...I...', '.C', """Anchoring fibril formation"""]),
    'R-DRE-2214320':Nto._make([date(2019,  3, 20), '...I...', '.C', """Anchoring fibril formation"""]),
    'R-GGA-2214320':Nto._make([date(2019,  3, 20), '...I...', '.C', """Anchoring fibril formation"""]),
    'R-MMU-2214320':Nto._make([date(2019,  3, 20), '...I...', '.C', """Anchoring fibril formation"""]),
    'R-PFA-2214320':Nto._make([date(2019,  3, 20), '...I...', '.C', """Anchoring fibril formation"""]),
    'R-RNO-2214320':Nto._make([date(2019,  3, 20), '...I...', '.C', """Anchoring fibril formation"""]),
    'R-SSC-2214320':Nto._make([date(2019,  3, 20), '...I...', '.C', """Anchoring fibril formation"""]),
    'R-XTR-2214320':Nto._make([date(2019,  3, 20), '...I...', '.C', """Anchoring fibril formation"""]),
    'R-HSA-2219528':Nto._make([date(2012,  9, 18), '.Df.P..', '..', """PI3K/AKT Signaling in Cancer"""]),
    'R-HSA-2219530':Nto._make([date(2012,  9, 18), '.Df.P..', '..', """Constitutive Signaling by Aberrant PI3K in Cancer"""]),
    'R-HSA-2243919':Nto._make([date(2012, 12,  4), '....P..', '..', """Crosslinking of collagen fibrils"""]),
    'R-BTA-2243919':Nto._make([date(2019,  3, 20), '...I...', '..', """Crosslinking of collagen fibrils"""]),
    'R-CEL-2243919':Nto._make([date(2019,  3, 20), '...I...', '..', """Crosslinking of collagen fibrils"""]),
    'R-CFA-2243919':Nto._make([date(2019,  3, 20), '...I...', '..', """Crosslinking of collagen fibrils"""]),
    'R-DDI-2243919':Nto._make([date(2019,  3, 20), '...I...', '..', """Crosslinking of collagen fibrils"""]),
    'R-DME-2243919':Nto._make([date(2019,  3, 20), '...I...', '..', """Crosslinking of collagen fibrils"""]),
    'R-DRE-2243919':Nto._make([date(2019,  3, 20), '...I...', '..', """Crosslinking of collagen fibrils"""]),
    'R-GGA-2243919':Nto._make([date(2019,  3, 20), '...I...', '..', """Crosslinking of collagen fibrils"""]),
    'R-MMU-2243919':Nto._make([date(2019,  3, 20), '...I...', '..', """Crosslinking of collagen fibrils"""]),
    'R-RNO-2243919':Nto._make([date(2019,  3, 20), '...I...', '..', """Crosslinking of collagen fibrils"""]),
    'R-SSC-2243919':Nto._make([date(2019,  3, 20), '...I...', '..', """Crosslinking of collagen fibrils"""]),
    'R-XTR-2243919':Nto._make([date(2019,  3, 20), '...I...', '..', """Crosslinking of collagen fibrils"""]),
    'R-HSA-2262752':Nto._make([date(2012,  6, 12), '..F.P..', 'B.', """Cellular responses to stress"""]),
    'R-BTA-2262752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular responses to stress"""]),
    'R-CEL-2262752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular responses to stress"""]),
    'R-CFA-2262752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular responses to stress"""]),
    'R-DDI-2262752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular responses to stress"""]),
    'R-DME-2262752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular responses to stress"""]),
    'R-DRE-2262752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular responses to stress"""]),
    'R-GGA-2262752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular responses to stress"""]),
    'R-MMU-2262752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular responses to stress"""]),
    'R-PFA-2262752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular responses to stress"""]),
    'R-RNO-2262752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular responses to stress"""]),
    'R-SCE-2262752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular responses to stress"""]),
    'R-SPO-2262752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular responses to stress"""]),
    'R-SSC-2262752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular responses to stress"""]),
    'R-XTR-2262752':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular responses to stress"""]),
    'R-HSA-2299718':Nto._make([date(2013, 12,  4), '....P..', '.C', """Condensation of Prophase Chromosomes"""]),
    'R-BTA-2299718':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prophase Chromosomes"""]),
    'R-CEL-2299718':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prophase Chromosomes"""]),
    'R-CFA-2299718':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prophase Chromosomes"""]),
    'R-DDI-2299718':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prophase Chromosomes"""]),
    'R-DME-2299718':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prophase Chromosomes"""]),
    'R-DRE-2299718':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prophase Chromosomes"""]),
    'R-GGA-2299718':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prophase Chromosomes"""]),
    'R-MMU-2299718':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prophase Chromosomes"""]),
    'R-PFA-2299718':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prophase Chromosomes"""]),
    'R-RNO-2299718':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prophase Chromosomes"""]),
    'R-SCE-2299718':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prophase Chromosomes"""]),
    'R-SPO-2299718':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prophase Chromosomes"""]),
    'R-SSC-2299718':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prophase Chromosomes"""]),
    'R-XTR-2299718':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prophase Chromosomes"""]),
    'R-HSA-2393930':Nto._make([date(2012, 12,  4), '....P..', 'B.', """Phosphate bond hydrolysis by NUDT proteins"""]),
    'R-BTA-2393930':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phosphate bond hydrolysis by NUDT proteins"""]),
    'R-CEL-2393930':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phosphate bond hydrolysis by NUDT proteins"""]),
    'R-CFA-2393930':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phosphate bond hydrolysis by NUDT proteins"""]),
    'R-DDI-2393930':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phosphate bond hydrolysis by NUDT proteins"""]),
    'R-DME-2393930':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phosphate bond hydrolysis by NUDT proteins"""]),
    'R-DRE-2393930':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phosphate bond hydrolysis by NUDT proteins"""]),
    'R-GGA-2393930':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phosphate bond hydrolysis by NUDT proteins"""]),
    'R-MMU-2393930':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phosphate bond hydrolysis by NUDT proteins"""]),
    'R-PFA-2393930':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phosphate bond hydrolysis by NUDT proteins"""]),
    'R-RNO-2393930':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phosphate bond hydrolysis by NUDT proteins"""]),
    'R-SCE-2393930':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phosphate bond hydrolysis by NUDT proteins"""]),
    'R-SPO-2393930':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phosphate bond hydrolysis by NUDT proteins"""]),
    'R-SSC-2393930':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phosphate bond hydrolysis by NUDT proteins"""]),
    'R-XTR-2393930':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phosphate bond hydrolysis by NUDT proteins"""]),
    'R-HSA-2395516':Nto._make([date(2012, 12,  4), '....P..', '.C', """Electron transport from NADPH to Ferredoxin"""]),
    'R-CEL-2395516':Nto._make([date(2019,  3, 20), '...I...', '.C', """Electron transport from NADPH to Ferredoxin"""]),
    'R-CFA-2395516':Nto._make([date(2019,  3, 20), '...I...', '.C', """Electron transport from NADPH to Ferredoxin"""]),
    'R-DDI-2395516':Nto._make([date(2019,  3, 20), '...I...', '.C', """Electron transport from NADPH to Ferredoxin"""]),
    'R-DME-2395516':Nto._make([date(2019,  3, 20), '...I...', '.C', """Electron transport from NADPH to Ferredoxin"""]),
    'R-DRE-2395516':Nto._make([date(2019,  3, 20), '...I...', '.C', """Electron transport from NADPH to Ferredoxin"""]),
    'R-GGA-2395516':Nto._make([date(2019,  3, 20), '...I...', '.C', """Electron transport from NADPH to Ferredoxin"""]),
    'R-MMU-2395516':Nto._make([date(2019,  3, 20), '...I...', '.C', """Electron transport from NADPH to Ferredoxin"""]),
    'R-PFA-2395516':Nto._make([date(2019,  3, 20), '...I...', '.C', """Electron transport from NADPH to Ferredoxin"""]),
    'R-RNO-2395516':Nto._make([date(2019,  3, 20), '...I...', '.C', """Electron transport from NADPH to Ferredoxin"""]),
    'R-SCE-2395516':Nto._make([date(2019,  3, 20), '...I...', '.C', """Electron transport from NADPH to Ferredoxin"""]),
    'R-SPO-2395516':Nto._make([date(2019,  3, 20), '...I...', '.C', """Electron transport from NADPH to Ferredoxin"""]),
    'R-SSC-2395516':Nto._make([date(2019,  3, 20), '...I...', '.C', """Electron transport from NADPH to Ferredoxin"""]),
    'R-XTR-2395516':Nto._make([date(2019,  3, 20), '...I...', '.C', """Electron transport from NADPH to Ferredoxin"""]),
    'R-HSA-2404192':Nto._make([date(2012, 12,  4), '..f.P..', '.C', """Signaling by Type 1 Insulin-like Growth Factor 1 Receptor (IGF1R)"""]),
    'R-BTA-2404192':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Type 1 Insulin-like Growth Factor 1 Receptor (IGF1R)"""]),
    'R-CEL-2404192':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Type 1 Insulin-like Growth Factor 1 Receptor (IGF1R)"""]),
    'R-CFA-2404192':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Type 1 Insulin-like Growth Factor 1 Receptor (IGF1R)"""]),
    'R-DDI-2404192':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Type 1 Insulin-like Growth Factor 1 Receptor (IGF1R)"""]),
    'R-DME-2404192':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Type 1 Insulin-like Growth Factor 1 Receptor (IGF1R)"""]),
    'R-DRE-2404192':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Type 1 Insulin-like Growth Factor 1 Receptor (IGF1R)"""]),
    'R-GGA-2404192':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Type 1 Insulin-like Growth Factor 1 Receptor (IGF1R)"""]),
    'R-MMU-2404192':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Type 1 Insulin-like Growth Factor 1 Receptor (IGF1R)"""]),
    'R-PFA-2404192':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Type 1 Insulin-like Growth Factor 1 Receptor (IGF1R)"""]),
    'R-RNO-2404192':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Type 1 Insulin-like Growth Factor 1 Receptor (IGF1R)"""]),
    'R-SCE-2404192':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Type 1 Insulin-like Growth Factor 1 Receptor (IGF1R)"""]),
    'R-SPO-2404192':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Type 1 Insulin-like Growth Factor 1 Receptor (IGF1R)"""]),
    'R-SSC-2404192':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Type 1 Insulin-like Growth Factor 1 Receptor (IGF1R)"""]),
    'R-XTR-2404192':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Type 1 Insulin-like Growth Factor 1 Receptor (IGF1R)"""]),
    'R-HSA-2408499':Nto._make([date(2015, 12, 15), '....P..', 'B.', """Formation of selenosugars for excretion"""]),
    'R-HSA-2408508':Nto._make([date(2015, 12, 15), '....P..', 'B.', """Metabolism of ingested SeMet, Sec, MeSec into H2Se"""]),
    'R-BTA-2408508':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Metabolism of ingested SeMet, Sec, MeSec into H2Se"""]),
    'R-CEL-2408508':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Metabolism of ingested SeMet, Sec, MeSec into H2Se"""]),
    'R-CFA-2408508':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Metabolism of ingested SeMet, Sec, MeSec into H2Se"""]),
    'R-DDI-2408508':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Metabolism of ingested SeMet, Sec, MeSec into H2Se"""]),
    'R-DME-2408508':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Metabolism of ingested SeMet, Sec, MeSec into H2Se"""]),
    'R-DRE-2408508':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Metabolism of ingested SeMet, Sec, MeSec into H2Se"""]),
    'R-GGA-2408508':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Metabolism of ingested SeMet, Sec, MeSec into H2Se"""]),
    'R-MMU-2408508':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Metabolism of ingested SeMet, Sec, MeSec into H2Se"""]),
    'R-PFA-2408508':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Metabolism of ingested SeMet, Sec, MeSec into H2Se"""]),
    'R-RNO-2408508':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Metabolism of ingested SeMet, Sec, MeSec into H2Se"""]),
    'R-SCE-2408508':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Metabolism of ingested SeMet, Sec, MeSec into H2Se"""]),
    'R-SPO-2408508':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Metabolism of ingested SeMet, Sec, MeSec into H2Se"""]),
    'R-SSC-2408508':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Metabolism of ingested SeMet, Sec, MeSec into H2Se"""]),
    'R-XTR-2408508':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Metabolism of ingested SeMet, Sec, MeSec into H2Se"""]),
    'R-HSA-2408522':Nto._make([date(2015, 12, 15), '..f.P..', 'B.', """Selenoamino acid metabolism"""]),
    'R-BTA-2408522':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Selenoamino acid metabolism"""]),
    'R-CEL-2408522':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Selenoamino acid metabolism"""]),
    'R-CFA-2408522':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Selenoamino acid metabolism"""]),
    'R-DDI-2408522':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Selenoamino acid metabolism"""]),
    'R-DME-2408522':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Selenoamino acid metabolism"""]),
    'R-DRE-2408522':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Selenoamino acid metabolism"""]),
    'R-GGA-2408522':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Selenoamino acid metabolism"""]),
    'R-MMU-2408522':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Selenoamino acid metabolism"""]),
    'R-PFA-2408522':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Selenoamino acid metabolism"""]),
    'R-RNO-2408522':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Selenoamino acid metabolism"""]),
    'R-SCE-2408522':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Selenoamino acid metabolism"""]),
    'R-SPO-2408522':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Selenoamino acid metabolism"""]),
    'R-SSC-2408522':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Selenoamino acid metabolism"""]),
    'R-XTR-2408522':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Selenoamino acid metabolism"""]),
    'R-HSA-2408550':Nto._make([date(2015, 12, 15), '....P..', 'B.', """Metabolism of ingested H2SeO4 and H2SeO3 into H2Se"""]),
    'R-HSA-2408552':Nto._make([date(2015, 12, 15), '....P..', 'B.', """Methylation of MeSeH for excretion"""]),
    'R-HSA-2408557':Nto._make([date(2015, 12, 15), '....P..', 'B.', """Selenocysteine synthesis"""]),
    'R-BTA-2408557':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Selenocysteine synthesis"""]),
    'R-CEL-2408557':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Selenocysteine synthesis"""]),
    'R-DDI-2408557':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Selenocysteine synthesis"""]),
    'R-DME-2408557':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Selenocysteine synthesis"""]),
    'R-DRE-2408557':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Selenocysteine synthesis"""]),
    'R-MMU-2408557':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Selenocysteine synthesis"""]),
    'R-PFA-2408557':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Selenocysteine synthesis"""]),
    'R-XTR-2408557':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Selenocysteine synthesis"""]),
    'R-GGA-2422406':Nto._make([date(2012, 12,  4), 'T.f....', 'B.', """Innate Immune System"""]),
    'R-HSA-2424491':Nto._make([date(2012,  9, 18), '....P..', '..', """DAP12 signaling"""]),
    'R-BTA-2424491':Nto._make([date(2019,  3, 20), '...I...', '..', """DAP12 signaling"""]),
    'R-CFA-2424491':Nto._make([date(2019,  3, 20), '...I...', '..', """DAP12 signaling"""]),
    'R-DME-2424491':Nto._make([date(2019,  3, 20), '...I...', '..', """DAP12 signaling"""]),
    'R-DRE-2424491':Nto._make([date(2019,  3, 20), '...I...', '..', """DAP12 signaling"""]),
    'R-GGA-2424491':Nto._make([date(2019,  3, 20), '...I...', '..', """DAP12 signaling"""]),
    'R-MMU-2424491':Nto._make([date(2019,  3, 20), '...I...', '..', """DAP12 signaling"""]),
    'R-RNO-2424491':Nto._make([date(2019,  3, 20), '...I...', '..', """DAP12 signaling"""]),
    'R-SSC-2424491':Nto._make([date(2019,  3, 20), '...I...', '..', """DAP12 signaling"""]),
    'R-XTR-2424491':Nto._make([date(2019,  3, 20), '...I...', '..', """DAP12 signaling"""]),
    'R-HSA-2426168':Nto._make([date(2012,  9, 18), '..f.P..', '.C', """Activation of gene expression by SREBF (SREBP)"""]),
    'R-HSA-2428924':Nto._make([date(2012, 12,  4), '....P..', '.C', """IGF1R signaling cascade"""]),
    'R-BTA-2428924':Nto._make([date(2019,  3, 20), '...I...', '.C', """IGF1R signaling cascade"""]),
    'R-CEL-2428924':Nto._make([date(2019,  3, 20), '...I...', '.C', """IGF1R signaling cascade"""]),
    'R-CFA-2428924':Nto._make([date(2019,  3, 20), '...I...', '.C', """IGF1R signaling cascade"""]),
    'R-DDI-2428924':Nto._make([date(2019,  3, 20), '...I...', '.C', """IGF1R signaling cascade"""]),
    'R-DME-2428924':Nto._make([date(2019,  3, 20), '...I...', '.C', """IGF1R signaling cascade"""]),
    'R-DRE-2428924':Nto._make([date(2019,  3, 20), '...I...', '.C', """IGF1R signaling cascade"""]),
    'R-GGA-2428924':Nto._make([date(2019,  3, 20), '...I...', '.C', """IGF1R signaling cascade"""]),
    'R-MMU-2428924':Nto._make([date(2019,  3, 20), '...I...', '.C', """IGF1R signaling cascade"""]),
    'R-PFA-2428924':Nto._make([date(2019,  3, 20), '...I...', '.C', """IGF1R signaling cascade"""]),
    'R-RNO-2428924':Nto._make([date(2019,  3, 20), '...I...', '.C', """IGF1R signaling cascade"""]),
    'R-SCE-2428924':Nto._make([date(2019,  3, 20), '...I...', '.C', """IGF1R signaling cascade"""]),
    'R-SPO-2428924':Nto._make([date(2019,  3, 20), '...I...', '.C', """IGF1R signaling cascade"""]),
    'R-SSC-2428924':Nto._make([date(2019,  3, 20), '...I...', '.C', """IGF1R signaling cascade"""]),
    'R-XTR-2428924':Nto._make([date(2019,  3, 20), '...I...', '.C', """IGF1R signaling cascade"""]),
    'R-HSA-2428928':Nto._make([date(2012, 12,  4), '....P..', '.C', """IRS-related events triggered by IGF1R"""]),
    'R-BTA-2428928':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-related events triggered by IGF1R"""]),
    'R-CEL-2428928':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-related events triggered by IGF1R"""]),
    'R-CFA-2428928':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-related events triggered by IGF1R"""]),
    'R-DDI-2428928':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-related events triggered by IGF1R"""]),
    'R-DME-2428928':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-related events triggered by IGF1R"""]),
    'R-DRE-2428928':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-related events triggered by IGF1R"""]),
    'R-GGA-2428928':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-related events triggered by IGF1R"""]),
    'R-MMU-2428928':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-related events triggered by IGF1R"""]),
    'R-PFA-2428928':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-related events triggered by IGF1R"""]),
    'R-RNO-2428928':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-related events triggered by IGF1R"""]),
    'R-SCE-2428928':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-related events triggered by IGF1R"""]),
    'R-SPO-2428928':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-related events triggered by IGF1R"""]),
    'R-SSC-2428928':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-related events triggered by IGF1R"""]),
    'R-XTR-2428928':Nto._make([date(2019,  3, 20), '...I...', '.C', """IRS-related events triggered by IGF1R"""]),
    'R-HSA-2428933':Nto._make([date(2012, 12,  4), '....P..', '.C', """SHC-related events triggered by IGF1R"""]),
    'R-BTA-2428933':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-related events triggered by IGF1R"""]),
    'R-CFA-2428933':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-related events triggered by IGF1R"""]),
    'R-DME-2428933':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-related events triggered by IGF1R"""]),
    'R-DRE-2428933':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-related events triggered by IGF1R"""]),
    'R-GGA-2428933':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-related events triggered by IGF1R"""]),
    'R-MMU-2428933':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-related events triggered by IGF1R"""]),
    'R-RNO-2428933':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-related events triggered by IGF1R"""]),
    'R-SSC-2428933':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-related events triggered by IGF1R"""]),
    'R-XTR-2428933':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-related events triggered by IGF1R"""]),
    'R-HSA-2453864':Nto._make([date(2013,  3, 12), '.Df.P..', '..', """Retinoid cycle disease events"""]),
    'R-HSA-2453902':Nto._make([date(2013,  3, 12), '....P..', 'B.', """The canonical retinoid cycle in rods (twilight vision)"""]),
    'R-BTA-2453902':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The canonical retinoid cycle in rods (twilight vision)"""]),
    'R-CEL-2453902':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The canonical retinoid cycle in rods (twilight vision)"""]),
    'R-CFA-2453902':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The canonical retinoid cycle in rods (twilight vision)"""]),
    'R-DDI-2453902':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The canonical retinoid cycle in rods (twilight vision)"""]),
    'R-DME-2453902':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The canonical retinoid cycle in rods (twilight vision)"""]),
    'R-DRE-2453902':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The canonical retinoid cycle in rods (twilight vision)"""]),
    'R-GGA-2453902':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The canonical retinoid cycle in rods (twilight vision)"""]),
    'R-MMU-2453902':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The canonical retinoid cycle in rods (twilight vision)"""]),
    'R-RNO-2453902':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The canonical retinoid cycle in rods (twilight vision)"""]),
    'R-SSC-2453902':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The canonical retinoid cycle in rods (twilight vision)"""]),
    'R-XTR-2453902':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The canonical retinoid cycle in rods (twilight vision)"""]),
    'R-HSA-2454202':Nto._make([date(2013,  6, 11), '..f.P..', 'BC', """Fc epsilon receptor (FCERI) signaling"""]),
    'R-BTA-2454202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fc epsilon receptor (FCERI) signaling"""]),
    'R-CEL-2454202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fc epsilon receptor (FCERI) signaling"""]),
    'R-CFA-2454202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fc epsilon receptor (FCERI) signaling"""]),
    'R-DDI-2454202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fc epsilon receptor (FCERI) signaling"""]),
    'R-DME-2454202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fc epsilon receptor (FCERI) signaling"""]),
    'R-DRE-2454202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fc epsilon receptor (FCERI) signaling"""]),
    'R-GGA-2454202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fc epsilon receptor (FCERI) signaling"""]),
    'R-MMU-2454202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fc epsilon receptor (FCERI) signaling"""]),
    'R-PFA-2454202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fc epsilon receptor (FCERI) signaling"""]),
    'R-RNO-2454202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fc epsilon receptor (FCERI) signaling"""]),
    'R-SCE-2454202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fc epsilon receptor (FCERI) signaling"""]),
    'R-SPO-2454202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fc epsilon receptor (FCERI) signaling"""]),
    'R-SSC-2454202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fc epsilon receptor (FCERI) signaling"""]),
    'R-XTR-2454202':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fc epsilon receptor (FCERI) signaling"""]),
    'R-HSA-2465910':Nto._make([date(2012, 12,  4), '....P..', '.C', """MASTL Facilitates Mitotic Progression"""]),
    'R-BTA-2465910':Nto._make([date(2019,  3, 20), '...I...', '.C', """MASTL Facilitates Mitotic Progression"""]),
    'R-CFA-2465910':Nto._make([date(2019,  3, 20), '...I...', '.C', """MASTL Facilitates Mitotic Progression"""]),
    'R-DDI-2465910':Nto._make([date(2019,  3, 20), '...I...', '.C', """MASTL Facilitates Mitotic Progression"""]),
    'R-DME-2465910':Nto._make([date(2019,  3, 20), '...I...', '.C', """MASTL Facilitates Mitotic Progression"""]),
    'R-DRE-2465910':Nto._make([date(2019,  3, 20), '...I...', '.C', """MASTL Facilitates Mitotic Progression"""]),
    'R-GGA-2465910':Nto._make([date(2019,  3, 20), '...I...', '.C', """MASTL Facilitates Mitotic Progression"""]),
    'R-MMU-2465910':Nto._make([date(2019,  3, 20), '...I...', '.C', """MASTL Facilitates Mitotic Progression"""]),
    'R-SCE-2465910':Nto._make([date(2019,  3, 20), '...I...', '.C', """MASTL Facilitates Mitotic Progression"""]),
    'R-SPO-2465910':Nto._make([date(2019,  3, 20), '...I...', '.C', """MASTL Facilitates Mitotic Progression"""]),
    'R-SSC-2465910':Nto._make([date(2019,  3, 20), '...I...', '.C', """MASTL Facilitates Mitotic Progression"""]),
    'R-XTR-2465910':Nto._make([date(2019,  3, 20), '...I...', '.C', """MASTL Facilitates Mitotic Progression"""]),
    'R-HSA-2466712':Nto._make([date(2013,  3, 12), '.D..P..', '..', """Biosynthesis of A2E, implicated in retinal degradation"""]),
    'R-HSA-2467813':Nto._make([date(2012, 12,  4), '....P..', '.C', """Separation of Sister Chromatids"""]),
    'R-BTA-2467813':Nto._make([date(2019,  3, 20), '...I...', '.C', """Separation of Sister Chromatids"""]),
    'R-CEL-2467813':Nto._make([date(2019,  3, 20), '...I...', '.C', """Separation of Sister Chromatids"""]),
    'R-CFA-2467813':Nto._make([date(2019,  3, 20), '...I...', '.C', """Separation of Sister Chromatids"""]),
    'R-DDI-2467813':Nto._make([date(2019,  3, 20), '...I...', '.C', """Separation of Sister Chromatids"""]),
    'R-DME-2467813':Nto._make([date(2019,  3, 20), '...I...', '.C', """Separation of Sister Chromatids"""]),
    'R-DRE-2467813':Nto._make([date(2019,  3, 20), '...I...', '.C', """Separation of Sister Chromatids"""]),
    'R-GGA-2467813':Nto._make([date(2019,  3, 20), '...I...', '.C', """Separation of Sister Chromatids"""]),
    'R-MMU-2467813':Nto._make([date(2019,  3, 20), '...I...', '.C', """Separation of Sister Chromatids"""]),
    'R-PFA-2467813':Nto._make([date(2019,  3, 20), '...I...', '.C', """Separation of Sister Chromatids"""]),
    'R-RNO-2467813':Nto._make([date(2019,  3, 20), '...I...', '.C', """Separation of Sister Chromatids"""]),
    'R-SCE-2467813':Nto._make([date(2019,  3, 20), '...I...', '.C', """Separation of Sister Chromatids"""]),
    'R-SPO-2467813':Nto._make([date(2019,  3, 20), '...I...', '.C', """Separation of Sister Chromatids"""]),
    'R-SSC-2467813':Nto._make([date(2019,  3, 20), '...I...', '.C', """Separation of Sister Chromatids"""]),
    'R-XTR-2467813':Nto._make([date(2019,  3, 20), '...I...', '.C', """Separation of Sister Chromatids"""]),
    'R-HSA-2468052':Nto._make([date(2012, 12,  4), '....P..', '.C', """Establishment of Sister Chromatid Cohesion"""]),
    'R-BTA-2468052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Establishment of Sister Chromatid Cohesion"""]),
    'R-CEL-2468052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Establishment of Sister Chromatid Cohesion"""]),
    'R-CFA-2468052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Establishment of Sister Chromatid Cohesion"""]),
    'R-DDI-2468052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Establishment of Sister Chromatid Cohesion"""]),
    'R-DME-2468052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Establishment of Sister Chromatid Cohesion"""]),
    'R-DRE-2468052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Establishment of Sister Chromatid Cohesion"""]),
    'R-GGA-2468052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Establishment of Sister Chromatid Cohesion"""]),
    'R-MMU-2468052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Establishment of Sister Chromatid Cohesion"""]),
    'R-RNO-2468052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Establishment of Sister Chromatid Cohesion"""]),
    'R-SCE-2468052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Establishment of Sister Chromatid Cohesion"""]),
    'R-SSC-2468052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Establishment of Sister Chromatid Cohesion"""]),
    'R-XTR-2468052':Nto._make([date(2019,  3, 20), '...I...', '.C', """Establishment of Sister Chromatid Cohesion"""]),
    'R-HSA-2470946':Nto._make([date(2012, 12,  4), '....P..', '.C', """Cohesin Loading onto Chromatin"""]),
    'R-BTA-2470946':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cohesin Loading onto Chromatin"""]),
    'R-CEL-2470946':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cohesin Loading onto Chromatin"""]),
    'R-CFA-2470946':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cohesin Loading onto Chromatin"""]),
    'R-DDI-2470946':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cohesin Loading onto Chromatin"""]),
    'R-DME-2470946':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cohesin Loading onto Chromatin"""]),
    'R-DRE-2470946':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cohesin Loading onto Chromatin"""]),
    'R-GGA-2470946':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cohesin Loading onto Chromatin"""]),
    'R-MMU-2470946':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cohesin Loading onto Chromatin"""]),
    'R-RNO-2470946':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cohesin Loading onto Chromatin"""]),
    'R-SPO-2470946':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cohesin Loading onto Chromatin"""]),
    'R-SSC-2470946':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cohesin Loading onto Chromatin"""]),
    'R-XTR-2470946':Nto._make([date(2019,  3, 20), '...I...', '.C', """Cohesin Loading onto Chromatin"""]),
    'R-HSA-2473224':Nto._make([date(2012, 12,  4), '....P..', '.C', """Antagonism of Activin by Follistatin"""]),
    'R-CFA-2473224':Nto._make([date(2019,  3, 20), '...I...', '.C', """Antagonism of Activin by Follistatin"""]),
    'R-DME-2473224':Nto._make([date(2019,  3, 20), '...I...', '.C', """Antagonism of Activin by Follistatin"""]),
    'R-DRE-2473224':Nto._make([date(2019,  3, 20), '...I...', '.C', """Antagonism of Activin by Follistatin"""]),
    'R-MMU-2473224':Nto._make([date(2019,  3, 20), '...I...', '.C', """Antagonism of Activin by Follistatin"""]),
    'R-RNO-2473224':Nto._make([date(2019,  3, 20), '...I...', '.C', """Antagonism of Activin by Follistatin"""]),
    'R-HSA-2474795':Nto._make([date(2013,  3, 12), '.Df.P..', '..', """Diseases associated with visual transduction"""]),
    'R-HSA-2485179':Nto._make([date(2013,  6, 11), '....P..', 'B.', """Activation of the phototransduction cascade"""]),
    'R-BTA-2485179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of the phototransduction cascade"""]),
    'R-CEL-2485179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of the phototransduction cascade"""]),
    'R-CFA-2485179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of the phototransduction cascade"""]),
    'R-DDI-2485179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of the phototransduction cascade"""]),
    'R-DME-2485179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of the phototransduction cascade"""]),
    'R-DRE-2485179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of the phototransduction cascade"""]),
    'R-GGA-2485179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of the phototransduction cascade"""]),
    'R-MMU-2485179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of the phototransduction cascade"""]),
    'R-RNO-2485179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of the phototransduction cascade"""]),
    'R-SSC-2485179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of the phototransduction cascade"""]),
    'R-XTR-2485179':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of the phototransduction cascade"""]),
    'R-HSA-2500257':Nto._make([date(2012, 12,  4), '....P..', '.C', """Resolution of Sister Chromatid Cohesion"""]),
    'R-BTA-2500257':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of Sister Chromatid Cohesion"""]),
    'R-CEL-2500257':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of Sister Chromatid Cohesion"""]),
    'R-CFA-2500257':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of Sister Chromatid Cohesion"""]),
    'R-DDI-2500257':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of Sister Chromatid Cohesion"""]),
    'R-DME-2500257':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of Sister Chromatid Cohesion"""]),
    'R-DRE-2500257':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of Sister Chromatid Cohesion"""]),
    'R-GGA-2500257':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of Sister Chromatid Cohesion"""]),
    'R-MMU-2500257':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of Sister Chromatid Cohesion"""]),
    'R-RNO-2500257':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of Sister Chromatid Cohesion"""]),
    'R-SCE-2500257':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of Sister Chromatid Cohesion"""]),
    'R-SPO-2500257':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of Sister Chromatid Cohesion"""]),
    'R-SSC-2500257':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of Sister Chromatid Cohesion"""]),
    'R-XTR-2500257':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of Sister Chromatid Cohesion"""]),
    'R-HSA-2514853':Nto._make([date(2012, 12,  4), '....P..', '.C', """Condensation of Prometaphase Chromosomes"""]),
    'R-BTA-2514853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prometaphase Chromosomes"""]),
    'R-CEL-2514853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prometaphase Chromosomes"""]),
    'R-CFA-2514853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prometaphase Chromosomes"""]),
    'R-DDI-2514853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prometaphase Chromosomes"""]),
    'R-DME-2514853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prometaphase Chromosomes"""]),
    'R-DRE-2514853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prometaphase Chromosomes"""]),
    'R-GGA-2514853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prometaphase Chromosomes"""]),
    'R-MMU-2514853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prometaphase Chromosomes"""]),
    'R-PFA-2514853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prometaphase Chromosomes"""]),
    'R-RNO-2514853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prometaphase Chromosomes"""]),
    'R-SCE-2514853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prometaphase Chromosomes"""]),
    'R-SPO-2514853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prometaphase Chromosomes"""]),
    'R-SSC-2514853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prometaphase Chromosomes"""]),
    'R-XTR-2514853':Nto._make([date(2019,  3, 20), '...I...', '.C', """Condensation of Prometaphase Chromosomes"""]),
    'R-HSA-2514856':Nto._make([date(2013,  6, 11), '....P..', 'B.', """The phototransduction cascade"""]),
    'R-BTA-2514856':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The phototransduction cascade"""]),
    'R-CEL-2514856':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The phototransduction cascade"""]),
    'R-CFA-2514856':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The phototransduction cascade"""]),
    'R-DDI-2514856':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The phototransduction cascade"""]),
    'R-DME-2514856':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The phototransduction cascade"""]),
    'R-DRE-2514856':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The phototransduction cascade"""]),
    'R-GGA-2514856':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The phototransduction cascade"""]),
    'R-MMU-2514856':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The phototransduction cascade"""]),
    'R-RNO-2514856':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The phototransduction cascade"""]),
    'R-SCE-2514856':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The phototransduction cascade"""]),
    'R-SPO-2514856':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The phototransduction cascade"""]),
    'R-SSC-2514856':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The phototransduction cascade"""]),
    'R-XTR-2514856':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The phototransduction cascade"""]),
    'R-HSA-2514859':Nto._make([date(2013,  6, 11), '....P..', 'B.', """Inactivation, recovery and regulation of the phototransduction cascade"""]),
    'R-BTA-2514859':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inactivation, recovery and regulation of the phototransduction cascade"""]),
    'R-CEL-2514859':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inactivation, recovery and regulation of the phototransduction cascade"""]),
    'R-CFA-2514859':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inactivation, recovery and regulation of the phototransduction cascade"""]),
    'R-DDI-2514859':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inactivation, recovery and regulation of the phototransduction cascade"""]),
    'R-DME-2514859':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inactivation, recovery and regulation of the phototransduction cascade"""]),
    'R-DRE-2514859':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inactivation, recovery and regulation of the phototransduction cascade"""]),
    'R-GGA-2514859':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inactivation, recovery and regulation of the phototransduction cascade"""]),
    'R-MMU-2514859':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inactivation, recovery and regulation of the phototransduction cascade"""]),
    'R-RNO-2514859':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inactivation, recovery and regulation of the phototransduction cascade"""]),
    'R-SCE-2514859':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inactivation, recovery and regulation of the phototransduction cascade"""]),
    'R-SPO-2514859':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inactivation, recovery and regulation of the phototransduction cascade"""]),
    'R-SSC-2514859':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inactivation, recovery and regulation of the phototransduction cascade"""]),
    'R-XTR-2514859':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Inactivation, recovery and regulation of the phototransduction cascade"""]),
    'R-HSA-2534343':Nto._make([date(2013,  6, 11), '....P..', 'BC', """Interaction With Cumulus Cells And The Zona Pellucida"""]),
    'R-BTA-2534343':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interaction With Cumulus Cells And The Zona Pellucida"""]),
    'R-CEL-2534343':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interaction With Cumulus Cells And The Zona Pellucida"""]),
    'R-CFA-2534343':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interaction With Cumulus Cells And The Zona Pellucida"""]),
    'R-DRE-2534343':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interaction With Cumulus Cells And The Zona Pellucida"""]),
    'R-GGA-2534343':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interaction With Cumulus Cells And The Zona Pellucida"""]),
    'R-MMU-2534343':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interaction With Cumulus Cells And The Zona Pellucida"""]),
    'R-RNO-2534343':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interaction With Cumulus Cells And The Zona Pellucida"""]),
    'R-SSC-2534343':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interaction With Cumulus Cells And The Zona Pellucida"""]),
    'R-XTR-2534343':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interaction With Cumulus Cells And The Zona Pellucida"""]),
    'R-HSA-2555396':Nto._make([date(2012,  9, 18), '..f....', '.C', """Mitotic Metaphase and Anaphase"""]),
    'R-BTA-2555396':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitotic Metaphase and Anaphase"""]),
    'R-CEL-2555396':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitotic Metaphase and Anaphase"""]),
    'R-CFA-2555396':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitotic Metaphase and Anaphase"""]),
    'R-DDI-2555396':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitotic Metaphase and Anaphase"""]),
    'R-DME-2555396':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitotic Metaphase and Anaphase"""]),
    'R-DRE-2555396':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitotic Metaphase and Anaphase"""]),
    'R-GGA-2555396':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitotic Metaphase and Anaphase"""]),
    'R-MMU-2555396':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitotic Metaphase and Anaphase"""]),
    'R-PFA-2555396':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitotic Metaphase and Anaphase"""]),
    'R-RNO-2555396':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitotic Metaphase and Anaphase"""]),
    'R-SCE-2555396':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitotic Metaphase and Anaphase"""]),
    'R-SPO-2555396':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitotic Metaphase and Anaphase"""]),
    'R-SSC-2555396':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitotic Metaphase and Anaphase"""]),
    'R-XTR-2555396':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Mitotic Metaphase and Anaphase"""]),
    'R-HSA-2559580':Nto._make([date(2013,  9, 18), '..F.P..', '..', """Oxidative Stress Induced Senescence"""]),
    'R-BTA-2559580':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oxidative Stress Induced Senescence"""]),
    'R-CEL-2559580':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oxidative Stress Induced Senescence"""]),
    'R-CFA-2559580':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oxidative Stress Induced Senescence"""]),
    'R-DDI-2559580':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oxidative Stress Induced Senescence"""]),
    'R-DME-2559580':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oxidative Stress Induced Senescence"""]),
    'R-DRE-2559580':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oxidative Stress Induced Senescence"""]),
    'R-GGA-2559580':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oxidative Stress Induced Senescence"""]),
    'R-MMU-2559580':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oxidative Stress Induced Senescence"""]),
    'R-PFA-2559580':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oxidative Stress Induced Senescence"""]),
    'R-RNO-2559580':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oxidative Stress Induced Senescence"""]),
    'R-SCE-2559580':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oxidative Stress Induced Senescence"""]),
    'R-SPO-2559580':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oxidative Stress Induced Senescence"""]),
    'R-SSC-2559580':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oxidative Stress Induced Senescence"""]),
    'R-XTR-2559580':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oxidative Stress Induced Senescence"""]),
    'R-HSA-2559582':Nto._make([date(2013,  9, 18), '..F.P..', '..', """Senescence-Associated Secretory Phenotype (SASP)"""]),
    'R-BTA-2559582':Nto._make([date(2019,  3, 20), '..fI...', '..', """Senescence-Associated Secretory Phenotype (SASP)"""]),
    'R-CEL-2559582':Nto._make([date(2019,  3, 20), '..fI...', '..', """Senescence-Associated Secretory Phenotype (SASP)"""]),
    'R-CFA-2559582':Nto._make([date(2019,  3, 20), '..fI...', '..', """Senescence-Associated Secretory Phenotype (SASP)"""]),
    'R-DDI-2559582':Nto._make([date(2019,  3, 20), '..fI...', '..', """Senescence-Associated Secretory Phenotype (SASP)"""]),
    'R-DME-2559582':Nto._make([date(2019,  3, 20), '..fI...', '..', """Senescence-Associated Secretory Phenotype (SASP)"""]),
    'R-DRE-2559582':Nto._make([date(2019,  3, 20), '..fI...', '..', """Senescence-Associated Secretory Phenotype (SASP)"""]),
    'R-GGA-2559582':Nto._make([date(2019,  3, 20), '..fI...', '..', """Senescence-Associated Secretory Phenotype (SASP)"""]),
    'R-MMU-2559582':Nto._make([date(2019,  3, 20), '..fI...', '..', """Senescence-Associated Secretory Phenotype (SASP)"""]),
    'R-PFA-2559582':Nto._make([date(2019,  3, 20), '..fI...', '..', """Senescence-Associated Secretory Phenotype (SASP)"""]),
    'R-RNO-2559582':Nto._make([date(2019,  3, 20), '..fI...', '..', """Senescence-Associated Secretory Phenotype (SASP)"""]),
    'R-SCE-2559582':Nto._make([date(2019,  3, 20), '..fI...', '..', """Senescence-Associated Secretory Phenotype (SASP)"""]),
    'R-SPO-2559582':Nto._make([date(2019,  3, 20), '..fI...', '..', """Senescence-Associated Secretory Phenotype (SASP)"""]),
    'R-SSC-2559582':Nto._make([date(2019,  3, 20), '..fI...', '..', """Senescence-Associated Secretory Phenotype (SASP)"""]),
    'R-XTR-2559582':Nto._make([date(2019,  3, 20), '..fI...', '..', """Senescence-Associated Secretory Phenotype (SASP)"""]),
    'R-HSA-2559583':Nto._make([date(2013,  9, 18), '..F.P..', '..', """Cellular Senescence"""]),
    'R-BTA-2559583':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cellular Senescence"""]),
    'R-CEL-2559583':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cellular Senescence"""]),
    'R-CFA-2559583':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cellular Senescence"""]),
    'R-DDI-2559583':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cellular Senescence"""]),
    'R-DME-2559583':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cellular Senescence"""]),
    'R-DRE-2559583':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cellular Senescence"""]),
    'R-GGA-2559583':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cellular Senescence"""]),
    'R-MMU-2559583':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cellular Senescence"""]),
    'R-PFA-2559583':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cellular Senescence"""]),
    'R-RNO-2559583':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cellular Senescence"""]),
    'R-SCE-2559583':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cellular Senescence"""]),
    'R-SPO-2559583':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cellular Senescence"""]),
    'R-SSC-2559583':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cellular Senescence"""]),
    'R-XTR-2559583':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cellular Senescence"""]),
    'R-HSA-2559584':Nto._make([date(2013,  9, 18), '....P..', '..', """Formation of Senescence-Associated Heterochromatin Foci (SAHF)"""]),
    'R-BTA-2559584':Nto._make([date(2019,  3, 20), '...I...', '..', """Formation of Senescence-Associated Heterochromatin Foci (SAHF)"""]),
    'R-CEL-2559584':Nto._make([date(2019,  3, 20), '...I...', '..', """Formation of Senescence-Associated Heterochromatin Foci (SAHF)"""]),
    'R-CFA-2559584':Nto._make([date(2019,  3, 20), '...I...', '..', """Formation of Senescence-Associated Heterochromatin Foci (SAHF)"""]),
    'R-DRE-2559584':Nto._make([date(2019,  3, 20), '...I...', '..', """Formation of Senescence-Associated Heterochromatin Foci (SAHF)"""]),
    'R-MMU-2559584':Nto._make([date(2019,  3, 20), '...I...', '..', """Formation of Senescence-Associated Heterochromatin Foci (SAHF)"""]),
    'R-RNO-2559584':Nto._make([date(2019,  3, 20), '...I...', '..', """Formation of Senescence-Associated Heterochromatin Foci (SAHF)"""]),
    'R-SSC-2559584':Nto._make([date(2019,  3, 20), '...I...', '..', """Formation of Senescence-Associated Heterochromatin Foci (SAHF)"""]),
    'R-XTR-2559584':Nto._make([date(2019,  3, 20), '...I...', '..', """Formation of Senescence-Associated Heterochromatin Foci (SAHF)"""]),
    'R-HSA-2559585':Nto._make([date(2013,  9, 18), '..F.P..', '..', """Oncogene Induced Senescence"""]),
    'R-BTA-2559585':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oncogene Induced Senescence"""]),
    'R-CFA-2559585':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oncogene Induced Senescence"""]),
    'R-DME-2559585':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oncogene Induced Senescence"""]),
    'R-DRE-2559585':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oncogene Induced Senescence"""]),
    'R-GGA-2559585':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oncogene Induced Senescence"""]),
    'R-MMU-2559585':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oncogene Induced Senescence"""]),
    'R-RNO-2559585':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oncogene Induced Senescence"""]),
    'R-SSC-2559585':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oncogene Induced Senescence"""]),
    'R-XTR-2559585':Nto._make([date(2019,  3, 20), '..fI...', '..', """Oncogene Induced Senescence"""]),
    'R-HSA-2559586':Nto._make([date(2013,  9, 18), '..F.P..', '..', """DNA Damage/Telomere Stress Induced Senescence"""]),
    'R-BTA-2559586':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Damage/Telomere Stress Induced Senescence"""]),
    'R-CEL-2559586':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Damage/Telomere Stress Induced Senescence"""]),
    'R-CFA-2559586':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Damage/Telomere Stress Induced Senescence"""]),
    'R-DME-2559586':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Damage/Telomere Stress Induced Senescence"""]),
    'R-DRE-2559586':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Damage/Telomere Stress Induced Senescence"""]),
    'R-GGA-2559586':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Damage/Telomere Stress Induced Senescence"""]),
    'R-MMU-2559586':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Damage/Telomere Stress Induced Senescence"""]),
    'R-RNO-2559586':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Damage/Telomere Stress Induced Senescence"""]),
    'R-SCE-2559586':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Damage/Telomere Stress Induced Senescence"""]),
    'R-SPO-2559586':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Damage/Telomere Stress Induced Senescence"""]),
    'R-SSC-2559586':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Damage/Telomere Stress Induced Senescence"""]),
    'R-XTR-2559586':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Damage/Telomere Stress Induced Senescence"""]),
    'R-HSA-2562578':Nto._make([date(2012, 12,  4), '....P..', '.C', """TRIF-mediated programmed cell death"""]),
    'R-MMU-2562578':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRIF-mediated programmed cell death"""]),
    'R-SSC-2562578':Nto._make([date(2019,  3, 20), '...I...', '.C', """TRIF-mediated programmed cell death"""]),
    'R-SCE-2564818':Nto._make([date(2013,  3, 12), '....P..', '.C', """Cytosolic iron-sulfur cluster assembly (yeast)"""]),
    'R-HSA-2564830':Nto._make([date(2013,  3, 12), '..fIP..', '.C', """Cytosolic iron-sulfur cluster assembly"""]),
    'R-HSA-2565942':Nto._make([date(2013,  3, 12), '....P..', '.C', """Regulation of PLK1 Activity at G2/M Transition"""]),
    'R-BTA-2565942':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of PLK1 Activity at G2/M Transition"""]),
    'R-CEL-2565942':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of PLK1 Activity at G2/M Transition"""]),
    'R-CFA-2565942':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of PLK1 Activity at G2/M Transition"""]),
    'R-DDI-2565942':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of PLK1 Activity at G2/M Transition"""]),
    'R-DME-2565942':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of PLK1 Activity at G2/M Transition"""]),
    'R-DRE-2565942':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of PLK1 Activity at G2/M Transition"""]),
    'R-GGA-2565942':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of PLK1 Activity at G2/M Transition"""]),
    'R-MMU-2565942':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of PLK1 Activity at G2/M Transition"""]),
    'R-PFA-2565942':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of PLK1 Activity at G2/M Transition"""]),
    'R-RNO-2565942':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of PLK1 Activity at G2/M Transition"""]),
    'R-SCE-2565942':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of PLK1 Activity at G2/M Transition"""]),
    'R-SPO-2565942':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of PLK1 Activity at G2/M Transition"""]),
    'R-SSC-2565942':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of PLK1 Activity at G2/M Transition"""]),
    'R-XTR-2565942':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of PLK1 Activity at G2/M Transition"""]),
    'R-HSA-2586552':Nto._make([date(2013,  9, 18), '..f.P..', '.C', """Signaling by Leptin"""]),
    'R-CEL-2586552':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Leptin"""]),
    'R-CFA-2586552':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Leptin"""]),
    'R-DDI-2586552':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Leptin"""]),
    'R-DME-2586552':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Leptin"""]),
    'R-DRE-2586552':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Leptin"""]),
    'R-GGA-2586552':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Leptin"""]),
    'R-MMU-2586552':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Leptin"""]),
    'R-RNO-2586552':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Leptin"""]),
    'R-XTR-2586552':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Signaling by Leptin"""]),
    'R-HSA-2644602':Nto._make([date(2012,  3, 12), '.Df.P..', '..', """Signaling by NOTCH1 PEST Domain Mutants in Cancer"""]),
    'R-HSA-2644603':Nto._make([date(2013,  3, 12), '.Df.P..', '..', """Signaling by NOTCH1 in Cancer"""]),
    'R-HSA-2644605':Nto._make([date(2012,  3, 12), '.Df.P..', '..', """FBXW7 Mutants and NOTCH1 in Cancer"""]),
    'R-HSA-2644606':Nto._make([date(2012,  3, 12), '.D..P..', '..', """Constitutive Signaling by NOTCH1 PEST Domain Mutants"""]),
    'R-HSA-2644607':Nto._make([date(2012,  3, 12), '.D..P..', '..', """Loss of Function of FBXW7 in Cancer and NOTCH1 Signaling"""]),
    'R-HSA-2660825':Nto._make([date(2013,  3, 12), '.Df.P..', '..', """Signaling by NOTCH1 t(7;9)(NOTCH1:M1580_K2555) Translocation Mutant"""]),
    'R-HSA-2660826':Nto._make([date(2012,  3, 12), '.D..P..', '..', """Constitutive Signaling by NOTCH1 t(7;9)(NOTCH1:M1580_K2555) Translocation Mutant"""]),
    'R-HSA-2672351':Nto._make([date(2013,  3, 12), '....PB.', '..', """Stimuli-sensing channels"""]),
    'R-BTA-2672351':Nto._make([date(2019,  3, 20), '...I...', '..', """Stimuli-sensing channels"""]),
    'R-CEL-2672351':Nto._make([date(2019,  3, 20), '...I...', '..', """Stimuli-sensing channels"""]),
    'R-CFA-2672351':Nto._make([date(2019,  3, 20), '...I...', '..', """Stimuli-sensing channels"""]),
    'R-DDI-2672351':Nto._make([date(2019,  3, 20), '...I...', '..', """Stimuli-sensing channels"""]),
    'R-DME-2672351':Nto._make([date(2019,  3, 20), '...I...', '..', """Stimuli-sensing channels"""]),
    'R-DRE-2672351':Nto._make([date(2019,  3, 20), '...I...', '..', """Stimuli-sensing channels"""]),
    'R-GGA-2672351':Nto._make([date(2019,  3, 20), '...I...', '..', """Stimuli-sensing channels"""]),
    'R-MMU-2672351':Nto._make([date(2019,  3, 20), '...I...', '..', """Stimuli-sensing channels"""]),
    'R-PFA-2672351':Nto._make([date(2019,  3, 20), '...I...', '..', """Stimuli-sensing channels"""]),
    'R-RNO-2672351':Nto._make([date(2019,  3, 20), '...I...', '..', """Stimuli-sensing channels"""]),
    'R-SCE-2672351':Nto._make([date(2019,  3, 20), '...I...', '..', """Stimuli-sensing channels"""]),
    'R-SPO-2672351':Nto._make([date(2019,  3, 20), '...I...', '..', """Stimuli-sensing channels"""]),
    'R-SSC-2672351':Nto._make([date(2019,  3, 20), '...I...', '..', """Stimuli-sensing channels"""]),
    'R-XTR-2672351':Nto._make([date(2019,  3, 20), '...I...', '..', """Stimuli-sensing channels"""]),
    'R-HSA-2682334':Nto._make([date(2014,  6, 10), '..f.P..', 'BC', """EPH-Ephrin signaling"""]),
    'R-BTA-2682334':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """EPH-Ephrin signaling"""]),
    'R-CEL-2682334':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """EPH-Ephrin signaling"""]),
    'R-CFA-2682334':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """EPH-Ephrin signaling"""]),
    'R-DDI-2682334':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """EPH-Ephrin signaling"""]),
    'R-DME-2682334':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """EPH-Ephrin signaling"""]),
    'R-DRE-2682334':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """EPH-Ephrin signaling"""]),
    'R-GGA-2682334':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """EPH-Ephrin signaling"""]),
    'R-MMU-2682334':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """EPH-Ephrin signaling"""]),
    'R-RNO-2682334':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """EPH-Ephrin signaling"""]),
    'R-SSC-2682334':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """EPH-Ephrin signaling"""]),
    'R-XTR-2682334':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """EPH-Ephrin signaling"""]),
    'R-HSA-2691230':Nto._make([date(2012,  3, 12), '.Df.P..', '..', """Signaling by NOTCH1 HD Domain Mutants in Cancer"""]),
    'R-HSA-2691232':Nto._make([date(2012,  3, 12), '.D..P..', '..', """Constitutive Signaling by NOTCH1 HD Domain Mutants"""]),
    'R-HSA-2730905':Nto._make([date(2013,  6, 11), '....P..', '.C', """Role of LAT2/NTAL/LAB on calcium mobilization"""]),
    'R-BTA-2730905':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of LAT2/NTAL/LAB on calcium mobilization"""]),
    'R-CEL-2730905':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of LAT2/NTAL/LAB on calcium mobilization"""]),
    'R-CFA-2730905':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of LAT2/NTAL/LAB on calcium mobilization"""]),
    'R-DDI-2730905':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of LAT2/NTAL/LAB on calcium mobilization"""]),
    'R-DME-2730905':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of LAT2/NTAL/LAB on calcium mobilization"""]),
    'R-DRE-2730905':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of LAT2/NTAL/LAB on calcium mobilization"""]),
    'R-GGA-2730905':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of LAT2/NTAL/LAB on calcium mobilization"""]),
    'R-MMU-2730905':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of LAT2/NTAL/LAB on calcium mobilization"""]),
    'R-PFA-2730905':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of LAT2/NTAL/LAB on calcium mobilization"""]),
    'R-RNO-2730905':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of LAT2/NTAL/LAB on calcium mobilization"""]),
    'R-SCE-2730905':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of LAT2/NTAL/LAB on calcium mobilization"""]),
    'R-SPO-2730905':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of LAT2/NTAL/LAB on calcium mobilization"""]),
    'R-SSC-2730905':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of LAT2/NTAL/LAB on calcium mobilization"""]),
    'R-XTR-2730905':Nto._make([date(2019,  3, 20), '...I...', '.C', """Role of LAT2/NTAL/LAB on calcium mobilization"""]),
    'R-HSA-2855086':Nto._make([date(2013,  6, 11), '....P..', 'B.', """Ficolins bind to repetitive carbohydrate structures on the target cell surface"""]),
    'R-BTA-2855086':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ficolins bind to repetitive carbohydrate structures on the target cell surface"""]),
    'R-CFA-2855086':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ficolins bind to repetitive carbohydrate structures on the target cell surface"""]),
    'R-GGA-2855086':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ficolins bind to repetitive carbohydrate structures on the target cell surface"""]),
    'R-MMU-2855086':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ficolins bind to repetitive carbohydrate structures on the target cell surface"""]),
    'R-RNO-2855086':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ficolins bind to repetitive carbohydrate structures on the target cell surface"""]),
    'R-SSC-2855086':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ficolins bind to repetitive carbohydrate structures on the target cell surface"""]),
    'R-XTR-2855086':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ficolins bind to repetitive carbohydrate structures on the target cell surface"""]),
    'R-HSA-2871796':Nto._make([date(2013,  6, 11), '....P..', '.C', """FCERI mediated MAPK activation"""]),
    'R-BTA-2871796':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated MAPK activation"""]),
    'R-CEL-2871796':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated MAPK activation"""]),
    'R-CFA-2871796':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated MAPK activation"""]),
    'R-DME-2871796':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated MAPK activation"""]),
    'R-DRE-2871796':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated MAPK activation"""]),
    'R-GGA-2871796':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated MAPK activation"""]),
    'R-MMU-2871796':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated MAPK activation"""]),
    'R-RNO-2871796':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated MAPK activation"""]),
    'R-SSC-2871796':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated MAPK activation"""]),
    'R-XTR-2871796':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated MAPK activation"""]),
    'R-HSA-2871809':Nto._make([date(2013,  6, 11), '....P..', '.C', """FCERI mediated Ca+2 mobilization"""]),
    'R-BTA-2871809':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated Ca+2 mobilization"""]),
    'R-CEL-2871809':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated Ca+2 mobilization"""]),
    'R-CFA-2871809':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated Ca+2 mobilization"""]),
    'R-DDI-2871809':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated Ca+2 mobilization"""]),
    'R-DME-2871809':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated Ca+2 mobilization"""]),
    'R-DRE-2871809':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated Ca+2 mobilization"""]),
    'R-GGA-2871809':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated Ca+2 mobilization"""]),
    'R-MMU-2871809':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated Ca+2 mobilization"""]),
    'R-PFA-2871809':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated Ca+2 mobilization"""]),
    'R-RNO-2871809':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated Ca+2 mobilization"""]),
    'R-SCE-2871809':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated Ca+2 mobilization"""]),
    'R-SPO-2871809':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated Ca+2 mobilization"""]),
    'R-SSC-2871809':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated Ca+2 mobilization"""]),
    'R-XTR-2871809':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated Ca+2 mobilization"""]),
    'R-HSA-2871837':Nto._make([date(2013,  6, 11), '....P..', '.C', """FCERI mediated NF-kB activation"""]),
    'R-BTA-2871837':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated NF-kB activation"""]),
    'R-CEL-2871837':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated NF-kB activation"""]),
    'R-CFA-2871837':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated NF-kB activation"""]),
    'R-DDI-2871837':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated NF-kB activation"""]),
    'R-DME-2871837':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated NF-kB activation"""]),
    'R-DRE-2871837':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated NF-kB activation"""]),
    'R-GGA-2871837':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated NF-kB activation"""]),
    'R-MMU-2871837':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated NF-kB activation"""]),
    'R-RNO-2871837':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated NF-kB activation"""]),
    'R-SCE-2871837':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated NF-kB activation"""]),
    'R-SPO-2871837':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated NF-kB activation"""]),
    'R-SSC-2871837':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated NF-kB activation"""]),
    'R-XTR-2871837':Nto._make([date(2019,  3, 20), '...I...', '.C', """FCERI mediated NF-kB activation"""]),
    'R-HSA-2892245':Nto._make([date(2014,  3, 12), '..f.P..', '.C', """POU5F1 (OCT4), SOX2, NANOG repress genes related to differentiation"""]),
    'R-HSA-2892247':Nto._make([date(2014,  3, 12), '..f.P..', '.C', """POU5F1 (OCT4), SOX2, NANOG activate genes related to proliferation"""]),
    'R-HSA-2894858':Nto._make([date(2012,  3, 12), '.Df.P..', '..', """Signaling by NOTCH1 HD+PEST Domain Mutants in Cancer"""]),
    'R-HSA-2894862':Nto._make([date(2012,  3, 12), '.D..P..', '..', """Constitutive Signaling by NOTCH1 HD+PEST Domain Mutants"""]),
    'R-HSA-2978092':Nto._make([date(2010, 12, 14), '.Df.P..', 'BC', """Abnormal conversion of 2-oxoglutarate to 2-hydroxyglutarate"""]),
    'R-HSA-2979096':Nto._make([date(2013,  6, 11), '....P..', '..', """NOTCH2 Activation and Transmission of Signal to the Nucleus"""]),
    'R-GGA-2979096':Nto._make([date(2019,  3, 20), '...I...', '..', """NOTCH2 Activation and Transmission of Signal to the Nucleus"""]),
    'R-XTR-2979096':Nto._make([date(2019,  3, 20), '...I...', '..', """NOTCH2 Activation and Transmission of Signal to the Nucleus"""]),
    'R-HSA-2980736':Nto._make([date(2013,  3, 12), '..F.P..', '.C', """Peptide hormone metabolism"""]),
    'R-BTA-2980736':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Peptide hormone metabolism"""]),
    'R-CEL-2980736':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Peptide hormone metabolism"""]),
    'R-CFA-2980736':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Peptide hormone metabolism"""]),
    'R-DDI-2980736':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Peptide hormone metabolism"""]),
    'R-DME-2980736':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Peptide hormone metabolism"""]),
    'R-DRE-2980736':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Peptide hormone metabolism"""]),
    'R-GGA-2980736':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Peptide hormone metabolism"""]),
    'R-MMU-2980736':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Peptide hormone metabolism"""]),
    'R-PFA-2980736':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Peptide hormone metabolism"""]),
    'R-RNO-2980736':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Peptide hormone metabolism"""]),
    'R-SCE-2980736':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Peptide hormone metabolism"""]),
    'R-SPO-2980736':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Peptide hormone metabolism"""]),
    'R-SSC-2980736':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Peptide hormone metabolism"""]),
    'R-XTR-2980736':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Peptide hormone metabolism"""]),
    'R-HSA-2980766':Nto._make([date(2013,  3, 12), '....P..', 'B.', """Nuclear Envelope Breakdown"""]),
    'R-BTA-2980766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Breakdown"""]),
    'R-CEL-2980766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Breakdown"""]),
    'R-CFA-2980766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Breakdown"""]),
    'R-DDI-2980766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Breakdown"""]),
    'R-DME-2980766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Breakdown"""]),
    'R-DRE-2980766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Breakdown"""]),
    'R-GGA-2980766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Breakdown"""]),
    'R-MMU-2980766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Breakdown"""]),
    'R-PFA-2980766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Breakdown"""]),
    'R-RNO-2980766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Breakdown"""]),
    'R-SCE-2980766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Breakdown"""]),
    'R-SPO-2980766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Breakdown"""]),
    'R-SSC-2980766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Breakdown"""]),
    'R-XTR-2980766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Breakdown"""]),
    'R-HSA-2980767':Nto._make([date(2013,  3, 12), '....P..', '..', """Activation of NIMA Kinases NEK9, NEK6, NEK7"""]),
    'R-BTA-2980767':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of NIMA Kinases NEK9, NEK6, NEK7"""]),
    'R-CFA-2980767':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of NIMA Kinases NEK9, NEK6, NEK7"""]),
    'R-DRE-2980767':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of NIMA Kinases NEK9, NEK6, NEK7"""]),
    'R-GGA-2980767':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of NIMA Kinases NEK9, NEK6, NEK7"""]),
    'R-MMU-2980767':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of NIMA Kinases NEK9, NEK6, NEK7"""]),
    'R-RNO-2980767':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of NIMA Kinases NEK9, NEK6, NEK7"""]),
    'R-SSC-2980767':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of NIMA Kinases NEK9, NEK6, NEK7"""]),
    'R-XTR-2980767':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of NIMA Kinases NEK9, NEK6, NEK7"""]),
    'R-HSA-2990846':Nto._make([date(2013,  6, 11), '..f.P..', 'BC', """SUMOylation"""]),
    'R-BTA-2990846':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMOylation"""]),
    'R-CEL-2990846':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMOylation"""]),
    'R-CFA-2990846':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMOylation"""]),
    'R-DDI-2990846':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMOylation"""]),
    'R-DME-2990846':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMOylation"""]),
    'R-DRE-2990846':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMOylation"""]),
    'R-GGA-2990846':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMOylation"""]),
    'R-MMU-2990846':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMOylation"""]),
    'R-PFA-2990846':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMOylation"""]),
    'R-RNO-2990846':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMOylation"""]),
    'R-SCE-2990846':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMOylation"""]),
    'R-SPO-2990846':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMOylation"""]),
    'R-SSC-2990846':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMOylation"""]),
    'R-XTR-2990846':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMOylation"""]),
    'R-HSA-2995383':Nto._make([date(2013,  3, 12), '....P..', '..', """Initiation of Nuclear Envelope Reformation"""]),
    'R-BTA-2995383':Nto._make([date(2019,  3, 20), '...I...', '..', """Initiation of Nuclear Envelope Reformation"""]),
    'R-CEL-2995383':Nto._make([date(2019,  3, 20), '...I...', '..', """Initiation of Nuclear Envelope Reformation"""]),
    'R-CFA-2995383':Nto._make([date(2019,  3, 20), '...I...', '..', """Initiation of Nuclear Envelope Reformation"""]),
    'R-DME-2995383':Nto._make([date(2019,  3, 20), '...I...', '..', """Initiation of Nuclear Envelope Reformation"""]),
    'R-DRE-2995383':Nto._make([date(2019,  3, 20), '...I...', '..', """Initiation of Nuclear Envelope Reformation"""]),
    'R-GGA-2995383':Nto._make([date(2019,  3, 20), '...I...', '..', """Initiation of Nuclear Envelope Reformation"""]),
    'R-MMU-2995383':Nto._make([date(2019,  3, 20), '...I...', '..', """Initiation of Nuclear Envelope Reformation"""]),
    'R-RNO-2995383':Nto._make([date(2019,  3, 20), '...I...', '..', """Initiation of Nuclear Envelope Reformation"""]),
    'R-SSC-2995383':Nto._make([date(2019,  3, 20), '...I...', '..', """Initiation of Nuclear Envelope Reformation"""]),
    'R-XTR-2995383':Nto._make([date(2019,  3, 20), '...I...', '..', """Initiation of Nuclear Envelope Reformation"""]),
    'R-HSA-2995410':Nto._make([date(2012,  3, 13), '....P..', 'B.', """Nuclear Envelope Reassembly"""]),
    'R-BTA-2995410':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Reassembly"""]),
    'R-CEL-2995410':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Reassembly"""]),
    'R-CFA-2995410':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Reassembly"""]),
    'R-DME-2995410':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Reassembly"""]),
    'R-DRE-2995410':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Reassembly"""]),
    'R-GGA-2995410':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Reassembly"""]),
    'R-MMU-2995410':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Reassembly"""]),
    'R-RNO-2995410':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Reassembly"""]),
    'R-SSC-2995410':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Reassembly"""]),
    'R-XTR-2995410':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Nuclear Envelope Reassembly"""]),
    'R-HSA-3000157':Nto._make([date(2013,  9, 18), '....P..', '..', """Laminin interactions"""]),
    'R-BTA-3000157':Nto._make([date(2019,  3, 20), '...I...', '..', """Laminin interactions"""]),
    'R-CEL-3000157':Nto._make([date(2019,  3, 20), '...I...', '..', """Laminin interactions"""]),
    'R-CFA-3000157':Nto._make([date(2019,  3, 20), '...I...', '..', """Laminin interactions"""]),
    'R-DDI-3000157':Nto._make([date(2019,  3, 20), '...I...', '..', """Laminin interactions"""]),
    'R-DME-3000157':Nto._make([date(2019,  3, 20), '...I...', '..', """Laminin interactions"""]),
    'R-DRE-3000157':Nto._make([date(2019,  3, 20), '...I...', '..', """Laminin interactions"""]),
    'R-GGA-3000157':Nto._make([date(2019,  3, 20), '...I...', '..', """Laminin interactions"""]),
    'R-MMU-3000157':Nto._make([date(2019,  3, 20), '...I...', '..', """Laminin interactions"""]),
    'R-RNO-3000157':Nto._make([date(2019,  3, 20), '...I...', '..', """Laminin interactions"""]),
    'R-SSC-3000157':Nto._make([date(2019,  3, 20), '...I...', '..', """Laminin interactions"""]),
    'R-XTR-3000157':Nto._make([date(2019,  3, 20), '...I...', '..', """Laminin interactions"""]),
    'R-HSA-3000170':Nto._make([date(2013,  6, 11), '..f.P..', '..', """Syndecan interactions"""]),
    'R-BTA-3000170':Nto._make([date(2019,  3, 20), '..fI...', '..', """Syndecan interactions"""]),
    'R-CEL-3000170':Nto._make([date(2019,  3, 20), '..fI...', '..', """Syndecan interactions"""]),
    'R-CFA-3000170':Nto._make([date(2019,  3, 20), '..fI...', '..', """Syndecan interactions"""]),
    'R-DME-3000170':Nto._make([date(2019,  3, 20), '..fI...', '..', """Syndecan interactions"""]),
    'R-DRE-3000170':Nto._make([date(2019,  3, 20), '..fI...', '..', """Syndecan interactions"""]),
    'R-GGA-3000170':Nto._make([date(2019,  3, 20), '..fI...', '..', """Syndecan interactions"""]),
    'R-MMU-3000170':Nto._make([date(2019,  3, 20), '..fI...', '..', """Syndecan interactions"""]),
    'R-RNO-3000170':Nto._make([date(2019,  3, 20), '..fI...', '..', """Syndecan interactions"""]),
    'R-SSC-3000170':Nto._make([date(2019,  3, 20), '..fI...', '..', """Syndecan interactions"""]),
    'R-XTR-3000170':Nto._make([date(2019,  3, 20), '..fI...', '..', """Syndecan interactions"""]),
    'R-HSA-3000171':Nto._make([date(2013,  6, 11), '....P..', '..', """Non-integrin membrane-ECM interactions"""]),
    'R-BTA-3000171':Nto._make([date(2019,  3, 20), '...I...', '..', """Non-integrin membrane-ECM interactions"""]),
    'R-CEL-3000171':Nto._make([date(2019,  3, 20), '...I...', '..', """Non-integrin membrane-ECM interactions"""]),
    'R-CFA-3000171':Nto._make([date(2019,  3, 20), '...I...', '..', """Non-integrin membrane-ECM interactions"""]),
    'R-DDI-3000171':Nto._make([date(2019,  3, 20), '...I...', '..', """Non-integrin membrane-ECM interactions"""]),
    'R-DME-3000171':Nto._make([date(2019,  3, 20), '...I...', '..', """Non-integrin membrane-ECM interactions"""]),
    'R-DRE-3000171':Nto._make([date(2019,  3, 20), '...I...', '..', """Non-integrin membrane-ECM interactions"""]),
    'R-GGA-3000171':Nto._make([date(2019,  3, 20), '...I...', '..', """Non-integrin membrane-ECM interactions"""]),
    'R-MMU-3000171':Nto._make([date(2019,  3, 20), '...I...', '..', """Non-integrin membrane-ECM interactions"""]),
    'R-RNO-3000171':Nto._make([date(2019,  3, 20), '...I...', '..', """Non-integrin membrane-ECM interactions"""]),
    'R-SSC-3000171':Nto._make([date(2019,  3, 20), '...I...', '..', """Non-integrin membrane-ECM interactions"""]),
    'R-XTR-3000171':Nto._make([date(2019,  3, 20), '...I...', '..', """Non-integrin membrane-ECM interactions"""]),
    'R-HSA-3000178':Nto._make([date(2013,  6, 11), '....PB.', '..', """ECM proteoglycans"""]),
    'R-BTA-3000178':Nto._make([date(2019,  3, 20), '...I...', '..', """ECM proteoglycans"""]),
    'R-CEL-3000178':Nto._make([date(2019,  3, 20), '...I...', '..', """ECM proteoglycans"""]),
    'R-CFA-3000178':Nto._make([date(2019,  3, 20), '...I...', '..', """ECM proteoglycans"""]),
    'R-DME-3000178':Nto._make([date(2019,  3, 20), '...I...', '..', """ECM proteoglycans"""]),
    'R-DRE-3000178':Nto._make([date(2019,  3, 20), '...I...', '..', """ECM proteoglycans"""]),
    'R-GGA-3000178':Nto._make([date(2019,  3, 20), '...I...', '..', """ECM proteoglycans"""]),
    'R-MMU-3000178':Nto._make([date(2019,  3, 20), '...I...', '..', """ECM proteoglycans"""]),
    'R-RNO-3000178':Nto._make([date(2019,  3, 20), '...I...', '..', """ECM proteoglycans"""]),
    'R-SSC-3000178':Nto._make([date(2019,  3, 20), '...I...', '..', """ECM proteoglycans"""]),
    'R-XTR-3000178':Nto._make([date(2019,  3, 20), '...I...', '..', """ECM proteoglycans"""]),
    'R-HSA-3000471':Nto._make([date(2013,  6, 11), '....P..', 'BC', """Scavenging by Class B Receptors"""]),
    'R-BTA-3000471':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class B Receptors"""]),
    'R-CFA-3000471':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class B Receptors"""]),
    'R-DRE-3000471':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class B Receptors"""]),
    'R-GGA-3000471':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class B Receptors"""]),
    'R-MMU-3000471':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class B Receptors"""]),
    'R-RNO-3000471':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class B Receptors"""]),
    'R-SSC-3000471':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class B Receptors"""]),
    'R-XTR-3000471':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class B Receptors"""]),
    'R-HSA-3000480':Nto._make([date(2013,  6, 11), '....P..', 'BC', """Scavenging by Class A Receptors"""]),
    'R-BTA-3000480':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class A Receptors"""]),
    'R-CFA-3000480':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class A Receptors"""]),
    'R-DRE-3000480':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class A Receptors"""]),
    'R-GGA-3000480':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class A Receptors"""]),
    'R-MMU-3000480':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class A Receptors"""]),
    'R-RNO-3000480':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class A Receptors"""]),
    'R-SSC-3000480':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class A Receptors"""]),
    'R-XTR-3000480':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class A Receptors"""]),
    'R-HSA-3000484':Nto._make([date(2013,  6, 11), '....P..', 'BC', """Scavenging by Class F Receptors"""]),
    'R-HSA-3000497':Nto._make([date(2013,  6, 11), '....P..', 'BC', """Scavenging by Class H Receptors"""]),
    'R-BTA-3000497':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class H Receptors"""]),
    'R-CFA-3000497':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class H Receptors"""]),
    'R-DRE-3000497':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class H Receptors"""]),
    'R-MMU-3000497':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class H Receptors"""]),
    'R-RNO-3000497':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class H Receptors"""]),
    'R-SSC-3000497':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class H Receptors"""]),
    'R-XTR-3000497':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Scavenging by Class H Receptors"""]),
    'R-HSA-3065676':Nto._make([date(2013,  6, 11), '....P..', 'BC', """SUMO is conjugated to E1 (UBA2:SAE1)"""]),
    'R-BTA-3065676':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is conjugated to E1 (UBA2:SAE1)"""]),
    'R-CEL-3065676':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is conjugated to E1 (UBA2:SAE1)"""]),
    'R-CFA-3065676':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is conjugated to E1 (UBA2:SAE1)"""]),
    'R-DDI-3065676':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is conjugated to E1 (UBA2:SAE1)"""]),
    'R-DRE-3065676':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is conjugated to E1 (UBA2:SAE1)"""]),
    'R-GGA-3065676':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is conjugated to E1 (UBA2:SAE1)"""]),
    'R-MMU-3065676':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is conjugated to E1 (UBA2:SAE1)"""]),
    'R-PFA-3065676':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is conjugated to E1 (UBA2:SAE1)"""]),
    'R-RNO-3065676':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is conjugated to E1 (UBA2:SAE1)"""]),
    'R-SCE-3065676':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is conjugated to E1 (UBA2:SAE1)"""]),
    'R-SPO-3065676':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is conjugated to E1 (UBA2:SAE1)"""]),
    'R-SSC-3065676':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is conjugated to E1 (UBA2:SAE1)"""]),
    'R-XTR-3065676':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is conjugated to E1 (UBA2:SAE1)"""]),
    'R-HSA-3065678':Nto._make([date(2013,  6, 11), '....P..', 'BC', """SUMO is transferred from E1 to E2 (UBE2I, UBC9)"""]),
    'R-BTA-3065678':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is transferred from E1 to E2 (UBE2I, UBC9)"""]),
    'R-CEL-3065678':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is transferred from E1 to E2 (UBE2I, UBC9)"""]),
    'R-CFA-3065678':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is transferred from E1 to E2 (UBE2I, UBC9)"""]),
    'R-DDI-3065678':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is transferred from E1 to E2 (UBE2I, UBC9)"""]),
    'R-DRE-3065678':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is transferred from E1 to E2 (UBE2I, UBC9)"""]),
    'R-GGA-3065678':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is transferred from E1 to E2 (UBE2I, UBC9)"""]),
    'R-MMU-3065678':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is transferred from E1 to E2 (UBE2I, UBC9)"""]),
    'R-PFA-3065678':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is transferred from E1 to E2 (UBE2I, UBC9)"""]),
    'R-RNO-3065678':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is transferred from E1 to E2 (UBE2I, UBC9)"""]),
    'R-SCE-3065678':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is transferred from E1 to E2 (UBE2I, UBC9)"""]),
    'R-SPO-3065678':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is transferred from E1 to E2 (UBE2I, UBC9)"""]),
    'R-SSC-3065678':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is transferred from E1 to E2 (UBE2I, UBC9)"""]),
    'R-XTR-3065678':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is transferred from E1 to E2 (UBE2I, UBC9)"""]),
    'R-HSA-3065679':Nto._make([date(2013,  6, 11), '....P..', 'BC', """SUMO is proteolytically processed"""]),
    'R-BTA-3065679':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is proteolytically processed"""]),
    'R-CEL-3065679':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is proteolytically processed"""]),
    'R-CFA-3065679':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is proteolytically processed"""]),
    'R-DDI-3065679':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is proteolytically processed"""]),
    'R-DME-3065679':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is proteolytically processed"""]),
    'R-DRE-3065679':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is proteolytically processed"""]),
    'R-GGA-3065679':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is proteolytically processed"""]),
    'R-MMU-3065679':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is proteolytically processed"""]),
    'R-PFA-3065679':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is proteolytically processed"""]),
    'R-RNO-3065679':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is proteolytically processed"""]),
    'R-SCE-3065679':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is proteolytically processed"""]),
    'R-SPO-3065679':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is proteolytically processed"""]),
    'R-SSC-3065679':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is proteolytically processed"""]),
    'R-XTR-3065679':Nto._make([date(2019,  3, 20), '...I...', 'BC', """SUMO is proteolytically processed"""]),
    'R-HSA-3108214':Nto._make([date(2015,  3, 19), '..f.P..', '.C', """SUMOylation of DNA damage response and repair proteins"""]),
    'R-BTA-3108214':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA damage response and repair proteins"""]),
    'R-CEL-3108214':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA damage response and repair proteins"""]),
    'R-CFA-3108214':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA damage response and repair proteins"""]),
    'R-DDI-3108214':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA damage response and repair proteins"""]),
    'R-DME-3108214':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA damage response and repair proteins"""]),
    'R-DRE-3108214':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA damage response and repair proteins"""]),
    'R-GGA-3108214':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA damage response and repair proteins"""]),
    'R-MMU-3108214':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA damage response and repair proteins"""]),
    'R-PFA-3108214':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA damage response and repair proteins"""]),
    'R-RNO-3108214':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA damage response and repair proteins"""]),
    'R-SCE-3108214':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA damage response and repair proteins"""]),
    'R-SPO-3108214':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA damage response and repair proteins"""]),
    'R-SSC-3108214':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA damage response and repair proteins"""]),
    'R-XTR-3108214':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA damage response and repair proteins"""]),
    'R-HSA-3108232':Nto._make([date(2015,  3, 19), '..F.P..', 'BC', """SUMO E3 ligases SUMOylate target proteins"""]),
    'R-BTA-3108232':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMO E3 ligases SUMOylate target proteins"""]),
    'R-CEL-3108232':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMO E3 ligases SUMOylate target proteins"""]),
    'R-CFA-3108232':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMO E3 ligases SUMOylate target proteins"""]),
    'R-DDI-3108232':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMO E3 ligases SUMOylate target proteins"""]),
    'R-DME-3108232':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMO E3 ligases SUMOylate target proteins"""]),
    'R-DRE-3108232':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMO E3 ligases SUMOylate target proteins"""]),
    'R-GGA-3108232':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMO E3 ligases SUMOylate target proteins"""]),
    'R-MMU-3108232':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMO E3 ligases SUMOylate target proteins"""]),
    'R-PFA-3108232':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMO E3 ligases SUMOylate target proteins"""]),
    'R-RNO-3108232':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMO E3 ligases SUMOylate target proteins"""]),
    'R-SCE-3108232':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMO E3 ligases SUMOylate target proteins"""]),
    'R-SPO-3108232':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMO E3 ligases SUMOylate target proteins"""]),
    'R-SSC-3108232':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMO E3 ligases SUMOylate target proteins"""]),
    'R-XTR-3108232':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """SUMO E3 ligases SUMOylate target proteins"""]),
    'R-HSA-3134963':Nto._make([date(2013,  6, 11), '....P..', '..', """DEx/H-box helicases activate type I IFN and inflammatory cytokines production """]),
    'R-BTA-3134963':Nto._make([date(2019,  3, 20), '...I...', '..', """DEx/H-box helicases activate type I IFN and inflammatory cytokines production """]),
    'R-CEL-3134963':Nto._make([date(2019,  3, 20), '...I...', '..', """DEx/H-box helicases activate type I IFN and inflammatory cytokines production """]),
    'R-CFA-3134963':Nto._make([date(2019,  3, 20), '...I...', '..', """DEx/H-box helicases activate type I IFN and inflammatory cytokines production """]),
    'R-DDI-3134963':Nto._make([date(2019,  3, 20), '...I...', '..', """DEx/H-box helicases activate type I IFN and inflammatory cytokines production """]),
    'R-DME-3134963':Nto._make([date(2019,  3, 20), '...I...', '..', """DEx/H-box helicases activate type I IFN and inflammatory cytokines production """]),
    'R-DRE-3134963':Nto._make([date(2019,  3, 20), '...I...', '..', """DEx/H-box helicases activate type I IFN and inflammatory cytokines production """]),
    'R-GGA-3134963':Nto._make([date(2019,  3, 20), '...I...', '..', """DEx/H-box helicases activate type I IFN and inflammatory cytokines production """]),
    'R-MMU-3134963':Nto._make([date(2019,  3, 20), '...I...', '..', """DEx/H-box helicases activate type I IFN and inflammatory cytokines production """]),
    'R-RNO-3134963':Nto._make([date(2019,  3, 20), '...I...', '..', """DEx/H-box helicases activate type I IFN and inflammatory cytokines production """]),
    'R-SCE-3134963':Nto._make([date(2019,  3, 20), '...I...', '..', """DEx/H-box helicases activate type I IFN and inflammatory cytokines production """]),
    'R-SPO-3134963':Nto._make([date(2019,  3, 20), '...I...', '..', """DEx/H-box helicases activate type I IFN and inflammatory cytokines production """]),
    'R-SSC-3134963':Nto._make([date(2019,  3, 20), '...I...', '..', """DEx/H-box helicases activate type I IFN and inflammatory cytokines production """]),
    'R-XTR-3134963':Nto._make([date(2019,  3, 20), '...I...', '..', """DEx/H-box helicases activate type I IFN and inflammatory cytokines production """]),
    'R-HSA-3134973':Nto._make([date(2013,  6, 11), '....P..', '..', """LRR FLII-interacting protein 1 (LRRFIP1) activates type I IFN production"""]),
    'R-BTA-3134973':Nto._make([date(2019,  3, 20), '...I...', '..', """LRR FLII-interacting protein 1 (LRRFIP1) activates type I IFN production"""]),
    'R-CEL-3134973':Nto._make([date(2019,  3, 20), '...I...', '..', """LRR FLII-interacting protein 1 (LRRFIP1) activates type I IFN production"""]),
    'R-CFA-3134973':Nto._make([date(2019,  3, 20), '...I...', '..', """LRR FLII-interacting protein 1 (LRRFIP1) activates type I IFN production"""]),
    'R-DME-3134973':Nto._make([date(2019,  3, 20), '...I...', '..', """LRR FLII-interacting protein 1 (LRRFIP1) activates type I IFN production"""]),
    'R-DRE-3134973':Nto._make([date(2019,  3, 20), '...I...', '..', """LRR FLII-interacting protein 1 (LRRFIP1) activates type I IFN production"""]),
    'R-GGA-3134973':Nto._make([date(2019,  3, 20), '...I...', '..', """LRR FLII-interacting protein 1 (LRRFIP1) activates type I IFN production"""]),
    'R-MMU-3134973':Nto._make([date(2019,  3, 20), '...I...', '..', """LRR FLII-interacting protein 1 (LRRFIP1) activates type I IFN production"""]),
    'R-RNO-3134973':Nto._make([date(2019,  3, 20), '...I...', '..', """LRR FLII-interacting protein 1 (LRRFIP1) activates type I IFN production"""]),
    'R-SSC-3134973':Nto._make([date(2019,  3, 20), '...I...', '..', """LRR FLII-interacting protein 1 (LRRFIP1) activates type I IFN production"""]),
    'R-XTR-3134973':Nto._make([date(2019,  3, 20), '...I...', '..', """LRR FLII-interacting protein 1 (LRRFIP1) activates type I IFN production"""]),
    'R-HSA-3134975':Nto._make([date(2013,  6, 11), '....P..', 'B.', """Regulation of innate immune responses to cytosolic DNA"""]),
    'R-BTA-3134975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of innate immune responses to cytosolic DNA"""]),
    'R-CFA-3134975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of innate immune responses to cytosolic DNA"""]),
    'R-DDI-3134975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of innate immune responses to cytosolic DNA"""]),
    'R-DRE-3134975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of innate immune responses to cytosolic DNA"""]),
    'R-GGA-3134975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of innate immune responses to cytosolic DNA"""]),
    'R-MMU-3134975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of innate immune responses to cytosolic DNA"""]),
    'R-PFA-3134975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of innate immune responses to cytosolic DNA"""]),
    'R-RNO-3134975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of innate immune responses to cytosolic DNA"""]),
    'R-SSC-3134975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of innate immune responses to cytosolic DNA"""]),
    'R-XTR-3134975':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of innate immune responses to cytosolic DNA"""]),
    'R-HSA-3214815':Nto._make([date(2014,  6, 10), '....P..', '..', """HDACs deacetylate histones"""]),
    'R-CEL-3214815':Nto._make([date(2019,  3, 20), '...I...', '..', """HDACs deacetylate histones"""]),
    'R-CFA-3214815':Nto._make([date(2019,  3, 20), '...I...', '..', """HDACs deacetylate histones"""]),
    'R-DRE-3214815':Nto._make([date(2019,  3, 20), '...I...', '..', """HDACs deacetylate histones"""]),
    'R-SSC-3214815':Nto._make([date(2019,  3, 20), '...I...', '..', """HDACs deacetylate histones"""]),
    'R-HSA-3214841':Nto._make([date(2015,  3, 15), '....P..', '..', """PKMTs methylate histone lysines"""]),
    'R-BTA-3214841':Nto._make([date(2019,  3, 20), '...I...', '..', """PKMTs methylate histone lysines"""]),
    'R-CEL-3214841':Nto._make([date(2019,  3, 20), '...I...', '..', """PKMTs methylate histone lysines"""]),
    'R-CFA-3214841':Nto._make([date(2019,  3, 20), '...I...', '..', """PKMTs methylate histone lysines"""]),
    'R-DDI-3214841':Nto._make([date(2019,  3, 20), '...I...', '..', """PKMTs methylate histone lysines"""]),
    'R-DME-3214841':Nto._make([date(2019,  3, 20), '...I...', '..', """PKMTs methylate histone lysines"""]),
    'R-DRE-3214841':Nto._make([date(2019,  3, 20), '...I...', '..', """PKMTs methylate histone lysines"""]),
    'R-GGA-3214841':Nto._make([date(2019,  3, 20), '...I...', '..', """PKMTs methylate histone lysines"""]),
    'R-MMU-3214841':Nto._make([date(2019,  3, 20), '...I...', '..', """PKMTs methylate histone lysines"""]),
    'R-PFA-3214841':Nto._make([date(2019,  3, 20), '...I...', '..', """PKMTs methylate histone lysines"""]),
    'R-RNO-3214841':Nto._make([date(2019,  3, 20), '...I...', '..', """PKMTs methylate histone lysines"""]),
    'R-SPO-3214841':Nto._make([date(2019,  3, 20), '...I...', '..', """PKMTs methylate histone lysines"""]),
    'R-SSC-3214841':Nto._make([date(2019,  3, 20), '...I...', '..', """PKMTs methylate histone lysines"""]),
    'R-XTR-3214841':Nto._make([date(2019,  3, 20), '...I...', '..', """PKMTs methylate histone lysines"""]),
    'R-HSA-3214842':Nto._make([date(2014,  6, 10), '....P..', '..', """HDMs demethylate histones"""]),
    'R-BTA-3214842':Nto._make([date(2019,  3, 20), '...I...', '..', """HDMs demethylate histones"""]),
    'R-CEL-3214842':Nto._make([date(2019,  3, 20), '...I...', '..', """HDMs demethylate histones"""]),
    'R-CFA-3214842':Nto._make([date(2019,  3, 20), '...I...', '..', """HDMs demethylate histones"""]),
    'R-DDI-3214842':Nto._make([date(2019,  3, 20), '...I...', '..', """HDMs demethylate histones"""]),
    'R-DME-3214842':Nto._make([date(2019,  3, 20), '...I...', '..', """HDMs demethylate histones"""]),
    'R-GGA-3214842':Nto._make([date(2019,  3, 20), '...I...', '..', """HDMs demethylate histones"""]),
    'R-MMU-3214842':Nto._make([date(2019,  3, 20), '...I...', '..', """HDMs demethylate histones"""]),
    'R-PFA-3214842':Nto._make([date(2019,  3, 20), '...I...', '..', """HDMs demethylate histones"""]),
    'R-RNO-3214842':Nto._make([date(2019,  3, 20), '...I...', '..', """HDMs demethylate histones"""]),
    'R-SCE-3214842':Nto._make([date(2019,  3, 20), '...I...', '..', """HDMs demethylate histones"""]),
    'R-SPO-3214842':Nto._make([date(2019,  3, 20), '...I...', '..', """HDMs demethylate histones"""]),
    'R-SSC-3214842':Nto._make([date(2019,  3, 20), '...I...', '..', """HDMs demethylate histones"""]),
    'R-XTR-3214842':Nto._make([date(2019,  3, 20), '...I...', '..', """HDMs demethylate histones"""]),
    'R-HSA-3214847':Nto._make([date(2013, 12,  4), '....P..', '..', """HATs acetylate histones"""]),
    'R-BTA-3214847':Nto._make([date(2019,  3, 20), '...I...', '..', """HATs acetylate histones"""]),
    'R-CEL-3214847':Nto._make([date(2019,  3, 20), '...I...', '..', """HATs acetylate histones"""]),
    'R-CFA-3214847':Nto._make([date(2019,  3, 20), '...I...', '..', """HATs acetylate histones"""]),
    'R-DDI-3214847':Nto._make([date(2019,  3, 20), '...I...', '..', """HATs acetylate histones"""]),
    'R-DME-3214847':Nto._make([date(2019,  3, 20), '...I...', '..', """HATs acetylate histones"""]),
    'R-DRE-3214847':Nto._make([date(2019,  3, 20), '...I...', '..', """HATs acetylate histones"""]),
    'R-GGA-3214847':Nto._make([date(2019,  3, 20), '...I...', '..', """HATs acetylate histones"""]),
    'R-MMU-3214847':Nto._make([date(2019,  3, 20), '...I...', '..', """HATs acetylate histones"""]),
    'R-PFA-3214847':Nto._make([date(2019,  3, 20), '...I...', '..', """HATs acetylate histones"""]),
    'R-RNO-3214847':Nto._make([date(2019,  3, 20), '...I...', '..', """HATs acetylate histones"""]),
    'R-SCE-3214847':Nto._make([date(2019,  3, 20), '...I...', '..', """HATs acetylate histones"""]),
    'R-SPO-3214847':Nto._make([date(2019,  3, 20), '...I...', '..', """HATs acetylate histones"""]),
    'R-SSC-3214847':Nto._make([date(2019,  3, 20), '...I...', '..', """HATs acetylate histones"""]),
    'R-XTR-3214847':Nto._make([date(2019,  3, 20), '...I...', '..', """HATs acetylate histones"""]),
    'R-HSA-3214858':Nto._make([date(2014,  6, 10), '....P..', '..', """RMTs methylate histone arginines"""]),
    'R-BTA-3214858':Nto._make([date(2019,  3, 20), '...I...', '..', """RMTs methylate histone arginines"""]),
    'R-CEL-3214858':Nto._make([date(2019,  3, 20), '...I...', '..', """RMTs methylate histone arginines"""]),
    'R-CFA-3214858':Nto._make([date(2019,  3, 20), '...I...', '..', """RMTs methylate histone arginines"""]),
    'R-DDI-3214858':Nto._make([date(2019,  3, 20), '...I...', '..', """RMTs methylate histone arginines"""]),
    'R-DME-3214858':Nto._make([date(2019,  3, 20), '...I...', '..', """RMTs methylate histone arginines"""]),
    'R-DRE-3214858':Nto._make([date(2019,  3, 20), '...I...', '..', """RMTs methylate histone arginines"""]),
    'R-GGA-3214858':Nto._make([date(2019,  3, 20), '...I...', '..', """RMTs methylate histone arginines"""]),
    'R-MMU-3214858':Nto._make([date(2019,  3, 20), '...I...', '..', """RMTs methylate histone arginines"""]),
    'R-PFA-3214858':Nto._make([date(2019,  3, 20), '...I...', '..', """RMTs methylate histone arginines"""]),
    'R-RNO-3214858':Nto._make([date(2019,  3, 20), '...I...', '..', """RMTs methylate histone arginines"""]),
    'R-SCE-3214858':Nto._make([date(2019,  3, 20), '...I...', '..', """RMTs methylate histone arginines"""]),
    'R-SPO-3214858':Nto._make([date(2019,  3, 20), '...I...', '..', """RMTs methylate histone arginines"""]),
    'R-SSC-3214858':Nto._make([date(2019,  3, 20), '...I...', '..', """RMTs methylate histone arginines"""]),
    'R-XTR-3214858':Nto._make([date(2019,  3, 20), '...I...', '..', """RMTs methylate histone arginines"""]),
    'R-HSA-3215018':Nto._make([date(2013,  6, 11), '....P..', 'BC', """Processing and activation of SUMO"""]),
    'R-BTA-3215018':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processing and activation of SUMO"""]),
    'R-CEL-3215018':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processing and activation of SUMO"""]),
    'R-CFA-3215018':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processing and activation of SUMO"""]),
    'R-DDI-3215018':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processing and activation of SUMO"""]),
    'R-DME-3215018':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processing and activation of SUMO"""]),
    'R-DRE-3215018':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processing and activation of SUMO"""]),
    'R-GGA-3215018':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processing and activation of SUMO"""]),
    'R-MMU-3215018':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processing and activation of SUMO"""]),
    'R-PFA-3215018':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processing and activation of SUMO"""]),
    'R-RNO-3215018':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processing and activation of SUMO"""]),
    'R-SCE-3215018':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processing and activation of SUMO"""]),
    'R-SPO-3215018':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processing and activation of SUMO"""]),
    'R-SSC-3215018':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processing and activation of SUMO"""]),
    'R-XTR-3215018':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Processing and activation of SUMO"""]),
    'R-HSA-3229121':Nto._make([date(2014,  3, 12), '.Df.P..', '..', """Glycogen storage diseases"""]),
    'R-HSA-3229133':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Glycogen storage disease type Ib (SLC37A4)"""]),
    'R-HSA-3232118':Nto._make([date(2015, 12, 15), '..f.P..', '.C', """SUMOylation of transcription factors"""]),
    'R-BTA-3232118':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription factors"""]),
    'R-CEL-3232118':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription factors"""]),
    'R-CFA-3232118':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription factors"""]),
    'R-DDI-3232118':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription factors"""]),
    'R-DME-3232118':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription factors"""]),
    'R-DRE-3232118':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription factors"""]),
    'R-GGA-3232118':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription factors"""]),
    'R-MMU-3232118':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription factors"""]),
    'R-RNO-3232118':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription factors"""]),
    'R-SCE-3232118':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription factors"""]),
    'R-SPO-3232118':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription factors"""]),
    'R-SSC-3232118':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription factors"""]),
    'R-XTR-3232118':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription factors"""]),
    'R-HSA-3232142':Nto._make([date(2018,  6, 12), '..f.P..', '.C', """SUMOylation of ubiquitinylation proteins"""]),
    'R-BTA-3232142':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of ubiquitinylation proteins"""]),
    'R-CEL-3232142':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of ubiquitinylation proteins"""]),
    'R-CFA-3232142':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of ubiquitinylation proteins"""]),
    'R-DDI-3232142':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of ubiquitinylation proteins"""]),
    'R-DRE-3232142':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of ubiquitinylation proteins"""]),
    'R-GGA-3232142':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of ubiquitinylation proteins"""]),
    'R-MMU-3232142':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of ubiquitinylation proteins"""]),
    'R-RNO-3232142':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of ubiquitinylation proteins"""]),
    'R-SPO-3232142':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of ubiquitinylation proteins"""]),
    'R-SSC-3232142':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of ubiquitinylation proteins"""]),
    'R-XTR-3232142':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of ubiquitinylation proteins"""]),
    'R-HSA-3238698':Nto._make([date(2013,  6, 11), '..f.P..', '..', """WNT ligand biogenesis and trafficking"""]),
    'R-BTA-3238698':Nto._make([date(2019,  3, 20), '..fI...', '..', """WNT ligand biogenesis and trafficking"""]),
    'R-CEL-3238698':Nto._make([date(2019,  3, 20), '..fI...', '..', """WNT ligand biogenesis and trafficking"""]),
    'R-CFA-3238698':Nto._make([date(2019,  3, 20), '..fI...', '..', """WNT ligand biogenesis and trafficking"""]),
    'R-DDI-3238698':Nto._make([date(2019,  3, 20), '..fI...', '..', """WNT ligand biogenesis and trafficking"""]),
    'R-DME-3238698':Nto._make([date(2019,  3, 20), '..fI...', '..', """WNT ligand biogenesis and trafficking"""]),
    'R-DRE-3238698':Nto._make([date(2019,  3, 20), '..fI...', '..', """WNT ligand biogenesis and trafficking"""]),
    'R-GGA-3238698':Nto._make([date(2019,  3, 20), '..fI...', '..', """WNT ligand biogenesis and trafficking"""]),
    'R-MMU-3238698':Nto._make([date(2019,  3, 20), '..fI...', '..', """WNT ligand biogenesis and trafficking"""]),
    'R-RNO-3238698':Nto._make([date(2019,  3, 20), '..fI...', '..', """WNT ligand biogenesis and trafficking"""]),
    'R-SCE-3238698':Nto._make([date(2019,  3, 20), '..fI...', '..', """WNT ligand biogenesis and trafficking"""]),
    'R-SPO-3238698':Nto._make([date(2019,  3, 20), '..fI...', '..', """WNT ligand biogenesis and trafficking"""]),
    'R-SSC-3238698':Nto._make([date(2019,  3, 20), '..fI...', '..', """WNT ligand biogenesis and trafficking"""]),
    'R-XTR-3238698':Nto._make([date(2019,  3, 20), '..fI...', '..', """WNT ligand biogenesis and trafficking"""]),
    'R-HSA-3247509':Nto._make([date(2013, 12,  4), '.......', '..', """Chromatin modifying enzymes"""]),
    'R-BTA-3247509':Nto._make([date(2019,  3, 20), '...I...', '..', """Chromatin modifying enzymes"""]),
    'R-CEL-3247509':Nto._make([date(2019,  3, 20), '...I...', '..', """Chromatin modifying enzymes"""]),
    'R-CFA-3247509':Nto._make([date(2019,  3, 20), '...I...', '..', """Chromatin modifying enzymes"""]),
    'R-DDI-3247509':Nto._make([date(2019,  3, 20), '...I...', '..', """Chromatin modifying enzymes"""]),
    'R-DME-3247509':Nto._make([date(2019,  3, 20), '...I...', '..', """Chromatin modifying enzymes"""]),
    'R-DRE-3247509':Nto._make([date(2019,  3, 20), '...I...', '..', """Chromatin modifying enzymes"""]),
    'R-GGA-3247509':Nto._make([date(2019,  3, 20), '...I...', '..', """Chromatin modifying enzymes"""]),
    'R-MMU-3247509':Nto._make([date(2019,  3, 20), '...I...', '..', """Chromatin modifying enzymes"""]),
    'R-PFA-3247509':Nto._make([date(2019,  3, 20), '...I...', '..', """Chromatin modifying enzymes"""]),
    'R-RNO-3247509':Nto._make([date(2019,  3, 20), '...I...', '..', """Chromatin modifying enzymes"""]),
    'R-SCE-3247509':Nto._make([date(2019,  3, 20), '...I...', '..', """Chromatin modifying enzymes"""]),
    'R-SPO-3247509':Nto._make([date(2019,  3, 20), '...I...', '..', """Chromatin modifying enzymes"""]),
    'R-SSC-3247509':Nto._make([date(2019,  3, 20), '...I...', '..', """Chromatin modifying enzymes"""]),
    'R-XTR-3247509':Nto._make([date(2019,  3, 20), '...I...', '..', """Chromatin modifying enzymes"""]),
    'R-HSA-3248023':Nto._make([date(2013,  6, 11), '....P..', '..', """Regulation by TREX1"""]),
    'R-HSA-3249367':Nto._make([date(2013,  6, 11), '....P..', '..', """STAT6-mediated induction of chemokines"""]),
    'R-BTA-3249367':Nto._make([date(2019,  3, 20), '...I...', '..', """STAT6-mediated induction of chemokines"""]),
    'R-CEL-3249367':Nto._make([date(2019,  3, 20), '...I...', '..', """STAT6-mediated induction of chemokines"""]),
    'R-CFA-3249367':Nto._make([date(2019,  3, 20), '...I...', '..', """STAT6-mediated induction of chemokines"""]),
    'R-DDI-3249367':Nto._make([date(2019,  3, 20), '...I...', '..', """STAT6-mediated induction of chemokines"""]),
    'R-DME-3249367':Nto._make([date(2019,  3, 20), '...I...', '..', """STAT6-mediated induction of chemokines"""]),
    'R-DRE-3249367':Nto._make([date(2019,  3, 20), '...I...', '..', """STAT6-mediated induction of chemokines"""]),
    'R-GGA-3249367':Nto._make([date(2019,  3, 20), '...I...', '..', """STAT6-mediated induction of chemokines"""]),
    'R-MMU-3249367':Nto._make([date(2019,  3, 20), '...I...', '..', """STAT6-mediated induction of chemokines"""]),
    'R-RNO-3249367':Nto._make([date(2019,  3, 20), '...I...', '..', """STAT6-mediated induction of chemokines"""]),
    'R-SSC-3249367':Nto._make([date(2019,  3, 20), '...I...', '..', """STAT6-mediated induction of chemokines"""]),
    'R-XTR-3249367':Nto._make([date(2019,  3, 20), '...I...', '..', """STAT6-mediated induction of chemokines"""]),
    'R-HSA-3270619':Nto._make([date(2013,  6, 11), '....P..', 'B.', """IRF3-mediated induction of type I IFN"""]),
    'R-BTA-3270619':Nto._make([date(2019,  3, 20), '...I...', 'B.', """IRF3-mediated induction of type I IFN"""]),
    'R-CFA-3270619':Nto._make([date(2019,  3, 20), '...I...', 'B.', """IRF3-mediated induction of type I IFN"""]),
    'R-DRE-3270619':Nto._make([date(2019,  3, 20), '...I...', 'B.', """IRF3-mediated induction of type I IFN"""]),
    'R-MMU-3270619':Nto._make([date(2019,  3, 20), '...I...', 'B.', """IRF3-mediated induction of type I IFN"""]),
    'R-RNO-3270619':Nto._make([date(2019,  3, 20), '...I...', 'B.', """IRF3-mediated induction of type I IFN"""]),
    'R-XTR-3270619':Nto._make([date(2019,  3, 20), '...I...', 'B.', """IRF3-mediated induction of type I IFN"""]),
    'R-HSA-3274531':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Glycogen storage disease type Ia (G6PC)"""]),
    'R-HSA-3282872':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Severe congenital neutropenia type 4 (G6PC3)"""]),
    'R-HSA-3295583':Nto._make([date(2013,  9, 18), '....P..', 'B.', """TRP channels"""]),
    'R-BTA-3295583':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRP channels"""]),
    'R-CEL-3295583':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRP channels"""]),
    'R-CFA-3295583':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRP channels"""]),
    'R-DDI-3295583':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRP channels"""]),
    'R-DME-3295583':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRP channels"""]),
    'R-DRE-3295583':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRP channels"""]),
    'R-GGA-3295583':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRP channels"""]),
    'R-MMU-3295583':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRP channels"""]),
    'R-PFA-3295583':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRP channels"""]),
    'R-RNO-3295583':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRP channels"""]),
    'R-SCE-3295583':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRP channels"""]),
    'R-SSC-3295583':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRP channels"""]),
    'R-XTR-3295583':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TRP channels"""]),
    'R-HSA-3296197':Nto._make([date(2013,  6, 11), '....P..', '..', """Hydroxycarboxylic acid-binding receptors"""]),
    'R-BTA-3296197':Nto._make([date(2019,  3, 20), '...I...', '..', """Hydroxycarboxylic acid-binding receptors"""]),
    'R-CFA-3296197':Nto._make([date(2019,  3, 20), '...I...', '..', """Hydroxycarboxylic acid-binding receptors"""]),
    'R-DRE-3296197':Nto._make([date(2019,  3, 20), '...I...', '..', """Hydroxycarboxylic acid-binding receptors"""]),
    'R-MMU-3296197':Nto._make([date(2019,  3, 20), '...I...', '..', """Hydroxycarboxylic acid-binding receptors"""]),
    'R-RNO-3296197':Nto._make([date(2019,  3, 20), '...I...', '..', """Hydroxycarboxylic acid-binding receptors"""]),
    'R-SSC-3296197':Nto._make([date(2019,  3, 20), '...I...', '..', """Hydroxycarboxylic acid-binding receptors"""]),
    'R-XTR-3296197':Nto._make([date(2019,  3, 20), '...I...', '..', """Hydroxycarboxylic acid-binding receptors"""]),
    'R-HSA-3296469':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """Defects in cobalamin (B12) metabolism"""]),
    'R-HSA-3296482':Nto._make([date(2013,  9, 18), '.Df..B.', '..', """Defects in vitamin and cofactor metabolism"""]),
    'R-HSA-3299685':Nto._make([date(2013, 12,  4), '..f.P..', 'BC', """Detoxification of Reactive Oxygen Species"""]),
    'R-BTA-3299685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Detoxification of Reactive Oxygen Species"""]),
    'R-CEL-3299685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Detoxification of Reactive Oxygen Species"""]),
    'R-CFA-3299685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Detoxification of Reactive Oxygen Species"""]),
    'R-DDI-3299685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Detoxification of Reactive Oxygen Species"""]),
    'R-DME-3299685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Detoxification of Reactive Oxygen Species"""]),
    'R-DRE-3299685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Detoxification of Reactive Oxygen Species"""]),
    'R-GGA-3299685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Detoxification of Reactive Oxygen Species"""]),
    'R-MMU-3299685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Detoxification of Reactive Oxygen Species"""]),
    'R-PFA-3299685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Detoxification of Reactive Oxygen Species"""]),
    'R-RNO-3299685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Detoxification of Reactive Oxygen Species"""]),
    'R-SCE-3299685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Detoxification of Reactive Oxygen Species"""]),
    'R-SPO-3299685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Detoxification of Reactive Oxygen Species"""]),
    'R-SSC-3299685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Detoxification of Reactive Oxygen Species"""]),
    'R-XTR-3299685':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Detoxification of Reactive Oxygen Species"""]),
    'R-HSA-3301854':Nto._make([date(2013,  6, 11), '....P..', '..', """Nuclear Pore Complex (NPC) Disassembly"""]),
    'R-BTA-3301854':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Pore Complex (NPC) Disassembly"""]),
    'R-CEL-3301854':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Pore Complex (NPC) Disassembly"""]),
    'R-CFA-3301854':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Pore Complex (NPC) Disassembly"""]),
    'R-DME-3301854':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Pore Complex (NPC) Disassembly"""]),
    'R-DRE-3301854':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Pore Complex (NPC) Disassembly"""]),
    'R-GGA-3301854':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Pore Complex (NPC) Disassembly"""]),
    'R-MMU-3301854':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Pore Complex (NPC) Disassembly"""]),
    'R-RNO-3301854':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Pore Complex (NPC) Disassembly"""]),
    'R-SSC-3301854':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Pore Complex (NPC) Disassembly"""]),
    'R-XTR-3301854':Nto._make([date(2019,  3, 20), '...I...', '..', """Nuclear Pore Complex (NPC) Disassembly"""]),
    'R-HSA-3304347':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """Loss of Function of SMAD4 in Cancer"""]),
    'R-HSA-3304349':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """Loss of Function of SMAD2/3 in Cancer"""]),
    'R-HSA-3304351':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """Signaling by TGF-beta Receptor Complex in Cancer"""]),
    'R-HSA-3304356':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """SMAD2/3 Phosphorylation Motif Mutants in Cancer"""]),
    'R-HSA-3311021':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """SMAD4 MH2 Domain Mutants in Cancer"""]),
    'R-HSA-3315487':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """SMAD2/3 MH2 Domain Mutants in Cancer"""]),
    'R-HSA-3322077':Nto._make([date(2003,  3, 16), '....P..', 'B.', """Glycogen synthesis"""]),
    'R-BTA-3322077':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycogen synthesis"""]),
    'R-CEL-3322077':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycogen synthesis"""]),
    'R-CFA-3322077':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycogen synthesis"""]),
    'R-DDI-3322077':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycogen synthesis"""]),
    'R-DME-3322077':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycogen synthesis"""]),
    'R-DRE-3322077':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycogen synthesis"""]),
    'R-GGA-3322077':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycogen synthesis"""]),
    'R-MMU-3322077':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycogen synthesis"""]),
    'R-PFA-3322077':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycogen synthesis"""]),
    'R-RNO-3322077':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycogen synthesis"""]),
    'R-SCE-3322077':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycogen synthesis"""]),
    'R-SPO-3322077':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycogen synthesis"""]),
    'R-SSC-3322077':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycogen synthesis"""]),
    'R-XTR-3322077':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycogen synthesis"""]),
    'R-HSA-3323169':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """Defects in biotin (Btn) metabolism"""]),
    'R-HSA-3359454':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """Defective TCN2 causes hereditary megaloblastic anemia"""]),
    'R-HSA-3359457':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """Defective GIF causes intrinsic factor deficiency"""]),
    'R-HSA-3359458':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """Defective LMBRD1 causes methylmalonic aciduria and homocystinuria type cblF"""]),
    'R-HSA-3359462':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """Defective AMN causes hereditary megaloblastic anemia 1"""]),
    'R-HSA-3359463':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """Defective CUBN causes hereditary megaloblastic anemia 1"""]),
    'R-HSA-3359467':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """Defective MTRR causes methylmalonic aciduria and homocystinuria type cblE"""]),
    'R-HSA-3359469':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """Defective MTR causes methylmalonic aciduria and homocystinuria type cblG"""]),
    'R-HSA-3359471':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """Defective MMAB causes methylmalonic aciduria type cblB"""]),
    'R-HSA-3359473':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """Defective MMADHC causes methylmalonic aciduria and homocystinuria type cblD"""]),
    'R-HSA-3359474':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """Defective MMACHC causes methylmalonic aciduria and homocystinuria type cblC"""]),
    'R-HSA-3359475':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """Defective MMAA causes methylmalonic aciduria type cblA"""]),
    'R-HSA-3359478':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """Defective MUT causes methylmalonic aciduria mut type"""]),
    'R-HSA-3359485':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """Defective CD320 causes methylmalonic aciduria"""]),
    'R-HSA-3371378':Nto._make([date(2013,  6, 11), '....P..', 'B.', """Regulation by c-FLIP"""]),
    'R-BTA-3371378':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation by c-FLIP"""]),
    'R-CFA-3371378':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation by c-FLIP"""]),
    'R-DRE-3371378':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation by c-FLIP"""]),
    'R-GGA-3371378':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation by c-FLIP"""]),
    'R-MMU-3371378':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation by c-FLIP"""]),
    'R-RNO-3371378':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation by c-FLIP"""]),
    'R-SSC-3371378':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation by c-FLIP"""]),
    'R-XTR-3371378':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation by c-FLIP"""]),
    'R-HSA-3371453':Nto._make([date(2014,  3, 12), '....P..', 'B.', """Regulation of HSF1-mediated heat shock response"""]),
    'R-BTA-3371453':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of HSF1-mediated heat shock response"""]),
    'R-CEL-3371453':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of HSF1-mediated heat shock response"""]),
    'R-CFA-3371453':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of HSF1-mediated heat shock response"""]),
    'R-DDI-3371453':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of HSF1-mediated heat shock response"""]),
    'R-DME-3371453':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of HSF1-mediated heat shock response"""]),
    'R-DRE-3371453':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of HSF1-mediated heat shock response"""]),
    'R-GGA-3371453':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of HSF1-mediated heat shock response"""]),
    'R-MMU-3371453':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of HSF1-mediated heat shock response"""]),
    'R-PFA-3371453':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of HSF1-mediated heat shock response"""]),
    'R-RNO-3371453':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of HSF1-mediated heat shock response"""]),
    'R-SCE-3371453':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of HSF1-mediated heat shock response"""]),
    'R-SPO-3371453':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of HSF1-mediated heat shock response"""]),
    'R-SSC-3371453':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of HSF1-mediated heat shock response"""]),
    'R-XTR-3371453':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of HSF1-mediated heat shock response"""]),
    'R-HSA-3371497':Nto._make([date(2017,  3, 27), '..f.P..', '.C', """HSP90 chaperone cycle for steroid hormone receptors (SHR)"""]),
    'R-BTA-3371497':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HSP90 chaperone cycle for steroid hormone receptors (SHR)"""]),
    'R-CEL-3371497':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HSP90 chaperone cycle for steroid hormone receptors (SHR)"""]),
    'R-CFA-3371497':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HSP90 chaperone cycle for steroid hormone receptors (SHR)"""]),
    'R-DDI-3371497':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HSP90 chaperone cycle for steroid hormone receptors (SHR)"""]),
    'R-DME-3371497':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HSP90 chaperone cycle for steroid hormone receptors (SHR)"""]),
    'R-DRE-3371497':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HSP90 chaperone cycle for steroid hormone receptors (SHR)"""]),
    'R-GGA-3371497':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HSP90 chaperone cycle for steroid hormone receptors (SHR)"""]),
    'R-MMU-3371497':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HSP90 chaperone cycle for steroid hormone receptors (SHR)"""]),
    'R-PFA-3371497':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HSP90 chaperone cycle for steroid hormone receptors (SHR)"""]),
    'R-RNO-3371497':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HSP90 chaperone cycle for steroid hormone receptors (SHR)"""]),
    'R-SCE-3371497':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HSP90 chaperone cycle for steroid hormone receptors (SHR)"""]),
    'R-SPO-3371497':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HSP90 chaperone cycle for steroid hormone receptors (SHR)"""]),
    'R-SSC-3371497':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HSP90 chaperone cycle for steroid hormone receptors (SHR)"""]),
    'R-XTR-3371497':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HSP90 chaperone cycle for steroid hormone receptors (SHR)"""]),
    'R-HSA-3371511':Nto._make([date(2014,  3, 12), '....P..', 'B.', """HSF1 activation"""]),
    'R-BTA-3371511':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1 activation"""]),
    'R-CEL-3371511':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1 activation"""]),
    'R-CFA-3371511':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1 activation"""]),
    'R-DDI-3371511':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1 activation"""]),
    'R-DME-3371511':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1 activation"""]),
    'R-DRE-3371511':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1 activation"""]),
    'R-GGA-3371511':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1 activation"""]),
    'R-MMU-3371511':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1 activation"""]),
    'R-RNO-3371511':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1 activation"""]),
    'R-SCE-3371511':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1 activation"""]),
    'R-SPO-3371511':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1 activation"""]),
    'R-SSC-3371511':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1 activation"""]),
    'R-XTR-3371511':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1 activation"""]),
    'R-HSA-3371556':Nto._make([date(2014,  3, 12), '..f.P..', 'B.', """Cellular response to heat stress"""]),
    'R-BTA-3371556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular response to heat stress"""]),
    'R-CEL-3371556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular response to heat stress"""]),
    'R-CFA-3371556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular response to heat stress"""]),
    'R-DDI-3371556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular response to heat stress"""]),
    'R-DME-3371556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular response to heat stress"""]),
    'R-DRE-3371556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular response to heat stress"""]),
    'R-GGA-3371556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular response to heat stress"""]),
    'R-MMU-3371556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular response to heat stress"""]),
    'R-PFA-3371556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular response to heat stress"""]),
    'R-RNO-3371556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular response to heat stress"""]),
    'R-SCE-3371556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular response to heat stress"""]),
    'R-SPO-3371556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular response to heat stress"""]),
    'R-SSC-3371556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular response to heat stress"""]),
    'R-XTR-3371556':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cellular response to heat stress"""]),
    'R-HSA-3371568':Nto._make([date(2014,  3, 12), '....P..', '..', """Attenuation phase"""]),
    'R-BTA-3371568':Nto._make([date(2019,  3, 20), '...I...', '..', """Attenuation phase"""]),
    'R-CEL-3371568':Nto._make([date(2019,  3, 20), '...I...', '..', """Attenuation phase"""]),
    'R-CFA-3371568':Nto._make([date(2019,  3, 20), '...I...', '..', """Attenuation phase"""]),
    'R-DDI-3371568':Nto._make([date(2019,  3, 20), '...I...', '..', """Attenuation phase"""]),
    'R-DME-3371568':Nto._make([date(2019,  3, 20), '...I...', '..', """Attenuation phase"""]),
    'R-DRE-3371568':Nto._make([date(2019,  3, 20), '...I...', '..', """Attenuation phase"""]),
    'R-GGA-3371568':Nto._make([date(2019,  3, 20), '...I...', '..', """Attenuation phase"""]),
    'R-MMU-3371568':Nto._make([date(2019,  3, 20), '...I...', '..', """Attenuation phase"""]),
    'R-RNO-3371568':Nto._make([date(2019,  3, 20), '...I...', '..', """Attenuation phase"""]),
    'R-SCE-3371568':Nto._make([date(2019,  3, 20), '...I...', '..', """Attenuation phase"""]),
    'R-SPO-3371568':Nto._make([date(2019,  3, 20), '...I...', '..', """Attenuation phase"""]),
    'R-SSC-3371568':Nto._make([date(2019,  3, 20), '...I...', '..', """Attenuation phase"""]),
    'R-XTR-3371568':Nto._make([date(2019,  3, 20), '...I...', '..', """Attenuation phase"""]),
    'R-HSA-3371571':Nto._make([date(2014,  3, 12), '....P..', 'B.', """HSF1-dependent transactivation"""]),
    'R-BTA-3371571':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1-dependent transactivation"""]),
    'R-CEL-3371571':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1-dependent transactivation"""]),
    'R-CFA-3371571':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1-dependent transactivation"""]),
    'R-DDI-3371571':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1-dependent transactivation"""]),
    'R-DME-3371571':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1-dependent transactivation"""]),
    'R-DRE-3371571':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1-dependent transactivation"""]),
    'R-GGA-3371571':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1-dependent transactivation"""]),
    'R-MMU-3371571':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1-dependent transactivation"""]),
    'R-RNO-3371571':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1-dependent transactivation"""]),
    'R-SCE-3371571':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1-dependent transactivation"""]),
    'R-SPO-3371571':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1-dependent transactivation"""]),
    'R-SSC-3371571':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1-dependent transactivation"""]),
    'R-XTR-3371571':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HSF1-dependent transactivation"""]),
    'R-HSA-3371598':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """Defective BTD causes biotidinase deficiency"""]),
    'R-HSA-3371599':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """Defective HLCS causes multiple carboxylase deficiency"""]),
    'R-HSA-3560782':Nto._make([date(2014,  9, 30), '.Df.P..', '..', """Diseases associated with glycosaminoglycan metabolism"""]),
    'R-HSA-3560783':Nto._make([date(2014,  9, 30), '.Df.P..', '..', """Defective B4GALT7 causes EDS, progeroid type"""]),
    'R-HSA-3560792':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC26A2 causes chondrodysplasias"""]),
    'R-HSA-3560796':Nto._make([date(2014,  9, 30), '.Df.P..', '..', """Defective PAPSS2 causes SEMD-PA"""]),
    'R-HSA-3560801':Nto._make([date(2014,  9, 30), '.Df.P..', '..', """Defective B3GAT3 causes JDSSDHD"""]),
    'R-HSA-3595172':Nto._make([date(2014,  9, 30), '.Df.P..', '..', """Defective CHST3 causes SEDCJD"""]),
    'R-HSA-3595174':Nto._make([date(2014,  9, 30), '.Df.P..', '..', """Defective CHST14 causes EDS, musculocontractural type"""]),
    'R-HSA-3595177':Nto._make([date(2014,  9, 30), '.Df.P..', '..', """Defective CHSY1 causes TPBS"""]),
    'R-HSA-3642278':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """Loss of Function of TGFBR2 in Cancer"""]),
    'R-HSA-3642279':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """TGFBR2 MSI Frameshift Mutants in Cancer"""]),
    'R-HSA-3645790':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """TGFBR2 Kinase Domain Mutants in Cancer"""]),
    'R-HSA-3656225':Nto._make([date(2014,  9, 30), '.Df.P..', '..', """Defective CHST6 causes MCDC1"""]),
    'R-HSA-3656234':Nto._make([date(2014,  9, 30), '.Df.P..', '..', """Defective HEXA causes GM2G1"""]),
    'R-HSA-3656237':Nto._make([date(2014,  9, 30), '.Df.P..', '..', """Defective EXT2 causes exostoses 2"""]),
    'R-HSA-3656243':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective ST3GAL3 causes MCT12 and EIEE15"""]),
    'R-HSA-3656244':Nto._make([date(2014,  9, 30), '.Df.P..', '..', """Defective B4GALT1 causes B4GALT1-CDG (CDG-2d)"""]),
    'R-HSA-3656248':Nto._make([date(2014,  9, 30), '.Df.P..', '..', """Defective HEXB causes GM2G2"""]),
    'R-HSA-3656253':Nto._make([date(2014,  9, 30), '.Df.P..', '..', """Defective EXT1 causes exostoses 1, TRPS2 and CHDS"""]),
    'R-HSA-3656532':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """TGFBR1 KD Mutants in Cancer"""]),
    'R-HSA-3656534':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """Loss of Function of TGFBR1 in Cancer"""]),
    'R-HSA-3656535':Nto._make([date(2013,  9, 18), '.Df.P..', '..', """TGFBR1 LBD Mutants in Cancer"""]),
    'R-HSA-3700989':Nto._make([date(2015,  3, 19), '..F.P..', '..', """Transcriptional Regulation by TP53"""]),
    'R-BTA-3700989':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional Regulation by TP53"""]),
    'R-CEL-3700989':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional Regulation by TP53"""]),
    'R-CFA-3700989':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional Regulation by TP53"""]),
    'R-DDI-3700989':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional Regulation by TP53"""]),
    'R-DME-3700989':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional Regulation by TP53"""]),
    'R-DRE-3700989':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional Regulation by TP53"""]),
    'R-GGA-3700989':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional Regulation by TP53"""]),
    'R-MMU-3700989':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional Regulation by TP53"""]),
    'R-PFA-3700989':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional Regulation by TP53"""]),
    'R-RNO-3700989':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional Regulation by TP53"""]),
    'R-SCE-3700989':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional Regulation by TP53"""]),
    'R-SPO-3700989':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional Regulation by TP53"""]),
    'R-SSC-3700989':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional Regulation by TP53"""]),
    'R-XTR-3700989':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional Regulation by TP53"""]),
    'R-HSA-3769402':Nto._make([date(2014,  3, 12), '....P..', '..', """Deactivation of the beta-catenin transactivating complex"""]),
    'R-BTA-3769402':Nto._make([date(2019,  3, 20), '...I...', '..', """Deactivation of the beta-catenin transactivating complex"""]),
    'R-CEL-3769402':Nto._make([date(2019,  3, 20), '...I...', '..', """Deactivation of the beta-catenin transactivating complex"""]),
    'R-CFA-3769402':Nto._make([date(2019,  3, 20), '...I...', '..', """Deactivation of the beta-catenin transactivating complex"""]),
    'R-DME-3769402':Nto._make([date(2019,  3, 20), '...I...', '..', """Deactivation of the beta-catenin transactivating complex"""]),
    'R-DRE-3769402':Nto._make([date(2019,  3, 20), '...I...', '..', """Deactivation of the beta-catenin transactivating complex"""]),
    'R-GGA-3769402':Nto._make([date(2019,  3, 20), '...I...', '..', """Deactivation of the beta-catenin transactivating complex"""]),
    'R-MMU-3769402':Nto._make([date(2019,  3, 20), '...I...', '..', """Deactivation of the beta-catenin transactivating complex"""]),
    'R-PFA-3769402':Nto._make([date(2019,  3, 20), '...I...', '..', """Deactivation of the beta-catenin transactivating complex"""]),
    'R-RNO-3769402':Nto._make([date(2019,  3, 20), '...I...', '..', """Deactivation of the beta-catenin transactivating complex"""]),
    'R-SPO-3769402':Nto._make([date(2019,  3, 20), '...I...', '..', """Deactivation of the beta-catenin transactivating complex"""]),
    'R-SSC-3769402':Nto._make([date(2019,  3, 20), '...I...', '..', """Deactivation of the beta-catenin transactivating complex"""]),
    'R-XTR-3769402':Nto._make([date(2019,  3, 20), '...I...', '..', """Deactivation of the beta-catenin transactivating complex"""]),
    'R-HSA-3772470':Nto._make([date(2014,  3, 12), '....P..', 'BC', """Negative regulation of TCF-dependent signaling by WNT ligand antagonists"""]),
    'R-BTA-3772470':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Negative regulation of TCF-dependent signaling by WNT ligand antagonists"""]),
    'R-CFA-3772470':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Negative regulation of TCF-dependent signaling by WNT ligand antagonists"""]),
    'R-MMU-3772470':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Negative regulation of TCF-dependent signaling by WNT ligand antagonists"""]),
    'R-RNO-3772470':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Negative regulation of TCF-dependent signaling by WNT ligand antagonists"""]),
    'R-SSC-3772470':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Negative regulation of TCF-dependent signaling by WNT ligand antagonists"""]),
    'R-XTR-3772470':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Negative regulation of TCF-dependent signaling by WNT ligand antagonists"""]),
    'R-HSA-3781860':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Diseases associated with N-glycosylation of proteins"""]),
    'R-HSA-3781865':Nto._make([date(2014,  9, 30), '.Df.P..', '..', """Diseases of glycosylation"""]),
    'R-HSA-3785653':Nto._make([date(2014,  3, 12), '.Df.P..', '..', """Myoclonic epilepsy of Lafora"""]),
    'R-HSA-3814836':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Glycogen storage disease type XV (GYG1)"""]),
    'R-HSA-3828062':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Glycogen storage disease type 0 (muscle GYS1)"""]),
    'R-HSA-3858494':Nto._make([date(2013, 12,  4), '..f.P..', 'BC', """Beta-catenin independent WNT signaling"""]),
    'R-BTA-3858494':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Beta-catenin independent WNT signaling"""]),
    'R-CEL-3858494':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Beta-catenin independent WNT signaling"""]),
    'R-CFA-3858494':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Beta-catenin independent WNT signaling"""]),
    'R-DDI-3858494':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Beta-catenin independent WNT signaling"""]),
    'R-DME-3858494':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Beta-catenin independent WNT signaling"""]),
    'R-DRE-3858494':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Beta-catenin independent WNT signaling"""]),
    'R-GGA-3858494':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Beta-catenin independent WNT signaling"""]),
    'R-MMU-3858494':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Beta-catenin independent WNT signaling"""]),
    'R-PFA-3858494':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Beta-catenin independent WNT signaling"""]),
    'R-RNO-3858494':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Beta-catenin independent WNT signaling"""]),
    'R-SCE-3858494':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Beta-catenin independent WNT signaling"""]),
    'R-SPO-3858494':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Beta-catenin independent WNT signaling"""]),
    'R-SSC-3858494':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Beta-catenin independent WNT signaling"""]),
    'R-XTR-3858494':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Beta-catenin independent WNT signaling"""]),
    'R-HSA-3858516':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Glycogen storage disease type 0 (liver GYS2)"""]),
    'R-HSA-3878781':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Glycogen storage disease type IV (GBE1)"""]),
    'R-HSA-3899300':Nto._make([date(2018,  3, 21), '..f.P..', '.C', """SUMOylation of transcription cofactors"""]),
    'R-BTA-3899300':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription cofactors"""]),
    'R-CEL-3899300':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription cofactors"""]),
    'R-CFA-3899300':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription cofactors"""]),
    'R-DDI-3899300':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription cofactors"""]),
    'R-DME-3899300':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription cofactors"""]),
    'R-DRE-3899300':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription cofactors"""]),
    'R-GGA-3899300':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription cofactors"""]),
    'R-MMU-3899300':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription cofactors"""]),
    'R-PFA-3899300':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription cofactors"""]),
    'R-RNO-3899300':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription cofactors"""]),
    'R-SCE-3899300':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription cofactors"""]),
    'R-SPO-3899300':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription cofactors"""]),
    'R-SSC-3899300':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription cofactors"""]),
    'R-XTR-3899300':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of transcription cofactors"""]),
    'R-HSA-3906995':Nto._make([date(2016,  3, 23), '.Df.P..', '..', """Diseases associated with O-glycosylation of proteins"""]),
    'R-HSA-3928662':Nto._make([date(2014,  6, 10), '....P..', '.C', """EPHB-mediated forward signaling"""]),
    'R-BTA-3928662':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPHB-mediated forward signaling"""]),
    'R-CEL-3928662':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPHB-mediated forward signaling"""]),
    'R-CFA-3928662':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPHB-mediated forward signaling"""]),
    'R-DDI-3928662':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPHB-mediated forward signaling"""]),
    'R-DME-3928662':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPHB-mediated forward signaling"""]),
    'R-DRE-3928662':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPHB-mediated forward signaling"""]),
    'R-GGA-3928662':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPHB-mediated forward signaling"""]),
    'R-MMU-3928662':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPHB-mediated forward signaling"""]),
    'R-RNO-3928662':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPHB-mediated forward signaling"""]),
    'R-SSC-3928662':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPHB-mediated forward signaling"""]),
    'R-XTR-3928662':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPHB-mediated forward signaling"""]),
    'R-HSA-3928663':Nto._make([date(2014,  6, 10), '....P..', '.C', """EPHA-mediated growth cone collapse"""]),
    'R-BTA-3928663':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPHA-mediated growth cone collapse"""]),
    'R-CEL-3928663':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPHA-mediated growth cone collapse"""]),
    'R-CFA-3928663':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPHA-mediated growth cone collapse"""]),
    'R-DME-3928663':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPHA-mediated growth cone collapse"""]),
    'R-DRE-3928663':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPHA-mediated growth cone collapse"""]),
    'R-GGA-3928663':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPHA-mediated growth cone collapse"""]),
    'R-MMU-3928663':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPHA-mediated growth cone collapse"""]),
    'R-RNO-3928663':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPHA-mediated growth cone collapse"""]),
    'R-SSC-3928663':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPHA-mediated growth cone collapse"""]),
    'R-XTR-3928663':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPHA-mediated growth cone collapse"""]),
    'R-HSA-3928664':Nto._make([date(2014,  6, 10), '....P..', '.C', """Ephrin signaling"""]),
    'R-BTA-3928664':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ephrin signaling"""]),
    'R-CEL-3928664':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ephrin signaling"""]),
    'R-CFA-3928664':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ephrin signaling"""]),
    'R-DME-3928664':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ephrin signaling"""]),
    'R-DRE-3928664':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ephrin signaling"""]),
    'R-GGA-3928664':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ephrin signaling"""]),
    'R-MMU-3928664':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ephrin signaling"""]),
    'R-RNO-3928664':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ephrin signaling"""]),
    'R-SSC-3928664':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ephrin signaling"""]),
    'R-XTR-3928664':Nto._make([date(2019,  3, 20), '...I...', '.C', """Ephrin signaling"""]),
    'R-HSA-3928665':Nto._make([date(2014,  6, 10), '....P..', '.C', """EPH-ephrin mediated repulsion of cells"""]),
    'R-BTA-3928665':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPH-ephrin mediated repulsion of cells"""]),
    'R-CEL-3928665':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPH-ephrin mediated repulsion of cells"""]),
    'R-CFA-3928665':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPH-ephrin mediated repulsion of cells"""]),
    'R-DME-3928665':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPH-ephrin mediated repulsion of cells"""]),
    'R-DRE-3928665':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPH-ephrin mediated repulsion of cells"""]),
    'R-GGA-3928665':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPH-ephrin mediated repulsion of cells"""]),
    'R-MMU-3928665':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPH-ephrin mediated repulsion of cells"""]),
    'R-RNO-3928665':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPH-ephrin mediated repulsion of cells"""]),
    'R-SSC-3928665':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPH-ephrin mediated repulsion of cells"""]),
    'R-XTR-3928665':Nto._make([date(2019,  3, 20), '...I...', '.C', """EPH-ephrin mediated repulsion of cells"""]),
    'R-HSA-4043911':Nto._make([date(2015,  6, 17), '.Df.P..', '..', """Defective PMM2 causes PMM2-CDG (CDG-1a)"""]),
    'R-HSA-4043916':Nto._make([date(2015,  6, 17), '.Df.P..', '..', """Defective MPI causes MPI-CDG (CDG-1b)"""]),
    'R-HSA-4085001':Nto._make([date(2014,  3, 12), '..f.P..', '..', """Sialic acid metabolism"""]),
    'R-BTA-4085001':Nto._make([date(2019,  3, 20), '..fI...', '..', """Sialic acid metabolism"""]),
    'R-CEL-4085001':Nto._make([date(2019,  3, 20), '..fI...', '..', """Sialic acid metabolism"""]),
    'R-CFA-4085001':Nto._make([date(2019,  3, 20), '..fI...', '..', """Sialic acid metabolism"""]),
    'R-DDI-4085001':Nto._make([date(2019,  3, 20), '..fI...', '..', """Sialic acid metabolism"""]),
    'R-DME-4085001':Nto._make([date(2019,  3, 20), '..fI...', '..', """Sialic acid metabolism"""]),
    'R-DRE-4085001':Nto._make([date(2019,  3, 20), '..fI...', '..', """Sialic acid metabolism"""]),
    'R-GGA-4085001':Nto._make([date(2019,  3, 20), '..fI...', '..', """Sialic acid metabolism"""]),
    'R-MMU-4085001':Nto._make([date(2019,  3, 20), '..fI...', '..', """Sialic acid metabolism"""]),
    'R-RNO-4085001':Nto._make([date(2019,  3, 20), '..fI...', '..', """Sialic acid metabolism"""]),
    'R-SSC-4085001':Nto._make([date(2019,  3, 20), '..fI...', '..', """Sialic acid metabolism"""]),
    'R-XTR-4085001':Nto._make([date(2019,  3, 20), '..fI...', '..', """Sialic acid metabolism"""]),
    'R-HSA-4085011':Nto._make([date(2015,  6, 17), '.Df.P..', '..', """Defective GNE causes sialuria, Nonaka myopathy and inclusion body myopathy 2"""]),
    'R-HSA-4085023':Nto._make([date(2015,  6, 17), '.Df.P..', '..', """Defective GFPT1 causes CMSTA1"""]),
    'R-HSA-4085377':Nto._make([date(2018,  6, 12), '..f.P..', '.C', """SUMOylation of SUMOylation proteins"""]),
    'R-BTA-4085377':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of SUMOylation proteins"""]),
    'R-CEL-4085377':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of SUMOylation proteins"""]),
    'R-CFA-4085377':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of SUMOylation proteins"""]),
    'R-DDI-4085377':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of SUMOylation proteins"""]),
    'R-DME-4085377':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of SUMOylation proteins"""]),
    'R-DRE-4085377':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of SUMOylation proteins"""]),
    'R-GGA-4085377':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of SUMOylation proteins"""]),
    'R-MMU-4085377':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of SUMOylation proteins"""]),
    'R-PFA-4085377':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of SUMOylation proteins"""]),
    'R-RNO-4085377':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of SUMOylation proteins"""]),
    'R-SCE-4085377':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of SUMOylation proteins"""]),
    'R-SPO-4085377':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of SUMOylation proteins"""]),
    'R-SSC-4085377':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of SUMOylation proteins"""]),
    'R-XTR-4085377':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of SUMOylation proteins"""]),
    'R-HSA-4086398':Nto._make([date(2013, 12,  4), '....P..', 'BC', """Ca2+ pathway"""]),
    'R-BTA-4086398':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ca2+ pathway"""]),
    'R-CEL-4086398':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ca2+ pathway"""]),
    'R-CFA-4086398':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ca2+ pathway"""]),
    'R-DDI-4086398':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ca2+ pathway"""]),
    'R-DME-4086398':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ca2+ pathway"""]),
    'R-DRE-4086398':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ca2+ pathway"""]),
    'R-GGA-4086398':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ca2+ pathway"""]),
    'R-MMU-4086398':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ca2+ pathway"""]),
    'R-PFA-4086398':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ca2+ pathway"""]),
    'R-RNO-4086398':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ca2+ pathway"""]),
    'R-SCE-4086398':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ca2+ pathway"""]),
    'R-SPO-4086398':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ca2+ pathway"""]),
    'R-SSC-4086398':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ca2+ pathway"""]),
    'R-XTR-4086398':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Ca2+ pathway"""]),
    'R-HSA-4086400':Nto._make([date(2013, 12,  4), '....P..', 'BC', """PCP/CE pathway"""]),
    'R-BTA-4086400':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PCP/CE pathway"""]),
    'R-CEL-4086400':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PCP/CE pathway"""]),
    'R-CFA-4086400':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PCP/CE pathway"""]),
    'R-DME-4086400':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PCP/CE pathway"""]),
    'R-DRE-4086400':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PCP/CE pathway"""]),
    'R-GGA-4086400':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PCP/CE pathway"""]),
    'R-MMU-4086400':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PCP/CE pathway"""]),
    'R-RNO-4086400':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PCP/CE pathway"""]),
    'R-SSC-4086400':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PCP/CE pathway"""]),
    'R-XTR-4086400':Nto._make([date(2019,  3, 20), '...I...', 'BC', """PCP/CE pathway"""]),
    'R-HSA-4090294':Nto._make([date(2018,  6, 12), '..f.P..', '.C', """SUMOylation of intracellular receptors"""]),
    'R-BTA-4090294':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of intracellular receptors"""]),
    'R-CEL-4090294':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of intracellular receptors"""]),
    'R-CFA-4090294':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of intracellular receptors"""]),
    'R-DME-4090294':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of intracellular receptors"""]),
    'R-DRE-4090294':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of intracellular receptors"""]),
    'R-GGA-4090294':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of intracellular receptors"""]),
    'R-MMU-4090294':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of intracellular receptors"""]),
    'R-RNO-4090294':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of intracellular receptors"""]),
    'R-SSC-4090294':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of intracellular receptors"""]),
    'R-XTR-4090294':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of intracellular receptors"""]),
    'R-HSA-4341670':Nto._make([date(2015,  6, 17), '.Df.P..', '..', """Defective NEU1 causes sialidosis"""]),
    'R-HSA-4411364':Nto._make([date(2014,  3, 12), '....P..', '.C', """Binding of TCF/LEF:CTNNB1 to target gene promoters"""]),
    'R-HSA-4419969':Nto._make([date(2014,  3, 12), '....P..', '..', """Depolymerisation of the Nuclear Lamina"""]),
    'R-BTA-4419969':Nto._make([date(2019,  3, 20), '...I...', '..', """Depolymerisation of the Nuclear Lamina"""]),
    'R-CEL-4419969':Nto._make([date(2019,  3, 20), '...I...', '..', """Depolymerisation of the Nuclear Lamina"""]),
    'R-CFA-4419969':Nto._make([date(2019,  3, 20), '...I...', '..', """Depolymerisation of the Nuclear Lamina"""]),
    'R-DDI-4419969':Nto._make([date(2019,  3, 20), '...I...', '..', """Depolymerisation of the Nuclear Lamina"""]),
    'R-DME-4419969':Nto._make([date(2019,  3, 20), '...I...', '..', """Depolymerisation of the Nuclear Lamina"""]),
    'R-DRE-4419969':Nto._make([date(2019,  3, 20), '...I...', '..', """Depolymerisation of the Nuclear Lamina"""]),
    'R-GGA-4419969':Nto._make([date(2019,  3, 20), '...I...', '..', """Depolymerisation of the Nuclear Lamina"""]),
    'R-MMU-4419969':Nto._make([date(2019,  3, 20), '...I...', '..', """Depolymerisation of the Nuclear Lamina"""]),
    'R-PFA-4419969':Nto._make([date(2019,  3, 20), '...I...', '..', """Depolymerisation of the Nuclear Lamina"""]),
    'R-RNO-4419969':Nto._make([date(2019,  3, 20), '...I...', '..', """Depolymerisation of the Nuclear Lamina"""]),
    'R-SCE-4419969':Nto._make([date(2019,  3, 20), '...I...', '..', """Depolymerisation of the Nuclear Lamina"""]),
    'R-SPO-4419969':Nto._make([date(2019,  3, 20), '...I...', '..', """Depolymerisation of the Nuclear Lamina"""]),
    'R-SSC-4419969':Nto._make([date(2019,  3, 20), '...I...', '..', """Depolymerisation of the Nuclear Lamina"""]),
    'R-XTR-4419969':Nto._make([date(2019,  3, 20), '...I...', '..', """Depolymerisation of the Nuclear Lamina"""]),
    'R-HSA-4420097':Nto._make([date(2014,  6, 10), '....P..', '.C', """VEGFA-VEGFR2 Pathway"""]),
    'R-BTA-4420097':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFA-VEGFR2 Pathway"""]),
    'R-CEL-4420097':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFA-VEGFR2 Pathway"""]),
    'R-CFA-4420097':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFA-VEGFR2 Pathway"""]),
    'R-DDI-4420097':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFA-VEGFR2 Pathway"""]),
    'R-DME-4420097':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFA-VEGFR2 Pathway"""]),
    'R-DRE-4420097':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFA-VEGFR2 Pathway"""]),
    'R-GGA-4420097':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFA-VEGFR2 Pathway"""]),
    'R-MMU-4420097':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFA-VEGFR2 Pathway"""]),
    'R-PFA-4420097':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFA-VEGFR2 Pathway"""]),
    'R-RNO-4420097':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFA-VEGFR2 Pathway"""]),
    'R-SCE-4420097':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFA-VEGFR2 Pathway"""]),
    'R-SPO-4420097':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFA-VEGFR2 Pathway"""]),
    'R-SSC-4420097':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFA-VEGFR2 Pathway"""]),
    'R-XTR-4420097':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFA-VEGFR2 Pathway"""]),
    'R-HSA-4420332':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective B3GALT6 causes EDSP2 and SEMDJL1"""]),
    'R-HSA-4549349':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective ALG2 causes ALG2-CDG (CDG-1i)"""]),
    'R-HSA-4549356':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective DPAGT1 causes DPAGT1-CDG (CDG-1j) and CMSTA2"""]),
    'R-HSA-4549380':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective ALG1 causes ALG1-CDG (CDG-1k)"""]),
    'R-HSA-4551295':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective ALG11 causes ALG11-CDG (CDG-1p)"""]),
    'R-HSA-4551638':Nto._make([date(2015, 12, 15), '..f.P..', '.C', """SUMOylation of chromatin organization proteins"""]),
    'R-BTA-4551638':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of chromatin organization proteins"""]),
    'R-CEL-4551638':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of chromatin organization proteins"""]),
    'R-CFA-4551638':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of chromatin organization proteins"""]),
    'R-DDI-4551638':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of chromatin organization proteins"""]),
    'R-DME-4551638':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of chromatin organization proteins"""]),
    'R-DRE-4551638':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of chromatin organization proteins"""]),
    'R-GGA-4551638':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of chromatin organization proteins"""]),
    'R-MMU-4551638':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of chromatin organization proteins"""]),
    'R-PFA-4551638':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of chromatin organization proteins"""]),
    'R-RNO-4551638':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of chromatin organization proteins"""]),
    'R-SCE-4551638':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of chromatin organization proteins"""]),
    'R-SPO-4551638':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of chromatin organization proteins"""]),
    'R-SSC-4551638':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of chromatin organization proteins"""]),
    'R-XTR-4551638':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of chromatin organization proteins"""]),
    'R-HSA-4570464':Nto._make([date(2015, 12, 15), '..f.P..', '.C', """SUMOylation of RNA binding proteins"""]),
    'R-BTA-4570464':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of RNA binding proteins"""]),
    'R-CEL-4570464':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of RNA binding proteins"""]),
    'R-CFA-4570464':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of RNA binding proteins"""]),
    'R-DDI-4570464':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of RNA binding proteins"""]),
    'R-DME-4570464':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of RNA binding proteins"""]),
    'R-DRE-4570464':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of RNA binding proteins"""]),
    'R-GGA-4570464':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of RNA binding proteins"""]),
    'R-MMU-4570464':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of RNA binding proteins"""]),
    'R-PFA-4570464':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of RNA binding proteins"""]),
    'R-RNO-4570464':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of RNA binding proteins"""]),
    'R-SCE-4570464':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of RNA binding proteins"""]),
    'R-SPO-4570464':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of RNA binding proteins"""]),
    'R-SSC-4570464':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of RNA binding proteins"""]),
    'R-XTR-4570464':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of RNA binding proteins"""]),
    'R-HSA-4570571':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective RFT1 causes RFT1-CDG (CDG-1n)"""]),
    'R-HSA-4608870':Nto._make([date(2013, 12,  4), '....P..', '.C', """Asymmetric localization of PCP proteins"""]),
    'R-BTA-4608870':Nto._make([date(2019,  3, 20), '...I...', '.C', """Asymmetric localization of PCP proteins"""]),
    'R-CEL-4608870':Nto._make([date(2019,  3, 20), '...I...', '.C', """Asymmetric localization of PCP proteins"""]),
    'R-CFA-4608870':Nto._make([date(2019,  3, 20), '...I...', '.C', """Asymmetric localization of PCP proteins"""]),
    'R-DME-4608870':Nto._make([date(2019,  3, 20), '...I...', '.C', """Asymmetric localization of PCP proteins"""]),
    'R-DRE-4608870':Nto._make([date(2019,  3, 20), '...I...', '.C', """Asymmetric localization of PCP proteins"""]),
    'R-GGA-4608870':Nto._make([date(2019,  3, 20), '...I...', '.C', """Asymmetric localization of PCP proteins"""]),
    'R-MMU-4608870':Nto._make([date(2019,  3, 20), '...I...', '.C', """Asymmetric localization of PCP proteins"""]),
    'R-RNO-4608870':Nto._make([date(2019,  3, 20), '...I...', '.C', """Asymmetric localization of PCP proteins"""]),
    'R-SSC-4608870':Nto._make([date(2019,  3, 20), '...I...', '.C', """Asymmetric localization of PCP proteins"""]),
    'R-XTR-4608870':Nto._make([date(2019,  3, 20), '...I...', '.C', """Asymmetric localization of PCP proteins"""]),
    'R-HSA-4615885':Nto._make([date(2015, 12, 15), '..f.P..', '.C', """SUMOylation of DNA replication proteins"""]),
    'R-BTA-4615885':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA replication proteins"""]),
    'R-CEL-4615885':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA replication proteins"""]),
    'R-CFA-4615885':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA replication proteins"""]),
    'R-DDI-4615885':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA replication proteins"""]),
    'R-DME-4615885':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA replication proteins"""]),
    'R-DRE-4615885':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA replication proteins"""]),
    'R-GGA-4615885':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA replication proteins"""]),
    'R-MMU-4615885':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA replication proteins"""]),
    'R-PFA-4615885':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA replication proteins"""]),
    'R-RNO-4615885':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA replication proteins"""]),
    'R-SCE-4615885':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA replication proteins"""]),
    'R-SPO-4615885':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA replication proteins"""]),
    'R-SSC-4615885':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA replication proteins"""]),
    'R-XTR-4615885':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA replication proteins"""]),
    'R-HSA-4641257':Nto._make([date(2014,  3, 12), '....P..', 'B.', """Degradation of AXIN"""]),
    'R-BTA-4641257':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of AXIN"""]),
    'R-CFA-4641257':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of AXIN"""]),
    'R-DME-4641257':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of AXIN"""]),
    'R-DRE-4641257':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of AXIN"""]),
    'R-GGA-4641257':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of AXIN"""]),
    'R-MMU-4641257':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of AXIN"""]),
    'R-RNO-4641257':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of AXIN"""]),
    'R-SSC-4641257':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of AXIN"""]),
    'R-XTR-4641257':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of AXIN"""]),
    'R-HSA-4641258':Nto._make([date(2014,  3, 12), '....P..', 'B.', """Degradation of DVL"""]),
    'R-BTA-4641258':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of DVL"""]),
    'R-CEL-4641258':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of DVL"""]),
    'R-CFA-4641258':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of DVL"""]),
    'R-DDI-4641258':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of DVL"""]),
    'R-DME-4641258':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of DVL"""]),
    'R-DRE-4641258':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of DVL"""]),
    'R-GGA-4641258':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of DVL"""]),
    'R-MMU-4641258':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of DVL"""]),
    'R-RNO-4641258':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of DVL"""]),
    'R-SSC-4641258':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of DVL"""]),
    'R-XTR-4641258':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Degradation of DVL"""]),
    'R-HSA-4641262':Nto._make([date(2014,  3, 12), '....P..', 'B.', """Disassembly of the destruction complex and recruitment of AXIN to the membrane"""]),
    'R-BTA-4641262':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Disassembly of the destruction complex and recruitment of AXIN to the membrane"""]),
    'R-CEL-4641262':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Disassembly of the destruction complex and recruitment of AXIN to the membrane"""]),
    'R-CFA-4641262':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Disassembly of the destruction complex and recruitment of AXIN to the membrane"""]),
    'R-DME-4641262':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Disassembly of the destruction complex and recruitment of AXIN to the membrane"""]),
    'R-DRE-4641262':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Disassembly of the destruction complex and recruitment of AXIN to the membrane"""]),
    'R-MMU-4641262':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Disassembly of the destruction complex and recruitment of AXIN to the membrane"""]),
    'R-RNO-4641262':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Disassembly of the destruction complex and recruitment of AXIN to the membrane"""]),
    'R-SSC-4641262':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Disassembly of the destruction complex and recruitment of AXIN to the membrane"""]),
    'R-XTR-4641262':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Disassembly of the destruction complex and recruitment of AXIN to the membrane"""]),
    'R-HSA-4641263':Nto._make([date(2014,  3, 12), '....P..', '..', """Regulation of FZD by ubiquitination"""]),
    'R-BTA-4641263':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of FZD by ubiquitination"""]),
    'R-CFA-4641263':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of FZD by ubiquitination"""]),
    'R-DRE-4641263':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of FZD by ubiquitination"""]),
    'R-GGA-4641263':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of FZD by ubiquitination"""]),
    'R-MMU-4641263':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of FZD by ubiquitination"""]),
    'R-RNO-4641263':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of FZD by ubiquitination"""]),
    'R-SSC-4641263':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of FZD by ubiquitination"""]),
    'R-XTR-4641263':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of FZD by ubiquitination"""]),
    'R-HSA-4641265':Nto._make([date(2014,  6, 10), '....P..', '.C', """Repression of WNT target genes"""]),
    'R-BTA-4641265':Nto._make([date(2019,  3, 20), '...I...', '.C', """Repression of WNT target genes"""]),
    'R-CEL-4641265':Nto._make([date(2019,  3, 20), '...I...', '.C', """Repression of WNT target genes"""]),
    'R-CFA-4641265':Nto._make([date(2019,  3, 20), '...I...', '.C', """Repression of WNT target genes"""]),
    'R-DME-4641265':Nto._make([date(2019,  3, 20), '...I...', '.C', """Repression of WNT target genes"""]),
    'R-DRE-4641265':Nto._make([date(2019,  3, 20), '...I...', '.C', """Repression of WNT target genes"""]),
    'R-GGA-4641265':Nto._make([date(2019,  3, 20), '...I...', '.C', """Repression of WNT target genes"""]),
    'R-MMU-4641265':Nto._make([date(2019,  3, 20), '...I...', '.C', """Repression of WNT target genes"""]),
    'R-RNO-4641265':Nto._make([date(2019,  3, 20), '...I...', '.C', """Repression of WNT target genes"""]),
    'R-SSC-4641265':Nto._make([date(2019,  3, 20), '...I...', '.C', """Repression of WNT target genes"""]),
    'R-XTR-4641265':Nto._make([date(2019,  3, 20), '...I...', '.C', """Repression of WNT target genes"""]),
    'R-HSA-4655427':Nto._make([date(2018,  6, 12), '..f.P..', '.C', """SUMOylation of DNA methylation proteins"""]),
    'R-BTA-4655427':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA methylation proteins"""]),
    'R-CFA-4655427':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA methylation proteins"""]),
    'R-DRE-4655427':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA methylation proteins"""]),
    'R-GGA-4655427':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA methylation proteins"""]),
    'R-MMU-4655427':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA methylation proteins"""]),
    'R-RNO-4655427':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA methylation proteins"""]),
    'R-SSC-4655427':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA methylation proteins"""]),
    'R-XTR-4655427':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of DNA methylation proteins"""]),
    'R-HSA-4687000':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective MPDU1 causes MPDU1-CDG (CDG-1f)"""]),
    'R-HSA-4717374':Nto._make([date(2015,  6, 17), '.Df.P..', '..', """Defective DPM1 causes DPM1-CDG (CDG-1e)"""]),
    'R-HSA-4719360':Nto._make([date(2015,  6, 17), '.Df.P..', '..', """Defective DPM3 causes DPM3-CDG (CDG-1o)"""]),
    'R-HSA-4719377':Nto._make([date(2015,  6, 17), '.Df.P..', '..', """Defective DPM2 causes DPM2-CDG (CDG-1u)"""]),
    'R-HSA-4720454':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective ALG9 causes ALG9-CDG (CDG-1l)"""]),
    'R-HSA-4720475':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective ALG3 causes ALG3-CDG (CDG-1d)"""]),
    'R-HSA-4720489':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective ALG12 causes ALG12-CDG (CDG-1g)"""]),
    'R-HSA-4724289':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective ALG6 causes ALG6-CDG (CDG-1c)"""]),
    'R-HSA-4724325':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective ALG8 causes ALG8-CDG (CDG-1h)"""]),
    'R-HSA-4755510':Nto._make([date(2018,  6, 12), '..f.P..', '.C', """SUMOylation of immune response proteins"""]),
    'R-BTA-4755510':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of immune response proteins"""]),
    'R-CFA-4755510':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of immune response proteins"""]),
    'R-DME-4755510':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of immune response proteins"""]),
    'R-DRE-4755510':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of immune response proteins"""]),
    'R-GGA-4755510':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of immune response proteins"""]),
    'R-MMU-4755510':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of immune response proteins"""]),
    'R-RNO-4755510':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of immune response proteins"""]),
    'R-SSC-4755510':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of immune response proteins"""]),
    'R-XTR-4755510':Nto._make([date(2019,  3, 20), '..fI...', '.C', """SUMOylation of immune response proteins"""]),
    'R-HSA-4755579':Nto._make([date(2015,  6, 17), '.Df.P..', '..', """Defective SRD5A3 causes SRD5A3-CDG (CDG-1q) and KHRZ"""]),
    'R-HSA-4755583':Nto._make([date(2015,  6, 17), '.Df.P..', '..', """Defective DOLK causes DOLK-CDG (CDG-1m)"""]),
    'R-HSA-4755609':Nto._make([date(2015,  6, 17), '.Df.P..', '..', """Defective DHDDS causes retinitis pigmentosa 59"""]),
    'R-HSA-4791275':Nto._make([date(2014,  6, 10), '.Df.P..', '.C', """Signaling by WNT in cancer"""]),
    'R-HSA-4793950':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective MAN1B1 causes MRT15"""]),
    'R-HSA-4793952':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective MGAT2 causes MGAT2-CDG (CDG-2a)"""]),
    'R-HSA-4793953':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective B4GALT1 causes B4GALT1-CDG (CDG-2d)"""]),
    'R-HSA-4793954':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective MOGS causes MOGS-CDG (CDG-2b)"""]),
    'R-HSA-4839726':Nto._make([date(2013, 12,  4), 'T.f.P..', 'BC', """Chromatin organization"""]),
    'R-BTA-4839726':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """Chromatin organization"""]),
    'R-CEL-4839726':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """Chromatin organization"""]),
    'R-CFA-4839726':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """Chromatin organization"""]),
    'R-DDI-4839726':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """Chromatin organization"""]),
    'R-DME-4839726':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """Chromatin organization"""]),
    'R-DRE-4839726':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """Chromatin organization"""]),
    'R-GGA-4839726':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """Chromatin organization"""]),
    'R-MMU-4839726':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """Chromatin organization"""]),
    'R-PFA-4839726':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """Chromatin organization"""]),
    'R-RNO-4839726':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """Chromatin organization"""]),
    'R-SCE-4839726':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """Chromatin organization"""]),
    'R-SPO-4839726':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """Chromatin organization"""]),
    'R-SSC-4839726':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """Chromatin organization"""]),
    'R-XTR-4839726':Nto._make([date(2019,  3, 20), 'T.fI...', 'BC', """Chromatin organization"""]),
    'R-HSA-4839735':Nto._make([date(2014,  6, 10), '.Df.P..', '.C', """AXIN mutants destabilize the destruction complex, activating WNT signaling"""]),
    'R-HSA-4839743':Nto._make([date(2014,  6, 10), '.Df.P..', '.C', """phosphorylation site mutants of CTNNB1 are not targeted to the proteasome by the destruction complex"""]),
    'R-HSA-4839744':Nto._make([date(2014,  6, 10), '.Df.P..', '.C', """truncated APC mutants destabilize the destruction complex"""]),
    'R-HSA-4839748':Nto._make([date(2014,  6, 10), '.Df.P..', '.C', """AMER1 mutants destabilize the destruction complex"""]),
    'R-HSA-5083625':Nto._make([date(2016,  3, 23), '.Df.P..', '..', """Defective GALNT3 causes familial hyperphosphatemic tumoral calcinosis (HFTC)"""]),
    'R-HSA-5083627':Nto._make([date(2016,  3, 23), '.Df.P..', '..', """Defective LARGE causes MDDGA6 and MDDGB6"""]),
    'R-HSA-5083628':Nto._make([date(2016,  3, 23), '.Df.P..', '..', """Defective POMGNT1 causes MDDGA3, MDDGB3 and MDDGC3"""]),
    'R-HSA-5083629':Nto._make([date(2016,  3, 23), '.Df.P..', '..', """Defective POMT2 causes MDDGA2, MDDGB2 and MDDGC2"""]),
    'R-HSA-5083630':Nto._make([date(2016,  3, 23), '.Df.P..', '..', """Defective LFNG causes SCDO3"""]),
    'R-HSA-5083632':Nto._make([date(2016,  3, 23), '.Df.P..', '..', """Defective C1GALT1C1 causes Tn polyagglutination syndrome (TNPS)"""]),
    'R-HSA-5083633':Nto._make([date(2016,  3, 23), '.Df.P..', '..', """Defective POMT1 causes MDDGA1, MDDGB1 and MDDGC1"""]),
    'R-HSA-5083635':Nto._make([date(2016,  3, 23), '.Df.P..', '..', """Defective B3GALTL causes Peters-plus syndrome (PpS)"""]),
    'R-HSA-5083636':Nto._make([date(2016,  3, 23), '.Df.P..', '..', """Defective GALNT12 causes colorectal cancer 1 (CRCS1)"""]),
    'R-HSA-5099900':Nto._make([date(2013, 12,  4), '....P..', '.C', """WNT5A-dependent internalization of FZD4"""]),
    'R-BTA-5099900':Nto._make([date(2019,  3, 20), '...I...', '.C', """WNT5A-dependent internalization of FZD4"""]),
    'R-CEL-5099900':Nto._make([date(2019,  3, 20), '...I...', '.C', """WNT5A-dependent internalization of FZD4"""]),
    'R-CFA-5099900':Nto._make([date(2019,  3, 20), '...I...', '.C', """WNT5A-dependent internalization of FZD4"""]),
    'R-DME-5099900':Nto._make([date(2019,  3, 20), '...I...', '.C', """WNT5A-dependent internalization of FZD4"""]),
    'R-DRE-5099900':Nto._make([date(2019,  3, 20), '...I...', '.C', """WNT5A-dependent internalization of FZD4"""]),
    'R-GGA-5099900':Nto._make([date(2019,  3, 20), '...I...', '.C', """WNT5A-dependent internalization of FZD4"""]),
    'R-MMU-5099900':Nto._make([date(2019,  3, 20), '...I...', '.C', """WNT5A-dependent internalization of FZD4"""]),
    'R-RNO-5099900':Nto._make([date(2019,  3, 20), '...I...', '.C', """WNT5A-dependent internalization of FZD4"""]),
    'R-SSC-5099900':Nto._make([date(2019,  3, 20), '...I...', '.C', """WNT5A-dependent internalization of FZD4"""]),
    'R-XTR-5099900':Nto._make([date(2019,  3, 20), '...I...', '.C', """WNT5A-dependent internalization of FZD4"""]),
    'R-HSA-5140745':Nto._make([date(2013, 12,  4), '....P..', '.C', """WNT5A-dependent internalization of FZD2, FZD5 and ROR2"""]),
    'R-BTA-5140745':Nto._make([date(2019,  3, 20), '...I...', '.C', """WNT5A-dependent internalization of FZD2, FZD5 and ROR2"""]),
    'R-CEL-5140745':Nto._make([date(2019,  3, 20), '...I...', '.C', """WNT5A-dependent internalization of FZD2, FZD5 and ROR2"""]),
    'R-CFA-5140745':Nto._make([date(2019,  3, 20), '...I...', '.C', """WNT5A-dependent internalization of FZD2, FZD5 and ROR2"""]),
    'R-DME-5140745':Nto._make([date(2019,  3, 20), '...I...', '.C', """WNT5A-dependent internalization of FZD2, FZD5 and ROR2"""]),
    'R-DRE-5140745':Nto._make([date(2019,  3, 20), '...I...', '.C', """WNT5A-dependent internalization of FZD2, FZD5 and ROR2"""]),
    'R-GGA-5140745':Nto._make([date(2019,  3, 20), '...I...', '.C', """WNT5A-dependent internalization of FZD2, FZD5 and ROR2"""]),
    'R-MMU-5140745':Nto._make([date(2019,  3, 20), '...I...', '.C', """WNT5A-dependent internalization of FZD2, FZD5 and ROR2"""]),
    'R-RNO-5140745':Nto._make([date(2019,  3, 20), '...I...', '.C', """WNT5A-dependent internalization of FZD2, FZD5 and ROR2"""]),
    'R-SSC-5140745':Nto._make([date(2019,  3, 20), '...I...', '.C', """WNT5A-dependent internalization of FZD2, FZD5 and ROR2"""]),
    'R-HSA-5173105':Nto._make([date(2014,  3, 12), '..f.P..', 'B.', """O-linked glycosylation"""]),
    'R-BTA-5173105':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """O-linked glycosylation"""]),
    'R-CEL-5173105':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """O-linked glycosylation"""]),
    'R-CFA-5173105':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """O-linked glycosylation"""]),
    'R-DDI-5173105':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """O-linked glycosylation"""]),
    'R-DME-5173105':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """O-linked glycosylation"""]),
    'R-DRE-5173105':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """O-linked glycosylation"""]),
    'R-GGA-5173105':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """O-linked glycosylation"""]),
    'R-MMU-5173105':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """O-linked glycosylation"""]),
    'R-PFA-5173105':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """O-linked glycosylation"""]),
    'R-RNO-5173105':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """O-linked glycosylation"""]),
    'R-SSC-5173105':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """O-linked glycosylation"""]),
    'R-XTR-5173105':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """O-linked glycosylation"""]),
    'R-HSA-5173214':Nto._make([date(2014,  3, 12), '....P..', 'B.', """O-glycosylation of TSR domain-containing proteins"""]),
    'R-BTA-5173214':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-glycosylation of TSR domain-containing proteins"""]),
    'R-CEL-5173214':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-glycosylation of TSR domain-containing proteins"""]),
    'R-CFA-5173214':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-glycosylation of TSR domain-containing proteins"""]),
    'R-DME-5173214':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-glycosylation of TSR domain-containing proteins"""]),
    'R-DRE-5173214':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-glycosylation of TSR domain-containing proteins"""]),
    'R-GGA-5173214':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-glycosylation of TSR domain-containing proteins"""]),
    'R-MMU-5173214':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-glycosylation of TSR domain-containing proteins"""]),
    'R-PFA-5173214':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-glycosylation of TSR domain-containing proteins"""]),
    'R-RNO-5173214':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-glycosylation of TSR domain-containing proteins"""]),
    'R-SSC-5173214':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-glycosylation of TSR domain-containing proteins"""]),
    'R-XTR-5173214':Nto._make([date(2019,  3, 20), '...I...', 'B.', """O-glycosylation of TSR domain-containing proteins"""]),
    'R-HSA-5205647':Nto._make([date(2015,  9, 22), '..f.P..', 'B.', """Mitophagy"""]),
    'R-BTA-5205647':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitophagy"""]),
    'R-CEL-5205647':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitophagy"""]),
    'R-CFA-5205647':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitophagy"""]),
    'R-DDI-5205647':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitophagy"""]),
    'R-DME-5205647':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitophagy"""]),
    'R-DRE-5205647':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitophagy"""]),
    'R-GGA-5205647':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitophagy"""]),
    'R-MMU-5205647':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitophagy"""]),
    'R-PFA-5205647':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitophagy"""]),
    'R-RNO-5205647':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitophagy"""]),
    'R-SCE-5205647':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitophagy"""]),
    'R-SPO-5205647':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitophagy"""]),
    'R-SSC-5205647':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitophagy"""]),
    'R-XTR-5205647':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitophagy"""]),
    'R-HSA-5205685':Nto._make([date(2015,  9, 22), '....P..', 'BC', """Pink/Parkin Mediated Mitophagy"""]),
    'R-BTA-5205685':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pink/Parkin Mediated Mitophagy"""]),
    'R-CEL-5205685':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pink/Parkin Mediated Mitophagy"""]),
    'R-CFA-5205685':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pink/Parkin Mediated Mitophagy"""]),
    'R-DME-5205685':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pink/Parkin Mediated Mitophagy"""]),
    'R-DRE-5205685':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pink/Parkin Mediated Mitophagy"""]),
    'R-GGA-5205685':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pink/Parkin Mediated Mitophagy"""]),
    'R-MMU-5205685':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pink/Parkin Mediated Mitophagy"""]),
    'R-RNO-5205685':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pink/Parkin Mediated Mitophagy"""]),
    'R-SSC-5205685':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pink/Parkin Mediated Mitophagy"""]),
    'R-XTR-5205685':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Pink/Parkin Mediated Mitophagy"""]),
    'R-HSA-5210891':Nto._make([date(2014,  6, 10), '.Df.P..', '..', """Uptake and function of anthrax toxins"""]),
    'R-HSA-5213460':Nto._make([date(2015,  3, 19), '....P..', 'B.', """RIPK1-mediated regulated necrosis"""]),
    'R-BTA-5213460':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RIPK1-mediated regulated necrosis"""]),
    'R-CFA-5213460':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RIPK1-mediated regulated necrosis"""]),
    'R-DME-5213460':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RIPK1-mediated regulated necrosis"""]),
    'R-DRE-5213460':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RIPK1-mediated regulated necrosis"""]),
    'R-GGA-5213460':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RIPK1-mediated regulated necrosis"""]),
    'R-MMU-5213460':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RIPK1-mediated regulated necrosis"""]),
    'R-RNO-5213460':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RIPK1-mediated regulated necrosis"""]),
    'R-SSC-5213460':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RIPK1-mediated regulated necrosis"""]),
    'R-XTR-5213460':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RIPK1-mediated regulated necrosis"""]),
    'R-HSA-5218859':Nto._make([date(2015,  3, 19), '..f.P..', 'B.', """Regulated Necrosis"""]),
    'R-BTA-5218859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulated Necrosis"""]),
    'R-CFA-5218859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulated Necrosis"""]),
    'R-DME-5218859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulated Necrosis"""]),
    'R-DRE-5218859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulated Necrosis"""]),
    'R-GGA-5218859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulated Necrosis"""]),
    'R-MMU-5218859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulated Necrosis"""]),
    'R-RNO-5218859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulated Necrosis"""]),
    'R-SSC-5218859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulated Necrosis"""]),
    'R-XTR-5218859':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulated Necrosis"""]),
    'R-HSA-5218900':Nto._make([date(2015,  3, 19), '....P..', 'B.', """CASP8 activity is inhibited"""]),
    'R-BTA-5218900':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CASP8 activity is inhibited"""]),
    'R-CFA-5218900':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CASP8 activity is inhibited"""]),
    'R-DRE-5218900':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CASP8 activity is inhibited"""]),
    'R-GGA-5218900':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CASP8 activity is inhibited"""]),
    'R-MMU-5218900':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CASP8 activity is inhibited"""]),
    'R-RNO-5218900':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CASP8 activity is inhibited"""]),
    'R-SSC-5218900':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CASP8 activity is inhibited"""]),
    'R-XTR-5218900':Nto._make([date(2019,  3, 20), '...I...', 'B.', """CASP8 activity is inhibited"""]),
    'R-HSA-5218920':Nto._make([date(2014,  6, 10), '....P..', '.C', """VEGFR2 mediated vascular permeability"""]),
    'R-BTA-5218920':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated vascular permeability"""]),
    'R-CEL-5218920':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated vascular permeability"""]),
    'R-CFA-5218920':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated vascular permeability"""]),
    'R-DDI-5218920':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated vascular permeability"""]),
    'R-DME-5218920':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated vascular permeability"""]),
    'R-DRE-5218920':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated vascular permeability"""]),
    'R-GGA-5218920':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated vascular permeability"""]),
    'R-MMU-5218920':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated vascular permeability"""]),
    'R-PFA-5218920':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated vascular permeability"""]),
    'R-RNO-5218920':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated vascular permeability"""]),
    'R-SCE-5218920':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated vascular permeability"""]),
    'R-SPO-5218920':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated vascular permeability"""]),
    'R-SSC-5218920':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated vascular permeability"""]),
    'R-XTR-5218920':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated vascular permeability"""]),
    'R-HSA-5218921':Nto._make([date(2014,  6, 10), '....P..', '.C', """VEGFR2 mediated cell proliferation"""]),
    'R-BTA-5218921':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated cell proliferation"""]),
    'R-CEL-5218921':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated cell proliferation"""]),
    'R-CFA-5218921':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated cell proliferation"""]),
    'R-DDI-5218921':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated cell proliferation"""]),
    'R-DME-5218921':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated cell proliferation"""]),
    'R-DRE-5218921':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated cell proliferation"""]),
    'R-GGA-5218921':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated cell proliferation"""]),
    'R-MMU-5218921':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated cell proliferation"""]),
    'R-RNO-5218921':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated cell proliferation"""]),
    'R-SCE-5218921':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated cell proliferation"""]),
    'R-SPO-5218921':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated cell proliferation"""]),
    'R-SSC-5218921':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated cell proliferation"""]),
    'R-XTR-5218921':Nto._make([date(2019,  3, 20), '...I...', '.C', """VEGFR2 mediated cell proliferation"""]),
    'R-HSA-5221030':Nto._make([date(2014,  3, 12), '..f.P..', 'BC', """TET1,2,3 and TDG demethylate DNA"""]),
    'R-BTA-5221030':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TET1,2,3 and TDG demethylate DNA"""]),
    'R-CFA-5221030':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TET1,2,3 and TDG demethylate DNA"""]),
    'R-DME-5221030':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TET1,2,3 and TDG demethylate DNA"""]),
    'R-DRE-5221030':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TET1,2,3 and TDG demethylate DNA"""]),
    'R-GGA-5221030':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TET1,2,3 and TDG demethylate DNA"""]),
    'R-MMU-5221030':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TET1,2,3 and TDG demethylate DNA"""]),
    'R-RNO-5221030':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TET1,2,3 and TDG demethylate DNA"""]),
    'R-SPO-5221030':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TET1,2,3 and TDG demethylate DNA"""]),
    'R-SSC-5221030':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TET1,2,3 and TDG demethylate DNA"""]),
    'R-XTR-5221030':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TET1,2,3 and TDG demethylate DNA"""]),
    'R-HSA-5223345':Nto._make([date(2015,  3, 19), '..f.PB.', 'B.', """Miscellaneous transport and binding events"""]),
    'R-BTA-5223345':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Miscellaneous transport and binding events"""]),
    'R-CEL-5223345':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Miscellaneous transport and binding events"""]),
    'R-CFA-5223345':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Miscellaneous transport and binding events"""]),
    'R-DDI-5223345':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Miscellaneous transport and binding events"""]),
    'R-DME-5223345':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Miscellaneous transport and binding events"""]),
    'R-DRE-5223345':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Miscellaneous transport and binding events"""]),
    'R-GGA-5223345':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Miscellaneous transport and binding events"""]),
    'R-MMU-5223345':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Miscellaneous transport and binding events"""]),
    'R-PFA-5223345':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Miscellaneous transport and binding events"""]),
    'R-RNO-5223345':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Miscellaneous transport and binding events"""]),
    'R-SCE-5223345':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Miscellaneous transport and binding events"""]),
    'R-SPO-5223345':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Miscellaneous transport and binding events"""]),
    'R-SSC-5223345':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Miscellaneous transport and binding events"""]),
    'R-XTR-5223345':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Miscellaneous transport and binding events"""]),
    'R-HSA-5250913':Nto._make([date(2015, 12, 15), '..F.P..', 'BC', """Positive epigenetic regulation of rRNA expression"""]),
    'R-BTA-5250913':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Positive epigenetic regulation of rRNA expression"""]),
    'R-CFA-5250913':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Positive epigenetic regulation of rRNA expression"""]),
    'R-DRE-5250913':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Positive epigenetic regulation of rRNA expression"""]),
    'R-GGA-5250913':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Positive epigenetic regulation of rRNA expression"""]),
    'R-MMU-5250913':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Positive epigenetic regulation of rRNA expression"""]),
    'R-RNO-5250913':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Positive epigenetic regulation of rRNA expression"""]),
    'R-SSC-5250913':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Positive epigenetic regulation of rRNA expression"""]),
    'R-XTR-5250913':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Positive epigenetic regulation of rRNA expression"""]),
    'R-HSA-5250924':Nto._make([date(2015, 12, 15), '..f.P..', 'BC', """B-WICH complex positively regulates rRNA expression"""]),
    'R-BTA-5250924':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """B-WICH complex positively regulates rRNA expression"""]),
    'R-CFA-5250924':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """B-WICH complex positively regulates rRNA expression"""]),
    'R-DRE-5250924':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """B-WICH complex positively regulates rRNA expression"""]),
    'R-GGA-5250924':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """B-WICH complex positively regulates rRNA expression"""]),
    'R-MMU-5250924':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """B-WICH complex positively regulates rRNA expression"""]),
    'R-RNO-5250924':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """B-WICH complex positively regulates rRNA expression"""]),
    'R-SSC-5250924':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """B-WICH complex positively regulates rRNA expression"""]),
    'R-XTR-5250924':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """B-WICH complex positively regulates rRNA expression"""]),
    'R-HSA-5250941':Nto._make([date(2014,  3, 12), '..F.P..', 'BC', """Negative epigenetic regulation of rRNA expression"""]),
    'R-BTA-5250941':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Negative epigenetic regulation of rRNA expression"""]),
    'R-CEL-5250941':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Negative epigenetic regulation of rRNA expression"""]),
    'R-CFA-5250941':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Negative epigenetic regulation of rRNA expression"""]),
    'R-DME-5250941':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Negative epigenetic regulation of rRNA expression"""]),
    'R-DRE-5250941':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Negative epigenetic regulation of rRNA expression"""]),
    'R-MMU-5250941':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Negative epigenetic regulation of rRNA expression"""]),
    'R-RNO-5250941':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Negative epigenetic regulation of rRNA expression"""]),
    'R-SSC-5250941':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Negative epigenetic regulation of rRNA expression"""]),
    'R-XTR-5250941':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Negative epigenetic regulation of rRNA expression"""]),
    'R-HSA-5250955':Nto._make([date(2014,  3, 12), '.D..P..', '..', """Toxicity of botulinum toxin type D (BoNT/D)"""]),
    'R-HSA-5250958':Nto._make([date(2014,  3, 12), '.D..P..', '..', """Toxicity of botulinum toxin type B (BoNT/B)"""]),
    'R-HSA-5250968':Nto._make([date(2014,  3, 12), '.D..P..', '..', """Toxicity of botulinum toxin type A (BoNT/A)"""]),
    'R-HSA-5250971':Nto._make([date(2014,  3, 12), '.D..P..', '..', """Toxicity of botulinum toxin type C (BoNT/C)"""]),
    'R-HSA-5250981':Nto._make([date(2014,  3, 12), '.D..P..', '..', """Toxicity of botulinum toxin type F (BoNT/F)"""]),
    'R-HSA-5250982':Nto._make([date(2014, 12, 11), '.D..P..', '..', """Toxicity of tetanus toxin (TeNT)"""]),
    'R-HSA-5250989':Nto._make([date(2014,  3, 12), '.D..P..', '..', """Toxicity of botulinum toxin type G (BoNT/G)"""]),
    'R-HSA-5250992':Nto._make([date(2014,  3, 12), '.D..P..', '..', """Toxicity of botulinum toxin type E (BoNT/E)"""]),
    'R-DME-5252538':Nto._make([date(2014,  3, 12), 'T.f....', 'B.', """Drosophila signaling pathways"""]),
    'R-HSA-5260271':Nto._make([date(2015,  3, 19), '.Df.PB.', '..', """Diseases of Immune System"""]),
    'R-HSA-5263617':Nto._make([date(2015, 12, 15), '....P..', 'B.', """Metabolism of ingested MeSeO2H into MeSeH"""]),
    'R-CEL-5263617':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Metabolism of ingested MeSeO2H into MeSeH"""]),
    'R-CFA-5263617':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Metabolism of ingested MeSeO2H into MeSeH"""]),
    'R-DRE-5263617':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Metabolism of ingested MeSeO2H into MeSeH"""]),
    'R-GGA-5263617':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Metabolism of ingested MeSeO2H into MeSeH"""]),
    'R-MMU-5263617':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Metabolism of ingested MeSeO2H into MeSeH"""]),
    'R-PFA-5263617':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Metabolism of ingested MeSeO2H into MeSeH"""]),
    'R-RNO-5263617':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Metabolism of ingested MeSeO2H into MeSeH"""]),
    'R-XTR-5263617':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Metabolism of ingested MeSeO2H into MeSeH"""]),
    'R-HSA-5334118':Nto._make([date(2014,  9, 30), '..f.P..', 'BC', """DNA methylation"""]),
    'R-HSA-5336415':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Uptake and function of diphtheria toxin"""]),
    'R-HSA-5339562':Nto._make([date(2014,  6, 10), '.Df.P..', '..', """Uptake and actions of bacterial toxins"""]),
    'R-HSA-5339700':Nto._make([date(2014,  6, 10), '.Df.P..', '.C', """TCF7L2 mutants don't bind CTBP"""]),
    'R-HSA-5339716':Nto._make([date(2014,  6, 10), '.Df.P..', '.C', """Misspliced GSK3beta mutants stabilize beta-catenin"""]),
    'R-HSA-5339717':Nto._make([date(2014,  6, 10), '.Df.P..', '.C', """Misspliced LRP5 mutants have enhanced beta-catenin-dependent signaling"""]),
    'R-HSA-5340573':Nto._make([date(2014,  6, 10), '.Df.P..', '.C', """WNT ligand secretion is abrogated by the PORCN inhibitor LGK974"""]),
    'R-HSA-5340588':Nto._make([date(2014,  6, 10), '.Df.P..', '.C', """RNF mutants show enhanced WNT signaling and proliferation"""]),
    'R-HSA-5357609':Nto._make([date(2015,  9, 22), '.Df.P.U', '..', """Glycogen storage disease type II (GAA)"""]),
    'R-HSA-5357769':Nto._make([date(2015,  3, 19), '..F.P..', 'B.', """Caspase activation via extrinsic apoptotic signalling pathway"""]),
    'R-BTA-5357769':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Caspase activation via extrinsic apoptotic signalling pathway"""]),
    'R-CFA-5357769':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Caspase activation via extrinsic apoptotic signalling pathway"""]),
    'R-DME-5357769':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Caspase activation via extrinsic apoptotic signalling pathway"""]),
    'R-DRE-5357769':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Caspase activation via extrinsic apoptotic signalling pathway"""]),
    'R-GGA-5357769':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Caspase activation via extrinsic apoptotic signalling pathway"""]),
    'R-MMU-5357769':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Caspase activation via extrinsic apoptotic signalling pathway"""]),
    'R-RNO-5357769':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Caspase activation via extrinsic apoptotic signalling pathway"""]),
    'R-SSC-5357769':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Caspase activation via extrinsic apoptotic signalling pathway"""]),
    'R-XTR-5357769':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Caspase activation via extrinsic apoptotic signalling pathway"""]),
    'R-HSA-5357786':Nto._make([date(2015,  3, 19), '....P..', 'B.', """TNFR1-induced proapoptotic signaling"""]),
    'R-BTA-5357786':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TNFR1-induced proapoptotic signaling"""]),
    'R-CFA-5357786':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TNFR1-induced proapoptotic signaling"""]),
    'R-DRE-5357786':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TNFR1-induced proapoptotic signaling"""]),
    'R-MMU-5357786':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TNFR1-induced proapoptotic signaling"""]),
    'R-RNO-5357786':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TNFR1-induced proapoptotic signaling"""]),
    'R-SSC-5357786':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TNFR1-induced proapoptotic signaling"""]),
    'R-XTR-5357786':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TNFR1-induced proapoptotic signaling"""]),
    'R-HSA-5357801':Nto._make([date(2014, 12, 11), 'T.F.P..', 'B.', """Programmed Cell Death"""]),
    'R-BTA-5357801':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Programmed Cell Death"""]),
    'R-CEL-5357801':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Programmed Cell Death"""]),
    'R-CFA-5357801':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Programmed Cell Death"""]),
    'R-DDI-5357801':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Programmed Cell Death"""]),
    'R-DME-5357801':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Programmed Cell Death"""]),
    'R-DRE-5357801':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Programmed Cell Death"""]),
    'R-GGA-5357801':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Programmed Cell Death"""]),
    'R-MMU-5357801':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Programmed Cell Death"""]),
    'R-PFA-5357801':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Programmed Cell Death"""]),
    'R-RNO-5357801':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Programmed Cell Death"""]),
    'R-SCE-5357801':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Programmed Cell Death"""]),
    'R-SPO-5357801':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Programmed Cell Death"""]),
    'R-SSC-5357801':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Programmed Cell Death"""]),
    'R-XTR-5357801':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Programmed Cell Death"""]),
    'R-HSA-5357905':Nto._make([date(2015,  9, 22), '....P..', 'B.', """Regulation of TNFR1 signaling"""]),
    'R-BTA-5357905':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of TNFR1 signaling"""]),
    'R-CFA-5357905':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of TNFR1 signaling"""]),
    'R-DRE-5357905':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of TNFR1 signaling"""]),
    'R-GGA-5357905':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of TNFR1 signaling"""]),
    'R-MMU-5357905':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of TNFR1 signaling"""]),
    'R-RNO-5357905':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of TNFR1 signaling"""]),
    'R-SSC-5357905':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of TNFR1 signaling"""]),
    'R-XTR-5357905':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of TNFR1 signaling"""]),
    'R-HSA-5357956':Nto._make([date(2015,  9, 22), '....P..', 'B.', """TNFR1-induced NFkappaB signaling pathway"""]),
    'R-BTA-5357956':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TNFR1-induced NFkappaB signaling pathway"""]),
    'R-CFA-5357956':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TNFR1-induced NFkappaB signaling pathway"""]),
    'R-DRE-5357956':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TNFR1-induced NFkappaB signaling pathway"""]),
    'R-MMU-5357956':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TNFR1-induced NFkappaB signaling pathway"""]),
    'R-RNO-5357956':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TNFR1-induced NFkappaB signaling pathway"""]),
    'R-SSC-5357956':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TNFR1-induced NFkappaB signaling pathway"""]),
    'R-XTR-5357956':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TNFR1-induced NFkappaB signaling pathway"""]),
    'R-HSA-5358346':Nto._make([date(2014,  6, 10), '..f.P..', '..', """Hedgehog ligand biogenesis"""]),
    'R-BTA-5358346':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog ligand biogenesis"""]),
    'R-CFA-5358346':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog ligand biogenesis"""]),
    'R-DDI-5358346':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog ligand biogenesis"""]),
    'R-DME-5358346':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog ligand biogenesis"""]),
    'R-DRE-5358346':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog ligand biogenesis"""]),
    'R-GGA-5358346':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog ligand biogenesis"""]),
    'R-MMU-5358346':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog ligand biogenesis"""]),
    'R-RNO-5358346':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog ligand biogenesis"""]),
    'R-SSC-5358346':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog ligand biogenesis"""]),
    'R-XTR-5358346':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog ligand biogenesis"""]),
    'R-HSA-5358351':Nto._make([date(2014,  6, 10), '..F.P..', '..', """Signaling by Hedgehog"""]),
    'R-BTA-5358351':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Hedgehog"""]),
    'R-CEL-5358351':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Hedgehog"""]),
    'R-CFA-5358351':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Hedgehog"""]),
    'R-DDI-5358351':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Hedgehog"""]),
    'R-DME-5358351':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Hedgehog"""]),
    'R-DRE-5358351':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Hedgehog"""]),
    'R-GGA-5358351':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Hedgehog"""]),
    'R-MMU-5358351':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Hedgehog"""]),
    'R-RNO-5358351':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Hedgehog"""]),
    'R-SCE-5358351':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Hedgehog"""]),
    'R-SPO-5358351':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Hedgehog"""]),
    'R-SSC-5358351':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Hedgehog"""]),
    'R-XTR-5358351':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Hedgehog"""]),
    'R-HSA-5358493':Nto._make([date(2014, 12, 11), '....P..', 'BC', """Synthesis of diphthamide-EEF2"""]),
    'R-BTA-5358493':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of diphthamide-EEF2"""]),
    'R-CEL-5358493':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of diphthamide-EEF2"""]),
    'R-CFA-5358493':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of diphthamide-EEF2"""]),
    'R-DDI-5358493':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of diphthamide-EEF2"""]),
    'R-DME-5358493':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of diphthamide-EEF2"""]),
    'R-MMU-5358493':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of diphthamide-EEF2"""]),
    'R-PFA-5358493':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of diphthamide-EEF2"""]),
    'R-RNO-5358493':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of diphthamide-EEF2"""]),
    'R-SCE-5358493':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of diphthamide-EEF2"""]),
    'R-SPO-5358493':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of diphthamide-EEF2"""]),
    'R-SSC-5358493':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of diphthamide-EEF2"""]),
    'R-XTR-5358493':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Synthesis of diphthamide-EEF2"""]),
    'R-HSA-5358508':Nto._make([date(2014,  6, 10), '..f.P..', 'B.', """Mismatch Repair"""]),
    'R-BTA-5358508':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mismatch Repair"""]),
    'R-CEL-5358508':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mismatch Repair"""]),
    'R-CFA-5358508':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mismatch Repair"""]),
    'R-DDI-5358508':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mismatch Repair"""]),
    'R-DME-5358508':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mismatch Repair"""]),
    'R-DRE-5358508':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mismatch Repair"""]),
    'R-GGA-5358508':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mismatch Repair"""]),
    'R-MMU-5358508':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mismatch Repair"""]),
    'R-PFA-5358508':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mismatch Repair"""]),
    'R-RNO-5358508':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mismatch Repair"""]),
    'R-SCE-5358508':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mismatch Repair"""]),
    'R-SPO-5358508':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mismatch Repair"""]),
    'R-SSC-5358508':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mismatch Repair"""]),
    'R-XTR-5358508':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mismatch Repair"""]),
    'R-HSA-5358565':Nto._make([date(2014,  6, 10), '....P..', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH6 (MutSalpha)"""]),
    'R-BTA-5358565':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH6 (MutSalpha)"""]),
    'R-CEL-5358565':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH6 (MutSalpha)"""]),
    'R-CFA-5358565':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH6 (MutSalpha)"""]),
    'R-DDI-5358565':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH6 (MutSalpha)"""]),
    'R-DME-5358565':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH6 (MutSalpha)"""]),
    'R-DRE-5358565':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH6 (MutSalpha)"""]),
    'R-GGA-5358565':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH6 (MutSalpha)"""]),
    'R-MMU-5358565':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH6 (MutSalpha)"""]),
    'R-PFA-5358565':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH6 (MutSalpha)"""]),
    'R-RNO-5358565':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH6 (MutSalpha)"""]),
    'R-SCE-5358565':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH6 (MutSalpha)"""]),
    'R-SPO-5358565':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH6 (MutSalpha)"""]),
    'R-SSC-5358565':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH6 (MutSalpha)"""]),
    'R-XTR-5358565':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH6 (MutSalpha)"""]),
    'R-HSA-5358606':Nto._make([date(2014,  6, 10), '....P..', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH3 (MutSbeta)"""]),
    'R-BTA-5358606':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH3 (MutSbeta)"""]),
    'R-CEL-5358606':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH3 (MutSbeta)"""]),
    'R-CFA-5358606':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH3 (MutSbeta)"""]),
    'R-DDI-5358606':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH3 (MutSbeta)"""]),
    'R-DME-5358606':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH3 (MutSbeta)"""]),
    'R-DRE-5358606':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH3 (MutSbeta)"""]),
    'R-GGA-5358606':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH3 (MutSbeta)"""]),
    'R-MMU-5358606':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH3 (MutSbeta)"""]),
    'R-PFA-5358606':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH3 (MutSbeta)"""]),
    'R-RNO-5358606':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH3 (MutSbeta)"""]),
    'R-SCE-5358606':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH3 (MutSbeta)"""]),
    'R-SPO-5358606':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH3 (MutSbeta)"""]),
    'R-SSC-5358606':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH3 (MutSbeta)"""]),
    'R-XTR-5358606':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Mismatch repair (MMR) directed by MSH2:MSH3 (MutSbeta)"""]),
    'R-HSA-5358747':Nto._make([date(2014,  6, 10), '.Df.P..', '.C', """S33 mutants of beta-catenin aren't phosphorylated"""]),
    'R-HSA-5358749':Nto._make([date(2014,  6, 10), '.Df.P..', '.C', """S37 mutants of beta-catenin aren't phosphorylated"""]),
    'R-HSA-5358751':Nto._make([date(2014,  6, 10), '.Df.P..', '.C', """S45 mutants of beta-catenin aren't phosphorylated"""]),
    'R-HSA-5358752':Nto._make([date(2014,  6, 10), '.Df.P..', '.C', """T41 mutants of beta-catenin aren't phosphorylated"""]),
    'R-HSA-5362517':Nto._make([date(2014, 12, 11), '..f.P..', '..', """Signaling by Retinoic Acid"""]),
    'R-BTA-5362517':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Retinoic Acid"""]),
    'R-CEL-5362517':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Retinoic Acid"""]),
    'R-CFA-5362517':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Retinoic Acid"""]),
    'R-DDI-5362517':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Retinoic Acid"""]),
    'R-DME-5362517':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Retinoic Acid"""]),
    'R-DRE-5362517':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Retinoic Acid"""]),
    'R-GGA-5362517':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Retinoic Acid"""]),
    'R-MMU-5362517':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Retinoic Acid"""]),
    'R-PFA-5362517':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Retinoic Acid"""]),
    'R-RNO-5362517':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Retinoic Acid"""]),
    'R-SCE-5362517':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Retinoic Acid"""]),
    'R-SPO-5362517':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Retinoic Acid"""]),
    'R-SSC-5362517':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Retinoic Acid"""]),
    'R-XTR-5362517':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Retinoic Acid"""]),
    'R-HSA-5362768':Nto._make([date(2014,  6, 10), '.Df.P..', '..', """Hh mutants that don't undergo autocatalytic processing are degraded by ERAD"""]),
    'R-HSA-5362798':Nto._make([date(2014,  6, 10), '....P..', '..', """Release of Hh-Np from the secreting cell"""]),
    'R-BTA-5362798':Nto._make([date(2019,  3, 20), '...I...', '..', """Release of Hh-Np from the secreting cell"""]),
    'R-CFA-5362798':Nto._make([date(2019,  3, 20), '...I...', '..', """Release of Hh-Np from the secreting cell"""]),
    'R-DME-5362798':Nto._make([date(2019,  3, 20), '...I...', '..', """Release of Hh-Np from the secreting cell"""]),
    'R-DRE-5362798':Nto._make([date(2019,  3, 20), '...I...', '..', """Release of Hh-Np from the secreting cell"""]),
    'R-MMU-5362798':Nto._make([date(2019,  3, 20), '...I...', '..', """Release of Hh-Np from the secreting cell"""]),
    'R-RNO-5362798':Nto._make([date(2019,  3, 20), '...I...', '..', """Release of Hh-Np from the secreting cell"""]),
    'R-SSC-5362798':Nto._make([date(2019,  3, 20), '...I...', '..', """Release of Hh-Np from the secreting cell"""]),
    'R-XTR-5362798':Nto._make([date(2019,  3, 20), '...I...', '..', """Release of Hh-Np from the secreting cell"""]),
    'R-HSA-5365859':Nto._make([date(2014, 12, 11), '....P..', '..', """RA biosynthesis pathway"""]),
    'R-BTA-5365859':Nto._make([date(2019,  3, 20), '...I...', '..', """RA biosynthesis pathway"""]),
    'R-CEL-5365859':Nto._make([date(2019,  3, 20), '...I...', '..', """RA biosynthesis pathway"""]),
    'R-CFA-5365859':Nto._make([date(2019,  3, 20), '...I...', '..', """RA biosynthesis pathway"""]),
    'R-DDI-5365859':Nto._make([date(2019,  3, 20), '...I...', '..', """RA biosynthesis pathway"""]),
    'R-DME-5365859':Nto._make([date(2019,  3, 20), '...I...', '..', """RA biosynthesis pathway"""]),
    'R-DRE-5365859':Nto._make([date(2019,  3, 20), '...I...', '..', """RA biosynthesis pathway"""]),
    'R-GGA-5365859':Nto._make([date(2019,  3, 20), '...I...', '..', """RA biosynthesis pathway"""]),
    'R-MMU-5365859':Nto._make([date(2019,  3, 20), '...I...', '..', """RA biosynthesis pathway"""]),
    'R-PFA-5365859':Nto._make([date(2019,  3, 20), '...I...', '..', """RA biosynthesis pathway"""]),
    'R-RNO-5365859':Nto._make([date(2019,  3, 20), '...I...', '..', """RA biosynthesis pathway"""]),
    'R-SCE-5365859':Nto._make([date(2019,  3, 20), '...I...', '..', """RA biosynthesis pathway"""]),
    'R-SPO-5365859':Nto._make([date(2019,  3, 20), '...I...', '..', """RA biosynthesis pathway"""]),
    'R-SSC-5365859':Nto._make([date(2019,  3, 20), '...I...', '..', """RA biosynthesis pathway"""]),
    'R-XTR-5365859':Nto._make([date(2019,  3, 20), '...I...', '..', """RA biosynthesis pathway"""]),
    'R-HSA-5368286':Nto._make([date(2014,  9, 30), '....P..', 'BC', """Mitochondrial translation initiation"""]),
    'R-HSA-5368287':Nto._make([date(2014,  9, 30), '..f.P..', 'BC', """Mitochondrial translation"""]),
    'R-BTA-5368287':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial translation"""]),
    'R-CEL-5368287':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial translation"""]),
    'R-CFA-5368287':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial translation"""]),
    'R-DME-5368287':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial translation"""]),
    'R-DRE-5368287':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial translation"""]),
    'R-GGA-5368287':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial translation"""]),
    'R-MMU-5368287':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial translation"""]),
    'R-RNO-5368287':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial translation"""]),
    'R-SSC-5368287':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial translation"""]),
    'R-XTR-5368287':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Mitochondrial translation"""]),
    'R-HSA-5368598':Nto._make([date(2014,  6, 10), '....P..', '.C', """Negative regulation of TCF-dependent signaling by DVL-interacting proteins"""]),
    'R-HSA-5387390':Nto._make([date(2014,  6, 10), '.Df.P..', '..', """Hh mutants abrogate ligand secretion"""]),
    'R-HSA-5389840':Nto._make([date(2014,  9, 30), '....P..', 'BC', """Mitochondrial translation elongation"""]),
    'R-BTA-5389840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial translation elongation"""]),
    'R-CEL-5389840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial translation elongation"""]),
    'R-CFA-5389840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial translation elongation"""]),
    'R-DME-5389840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial translation elongation"""]),
    'R-DRE-5389840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial translation elongation"""]),
    'R-GGA-5389840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial translation elongation"""]),
    'R-MMU-5389840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial translation elongation"""]),
    'R-RNO-5389840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial translation elongation"""]),
    'R-SSC-5389840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial translation elongation"""]),
    'R-XTR-5389840':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial translation elongation"""]),
    'R-HSA-5419276':Nto._make([date(2014,  9, 30), '....P..', 'BC', """Mitochondrial translation termination"""]),
    'R-BTA-5419276':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial translation termination"""]),
    'R-CEL-5419276':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial translation termination"""]),
    'R-CFA-5419276':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial translation termination"""]),
    'R-DME-5419276':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial translation termination"""]),
    'R-DRE-5419276':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial translation termination"""]),
    'R-GGA-5419276':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial translation termination"""]),
    'R-MMU-5419276':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial translation termination"""]),
    'R-RNO-5419276':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial translation termination"""]),
    'R-SSC-5419276':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial translation termination"""]),
    'R-XTR-5419276':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Mitochondrial translation termination"""]),
    'R-HSA-5423599':Nto._make([date(2017,  3, 27), '.Df.P..', '..', """Diseases of Mismatch Repair (MMR)"""]),
    'R-HSA-5423646':Nto._make([date(2014,  6, 10), '..f.PB.', '..', """Aflatoxin activation and detoxification"""]),
    'R-BTA-5423646':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aflatoxin activation and detoxification"""]),
    'R-CEL-5423646':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aflatoxin activation and detoxification"""]),
    'R-CFA-5423646':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aflatoxin activation and detoxification"""]),
    'R-DDI-5423646':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aflatoxin activation and detoxification"""]),
    'R-DME-5423646':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aflatoxin activation and detoxification"""]),
    'R-DRE-5423646':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aflatoxin activation and detoxification"""]),
    'R-GGA-5423646':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aflatoxin activation and detoxification"""]),
    'R-MMU-5423646':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aflatoxin activation and detoxification"""]),
    'R-RNO-5423646':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aflatoxin activation and detoxification"""]),
    'R-SCE-5423646':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aflatoxin activation and detoxification"""]),
    'R-SPO-5423646':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aflatoxin activation and detoxification"""]),
    'R-SSC-5423646':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aflatoxin activation and detoxification"""]),
    'R-XTR-5423646':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aflatoxin activation and detoxification"""]),
    'R-HSA-5467333':Nto._make([date(2014,  6, 10), '.Df.P..', '..', """APC truncation mutants are not K63 polyubiquitinated"""]),
    'R-HSA-5467337':Nto._make([date(2014,  6, 10), '.Df.P..', '..', """APC truncation mutants have impaired AXIN binding"""]),
    'R-HSA-5467340':Nto._make([date(2014,  6, 10), '.Df.P..', '..', """AXIN missense mutants destabilize the destruction complex"""]),
    'R-HSA-5467343':Nto._make([date(2014,  6, 10), '.Df.P..', '..', """Deletions in the AMER1 gene destabilize the destruction complex"""]),
    'R-HSA-5467345':Nto._make([date(2014,  6, 10), '.Df.P..', '..', """Deletions in the AXIN genes in hepatocellular carcinoma result in elevated WNT signaling"""]),
    'R-HSA-5467348':Nto._make([date(2014,  6, 10), '.Df.P..', '..', """Truncations of AMER1 destabilize the destruction complex"""]),
    'R-HSA-5545483':Nto._make([date(2017,  3, 27), '.Df.P..', '.C', """Defective Mismatch Repair Associated With MLH1"""]),
    'R-HSA-5545619':Nto._make([date(2014,  6, 10), '.Df.P..', '..', """XAV939 inhibits tankyrase, stabilizing AXIN"""]),
    'R-HSA-5576886':Nto._make([date(2015, 12, 15), '....P..', 'B.', """Phase 4 - resting membrane potential"""]),
    'R-BTA-5576886':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 4 - resting membrane potential"""]),
    'R-CEL-5576886':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 4 - resting membrane potential"""]),
    'R-CFA-5576886':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 4 - resting membrane potential"""]),
    'R-DDI-5576886':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 4 - resting membrane potential"""]),
    'R-DME-5576886':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 4 - resting membrane potential"""]),
    'R-DRE-5576886':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 4 - resting membrane potential"""]),
    'R-GGA-5576886':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 4 - resting membrane potential"""]),
    'R-MMU-5576886':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 4 - resting membrane potential"""]),
    'R-RNO-5576886':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 4 - resting membrane potential"""]),
    'R-SCE-5576886':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 4 - resting membrane potential"""]),
    'R-SSC-5576886':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 4 - resting membrane potential"""]),
    'R-XTR-5576886':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 4 - resting membrane potential"""]),
    'R-HSA-5576890':Nto._make([date(2015, 12, 15), '....P..', 'B.', """Phase 3 - rapid repolarisation"""]),
    'R-BTA-5576890':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 3 - rapid repolarisation"""]),
    'R-CFA-5576890':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 3 - rapid repolarisation"""]),
    'R-DRE-5576890':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 3 - rapid repolarisation"""]),
    'R-GGA-5576890':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 3 - rapid repolarisation"""]),
    'R-MMU-5576890':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 3 - rapid repolarisation"""]),
    'R-RNO-5576890':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 3 - rapid repolarisation"""]),
    'R-SSC-5576890':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 3 - rapid repolarisation"""]),
    'R-XTR-5576890':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 3 - rapid repolarisation"""]),
    'R-HSA-5576891':Nto._make([date(2015, 12, 15), '..f.P..', 'B.', """Cardiac conduction"""]),
    'R-BTA-5576891':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cardiac conduction"""]),
    'R-CEL-5576891':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cardiac conduction"""]),
    'R-CFA-5576891':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cardiac conduction"""]),
    'R-DDI-5576891':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cardiac conduction"""]),
    'R-DME-5576891':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cardiac conduction"""]),
    'R-DRE-5576891':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cardiac conduction"""]),
    'R-GGA-5576891':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cardiac conduction"""]),
    'R-MMU-5576891':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cardiac conduction"""]),
    'R-PFA-5576891':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cardiac conduction"""]),
    'R-RNO-5576891':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cardiac conduction"""]),
    'R-SCE-5576891':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cardiac conduction"""]),
    'R-SPO-5576891':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cardiac conduction"""]),
    'R-SSC-5576891':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cardiac conduction"""]),
    'R-XTR-5576891':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cardiac conduction"""]),
    'R-HSA-5576892':Nto._make([date(2015, 12, 15), '....P..', 'B.', """Phase 0 - rapid depolarisation"""]),
    'R-BTA-5576892':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 0 - rapid depolarisation"""]),
    'R-CEL-5576892':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 0 - rapid depolarisation"""]),
    'R-CFA-5576892':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 0 - rapid depolarisation"""]),
    'R-DME-5576892':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 0 - rapid depolarisation"""]),
    'R-DRE-5576892':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 0 - rapid depolarisation"""]),
    'R-GGA-5576892':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 0 - rapid depolarisation"""]),
    'R-MMU-5576892':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 0 - rapid depolarisation"""]),
    'R-RNO-5576892':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 0 - rapid depolarisation"""]),
    'R-SSC-5576892':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 0 - rapid depolarisation"""]),
    'R-XTR-5576892':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 0 - rapid depolarisation"""]),
    'R-HSA-5576893':Nto._make([date(2015, 12, 15), '....P..', 'B.', """Phase 2 - plateau phase"""]),
    'R-BTA-5576893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 2 - plateau phase"""]),
    'R-CEL-5576893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 2 - plateau phase"""]),
    'R-CFA-5576893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 2 - plateau phase"""]),
    'R-DME-5576893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 2 - plateau phase"""]),
    'R-DRE-5576893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 2 - plateau phase"""]),
    'R-GGA-5576893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 2 - plateau phase"""]),
    'R-MMU-5576893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 2 - plateau phase"""]),
    'R-RNO-5576893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 2 - plateau phase"""]),
    'R-SSC-5576893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 2 - plateau phase"""]),
    'R-XTR-5576893':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 2 - plateau phase"""]),
    'R-HSA-5576894':Nto._make([date(2015, 12, 15), '....P..', 'B.', """Phase 1 - inactivation of fast Na+ channels"""]),
    'R-BTA-5576894':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 1 - inactivation of fast Na+ channels"""]),
    'R-CEL-5576894':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 1 - inactivation of fast Na+ channels"""]),
    'R-CFA-5576894':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 1 - inactivation of fast Na+ channels"""]),
    'R-DDI-5576894':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 1 - inactivation of fast Na+ channels"""]),
    'R-DME-5576894':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 1 - inactivation of fast Na+ channels"""]),
    'R-DRE-5576894':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 1 - inactivation of fast Na+ channels"""]),
    'R-GGA-5576894':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 1 - inactivation of fast Na+ channels"""]),
    'R-MMU-5576894':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 1 - inactivation of fast Na+ channels"""]),
    'R-RNO-5576894':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 1 - inactivation of fast Na+ channels"""]),
    'R-SSC-5576894':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 1 - inactivation of fast Na+ channels"""]),
    'R-XTR-5576894':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Phase 1 - inactivation of fast Na+ channels"""]),
    'R-HSA-5578749':Nto._make([date(2014,  9, 30), '....P..', 'B.', """Transcriptional regulation by small RNAs"""]),
    'R-BTA-5578749':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transcriptional regulation by small RNAs"""]),
    'R-CEL-5578749':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transcriptional regulation by small RNAs"""]),
    'R-CFA-5578749':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transcriptional regulation by small RNAs"""]),
    'R-DME-5578749':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transcriptional regulation by small RNAs"""]),
    'R-DRE-5578749':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transcriptional regulation by small RNAs"""]),
    'R-GGA-5578749':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transcriptional regulation by small RNAs"""]),
    'R-MMU-5578749':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transcriptional regulation by small RNAs"""]),
    'R-RNO-5578749':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transcriptional regulation by small RNAs"""]),
    'R-SSC-5578749':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transcriptional regulation by small RNAs"""]),
    'R-XTR-5578749':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Transcriptional regulation by small RNAs"""]),
    'R-HSA-5578768':Nto._make([date(2015, 12, 15), '....P..', 'B.', """Physiological factors"""]),
    'R-BTA-5578768':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Physiological factors"""]),
    'R-CFA-5578768':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Physiological factors"""]),
    'R-DRE-5578768':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Physiological factors"""]),
    'R-GGA-5578768':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Physiological factors"""]),
    'R-MMU-5578768':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Physiological factors"""]),
    'R-RNO-5578768':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Physiological factors"""]),
    'R-SSC-5578768':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Physiological factors"""]),
    'R-XTR-5578768':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Physiological factors"""]),
    'R-HSA-5578775':Nto._make([date(2015, 12, 15), '....P..', 'B.', """Ion homeostasis"""]),
    'R-BTA-5578775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion homeostasis"""]),
    'R-CEL-5578775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion homeostasis"""]),
    'R-CFA-5578775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion homeostasis"""]),
    'R-DDI-5578775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion homeostasis"""]),
    'R-DME-5578775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion homeostasis"""]),
    'R-DRE-5578775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion homeostasis"""]),
    'R-GGA-5578775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion homeostasis"""]),
    'R-MMU-5578775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion homeostasis"""]),
    'R-PFA-5578775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion homeostasis"""]),
    'R-RNO-5578775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion homeostasis"""]),
    'R-SCE-5578775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion homeostasis"""]),
    'R-SPO-5578775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion homeostasis"""]),
    'R-SSC-5578775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion homeostasis"""]),
    'R-XTR-5578775':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Ion homeostasis"""]),
    'R-HSA-5578995':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective TPMT causes Thiopurine S-methyltransferase deficiency (TPMT deficiency)"""]),
    'R-HSA-5578996':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective CYP27A1 causes Cerebrotendinous xanthomatosis (CTX)"""]),
    'R-HSA-5578997':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective AHCY causes Hypermethioninemia with S-adenosylhomocysteine hydrolase deficiency (HMAHCHD)"""]),
    'R-HSA-5578998':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective OPLAH causes 5-oxoprolinase deficiency (OPLAHD)"""]),
    'R-HSA-5578999':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective GCLC causes Hemolytic anemia due to gamma-glutamylcysteine synthetase deficiency (HAGGSD)"""]),
    'R-HSA-5579000':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective CYP1B1 causes Glaucoma"""]),
    'R-HSA-5579002':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective UGT1A1 causes hyperbilirubinemia"""]),
    'R-HSA-5579004':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective CYP26C1 causes Focal facial dermal dysplasia 4 (FFDD4)"""]),
    'R-HSA-5579005':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective CYP4F22 causes Ichthyosis, congenital, autosomal recessive 5 (ARCI5)"""]),
    'R-HSA-5579006':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective GSS causes Glutathione synthetase deficiency (GSS deficiency)"""]),
    'R-HSA-5579007':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective ACY1 causes encephalopathy"""]),
    'R-HSA-5579009':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective CYP11B2 causes Corticosterone methyloxidase 1 deficiency (CMO-1 deficiency)"""]),
    'R-HSA-5579010':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective CYP24A1 causes Hypercalcemia, infantile (HCAI)"""]),
    'R-HSA-5579011':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective CYP2U1 causes Spastic paraplegia 56, autosomal recessive (SPG56)"""]),
    'R-HSA-5579012':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective MAOA causes Brunner syndrome (BRUNS)"""]),
    'R-HSA-5579013':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective CYP7B1 causes Spastic paraplegia 5A, autosomal recessive (SPG5A) and Congenital bile acid synthesis defect 3 (CBAS3)"""]),
    'R-HSA-5579014':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective CYP27B1 causes Rickets vitamin D-dependent 1A (VDDR1A)"""]),
    'R-HSA-5579015':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective CYP26B1 causes Radiohumeral fusions with other skeletal and craniofacial anomalies (RHFCA)"""]),
    'R-HSA-5579016':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective UGT1A4 causes hyperbilirubinemia"""]),
    'R-HSA-5579017':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective CYP11B1 causes Adrenal hyperplasia 4 (AH4)"""]),
    'R-HSA-5579019':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective FMO3 causes Trimethylaminuria (TMAU)"""]),
    'R-HSA-5579020':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective SLC35D1 causes Schneckenbecken dysplasia (SCHBCKD)"""]),
    'R-HSA-5579021':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective CYP21A2 causes Adrenal hyperplasia 3 (AH3)"""]),
    'R-HSA-5579022':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective GGT1 causes Glutathionuria (GLUTH)"""]),
    'R-HSA-5579024':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective MAT1A causes Methionine adenosyltransferase deficiency (MATD)"""]),
    'R-HSA-5579026':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective CYP11A1 causes Adrenal insufficiency, congenital, with 46,XY sex reversal (AICSR)"""]),
    'R-HSA-5579027':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective CYP2R1 causes Rickets vitamin D-dependent 1B (VDDR1B)"""]),
    'R-HSA-5579028':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective CYP17A1 causes Adrenal hyperplasia 5 (AH5)"""]),
    'R-HSA-5579029':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Metabolic disorders of biological oxidation enzymes"""]),
    'R-HSA-5579030':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective CYP19A1 causes Aromatase excess syndrome (AEXS)"""]),
    'R-HSA-5579031':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective ACTH causes Obesity and Pro-opiomelanocortinin deficiency (POMCD)"""]),
    'R-HSA-5579032':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective TBXAS1 causes Ghosal hematodiaphyseal dysplasia (GHDD)"""]),
    'R-HSA-5601884':Nto._make([date(2014, 12, 11), '....P..', 'B.', """PIWI-interacting RNA (piRNA) biogenesis"""]),
    'R-HSA-5602358':Nto._make([date(2015,  3, 19), '.Df.P..', '..', """Diseases associated with the TLR signaling cascade"""]),
    'R-HSA-5602410':Nto._make([date(2015,  3, 19), '.Df.P..', '..', """TLR3 deficiency - HSE"""]),
    'R-HSA-5602415':Nto._make([date(2015,  3, 19), '.Df.P..', '..', """UNC93B1 deficiency - HSE"""]),
    'R-HSA-5602498':Nto._make([date(2015,  3, 19), '.Df.P..', '..', """MyD88 deficiency (TLR2/4)"""]),
    'R-HSA-5602566':Nto._make([date(2015,  3, 19), '.Df.P..', '..', """TICAM1 deficiency - HSE"""]),
    'R-HSA-5602571':Nto._make([date(2015,  3, 19), '.Df.P..', '..', """TRAF3 deficiency - HSE"""]),
    'R-HSA-5602636':Nto._make([date(2015,  3, 19), '.Df.P..', '..', """IKBKB deficiency causes SCID"""]),
    'R-HSA-5602680':Nto._make([date(2015,  3, 19), '.Df.P..', '..', """MyD88 deficiency (TLR5)"""]),
    'R-HSA-5603027':Nto._make([date(2015,  3, 19), '.Df.P..', '..', """IKBKG deficiency causes anhidrotic ectodermal dysplasia with immunodeficiency (EDA-ID) (via TLR)"""]),
    'R-HSA-5603029':Nto._make([date(2015,  3, 19), '.Df.P..', '..', """IkBA variant leads to EDA-ID"""]),
    'R-HSA-5603037':Nto._make([date(2015,  3, 19), '.Df.P..', '..', """IRAK4 deficiency (TLR5)"""]),
    'R-HSA-5603041':Nto._make([date(2015,  3, 19), '.Df.P..', '..', """IRAK4 deficiency (TLR2/4)"""]),
    'R-HSA-5607761':Nto._make([date(2015,  3, 19), '....P..', '.C', """Dectin-1 mediated noncanonical NF-kB signaling"""]),
    'R-BTA-5607761':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dectin-1 mediated noncanonical NF-kB signaling"""]),
    'R-CFA-5607761':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dectin-1 mediated noncanonical NF-kB signaling"""]),
    'R-DME-5607761':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dectin-1 mediated noncanonical NF-kB signaling"""]),
    'R-DRE-5607761':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dectin-1 mediated noncanonical NF-kB signaling"""]),
    'R-GGA-5607761':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dectin-1 mediated noncanonical NF-kB signaling"""]),
    'R-MMU-5607761':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dectin-1 mediated noncanonical NF-kB signaling"""]),
    'R-RNO-5607761':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dectin-1 mediated noncanonical NF-kB signaling"""]),
    'R-SCE-5607761':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dectin-1 mediated noncanonical NF-kB signaling"""]),
    'R-SPO-5607761':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dectin-1 mediated noncanonical NF-kB signaling"""]),
    'R-SSC-5607761':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dectin-1 mediated noncanonical NF-kB signaling"""]),
    'R-XTR-5607761':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dectin-1 mediated noncanonical NF-kB signaling"""]),
    'R-HSA-5607763':Nto._make([date(2015,  3, 19), '....P..', '.C', """CLEC7A (Dectin-1) induces NFAT activation"""]),
    'R-BTA-5607763':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) induces NFAT activation"""]),
    'R-CEL-5607763':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) induces NFAT activation"""]),
    'R-CFA-5607763':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) induces NFAT activation"""]),
    'R-DDI-5607763':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) induces NFAT activation"""]),
    'R-DME-5607763':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) induces NFAT activation"""]),
    'R-DRE-5607763':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) induces NFAT activation"""]),
    'R-GGA-5607763':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) induces NFAT activation"""]),
    'R-MMU-5607763':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) induces NFAT activation"""]),
    'R-PFA-5607763':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) induces NFAT activation"""]),
    'R-RNO-5607763':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) induces NFAT activation"""]),
    'R-SCE-5607763':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) induces NFAT activation"""]),
    'R-SPO-5607763':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) induces NFAT activation"""]),
    'R-SSC-5607763':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) induces NFAT activation"""]),
    'R-XTR-5607763':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) induces NFAT activation"""]),
    'R-HSA-5607764':Nto._make([date(2015,  3, 19), '....P..', '.C', """CLEC7A (Dectin-1) signaling"""]),
    'R-BTA-5607764':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) signaling"""]),
    'R-CEL-5607764':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) signaling"""]),
    'R-CFA-5607764':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) signaling"""]),
    'R-DDI-5607764':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) signaling"""]),
    'R-DME-5607764':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) signaling"""]),
    'R-DRE-5607764':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) signaling"""]),
    'R-GGA-5607764':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) signaling"""]),
    'R-MMU-5607764':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) signaling"""]),
    'R-PFA-5607764':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) signaling"""]),
    'R-RNO-5607764':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) signaling"""]),
    'R-SCE-5607764':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) signaling"""]),
    'R-SPO-5607764':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) signaling"""]),
    'R-SSC-5607764':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) signaling"""]),
    'R-XTR-5607764':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A (Dectin-1) signaling"""]),
    'R-HSA-5609974':Nto._make([date(2015,  6, 17), '.Df.P..', '..', """Defective PGM1 causes PGM1-CDG (CDG1t)"""]),
    'R-HSA-5609975':Nto._make([date(2015,  6, 17), '.Df.P..', '..', """Diseases associated with glycosylation precursor biosynthesis"""]),
    'R-HSA-5609976':Nto._make([date(2015,  6, 17), '.Df.P..', '..', """Defective GALK1 can cause Galactosemia II (GALCT2)"""]),
    'R-HSA-5609977':Nto._make([date(2015,  6, 17), '.Df.P..', '..', """Defective GALE can cause Epimerase-deficiency galactosemia (EDG)"""]),
    'R-HSA-5609978':Nto._make([date(2015,  6, 17), '.Df.P..', '..', """Defective GALT can cause Galactosemia"""]),
    'R-HSA-5610780':Nto._make([date(2014,  9, 30), '....P..', '..', """Degradation of GLI1 by the proteasome"""]),
    'R-BTA-5610780':Nto._make([date(2019,  3, 20), '...I...', '..', """Degradation of GLI1 by the proteasome"""]),
    'R-CEL-5610780':Nto._make([date(2019,  3, 20), '...I...', '..', """Degradation of GLI1 by the proteasome"""]),
    'R-CFA-5610780':Nto._make([date(2019,  3, 20), '...I...', '..', """Degradation of GLI1 by the proteasome"""]),
    'R-DME-5610780':Nto._make([date(2019,  3, 20), '...I...', '..', """Degradation of GLI1 by the proteasome"""]),
    'R-DRE-5610780':Nto._make([date(2019,  3, 20), '...I...', '..', """Degradation of GLI1 by the proteasome"""]),
    'R-GGA-5610780':Nto._make([date(2019,  3, 20), '...I...', '..', """Degradation of GLI1 by the proteasome"""]),
    'R-MMU-5610780':Nto._make([date(2019,  3, 20), '...I...', '..', """Degradation of GLI1 by the proteasome"""]),
    'R-RNO-5610780':Nto._make([date(2019,  3, 20), '...I...', '..', """Degradation of GLI1 by the proteasome"""]),
    'R-SSC-5610780':Nto._make([date(2019,  3, 20), '...I...', '..', """Degradation of GLI1 by the proteasome"""]),
    'R-XTR-5610780':Nto._make([date(2019,  3, 20), '...I...', '..', """Degradation of GLI1 by the proteasome"""]),
    'R-HSA-5610783':Nto._make([date(2014,  9, 30), '....P..', '..', """Degradation of GLI2 by the proteasome"""]),
    'R-HSA-5610785':Nto._make([date(2014,  9, 30), '....P..', '..', """GLI3 is processed to GLI3R by the proteasome"""]),
    'R-BTA-5610785':Nto._make([date(2019,  3, 20), '...I...', '..', """GLI3 is processed to GLI3R by the proteasome"""]),
    'R-CFA-5610785':Nto._make([date(2019,  3, 20), '...I...', '..', """GLI3 is processed to GLI3R by the proteasome"""]),
    'R-DME-5610785':Nto._make([date(2019,  3, 20), '...I...', '..', """GLI3 is processed to GLI3R by the proteasome"""]),
    'R-DRE-5610785':Nto._make([date(2019,  3, 20), '...I...', '..', """GLI3 is processed to GLI3R by the proteasome"""]),
    'R-MMU-5610785':Nto._make([date(2019,  3, 20), '...I...', '..', """GLI3 is processed to GLI3R by the proteasome"""]),
    'R-RNO-5610785':Nto._make([date(2019,  3, 20), '...I...', '..', """GLI3 is processed to GLI3R by the proteasome"""]),
    'R-SSC-5610785':Nto._make([date(2019,  3, 20), '...I...', '..', """GLI3 is processed to GLI3R by the proteasome"""]),
    'R-XTR-5610785':Nto._make([date(2019,  3, 20), '...I...', '..', """GLI3 is processed to GLI3R by the proteasome"""]),
    'R-HSA-5610787':Nto._make([date(2014,  9, 30), '..f.P..', '..', """Hedgehog 'off' state"""]),
    'R-BTA-5610787':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'off' state"""]),
    'R-CEL-5610787':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'off' state"""]),
    'R-CFA-5610787':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'off' state"""]),
    'R-DDI-5610787':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'off' state"""]),
    'R-DME-5610787':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'off' state"""]),
    'R-DRE-5610787':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'off' state"""]),
    'R-GGA-5610787':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'off' state"""]),
    'R-MMU-5610787':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'off' state"""]),
    'R-RNO-5610787':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'off' state"""]),
    'R-SCE-5610787':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'off' state"""]),
    'R-SPO-5610787':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'off' state"""]),
    'R-SSC-5610787':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'off' state"""]),
    'R-XTR-5610787':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'off' state"""]),
    'R-HSA-5617472':Nto._make([date(2015, 12, 15), '..f.P..', 'B.', """Activation of anterior HOX genes in hindbrain development during early embryogenesis"""]),
    'R-HSA-5617833':Nto._make([date(2014, 12, 11), '..F.P..', 'B.', """Cilium Assembly"""]),
    'R-BTA-5617833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cilium Assembly"""]),
    'R-CEL-5617833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cilium Assembly"""]),
    'R-CFA-5617833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cilium Assembly"""]),
    'R-DDI-5617833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cilium Assembly"""]),
    'R-DME-5617833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cilium Assembly"""]),
    'R-DRE-5617833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cilium Assembly"""]),
    'R-GGA-5617833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cilium Assembly"""]),
    'R-MMU-5617833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cilium Assembly"""]),
    'R-PFA-5617833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cilium Assembly"""]),
    'R-RNO-5617833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cilium Assembly"""]),
    'R-SCE-5617833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cilium Assembly"""]),
    'R-SPO-5617833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cilium Assembly"""]),
    'R-SSC-5617833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cilium Assembly"""]),
    'R-XTR-5617833':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cilium Assembly"""]),
    'R-HSA-5619035':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC17A5 causes Salla disease (SD) and ISSD"""]),
    'R-HSA-5619036':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC24A5 causes oculocutaneous albinism 6 (OCA6)"""]),
    'R-HSA-5619037':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC35A1 causes congenital disorder of glycosylation 2F (CDG2F)"""]),
    'R-HSA-5619039':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC12A6 causes agenesis of the corpus callosum, with peripheral neuropathy (ACCPN)"""]),
    'R-HSA-5619040':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC34A1 causes hypophosphatemic nephrolithiasis/osteoporosis 1 (NPHLOP1)"""]),
    'R-HSA-5619041':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC36A2 causes iminoglycinuria (IG) and hyperglycinuria (HG)"""]),
    'R-HSA-5619042':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective RHAG causes regulator type Rh-null hemolytic anemia (RHN)"""]),
    'R-HSA-5619043':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC2A1 causes GLUT1 deficiency syndrome 1 (GLUT1DS1)"""]),
    'R-HSA-5619044':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC6A19 causes Hartnup disorder (HND)"""]),
    'R-HSA-5619045':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC34A2 causes pulmonary alveolar microlithiasis (PALM)"""]),
    'R-HSA-5619046':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC26A4 causes Pendred syndrome (PDS)"""]),
    'R-HSA-5619047':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC2A9 causes hypouricemia renal 2 (RHUC2)"""]),
    'R-HSA-5619048':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC11A2 causes hypochromic microcytic anemia, with iron overload 1 (AHMIO1)"""]),
    'R-HSA-5619049':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC40A1 causes hemochromatosis 4 (HFE4) (macrophages)"""]),
    'R-HSA-5619050':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC4A1 causes hereditary spherocytosis type 4 (HSP4),  distal renal tubular acidosis (dRTA) and dRTA with hemolytic anemia (dRTA-HA)"""]),
    'R-HSA-5619052':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC9A9 causes autism 16 (AUTS16)"""]),
    'R-HSA-5619053':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC22A5 causes systemic primary carnitine deficiency (CDSP)"""]),
    'R-HSA-5619054':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC4A4 causes renal tubular acidosis, proximal, with ocular abnormalities and mental retardation (pRTA-OA)"""]),
    'R-HSA-5619055':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC24A4 causes hypomineralized amelogenesis imperfecta (AI)"""]),
    'R-HSA-5619056':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective HK1 causes hexokinase deficiency (HK deficiency)"""]),
    'R-HSA-5619058':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLCO1B3 causes hyperbilirubinemia, Rotor type (HBLRR)"""]),
    'R-HSA-5619060':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective CP causes aceruloplasminemia (ACERULOP)"""]),
    'R-HSA-5619061':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC33A1 causes spastic paraplegia 42 (SPG42)"""]),
    'R-HSA-5619062':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC1A3 causes episodic ataxia 6 (EA6)"""]),
    'R-HSA-5619063':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC29A3 causes histiocytosis-lymphadenopathy plus syndrome (HLAS)"""]),
    'R-HSA-5619066':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC22A18 causes lung cancer (LNCR) and embryonal rhabdomyosarcoma 1 (RMSE1)"""]),
    'R-HSA-5619067':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC1A1 is implicated in schizophrenia 18 (SCZD18) and dicarboxylic aminoaciduria (DCBXA)"""]),
    'R-HSA-5619068':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC2A10 causes arterial tortuosity syndrome (ATS)"""]),
    'R-HSA-5619070':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC16A1 causes symptomatic deficiency in lactate transport (SDLT)"""]),
    'R-HSA-5619071':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC22A12 causes renal hypouricemia 1 (RHUC1)"""]),
    'R-HSA-5619072':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC35A2 causes congenital disorder of glycosylation 2M (CDG2M)"""]),
    'R-HSA-5619073':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective GCK causes maturity-onset diabetes of the young 2 (MODY2)"""]),
    'R-HSA-5619076':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC17A8 causes autosomal dominant deafness 25 (DFNA25)"""]),
    'R-HSA-5619077':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC24A1 causes congenital stationary night blindness 1D (CSNB1D)"""]),
    'R-HSA-5619078':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC35C1 causes congenital disorder of glycosylation 2C (CDG2C)"""]),
    'R-HSA-5619079':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC6A18 may confer susceptibility to iminoglycinuria and/or hyperglycinuria"""]),
    'R-HSA-5619081':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC6A3 causes Parkinsonism-dystonia infantile (PKDYS)"""]),
    'R-HSA-5619083':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC35A3 causes arthrogryposis, mental retardation, and seizures (AMRS)"""]),
    'R-HSA-5619084':Nto._make([date(2015,  6, 17), '.Df.P..', '..', """ABC transporter disorders"""]),
    'R-HSA-5619085':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC26A3 causes congenital secretory chloride diarrhea 1 (DIAR1)"""]),
    'R-HSA-5619087':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC12A3 causes Gitelman syndrome (GS)"""]),
    'R-HSA-5619088':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC39A4 causes acrodermatitis enteropathica, zinc-deficiency type (AEZ)"""]),
    'R-HSA-5619089':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC6A5 causes hyperekplexia 3 (HKPX3)"""]),
    'R-HSA-5619092':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC9A6 causes  X-linked, syndromic mental retardation,, Christianson type (MRXSCH)"""]),
    'R-HSA-5619094':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Variant SLC6A14 may confer susceptibility towards obesity"""]),
    'R-HSA-5619095':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLCO2A1 causes primary, autosomal recessive hypertrophic osteoarthropathy 2 (PHOAR2)"""]),
    'R-HSA-5619096':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC5A5 causes thyroid dyshormonogenesis 1 (TDH1)"""]),
    'R-HSA-5619097':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC34A3 causes Hereditary hypophosphatemic rickets with hypercalciuria (HHRH)"""]),
    'R-HSA-5619098':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC2A2 causes Fanconi-Bickel syndrome (FBS)"""]),
    'R-HSA-5619099':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective AVP does not bind AVPR1A,B and causes neurohypophyseal diabetes insipidus (NDI)"""]),
    'R-HSA-5619101':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Variant SLC6A20 contributes towards hyperglycinuria (HG) and iminoglycinuria (IG)"""]),
    'R-HSA-5619102':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """SLC transporter disorders"""]),
    'R-HSA-5619104':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC12A1 causes Bartter syndrome 1 (BS1)"""]),
    'R-HSA-5619107':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective TPR may confer susceptibility towards thyroid papillary carcinoma (TPC)"""]),
    'R-HSA-5619108':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC27A4 causes ichthyosis prematurity syndrome (IPS)"""]),
    'R-HSA-5619109':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC6A2 causes orthostatic intolerance (OI)"""]),
    'R-HSA-5619110':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLCO1B1 causes hyperbilirubinemia, Rotor type (HBLRR)"""]),
    'R-HSA-5619111':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC20A2 causes idiopathic basal ganglia calcification 1 (IBGC1)"""]),
    'R-HSA-5619113':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC3A1 causes cystinuria (CSNU)"""]),
    'R-HSA-5619114':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC5A7 causes distal hereditary motor neuronopathy 7A (HMN7A)"""]),
    'R-HSA-5619115':Nto._make([date(2015,  6, 17), '.Df.P..', '..', """Disorders of transmembrane transporters"""]),
    'R-HSA-5619507':Nto._make([date(2015, 12, 15), '..F.P..', 'B.', """Activation of HOX genes during differentiation"""]),
    'R-HSA-5620912':Nto._make([date(2014, 12, 11), '....P..', 'B.', """Anchoring of the basal body to the plasma membrane"""]),
    'R-BTA-5620912':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Anchoring of the basal body to the plasma membrane"""]),
    'R-CEL-5620912':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Anchoring of the basal body to the plasma membrane"""]),
    'R-CFA-5620912':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Anchoring of the basal body to the plasma membrane"""]),
    'R-DRE-5620912':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Anchoring of the basal body to the plasma membrane"""]),
    'R-GGA-5620912':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Anchoring of the basal body to the plasma membrane"""]),
    'R-MMU-5620912':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Anchoring of the basal body to the plasma membrane"""]),
    'R-RNO-5620912':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Anchoring of the basal body to the plasma membrane"""]),
    'R-SCE-5620912':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Anchoring of the basal body to the plasma membrane"""]),
    'R-SPO-5620912':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Anchoring of the basal body to the plasma membrane"""]),
    'R-SSC-5620912':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Anchoring of the basal body to the plasma membrane"""]),
    'R-XTR-5620912':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Anchoring of the basal body to the plasma membrane"""]),
    'R-HSA-5620916':Nto._make([date(2014, 12, 11), '....P..', '..', """VxPx cargo-targeting to cilium"""]),
    'R-BTA-5620916':Nto._make([date(2019,  3, 20), '...I...', '..', """VxPx cargo-targeting to cilium"""]),
    'R-CEL-5620916':Nto._make([date(2019,  3, 20), '...I...', '..', """VxPx cargo-targeting to cilium"""]),
    'R-CFA-5620916':Nto._make([date(2019,  3, 20), '...I...', '..', """VxPx cargo-targeting to cilium"""]),
    'R-DDI-5620916':Nto._make([date(2019,  3, 20), '...I...', '..', """VxPx cargo-targeting to cilium"""]),
    'R-DME-5620916':Nto._make([date(2019,  3, 20), '...I...', '..', """VxPx cargo-targeting to cilium"""]),
    'R-DRE-5620916':Nto._make([date(2019,  3, 20), '...I...', '..', """VxPx cargo-targeting to cilium"""]),
    'R-GGA-5620916':Nto._make([date(2019,  3, 20), '...I...', '..', """VxPx cargo-targeting to cilium"""]),
    'R-MMU-5620916':Nto._make([date(2019,  3, 20), '...I...', '..', """VxPx cargo-targeting to cilium"""]),
    'R-RNO-5620916':Nto._make([date(2019,  3, 20), '...I...', '..', """VxPx cargo-targeting to cilium"""]),
    'R-SSC-5620916':Nto._make([date(2019,  3, 20), '...I...', '..', """VxPx cargo-targeting to cilium"""]),
    'R-XTR-5620916':Nto._make([date(2019,  3, 20), '...I...', '..', """VxPx cargo-targeting to cilium"""]),
    'R-HSA-5620920':Nto._make([date(2014, 12, 11), '....P..', '..', """Cargo trafficking to the periciliary membrane"""]),
    'R-BTA-5620920':Nto._make([date(2019,  3, 20), '...I...', '..', """Cargo trafficking to the periciliary membrane"""]),
    'R-CEL-5620920':Nto._make([date(2019,  3, 20), '...I...', '..', """Cargo trafficking to the periciliary membrane"""]),
    'R-CFA-5620920':Nto._make([date(2019,  3, 20), '...I...', '..', """Cargo trafficking to the periciliary membrane"""]),
    'R-DDI-5620920':Nto._make([date(2019,  3, 20), '...I...', '..', """Cargo trafficking to the periciliary membrane"""]),
    'R-DME-5620920':Nto._make([date(2019,  3, 20), '...I...', '..', """Cargo trafficking to the periciliary membrane"""]),
    'R-DRE-5620920':Nto._make([date(2019,  3, 20), '...I...', '..', """Cargo trafficking to the periciliary membrane"""]),
    'R-GGA-5620920':Nto._make([date(2019,  3, 20), '...I...', '..', """Cargo trafficking to the periciliary membrane"""]),
    'R-MMU-5620920':Nto._make([date(2019,  3, 20), '...I...', '..', """Cargo trafficking to the periciliary membrane"""]),
    'R-RNO-5620920':Nto._make([date(2019,  3, 20), '...I...', '..', """Cargo trafficking to the periciliary membrane"""]),
    'R-SSC-5620920':Nto._make([date(2019,  3, 20), '...I...', '..', """Cargo trafficking to the periciliary membrane"""]),
    'R-XTR-5620920':Nto._make([date(2019,  3, 20), '...I...', '..', """Cargo trafficking to the periciliary membrane"""]),
    'R-HSA-5620922':Nto._make([date(2014, 12, 11), '....P..', '..', """BBSome-mediated cargo-targeting to cilium"""]),
    'R-BTA-5620922':Nto._make([date(2019,  3, 20), '...I...', '..', """BBSome-mediated cargo-targeting to cilium"""]),
    'R-CEL-5620922':Nto._make([date(2019,  3, 20), '...I...', '..', """BBSome-mediated cargo-targeting to cilium"""]),
    'R-CFA-5620922':Nto._make([date(2019,  3, 20), '...I...', '..', """BBSome-mediated cargo-targeting to cilium"""]),
    'R-DME-5620922':Nto._make([date(2019,  3, 20), '...I...', '..', """BBSome-mediated cargo-targeting to cilium"""]),
    'R-DRE-5620922':Nto._make([date(2019,  3, 20), '...I...', '..', """BBSome-mediated cargo-targeting to cilium"""]),
    'R-GGA-5620922':Nto._make([date(2019,  3, 20), '...I...', '..', """BBSome-mediated cargo-targeting to cilium"""]),
    'R-MMU-5620922':Nto._make([date(2019,  3, 20), '...I...', '..', """BBSome-mediated cargo-targeting to cilium"""]),
    'R-RNO-5620922':Nto._make([date(2019,  3, 20), '...I...', '..', """BBSome-mediated cargo-targeting to cilium"""]),
    'R-SSC-5620922':Nto._make([date(2019,  3, 20), '...I...', '..', """BBSome-mediated cargo-targeting to cilium"""]),
    'R-XTR-5620922':Nto._make([date(2019,  3, 20), '...I...', '..', """BBSome-mediated cargo-targeting to cilium"""]),
    'R-HSA-5620924':Nto._make([date(2014, 12, 11), '....P..', 'B.', """Intraflagellar transport"""]),
    'R-BTA-5620924':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intraflagellar transport"""]),
    'R-CEL-5620924':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intraflagellar transport"""]),
    'R-CFA-5620924':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intraflagellar transport"""]),
    'R-DME-5620924':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intraflagellar transport"""]),
    'R-DRE-5620924':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intraflagellar transport"""]),
    'R-GGA-5620924':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intraflagellar transport"""]),
    'R-MMU-5620924':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intraflagellar transport"""]),
    'R-RNO-5620924':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intraflagellar transport"""]),
    'R-SSC-5620924':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intraflagellar transport"""]),
    'R-XTR-5620924':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intraflagellar transport"""]),
    'R-HSA-5621480':Nto._make([date(2015,  3, 19), '....P..', '.C', """Dectin-2 family"""]),
    'R-BTA-5621480':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dectin-2 family"""]),
    'R-CEL-5621480':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dectin-2 family"""]),
    'R-CFA-5621480':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dectin-2 family"""]),
    'R-DRE-5621480':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dectin-2 family"""]),
    'R-MMU-5621480':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dectin-2 family"""]),
    'R-RNO-5621480':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dectin-2 family"""]),
    'R-SSC-5621480':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dectin-2 family"""]),
    'R-XTR-5621480':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dectin-2 family"""]),
    'R-HSA-5621481':Nto._make([date(2015,  3, 19), '..f.P..', 'BC', """C-type lectin receptors (CLRs)"""]),
    'R-BTA-5621481':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """C-type lectin receptors (CLRs)"""]),
    'R-CEL-5621481':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """C-type lectin receptors (CLRs)"""]),
    'R-CFA-5621481':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """C-type lectin receptors (CLRs)"""]),
    'R-DDI-5621481':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """C-type lectin receptors (CLRs)"""]),
    'R-DME-5621481':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """C-type lectin receptors (CLRs)"""]),
    'R-DRE-5621481':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """C-type lectin receptors (CLRs)"""]),
    'R-GGA-5621481':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """C-type lectin receptors (CLRs)"""]),
    'R-MMU-5621481':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """C-type lectin receptors (CLRs)"""]),
    'R-PFA-5621481':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """C-type lectin receptors (CLRs)"""]),
    'R-RNO-5621481':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """C-type lectin receptors (CLRs)"""]),
    'R-SCE-5621481':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """C-type lectin receptors (CLRs)"""]),
    'R-SPO-5621481':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """C-type lectin receptors (CLRs)"""]),
    'R-SSC-5621481':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """C-type lectin receptors (CLRs)"""]),
    'R-XTR-5621481':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """C-type lectin receptors (CLRs)"""]),
    'R-HSA-5621575':Nto._make([date(2015,  3, 19), '....P..', '..', """CD209 (DC-SIGN) signaling"""]),
    'R-BTA-5621575':Nto._make([date(2019,  3, 20), '...I...', '..', """CD209 (DC-SIGN) signaling"""]),
    'R-CEL-5621575':Nto._make([date(2019,  3, 20), '...I...', '..', """CD209 (DC-SIGN) signaling"""]),
    'R-CFA-5621575':Nto._make([date(2019,  3, 20), '...I...', '..', """CD209 (DC-SIGN) signaling"""]),
    'R-DDI-5621575':Nto._make([date(2019,  3, 20), '...I...', '..', """CD209 (DC-SIGN) signaling"""]),
    'R-DME-5621575':Nto._make([date(2019,  3, 20), '...I...', '..', """CD209 (DC-SIGN) signaling"""]),
    'R-DRE-5621575':Nto._make([date(2019,  3, 20), '...I...', '..', """CD209 (DC-SIGN) signaling"""]),
    'R-GGA-5621575':Nto._make([date(2019,  3, 20), '...I...', '..', """CD209 (DC-SIGN) signaling"""]),
    'R-MMU-5621575':Nto._make([date(2019,  3, 20), '...I...', '..', """CD209 (DC-SIGN) signaling"""]),
    'R-RNO-5621575':Nto._make([date(2019,  3, 20), '...I...', '..', """CD209 (DC-SIGN) signaling"""]),
    'R-SSC-5621575':Nto._make([date(2019,  3, 20), '...I...', '..', """CD209 (DC-SIGN) signaling"""]),
    'R-XTR-5621575':Nto._make([date(2019,  3, 20), '...I...', '..', """CD209 (DC-SIGN) signaling"""]),
    'R-HSA-5624138':Nto._make([date(2014, 12, 11), '....P..', '..', """Trafficking of myristoylated proteins to the cilium"""]),
    'R-BTA-5624138':Nto._make([date(2019,  3, 20), '...I...', '..', """Trafficking of myristoylated proteins to the cilium"""]),
    'R-CEL-5624138':Nto._make([date(2019,  3, 20), '...I...', '..', """Trafficking of myristoylated proteins to the cilium"""]),
    'R-CFA-5624138':Nto._make([date(2019,  3, 20), '...I...', '..', """Trafficking of myristoylated proteins to the cilium"""]),
    'R-DRE-5624138':Nto._make([date(2019,  3, 20), '...I...', '..', """Trafficking of myristoylated proteins to the cilium"""]),
    'R-GGA-5624138':Nto._make([date(2019,  3, 20), '...I...', '..', """Trafficking of myristoylated proteins to the cilium"""]),
    'R-MMU-5624138':Nto._make([date(2019,  3, 20), '...I...', '..', """Trafficking of myristoylated proteins to the cilium"""]),
    'R-XTR-5624138':Nto._make([date(2019,  3, 20), '...I...', '..', """Trafficking of myristoylated proteins to the cilium"""]),
    'R-HSA-5624958':Nto._make([date(2014, 12, 11), '....P..', '..', """ARL13B-mediated ciliary trafficking of INPP5E"""]),
    'R-BTA-5624958':Nto._make([date(2019,  3, 20), '...I...', '..', """ARL13B-mediated ciliary trafficking of INPP5E"""]),
    'R-CFA-5624958':Nto._make([date(2019,  3, 20), '...I...', '..', """ARL13B-mediated ciliary trafficking of INPP5E"""]),
    'R-DRE-5624958':Nto._make([date(2019,  3, 20), '...I...', '..', """ARL13B-mediated ciliary trafficking of INPP5E"""]),
    'R-GGA-5624958':Nto._make([date(2019,  3, 20), '...I...', '..', """ARL13B-mediated ciliary trafficking of INPP5E"""]),
    'R-MMU-5624958':Nto._make([date(2019,  3, 20), '...I...', '..', """ARL13B-mediated ciliary trafficking of INPP5E"""]),
    'R-RNO-5624958':Nto._make([date(2019,  3, 20), '...I...', '..', """ARL13B-mediated ciliary trafficking of INPP5E"""]),
    'R-SSC-5624958':Nto._make([date(2019,  3, 20), '...I...', '..', """ARL13B-mediated ciliary trafficking of INPP5E"""]),
    'R-XTR-5624958':Nto._make([date(2019,  3, 20), '...I...', '..', """ARL13B-mediated ciliary trafficking of INPP5E"""]),
    'R-HSA-5625740':Nto._make([date(2015,  3, 19), '..f.P..', '..', """RHO GTPases activate PKNs"""]),
    'R-BTA-5625740':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PKNs"""]),
    'R-CEL-5625740':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PKNs"""]),
    'R-CFA-5625740':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PKNs"""]),
    'R-DDI-5625740':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PKNs"""]),
    'R-DME-5625740':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PKNs"""]),
    'R-DRE-5625740':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PKNs"""]),
    'R-GGA-5625740':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PKNs"""]),
    'R-MMU-5625740':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PKNs"""]),
    'R-RNO-5625740':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PKNs"""]),
    'R-SCE-5625740':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PKNs"""]),
    'R-SPO-5625740':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PKNs"""]),
    'R-SSC-5625740':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PKNs"""]),
    'R-XTR-5625740':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PKNs"""]),
    'R-HSA-5625886':Nto._make([date(2015,  3, 19), '..f.P..', '.C', """Activated PKN1 stimulates transcription of AR (androgen receptor) regulated genes KLK2 and KLK3"""]),
    'R-BTA-5625886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activated PKN1 stimulates transcription of AR (androgen receptor) regulated genes KLK2 and KLK3"""]),
    'R-CEL-5625886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activated PKN1 stimulates transcription of AR (androgen receptor) regulated genes KLK2 and KLK3"""]),
    'R-CFA-5625886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activated PKN1 stimulates transcription of AR (androgen receptor) regulated genes KLK2 and KLK3"""]),
    'R-DME-5625886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activated PKN1 stimulates transcription of AR (androgen receptor) regulated genes KLK2 and KLK3"""]),
    'R-DRE-5625886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activated PKN1 stimulates transcription of AR (androgen receptor) regulated genes KLK2 and KLK3"""]),
    'R-GGA-5625886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activated PKN1 stimulates transcription of AR (androgen receptor) regulated genes KLK2 and KLK3"""]),
    'R-MMU-5625886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activated PKN1 stimulates transcription of AR (androgen receptor) regulated genes KLK2 and KLK3"""]),
    'R-RNO-5625886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activated PKN1 stimulates transcription of AR (androgen receptor) regulated genes KLK2 and KLK3"""]),
    'R-SSC-5625886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activated PKN1 stimulates transcription of AR (androgen receptor) regulated genes KLK2 and KLK3"""]),
    'R-XTR-5625886':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Activated PKN1 stimulates transcription of AR (androgen receptor) regulated genes KLK2 and KLK3"""]),
    'R-HSA-5625900':Nto._make([date(2015,  3, 19), '..f.P..', '..', """RHO GTPases activate CIT"""]),
    'R-BTA-5625900':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate CIT"""]),
    'R-CFA-5625900':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate CIT"""]),
    'R-DME-5625900':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate CIT"""]),
    'R-DRE-5625900':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate CIT"""]),
    'R-GGA-5625900':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate CIT"""]),
    'R-MMU-5625900':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate CIT"""]),
    'R-RNO-5625900':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate CIT"""]),
    'R-SSC-5625900':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate CIT"""]),
    'R-XTR-5625900':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate CIT"""]),
    'R-HSA-5625970':Nto._make([date(2015,  3, 19), '..f.P..', '.C', """RHO GTPases activate KTN1"""]),
    'R-BTA-5625970':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases activate KTN1"""]),
    'R-CFA-5625970':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases activate KTN1"""]),
    'R-DRE-5625970':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases activate KTN1"""]),
    'R-MMU-5625970':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases activate KTN1"""]),
    'R-RNO-5625970':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases activate KTN1"""]),
    'R-SSC-5625970':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases activate KTN1"""]),
    'R-XTR-5625970':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases activate KTN1"""]),
    'R-HSA-5626467':Nto._make([date(2015,  3, 19), '..f.P..', '.C', """RHO GTPases activate IQGAPs"""]),
    'R-BTA-5626467':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases activate IQGAPs"""]),
    'R-CEL-5626467':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases activate IQGAPs"""]),
    'R-CFA-5626467':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases activate IQGAPs"""]),
    'R-DDI-5626467':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases activate IQGAPs"""]),
    'R-DRE-5626467':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases activate IQGAPs"""]),
    'R-GGA-5626467':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases activate IQGAPs"""]),
    'R-MMU-5626467':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases activate IQGAPs"""]),
    'R-RNO-5626467':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases activate IQGAPs"""]),
    'R-SCE-5626467':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases activate IQGAPs"""]),
    'R-SPO-5626467':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases activate IQGAPs"""]),
    'R-SSC-5626467':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases activate IQGAPs"""]),
    'R-XTR-5626467':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases activate IQGAPs"""]),
    'R-HSA-5626978':Nto._make([date(2015,  9, 22), '....P..', 'B.', """TNFR1-mediated ceramide production"""]),
    'R-BTA-5626978':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TNFR1-mediated ceramide production"""]),
    'R-CFA-5626978':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TNFR1-mediated ceramide production"""]),
    'R-DRE-5626978':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TNFR1-mediated ceramide production"""]),
    'R-GGA-5626978':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TNFR1-mediated ceramide production"""]),
    'R-MMU-5626978':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TNFR1-mediated ceramide production"""]),
    'R-RNO-5626978':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TNFR1-mediated ceramide production"""]),
    'R-XTR-5626978':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TNFR1-mediated ceramide production"""]),
    'R-HSA-5627083':Nto._make([date(2015,  3, 19), '..f.P..', '.C', """RHO GTPases regulate CFTR trafficking"""]),
    'R-BTA-5627083':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases regulate CFTR trafficking"""]),
    'R-CEL-5627083':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases regulate CFTR trafficking"""]),
    'R-CFA-5627083':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases regulate CFTR trafficking"""]),
    'R-DRE-5627083':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases regulate CFTR trafficking"""]),
    'R-GGA-5627083':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases regulate CFTR trafficking"""]),
    'R-MMU-5627083':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases regulate CFTR trafficking"""]),
    'R-RNO-5627083':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases regulate CFTR trafficking"""]),
    'R-SSC-5627083':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases regulate CFTR trafficking"""]),
    'R-XTR-5627083':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases regulate CFTR trafficking"""]),
    'R-HSA-5627117':Nto._make([date(2015,  3, 19), '..f.P..', '.C', """RHO GTPases Activate ROCKs"""]),
    'R-BTA-5627117':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate ROCKs"""]),
    'R-CEL-5627117':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate ROCKs"""]),
    'R-CFA-5627117':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate ROCKs"""]),
    'R-DME-5627117':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate ROCKs"""]),
    'R-DRE-5627117':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate ROCKs"""]),
    'R-GGA-5627117':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate ROCKs"""]),
    'R-MMU-5627117':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate ROCKs"""]),
    'R-RNO-5627117':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate ROCKs"""]),
    'R-SSC-5627117':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate ROCKs"""]),
    'R-XTR-5627117':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate ROCKs"""]),
    'R-HSA-5627123':Nto._make([date(2015,  3, 19), '..f.P..', '..', """RHO GTPases activate PAKs"""]),
    'R-BTA-5627123':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PAKs"""]),
    'R-CEL-5627123':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PAKs"""]),
    'R-CFA-5627123':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PAKs"""]),
    'R-DDI-5627123':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PAKs"""]),
    'R-DME-5627123':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PAKs"""]),
    'R-DRE-5627123':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PAKs"""]),
    'R-GGA-5627123':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PAKs"""]),
    'R-MMU-5627123':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PAKs"""]),
    'R-RNO-5627123':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PAKs"""]),
    'R-SCE-5627123':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PAKs"""]),
    'R-SPO-5627123':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PAKs"""]),
    'R-SSC-5627123':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PAKs"""]),
    'R-XTR-5627123':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases activate PAKs"""]),
    'R-HSA-5628897':Nto._make([date(2015,  3, 19), '..f.P..', '..', """TP53 Regulates Metabolic Genes"""]),
    'R-BTA-5628897':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Metabolic Genes"""]),
    'R-CEL-5628897':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Metabolic Genes"""]),
    'R-CFA-5628897':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Metabolic Genes"""]),
    'R-DDI-5628897':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Metabolic Genes"""]),
    'R-DME-5628897':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Metabolic Genes"""]),
    'R-DRE-5628897':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Metabolic Genes"""]),
    'R-GGA-5628897':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Metabolic Genes"""]),
    'R-MMU-5628897':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Metabolic Genes"""]),
    'R-PFA-5628897':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Metabolic Genes"""]),
    'R-RNO-5628897':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Metabolic Genes"""]),
    'R-SCE-5628897':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Metabolic Genes"""]),
    'R-SPO-5628897':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Metabolic Genes"""]),
    'R-SSC-5628897':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Metabolic Genes"""]),
    'R-XTR-5628897':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Metabolic Genes"""]),
    'R-HSA-5632681':Nto._make([date(2014, 12, 11), '....P..', '..', """Ligand-receptor interactions"""]),
    'R-BTA-5632681':Nto._make([date(2019,  3, 20), '...I...', '..', """Ligand-receptor interactions"""]),
    'R-CFA-5632681':Nto._make([date(2019,  3, 20), '...I...', '..', """Ligand-receptor interactions"""]),
    'R-DME-5632681':Nto._make([date(2019,  3, 20), '...I...', '..', """Ligand-receptor interactions"""]),
    'R-DRE-5632681':Nto._make([date(2019,  3, 20), '...I...', '..', """Ligand-receptor interactions"""]),
    'R-MMU-5632681':Nto._make([date(2019,  3, 20), '...I...', '..', """Ligand-receptor interactions"""]),
    'R-RNO-5632681':Nto._make([date(2019,  3, 20), '...I...', '..', """Ligand-receptor interactions"""]),
    'R-SSC-5632681':Nto._make([date(2019,  3, 20), '...I...', '..', """Ligand-receptor interactions"""]),
    'R-XTR-5632681':Nto._make([date(2019,  3, 20), '...I...', '..', """Ligand-receptor interactions"""]),
    'R-HSA-5632684':Nto._make([date(2014, 12, 11), '..f.P..', '..', """Hedgehog 'on' state"""]),
    'R-BTA-5632684':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'on' state"""]),
    'R-CEL-5632684':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'on' state"""]),
    'R-CFA-5632684':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'on' state"""]),
    'R-DDI-5632684':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'on' state"""]),
    'R-DME-5632684':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'on' state"""]),
    'R-DRE-5632684':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'on' state"""]),
    'R-GGA-5632684':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'on' state"""]),
    'R-MMU-5632684':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'on' state"""]),
    'R-RNO-5632684':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'on' state"""]),
    'R-SSC-5632684':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'on' state"""]),
    'R-XTR-5632684':Nto._make([date(2019,  3, 20), '..fI...', '..', """Hedgehog 'on' state"""]),
    'R-HSA-5632927':Nto._make([date(2017,  3, 27), '.Df.P..', '.C', """Defective Mismatch Repair Associated With MSH3"""]),
    'R-HSA-5632928':Nto._make([date(2017,  3, 27), '.Df.P..', '.C', """Defective Mismatch Repair Associated With MSH2"""]),
    'R-HSA-5632968':Nto._make([date(2017,  3, 27), '.Df.P..', '.C', """Defective Mismatch Repair Associated With MSH6"""]),
    'R-HSA-5632987':Nto._make([date(2017,  3, 27), '.Df.P..', '.C', """Defective Mismatch Repair Associated With PMS2"""]),
    'R-HSA-5633007':Nto._make([date(2016,  3, 23), '..F.P..', 'B.', """Regulation of TP53 Activity"""]),
    'R-BTA-5633007':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of TP53 Activity"""]),
    'R-CEL-5633007':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of TP53 Activity"""]),
    'R-CFA-5633007':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of TP53 Activity"""]),
    'R-DDI-5633007':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of TP53 Activity"""]),
    'R-DME-5633007':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of TP53 Activity"""]),
    'R-DRE-5633007':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of TP53 Activity"""]),
    'R-GGA-5633007':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of TP53 Activity"""]),
    'R-MMU-5633007':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of TP53 Activity"""]),
    'R-PFA-5633007':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of TP53 Activity"""]),
    'R-RNO-5633007':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of TP53 Activity"""]),
    'R-SCE-5633007':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of TP53 Activity"""]),
    'R-SPO-5633007':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of TP53 Activity"""]),
    'R-SSC-5633007':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of TP53 Activity"""]),
    'R-XTR-5633007':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Regulation of TP53 Activity"""]),
    'R-HSA-5633008':Nto._make([date(2016,  3, 23), '..f.P..', 'B.', """TP53 Regulates Transcription of Cell Death Genes"""]),
    'R-BTA-5633008':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Death Genes"""]),
    'R-CEL-5633008':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Death Genes"""]),
    'R-CFA-5633008':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Death Genes"""]),
    'R-DDI-5633008':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Death Genes"""]),
    'R-DME-5633008':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Death Genes"""]),
    'R-DRE-5633008':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Death Genes"""]),
    'R-GGA-5633008':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Death Genes"""]),
    'R-MMU-5633008':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Death Genes"""]),
    'R-PFA-5633008':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Death Genes"""]),
    'R-RNO-5633008':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Death Genes"""]),
    'R-SCE-5633008':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Death Genes"""]),
    'R-SPO-5633008':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Death Genes"""]),
    'R-SSC-5633008':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Death Genes"""]),
    'R-XTR-5633008':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Death Genes"""]),
    'R-HSA-5633231':Nto._make([date(2014,  3, 12), '.Df.P..', '..', """Defective ALG14 causes congenital myasthenic syndrome (ALG14-CMS)"""]),
    'R-HSA-5635838':Nto._make([date(2014, 12, 11), '....P..', '..', """Activation of SMO"""]),
    'R-BTA-5635838':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of SMO"""]),
    'R-CFA-5635838':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of SMO"""]),
    'R-DME-5635838':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of SMO"""]),
    'R-DRE-5635838':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of SMO"""]),
    'R-GGA-5635838':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of SMO"""]),
    'R-MMU-5635838':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of SMO"""]),
    'R-RNO-5635838':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of SMO"""]),
    'R-SSC-5635838':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of SMO"""]),
    'R-XTR-5635838':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of SMO"""]),
    'R-HSA-5635851':Nto._make([date(2014, 12, 11), '....P..', '..', """GLI proteins bind promoters of Hh responsive genes to promote transcription"""]),
    'R-HSA-5637810':Nto._make([date(2011, 12,  6), '.D.....', '..', """Constitutive Signaling by EGFRvIII"""]),
    'R-HSA-5637812':Nto._make([date(2011, 12,  6), '.Df.P..', '..', """Signaling by EGFRvIII in Cancer"""]),
    'R-HSA-5637815':Nto._make([date(2011, 12,  6), '.Df.P..', '..', """Signaling by Ligand-Responsive EGFR Variants in Cancer"""]),
    'R-HSA-5638302':Nto._make([date(2011, 12,  6), '.Df.P..', '..', """Signaling by Overexpressed Wild-Type EGFR in Cancer"""]),
    'R-HSA-5638303':Nto._make([date(2011, 12,  6), '.D..P..', '..', """Inhibition of Signaling by Overexpressed EGFR"""]),
    'R-HSA-5649702':Nto._make([date(2015,  3, 19), '....P..', '.C', """APEX1-Independent Resolution of AP Sites via the Single Nucleotide Replacement Pathway"""]),
    'R-BTA-5649702':Nto._make([date(2019,  3, 20), '...I...', '.C', """APEX1-Independent Resolution of AP Sites via the Single Nucleotide Replacement Pathway"""]),
    'R-CFA-5649702':Nto._make([date(2019,  3, 20), '...I...', '.C', """APEX1-Independent Resolution of AP Sites via the Single Nucleotide Replacement Pathway"""]),
    'R-DDI-5649702':Nto._make([date(2019,  3, 20), '...I...', '.C', """APEX1-Independent Resolution of AP Sites via the Single Nucleotide Replacement Pathway"""]),
    'R-DME-5649702':Nto._make([date(2019,  3, 20), '...I...', '.C', """APEX1-Independent Resolution of AP Sites via the Single Nucleotide Replacement Pathway"""]),
    'R-DRE-5649702':Nto._make([date(2019,  3, 20), '...I...', '.C', """APEX1-Independent Resolution of AP Sites via the Single Nucleotide Replacement Pathway"""]),
    'R-GGA-5649702':Nto._make([date(2019,  3, 20), '...I...', '.C', """APEX1-Independent Resolution of AP Sites via the Single Nucleotide Replacement Pathway"""]),
    'R-MMU-5649702':Nto._make([date(2019,  3, 20), '...I...', '.C', """APEX1-Independent Resolution of AP Sites via the Single Nucleotide Replacement Pathway"""]),
    'R-RNO-5649702':Nto._make([date(2019,  3, 20), '...I...', '.C', """APEX1-Independent Resolution of AP Sites via the Single Nucleotide Replacement Pathway"""]),
    'R-SSC-5649702':Nto._make([date(2019,  3, 20), '...I...', '.C', """APEX1-Independent Resolution of AP Sites via the Single Nucleotide Replacement Pathway"""]),
    'R-XTR-5649702':Nto._make([date(2019,  3, 20), '...I...', '.C', """APEX1-Independent Resolution of AP Sites via the Single Nucleotide Replacement Pathway"""]),
    'R-HSA-5651801':Nto._make([date(2015,  3, 19), '....P..', '.C', """PCNA-Dependent Long Patch Base Excision Repair"""]),
    'R-BTA-5651801':Nto._make([date(2019,  3, 20), '...I...', '.C', """PCNA-Dependent Long Patch Base Excision Repair"""]),
    'R-CEL-5651801':Nto._make([date(2019,  3, 20), '...I...', '.C', """PCNA-Dependent Long Patch Base Excision Repair"""]),
    'R-CFA-5651801':Nto._make([date(2019,  3, 20), '...I...', '.C', """PCNA-Dependent Long Patch Base Excision Repair"""]),
    'R-DDI-5651801':Nto._make([date(2019,  3, 20), '...I...', '.C', """PCNA-Dependent Long Patch Base Excision Repair"""]),
    'R-DME-5651801':Nto._make([date(2019,  3, 20), '...I...', '.C', """PCNA-Dependent Long Patch Base Excision Repair"""]),
    'R-DRE-5651801':Nto._make([date(2019,  3, 20), '...I...', '.C', """PCNA-Dependent Long Patch Base Excision Repair"""]),
    'R-GGA-5651801':Nto._make([date(2019,  3, 20), '...I...', '.C', """PCNA-Dependent Long Patch Base Excision Repair"""]),
    'R-MMU-5651801':Nto._make([date(2019,  3, 20), '...I...', '.C', """PCNA-Dependent Long Patch Base Excision Repair"""]),
    'R-PFA-5651801':Nto._make([date(2019,  3, 20), '...I...', '.C', """PCNA-Dependent Long Patch Base Excision Repair"""]),
    'R-RNO-5651801':Nto._make([date(2019,  3, 20), '...I...', '.C', """PCNA-Dependent Long Patch Base Excision Repair"""]),
    'R-SPO-5651801':Nto._make([date(2019,  3, 20), '...I...', '.C', """PCNA-Dependent Long Patch Base Excision Repair"""]),
    'R-SSC-5651801':Nto._make([date(2019,  3, 20), '...I...', '.C', """PCNA-Dependent Long Patch Base Excision Repair"""]),
    'R-XTR-5651801':Nto._make([date(2019,  3, 20), '...I...', '.C', """PCNA-Dependent Long Patch Base Excision Repair"""]),
    'R-HSA-5652084':Nto._make([date(2014,  3, 12), '..f.P..', 'BC', """Fructose metabolism"""]),
    'R-BTA-5652084':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fructose metabolism"""]),
    'R-CEL-5652084':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fructose metabolism"""]),
    'R-CFA-5652084':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fructose metabolism"""]),
    'R-DDI-5652084':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fructose metabolism"""]),
    'R-DME-5652084':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fructose metabolism"""]),
    'R-DRE-5652084':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fructose metabolism"""]),
    'R-GGA-5652084':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fructose metabolism"""]),
    'R-MMU-5652084':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fructose metabolism"""]),
    'R-PFA-5652084':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fructose metabolism"""]),
    'R-RNO-5652084':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fructose metabolism"""]),
    'R-SCE-5652084':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fructose metabolism"""]),
    'R-SPO-5652084':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fructose metabolism"""]),
    'R-SSC-5652084':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fructose metabolism"""]),
    'R-XTR-5652084':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fructose metabolism"""]),
    'R-HSA-5652227':Nto._make([date(2015,  3, 19), '....P..', 'B.', """Fructose biosynthesis"""]),
    'R-BTA-5652227':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose biosynthesis"""]),
    'R-CEL-5652227':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose biosynthesis"""]),
    'R-CFA-5652227':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose biosynthesis"""]),
    'R-DME-5652227':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose biosynthesis"""]),
    'R-DRE-5652227':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose biosynthesis"""]),
    'R-GGA-5652227':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose biosynthesis"""]),
    'R-MMU-5652227':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose biosynthesis"""]),
    'R-RNO-5652227':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose biosynthesis"""]),
    'R-SCE-5652227':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose biosynthesis"""]),
    'R-SPO-5652227':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose biosynthesis"""]),
    'R-XTR-5652227':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Fructose biosynthesis"""]),
    'R-HSA-5653656':Nto._make([date(2015,  3, 19), 'T.F..B.', '..', """Vesicle-mediated transport"""]),
    'R-BTA-5653656':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Vesicle-mediated transport"""]),
    'R-CEL-5653656':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Vesicle-mediated transport"""]),
    'R-CFA-5653656':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Vesicle-mediated transport"""]),
    'R-DDI-5653656':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Vesicle-mediated transport"""]),
    'R-DME-5653656':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Vesicle-mediated transport"""]),
    'R-DRE-5653656':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Vesicle-mediated transport"""]),
    'R-GGA-5653656':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Vesicle-mediated transport"""]),
    'R-MMU-5653656':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Vesicle-mediated transport"""]),
    'R-PFA-5653656':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Vesicle-mediated transport"""]),
    'R-RNO-5653656':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Vesicle-mediated transport"""]),
    'R-SCE-5653656':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Vesicle-mediated transport"""]),
    'R-SPO-5653656':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Vesicle-mediated transport"""]),
    'R-SSC-5653656':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Vesicle-mediated transport"""]),
    'R-XTR-5653656':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Vesicle-mediated transport"""]),
    'R-HSA-5653890':Nto._make([date(2015,  3, 19), '..f.P..', 'B.', """Lactose synthesis"""]),
    'R-BTA-5653890':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lactose synthesis"""]),
    'R-CEL-5653890':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lactose synthesis"""]),
    'R-CFA-5653890':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lactose synthesis"""]),
    'R-DDI-5653890':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lactose synthesis"""]),
    'R-DME-5653890':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lactose synthesis"""]),
    'R-DRE-5653890':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lactose synthesis"""]),
    'R-GGA-5653890':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lactose synthesis"""]),
    'R-MMU-5653890':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lactose synthesis"""]),
    'R-PFA-5653890':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lactose synthesis"""]),
    'R-RNO-5653890':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lactose synthesis"""]),
    'R-SCE-5653890':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lactose synthesis"""]),
    'R-SSC-5653890':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lactose synthesis"""]),
    'R-XTR-5653890':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lactose synthesis"""]),
    'R-HSA-5654219':Nto._make([date(2010,  3, 16), '....P..', '.C', """Phospholipase C-mediated cascade: FGFR1"""]),
    'R-BTA-5654219':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade: FGFR1"""]),
    'R-CEL-5654219':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade: FGFR1"""]),
    'R-CFA-5654219':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade: FGFR1"""]),
    'R-DME-5654219':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade: FGFR1"""]),
    'R-DRE-5654219':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade: FGFR1"""]),
    'R-GGA-5654219':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade: FGFR1"""]),
    'R-MMU-5654219':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade: FGFR1"""]),
    'R-RNO-5654219':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade: FGFR1"""]),
    'R-SSC-5654219':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade: FGFR1"""]),
    'R-XTR-5654219':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade: FGFR1"""]),
    'R-HSA-5654221':Nto._make([date(2010,  3, 16), '....P..', '.C', """Phospholipase C-mediated cascade; FGFR2"""]),
    'R-BTA-5654221':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR2"""]),
    'R-CEL-5654221':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR2"""]),
    'R-CFA-5654221':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR2"""]),
    'R-DME-5654221':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR2"""]),
    'R-DRE-5654221':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR2"""]),
    'R-MMU-5654221':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR2"""]),
    'R-RNO-5654221':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR2"""]),
    'R-XTR-5654221':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR2"""]),
    'R-HSA-5654227':Nto._make([date(2010,  3, 16), '....P..', '.C', """Phospholipase C-mediated cascade; FGFR3"""]),
    'R-BTA-5654227':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR3"""]),
    'R-CEL-5654227':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR3"""]),
    'R-CFA-5654227':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR3"""]),
    'R-DME-5654227':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR3"""]),
    'R-DRE-5654227':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR3"""]),
    'R-MMU-5654227':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR3"""]),
    'R-RNO-5654227':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR3"""]),
    'R-XTR-5654227':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR3"""]),
    'R-HSA-5654228':Nto._make([date(2010,  3, 16), '....P..', '.C', """Phospholipase C-mediated cascade; FGFR4"""]),
    'R-BTA-5654228':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR4"""]),
    'R-CEL-5654228':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR4"""]),
    'R-CFA-5654228':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR4"""]),
    'R-DME-5654228':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR4"""]),
    'R-DRE-5654228':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR4"""]),
    'R-GGA-5654228':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR4"""]),
    'R-MMU-5654228':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR4"""]),
    'R-RNO-5654228':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR4"""]),
    'R-SSC-5654228':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR4"""]),
    'R-XTR-5654228':Nto._make([date(2019,  3, 20), '...I...', '.C', """Phospholipase C-mediated cascade; FGFR4"""]),
    'R-HSA-5654687':Nto._make([date(2010,  3, 16), '....P..', '..', """Downstream signaling of activated FGFR1"""]),
    'R-BTA-5654687':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR1"""]),
    'R-CEL-5654687':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR1"""]),
    'R-CFA-5654687':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR1"""]),
    'R-DME-5654687':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR1"""]),
    'R-DRE-5654687':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR1"""]),
    'R-GGA-5654687':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR1"""]),
    'R-MMU-5654687':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR1"""]),
    'R-RNO-5654687':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR1"""]),
    'R-SSC-5654687':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR1"""]),
    'R-XTR-5654687':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR1"""]),
    'R-HSA-5654688':Nto._make([date(2010,  3, 16), '....P..', '.C', """SHC-mediated cascade:FGFR1"""]),
    'R-BTA-5654688':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR1"""]),
    'R-CEL-5654688':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR1"""]),
    'R-CFA-5654688':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR1"""]),
    'R-DME-5654688':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR1"""]),
    'R-DRE-5654688':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR1"""]),
    'R-GGA-5654688':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR1"""]),
    'R-MMU-5654688':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR1"""]),
    'R-RNO-5654688':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR1"""]),
    'R-SSC-5654688':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR1"""]),
    'R-XTR-5654688':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR1"""]),
    'R-HSA-5654689':Nto._make([date(2010,  3, 16), '....P..', '..', """PI-3K cascade:FGFR1"""]),
    'R-BTA-5654689':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR1"""]),
    'R-CEL-5654689':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR1"""]),
    'R-CFA-5654689':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR1"""]),
    'R-DME-5654689':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR1"""]),
    'R-DRE-5654689':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR1"""]),
    'R-GGA-5654689':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR1"""]),
    'R-MMU-5654689':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR1"""]),
    'R-RNO-5654689':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR1"""]),
    'R-SSC-5654689':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR1"""]),
    'R-XTR-5654689':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR1"""]),
    'R-HSA-5654693':Nto._make([date(2010,  3, 16), '....P..', '..', """FRS-mediated FGFR1 signaling"""]),
    'R-BTA-5654693':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR1 signaling"""]),
    'R-CEL-5654693':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR1 signaling"""]),
    'R-CFA-5654693':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR1 signaling"""]),
    'R-DME-5654693':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR1 signaling"""]),
    'R-DRE-5654693':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR1 signaling"""]),
    'R-GGA-5654693':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR1 signaling"""]),
    'R-MMU-5654693':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR1 signaling"""]),
    'R-RNO-5654693':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR1 signaling"""]),
    'R-SSC-5654693':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR1 signaling"""]),
    'R-XTR-5654693':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR1 signaling"""]),
    'R-HSA-5654695':Nto._make([date(2010,  3, 16), '....P..', '..', """PI-3K cascade:FGFR2"""]),
    'R-BTA-5654695':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR2"""]),
    'R-CEL-5654695':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR2"""]),
    'R-CFA-5654695':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR2"""]),
    'R-DME-5654695':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR2"""]),
    'R-DRE-5654695':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR2"""]),
    'R-GGA-5654695':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR2"""]),
    'R-MMU-5654695':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR2"""]),
    'R-RNO-5654695':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR2"""]),
    'R-SSC-5654695':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR2"""]),
    'R-XTR-5654695':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR2"""]),
    'R-HSA-5654696':Nto._make([date(2010,  3, 16), '....P..', '..', """Downstream signaling of activated FGFR2"""]),
    'R-BTA-5654696':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR2"""]),
    'R-CEL-5654696':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR2"""]),
    'R-CFA-5654696':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR2"""]),
    'R-DME-5654696':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR2"""]),
    'R-DRE-5654696':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR2"""]),
    'R-GGA-5654696':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR2"""]),
    'R-MMU-5654696':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR2"""]),
    'R-RNO-5654696':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR2"""]),
    'R-SSC-5654696':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR2"""]),
    'R-XTR-5654696':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR2"""]),
    'R-HSA-5654699':Nto._make([date(2010,  3, 16), '....P..', '.C', """SHC-mediated cascade:FGFR2"""]),
    'R-BTA-5654699':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR2"""]),
    'R-CEL-5654699':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR2"""]),
    'R-CFA-5654699':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR2"""]),
    'R-DME-5654699':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR2"""]),
    'R-DRE-5654699':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR2"""]),
    'R-GGA-5654699':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR2"""]),
    'R-MMU-5654699':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR2"""]),
    'R-RNO-5654699':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR2"""]),
    'R-SSC-5654699':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR2"""]),
    'R-XTR-5654699':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR2"""]),
    'R-HSA-5654700':Nto._make([date(2010,  3, 16), '....P..', '..', """FRS-mediated FGFR2 signaling"""]),
    'R-BTA-5654700':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR2 signaling"""]),
    'R-CEL-5654700':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR2 signaling"""]),
    'R-CFA-5654700':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR2 signaling"""]),
    'R-DME-5654700':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR2 signaling"""]),
    'R-DRE-5654700':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR2 signaling"""]),
    'R-GGA-5654700':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR2 signaling"""]),
    'R-MMU-5654700':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR2 signaling"""]),
    'R-RNO-5654700':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR2 signaling"""]),
    'R-SSC-5654700':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR2 signaling"""]),
    'R-XTR-5654700':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR2 signaling"""]),
    'R-HSA-5654704':Nto._make([date(2010,  3, 16), '....P..', '.C', """SHC-mediated cascade:FGFR3"""]),
    'R-BTA-5654704':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR3"""]),
    'R-CEL-5654704':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR3"""]),
    'R-CFA-5654704':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR3"""]),
    'R-DME-5654704':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR3"""]),
    'R-DRE-5654704':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR3"""]),
    'R-GGA-5654704':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR3"""]),
    'R-MMU-5654704':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR3"""]),
    'R-RNO-5654704':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR3"""]),
    'R-SSC-5654704':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR3"""]),
    'R-XTR-5654704':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR3"""]),
    'R-HSA-5654706':Nto._make([date(2010,  3, 16), '....P..', '..', """FRS-mediated FGFR3 signaling"""]),
    'R-BTA-5654706':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR3 signaling"""]),
    'R-CEL-5654706':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR3 signaling"""]),
    'R-CFA-5654706':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR3 signaling"""]),
    'R-DME-5654706':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR3 signaling"""]),
    'R-DRE-5654706':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR3 signaling"""]),
    'R-GGA-5654706':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR3 signaling"""]),
    'R-MMU-5654706':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR3 signaling"""]),
    'R-RNO-5654706':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR3 signaling"""]),
    'R-SSC-5654706':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR3 signaling"""]),
    'R-XTR-5654706':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR3 signaling"""]),
    'R-HSA-5654708':Nto._make([date(2010,  3, 16), '....P..', '..', """Downstream signaling of activated FGFR3"""]),
    'R-BTA-5654708':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR3"""]),
    'R-CEL-5654708':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR3"""]),
    'R-CFA-5654708':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR3"""]),
    'R-DME-5654708':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR3"""]),
    'R-DRE-5654708':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR3"""]),
    'R-GGA-5654708':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR3"""]),
    'R-MMU-5654708':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR3"""]),
    'R-RNO-5654708':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR3"""]),
    'R-SSC-5654708':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR3"""]),
    'R-XTR-5654708':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR3"""]),
    'R-HSA-5654710':Nto._make([date(2010,  3, 16), '....P..', '..', """PI-3K cascade:FGFR3"""]),
    'R-BTA-5654710':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR3"""]),
    'R-CEL-5654710':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR3"""]),
    'R-CFA-5654710':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR3"""]),
    'R-DME-5654710':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR3"""]),
    'R-DRE-5654710':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR3"""]),
    'R-GGA-5654710':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR3"""]),
    'R-MMU-5654710':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR3"""]),
    'R-RNO-5654710':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR3"""]),
    'R-SSC-5654710':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR3"""]),
    'R-XTR-5654710':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR3"""]),
    'R-HSA-5654712':Nto._make([date(2010,  3, 16), '....P..', '..', """FRS-mediated FGFR4 signaling"""]),
    'R-BTA-5654712':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR4 signaling"""]),
    'R-CEL-5654712':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR4 signaling"""]),
    'R-CFA-5654712':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR4 signaling"""]),
    'R-DME-5654712':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR4 signaling"""]),
    'R-DRE-5654712':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR4 signaling"""]),
    'R-GGA-5654712':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR4 signaling"""]),
    'R-MMU-5654712':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR4 signaling"""]),
    'R-RNO-5654712':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR4 signaling"""]),
    'R-SSC-5654712':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR4 signaling"""]),
    'R-XTR-5654712':Nto._make([date(2019,  3, 20), '...I...', '..', """FRS-mediated FGFR4 signaling"""]),
    'R-HSA-5654716':Nto._make([date(2010,  3, 16), '....P..', '..', """Downstream signaling of activated FGFR4"""]),
    'R-BTA-5654716':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR4"""]),
    'R-CEL-5654716':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR4"""]),
    'R-CFA-5654716':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR4"""]),
    'R-DME-5654716':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR4"""]),
    'R-DRE-5654716':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR4"""]),
    'R-GGA-5654716':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR4"""]),
    'R-MMU-5654716':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR4"""]),
    'R-RNO-5654716':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR4"""]),
    'R-SSC-5654716':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR4"""]),
    'R-XTR-5654716':Nto._make([date(2019,  3, 20), '...I...', '..', """Downstream signaling of activated FGFR4"""]),
    'R-HSA-5654719':Nto._make([date(2010,  3, 16), '....P..', '.C', """SHC-mediated cascade:FGFR4"""]),
    'R-BTA-5654719':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR4"""]),
    'R-CFA-5654719':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR4"""]),
    'R-DME-5654719':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR4"""]),
    'R-DRE-5654719':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR4"""]),
    'R-GGA-5654719':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR4"""]),
    'R-MMU-5654719':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR4"""]),
    'R-RNO-5654719':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR4"""]),
    'R-SSC-5654719':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR4"""]),
    'R-XTR-5654719':Nto._make([date(2019,  3, 20), '...I...', '.C', """SHC-mediated cascade:FGFR4"""]),
    'R-HSA-5654720':Nto._make([date(2010,  3, 16), '....P..', '..', """PI-3K cascade:FGFR4"""]),
    'R-BTA-5654720':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR4"""]),
    'R-CEL-5654720':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR4"""]),
    'R-CFA-5654720':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR4"""]),
    'R-DME-5654720':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR4"""]),
    'R-DRE-5654720':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR4"""]),
    'R-GGA-5654720':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR4"""]),
    'R-MMU-5654720':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR4"""]),
    'R-RNO-5654720':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR4"""]),
    'R-SSC-5654720':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR4"""]),
    'R-XTR-5654720':Nto._make([date(2019,  3, 20), '...I...', '..', """PI-3K cascade:FGFR4"""]),
    'R-HSA-5654726':Nto._make([date(2011,  9, 20), '....P..', '.C', """Negative regulation of FGFR1 signaling"""]),
    'R-BTA-5654726':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR1 signaling"""]),
    'R-CEL-5654726':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR1 signaling"""]),
    'R-CFA-5654726':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR1 signaling"""]),
    'R-DME-5654726':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR1 signaling"""]),
    'R-DRE-5654726':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR1 signaling"""]),
    'R-GGA-5654726':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR1 signaling"""]),
    'R-MMU-5654726':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR1 signaling"""]),
    'R-RNO-5654726':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR1 signaling"""]),
    'R-SSC-5654726':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR1 signaling"""]),
    'R-XTR-5654726':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR1 signaling"""]),
    'R-HSA-5654727':Nto._make([date(2011,  9, 20), '....P..', '.C', """Negative regulation of FGFR2 signaling"""]),
    'R-BTA-5654727':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR2 signaling"""]),
    'R-CEL-5654727':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR2 signaling"""]),
    'R-CFA-5654727':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR2 signaling"""]),
    'R-DME-5654727':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR2 signaling"""]),
    'R-DRE-5654727':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR2 signaling"""]),
    'R-GGA-5654727':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR2 signaling"""]),
    'R-MMU-5654727':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR2 signaling"""]),
    'R-RNO-5654727':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR2 signaling"""]),
    'R-SSC-5654727':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR2 signaling"""]),
    'R-XTR-5654727':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR2 signaling"""]),
    'R-HSA-5654732':Nto._make([date(2011,  9, 20), '....P..', '.C', """Negative regulation of FGFR3 signaling"""]),
    'R-BTA-5654732':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR3 signaling"""]),
    'R-CEL-5654732':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR3 signaling"""]),
    'R-CFA-5654732':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR3 signaling"""]),
    'R-DME-5654732':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR3 signaling"""]),
    'R-DRE-5654732':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR3 signaling"""]),
    'R-GGA-5654732':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR3 signaling"""]),
    'R-MMU-5654732':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR3 signaling"""]),
    'R-RNO-5654732':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR3 signaling"""]),
    'R-SSC-5654732':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR3 signaling"""]),
    'R-XTR-5654732':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR3 signaling"""]),
    'R-HSA-5654733':Nto._make([date(2011,  9, 20), '....P..', '.C', """Negative regulation of FGFR4 signaling"""]),
    'R-BTA-5654733':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR4 signaling"""]),
    'R-CEL-5654733':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR4 signaling"""]),
    'R-CFA-5654733':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR4 signaling"""]),
    'R-DME-5654733':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR4 signaling"""]),
    'R-DRE-5654733':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR4 signaling"""]),
    'R-GGA-5654733':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR4 signaling"""]),
    'R-MMU-5654733':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR4 signaling"""]),
    'R-RNO-5654733':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR4 signaling"""]),
    'R-SSC-5654733':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR4 signaling"""]),
    'R-XTR-5654733':Nto._make([date(2019,  3, 20), '...I...', '.C', """Negative regulation of FGFR4 signaling"""]),
    'R-HSA-5654736':Nto._make([date(2007,  2, 20), '..F.P..', 'B.', """Signaling by FGFR1"""]),
    'R-BTA-5654736':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR1"""]),
    'R-CEL-5654736':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR1"""]),
    'R-CFA-5654736':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR1"""]),
    'R-DME-5654736':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR1"""]),
    'R-DRE-5654736':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR1"""]),
    'R-GGA-5654736':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR1"""]),
    'R-MMU-5654736':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR1"""]),
    'R-RNO-5654736':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR1"""]),
    'R-SSC-5654736':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR1"""]),
    'R-XTR-5654736':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR1"""]),
    'R-HSA-5654738':Nto._make([date(2007,  2, 20), '..F.P..', 'B.', """Signaling by FGFR2"""]),
    'R-BTA-5654738':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR2"""]),
    'R-CEL-5654738':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR2"""]),
    'R-CFA-5654738':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR2"""]),
    'R-DDI-5654738':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR2"""]),
    'R-DME-5654738':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR2"""]),
    'R-DRE-5654738':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR2"""]),
    'R-GGA-5654738':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR2"""]),
    'R-MMU-5654738':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR2"""]),
    'R-RNO-5654738':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR2"""]),
    'R-SSC-5654738':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR2"""]),
    'R-XTR-5654738':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR2"""]),
    'R-HSA-5654741':Nto._make([date(2007,  2, 20), '..F.P..', 'B.', """Signaling by FGFR3"""]),
    'R-BTA-5654741':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR3"""]),
    'R-CEL-5654741':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR3"""]),
    'R-CFA-5654741':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR3"""]),
    'R-DME-5654741':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR3"""]),
    'R-DRE-5654741':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR3"""]),
    'R-GGA-5654741':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR3"""]),
    'R-MMU-5654741':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR3"""]),
    'R-RNO-5654741':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR3"""]),
    'R-SSC-5654741':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR3"""]),
    'R-XTR-5654741':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR3"""]),
    'R-HSA-5654743':Nto._make([date(2007,  2, 20), '..F.P..', 'B.', """Signaling by FGFR4"""]),
    'R-BTA-5654743':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR4"""]),
    'R-CEL-5654743':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR4"""]),
    'R-CFA-5654743':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR4"""]),
    'R-DME-5654743':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR4"""]),
    'R-DRE-5654743':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR4"""]),
    'R-GGA-5654743':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR4"""]),
    'R-MMU-5654743':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR4"""]),
    'R-RNO-5654743':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR4"""]),
    'R-SSC-5654743':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR4"""]),
    'R-XTR-5654743':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by FGFR4"""]),
    'R-HSA-5655253':Nto._make([date(2012,  6, 12), '.Df.P..', '..', """Signaling by FGFR2 in disease"""]),
    'R-HSA-5655291':Nto._make([date(2012,  6, 12), '.Df.P..', '..', """Signaling by FGFR4 in disease"""]),
    'R-HSA-5655302':Nto._make([date(2012,  6, 12), '.Df.P..', '..', """Signaling by FGFR1 in disease"""]),
    'R-HSA-5655332':Nto._make([date(2012,  6, 12), '.Df.P..', '..', """Signaling by FGFR3 in disease"""]),
    'R-HSA-5655799':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC40A1 causes hemochromatosis 4 (HFE4) (duodenum)"""]),
    'R-HSA-5655862':Nto._make([date(2015,  3, 19), '....P..', 'BC', """Translesion synthesis by POLK"""]),
    'R-BTA-5655862':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLK"""]),
    'R-CEL-5655862':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLK"""]),
    'R-CFA-5655862':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLK"""]),
    'R-DDI-5655862':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLK"""]),
    'R-DME-5655862':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLK"""]),
    'R-DRE-5655862':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLK"""]),
    'R-GGA-5655862':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLK"""]),
    'R-MMU-5655862':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLK"""]),
    'R-PFA-5655862':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLK"""]),
    'R-RNO-5655862':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLK"""]),
    'R-SCE-5655862':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLK"""]),
    'R-SPO-5655862':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLK"""]),
    'R-SSC-5655862':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLK"""]),
    'R-XTR-5655862':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLK"""]),
    'R-HSA-5656121':Nto._make([date(2015,  3, 19), '....P..', 'BC', """Translesion synthesis by POLI"""]),
    'R-BTA-5656121':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLI"""]),
    'R-CEL-5656121':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLI"""]),
    'R-CFA-5656121':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLI"""]),
    'R-DDI-5656121':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLI"""]),
    'R-DME-5656121':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLI"""]),
    'R-DRE-5656121':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLI"""]),
    'R-GGA-5656121':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLI"""]),
    'R-MMU-5656121':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLI"""]),
    'R-PFA-5656121':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLI"""]),
    'R-RNO-5656121':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLI"""]),
    'R-SCE-5656121':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLI"""]),
    'R-SPO-5656121':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLI"""]),
    'R-SSC-5656121':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLI"""]),
    'R-XTR-5656121':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Translesion synthesis by POLI"""]),
    'R-HSA-5656169':Nto._make([date(2015,  3, 19), '....P..', '.C', """Termination of translesion DNA synthesis"""]),
    'R-BTA-5656169':Nto._make([date(2019,  3, 20), '...I...', '.C', """Termination of translesion DNA synthesis"""]),
    'R-CEL-5656169':Nto._make([date(2019,  3, 20), '...I...', '.C', """Termination of translesion DNA synthesis"""]),
    'R-CFA-5656169':Nto._make([date(2019,  3, 20), '...I...', '.C', """Termination of translesion DNA synthesis"""]),
    'R-DDI-5656169':Nto._make([date(2019,  3, 20), '...I...', '.C', """Termination of translesion DNA synthesis"""]),
    'R-DME-5656169':Nto._make([date(2019,  3, 20), '...I...', '.C', """Termination of translesion DNA synthesis"""]),
    'R-DRE-5656169':Nto._make([date(2019,  3, 20), '...I...', '.C', """Termination of translesion DNA synthesis"""]),
    'R-GGA-5656169':Nto._make([date(2019,  3, 20), '...I...', '.C', """Termination of translesion DNA synthesis"""]),
    'R-MMU-5656169':Nto._make([date(2019,  3, 20), '...I...', '.C', """Termination of translesion DNA synthesis"""]),
    'R-PFA-5656169':Nto._make([date(2019,  3, 20), '...I...', '.C', """Termination of translesion DNA synthesis"""]),
    'R-RNO-5656169':Nto._make([date(2019,  3, 20), '...I...', '.C', """Termination of translesion DNA synthesis"""]),
    'R-SCE-5656169':Nto._make([date(2019,  3, 20), '...I...', '.C', """Termination of translesion DNA synthesis"""]),
    'R-SPO-5656169':Nto._make([date(2019,  3, 20), '...I...', '.C', """Termination of translesion DNA synthesis"""]),
    'R-SSC-5656169':Nto._make([date(2019,  3, 20), '...I...', '.C', """Termination of translesion DNA synthesis"""]),
    'R-XTR-5656169':Nto._make([date(2019,  3, 20), '...I...', '.C', """Termination of translesion DNA synthesis"""]),
    'R-HSA-5656364':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC5A1 causes congenital glucose/galactose malabsorption (GGM)"""]),
    'R-HSA-5657560':Nto._make([date(2015,  3, 19), '.Df.P..', '..', """Hereditary fructose intolerance"""]),
    'R-HSA-5657562':Nto._make([date(2015,  3, 19), '.Df.P..', '..', """Essential fructosuria"""]),
    'R-HSA-5657655':Nto._make([date(2004,  3,  6), '....P..', 'BC', """MGMT-mediated DNA damage reversal"""]),
    'R-HSA-5658034':Nto._make([date(2014,  6, 10), '.Df.P..', '..', """HHAT G278V abrogates palmitoylation of Hh-Np"""]),
    'R-HSA-5658208':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC5A2 causes renal glucosuria (GLYS1)"""]),
    'R-HSA-5658442':Nto._make([date(2015,  6, 17), '....P..', '..', """Regulation of RAS by GAPs"""]),
    'R-BTA-5658442':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of RAS by GAPs"""]),
    'R-CFA-5658442':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of RAS by GAPs"""]),
    'R-DDI-5658442':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of RAS by GAPs"""]),
    'R-DRE-5658442':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of RAS by GAPs"""]),
    'R-MMU-5658442':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of RAS by GAPs"""]),
    'R-RNO-5658442':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of RAS by GAPs"""]),
    'R-SSC-5658442':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of RAS by GAPs"""]),
    'R-XTR-5658442':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of RAS by GAPs"""]),
    'R-HSA-5658471':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC5A7 causes distal hereditary motor neuronopathy 7A (HMN7A)"""]),
    'R-HSA-5658623':Nto._make([date(2016,  3, 23), '....P..', '..', """FGFRL1 modulation of FGFR1 signaling"""]),
    'R-BTA-5658623':Nto._make([date(2019,  3, 20), '...I...', '..', """FGFRL1 modulation of FGFR1 signaling"""]),
    'R-CEL-5658623':Nto._make([date(2019,  3, 20), '...I...', '..', """FGFRL1 modulation of FGFR1 signaling"""]),
    'R-CFA-5658623':Nto._make([date(2019,  3, 20), '...I...', '..', """FGFRL1 modulation of FGFR1 signaling"""]),
    'R-DME-5658623':Nto._make([date(2019,  3, 20), '...I...', '..', """FGFRL1 modulation of FGFR1 signaling"""]),
    'R-DRE-5658623':Nto._make([date(2019,  3, 20), '...I...', '..', """FGFRL1 modulation of FGFR1 signaling"""]),
    'R-GGA-5658623':Nto._make([date(2019,  3, 20), '...I...', '..', """FGFRL1 modulation of FGFR1 signaling"""]),
    'R-MMU-5658623':Nto._make([date(2019,  3, 20), '...I...', '..', """FGFRL1 modulation of FGFR1 signaling"""]),
    'R-RNO-5658623':Nto._make([date(2019,  3, 20), '...I...', '..', """FGFRL1 modulation of FGFR1 signaling"""]),
    'R-SSC-5658623':Nto._make([date(2019,  3, 20), '...I...', '..', """FGFRL1 modulation of FGFR1 signaling"""]),
    'R-XTR-5658623':Nto._make([date(2019,  3, 20), '...I...', '..', """FGFRL1 modulation of FGFR1 signaling"""]),
    'R-HSA-5659729':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC6A18 may confer susceptibility to iminoglycinuria and/or hyperglycinuria"""]),
    'R-HSA-5659735':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC6A19 causes Hartnup disorder (HND)"""]),
    'R-HSA-5659898':Nto._make([date(2015,  3, 19), '.Df.P..', '..', """Intestinal saccharidase deficiencies"""]),
    'R-HSA-5659996':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """RPIA deficiency: failed conversion of R5P to RU5P"""]),
    'R-HSA-5660489':Nto._make([date(2017,  3, 27), '..f.P..', '..', """MTF1 activates gene expression"""]),
    'R-HSA-5660526':Nto._make([date(2015, 12, 15), '..F.P..', 'B.', """Response to metal ions"""]),
    'R-BTA-5660526':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Response to metal ions"""]),
    'R-CFA-5660526':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Response to metal ions"""]),
    'R-DRE-5660526':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Response to metal ions"""]),
    'R-GGA-5660526':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Response to metal ions"""]),
    'R-MMU-5660526':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Response to metal ions"""]),
    'R-RNO-5660526':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Response to metal ions"""]),
    'R-SSC-5660526':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Response to metal ions"""]),
    'R-XTR-5660526':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Response to metal ions"""]),
    'R-HSA-5660668':Nto._make([date(2015,  3, 19), '....P..', '.C', """CLEC7A/inflammasome pathway"""]),
    'R-BTA-5660668':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A/inflammasome pathway"""]),
    'R-CEL-5660668':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A/inflammasome pathway"""]),
    'R-CFA-5660668':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A/inflammasome pathway"""]),
    'R-DRE-5660668':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A/inflammasome pathway"""]),
    'R-GGA-5660668':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A/inflammasome pathway"""]),
    'R-MMU-5660668':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A/inflammasome pathway"""]),
    'R-RNO-5660668':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A/inflammasome pathway"""]),
    'R-SSC-5660668':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A/inflammasome pathway"""]),
    'R-XTR-5660668':Nto._make([date(2019,  3, 20), '...I...', '.C', """CLEC7A/inflammasome pathway"""]),
    'R-HSA-5660686':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Variant SLC6A20 contributes towards hyperglycinuria (HG) and iminoglycinuria (IG)"""]),
    'R-HSA-5660724':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC6A3 causes Parkinsonism-dystonia infantile (PKDYS)"""]),
    'R-HSA-5660862':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC7A7 causes lysinuric protein intolerance (LPI)"""]),
    'R-HSA-5660883':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC7A9 causes cystinuria (CSNU)"""]),
    'R-HSA-5661182':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLCO1B1 causes hyperbilirubinemia, Rotor type (HBLRR)"""]),
    'R-HSA-5661231':Nto._make([date(2015, 12, 15), '..f.PB.', 'B.', """Metallothioneins bind metals"""]),
    'R-BTA-5661231':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metallothioneins bind metals"""]),
    'R-CFA-5661231':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metallothioneins bind metals"""]),
    'R-DRE-5661231':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metallothioneins bind metals"""]),
    'R-GGA-5661231':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metallothioneins bind metals"""]),
    'R-MMU-5661231':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metallothioneins bind metals"""]),
    'R-RNO-5661231':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metallothioneins bind metals"""]),
    'R-SSC-5661231':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metallothioneins bind metals"""]),
    'R-XTR-5661231':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metallothioneins bind metals"""]),
    'R-HSA-5661270':Nto._make([date(2015,  9, 22), '..f.P..', 'B.', """Formation of xylulose-5-phosphate"""]),
    'R-BTA-5661270':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Formation of xylulose-5-phosphate"""]),
    'R-CEL-5661270':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Formation of xylulose-5-phosphate"""]),
    'R-CFA-5661270':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Formation of xylulose-5-phosphate"""]),
    'R-DME-5661270':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Formation of xylulose-5-phosphate"""]),
    'R-DRE-5661270':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Formation of xylulose-5-phosphate"""]),
    'R-GGA-5661270':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Formation of xylulose-5-phosphate"""]),
    'R-MMU-5661270':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Formation of xylulose-5-phosphate"""]),
    'R-RNO-5661270':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Formation of xylulose-5-phosphate"""]),
    'R-SCE-5661270':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Formation of xylulose-5-phosphate"""]),
    'R-SPO-5661270':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Formation of xylulose-5-phosphate"""]),
    'R-SSC-5661270':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Formation of xylulose-5-phosphate"""]),
    'R-XTR-5661270':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Formation of xylulose-5-phosphate"""]),
    'R-HSA-5662702':Nto._make([date(2015,  3, 15), '..f.P..', 'B.', """Melanin biosynthesis"""]),
    'R-BTA-5662702':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Melanin biosynthesis"""]),
    'R-CEL-5662702':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Melanin biosynthesis"""]),
    'R-CFA-5662702':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Melanin biosynthesis"""]),
    'R-DDI-5662702':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Melanin biosynthesis"""]),
    'R-DRE-5662702':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Melanin biosynthesis"""]),
    'R-GGA-5662702':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Melanin biosynthesis"""]),
    'R-MMU-5662702':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Melanin biosynthesis"""]),
    'R-RNO-5662702':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Melanin biosynthesis"""]),
    'R-SSC-5662702':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Melanin biosynthesis"""]),
    'R-XTR-5662702':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Melanin biosynthesis"""]),
    'R-HSA-5662853':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Essential pentosuria"""]),
    'R-HSA-5663020':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC35A1 causes congenital disorder of glycosylation 2F (CDG2F)"""]),
    'R-HSA-5663084':Nto._make([date(2015,  3, 19), '.Df....', '..', """Diseases of carbohydrate metabolism"""]),
    'R-HSA-5663202':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Diseases of signal transduction"""]),
    'R-HSA-5663205':Nto._make([date(2014, 12, 11), '.Df....', '..', """Infectious disease"""]),
    'R-HSA-5663213':Nto._make([date(2015,  3, 19), '..f.P..', '..', """RHO GTPases Activate WASPs and WAVEs"""]),
    'R-BTA-5663213':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate WASPs and WAVEs"""]),
    'R-CEL-5663213':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate WASPs and WAVEs"""]),
    'R-CFA-5663213':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate WASPs and WAVEs"""]),
    'R-DDI-5663213':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate WASPs and WAVEs"""]),
    'R-DME-5663213':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate WASPs and WAVEs"""]),
    'R-DRE-5663213':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate WASPs and WAVEs"""]),
    'R-GGA-5663213':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate WASPs and WAVEs"""]),
    'R-MMU-5663213':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate WASPs and WAVEs"""]),
    'R-RNO-5663213':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate WASPs and WAVEs"""]),
    'R-SCE-5663213':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate WASPs and WAVEs"""]),
    'R-SPO-5663213':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate WASPs and WAVEs"""]),
    'R-SSC-5663213':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate WASPs and WAVEs"""]),
    'R-XTR-5663213':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate WASPs and WAVEs"""]),
    'R-HSA-5663220':Nto._make([date(2015,  3, 19), '..f.P..', '.C', """RHO GTPases Activate Formins"""]),
    'R-BTA-5663220':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate Formins"""]),
    'R-CEL-5663220':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate Formins"""]),
    'R-CFA-5663220':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate Formins"""]),
    'R-DME-5663220':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate Formins"""]),
    'R-DRE-5663220':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate Formins"""]),
    'R-GGA-5663220':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate Formins"""]),
    'R-MMU-5663220':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate Formins"""]),
    'R-RNO-5663220':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate Formins"""]),
    'R-SSC-5663220':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate Formins"""]),
    'R-XTR-5663220':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate Formins"""]),
    'R-HSA-5666185':Nto._make([date(2015,  3, 19), '..f.P..', '..', """RHO GTPases Activate Rhotekin and Rhophilins"""]),
    'R-BTA-5666185':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate Rhotekin and Rhophilins"""]),
    'R-CEL-5666185':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate Rhotekin and Rhophilins"""]),
    'R-CFA-5666185':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate Rhotekin and Rhophilins"""]),
    'R-DME-5666185':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate Rhotekin and Rhophilins"""]),
    'R-DRE-5666185':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate Rhotekin and Rhophilins"""]),
    'R-GGA-5666185':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate Rhotekin and Rhophilins"""]),
    'R-MMU-5666185':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate Rhotekin and Rhophilins"""]),
    'R-RNO-5666185':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate Rhotekin and Rhophilins"""]),
    'R-SSC-5666185':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate Rhotekin and Rhophilins"""]),
    'R-XTR-5666185':Nto._make([date(2019,  3, 20), '..fI...', '..', """RHO GTPases Activate Rhotekin and Rhophilins"""]),
    'R-HSA-5668541':Nto._make([date(2015,  6, 17), '..f.P..', 'BC', """TNFR2 non-canonical NF-kB pathway"""]),
    'R-BTA-5668541':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TNFR2 non-canonical NF-kB pathway"""]),
    'R-CFA-5668541':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TNFR2 non-canonical NF-kB pathway"""]),
    'R-DME-5668541':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TNFR2 non-canonical NF-kB pathway"""]),
    'R-DRE-5668541':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TNFR2 non-canonical NF-kB pathway"""]),
    'R-GGA-5668541':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TNFR2 non-canonical NF-kB pathway"""]),
    'R-MMU-5668541':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TNFR2 non-canonical NF-kB pathway"""]),
    'R-RNO-5668541':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TNFR2 non-canonical NF-kB pathway"""]),
    'R-SCE-5668541':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TNFR2 non-canonical NF-kB pathway"""]),
    'R-SPO-5668541':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TNFR2 non-canonical NF-kB pathway"""]),
    'R-SSC-5668541':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TNFR2 non-canonical NF-kB pathway"""]),
    'R-XTR-5668541':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TNFR2 non-canonical NF-kB pathway"""]),
    'R-HSA-5668599':Nto._make([date(2015,  3, 19), '..f.P..', '.C', """RHO GTPases Activate NADPH Oxidases"""]),
    'R-BTA-5668599':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate NADPH Oxidases"""]),
    'R-CEL-5668599':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate NADPH Oxidases"""]),
    'R-CFA-5668599':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate NADPH Oxidases"""]),
    'R-DDI-5668599':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate NADPH Oxidases"""]),
    'R-DME-5668599':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate NADPH Oxidases"""]),
    'R-DRE-5668599':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate NADPH Oxidases"""]),
    'R-GGA-5668599':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate NADPH Oxidases"""]),
    'R-MMU-5668599':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate NADPH Oxidases"""]),
    'R-PFA-5668599':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate NADPH Oxidases"""]),
    'R-RNO-5668599':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate NADPH Oxidases"""]),
    'R-SCE-5668599':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate NADPH Oxidases"""]),
    'R-SPO-5668599':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate NADPH Oxidases"""]),
    'R-SSC-5668599':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate NADPH Oxidases"""]),
    'R-XTR-5668599':Nto._make([date(2019,  3, 20), '..fI...', '.C', """RHO GTPases Activate NADPH Oxidases"""]),
    'R-HSA-5668914':Nto._make([date(2015,  3, 19), '.Df....', '..', """Diseases of metabolism"""]),
    'R-HSA-5669034':Nto._make([date(2015,  6, 17), '..f.P..', '.C', """TNFs bind their physiological receptors"""]),
    'R-BTA-5669034':Nto._make([date(2019,  3, 20), '..fI...', '.C', """TNFs bind their physiological receptors"""]),
    'R-CFA-5669034':Nto._make([date(2019,  3, 20), '..fI...', '.C', """TNFs bind their physiological receptors"""]),
    'R-DRE-5669034':Nto._make([date(2019,  3, 20), '..fI...', '.C', """TNFs bind their physiological receptors"""]),
    'R-GGA-5669034':Nto._make([date(2019,  3, 20), '..fI...', '.C', """TNFs bind their physiological receptors"""]),
    'R-MMU-5669034':Nto._make([date(2019,  3, 20), '..fI...', '.C', """TNFs bind their physiological receptors"""]),
    'R-RNO-5669034':Nto._make([date(2019,  3, 20), '..fI...', '.C', """TNFs bind their physiological receptors"""]),
    'R-SSC-5669034':Nto._make([date(2019,  3, 20), '..fI...', '.C', """TNFs bind their physiological receptors"""]),
    'R-XTR-5669034':Nto._make([date(2019,  3, 20), '..fI...', '.C', """TNFs bind their physiological receptors"""]),
    'R-HSA-5673000':Nto._make([date(2015,  6, 17), '....P..', '..', """RAF activation"""]),
    'R-BTA-5673000':Nto._make([date(2019,  3, 20), '...I...', '..', """RAF activation"""]),
    'R-CEL-5673000':Nto._make([date(2019,  3, 20), '...I...', '..', """RAF activation"""]),
    'R-CFA-5673000':Nto._make([date(2019,  3, 20), '...I...', '..', """RAF activation"""]),
    'R-DDI-5673000':Nto._make([date(2019,  3, 20), '...I...', '..', """RAF activation"""]),
    'R-DME-5673000':Nto._make([date(2019,  3, 20), '...I...', '..', """RAF activation"""]),
    'R-DRE-5673000':Nto._make([date(2019,  3, 20), '...I...', '..', """RAF activation"""]),
    'R-GGA-5673000':Nto._make([date(2019,  3, 20), '...I...', '..', """RAF activation"""]),
    'R-MMU-5673000':Nto._make([date(2019,  3, 20), '...I...', '..', """RAF activation"""]),
    'R-RNO-5673000':Nto._make([date(2019,  3, 20), '...I...', '..', """RAF activation"""]),
    'R-SSC-5673000':Nto._make([date(2019,  3, 20), '...I...', '..', """RAF activation"""]),
    'R-XTR-5673000':Nto._make([date(2019,  3, 20), '...I...', '..', """RAF activation"""]),
    'R-HSA-5673001':Nto._make([date(2015,  6, 17), '..F.P..', 'B.', """RAF/MAP kinase cascade"""]),
    'R-BTA-5673001':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RAF/MAP kinase cascade"""]),
    'R-CEL-5673001':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RAF/MAP kinase cascade"""]),
    'R-CFA-5673001':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RAF/MAP kinase cascade"""]),
    'R-DDI-5673001':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RAF/MAP kinase cascade"""]),
    'R-DME-5673001':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RAF/MAP kinase cascade"""]),
    'R-DRE-5673001':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RAF/MAP kinase cascade"""]),
    'R-GGA-5673001':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RAF/MAP kinase cascade"""]),
    'R-MMU-5673001':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RAF/MAP kinase cascade"""]),
    'R-PFA-5673001':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RAF/MAP kinase cascade"""]),
    'R-RNO-5673001':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RAF/MAP kinase cascade"""]),
    'R-SCE-5673001':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RAF/MAP kinase cascade"""]),
    'R-SPO-5673001':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RAF/MAP kinase cascade"""]),
    'R-SSC-5673001':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RAF/MAP kinase cascade"""]),
    'R-XTR-5673001':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RAF/MAP kinase cascade"""]),
    'R-HSA-5674135':Nto._make([date(2015,  6, 17), '....P..', '..', """MAP2K and MAPK activation"""]),
    'R-BTA-5674135':Nto._make([date(2019,  3, 20), '...I...', '..', """MAP2K and MAPK activation"""]),
    'R-CEL-5674135':Nto._make([date(2019,  3, 20), '...I...', '..', """MAP2K and MAPK activation"""]),
    'R-CFA-5674135':Nto._make([date(2019,  3, 20), '...I...', '..', """MAP2K and MAPK activation"""]),
    'R-DDI-5674135':Nto._make([date(2019,  3, 20), '...I...', '..', """MAP2K and MAPK activation"""]),
    'R-DME-5674135':Nto._make([date(2019,  3, 20), '...I...', '..', """MAP2K and MAPK activation"""]),
    'R-DRE-5674135':Nto._make([date(2019,  3, 20), '...I...', '..', """MAP2K and MAPK activation"""]),
    'R-GGA-5674135':Nto._make([date(2019,  3, 20), '...I...', '..', """MAP2K and MAPK activation"""]),
    'R-MMU-5674135':Nto._make([date(2019,  3, 20), '...I...', '..', """MAP2K and MAPK activation"""]),
    'R-PFA-5674135':Nto._make([date(2019,  3, 20), '...I...', '..', """MAP2K and MAPK activation"""]),
    'R-RNO-5674135':Nto._make([date(2019,  3, 20), '...I...', '..', """MAP2K and MAPK activation"""]),
    'R-SCE-5674135':Nto._make([date(2019,  3, 20), '...I...', '..', """MAP2K and MAPK activation"""]),
    'R-SPO-5674135':Nto._make([date(2019,  3, 20), '...I...', '..', """MAP2K and MAPK activation"""]),
    'R-SSC-5674135':Nto._make([date(2019,  3, 20), '...I...', '..', """MAP2K and MAPK activation"""]),
    'R-XTR-5674135':Nto._make([date(2019,  3, 20), '...I...', '..', """MAP2K and MAPK activation"""]),
    'R-HSA-5674400':Nto._make([date(2012,  9, 18), '.Df.P..', '..', """Constitutive Signaling by AKT1 E17K in Cancer"""]),
    'R-HSA-5674404':Nto._make([date(2012,  9, 18), '.Df.P..', '..', """PTEN Loss of Function in Cancer"""]),
    'R-HSA-5674499':Nto._make([date(2015,  6, 17), '....P..', '..', """Negative feedback regulation of MAPK pathway"""]),
    'R-BTA-5674499':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative feedback regulation of MAPK pathway"""]),
    'R-CEL-5674499':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative feedback regulation of MAPK pathway"""]),
    'R-CFA-5674499':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative feedback regulation of MAPK pathway"""]),
    'R-DDI-5674499':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative feedback regulation of MAPK pathway"""]),
    'R-DME-5674499':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative feedback regulation of MAPK pathway"""]),
    'R-DRE-5674499':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative feedback regulation of MAPK pathway"""]),
    'R-GGA-5674499':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative feedback regulation of MAPK pathway"""]),
    'R-MMU-5674499':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative feedback regulation of MAPK pathway"""]),
    'R-PFA-5674499':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative feedback regulation of MAPK pathway"""]),
    'R-RNO-5674499':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative feedback regulation of MAPK pathway"""]),
    'R-SCE-5674499':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative feedback regulation of MAPK pathway"""]),
    'R-SPO-5674499':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative feedback regulation of MAPK pathway"""]),
    'R-SSC-5674499':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative feedback regulation of MAPK pathway"""]),
    'R-XTR-5674499':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative feedback regulation of MAPK pathway"""]),
    'R-HSA-5675221':Nto._make([date(2015,  6, 17), '....P..', '..', """Negative regulation of MAPK pathway"""]),
    'R-BTA-5675221':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of MAPK pathway"""]),
    'R-CEL-5675221':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of MAPK pathway"""]),
    'R-CFA-5675221':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of MAPK pathway"""]),
    'R-DDI-5675221':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of MAPK pathway"""]),
    'R-DME-5675221':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of MAPK pathway"""]),
    'R-DRE-5675221':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of MAPK pathway"""]),
    'R-GGA-5675221':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of MAPK pathway"""]),
    'R-MMU-5675221':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of MAPK pathway"""]),
    'R-PFA-5675221':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of MAPK pathway"""]),
    'R-RNO-5675221':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of MAPK pathway"""]),
    'R-SCE-5675221':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of MAPK pathway"""]),
    'R-SPO-5675221':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of MAPK pathway"""]),
    'R-SSC-5675221':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of MAPK pathway"""]),
    'R-XTR-5675221':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of MAPK pathway"""]),
    'R-HSA-5675482':Nto._make([date(2015,  3, 19), '....P..', 'B.', """Regulation of necroptotic cell death"""]),
    'R-BTA-5675482':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of necroptotic cell death"""]),
    'R-CFA-5675482':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of necroptotic cell death"""]),
    'R-DME-5675482':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of necroptotic cell death"""]),
    'R-DRE-5675482':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of necroptotic cell death"""]),
    'R-GGA-5675482':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of necroptotic cell death"""]),
    'R-MMU-5675482':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of necroptotic cell death"""]),
    'R-RNO-5675482':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of necroptotic cell death"""]),
    'R-SSC-5675482':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of necroptotic cell death"""]),
    'R-XTR-5675482':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Regulation of necroptotic cell death"""]),
    'R-HSA-5676590':Nto._make([date(2015,  6, 17), '..f.P..', 'BC', """NIK-->noncanonical NF-kB signaling"""]),
    'R-BTA-5676590':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """NIK-->noncanonical NF-kB signaling"""]),
    'R-CFA-5676590':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """NIK-->noncanonical NF-kB signaling"""]),
    'R-DME-5676590':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """NIK-->noncanonical NF-kB signaling"""]),
    'R-DRE-5676590':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """NIK-->noncanonical NF-kB signaling"""]),
    'R-GGA-5676590':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """NIK-->noncanonical NF-kB signaling"""]),
    'R-MMU-5676590':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """NIK-->noncanonical NF-kB signaling"""]),
    'R-RNO-5676590':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """NIK-->noncanonical NF-kB signaling"""]),
    'R-SCE-5676590':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """NIK-->noncanonical NF-kB signaling"""]),
    'R-SPO-5676590':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """NIK-->noncanonical NF-kB signaling"""]),
    'R-SSC-5676590':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """NIK-->noncanonical NF-kB signaling"""]),
    'R-XTR-5676590':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """NIK-->noncanonical NF-kB signaling"""]),
    'R-HSA-5676594':Nto._make([date(2015,  6, 17), '....P..', 'BC', """TNF receptor superfamily (TNFSF) members mediating non-canonical NF-kB pathway"""]),
    'R-BTA-5676594':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TNF receptor superfamily (TNFSF) members mediating non-canonical NF-kB pathway"""]),
    'R-CFA-5676594':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TNF receptor superfamily (TNFSF) members mediating non-canonical NF-kB pathway"""]),
    'R-DRE-5676594':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TNF receptor superfamily (TNFSF) members mediating non-canonical NF-kB pathway"""]),
    'R-GGA-5676594':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TNF receptor superfamily (TNFSF) members mediating non-canonical NF-kB pathway"""]),
    'R-MMU-5676594':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TNF receptor superfamily (TNFSF) members mediating non-canonical NF-kB pathway"""]),
    'R-RNO-5676594':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TNF receptor superfamily (TNFSF) members mediating non-canonical NF-kB pathway"""]),
    'R-SSC-5676594':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TNF receptor superfamily (TNFSF) members mediating non-canonical NF-kB pathway"""]),
    'R-XTR-5676594':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TNF receptor superfamily (TNFSF) members mediating non-canonical NF-kB pathway"""]),
    'R-HSA-5676934':Nto._make([date(2015, 12, 15), '..f.P..', 'B.', """Protein repair"""]),
    'R-BTA-5676934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein repair"""]),
    'R-CEL-5676934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein repair"""]),
    'R-CFA-5676934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein repair"""]),
    'R-DDI-5676934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein repair"""]),
    'R-DME-5676934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein repair"""]),
    'R-DRE-5676934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein repair"""]),
    'R-GGA-5676934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein repair"""]),
    'R-MMU-5676934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein repair"""]),
    'R-PFA-5676934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein repair"""]),
    'R-RNO-5676934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein repair"""]),
    'R-SPO-5676934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein repair"""]),
    'R-SSC-5676934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein repair"""]),
    'R-XTR-5676934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein repair"""]),
    'R-HSA-5678420':Nto._make([date(2015,  6, 17), '.Df.P..', '..', """Defective ABCC9 causes dilated cardiomyopathy 10, familial atrial fibrillation 12 and hypertrichotic osteochondrodysplasia"""]),
    'R-HSA-5678520':Nto._make([date(2015,  6, 17), '.Df.P..', '..', """Defective ABCB11 causes progressive familial intrahepatic cholestasis 2 and benign recurrent intrahepatic cholestasis 2"""]),
    'R-HSA-5678771':Nto._make([date(2015,  6, 17), '.Df.P..', '..', """Defective ABCB4 causes progressive familial intrahepatic cholestasis 3, intrahepatic cholestasis of pregnancy 3 and gallbladder disease 1"""]),
    'R-HSA-5678895':Nto._make([date(2015,  6, 17), '.Df.P..', '..', """Defective CFTR causes cystic fibrosis"""]),
    'R-HSA-5679001':Nto._make([date(2015, 12, 15), '.Df.P..', '..', """Defective ABCC2 causes Dubin-Johnson syndrome"""]),
    'R-HSA-5679090':Nto._make([date(2015, 12, 15), '.Df.P..', '..', """Defective ABCG8 causes gallbladder disease 4 and sitosterolemia"""]),
    'R-HSA-5679096':Nto._make([date(2015, 12, 15), '.Df.P..', '..', """Defective ABCG5 causes sitosterolemia"""]),
    'R-HSA-5682113':Nto._make([date(2015, 12, 15), '.Df.P..', '..', """Defective ABCA1 causes Tangier disease"""]),
    'R-HSA-5682294':Nto._make([date(2015, 12, 15), '.Df.P..', '..', """Defective ABCA12 causes autosomal recessive congenital ichthyosis type 4B"""]),
    'R-HSA-5682910':Nto._make([date(2015,  6, 17), '..f.P..', '.C', """LGI-ADAM interactions"""]),
    'R-BTA-5682910':Nto._make([date(2019,  3, 20), '..fI...', '.C', """LGI-ADAM interactions"""]),
    'R-CFA-5682910':Nto._make([date(2019,  3, 20), '..fI...', '.C', """LGI-ADAM interactions"""]),
    'R-DRE-5682910':Nto._make([date(2019,  3, 20), '..fI...', '.C', """LGI-ADAM interactions"""]),
    'R-GGA-5682910':Nto._make([date(2019,  3, 20), '..fI...', '.C', """LGI-ADAM interactions"""]),
    'R-MMU-5682910':Nto._make([date(2019,  3, 20), '..fI...', '.C', """LGI-ADAM interactions"""]),
    'R-RNO-5682910':Nto._make([date(2019,  3, 20), '..fI...', '.C', """LGI-ADAM interactions"""]),
    'R-SSC-5682910':Nto._make([date(2019,  3, 20), '..fI...', '.C', """LGI-ADAM interactions"""]),
    'R-XTR-5682910':Nto._make([date(2019,  3, 20), '..fI...', '.C', """LGI-ADAM interactions"""]),
    'R-HSA-5683057':Nto._make([date(2015,  6, 17), '..F.P..', '..', """MAPK family signaling cascades"""]),
    'R-BTA-5683057':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK family signaling cascades"""]),
    'R-CEL-5683057':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK family signaling cascades"""]),
    'R-CFA-5683057':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK family signaling cascades"""]),
    'R-DDI-5683057':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK family signaling cascades"""]),
    'R-DME-5683057':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK family signaling cascades"""]),
    'R-DRE-5683057':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK family signaling cascades"""]),
    'R-GGA-5683057':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK family signaling cascades"""]),
    'R-MMU-5683057':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK family signaling cascades"""]),
    'R-PFA-5683057':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK family signaling cascades"""]),
    'R-RNO-5683057':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK family signaling cascades"""]),
    'R-SCE-5683057':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK family signaling cascades"""]),
    'R-SPO-5683057':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK family signaling cascades"""]),
    'R-SSC-5683057':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK family signaling cascades"""]),
    'R-XTR-5683057':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK family signaling cascades"""]),
    'R-HSA-5683177':Nto._make([date(2015, 12, 15), '.Df.P..', '..', """Defective ABCC8 can cause hypoglycemias and hyperglycemias"""]),
    'R-HSA-5683329':Nto._make([date(2015, 12, 15), '.Df.P..', '..', """Defective ABCD4 causes methylmalonic aciduria and homocystinuria, cblj type (MAHCJ)"""]),
    'R-HSA-5683371':Nto._make([date(2013, 12,  4), '.Df.P..', '..', """Defective ABCB6 causes isolated colobomatous microphthalmia 7 (MCOPCB7)"""]),
    'R-HSA-5683678':Nto._make([date(2015, 12, 15), '.Df.P..', '..', """Defective ABCA3 causes pulmonary surfactant metabolism dysfunction type 3 (SMDP3)"""]),
    'R-HSA-5683826':Nto._make([date(2015,  9, 22), '..f.P..', '..', """Surfactant metabolism"""]),
    'R-BTA-5683826':Nto._make([date(2019,  3, 20), '..fI...', '..', """Surfactant metabolism"""]),
    'R-CEL-5683826':Nto._make([date(2019,  3, 20), '..fI...', '..', """Surfactant metabolism"""]),
    'R-CFA-5683826':Nto._make([date(2019,  3, 20), '..fI...', '..', """Surfactant metabolism"""]),
    'R-DDI-5683826':Nto._make([date(2019,  3, 20), '..fI...', '..', """Surfactant metabolism"""]),
    'R-DME-5683826':Nto._make([date(2019,  3, 20), '..fI...', '..', """Surfactant metabolism"""]),
    'R-DRE-5683826':Nto._make([date(2019,  3, 20), '..fI...', '..', """Surfactant metabolism"""]),
    'R-GGA-5683826':Nto._make([date(2019,  3, 20), '..fI...', '..', """Surfactant metabolism"""]),
    'R-MMU-5683826':Nto._make([date(2019,  3, 20), '..fI...', '..', """Surfactant metabolism"""]),
    'R-PFA-5683826':Nto._make([date(2019,  3, 20), '..fI...', '..', """Surfactant metabolism"""]),
    'R-RNO-5683826':Nto._make([date(2019,  3, 20), '..fI...', '..', """Surfactant metabolism"""]),
    'R-SSC-5683826':Nto._make([date(2019,  3, 20), '..fI...', '..', """Surfactant metabolism"""]),
    'R-XTR-5683826':Nto._make([date(2019,  3, 20), '..fI...', '..', """Surfactant metabolism"""]),
    'R-HSA-5684045':Nto._make([date(2015, 12, 15), '.Df.P..', '..', """Defective ABCD1 causes adrenoleukodystrophy (ALD)"""]),
    'R-HSA-5684264':Nto._make([date(2015,  9, 22), '....PB.', '..', """MAP3K8 (TPL2)-dependent MAPK1/3 activation"""]),
    'R-BTA-5684264':Nto._make([date(2019,  3, 20), '...I...', '..', """MAP3K8 (TPL2)-dependent MAPK1/3 activation"""]),
    'R-DRE-5684264':Nto._make([date(2019,  3, 20), '...I...', '..', """MAP3K8 (TPL2)-dependent MAPK1/3 activation"""]),
    'R-GGA-5684264':Nto._make([date(2019,  3, 20), '...I...', '..', """MAP3K8 (TPL2)-dependent MAPK1/3 activation"""]),
    'R-MMU-5684264':Nto._make([date(2019,  3, 20), '...I...', '..', """MAP3K8 (TPL2)-dependent MAPK1/3 activation"""]),
    'R-RNO-5684264':Nto._make([date(2019,  3, 20), '...I...', '..', """MAP3K8 (TPL2)-dependent MAPK1/3 activation"""]),
    'R-SSC-5684264':Nto._make([date(2019,  3, 20), '...I...', '..', """MAP3K8 (TPL2)-dependent MAPK1/3 activation"""]),
    'R-HSA-5684996':Nto._make([date(2015,  6, 17), '..F.P..', '..', """MAPK1/MAPK3 signaling"""]),
    'R-BTA-5684996':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK1/MAPK3 signaling"""]),
    'R-CEL-5684996':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK1/MAPK3 signaling"""]),
    'R-CFA-5684996':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK1/MAPK3 signaling"""]),
    'R-DDI-5684996':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK1/MAPK3 signaling"""]),
    'R-DME-5684996':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK1/MAPK3 signaling"""]),
    'R-DRE-5684996':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK1/MAPK3 signaling"""]),
    'R-GGA-5684996':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK1/MAPK3 signaling"""]),
    'R-MMU-5684996':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK1/MAPK3 signaling"""]),
    'R-PFA-5684996':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK1/MAPK3 signaling"""]),
    'R-RNO-5684996':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK1/MAPK3 signaling"""]),
    'R-SCE-5684996':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK1/MAPK3 signaling"""]),
    'R-SPO-5684996':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK1/MAPK3 signaling"""]),
    'R-SSC-5684996':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK1/MAPK3 signaling"""]),
    'R-XTR-5684996':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK1/MAPK3 signaling"""]),
    'R-HSA-5685938':Nto._make([date(2015,  9, 22), '....P..', '..', """HDR through Single Strand Annealing (SSA)"""]),
    'R-BTA-5685938':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Single Strand Annealing (SSA)"""]),
    'R-CEL-5685938':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Single Strand Annealing (SSA)"""]),
    'R-CFA-5685938':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Single Strand Annealing (SSA)"""]),
    'R-DDI-5685938':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Single Strand Annealing (SSA)"""]),
    'R-DRE-5685938':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Single Strand Annealing (SSA)"""]),
    'R-GGA-5685938':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Single Strand Annealing (SSA)"""]),
    'R-MMU-5685938':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Single Strand Annealing (SSA)"""]),
    'R-RNO-5685938':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Single Strand Annealing (SSA)"""]),
    'R-SCE-5685938':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Single Strand Annealing (SSA)"""]),
    'R-SPO-5685938':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Single Strand Annealing (SSA)"""]),
    'R-SSC-5685938':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Single Strand Annealing (SSA)"""]),
    'R-XTR-5685938':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Single Strand Annealing (SSA)"""]),
    'R-HSA-5685939':Nto._make([date(2015,  9, 22), '..f.P..', '..', """HDR through MMEJ (alt-NHEJ)"""]),
    'R-BTA-5685939':Nto._make([date(2019,  3, 20), '..fI...', '..', """HDR through MMEJ (alt-NHEJ)"""]),
    'R-CEL-5685939':Nto._make([date(2019,  3, 20), '..fI...', '..', """HDR through MMEJ (alt-NHEJ)"""]),
    'R-CFA-5685939':Nto._make([date(2019,  3, 20), '..fI...', '..', """HDR through MMEJ (alt-NHEJ)"""]),
    'R-DDI-5685939':Nto._make([date(2019,  3, 20), '..fI...', '..', """HDR through MMEJ (alt-NHEJ)"""]),
    'R-DME-5685939':Nto._make([date(2019,  3, 20), '..fI...', '..', """HDR through MMEJ (alt-NHEJ)"""]),
    'R-DRE-5685939':Nto._make([date(2019,  3, 20), '..fI...', '..', """HDR through MMEJ (alt-NHEJ)"""]),
    'R-GGA-5685939':Nto._make([date(2019,  3, 20), '..fI...', '..', """HDR through MMEJ (alt-NHEJ)"""]),
    'R-MMU-5685939':Nto._make([date(2019,  3, 20), '..fI...', '..', """HDR through MMEJ (alt-NHEJ)"""]),
    'R-RNO-5685939':Nto._make([date(2019,  3, 20), '..fI...', '..', """HDR through MMEJ (alt-NHEJ)"""]),
    'R-SPO-5685939':Nto._make([date(2019,  3, 20), '..fI...', '..', """HDR through MMEJ (alt-NHEJ)"""]),
    'R-SSC-5685939':Nto._make([date(2019,  3, 20), '..fI...', '..', """HDR through MMEJ (alt-NHEJ)"""]),
    'R-XTR-5685939':Nto._make([date(2019,  3, 20), '..fI...', '..', """HDR through MMEJ (alt-NHEJ)"""]),
    'R-HSA-5685942':Nto._make([date(2015,  9, 22), '....P..', '..', """HDR through Homologous Recombination (HRR)"""]),
    'R-BTA-5685942':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Homologous Recombination (HRR)"""]),
    'R-CEL-5685942':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Homologous Recombination (HRR)"""]),
    'R-CFA-5685942':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Homologous Recombination (HRR)"""]),
    'R-DDI-5685942':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Homologous Recombination (HRR)"""]),
    'R-DME-5685942':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Homologous Recombination (HRR)"""]),
    'R-DRE-5685942':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Homologous Recombination (HRR)"""]),
    'R-GGA-5685942':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Homologous Recombination (HRR)"""]),
    'R-MMU-5685942':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Homologous Recombination (HRR)"""]),
    'R-RNO-5685942':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Homologous Recombination (HRR)"""]),
    'R-SCE-5685942':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Homologous Recombination (HRR)"""]),
    'R-SPO-5685942':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Homologous Recombination (HRR)"""]),
    'R-SSC-5685942':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Homologous Recombination (HRR)"""]),
    'R-XTR-5685942':Nto._make([date(2019,  3, 20), '...I...', '..', """HDR through Homologous Recombination (HRR)"""]),
    'R-HSA-5686938':Nto._make([date(2016,  6, 15), '..f.P..', '..', """Regulation of TLR by endogenous ligand"""]),
    'R-BTA-5686938':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TLR by endogenous ligand"""]),
    'R-CEL-5686938':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TLR by endogenous ligand"""]),
    'R-CFA-5686938':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TLR by endogenous ligand"""]),
    'R-DDI-5686938':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TLR by endogenous ligand"""]),
    'R-DME-5686938':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TLR by endogenous ligand"""]),
    'R-DRE-5686938':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TLR by endogenous ligand"""]),
    'R-GGA-5686938':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TLR by endogenous ligand"""]),
    'R-MMU-5686938':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TLR by endogenous ligand"""]),
    'R-PFA-5686938':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TLR by endogenous ligand"""]),
    'R-RNO-5686938':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TLR by endogenous ligand"""]),
    'R-SCE-5686938':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TLR by endogenous ligand"""]),
    'R-SPO-5686938':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TLR by endogenous ligand"""]),
    'R-SSC-5686938':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TLR by endogenous ligand"""]),
    'R-XTR-5686938':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TLR by endogenous ligand"""]),
    'R-HSA-5687128':Nto._make([date(2015,  6, 17), '..f.P..', '..', """MAPK6/MAPK4 signaling"""]),
    'R-BTA-5687128':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK6/MAPK4 signaling"""]),
    'R-CEL-5687128':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK6/MAPK4 signaling"""]),
    'R-CFA-5687128':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK6/MAPK4 signaling"""]),
    'R-DDI-5687128':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK6/MAPK4 signaling"""]),
    'R-DME-5687128':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK6/MAPK4 signaling"""]),
    'R-DRE-5687128':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK6/MAPK4 signaling"""]),
    'R-GGA-5687128':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK6/MAPK4 signaling"""]),
    'R-MMU-5687128':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK6/MAPK4 signaling"""]),
    'R-PFA-5687128':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK6/MAPK4 signaling"""]),
    'R-RNO-5687128':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK6/MAPK4 signaling"""]),
    'R-SCE-5687128':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK6/MAPK4 signaling"""]),
    'R-SPO-5687128':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK6/MAPK4 signaling"""]),
    'R-SSC-5687128':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK6/MAPK4 signaling"""]),
    'R-XTR-5687128':Nto._make([date(2019,  3, 20), '..fI...', '..', """MAPK6/MAPK4 signaling"""]),
    'R-HSA-5687583':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SLC34A2 causes pulmonary alveolar microlithiasis (PALM)"""]),
    'R-HSA-5687613':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Diseases associated with surfactant metabolism"""]),
    'R-HSA-5687868':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective SFTPA2 causes idiopathic pulmonary fibrosis (IPF)"""]),
    'R-HSA-5688031':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective pro-SFTPB causes pulmonary surfactant metabolism dysfunction 1 (SMDP1) and respiratory distress syndrome (RDS)"""]),
    'R-HSA-5688354':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective pro-SFTPC causes pulmonary surfactant metabolism dysfunction 2 (SMDP2) and respiratory distress syndrome (RDS)"""]),
    'R-HSA-5688399':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective ABCA3 causes pulmonary surfactant metabolism dysfunction 3 (SMDP3)"""]),
    'R-HSA-5688426':Nto._make([date(2016,  6, 15), '..f.P..', 'B.', """Deubiquitination"""]),
    'R-BTA-5688426':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Deubiquitination"""]),
    'R-CEL-5688426':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Deubiquitination"""]),
    'R-CFA-5688426':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Deubiquitination"""]),
    'R-DDI-5688426':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Deubiquitination"""]),
    'R-DME-5688426':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Deubiquitination"""]),
    'R-DRE-5688426':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Deubiquitination"""]),
    'R-GGA-5688426':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Deubiquitination"""]),
    'R-MMU-5688426':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Deubiquitination"""]),
    'R-PFA-5688426':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Deubiquitination"""]),
    'R-RNO-5688426':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Deubiquitination"""]),
    'R-SCE-5688426':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Deubiquitination"""]),
    'R-SPO-5688426':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Deubiquitination"""]),
    'R-SSC-5688426':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Deubiquitination"""]),
    'R-XTR-5688426':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Deubiquitination"""]),
    'R-HSA-5688849':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective CSF2RB causes pulmonary surfactant metabolism dysfunction 5 (SMDP5)"""]),
    'R-HSA-5688890':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective CSF2RA causes pulmonary surfactant metabolism dysfunction 4 (SMDP4)"""]),
    'R-HSA-5689603':Nto._make([date(2016,  6, 15), '....P..', '..', """UCH proteinases"""]),
    'R-BTA-5689603':Nto._make([date(2019,  3, 20), '...I...', '..', """UCH proteinases"""]),
    'R-CEL-5689603':Nto._make([date(2019,  3, 20), '...I...', '..', """UCH proteinases"""]),
    'R-CFA-5689603':Nto._make([date(2019,  3, 20), '...I...', '..', """UCH proteinases"""]),
    'R-DDI-5689603':Nto._make([date(2019,  3, 20), '...I...', '..', """UCH proteinases"""]),
    'R-DME-5689603':Nto._make([date(2019,  3, 20), '...I...', '..', """UCH proteinases"""]),
    'R-DRE-5689603':Nto._make([date(2019,  3, 20), '...I...', '..', """UCH proteinases"""]),
    'R-GGA-5689603':Nto._make([date(2019,  3, 20), '...I...', '..', """UCH proteinases"""]),
    'R-MMU-5689603':Nto._make([date(2019,  3, 20), '...I...', '..', """UCH proteinases"""]),
    'R-PFA-5689603':Nto._make([date(2019,  3, 20), '...I...', '..', """UCH proteinases"""]),
    'R-RNO-5689603':Nto._make([date(2019,  3, 20), '...I...', '..', """UCH proteinases"""]),
    'R-SCE-5689603':Nto._make([date(2019,  3, 20), '...I...', '..', """UCH proteinases"""]),
    'R-SPO-5689603':Nto._make([date(2019,  3, 20), '...I...', '..', """UCH proteinases"""]),
    'R-SSC-5689603':Nto._make([date(2019,  3, 20), '...I...', '..', """UCH proteinases"""]),
    'R-XTR-5689603':Nto._make([date(2019,  3, 20), '...I...', '..', """UCH proteinases"""]),
    'R-HSA-5689877':Nto._make([date(2016,  6, 15), '....P..', '..', """Josephin domain DUBs"""]),
    'R-BTA-5689877':Nto._make([date(2019,  3, 20), '...I...', '..', """Josephin domain DUBs"""]),
    'R-CEL-5689877':Nto._make([date(2019,  3, 20), '...I...', '..', """Josephin domain DUBs"""]),
    'R-CFA-5689877':Nto._make([date(2019,  3, 20), '...I...', '..', """Josephin domain DUBs"""]),
    'R-DDI-5689877':Nto._make([date(2019,  3, 20), '...I...', '..', """Josephin domain DUBs"""]),
    'R-DME-5689877':Nto._make([date(2019,  3, 20), '...I...', '..', """Josephin domain DUBs"""]),
    'R-DRE-5689877':Nto._make([date(2019,  3, 20), '...I...', '..', """Josephin domain DUBs"""]),
    'R-GGA-5689877':Nto._make([date(2019,  3, 20), '...I...', '..', """Josephin domain DUBs"""]),
    'R-MMU-5689877':Nto._make([date(2019,  3, 20), '...I...', '..', """Josephin domain DUBs"""]),
    'R-PFA-5689877':Nto._make([date(2019,  3, 20), '...I...', '..', """Josephin domain DUBs"""]),
    'R-RNO-5689877':Nto._make([date(2019,  3, 20), '...I...', '..', """Josephin domain DUBs"""]),
    'R-SSC-5689877':Nto._make([date(2019,  3, 20), '...I...', '..', """Josephin domain DUBs"""]),
    'R-XTR-5689877':Nto._make([date(2019,  3, 20), '...I...', '..', """Josephin domain DUBs"""]),
    'R-HSA-5689880':Nto._make([date(2016,  6, 15), '....P..', '..', """Ub-specific processing proteases"""]),
    'R-BTA-5689880':Nto._make([date(2019,  3, 20), '...I...', '..', """Ub-specific processing proteases"""]),
    'R-CEL-5689880':Nto._make([date(2019,  3, 20), '...I...', '..', """Ub-specific processing proteases"""]),
    'R-CFA-5689880':Nto._make([date(2019,  3, 20), '...I...', '..', """Ub-specific processing proteases"""]),
    'R-DDI-5689880':Nto._make([date(2019,  3, 20), '...I...', '..', """Ub-specific processing proteases"""]),
    'R-DME-5689880':Nto._make([date(2019,  3, 20), '...I...', '..', """Ub-specific processing proteases"""]),
    'R-DRE-5689880':Nto._make([date(2019,  3, 20), '...I...', '..', """Ub-specific processing proteases"""]),
    'R-GGA-5689880':Nto._make([date(2019,  3, 20), '...I...', '..', """Ub-specific processing proteases"""]),
    'R-MMU-5689880':Nto._make([date(2019,  3, 20), '...I...', '..', """Ub-specific processing proteases"""]),
    'R-PFA-5689880':Nto._make([date(2019,  3, 20), '...I...', '..', """Ub-specific processing proteases"""]),
    'R-RNO-5689880':Nto._make([date(2019,  3, 20), '...I...', '..', """Ub-specific processing proteases"""]),
    'R-SCE-5689880':Nto._make([date(2019,  3, 20), '...I...', '..', """Ub-specific processing proteases"""]),
    'R-SPO-5689880':Nto._make([date(2019,  3, 20), '...I...', '..', """Ub-specific processing proteases"""]),
    'R-SSC-5689880':Nto._make([date(2019,  3, 20), '...I...', '..', """Ub-specific processing proteases"""]),
    'R-XTR-5689880':Nto._make([date(2019,  3, 20), '...I...', '..', """Ub-specific processing proteases"""]),
    'R-HSA-5689896':Nto._make([date(2016,  6, 15), '....P..', '..', """Ovarian tumor domain proteases"""]),
    'R-BTA-5689896':Nto._make([date(2019,  3, 20), '...I...', '..', """Ovarian tumor domain proteases"""]),
    'R-CEL-5689896':Nto._make([date(2019,  3, 20), '...I...', '..', """Ovarian tumor domain proteases"""]),
    'R-CFA-5689896':Nto._make([date(2019,  3, 20), '...I...', '..', """Ovarian tumor domain proteases"""]),
    'R-DDI-5689896':Nto._make([date(2019,  3, 20), '...I...', '..', """Ovarian tumor domain proteases"""]),
    'R-DME-5689896':Nto._make([date(2019,  3, 20), '...I...', '..', """Ovarian tumor domain proteases"""]),
    'R-DRE-5689896':Nto._make([date(2019,  3, 20), '...I...', '..', """Ovarian tumor domain proteases"""]),
    'R-GGA-5689896':Nto._make([date(2019,  3, 20), '...I...', '..', """Ovarian tumor domain proteases"""]),
    'R-MMU-5689896':Nto._make([date(2019,  3, 20), '...I...', '..', """Ovarian tumor domain proteases"""]),
    'R-RNO-5689896':Nto._make([date(2019,  3, 20), '...I...', '..', """Ovarian tumor domain proteases"""]),
    'R-SCE-5689896':Nto._make([date(2019,  3, 20), '...I...', '..', """Ovarian tumor domain proteases"""]),
    'R-SPO-5689896':Nto._make([date(2019,  3, 20), '...I...', '..', """Ovarian tumor domain proteases"""]),
    'R-SSC-5689896':Nto._make([date(2019,  3, 20), '...I...', '..', """Ovarian tumor domain proteases"""]),
    'R-XTR-5689896':Nto._make([date(2019,  3, 20), '...I...', '..', """Ovarian tumor domain proteases"""]),
    'R-HSA-5689901':Nto._make([date(2016,  6, 15), '....P..', '..', """Metalloprotease DUBs"""]),
    'R-BTA-5689901':Nto._make([date(2019,  3, 20), '...I...', '..', """Metalloprotease DUBs"""]),
    'R-CEL-5689901':Nto._make([date(2019,  3, 20), '...I...', '..', """Metalloprotease DUBs"""]),
    'R-CFA-5689901':Nto._make([date(2019,  3, 20), '...I...', '..', """Metalloprotease DUBs"""]),
    'R-DDI-5689901':Nto._make([date(2019,  3, 20), '...I...', '..', """Metalloprotease DUBs"""]),
    'R-DME-5689901':Nto._make([date(2019,  3, 20), '...I...', '..', """Metalloprotease DUBs"""]),
    'R-DRE-5689901':Nto._make([date(2019,  3, 20), '...I...', '..', """Metalloprotease DUBs"""]),
    'R-GGA-5689901':Nto._make([date(2019,  3, 20), '...I...', '..', """Metalloprotease DUBs"""]),
    'R-MMU-5689901':Nto._make([date(2019,  3, 20), '...I...', '..', """Metalloprotease DUBs"""]),
    'R-PFA-5689901':Nto._make([date(2019,  3, 20), '...I...', '..', """Metalloprotease DUBs"""]),
    'R-RNO-5689901':Nto._make([date(2019,  3, 20), '...I...', '..', """Metalloprotease DUBs"""]),
    'R-SCE-5689901':Nto._make([date(2019,  3, 20), '...I...', '..', """Metalloprotease DUBs"""]),
    'R-SPO-5689901':Nto._make([date(2019,  3, 20), '...I...', '..', """Metalloprotease DUBs"""]),
    'R-SSC-5689901':Nto._make([date(2019,  3, 20), '...I...', '..', """Metalloprotease DUBs"""]),
    'R-XTR-5689901':Nto._make([date(2019,  3, 20), '...I...', '..', """Metalloprotease DUBs"""]),
    'R-HSA-5690338':Nto._make([date(2015, 12, 15), '.Df.P..', '..', """Defective ABCC6 causes pseudoxanthoma elasticum (PXE)"""]),
    'R-HSA-5690714':Nto._make([date(2015, 12, 15), '....P..', '..', """CD22 mediated BCR regulation"""]),
    'R-BTA-5690714':Nto._make([date(2019,  3, 20), '...I...', '..', """CD22 mediated BCR regulation"""]),
    'R-CFA-5690714':Nto._make([date(2019,  3, 20), '...I...', '..', """CD22 mediated BCR regulation"""]),
    'R-DRE-5690714':Nto._make([date(2019,  3, 20), '...I...', '..', """CD22 mediated BCR regulation"""]),
    'R-MMU-5690714':Nto._make([date(2019,  3, 20), '...I...', '..', """CD22 mediated BCR regulation"""]),
    'R-RNO-5690714':Nto._make([date(2019,  3, 20), '...I...', '..', """CD22 mediated BCR regulation"""]),
    'R-SSC-5690714':Nto._make([date(2019,  3, 20), '...I...', '..', """CD22 mediated BCR regulation"""]),
    'R-XTR-5690714':Nto._make([date(2019,  3, 20), '...I...', '..', """CD22 mediated BCR regulation"""]),
    'R-HSA-5693532':Nto._make([date(2003, 11,  3), '..F.P..', 'BC', """DNA Double-Strand Break Repair"""]),
    'R-BTA-5693532':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Double-Strand Break Repair"""]),
    'R-CEL-5693532':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Double-Strand Break Repair"""]),
    'R-CFA-5693532':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Double-Strand Break Repair"""]),
    'R-DDI-5693532':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Double-Strand Break Repair"""]),
    'R-DME-5693532':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Double-Strand Break Repair"""]),
    'R-DRE-5693532':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Double-Strand Break Repair"""]),
    'R-GGA-5693532':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Double-Strand Break Repair"""]),
    'R-MMU-5693532':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Double-Strand Break Repair"""]),
    'R-PFA-5693532':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Double-Strand Break Repair"""]),
    'R-RNO-5693532':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Double-Strand Break Repair"""]),
    'R-SCE-5693532':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Double-Strand Break Repair"""]),
    'R-SPO-5693532':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Double-Strand Break Repair"""]),
    'R-SSC-5693532':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Double-Strand Break Repair"""]),
    'R-XTR-5693532':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """DNA Double-Strand Break Repair"""]),
    'R-HSA-5693537':Nto._make([date(2003, 11,  3), '....P..', '.C', """Resolution of D-Loop Structures"""]),
    'R-BTA-5693537':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of D-Loop Structures"""]),
    'R-CFA-5693537':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of D-Loop Structures"""]),
    'R-DME-5693537':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of D-Loop Structures"""]),
    'R-DRE-5693537':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of D-Loop Structures"""]),
    'R-GGA-5693537':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of D-Loop Structures"""]),
    'R-MMU-5693537':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of D-Loop Structures"""]),
    'R-RNO-5693537':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of D-Loop Structures"""]),
    'R-SCE-5693537':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of D-Loop Structures"""]),
    'R-SPO-5693537':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of D-Loop Structures"""]),
    'R-SSC-5693537':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of D-Loop Structures"""]),
    'R-XTR-5693537':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of D-Loop Structures"""]),
    'R-HSA-5693538':Nto._make([date(2003, 11,  3), '..F.PB.', 'BC', """Homology Directed Repair"""]),
    'R-BTA-5693538':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Homology Directed Repair"""]),
    'R-CEL-5693538':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Homology Directed Repair"""]),
    'R-CFA-5693538':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Homology Directed Repair"""]),
    'R-DDI-5693538':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Homology Directed Repair"""]),
    'R-DME-5693538':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Homology Directed Repair"""]),
    'R-DRE-5693538':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Homology Directed Repair"""]),
    'R-GGA-5693538':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Homology Directed Repair"""]),
    'R-MMU-5693538':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Homology Directed Repair"""]),
    'R-RNO-5693538':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Homology Directed Repair"""]),
    'R-SCE-5693538':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Homology Directed Repair"""]),
    'R-SPO-5693538':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Homology Directed Repair"""]),
    'R-SSC-5693538':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Homology Directed Repair"""]),
    'R-XTR-5693538':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Homology Directed Repair"""]),
    'R-HSA-5693548':Nto._make([date(2015,  9, 22), '....P..', '.C', """Sensing of DNA Double Strand Breaks"""]),
    'R-BTA-5693548':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sensing of DNA Double Strand Breaks"""]),
    'R-CEL-5693548':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sensing of DNA Double Strand Breaks"""]),
    'R-CFA-5693548':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sensing of DNA Double Strand Breaks"""]),
    'R-DDI-5693548':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sensing of DNA Double Strand Breaks"""]),
    'R-DME-5693548':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sensing of DNA Double Strand Breaks"""]),
    'R-DRE-5693548':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sensing of DNA Double Strand Breaks"""]),
    'R-GGA-5693548':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sensing of DNA Double Strand Breaks"""]),
    'R-MMU-5693548':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sensing of DNA Double Strand Breaks"""]),
    'R-RNO-5693548':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sensing of DNA Double Strand Breaks"""]),
    'R-SCE-5693548':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sensing of DNA Double Strand Breaks"""]),
    'R-SPO-5693548':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sensing of DNA Double Strand Breaks"""]),
    'R-SSC-5693548':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sensing of DNA Double Strand Breaks"""]),
    'R-XTR-5693548':Nto._make([date(2019,  3, 20), '...I...', '.C', """Sensing of DNA Double Strand Breaks"""]),
    'R-HSA-5693554':Nto._make([date(2003, 11,  3), '....P..', 'BC', """Resolution of D-loop Structures through Synthesis-Dependent Strand Annealing (SDSA)"""]),
    'R-MMU-5693554':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Resolution of D-loop Structures through Synthesis-Dependent Strand Annealing (SDSA)"""]),
    'R-RNO-5693554':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Resolution of D-loop Structures through Synthesis-Dependent Strand Annealing (SDSA)"""]),
    'R-SSC-5693554':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Resolution of D-loop Structures through Synthesis-Dependent Strand Annealing (SDSA)"""]),
    'R-HSA-5693565':Nto._make([date(2015,  9, 22), '....P..', '.C', """Recruitment and ATM-mediated phosphorylation of repair and signaling proteins at DNA double strand breaks"""]),
    'R-BTA-5693565':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recruitment and ATM-mediated phosphorylation of repair and signaling proteins at DNA double strand breaks"""]),
    'R-CEL-5693565':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recruitment and ATM-mediated phosphorylation of repair and signaling proteins at DNA double strand breaks"""]),
    'R-CFA-5693565':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recruitment and ATM-mediated phosphorylation of repair and signaling proteins at DNA double strand breaks"""]),
    'R-DDI-5693565':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recruitment and ATM-mediated phosphorylation of repair and signaling proteins at DNA double strand breaks"""]),
    'R-DME-5693565':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recruitment and ATM-mediated phosphorylation of repair and signaling proteins at DNA double strand breaks"""]),
    'R-DRE-5693565':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recruitment and ATM-mediated phosphorylation of repair and signaling proteins at DNA double strand breaks"""]),
    'R-GGA-5693565':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recruitment and ATM-mediated phosphorylation of repair and signaling proteins at DNA double strand breaks"""]),
    'R-MMU-5693565':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recruitment and ATM-mediated phosphorylation of repair and signaling proteins at DNA double strand breaks"""]),
    'R-PFA-5693565':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recruitment and ATM-mediated phosphorylation of repair and signaling proteins at DNA double strand breaks"""]),
    'R-RNO-5693565':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recruitment and ATM-mediated phosphorylation of repair and signaling proteins at DNA double strand breaks"""]),
    'R-SCE-5693565':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recruitment and ATM-mediated phosphorylation of repair and signaling proteins at DNA double strand breaks"""]),
    'R-SPO-5693565':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recruitment and ATM-mediated phosphorylation of repair and signaling proteins at DNA double strand breaks"""]),
    'R-SSC-5693565':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recruitment and ATM-mediated phosphorylation of repair and signaling proteins at DNA double strand breaks"""]),
    'R-XTR-5693565':Nto._make([date(2019,  3, 20), '...I...', '.C', """Recruitment and ATM-mediated phosphorylation of repair and signaling proteins at DNA double strand breaks"""]),
    'R-HSA-5693567':Nto._make([date(2003, 11,  3), '..f.P..', '.C', """HDR through Homologous Recombination (HRR) or Single Strand Annealing (SSA)"""]),
    'R-BTA-5693567':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HDR through Homologous Recombination (HRR) or Single Strand Annealing (SSA)"""]),
    'R-CEL-5693567':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HDR through Homologous Recombination (HRR) or Single Strand Annealing (SSA)"""]),
    'R-CFA-5693567':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HDR through Homologous Recombination (HRR) or Single Strand Annealing (SSA)"""]),
    'R-DDI-5693567':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HDR through Homologous Recombination (HRR) or Single Strand Annealing (SSA)"""]),
    'R-DME-5693567':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HDR through Homologous Recombination (HRR) or Single Strand Annealing (SSA)"""]),
    'R-DRE-5693567':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HDR through Homologous Recombination (HRR) or Single Strand Annealing (SSA)"""]),
    'R-GGA-5693567':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HDR through Homologous Recombination (HRR) or Single Strand Annealing (SSA)"""]),
    'R-MMU-5693567':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HDR through Homologous Recombination (HRR) or Single Strand Annealing (SSA)"""]),
    'R-RNO-5693567':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HDR through Homologous Recombination (HRR) or Single Strand Annealing (SSA)"""]),
    'R-SCE-5693567':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HDR through Homologous Recombination (HRR) or Single Strand Annealing (SSA)"""]),
    'R-SPO-5693567':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HDR through Homologous Recombination (HRR) or Single Strand Annealing (SSA)"""]),
    'R-SSC-5693567':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HDR through Homologous Recombination (HRR) or Single Strand Annealing (SSA)"""]),
    'R-XTR-5693567':Nto._make([date(2019,  3, 20), '..fI...', '.C', """HDR through Homologous Recombination (HRR) or Single Strand Annealing (SSA)"""]),
    'R-HSA-5693568':Nto._make([date(2003, 11,  3), '....P..', '.C', """Resolution of D-loop Structures through Holliday Junction Intermediates"""]),
    'R-BTA-5693568':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of D-loop Structures through Holliday Junction Intermediates"""]),
    'R-CFA-5693568':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of D-loop Structures through Holliday Junction Intermediates"""]),
    'R-DME-5693568':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of D-loop Structures through Holliday Junction Intermediates"""]),
    'R-DRE-5693568':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of D-loop Structures through Holliday Junction Intermediates"""]),
    'R-GGA-5693568':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of D-loop Structures through Holliday Junction Intermediates"""]),
    'R-MMU-5693568':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of D-loop Structures through Holliday Junction Intermediates"""]),
    'R-RNO-5693568':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of D-loop Structures through Holliday Junction Intermediates"""]),
    'R-SCE-5693568':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of D-loop Structures through Holliday Junction Intermediates"""]),
    'R-SPO-5693568':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of D-loop Structures through Holliday Junction Intermediates"""]),
    'R-SSC-5693568':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of D-loop Structures through Holliday Junction Intermediates"""]),
    'R-XTR-5693568':Nto._make([date(2019,  3, 20), '...I...', '.C', """Resolution of D-loop Structures through Holliday Junction Intermediates"""]),
    'R-HSA-5693571':Nto._make([date(2003, 11,  3), '..F.P..', 'BC', """Nonhomologous End-Joining (NHEJ)"""]),
    'R-BTA-5693571':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonhomologous End-Joining (NHEJ)"""]),
    'R-CFA-5693571':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonhomologous End-Joining (NHEJ)"""]),
    'R-DDI-5693571':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonhomologous End-Joining (NHEJ)"""]),
    'R-DRE-5693571':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonhomologous End-Joining (NHEJ)"""]),
    'R-GGA-5693571':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonhomologous End-Joining (NHEJ)"""]),
    'R-MMU-5693571':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonhomologous End-Joining (NHEJ)"""]),
    'R-RNO-5693571':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonhomologous End-Joining (NHEJ)"""]),
    'R-SSC-5693571':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonhomologous End-Joining (NHEJ)"""]),
    'R-XTR-5693571':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nonhomologous End-Joining (NHEJ)"""]),
    'R-HSA-5693579':Nto._make([date(2003, 11,  3), '....P..', '.C', """Homologous DNA Pairing and Strand Exchange"""]),
    'R-BTA-5693579':Nto._make([date(2019,  3, 20), '...I...', '.C', """Homologous DNA Pairing and Strand Exchange"""]),
    'R-CEL-5693579':Nto._make([date(2019,  3, 20), '...I...', '.C', """Homologous DNA Pairing and Strand Exchange"""]),
    'R-CFA-5693579':Nto._make([date(2019,  3, 20), '...I...', '.C', """Homologous DNA Pairing and Strand Exchange"""]),
    'R-DDI-5693579':Nto._make([date(2019,  3, 20), '...I...', '.C', """Homologous DNA Pairing and Strand Exchange"""]),
    'R-DME-5693579':Nto._make([date(2019,  3, 20), '...I...', '.C', """Homologous DNA Pairing and Strand Exchange"""]),
    'R-DRE-5693579':Nto._make([date(2019,  3, 20), '...I...', '.C', """Homologous DNA Pairing and Strand Exchange"""]),
    'R-GGA-5693579':Nto._make([date(2019,  3, 20), '...I...', '.C', """Homologous DNA Pairing and Strand Exchange"""]),
    'R-MMU-5693579':Nto._make([date(2019,  3, 20), '...I...', '.C', """Homologous DNA Pairing and Strand Exchange"""]),
    'R-RNO-5693579':Nto._make([date(2019,  3, 20), '...I...', '.C', """Homologous DNA Pairing and Strand Exchange"""]),
    'R-SCE-5693579':Nto._make([date(2019,  3, 20), '...I...', '.C', """Homologous DNA Pairing and Strand Exchange"""]),
    'R-SPO-5693579':Nto._make([date(2019,  3, 20), '...I...', '.C', """Homologous DNA Pairing and Strand Exchange"""]),
    'R-SSC-5693579':Nto._make([date(2019,  3, 20), '...I...', '.C', """Homologous DNA Pairing and Strand Exchange"""]),
    'R-XTR-5693579':Nto._make([date(2019,  3, 20), '...I...', '.C', """Homologous DNA Pairing and Strand Exchange"""]),
    'R-HSA-5693606':Nto._make([date(2015,  9, 22), '..f.P..', '..', """DNA Double Strand Break Response"""]),
    'R-BTA-5693606':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Double Strand Break Response"""]),
    'R-CEL-5693606':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Double Strand Break Response"""]),
    'R-CFA-5693606':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Double Strand Break Response"""]),
    'R-DDI-5693606':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Double Strand Break Response"""]),
    'R-DME-5693606':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Double Strand Break Response"""]),
    'R-DRE-5693606':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Double Strand Break Response"""]),
    'R-GGA-5693606':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Double Strand Break Response"""]),
    'R-MMU-5693606':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Double Strand Break Response"""]),
    'R-PFA-5693606':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Double Strand Break Response"""]),
    'R-RNO-5693606':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Double Strand Break Response"""]),
    'R-SCE-5693606':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Double Strand Break Response"""]),
    'R-SPO-5693606':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Double Strand Break Response"""]),
    'R-SSC-5693606':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Double Strand Break Response"""]),
    'R-XTR-5693606':Nto._make([date(2019,  3, 20), '..fI...', '..', """DNA Double Strand Break Response"""]),
    'R-HSA-5693607':Nto._make([date(2003, 11,  3), '....PB.', '.C', """Processing of DNA double-strand break ends"""]),
    'R-BTA-5693607':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of DNA double-strand break ends"""]),
    'R-CEL-5693607':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of DNA double-strand break ends"""]),
    'R-CFA-5693607':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of DNA double-strand break ends"""]),
    'R-DDI-5693607':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of DNA double-strand break ends"""]),
    'R-DME-5693607':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of DNA double-strand break ends"""]),
    'R-DRE-5693607':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of DNA double-strand break ends"""]),
    'R-GGA-5693607':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of DNA double-strand break ends"""]),
    'R-MMU-5693607':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of DNA double-strand break ends"""]),
    'R-RNO-5693607':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of DNA double-strand break ends"""]),
    'R-SPO-5693607':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of DNA double-strand break ends"""]),
    'R-SSC-5693607':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of DNA double-strand break ends"""]),
    'R-XTR-5693607':Nto._make([date(2019,  3, 20), '...I...', '.C', """Processing of DNA double-strand break ends"""]),
    'R-HSA-5693616':Nto._make([date(2003, 11,  3), '....PB.', '.C', """Presynaptic phase of homologous DNA pairing and strand exchange"""]),
    'R-BTA-5693616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic phase of homologous DNA pairing and strand exchange"""]),
    'R-CEL-5693616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic phase of homologous DNA pairing and strand exchange"""]),
    'R-CFA-5693616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic phase of homologous DNA pairing and strand exchange"""]),
    'R-DDI-5693616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic phase of homologous DNA pairing and strand exchange"""]),
    'R-DME-5693616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic phase of homologous DNA pairing and strand exchange"""]),
    'R-DRE-5693616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic phase of homologous DNA pairing and strand exchange"""]),
    'R-GGA-5693616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic phase of homologous DNA pairing and strand exchange"""]),
    'R-MMU-5693616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic phase of homologous DNA pairing and strand exchange"""]),
    'R-RNO-5693616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic phase of homologous DNA pairing and strand exchange"""]),
    'R-SCE-5693616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic phase of homologous DNA pairing and strand exchange"""]),
    'R-SPO-5693616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic phase of homologous DNA pairing and strand exchange"""]),
    'R-SSC-5693616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic phase of homologous DNA pairing and strand exchange"""]),
    'R-XTR-5693616':Nto._make([date(2019,  3, 20), '...I...', '.C', """Presynaptic phase of homologous DNA pairing and strand exchange"""]),
    'R-HSA-5694530':Nto._make([date(2015,  9, 22), '..f.P..', '..', """Cargo concentration in the ER"""]),
    'R-BTA-5694530':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo concentration in the ER"""]),
    'R-CEL-5694530':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo concentration in the ER"""]),
    'R-CFA-5694530':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo concentration in the ER"""]),
    'R-DDI-5694530':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo concentration in the ER"""]),
    'R-DME-5694530':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo concentration in the ER"""]),
    'R-DRE-5694530':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo concentration in the ER"""]),
    'R-GGA-5694530':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo concentration in the ER"""]),
    'R-MMU-5694530':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo concentration in the ER"""]),
    'R-PFA-5694530':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo concentration in the ER"""]),
    'R-RNO-5694530':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo concentration in the ER"""]),
    'R-SCE-5694530':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo concentration in the ER"""]),
    'R-SPO-5694530':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo concentration in the ER"""]),
    'R-SSC-5694530':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo concentration in the ER"""]),
    'R-XTR-5694530':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo concentration in the ER"""]),
    'R-HSA-5696394':Nto._make([date(2004,  3,  6), '....P..', 'BC', """DNA Damage Recognition in GG-NER"""]),
    'R-BTA-5696394':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA Damage Recognition in GG-NER"""]),
    'R-CFA-5696394':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA Damage Recognition in GG-NER"""]),
    'R-DDI-5696394':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA Damage Recognition in GG-NER"""]),
    'R-DME-5696394':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA Damage Recognition in GG-NER"""]),
    'R-DRE-5696394':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA Damage Recognition in GG-NER"""]),
    'R-GGA-5696394':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA Damage Recognition in GG-NER"""]),
    'R-MMU-5696394':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA Damage Recognition in GG-NER"""]),
    'R-PFA-5696394':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA Damage Recognition in GG-NER"""]),
    'R-RNO-5696394':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA Damage Recognition in GG-NER"""]),
    'R-SSC-5696394':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA Damage Recognition in GG-NER"""]),
    'R-XTR-5696394':Nto._make([date(2019,  3, 20), '...I...', 'BC', """DNA Damage Recognition in GG-NER"""]),
    'R-HSA-5696395':Nto._make([date(2004,  3,  6), '....P..', '.C', """Formation of Incision Complex in GG-NER"""]),
    'R-BTA-5696395':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of Incision Complex in GG-NER"""]),
    'R-CEL-5696395':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of Incision Complex in GG-NER"""]),
    'R-CFA-5696395':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of Incision Complex in GG-NER"""]),
    'R-DDI-5696395':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of Incision Complex in GG-NER"""]),
    'R-DME-5696395':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of Incision Complex in GG-NER"""]),
    'R-DRE-5696395':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of Incision Complex in GG-NER"""]),
    'R-GGA-5696395':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of Incision Complex in GG-NER"""]),
    'R-MMU-5696395':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of Incision Complex in GG-NER"""]),
    'R-PFA-5696395':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of Incision Complex in GG-NER"""]),
    'R-RNO-5696395':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of Incision Complex in GG-NER"""]),
    'R-SCE-5696395':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of Incision Complex in GG-NER"""]),
    'R-SPO-5696395':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of Incision Complex in GG-NER"""]),
    'R-SSC-5696395':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of Incision Complex in GG-NER"""]),
    'R-XTR-5696395':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of Incision Complex in GG-NER"""]),
    'R-HSA-5696397':Nto._make([date(2004,  3,  6), '....P..', 'BC', """Gap-filling DNA repair synthesis and ligation in GG-NER"""]),
    'R-BTA-5696397':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gap-filling DNA repair synthesis and ligation in GG-NER"""]),
    'R-CEL-5696397':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gap-filling DNA repair synthesis and ligation in GG-NER"""]),
    'R-CFA-5696397':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gap-filling DNA repair synthesis and ligation in GG-NER"""]),
    'R-DDI-5696397':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gap-filling DNA repair synthesis and ligation in GG-NER"""]),
    'R-DME-5696397':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gap-filling DNA repair synthesis and ligation in GG-NER"""]),
    'R-DRE-5696397':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gap-filling DNA repair synthesis and ligation in GG-NER"""]),
    'R-GGA-5696397':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gap-filling DNA repair synthesis and ligation in GG-NER"""]),
    'R-MMU-5696397':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gap-filling DNA repair synthesis and ligation in GG-NER"""]),
    'R-PFA-5696397':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gap-filling DNA repair synthesis and ligation in GG-NER"""]),
    'R-RNO-5696397':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gap-filling DNA repair synthesis and ligation in GG-NER"""]),
    'R-SCE-5696397':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gap-filling DNA repair synthesis and ligation in GG-NER"""]),
    'R-SPO-5696397':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gap-filling DNA repair synthesis and ligation in GG-NER"""]),
    'R-SSC-5696397':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gap-filling DNA repair synthesis and ligation in GG-NER"""]),
    'R-XTR-5696397':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Gap-filling DNA repair synthesis and ligation in GG-NER"""]),
    'R-HSA-5696398':Nto._make([date(2004,  3,  6), '..f.P..', 'BC', """Nucleotide Excision Repair"""]),
    'R-BTA-5696398':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide Excision Repair"""]),
    'R-CEL-5696398':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide Excision Repair"""]),
    'R-CFA-5696398':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide Excision Repair"""]),
    'R-DDI-5696398':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide Excision Repair"""]),
    'R-DME-5696398':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide Excision Repair"""]),
    'R-DRE-5696398':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide Excision Repair"""]),
    'R-GGA-5696398':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide Excision Repair"""]),
    'R-MMU-5696398':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide Excision Repair"""]),
    'R-PFA-5696398':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide Excision Repair"""]),
    'R-RNO-5696398':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide Excision Repair"""]),
    'R-SCE-5696398':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide Excision Repair"""]),
    'R-SPO-5696398':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide Excision Repair"""]),
    'R-SSC-5696398':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide Excision Repair"""]),
    'R-XTR-5696398':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Nucleotide Excision Repair"""]),
    'R-HSA-5696399':Nto._make([date(2004,  3,  6), '....P..', 'BC', """Global Genome Nucleotide Excision Repair (GG-NER)"""]),
    'R-BTA-5696399':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Global Genome Nucleotide Excision Repair (GG-NER)"""]),
    'R-CEL-5696399':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Global Genome Nucleotide Excision Repair (GG-NER)"""]),
    'R-CFA-5696399':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Global Genome Nucleotide Excision Repair (GG-NER)"""]),
    'R-DDI-5696399':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Global Genome Nucleotide Excision Repair (GG-NER)"""]),
    'R-DME-5696399':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Global Genome Nucleotide Excision Repair (GG-NER)"""]),
    'R-DRE-5696399':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Global Genome Nucleotide Excision Repair (GG-NER)"""]),
    'R-GGA-5696399':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Global Genome Nucleotide Excision Repair (GG-NER)"""]),
    'R-MMU-5696399':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Global Genome Nucleotide Excision Repair (GG-NER)"""]),
    'R-PFA-5696399':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Global Genome Nucleotide Excision Repair (GG-NER)"""]),
    'R-RNO-5696399':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Global Genome Nucleotide Excision Repair (GG-NER)"""]),
    'R-SCE-5696399':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Global Genome Nucleotide Excision Repair (GG-NER)"""]),
    'R-SPO-5696399':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Global Genome Nucleotide Excision Repair (GG-NER)"""]),
    'R-SSC-5696399':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Global Genome Nucleotide Excision Repair (GG-NER)"""]),
    'R-XTR-5696399':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Global Genome Nucleotide Excision Repair (GG-NER)"""]),
    'R-HSA-5696400':Nto._make([date(2004,  3,  6), '....P..', 'BC', """Dual Incision in GG-NER"""]),
    'R-BTA-5696400':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Dual Incision in GG-NER"""]),
    'R-CEL-5696400':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Dual Incision in GG-NER"""]),
    'R-CFA-5696400':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Dual Incision in GG-NER"""]),
    'R-DME-5696400':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Dual Incision in GG-NER"""]),
    'R-DRE-5696400':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Dual Incision in GG-NER"""]),
    'R-GGA-5696400':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Dual Incision in GG-NER"""]),
    'R-MMU-5696400':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Dual Incision in GG-NER"""]),
    'R-RNO-5696400':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Dual Incision in GG-NER"""]),
    'R-SCE-5696400':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Dual Incision in GG-NER"""]),
    'R-SPO-5696400':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Dual Incision in GG-NER"""]),
    'R-SSC-5696400':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Dual Incision in GG-NER"""]),
    'R-XTR-5696400':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Dual Incision in GG-NER"""]),
    'R-HSA-6781823':Nto._make([date(2004,  3,  6), '....P..', '.C', """Formation of TC-NER Pre-Incision Complex"""]),
    'R-BTA-6781823':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of TC-NER Pre-Incision Complex"""]),
    'R-CEL-6781823':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of TC-NER Pre-Incision Complex"""]),
    'R-CFA-6781823':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of TC-NER Pre-Incision Complex"""]),
    'R-DDI-6781823':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of TC-NER Pre-Incision Complex"""]),
    'R-DME-6781823':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of TC-NER Pre-Incision Complex"""]),
    'R-DRE-6781823':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of TC-NER Pre-Incision Complex"""]),
    'R-GGA-6781823':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of TC-NER Pre-Incision Complex"""]),
    'R-MMU-6781823':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of TC-NER Pre-Incision Complex"""]),
    'R-PFA-6781823':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of TC-NER Pre-Incision Complex"""]),
    'R-RNO-6781823':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of TC-NER Pre-Incision Complex"""]),
    'R-SCE-6781823':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of TC-NER Pre-Incision Complex"""]),
    'R-SPO-6781823':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of TC-NER Pre-Incision Complex"""]),
    'R-SSC-6781823':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of TC-NER Pre-Incision Complex"""]),
    'R-XTR-6781823':Nto._make([date(2019,  3, 20), '...I...', '.C', """Formation of TC-NER Pre-Incision Complex"""]),
    'R-HSA-6781827':Nto._make([date(2004,  3,  6), '....P..', 'BC', """Transcription-Coupled Nucleotide Excision Repair (TC-NER)"""]),
    'R-BTA-6781827':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transcription-Coupled Nucleotide Excision Repair (TC-NER)"""]),
    'R-CEL-6781827':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transcription-Coupled Nucleotide Excision Repair (TC-NER)"""]),
    'R-CFA-6781827':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transcription-Coupled Nucleotide Excision Repair (TC-NER)"""]),
    'R-DDI-6781827':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transcription-Coupled Nucleotide Excision Repair (TC-NER)"""]),
    'R-DME-6781827':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transcription-Coupled Nucleotide Excision Repair (TC-NER)"""]),
    'R-DRE-6781827':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transcription-Coupled Nucleotide Excision Repair (TC-NER)"""]),
    'R-GGA-6781827':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transcription-Coupled Nucleotide Excision Repair (TC-NER)"""]),
    'R-MMU-6781827':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transcription-Coupled Nucleotide Excision Repair (TC-NER)"""]),
    'R-PFA-6781827':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transcription-Coupled Nucleotide Excision Repair (TC-NER)"""]),
    'R-RNO-6781827':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transcription-Coupled Nucleotide Excision Repair (TC-NER)"""]),
    'R-SCE-6781827':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transcription-Coupled Nucleotide Excision Repair (TC-NER)"""]),
    'R-SPO-6781827':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transcription-Coupled Nucleotide Excision Repair (TC-NER)"""]),
    'R-SSC-6781827':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transcription-Coupled Nucleotide Excision Repair (TC-NER)"""]),
    'R-XTR-6781827':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Transcription-Coupled Nucleotide Excision Repair (TC-NER)"""]),
    'R-HSA-6782135':Nto._make([date(2004,  3,  6), '....P..', '.C', """Dual incision in TC-NER"""]),
    'R-BTA-6782135':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dual incision in TC-NER"""]),
    'R-CEL-6782135':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dual incision in TC-NER"""]),
    'R-CFA-6782135':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dual incision in TC-NER"""]),
    'R-DDI-6782135':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dual incision in TC-NER"""]),
    'R-DME-6782135':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dual incision in TC-NER"""]),
    'R-DRE-6782135':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dual incision in TC-NER"""]),
    'R-GGA-6782135':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dual incision in TC-NER"""]),
    'R-MMU-6782135':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dual incision in TC-NER"""]),
    'R-PFA-6782135':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dual incision in TC-NER"""]),
    'R-RNO-6782135':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dual incision in TC-NER"""]),
    'R-SCE-6782135':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dual incision in TC-NER"""]),
    'R-SPO-6782135':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dual incision in TC-NER"""]),
    'R-SSC-6782135':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dual incision in TC-NER"""]),
    'R-XTR-6782135':Nto._make([date(2019,  3, 20), '...I...', '.C', """Dual incision in TC-NER"""]),
    'R-HSA-6782210':Nto._make([date(2004,  3,  6), '....P..', '.C', """Gap-filling DNA repair synthesis and ligation in TC-NER"""]),
    'R-BTA-6782210':Nto._make([date(2019,  3, 20), '...I...', '.C', """Gap-filling DNA repair synthesis and ligation in TC-NER"""]),
    'R-CEL-6782210':Nto._make([date(2019,  3, 20), '...I...', '.C', """Gap-filling DNA repair synthesis and ligation in TC-NER"""]),
    'R-CFA-6782210':Nto._make([date(2019,  3, 20), '...I...', '.C', """Gap-filling DNA repair synthesis and ligation in TC-NER"""]),
    'R-DDI-6782210':Nto._make([date(2019,  3, 20), '...I...', '.C', """Gap-filling DNA repair synthesis and ligation in TC-NER"""]),
    'R-DME-6782210':Nto._make([date(2019,  3, 20), '...I...', '.C', """Gap-filling DNA repair synthesis and ligation in TC-NER"""]),
    'R-DRE-6782210':Nto._make([date(2019,  3, 20), '...I...', '.C', """Gap-filling DNA repair synthesis and ligation in TC-NER"""]),
    'R-GGA-6782210':Nto._make([date(2019,  3, 20), '...I...', '.C', """Gap-filling DNA repair synthesis and ligation in TC-NER"""]),
    'R-MMU-6782210':Nto._make([date(2019,  3, 20), '...I...', '.C', """Gap-filling DNA repair synthesis and ligation in TC-NER"""]),
    'R-PFA-6782210':Nto._make([date(2019,  3, 20), '...I...', '.C', """Gap-filling DNA repair synthesis and ligation in TC-NER"""]),
    'R-RNO-6782210':Nto._make([date(2019,  3, 20), '...I...', '.C', """Gap-filling DNA repair synthesis and ligation in TC-NER"""]),
    'R-SCE-6782210':Nto._make([date(2019,  3, 20), '...I...', '.C', """Gap-filling DNA repair synthesis and ligation in TC-NER"""]),
    'R-SPO-6782210':Nto._make([date(2019,  3, 20), '...I...', '.C', """Gap-filling DNA repair synthesis and ligation in TC-NER"""]),
    'R-SSC-6782210':Nto._make([date(2019,  3, 20), '...I...', '.C', """Gap-filling DNA repair synthesis and ligation in TC-NER"""]),
    'R-XTR-6782210':Nto._make([date(2019,  3, 20), '...I...', '.C', """Gap-filling DNA repair synthesis and ligation in TC-NER"""]),
    'R-HSA-6782315':Nto._make([date(2015,  9, 22), '..f.P..', 'B.', """tRNA modification in the nucleus and cytosol"""]),
    'R-HSA-6782861':Nto._make([date(2015,  9, 22), '..f.P..', 'B.', """Synthesis of wybutosine at G37 of tRNA(Phe)"""]),
    'R-HSA-6783310':Nto._make([date(2009,  6, 24), '..f.P..', 'BC', """Fanconi Anemia Pathway"""]),
    'R-BTA-6783310':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fanconi Anemia Pathway"""]),
    'R-CEL-6783310':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fanconi Anemia Pathway"""]),
    'R-CFA-6783310':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fanconi Anemia Pathway"""]),
    'R-DDI-6783310':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fanconi Anemia Pathway"""]),
    'R-DME-6783310':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fanconi Anemia Pathway"""]),
    'R-DRE-6783310':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fanconi Anemia Pathway"""]),
    'R-GGA-6783310':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fanconi Anemia Pathway"""]),
    'R-MMU-6783310':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fanconi Anemia Pathway"""]),
    'R-RNO-6783310':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fanconi Anemia Pathway"""]),
    'R-SSC-6783310':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fanconi Anemia Pathway"""]),
    'R-XTR-6783310':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Fanconi Anemia Pathway"""]),
    'R-HSA-6783589':Nto._make([date(2015, 12, 15), '..f.P..', 'BC', """Interleukin-6 family signaling"""]),
    'R-BTA-6783589':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-6 family signaling"""]),
    'R-CEL-6783589':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-6 family signaling"""]),
    'R-CFA-6783589':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-6 family signaling"""]),
    'R-DDI-6783589':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-6 family signaling"""]),
    'R-DME-6783589':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-6 family signaling"""]),
    'R-DRE-6783589':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-6 family signaling"""]),
    'R-GGA-6783589':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-6 family signaling"""]),
    'R-MMU-6783589':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-6 family signaling"""]),
    'R-RNO-6783589':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-6 family signaling"""]),
    'R-SSC-6783589':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-6 family signaling"""]),
    'R-XTR-6783589':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Interleukin-6 family signaling"""]),
    'R-HSA-6783783':Nto._make([date(2016, 12, 12), '..f.P..', 'B.', """Interleukin-10 signaling"""]),
    'R-BTA-6783783':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-10 signaling"""]),
    'R-CEL-6783783':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-10 signaling"""]),
    'R-CFA-6783783':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-10 signaling"""]),
    'R-DDI-6783783':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-10 signaling"""]),
    'R-DME-6783783':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-10 signaling"""]),
    'R-DRE-6783783':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-10 signaling"""]),
    'R-GGA-6783783':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-10 signaling"""]),
    'R-MMU-6783783':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-10 signaling"""]),
    'R-RNO-6783783':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-10 signaling"""]),
    'R-SSC-6783783':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-10 signaling"""]),
    'R-XTR-6783783':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-10 signaling"""]),
    'R-HSA-6783984':Nto._make([date(2015,  9, 22), '....P..', '..', """Glycine degradation"""]),
    'R-BTA-6783984':Nto._make([date(2019,  3, 20), '...I...', '..', """Glycine degradation"""]),
    'R-CEL-6783984':Nto._make([date(2019,  3, 20), '...I...', '..', """Glycine degradation"""]),
    'R-CFA-6783984':Nto._make([date(2019,  3, 20), '...I...', '..', """Glycine degradation"""]),
    'R-DDI-6783984':Nto._make([date(2019,  3, 20), '...I...', '..', """Glycine degradation"""]),
    'R-DME-6783984':Nto._make([date(2019,  3, 20), '...I...', '..', """Glycine degradation"""]),
    'R-DRE-6783984':Nto._make([date(2019,  3, 20), '...I...', '..', """Glycine degradation"""]),
    'R-GGA-6783984':Nto._make([date(2019,  3, 20), '...I...', '..', """Glycine degradation"""]),
    'R-MMU-6783984':Nto._make([date(2019,  3, 20), '...I...', '..', """Glycine degradation"""]),
    'R-PFA-6783984':Nto._make([date(2019,  3, 20), '...I...', '..', """Glycine degradation"""]),
    'R-RNO-6783984':Nto._make([date(2019,  3, 20), '...I...', '..', """Glycine degradation"""]),
    'R-SCE-6783984':Nto._make([date(2019,  3, 20), '...I...', '..', """Glycine degradation"""]),
    'R-SPO-6783984':Nto._make([date(2019,  3, 20), '...I...', '..', """Glycine degradation"""]),
    'R-SSC-6783984':Nto._make([date(2019,  3, 20), '...I...', '..', """Glycine degradation"""]),
    'R-XTR-6783984':Nto._make([date(2019,  3, 20), '...I...', '..', """Glycine degradation"""]),
    'R-HSA-6784531':Nto._make([date(2015,  9, 22), '..f.P..', 'B.', """tRNA processing in the nucleus"""]),
    'R-HSA-6785470':Nto._make([date(2015, 12, 15), '..f.P..', 'B.', """tRNA processing in the mitochondrion"""]),
    'R-HSA-6785631':Nto._make([date(2016,  3, 23), '....P..', 'B.', """ERBB2 Regulates Cell Motility"""]),
    'R-BTA-6785631':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ERBB2 Regulates Cell Motility"""]),
    'R-CEL-6785631':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ERBB2 Regulates Cell Motility"""]),
    'R-CFA-6785631':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ERBB2 Regulates Cell Motility"""]),
    'R-DME-6785631':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ERBB2 Regulates Cell Motility"""]),
    'R-DRE-6785631':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ERBB2 Regulates Cell Motility"""]),
    'R-GGA-6785631':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ERBB2 Regulates Cell Motility"""]),
    'R-MMU-6785631':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ERBB2 Regulates Cell Motility"""]),
    'R-RNO-6785631':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ERBB2 Regulates Cell Motility"""]),
    'R-SSC-6785631':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ERBB2 Regulates Cell Motility"""]),
    'R-XTR-6785631':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ERBB2 Regulates Cell Motility"""]),
    'R-HSA-6785807':Nto._make([date(2016, 12, 12), '..f.P..', 'B.', """Interleukin-4 and Interleukin-13 signaling"""]),
    'R-BTA-6785807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-4 and Interleukin-13 signaling"""]),
    'R-CEL-6785807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-4 and Interleukin-13 signaling"""]),
    'R-CFA-6785807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-4 and Interleukin-13 signaling"""]),
    'R-DDI-6785807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-4 and Interleukin-13 signaling"""]),
    'R-DME-6785807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-4 and Interleukin-13 signaling"""]),
    'R-DRE-6785807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-4 and Interleukin-13 signaling"""]),
    'R-GGA-6785807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-4 and Interleukin-13 signaling"""]),
    'R-MMU-6785807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-4 and Interleukin-13 signaling"""]),
    'R-PFA-6785807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-4 and Interleukin-13 signaling"""]),
    'R-RNO-6785807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-4 and Interleukin-13 signaling"""]),
    'R-SSC-6785807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-4 and Interleukin-13 signaling"""]),
    'R-XTR-6785807':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-4 and Interleukin-13 signaling"""]),
    'R-HSA-6787450':Nto._make([date(2015, 12, 15), '..f.P..', 'B.', """tRNA modification in the mitochondrion"""]),
    'R-HSA-6787639':Nto._make([date(2015, 12, 15), '....P..', '..', """GDP-fucose biosynthesis"""]),
    'R-BTA-6787639':Nto._make([date(2019,  3, 20), '...I...', '..', """GDP-fucose biosynthesis"""]),
    'R-CEL-6787639':Nto._make([date(2019,  3, 20), '...I...', '..', """GDP-fucose biosynthesis"""]),
    'R-CFA-6787639':Nto._make([date(2019,  3, 20), '...I...', '..', """GDP-fucose biosynthesis"""]),
    'R-DDI-6787639':Nto._make([date(2019,  3, 20), '...I...', '..', """GDP-fucose biosynthesis"""]),
    'R-DME-6787639':Nto._make([date(2019,  3, 20), '...I...', '..', """GDP-fucose biosynthesis"""]),
    'R-DRE-6787639':Nto._make([date(2019,  3, 20), '...I...', '..', """GDP-fucose biosynthesis"""]),
    'R-GGA-6787639':Nto._make([date(2019,  3, 20), '...I...', '..', """GDP-fucose biosynthesis"""]),
    'R-MMU-6787639':Nto._make([date(2019,  3, 20), '...I...', '..', """GDP-fucose biosynthesis"""]),
    'R-PFA-6787639':Nto._make([date(2019,  3, 20), '...I...', '..', """GDP-fucose biosynthesis"""]),
    'R-RNO-6787639':Nto._make([date(2019,  3, 20), '...I...', '..', """GDP-fucose biosynthesis"""]),
    'R-SSC-6787639':Nto._make([date(2019,  3, 20), '...I...', '..', """GDP-fucose biosynthesis"""]),
    'R-XTR-6787639':Nto._make([date(2019,  3, 20), '...I...', '..', """GDP-fucose biosynthesis"""]),
    'R-HSA-6788467':Nto._make([date(2015, 12, 15), '....P..', '..', """IL-6-type cytokine receptor ligand interactions"""]),
    'R-BTA-6788467':Nto._make([date(2019,  3, 20), '...I...', '..', """IL-6-type cytokine receptor ligand interactions"""]),
    'R-CFA-6788467':Nto._make([date(2019,  3, 20), '...I...', '..', """IL-6-type cytokine receptor ligand interactions"""]),
    'R-DRE-6788467':Nto._make([date(2019,  3, 20), '...I...', '..', """IL-6-type cytokine receptor ligand interactions"""]),
    'R-GGA-6788467':Nto._make([date(2019,  3, 20), '...I...', '..', """IL-6-type cytokine receptor ligand interactions"""]),
    'R-MMU-6788467':Nto._make([date(2019,  3, 20), '...I...', '..', """IL-6-type cytokine receptor ligand interactions"""]),
    'R-RNO-6788467':Nto._make([date(2019,  3, 20), '...I...', '..', """IL-6-type cytokine receptor ligand interactions"""]),
    'R-SSC-6788467':Nto._make([date(2019,  3, 20), '...I...', '..', """IL-6-type cytokine receptor ligand interactions"""]),
    'R-XTR-6788467':Nto._make([date(2019,  3, 20), '...I...', '..', """IL-6-type cytokine receptor ligand interactions"""]),
    'R-HSA-6788656':Nto._make([date(2015,  9, 22), '..f..B.', '..', """Histidine, lysine, phenylalanine, tyrosine, proline and tryptophan catabolism"""]),
    'R-BTA-6788656':Nto._make([date(2019,  3, 20), '..fI...', '..', """Histidine, lysine, phenylalanine, tyrosine, proline and tryptophan catabolism"""]),
    'R-CEL-6788656':Nto._make([date(2019,  3, 20), '..fI...', '..', """Histidine, lysine, phenylalanine, tyrosine, proline and tryptophan catabolism"""]),
    'R-CFA-6788656':Nto._make([date(2019,  3, 20), '..fI...', '..', """Histidine, lysine, phenylalanine, tyrosine, proline and tryptophan catabolism"""]),
    'R-DDI-6788656':Nto._make([date(2019,  3, 20), '..fI...', '..', """Histidine, lysine, phenylalanine, tyrosine, proline and tryptophan catabolism"""]),
    'R-DME-6788656':Nto._make([date(2019,  3, 20), '..fI...', '..', """Histidine, lysine, phenylalanine, tyrosine, proline and tryptophan catabolism"""]),
    'R-DRE-6788656':Nto._make([date(2019,  3, 20), '..fI...', '..', """Histidine, lysine, phenylalanine, tyrosine, proline and tryptophan catabolism"""]),
    'R-GGA-6788656':Nto._make([date(2019,  3, 20), '..fI...', '..', """Histidine, lysine, phenylalanine, tyrosine, proline and tryptophan catabolism"""]),
    'R-MMU-6788656':Nto._make([date(2019,  3, 20), '..fI...', '..', """Histidine, lysine, phenylalanine, tyrosine, proline and tryptophan catabolism"""]),
    'R-PFA-6788656':Nto._make([date(2019,  3, 20), '..fI...', '..', """Histidine, lysine, phenylalanine, tyrosine, proline and tryptophan catabolism"""]),
    'R-RNO-6788656':Nto._make([date(2019,  3, 20), '..fI...', '..', """Histidine, lysine, phenylalanine, tyrosine, proline and tryptophan catabolism"""]),
    'R-SCE-6788656':Nto._make([date(2019,  3, 20), '..fI...', '..', """Histidine, lysine, phenylalanine, tyrosine, proline and tryptophan catabolism"""]),
    'R-SPO-6788656':Nto._make([date(2019,  3, 20), '..fI...', '..', """Histidine, lysine, phenylalanine, tyrosine, proline and tryptophan catabolism"""]),
    'R-SSC-6788656':Nto._make([date(2019,  3, 20), '..fI...', '..', """Histidine, lysine, phenylalanine, tyrosine, proline and tryptophan catabolism"""]),
    'R-XTR-6788656':Nto._make([date(2019,  3, 20), '..fI...', '..', """Histidine, lysine, phenylalanine, tyrosine, proline and tryptophan catabolism"""]),
    'R-HSA-6790901':Nto._make([date(2016,  3, 23), '..f.P..', 'B.', """rRNA modification in the nucleus and cytosol"""]),
    'R-HSA-6791055':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """TALDO1 deficiency: failed conversion of SH7P, GA3P to Fru(6)P, E4P"""]),
    'R-HSA-6791226':Nto._make([date(2016,  3, 23), '..f.P..', 'B.', """Major pathway of rRNA processing in the nucleolus and cytosol"""]),
    'R-BTA-6791226':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Major pathway of rRNA processing in the nucleolus and cytosol"""]),
    'R-CEL-6791226':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Major pathway of rRNA processing in the nucleolus and cytosol"""]),
    'R-CFA-6791226':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Major pathway of rRNA processing in the nucleolus and cytosol"""]),
    'R-DDI-6791226':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Major pathway of rRNA processing in the nucleolus and cytosol"""]),
    'R-DME-6791226':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Major pathway of rRNA processing in the nucleolus and cytosol"""]),
    'R-DRE-6791226':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Major pathway of rRNA processing in the nucleolus and cytosol"""]),
    'R-GGA-6791226':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Major pathway of rRNA processing in the nucleolus and cytosol"""]),
    'R-MMU-6791226':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Major pathway of rRNA processing in the nucleolus and cytosol"""]),
    'R-RNO-6791226':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Major pathway of rRNA processing in the nucleolus and cytosol"""]),
    'R-SCE-6791226':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Major pathway of rRNA processing in the nucleolus and cytosol"""]),
    'R-SPO-6791226':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Major pathway of rRNA processing in the nucleolus and cytosol"""]),
    'R-SSC-6791226':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Major pathway of rRNA processing in the nucleolus and cytosol"""]),
    'R-XTR-6791226':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Major pathway of rRNA processing in the nucleolus and cytosol"""]),
    'R-HSA-6791312':Nto._make([date(2016,  3, 23), '..f.P..', 'B.', """TP53 Regulates Transcription of Cell Cycle Genes"""]),
    'R-BTA-6791312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Cycle Genes"""]),
    'R-CEL-6791312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Cycle Genes"""]),
    'R-CFA-6791312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Cycle Genes"""]),
    'R-DDI-6791312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Cycle Genes"""]),
    'R-DME-6791312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Cycle Genes"""]),
    'R-DRE-6791312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Cycle Genes"""]),
    'R-GGA-6791312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Cycle Genes"""]),
    'R-MMU-6791312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Cycle Genes"""]),
    'R-PFA-6791312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Cycle Genes"""]),
    'R-RNO-6791312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Cycle Genes"""]),
    'R-SCE-6791312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Cycle Genes"""]),
    'R-SPO-6791312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Cycle Genes"""]),
    'R-SSC-6791312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Cycle Genes"""]),
    'R-XTR-6791312':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """TP53 Regulates Transcription of Cell Cycle Genes"""]),
    'R-HSA-6791461':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """RPIA deficiency: failed conversion of RU5P to R5P"""]),
    'R-HSA-6791462':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """TALDO1 deficiency: failed conversion of  Fru(6)P, E4P to SH7P, GA3P"""]),
    'R-HSA-6791465':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Pentose phosphate pathway disease"""]),
    'R-HSA-6793080':Nto._make([date(2016,  6, 15), '..f.P..', 'B.', """rRNA modification in the mitochondrion"""]),
    'R-HSA-6794361':Nto._make([date(2016,  6, 15), '..f.P..', '..', """Neurexins and neuroligins"""]),
    'R-BTA-6794361':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurexins and neuroligins"""]),
    'R-CEL-6794361':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurexins and neuroligins"""]),
    'R-CFA-6794361':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurexins and neuroligins"""]),
    'R-DME-6794361':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurexins and neuroligins"""]),
    'R-DRE-6794361':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurexins and neuroligins"""]),
    'R-GGA-6794361':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurexins and neuroligins"""]),
    'R-MMU-6794361':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurexins and neuroligins"""]),
    'R-RNO-6794361':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurexins and neuroligins"""]),
    'R-SSC-6794361':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurexins and neuroligins"""]),
    'R-XTR-6794361':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neurexins and neuroligins"""]),
    'R-HSA-6794362':Nto._make([date(2016,  6, 15), '..F.P..', '.C', """Protein-protein interactions at synapses"""]),
    'R-BTA-6794362':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Protein-protein interactions at synapses"""]),
    'R-CEL-6794362':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Protein-protein interactions at synapses"""]),
    'R-CFA-6794362':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Protein-protein interactions at synapses"""]),
    'R-DME-6794362':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Protein-protein interactions at synapses"""]),
    'R-DRE-6794362':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Protein-protein interactions at synapses"""]),
    'R-GGA-6794362':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Protein-protein interactions at synapses"""]),
    'R-MMU-6794362':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Protein-protein interactions at synapses"""]),
    'R-RNO-6794362':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Protein-protein interactions at synapses"""]),
    'R-SSC-6794362':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Protein-protein interactions at synapses"""]),
    'R-XTR-6794362':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Protein-protein interactions at synapses"""]),
    'R-HSA-6796648':Nto._make([date(2016,  3, 23), '..f.P..', '..', """TP53 Regulates Transcription of DNA Repair Genes"""]),
    'R-BTA-6796648':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Transcription of DNA Repair Genes"""]),
    'R-CEL-6796648':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Transcription of DNA Repair Genes"""]),
    'R-CFA-6796648':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Transcription of DNA Repair Genes"""]),
    'R-DDI-6796648':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Transcription of DNA Repair Genes"""]),
    'R-DME-6796648':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Transcription of DNA Repair Genes"""]),
    'R-DRE-6796648':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Transcription of DNA Repair Genes"""]),
    'R-GGA-6796648':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Transcription of DNA Repair Genes"""]),
    'R-MMU-6796648':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Transcription of DNA Repair Genes"""]),
    'R-RNO-6796648':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Transcription of DNA Repair Genes"""]),
    'R-SCE-6796648':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Transcription of DNA Repair Genes"""]),
    'R-SPO-6796648':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Transcription of DNA Repair Genes"""]),
    'R-SSC-6796648':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Transcription of DNA Repair Genes"""]),
    'R-XTR-6796648':Nto._make([date(2019,  3, 20), '..fI...', '..', """TP53 Regulates Transcription of DNA Repair Genes"""]),
    'R-HSA-6798163':Nto._make([date(2016,  3, 23), '..f.P..', 'B.', """Choline catabolism"""]),
    'R-BTA-6798163':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Choline catabolism"""]),
    'R-CEL-6798163':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Choline catabolism"""]),
    'R-CFA-6798163':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Choline catabolism"""]),
    'R-DDI-6798163':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Choline catabolism"""]),
    'R-DME-6798163':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Choline catabolism"""]),
    'R-DRE-6798163':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Choline catabolism"""]),
    'R-GGA-6798163':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Choline catabolism"""]),
    'R-MMU-6798163':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Choline catabolism"""]),
    'R-PFA-6798163':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Choline catabolism"""]),
    'R-RNO-6798163':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Choline catabolism"""]),
    'R-SPO-6798163':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Choline catabolism"""]),
    'R-SSC-6798163':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Choline catabolism"""]),
    'R-XTR-6798163':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Choline catabolism"""]),
    'R-HSA-6798695':Nto._make([date(2016,  9, 19), '..f.P..', 'B.', """Neutrophil degranulation"""]),
    'R-BTA-6798695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neutrophil degranulation"""]),
    'R-CEL-6798695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neutrophil degranulation"""]),
    'R-CFA-6798695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neutrophil degranulation"""]),
    'R-DDI-6798695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neutrophil degranulation"""]),
    'R-DME-6798695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neutrophil degranulation"""]),
    'R-DRE-6798695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neutrophil degranulation"""]),
    'R-GGA-6798695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neutrophil degranulation"""]),
    'R-MMU-6798695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neutrophil degranulation"""]),
    'R-PFA-6798695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neutrophil degranulation"""]),
    'R-RNO-6798695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neutrophil degranulation"""]),
    'R-SCE-6798695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neutrophil degranulation"""]),
    'R-SPO-6798695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neutrophil degranulation"""]),
    'R-SSC-6798695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neutrophil degranulation"""]),
    'R-XTR-6798695':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Neutrophil degranulation"""]),
    'R-HSA-6799198':Nto._make([date(2015, 12, 15), '....P..', 'B.', """Complex I biogenesis"""]),
    'R-BTA-6799198':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Complex I biogenesis"""]),
    'R-CEL-6799198':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Complex I biogenesis"""]),
    'R-CFA-6799198':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Complex I biogenesis"""]),
    'R-DDI-6799198':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Complex I biogenesis"""]),
    'R-DME-6799198':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Complex I biogenesis"""]),
    'R-DRE-6799198':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Complex I biogenesis"""]),
    'R-GGA-6799198':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Complex I biogenesis"""]),
    'R-MMU-6799198':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Complex I biogenesis"""]),
    'R-RNO-6799198':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Complex I biogenesis"""]),
    'R-SSC-6799198':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Complex I biogenesis"""]),
    'R-XTR-6799198':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Complex I biogenesis"""]),
    'R-HSA-6799990':Nto._make([date(2016,  9, 19), '....P..', '..', """Metal sequestration by antimicrobial proteins"""]),
    'R-BTA-6799990':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal sequestration by antimicrobial proteins"""]),
    'R-CFA-6799990':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal sequestration by antimicrobial proteins"""]),
    'R-DME-6799990':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal sequestration by antimicrobial proteins"""]),
    'R-DRE-6799990':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal sequestration by antimicrobial proteins"""]),
    'R-GGA-6799990':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal sequestration by antimicrobial proteins"""]),
    'R-MMU-6799990':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal sequestration by antimicrobial proteins"""]),
    'R-RNO-6799990':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal sequestration by antimicrobial proteins"""]),
    'R-SSC-6799990':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal sequestration by antimicrobial proteins"""]),
    'R-XTR-6799990':Nto._make([date(2019,  3, 20), '...I...', '..', """Metal sequestration by antimicrobial proteins"""]),
    'R-HSA-6802946':Nto._make([date(2016,  9, 19), '.Df.P..', '..', """Signaling by moderate kinase activity BRAF mutants"""]),
    'R-HSA-6802948':Nto._make([date(2016,  9, 19), '.Df.P..', '..', """Signaling by high-kinase activity BRAF mutants"""]),
    'R-HSA-6802949':Nto._make([date(2016,  9, 19), '.Df.P..', '..', """Signaling by RAS mutants"""]),
    'R-HSA-6802952':Nto._make([date(2016,  9, 19), '.Df.P..', '..', """Signaling by BRAF and RAF fusions"""]),
    'R-HSA-6802953':Nto._make([date(2016,  9, 19), '.Df.P..', '..', """RAS signaling downstream of NF1 loss-of-function variants"""]),
    'R-HSA-6802955':Nto._make([date(2016,  9, 19), '.Df.P..', '..', """Paradoxical activation of RAF signaling by kinase inactive BRAF"""]),
    'R-HSA-6802957':Nto._make([date(2016,  9, 19), '.Df.P..', '..', """Oncogenic MAPK signaling"""]),
    'R-HSA-6803157':Nto._make([date(2016,  9, 19), '..f.P..', 'B.', """Antimicrobial peptides"""]),
    'R-BTA-6803157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Antimicrobial peptides"""]),
    'R-CEL-6803157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Antimicrobial peptides"""]),
    'R-CFA-6803157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Antimicrobial peptides"""]),
    'R-DDI-6803157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Antimicrobial peptides"""]),
    'R-DME-6803157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Antimicrobial peptides"""]),
    'R-DRE-6803157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Antimicrobial peptides"""]),
    'R-GGA-6803157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Antimicrobial peptides"""]),
    'R-MMU-6803157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Antimicrobial peptides"""]),
    'R-PFA-6803157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Antimicrobial peptides"""]),
    'R-RNO-6803157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Antimicrobial peptides"""]),
    'R-SSC-6803157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Antimicrobial peptides"""]),
    'R-XTR-6803157':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Antimicrobial peptides"""]),
    'R-HSA-6803204':Nto._make([date(2016,  3, 23), '....P..', '..', """TP53 Regulates Transcription of Genes Involved in Cytochrome C Release"""]),
    'R-BTA-6803204':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in Cytochrome C Release"""]),
    'R-CEL-6803204':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in Cytochrome C Release"""]),
    'R-CFA-6803204':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in Cytochrome C Release"""]),
    'R-DDI-6803204':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in Cytochrome C Release"""]),
    'R-DME-6803204':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in Cytochrome C Release"""]),
    'R-DRE-6803204':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in Cytochrome C Release"""]),
    'R-GGA-6803204':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in Cytochrome C Release"""]),
    'R-MMU-6803204':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in Cytochrome C Release"""]),
    'R-PFA-6803204':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in Cytochrome C Release"""]),
    'R-RNO-6803204':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in Cytochrome C Release"""]),
    'R-SCE-6803204':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in Cytochrome C Release"""]),
    'R-SPO-6803204':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in Cytochrome C Release"""]),
    'R-SSC-6803204':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in Cytochrome C Release"""]),
    'R-XTR-6803204':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in Cytochrome C Release"""]),
    'R-HSA-6803205':Nto._make([date(2016,  3, 23), '....P..', '..', """TP53 regulates transcription of several additional cell death genes whose specific roles in p53-dependent apoptosis remain uncertain"""]),
    'R-BTA-6803205':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of several additional cell death genes whose specific roles in p53-dependent apoptosis remain uncertain"""]),
    'R-CEL-6803205':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of several additional cell death genes whose specific roles in p53-dependent apoptosis remain uncertain"""]),
    'R-CFA-6803205':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of several additional cell death genes whose specific roles in p53-dependent apoptosis remain uncertain"""]),
    'R-DDI-6803205':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of several additional cell death genes whose specific roles in p53-dependent apoptosis remain uncertain"""]),
    'R-DME-6803205':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of several additional cell death genes whose specific roles in p53-dependent apoptosis remain uncertain"""]),
    'R-DRE-6803205':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of several additional cell death genes whose specific roles in p53-dependent apoptosis remain uncertain"""]),
    'R-GGA-6803205':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of several additional cell death genes whose specific roles in p53-dependent apoptosis remain uncertain"""]),
    'R-MMU-6803205':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of several additional cell death genes whose specific roles in p53-dependent apoptosis remain uncertain"""]),
    'R-PFA-6803205':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of several additional cell death genes whose specific roles in p53-dependent apoptosis remain uncertain"""]),
    'R-RNO-6803205':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of several additional cell death genes whose specific roles in p53-dependent apoptosis remain uncertain"""]),
    'R-SCE-6803205':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of several additional cell death genes whose specific roles in p53-dependent apoptosis remain uncertain"""]),
    'R-SPO-6803205':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of several additional cell death genes whose specific roles in p53-dependent apoptosis remain uncertain"""]),
    'R-SSC-6803205':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of several additional cell death genes whose specific roles in p53-dependent apoptosis remain uncertain"""]),
    'R-XTR-6803205':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of several additional cell death genes whose specific roles in p53-dependent apoptosis remain uncertain"""]),
    'R-HSA-6803207':Nto._make([date(2016,  3, 23), '....P..', '..', """TP53 Regulates Transcription of Caspase Activators and Caspases"""]),
    'R-BTA-6803207':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Caspase Activators and Caspases"""]),
    'R-CFA-6803207':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Caspase Activators and Caspases"""]),
    'R-DRE-6803207':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Caspase Activators and Caspases"""]),
    'R-GGA-6803207':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Caspase Activators and Caspases"""]),
    'R-MMU-6803207':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Caspase Activators and Caspases"""]),
    'R-RNO-6803207':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Caspase Activators and Caspases"""]),
    'R-SSC-6803207':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Caspase Activators and Caspases"""]),
    'R-XTR-6803207':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Caspase Activators and Caspases"""]),
    'R-HSA-6803211':Nto._make([date(2016,  3, 23), '....P..', '..', """TP53 Regulates Transcription of Death Receptors and Ligands"""]),
    'R-BTA-6803211':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Death Receptors and Ligands"""]),
    'R-CFA-6803211':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Death Receptors and Ligands"""]),
    'R-DRE-6803211':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Death Receptors and Ligands"""]),
    'R-MMU-6803211':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Death Receptors and Ligands"""]),
    'R-HSA-6803529':Nto._make([date(2016,  3, 23), '....P..', '.C', """FGFR2 alternative splicing"""]),
    'R-BTA-6803529':Nto._make([date(2019,  3, 20), '...I...', '.C', """FGFR2 alternative splicing"""]),
    'R-CEL-6803529':Nto._make([date(2019,  3, 20), '...I...', '.C', """FGFR2 alternative splicing"""]),
    'R-CFA-6803529':Nto._make([date(2019,  3, 20), '...I...', '.C', """FGFR2 alternative splicing"""]),
    'R-DDI-6803529':Nto._make([date(2019,  3, 20), '...I...', '.C', """FGFR2 alternative splicing"""]),
    'R-DME-6803529':Nto._make([date(2019,  3, 20), '...I...', '.C', """FGFR2 alternative splicing"""]),
    'R-GGA-6803529':Nto._make([date(2019,  3, 20), '...I...', '.C', """FGFR2 alternative splicing"""]),
    'R-MMU-6803529':Nto._make([date(2019,  3, 20), '...I...', '.C', """FGFR2 alternative splicing"""]),
    'R-RNO-6803529':Nto._make([date(2019,  3, 20), '...I...', '.C', """FGFR2 alternative splicing"""]),
    'R-SSC-6803529':Nto._make([date(2019,  3, 20), '...I...', '.C', """FGFR2 alternative splicing"""]),
    'R-XTR-6803529':Nto._make([date(2019,  3, 20), '...I...', '.C', """FGFR2 alternative splicing"""]),
    'R-HSA-6803544':Nto._make([date(2016,  9, 19), '....P..', '..', """Ion influx/efflux at host-pathogen interface"""]),
    'R-BTA-6803544':Nto._make([date(2019,  3, 20), '...I...', '..', """Ion influx/efflux at host-pathogen interface"""]),
    'R-CEL-6803544':Nto._make([date(2019,  3, 20), '...I...', '..', """Ion influx/efflux at host-pathogen interface"""]),
    'R-CFA-6803544':Nto._make([date(2019,  3, 20), '...I...', '..', """Ion influx/efflux at host-pathogen interface"""]),
    'R-DDI-6803544':Nto._make([date(2019,  3, 20), '...I...', '..', """Ion influx/efflux at host-pathogen interface"""]),
    'R-DME-6803544':Nto._make([date(2019,  3, 20), '...I...', '..', """Ion influx/efflux at host-pathogen interface"""]),
    'R-DRE-6803544':Nto._make([date(2019,  3, 20), '...I...', '..', """Ion influx/efflux at host-pathogen interface"""]),
    'R-GGA-6803544':Nto._make([date(2019,  3, 20), '...I...', '..', """Ion influx/efflux at host-pathogen interface"""]),
    'R-MMU-6803544':Nto._make([date(2019,  3, 20), '...I...', '..', """Ion influx/efflux at host-pathogen interface"""]),
    'R-PFA-6803544':Nto._make([date(2019,  3, 20), '...I...', '..', """Ion influx/efflux at host-pathogen interface"""]),
    'R-RNO-6803544':Nto._make([date(2019,  3, 20), '...I...', '..', """Ion influx/efflux at host-pathogen interface"""]),
    'R-SSC-6803544':Nto._make([date(2019,  3, 20), '...I...', '..', """Ion influx/efflux at host-pathogen interface"""]),
    'R-XTR-6803544':Nto._make([date(2019,  3, 20), '...I...', '..', """Ion influx/efflux at host-pathogen interface"""]),
    'R-HSA-6804114':Nto._make([date(2016,  3, 23), '....P..', '..', """TP53 Regulates Transcription of Genes Involved in G2 Cell Cycle Arrest"""]),
    'R-BTA-6804114':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G2 Cell Cycle Arrest"""]),
    'R-CEL-6804114':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G2 Cell Cycle Arrest"""]),
    'R-CFA-6804114':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G2 Cell Cycle Arrest"""]),
    'R-DDI-6804114':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G2 Cell Cycle Arrest"""]),
    'R-DME-6804114':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G2 Cell Cycle Arrest"""]),
    'R-DRE-6804114':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G2 Cell Cycle Arrest"""]),
    'R-GGA-6804114':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G2 Cell Cycle Arrest"""]),
    'R-MMU-6804114':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G2 Cell Cycle Arrest"""]),
    'R-PFA-6804114':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G2 Cell Cycle Arrest"""]),
    'R-RNO-6804114':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G2 Cell Cycle Arrest"""]),
    'R-SCE-6804114':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G2 Cell Cycle Arrest"""]),
    'R-SPO-6804114':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G2 Cell Cycle Arrest"""]),
    'R-SSC-6804114':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G2 Cell Cycle Arrest"""]),
    'R-XTR-6804114':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G2 Cell Cycle Arrest"""]),
    'R-HSA-6804115':Nto._make([date(2016,  3, 23), '....P..', '..', """TP53 regulates transcription of additional cell cycle genes whose exact role in the p53 pathway remain uncertain"""]),
    'R-BTA-6804115':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of additional cell cycle genes whose exact role in the p53 pathway remain uncertain"""]),
    'R-CFA-6804115':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of additional cell cycle genes whose exact role in the p53 pathway remain uncertain"""]),
    'R-DDI-6804115':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of additional cell cycle genes whose exact role in the p53 pathway remain uncertain"""]),
    'R-DRE-6804115':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of additional cell cycle genes whose exact role in the p53 pathway remain uncertain"""]),
    'R-GGA-6804115':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of additional cell cycle genes whose exact role in the p53 pathway remain uncertain"""]),
    'R-MMU-6804115':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of additional cell cycle genes whose exact role in the p53 pathway remain uncertain"""]),
    'R-RNO-6804115':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of additional cell cycle genes whose exact role in the p53 pathway remain uncertain"""]),
    'R-SCE-6804115':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of additional cell cycle genes whose exact role in the p53 pathway remain uncertain"""]),
    'R-SPO-6804115':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of additional cell cycle genes whose exact role in the p53 pathway remain uncertain"""]),
    'R-SSC-6804115':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of additional cell cycle genes whose exact role in the p53 pathway remain uncertain"""]),
    'R-XTR-6804115':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 regulates transcription of additional cell cycle genes whose exact role in the p53 pathway remain uncertain"""]),
    'R-HSA-6804116':Nto._make([date(2016,  3, 23), '....P..', '..', """TP53 Regulates Transcription of Genes Involved in G1 Cell Cycle Arrest"""]),
    'R-BTA-6804116':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G1 Cell Cycle Arrest"""]),
    'R-CEL-6804116':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G1 Cell Cycle Arrest"""]),
    'R-CFA-6804116':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G1 Cell Cycle Arrest"""]),
    'R-DRE-6804116':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G1 Cell Cycle Arrest"""]),
    'R-GGA-6804116':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G1 Cell Cycle Arrest"""]),
    'R-MMU-6804116':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G1 Cell Cycle Arrest"""]),
    'R-RNO-6804116':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G1 Cell Cycle Arrest"""]),
    'R-SSC-6804116':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G1 Cell Cycle Arrest"""]),
    'R-XTR-6804116':Nto._make([date(2019,  3, 20), '...I...', '..', """TP53 Regulates Transcription of Genes Involved in G1 Cell Cycle Arrest"""]),
    'R-HSA-6804754':Nto._make([date(2016,  3, 23), '....P..', '..', """Regulation of TP53 Expression"""]),
    'R-BTA-6804754':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of TP53 Expression"""]),
    'R-DME-6804754':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of TP53 Expression"""]),
    'R-MMU-6804754':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of TP53 Expression"""]),
    'R-RNO-6804754':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of TP53 Expression"""]),
    'R-SSC-6804754':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of TP53 Expression"""]),
    'R-XTR-6804754':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of TP53 Expression"""]),
    'R-HSA-6804756':Nto._make([date(2016,  3, 23), '..f.P..', '..', """Regulation of TP53 Activity through Phosphorylation"""]),
    'R-BTA-6804756':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Phosphorylation"""]),
    'R-CEL-6804756':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Phosphorylation"""]),
    'R-CFA-6804756':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Phosphorylation"""]),
    'R-DDI-6804756':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Phosphorylation"""]),
    'R-DME-6804756':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Phosphorylation"""]),
    'R-DRE-6804756':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Phosphorylation"""]),
    'R-GGA-6804756':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Phosphorylation"""]),
    'R-MMU-6804756':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Phosphorylation"""]),
    'R-PFA-6804756':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Phosphorylation"""]),
    'R-RNO-6804756':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Phosphorylation"""]),
    'R-SPO-6804756':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Phosphorylation"""]),
    'R-SSC-6804756':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Phosphorylation"""]),
    'R-XTR-6804756':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Phosphorylation"""]),
    'R-HSA-6804757':Nto._make([date(2016,  3, 23), '....P..', '..', """Regulation of TP53 Degradation"""]),
    'R-BTA-6804757':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of TP53 Degradation"""]),
    'R-CEL-6804757':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of TP53 Degradation"""]),
    'R-CFA-6804757':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of TP53 Degradation"""]),
    'R-DDI-6804757':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of TP53 Degradation"""]),
    'R-DME-6804757':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of TP53 Degradation"""]),
    'R-DRE-6804757':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of TP53 Degradation"""]),
    'R-GGA-6804757':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of TP53 Degradation"""]),
    'R-MMU-6804757':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of TP53 Degradation"""]),
    'R-RNO-6804757':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of TP53 Degradation"""]),
    'R-SCE-6804757':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of TP53 Degradation"""]),
    'R-SPO-6804757':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of TP53 Degradation"""]),
    'R-SSC-6804757':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of TP53 Degradation"""]),
    'R-XTR-6804757':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of TP53 Degradation"""]),
    'R-HSA-6804758':Nto._make([date(2016,  3, 23), '..f.P..', '..', """Regulation of TP53 Activity through Acetylation"""]),
    'R-BTA-6804758':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Acetylation"""]),
    'R-CEL-6804758':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Acetylation"""]),
    'R-CFA-6804758':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Acetylation"""]),
    'R-DDI-6804758':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Acetylation"""]),
    'R-DME-6804758':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Acetylation"""]),
    'R-DRE-6804758':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Acetylation"""]),
    'R-GGA-6804758':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Acetylation"""]),
    'R-MMU-6804758':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Acetylation"""]),
    'R-PFA-6804758':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Acetylation"""]),
    'R-RNO-6804758':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Acetylation"""]),
    'R-SCE-6804758':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Acetylation"""]),
    'R-SPO-6804758':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Acetylation"""]),
    'R-SSC-6804758':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Acetylation"""]),
    'R-XTR-6804758':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Acetylation"""]),
    'R-HSA-6804759':Nto._make([date(2016,  3, 23), '..f.P..', '..', """Regulation of TP53 Activity through Association with Co-factors"""]),
    'R-BTA-6804759':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Association with Co-factors"""]),
    'R-CFA-6804759':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Association with Co-factors"""]),
    'R-DME-6804759':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Association with Co-factors"""]),
    'R-DRE-6804759':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Association with Co-factors"""]),
    'R-GGA-6804759':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Association with Co-factors"""]),
    'R-MMU-6804759':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Association with Co-factors"""]),
    'R-RNO-6804759':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Association with Co-factors"""]),
    'R-SSC-6804759':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Association with Co-factors"""]),
    'R-XTR-6804759':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Association with Co-factors"""]),
    'R-HSA-6804760':Nto._make([date(2016,  3, 23), '..f.P..', '..', """Regulation of TP53 Activity through Methylation"""]),
    'R-BTA-6804760':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Methylation"""]),
    'R-CEL-6804760':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Methylation"""]),
    'R-CFA-6804760':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Methylation"""]),
    'R-DDI-6804760':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Methylation"""]),
    'R-DME-6804760':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Methylation"""]),
    'R-DRE-6804760':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Methylation"""]),
    'R-GGA-6804760':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Methylation"""]),
    'R-MMU-6804760':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Methylation"""]),
    'R-RNO-6804760':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Methylation"""]),
    'R-SSC-6804760':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Methylation"""]),
    'R-XTR-6804760':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Activity through Methylation"""]),
    'R-HSA-6805567':Nto._make([date(2016,  9, 19), '..f.P..', 'B.', """Keratinization"""]),
    'R-BTA-6805567':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Keratinization"""]),
    'R-CEL-6805567':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Keratinization"""]),
    'R-CFA-6805567':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Keratinization"""]),
    'R-DDI-6805567':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Keratinization"""]),
    'R-DME-6805567':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Keratinization"""]),
    'R-DRE-6805567':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Keratinization"""]),
    'R-GGA-6805567':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Keratinization"""]),
    'R-MMU-6805567':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Keratinization"""]),
    'R-PFA-6805567':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Keratinization"""]),
    'R-RNO-6805567':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Keratinization"""]),
    'R-SCE-6805567':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Keratinization"""]),
    'R-SSC-6805567':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Keratinization"""]),
    'R-XTR-6805567':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Keratinization"""]),
    'R-HSA-6806003':Nto._make([date(2016,  3, 23), '..f.P..', '..', """Regulation of TP53 Expression and Degradation"""]),
    'R-BTA-6806003':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Expression and Degradation"""]),
    'R-CEL-6806003':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Expression and Degradation"""]),
    'R-CFA-6806003':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Expression and Degradation"""]),
    'R-DDI-6806003':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Expression and Degradation"""]),
    'R-DME-6806003':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Expression and Degradation"""]),
    'R-DRE-6806003':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Expression and Degradation"""]),
    'R-GGA-6806003':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Expression and Degradation"""]),
    'R-MMU-6806003':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Expression and Degradation"""]),
    'R-RNO-6806003':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Expression and Degradation"""]),
    'R-SCE-6806003':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Expression and Degradation"""]),
    'R-SPO-6806003':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Expression and Degradation"""]),
    'R-SSC-6806003':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Expression and Degradation"""]),
    'R-XTR-6806003':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of TP53 Expression and Degradation"""]),
    'R-HSA-6806664':Nto._make([date(2015, 12, 15), '..f.P..', 'B.', """Metabolism of vitamin K"""]),
    'R-BTA-6806664':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamin K"""]),
    'R-CFA-6806664':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamin K"""]),
    'R-DDI-6806664':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamin K"""]),
    'R-DME-6806664':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamin K"""]),
    'R-DRE-6806664':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamin K"""]),
    'R-GGA-6806664':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamin K"""]),
    'R-MMU-6806664':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamin K"""]),
    'R-RNO-6806664':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamin K"""]),
    'R-SSC-6806664':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamin K"""]),
    'R-XTR-6806664':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of vitamin K"""]),
    'R-HSA-6806667':Nto._make([date(2015, 12, 15), '..F.P..', 'B.', """Metabolism of fat-soluble vitamins"""]),
    'R-BTA-6806667':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of fat-soluble vitamins"""]),
    'R-CEL-6806667':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of fat-soluble vitamins"""]),
    'R-CFA-6806667':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of fat-soluble vitamins"""]),
    'R-DDI-6806667':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of fat-soluble vitamins"""]),
    'R-DME-6806667':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of fat-soluble vitamins"""]),
    'R-DRE-6806667':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of fat-soluble vitamins"""]),
    'R-GGA-6806667':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of fat-soluble vitamins"""]),
    'R-MMU-6806667':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of fat-soluble vitamins"""]),
    'R-RNO-6806667':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of fat-soluble vitamins"""]),
    'R-SSC-6806667':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of fat-soluble vitamins"""]),
    'R-XTR-6806667':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of fat-soluble vitamins"""]),
    'R-HSA-6806834':Nto._make([date(2016,  9, 19), '..f.P..', '..', """Signaling by MET"""]),
    'R-CEL-6806834':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by MET"""]),
    'R-CFA-6806834':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by MET"""]),
    'R-DRE-6806834':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by MET"""]),
    'R-GGA-6806834':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by MET"""]),
    'R-MMU-6806834':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by MET"""]),
    'R-RNO-6806834':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by MET"""]),
    'R-SSC-6806834':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by MET"""]),
    'R-XTR-6806834':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by MET"""]),
    'R-HSA-6806942':Nto._make([date(2016,  9, 19), '....P..', '..', """MET Receptor Activation"""]),
    'R-CFA-6806942':Nto._make([date(2019,  3, 20), '...I...', '..', """MET Receptor Activation"""]),
    'R-DRE-6806942':Nto._make([date(2019,  3, 20), '...I...', '..', """MET Receptor Activation"""]),
    'R-GGA-6806942':Nto._make([date(2019,  3, 20), '...I...', '..', """MET Receptor Activation"""]),
    'R-MMU-6806942':Nto._make([date(2019,  3, 20), '...I...', '..', """MET Receptor Activation"""]),
    'R-RNO-6806942':Nto._make([date(2019,  3, 20), '...I...', '..', """MET Receptor Activation"""]),
    'R-SSC-6806942':Nto._make([date(2019,  3, 20), '...I...', '..', """MET Receptor Activation"""]),
    'R-XTR-6806942':Nto._make([date(2019,  3, 20), '...I...', '..', """MET Receptor Activation"""]),
    'R-HSA-6807004':Nto._make([date(2016,  9, 19), '....P..', '..', """Negative regulation of MET activity"""]),
    'R-CEL-6807004':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of MET activity"""]),
    'R-CFA-6807004':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of MET activity"""]),
    'R-DRE-6807004':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of MET activity"""]),
    'R-GGA-6807004':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of MET activity"""]),
    'R-MMU-6807004':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of MET activity"""]),
    'R-RNO-6807004':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of MET activity"""]),
    'R-SSC-6807004':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of MET activity"""]),
    'R-XTR-6807004':Nto._make([date(2019,  3, 20), '...I...', '..', """Negative regulation of MET activity"""]),
    'R-HSA-6807047':Nto._make([date(2015, 12, 15), '....P..', 'BC', """Cholesterol biosynthesis via desmosterol"""]),
    'R-BTA-6807047':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via desmosterol"""]),
    'R-CEL-6807047':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via desmosterol"""]),
    'R-CFA-6807047':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via desmosterol"""]),
    'R-DDI-6807047':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via desmosterol"""]),
    'R-DRE-6807047':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via desmosterol"""]),
    'R-GGA-6807047':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via desmosterol"""]),
    'R-MMU-6807047':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via desmosterol"""]),
    'R-RNO-6807047':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via desmosterol"""]),
    'R-SCE-6807047':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via desmosterol"""]),
    'R-SPO-6807047':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via desmosterol"""]),
    'R-SSC-6807047':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via desmosterol"""]),
    'R-XTR-6807047':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via desmosterol"""]),
    'R-HSA-6807062':Nto._make([date(2015, 12, 15), '....P..', 'BC', """Cholesterol biosynthesis via lathosterol"""]),
    'R-BTA-6807062':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via lathosterol"""]),
    'R-CEL-6807062':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via lathosterol"""]),
    'R-CFA-6807062':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via lathosterol"""]),
    'R-DDI-6807062':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via lathosterol"""]),
    'R-DRE-6807062':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via lathosterol"""]),
    'R-GGA-6807062':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via lathosterol"""]),
    'R-MMU-6807062':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via lathosterol"""]),
    'R-RNO-6807062':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via lathosterol"""]),
    'R-SCE-6807062':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via lathosterol"""]),
    'R-SPO-6807062':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via lathosterol"""]),
    'R-SSC-6807062':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via lathosterol"""]),
    'R-XTR-6807062':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Cholesterol biosynthesis via lathosterol"""]),
    'R-HSA-6807070':Nto._make([date(2017,  6, 12), '..f.P..', '..', """PTEN Regulation"""]),
    'R-BTA-6807070':Nto._make([date(2019,  3, 20), '..fI...', '..', """PTEN Regulation"""]),
    'R-CEL-6807070':Nto._make([date(2019,  3, 20), '..fI...', '..', """PTEN Regulation"""]),
    'R-CFA-6807070':Nto._make([date(2019,  3, 20), '..fI...', '..', """PTEN Regulation"""]),
    'R-DDI-6807070':Nto._make([date(2019,  3, 20), '..fI...', '..', """PTEN Regulation"""]),
    'R-DME-6807070':Nto._make([date(2019,  3, 20), '..fI...', '..', """PTEN Regulation"""]),
    'R-DRE-6807070':Nto._make([date(2019,  3, 20), '..fI...', '..', """PTEN Regulation"""]),
    'R-GGA-6807070':Nto._make([date(2019,  3, 20), '..fI...', '..', """PTEN Regulation"""]),
    'R-MMU-6807070':Nto._make([date(2019,  3, 20), '..fI...', '..', """PTEN Regulation"""]),
    'R-PFA-6807070':Nto._make([date(2019,  3, 20), '..fI...', '..', """PTEN Regulation"""]),
    'R-RNO-6807070':Nto._make([date(2019,  3, 20), '..fI...', '..', """PTEN Regulation"""]),
    'R-SCE-6807070':Nto._make([date(2019,  3, 20), '..fI...', '..', """PTEN Regulation"""]),
    'R-SPO-6807070':Nto._make([date(2019,  3, 20), '..fI...', '..', """PTEN Regulation"""]),
    'R-SSC-6807070':Nto._make([date(2019,  3, 20), '..fI...', '..', """PTEN Regulation"""]),
    'R-XTR-6807070':Nto._make([date(2019,  3, 20), '..fI...', '..', """PTEN Regulation"""]),
    'R-HSA-6807505':Nto._make([date(2016,  3, 23), '..f.P..', 'BC', """RNA polymerase II transcribes snRNA genes"""]),
    'R-BTA-6807505':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA polymerase II transcribes snRNA genes"""]),
    'R-CEL-6807505':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA polymerase II transcribes snRNA genes"""]),
    'R-CFA-6807505':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA polymerase II transcribes snRNA genes"""]),
    'R-DDI-6807505':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA polymerase II transcribes snRNA genes"""]),
    'R-DME-6807505':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA polymerase II transcribes snRNA genes"""]),
    'R-DRE-6807505':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA polymerase II transcribes snRNA genes"""]),
    'R-GGA-6807505':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA polymerase II transcribes snRNA genes"""]),
    'R-MMU-6807505':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA polymerase II transcribes snRNA genes"""]),
    'R-RNO-6807505':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA polymerase II transcribes snRNA genes"""]),
    'R-SCE-6807505':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA polymerase II transcribes snRNA genes"""]),
    'R-SPO-6807505':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA polymerase II transcribes snRNA genes"""]),
    'R-SSC-6807505':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA polymerase II transcribes snRNA genes"""]),
    'R-XTR-6807505':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """RNA polymerase II transcribes snRNA genes"""]),
    'R-HSA-6807878':Nto._make([date(2015, 12, 15), '..f.P..', '..', """COPI-mediated anterograde transport"""]),
    'R-BTA-6807878':Nto._make([date(2019,  3, 20), '..fI...', '..', """COPI-mediated anterograde transport"""]),
    'R-CEL-6807878':Nto._make([date(2019,  3, 20), '..fI...', '..', """COPI-mediated anterograde transport"""]),
    'R-CFA-6807878':Nto._make([date(2019,  3, 20), '..fI...', '..', """COPI-mediated anterograde transport"""]),
    'R-DDI-6807878':Nto._make([date(2019,  3, 20), '..fI...', '..', """COPI-mediated anterograde transport"""]),
    'R-DME-6807878':Nto._make([date(2019,  3, 20), '..fI...', '..', """COPI-mediated anterograde transport"""]),
    'R-DRE-6807878':Nto._make([date(2019,  3, 20), '..fI...', '..', """COPI-mediated anterograde transport"""]),
    'R-GGA-6807878':Nto._make([date(2019,  3, 20), '..fI...', '..', """COPI-mediated anterograde transport"""]),
    'R-MMU-6807878':Nto._make([date(2019,  3, 20), '..fI...', '..', """COPI-mediated anterograde transport"""]),
    'R-PFA-6807878':Nto._make([date(2019,  3, 20), '..fI...', '..', """COPI-mediated anterograde transport"""]),
    'R-RNO-6807878':Nto._make([date(2019,  3, 20), '..fI...', '..', """COPI-mediated anterograde transport"""]),
    'R-SCE-6807878':Nto._make([date(2019,  3, 20), '..fI...', '..', """COPI-mediated anterograde transport"""]),
    'R-SPO-6807878':Nto._make([date(2019,  3, 20), '..fI...', '..', """COPI-mediated anterograde transport"""]),
    'R-SSC-6807878':Nto._make([date(2019,  3, 20), '..fI...', '..', """COPI-mediated anterograde transport"""]),
    'R-XTR-6807878':Nto._make([date(2019,  3, 20), '..fI...', '..', """COPI-mediated anterograde transport"""]),
    'R-HSA-6809371':Nto._make([date(2016,  9, 19), '....P..', 'B.', """Formation of the cornified envelope"""]),
    'R-BTA-6809371':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the cornified envelope"""]),
    'R-CEL-6809371':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the cornified envelope"""]),
    'R-CFA-6809371':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the cornified envelope"""]),
    'R-DDI-6809371':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the cornified envelope"""]),
    'R-DME-6809371':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the cornified envelope"""]),
    'R-DRE-6809371':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the cornified envelope"""]),
    'R-GGA-6809371':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the cornified envelope"""]),
    'R-MMU-6809371':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the cornified envelope"""]),
    'R-PFA-6809371':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the cornified envelope"""]),
    'R-RNO-6809371':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the cornified envelope"""]),
    'R-SCE-6809371':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the cornified envelope"""]),
    'R-SSC-6809371':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the cornified envelope"""]),
    'R-XTR-6809371':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Formation of the cornified envelope"""]),
    'R-HSA-6809583':Nto._make([date(2013,  3, 12), '.Df.P..', '..', """Retinoid metabolism disease events"""]),
    'R-HSA-6811434':Nto._make([date(2016,  3, 23), '....P..', 'B.', """COPI-dependent Golgi-to-ER retrograde traffic"""]),
    'R-BTA-6811434':Nto._make([date(2019,  3, 20), '...I...', 'B.', """COPI-dependent Golgi-to-ER retrograde traffic"""]),
    'R-CEL-6811434':Nto._make([date(2019,  3, 20), '...I...', 'B.', """COPI-dependent Golgi-to-ER retrograde traffic"""]),
    'R-CFA-6811434':Nto._make([date(2019,  3, 20), '...I...', 'B.', """COPI-dependent Golgi-to-ER retrograde traffic"""]),
    'R-DDI-6811434':Nto._make([date(2019,  3, 20), '...I...', 'B.', """COPI-dependent Golgi-to-ER retrograde traffic"""]),
    'R-DME-6811434':Nto._make([date(2019,  3, 20), '...I...', 'B.', """COPI-dependent Golgi-to-ER retrograde traffic"""]),
    'R-DRE-6811434':Nto._make([date(2019,  3, 20), '...I...', 'B.', """COPI-dependent Golgi-to-ER retrograde traffic"""]),
    'R-GGA-6811434':Nto._make([date(2019,  3, 20), '...I...', 'B.', """COPI-dependent Golgi-to-ER retrograde traffic"""]),
    'R-MMU-6811434':Nto._make([date(2019,  3, 20), '...I...', 'B.', """COPI-dependent Golgi-to-ER retrograde traffic"""]),
    'R-PFA-6811434':Nto._make([date(2019,  3, 20), '...I...', 'B.', """COPI-dependent Golgi-to-ER retrograde traffic"""]),
    'R-RNO-6811434':Nto._make([date(2019,  3, 20), '...I...', 'B.', """COPI-dependent Golgi-to-ER retrograde traffic"""]),
    'R-SCE-6811434':Nto._make([date(2019,  3, 20), '...I...', 'B.', """COPI-dependent Golgi-to-ER retrograde traffic"""]),
    'R-SPO-6811434':Nto._make([date(2019,  3, 20), '...I...', 'B.', """COPI-dependent Golgi-to-ER retrograde traffic"""]),
    'R-SSC-6811434':Nto._make([date(2019,  3, 20), '...I...', 'B.', """COPI-dependent Golgi-to-ER retrograde traffic"""]),
    'R-XTR-6811434':Nto._make([date(2019,  3, 20), '...I...', 'B.', """COPI-dependent Golgi-to-ER retrograde traffic"""]),
    'R-HSA-6811436':Nto._make([date(2016,  3, 23), '....P..', '..', """COPI-independent Golgi-to-ER retrograde traffic"""]),
    'R-BTA-6811436':Nto._make([date(2019,  3, 20), '...I...', '..', """COPI-independent Golgi-to-ER retrograde traffic"""]),
    'R-CEL-6811436':Nto._make([date(2019,  3, 20), '...I...', '..', """COPI-independent Golgi-to-ER retrograde traffic"""]),
    'R-CFA-6811436':Nto._make([date(2019,  3, 20), '...I...', '..', """COPI-independent Golgi-to-ER retrograde traffic"""]),
    'R-DDI-6811436':Nto._make([date(2019,  3, 20), '...I...', '..', """COPI-independent Golgi-to-ER retrograde traffic"""]),
    'R-DME-6811436':Nto._make([date(2019,  3, 20), '...I...', '..', """COPI-independent Golgi-to-ER retrograde traffic"""]),
    'R-DRE-6811436':Nto._make([date(2019,  3, 20), '...I...', '..', """COPI-independent Golgi-to-ER retrograde traffic"""]),
    'R-GGA-6811436':Nto._make([date(2019,  3, 20), '...I...', '..', """COPI-independent Golgi-to-ER retrograde traffic"""]),
    'R-MMU-6811436':Nto._make([date(2019,  3, 20), '...I...', '..', """COPI-independent Golgi-to-ER retrograde traffic"""]),
    'R-RNO-6811436':Nto._make([date(2019,  3, 20), '...I...', '..', """COPI-independent Golgi-to-ER retrograde traffic"""]),
    'R-SCE-6811436':Nto._make([date(2019,  3, 20), '...I...', '..', """COPI-independent Golgi-to-ER retrograde traffic"""]),
    'R-SPO-6811436':Nto._make([date(2019,  3, 20), '...I...', '..', """COPI-independent Golgi-to-ER retrograde traffic"""]),
    'R-SSC-6811436':Nto._make([date(2019,  3, 20), '...I...', '..', """COPI-independent Golgi-to-ER retrograde traffic"""]),
    'R-XTR-6811436':Nto._make([date(2019,  3, 20), '...I...', '..', """COPI-independent Golgi-to-ER retrograde traffic"""]),
    'R-HSA-6811438':Nto._make([date(2016,  3, 23), '....P..', '..', """Intra-Golgi traffic"""]),
    'R-BTA-6811438':Nto._make([date(2019,  3, 20), '...I...', '..', """Intra-Golgi traffic"""]),
    'R-CEL-6811438':Nto._make([date(2019,  3, 20), '...I...', '..', """Intra-Golgi traffic"""]),
    'R-CFA-6811438':Nto._make([date(2019,  3, 20), '...I...', '..', """Intra-Golgi traffic"""]),
    'R-DDI-6811438':Nto._make([date(2019,  3, 20), '...I...', '..', """Intra-Golgi traffic"""]),
    'R-DME-6811438':Nto._make([date(2019,  3, 20), '...I...', '..', """Intra-Golgi traffic"""]),
    'R-DRE-6811438':Nto._make([date(2019,  3, 20), '...I...', '..', """Intra-Golgi traffic"""]),
    'R-GGA-6811438':Nto._make([date(2019,  3, 20), '...I...', '..', """Intra-Golgi traffic"""]),
    'R-MMU-6811438':Nto._make([date(2019,  3, 20), '...I...', '..', """Intra-Golgi traffic"""]),
    'R-PFA-6811438':Nto._make([date(2019,  3, 20), '...I...', '..', """Intra-Golgi traffic"""]),
    'R-RNO-6811438':Nto._make([date(2019,  3, 20), '...I...', '..', """Intra-Golgi traffic"""]),
    'R-SCE-6811438':Nto._make([date(2019,  3, 20), '...I...', '..', """Intra-Golgi traffic"""]),
    'R-SPO-6811438':Nto._make([date(2019,  3, 20), '...I...', '..', """Intra-Golgi traffic"""]),
    'R-SSC-6811438':Nto._make([date(2019,  3, 20), '...I...', '..', """Intra-Golgi traffic"""]),
    'R-XTR-6811438':Nto._make([date(2019,  3, 20), '...I...', '..', """Intra-Golgi traffic"""]),
    'R-HSA-6811440':Nto._make([date(2016,  3, 23), '....P..', '..', """Retrograde transport at the Trans-Golgi-Network"""]),
    'R-BTA-6811440':Nto._make([date(2019,  3, 20), '...I...', '..', """Retrograde transport at the Trans-Golgi-Network"""]),
    'R-CEL-6811440':Nto._make([date(2019,  3, 20), '...I...', '..', """Retrograde transport at the Trans-Golgi-Network"""]),
    'R-CFA-6811440':Nto._make([date(2019,  3, 20), '...I...', '..', """Retrograde transport at the Trans-Golgi-Network"""]),
    'R-DDI-6811440':Nto._make([date(2019,  3, 20), '...I...', '..', """Retrograde transport at the Trans-Golgi-Network"""]),
    'R-DME-6811440':Nto._make([date(2019,  3, 20), '...I...', '..', """Retrograde transport at the Trans-Golgi-Network"""]),
    'R-DRE-6811440':Nto._make([date(2019,  3, 20), '...I...', '..', """Retrograde transport at the Trans-Golgi-Network"""]),
    'R-GGA-6811440':Nto._make([date(2019,  3, 20), '...I...', '..', """Retrograde transport at the Trans-Golgi-Network"""]),
    'R-MMU-6811440':Nto._make([date(2019,  3, 20), '...I...', '..', """Retrograde transport at the Trans-Golgi-Network"""]),
    'R-PFA-6811440':Nto._make([date(2019,  3, 20), '...I...', '..', """Retrograde transport at the Trans-Golgi-Network"""]),
    'R-RNO-6811440':Nto._make([date(2019,  3, 20), '...I...', '..', """Retrograde transport at the Trans-Golgi-Network"""]),
    'R-SCE-6811440':Nto._make([date(2019,  3, 20), '...I...', '..', """Retrograde transport at the Trans-Golgi-Network"""]),
    'R-SPO-6811440':Nto._make([date(2019,  3, 20), '...I...', '..', """Retrograde transport at the Trans-Golgi-Network"""]),
    'R-SSC-6811440':Nto._make([date(2019,  3, 20), '...I...', '..', """Retrograde transport at the Trans-Golgi-Network"""]),
    'R-XTR-6811440':Nto._make([date(2019,  3, 20), '...I...', '..', """Retrograde transport at the Trans-Golgi-Network"""]),
    'R-HSA-6811442':Nto._make([date(2016,  3, 23), '..f.P..', '..', """Intra-Golgi and retrograde Golgi-to-ER traffic"""]),
    'R-BTA-6811442':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intra-Golgi and retrograde Golgi-to-ER traffic"""]),
    'R-CEL-6811442':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intra-Golgi and retrograde Golgi-to-ER traffic"""]),
    'R-CFA-6811442':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intra-Golgi and retrograde Golgi-to-ER traffic"""]),
    'R-DDI-6811442':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intra-Golgi and retrograde Golgi-to-ER traffic"""]),
    'R-DME-6811442':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intra-Golgi and retrograde Golgi-to-ER traffic"""]),
    'R-DRE-6811442':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intra-Golgi and retrograde Golgi-to-ER traffic"""]),
    'R-GGA-6811442':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intra-Golgi and retrograde Golgi-to-ER traffic"""]),
    'R-MMU-6811442':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intra-Golgi and retrograde Golgi-to-ER traffic"""]),
    'R-PFA-6811442':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intra-Golgi and retrograde Golgi-to-ER traffic"""]),
    'R-RNO-6811442':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intra-Golgi and retrograde Golgi-to-ER traffic"""]),
    'R-SCE-6811442':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intra-Golgi and retrograde Golgi-to-ER traffic"""]),
    'R-SPO-6811442':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intra-Golgi and retrograde Golgi-to-ER traffic"""]),
    'R-SSC-6811442':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intra-Golgi and retrograde Golgi-to-ER traffic"""]),
    'R-XTR-6811442':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intra-Golgi and retrograde Golgi-to-ER traffic"""]),
    'R-HSA-6811555':Nto._make([date(2016,  9, 19), '....P..', '..', """PI5P Regulates TP53 Acetylation"""]),
    'R-BTA-6811555':Nto._make([date(2019,  3, 20), '...I...', '..', """PI5P Regulates TP53 Acetylation"""]),
    'R-CEL-6811555':Nto._make([date(2019,  3, 20), '...I...', '..', """PI5P Regulates TP53 Acetylation"""]),
    'R-CFA-6811555':Nto._make([date(2019,  3, 20), '...I...', '..', """PI5P Regulates TP53 Acetylation"""]),
    'R-DDI-6811555':Nto._make([date(2019,  3, 20), '...I...', '..', """PI5P Regulates TP53 Acetylation"""]),
    'R-DME-6811555':Nto._make([date(2019,  3, 20), '...I...', '..', """PI5P Regulates TP53 Acetylation"""]),
    'R-DRE-6811555':Nto._make([date(2019,  3, 20), '...I...', '..', """PI5P Regulates TP53 Acetylation"""]),
    'R-GGA-6811555':Nto._make([date(2019,  3, 20), '...I...', '..', """PI5P Regulates TP53 Acetylation"""]),
    'R-MMU-6811555':Nto._make([date(2019,  3, 20), '...I...', '..', """PI5P Regulates TP53 Acetylation"""]),
    'R-PFA-6811555':Nto._make([date(2019,  3, 20), '...I...', '..', """PI5P Regulates TP53 Acetylation"""]),
    'R-RNO-6811555':Nto._make([date(2019,  3, 20), '...I...', '..', """PI5P Regulates TP53 Acetylation"""]),
    'R-SCE-6811555':Nto._make([date(2019,  3, 20), '...I...', '..', """PI5P Regulates TP53 Acetylation"""]),
    'R-SPO-6811555':Nto._make([date(2019,  3, 20), '...I...', '..', """PI5P Regulates TP53 Acetylation"""]),
    'R-SSC-6811555':Nto._make([date(2019,  3, 20), '...I...', '..', """PI5P Regulates TP53 Acetylation"""]),
    'R-XTR-6811555':Nto._make([date(2019,  3, 20), '...I...', '..', """PI5P Regulates TP53 Acetylation"""]),
    'R-HSA-6811558':Nto._make([date(2016,  3, 23), '....P..', 'B.', """PI5P, PP2A and IER3 Regulate PI3K/AKT Signaling"""]),
    'R-BTA-6811558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI5P, PP2A and IER3 Regulate PI3K/AKT Signaling"""]),
    'R-CEL-6811558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI5P, PP2A and IER3 Regulate PI3K/AKT Signaling"""]),
    'R-CFA-6811558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI5P, PP2A and IER3 Regulate PI3K/AKT Signaling"""]),
    'R-DDI-6811558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI5P, PP2A and IER3 Regulate PI3K/AKT Signaling"""]),
    'R-DME-6811558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI5P, PP2A and IER3 Regulate PI3K/AKT Signaling"""]),
    'R-DRE-6811558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI5P, PP2A and IER3 Regulate PI3K/AKT Signaling"""]),
    'R-GGA-6811558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI5P, PP2A and IER3 Regulate PI3K/AKT Signaling"""]),
    'R-MMU-6811558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI5P, PP2A and IER3 Regulate PI3K/AKT Signaling"""]),
    'R-PFA-6811558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI5P, PP2A and IER3 Regulate PI3K/AKT Signaling"""]),
    'R-RNO-6811558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI5P, PP2A and IER3 Regulate PI3K/AKT Signaling"""]),
    'R-SCE-6811558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI5P, PP2A and IER3 Regulate PI3K/AKT Signaling"""]),
    'R-SPO-6811558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI5P, PP2A and IER3 Regulate PI3K/AKT Signaling"""]),
    'R-SSC-6811558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI5P, PP2A and IER3 Regulate PI3K/AKT Signaling"""]),
    'R-XTR-6811558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PI5P, PP2A and IER3 Regulate PI3K/AKT Signaling"""]),
    'R-HSA-6814122':Nto._make([date(2016,  3, 23), '....P..', '..', """Cooperation of PDCL (PhLP1) and TRiC/CCT in G-protein beta folding"""]),
    'R-BTA-6814122':Nto._make([date(2019,  3, 20), '...I...', '..', """Cooperation of PDCL (PhLP1) and TRiC/CCT in G-protein beta folding"""]),
    'R-CEL-6814122':Nto._make([date(2019,  3, 20), '...I...', '..', """Cooperation of PDCL (PhLP1) and TRiC/CCT in G-protein beta folding"""]),
    'R-CFA-6814122':Nto._make([date(2019,  3, 20), '...I...', '..', """Cooperation of PDCL (PhLP1) and TRiC/CCT in G-protein beta folding"""]),
    'R-DDI-6814122':Nto._make([date(2019,  3, 20), '...I...', '..', """Cooperation of PDCL (PhLP1) and TRiC/CCT in G-protein beta folding"""]),
    'R-DME-6814122':Nto._make([date(2019,  3, 20), '...I...', '..', """Cooperation of PDCL (PhLP1) and TRiC/CCT in G-protein beta folding"""]),
    'R-DRE-6814122':Nto._make([date(2019,  3, 20), '...I...', '..', """Cooperation of PDCL (PhLP1) and TRiC/CCT in G-protein beta folding"""]),
    'R-GGA-6814122':Nto._make([date(2019,  3, 20), '...I...', '..', """Cooperation of PDCL (PhLP1) and TRiC/CCT in G-protein beta folding"""]),
    'R-MMU-6814122':Nto._make([date(2019,  3, 20), '...I...', '..', """Cooperation of PDCL (PhLP1) and TRiC/CCT in G-protein beta folding"""]),
    'R-PFA-6814122':Nto._make([date(2019,  3, 20), '...I...', '..', """Cooperation of PDCL (PhLP1) and TRiC/CCT in G-protein beta folding"""]),
    'R-RNO-6814122':Nto._make([date(2019,  3, 20), '...I...', '..', """Cooperation of PDCL (PhLP1) and TRiC/CCT in G-protein beta folding"""]),
    'R-SCE-6814122':Nto._make([date(2019,  3, 20), '...I...', '..', """Cooperation of PDCL (PhLP1) and TRiC/CCT in G-protein beta folding"""]),
    'R-SPO-6814122':Nto._make([date(2019,  3, 20), '...I...', '..', """Cooperation of PDCL (PhLP1) and TRiC/CCT in G-protein beta folding"""]),
    'R-SSC-6814122':Nto._make([date(2019,  3, 20), '...I...', '..', """Cooperation of PDCL (PhLP1) and TRiC/CCT in G-protein beta folding"""]),
    'R-XTR-6814122':Nto._make([date(2019,  3, 20), '...I...', '..', """Cooperation of PDCL (PhLP1) and TRiC/CCT in G-protein beta folding"""]),
    'R-HSA-6814848':Nto._make([date(2016,  3, 23), '....P..', 'B.', """Glycerophospholipid catabolism"""]),
    'R-BTA-6814848':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycerophospholipid catabolism"""]),
    'R-CEL-6814848':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycerophospholipid catabolism"""]),
    'R-CFA-6814848':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycerophospholipid catabolism"""]),
    'R-DDI-6814848':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycerophospholipid catabolism"""]),
    'R-DME-6814848':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycerophospholipid catabolism"""]),
    'R-DRE-6814848':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycerophospholipid catabolism"""]),
    'R-GGA-6814848':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycerophospholipid catabolism"""]),
    'R-MMU-6814848':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycerophospholipid catabolism"""]),
    'R-RNO-6814848':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycerophospholipid catabolism"""]),
    'R-SCE-6814848':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycerophospholipid catabolism"""]),
    'R-SPO-6814848':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycerophospholipid catabolism"""]),
    'R-SSC-6814848':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycerophospholipid catabolism"""]),
    'R-XTR-6814848':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Glycerophospholipid catabolism"""]),
    'R-HSA-8847453':Nto._make([date(2016, 12, 12), '....P..', '..', """Synthesis of PIPs in the nucleus"""]),
    'R-BTA-8847453':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of PIPs in the nucleus"""]),
    'R-CEL-8847453':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of PIPs in the nucleus"""]),
    'R-CFA-8847453':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of PIPs in the nucleus"""]),
    'R-DDI-8847453':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of PIPs in the nucleus"""]),
    'R-DME-8847453':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of PIPs in the nucleus"""]),
    'R-DRE-8847453':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of PIPs in the nucleus"""]),
    'R-GGA-8847453':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of PIPs in the nucleus"""]),
    'R-MMU-8847453':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of PIPs in the nucleus"""]),
    'R-PFA-8847453':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of PIPs in the nucleus"""]),
    'R-RNO-8847453':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of PIPs in the nucleus"""]),
    'R-SCE-8847453':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of PIPs in the nucleus"""]),
    'R-SPO-8847453':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of PIPs in the nucleus"""]),
    'R-SSC-8847453':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of PIPs in the nucleus"""]),
    'R-XTR-8847453':Nto._make([date(2019,  3, 20), '...I...', '..', """Synthesis of PIPs in the nucleus"""]),
    'R-HSA-8847993':Nto._make([date(2016,  3, 23), '....P..', '..', """ERBB2 Activates PTK6 Signaling"""]),
    'R-BTA-8847993':Nto._make([date(2019,  3, 20), '...I...', '..', """ERBB2 Activates PTK6 Signaling"""]),
    'R-CEL-8847993':Nto._make([date(2019,  3, 20), '...I...', '..', """ERBB2 Activates PTK6 Signaling"""]),
    'R-DRE-8847993':Nto._make([date(2019,  3, 20), '...I...', '..', """ERBB2 Activates PTK6 Signaling"""]),
    'R-MMU-8847993':Nto._make([date(2019,  3, 20), '...I...', '..', """ERBB2 Activates PTK6 Signaling"""]),
    'R-RNO-8847993':Nto._make([date(2019,  3, 20), '...I...', '..', """ERBB2 Activates PTK6 Signaling"""]),
    'R-SSC-8847993':Nto._make([date(2019,  3, 20), '...I...', '..', """ERBB2 Activates PTK6 Signaling"""]),
    'R-XTR-8847993':Nto._make([date(2019,  3, 20), '...I...', '..', """ERBB2 Activates PTK6 Signaling"""]),
    'R-HSA-8848021':Nto._make([date(2016,  3, 23), '..f.P..', '..', """Signaling by PTK6"""]),
    'R-BTA-8848021':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by PTK6"""]),
    'R-CEL-8848021':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by PTK6"""]),
    'R-CFA-8848021':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by PTK6"""]),
    'R-DDI-8848021':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by PTK6"""]),
    'R-DME-8848021':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by PTK6"""]),
    'R-DRE-8848021':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by PTK6"""]),
    'R-GGA-8848021':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by PTK6"""]),
    'R-MMU-8848021':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by PTK6"""]),
    'R-PFA-8848021':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by PTK6"""]),
    'R-RNO-8848021':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by PTK6"""]),
    'R-SSC-8848021':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by PTK6"""]),
    'R-XTR-8848021':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by PTK6"""]),
    'R-HSA-8848584':Nto._make([date(2016,  3, 23), '..f.P..', 'B.', """Wax biosynthesis"""]),
    'R-BTA-8848584':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Wax biosynthesis"""]),
    'R-CEL-8848584':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Wax biosynthesis"""]),
    'R-CFA-8848584':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Wax biosynthesis"""]),
    'R-DDI-8848584':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Wax biosynthesis"""]),
    'R-DME-8848584':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Wax biosynthesis"""]),
    'R-DRE-8848584':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Wax biosynthesis"""]),
    'R-GGA-8848584':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Wax biosynthesis"""]),
    'R-MMU-8848584':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Wax biosynthesis"""]),
    'R-RNO-8848584':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Wax biosynthesis"""]),
    'R-SCE-8848584':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Wax biosynthesis"""]),
    'R-SPO-8848584':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Wax biosynthesis"""]),
    'R-SSC-8848584':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Wax biosynthesis"""]),
    'R-XTR-8848584':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Wax biosynthesis"""]),
    'R-HSA-8849175':Nto._make([date(2016,  3, 23), '..f.P..', 'B.', """Threonine catabolism"""]),
    'R-BTA-8849175':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Threonine catabolism"""]),
    'R-CEL-8849175':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Threonine catabolism"""]),
    'R-CFA-8849175':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Threonine catabolism"""]),
    'R-DDI-8849175':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Threonine catabolism"""]),
    'R-DME-8849175':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Threonine catabolism"""]),
    'R-DRE-8849175':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Threonine catabolism"""]),
    'R-GGA-8849175':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Threonine catabolism"""]),
    'R-MMU-8849175':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Threonine catabolism"""]),
    'R-RNO-8849175':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Threonine catabolism"""]),
    'R-SCE-8849175':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Threonine catabolism"""]),
    'R-SPO-8849175':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Threonine catabolism"""]),
    'R-SSC-8849175':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Threonine catabolism"""]),
    'R-XTR-8849175':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Threonine catabolism"""]),
    'R-HSA-8849468':Nto._make([date(2016,  3, 23), '....P..', '..', """PTK6 Regulates Proteins Involved in RNA Processing"""]),
    'R-BTA-8849468':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 Regulates Proteins Involved in RNA Processing"""]),
    'R-CEL-8849468':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 Regulates Proteins Involved in RNA Processing"""]),
    'R-CFA-8849468':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 Regulates Proteins Involved in RNA Processing"""]),
    'R-DME-8849468':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 Regulates Proteins Involved in RNA Processing"""]),
    'R-DRE-8849468':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 Regulates Proteins Involved in RNA Processing"""]),
    'R-MMU-8849468':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 Regulates Proteins Involved in RNA Processing"""]),
    'R-RNO-8849468':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 Regulates Proteins Involved in RNA Processing"""]),
    'R-SSC-8849468':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 Regulates Proteins Involved in RNA Processing"""]),
    'R-XTR-8849468':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 Regulates Proteins Involved in RNA Processing"""]),
    'R-HSA-8849469':Nto._make([date(2016,  3, 23), '....P..', 'B.', """PTK6 Regulates RTKs and Their Effectors AKT1 and DOK1"""]),
    'R-BTA-8849469':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Regulates RTKs and Their Effectors AKT1 and DOK1"""]),
    'R-CEL-8849469':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Regulates RTKs and Their Effectors AKT1 and DOK1"""]),
    'R-CFA-8849469':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Regulates RTKs and Their Effectors AKT1 and DOK1"""]),
    'R-DME-8849469':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Regulates RTKs and Their Effectors AKT1 and DOK1"""]),
    'R-DRE-8849469':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Regulates RTKs and Their Effectors AKT1 and DOK1"""]),
    'R-GGA-8849469':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Regulates RTKs and Their Effectors AKT1 and DOK1"""]),
    'R-MMU-8849469':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Regulates RTKs and Their Effectors AKT1 and DOK1"""]),
    'R-PFA-8849469':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Regulates RTKs and Their Effectors AKT1 and DOK1"""]),
    'R-RNO-8849469':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Regulates RTKs and Their Effectors AKT1 and DOK1"""]),
    'R-SSC-8849469':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Regulates RTKs and Their Effectors AKT1 and DOK1"""]),
    'R-XTR-8849469':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Regulates RTKs and Their Effectors AKT1 and DOK1"""]),
    'R-HSA-8849470':Nto._make([date(2016,  3, 23), '....P..', 'B.', """PTK6 Regulates Cell Cycle"""]),
    'R-BTA-8849470':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Regulates Cell Cycle"""]),
    'R-DRE-8849470':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Regulates Cell Cycle"""]),
    'R-MMU-8849470':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Regulates Cell Cycle"""]),
    'R-RNO-8849470':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Regulates Cell Cycle"""]),
    'R-SSC-8849470':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Regulates Cell Cycle"""]),
    'R-HSA-8849471':Nto._make([date(2016,  3, 23), '....P..', '..', """PTK6 Regulates RHO GTPases, RAS GTPase and MAP kinases"""]),
    'R-BTA-8849471':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 Regulates RHO GTPases, RAS GTPase and MAP kinases"""]),
    'R-CEL-8849471':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 Regulates RHO GTPases, RAS GTPase and MAP kinases"""]),
    'R-CFA-8849471':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 Regulates RHO GTPases, RAS GTPase and MAP kinases"""]),
    'R-DDI-8849471':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 Regulates RHO GTPases, RAS GTPase and MAP kinases"""]),
    'R-DME-8849471':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 Regulates RHO GTPases, RAS GTPase and MAP kinases"""]),
    'R-DRE-8849471':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 Regulates RHO GTPases, RAS GTPase and MAP kinases"""]),
    'R-GGA-8849471':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 Regulates RHO GTPases, RAS GTPase and MAP kinases"""]),
    'R-MMU-8849471':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 Regulates RHO GTPases, RAS GTPase and MAP kinases"""]),
    'R-RNO-8849471':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 Regulates RHO GTPases, RAS GTPase and MAP kinases"""]),
    'R-SSC-8849471':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 Regulates RHO GTPases, RAS GTPase and MAP kinases"""]),
    'R-XTR-8849471':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 Regulates RHO GTPases, RAS GTPase and MAP kinases"""]),
    'R-HSA-8849472':Nto._make([date(2016,  3, 23), '....P..', 'B.', """PTK6 Down-Regulation"""]),
    'R-BTA-8849472':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Down-Regulation"""]),
    'R-CEL-8849472':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Down-Regulation"""]),
    'R-DRE-8849472':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Down-Regulation"""]),
    'R-MMU-8849472':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Down-Regulation"""]),
    'R-RNO-8849472':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Down-Regulation"""]),
    'R-SSC-8849472':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Down-Regulation"""]),
    'R-XTR-8849472':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Down-Regulation"""]),
    'R-HSA-8849473':Nto._make([date(2016,  3, 23), '....P..', '..', """PTK6 Expression"""]),
    'R-HSA-8849474':Nto._make([date(2016,  3, 23), '....P..', 'B.', """PTK6 Activates STAT3"""]),
    'R-BTA-8849474':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Activates STAT3"""]),
    'R-DRE-8849474':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Activates STAT3"""]),
    'R-MMU-8849474':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Activates STAT3"""]),
    'R-RNO-8849474':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Activates STAT3"""]),
    'R-SSC-8849474':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Activates STAT3"""]),
    'R-XTR-8849474':Nto._make([date(2019,  3, 20), '...I...', 'B.', """PTK6 Activates STAT3"""]),
    'R-HSA-8849932':Nto._make([date(2016,  3, 23), '..f.P..', '..', """Synaptic adhesion-like molecules"""]),
    'R-BTA-8849932':Nto._make([date(2019,  3, 20), '..fI...', '..', """Synaptic adhesion-like molecules"""]),
    'R-CFA-8849932':Nto._make([date(2019,  3, 20), '..fI...', '..', """Synaptic adhesion-like molecules"""]),
    'R-DME-8849932':Nto._make([date(2019,  3, 20), '..fI...', '..', """Synaptic adhesion-like molecules"""]),
    'R-DRE-8849932':Nto._make([date(2019,  3, 20), '..fI...', '..', """Synaptic adhesion-like molecules"""]),
    'R-GGA-8849932':Nto._make([date(2019,  3, 20), '..fI...', '..', """Synaptic adhesion-like molecules"""]),
    'R-MMU-8849932':Nto._make([date(2019,  3, 20), '..fI...', '..', """Synaptic adhesion-like molecules"""]),
    'R-RNO-8849932':Nto._make([date(2019,  3, 20), '..fI...', '..', """Synaptic adhesion-like molecules"""]),
    'R-SSC-8849932':Nto._make([date(2019,  3, 20), '..fI...', '..', """Synaptic adhesion-like molecules"""]),
    'R-XTR-8849932':Nto._make([date(2019,  3, 20), '..fI...', '..', """Synaptic adhesion-like molecules"""]),
    'R-HSA-8850843':Nto._make([date(2016,  6, 15), '....P..', '..', """Phosphate bond hydrolysis by NTPDase proteins"""]),
    'R-BTA-8850843':Nto._make([date(2019,  3, 20), '...I...', '..', """Phosphate bond hydrolysis by NTPDase proteins"""]),
    'R-CEL-8850843':Nto._make([date(2019,  3, 20), '...I...', '..', """Phosphate bond hydrolysis by NTPDase proteins"""]),
    'R-CFA-8850843':Nto._make([date(2019,  3, 20), '...I...', '..', """Phosphate bond hydrolysis by NTPDase proteins"""]),
    'R-DME-8850843':Nto._make([date(2019,  3, 20), '...I...', '..', """Phosphate bond hydrolysis by NTPDase proteins"""]),
    'R-DRE-8850843':Nto._make([date(2019,  3, 20), '...I...', '..', """Phosphate bond hydrolysis by NTPDase proteins"""]),
    'R-GGA-8850843':Nto._make([date(2019,  3, 20), '...I...', '..', """Phosphate bond hydrolysis by NTPDase proteins"""]),
    'R-MMU-8850843':Nto._make([date(2019,  3, 20), '...I...', '..', """Phosphate bond hydrolysis by NTPDase proteins"""]),
    'R-PFA-8850843':Nto._make([date(2019,  3, 20), '...I...', '..', """Phosphate bond hydrolysis by NTPDase proteins"""]),
    'R-RNO-8850843':Nto._make([date(2019,  3, 20), '...I...', '..', """Phosphate bond hydrolysis by NTPDase proteins"""]),
    'R-SCE-8850843':Nto._make([date(2019,  3, 20), '...I...', '..', """Phosphate bond hydrolysis by NTPDase proteins"""]),
    'R-SPO-8850843':Nto._make([date(2019,  3, 20), '...I...', '..', """Phosphate bond hydrolysis by NTPDase proteins"""]),
    'R-SSC-8850843':Nto._make([date(2019,  3, 20), '...I...', '..', """Phosphate bond hydrolysis by NTPDase proteins"""]),
    'R-XTR-8850843':Nto._make([date(2019,  3, 20), '...I...', '..', """Phosphate bond hydrolysis by NTPDase proteins"""]),
    'R-HSA-8851680':Nto._make([date(2016, 12, 12), '..f.P..', '..', """Butyrophilin (BTN) family interactions"""]),
    'R-BTA-8851680':Nto._make([date(2019,  3, 20), '..fI...', '..', """Butyrophilin (BTN) family interactions"""]),
    'R-CFA-8851680':Nto._make([date(2019,  3, 20), '..fI...', '..', """Butyrophilin (BTN) family interactions"""]),
    'R-DRE-8851680':Nto._make([date(2019,  3, 20), '..fI...', '..', """Butyrophilin (BTN) family interactions"""]),
    'R-GGA-8851680':Nto._make([date(2019,  3, 20), '..fI...', '..', """Butyrophilin (BTN) family interactions"""]),
    'R-MMU-8851680':Nto._make([date(2019,  3, 20), '..fI...', '..', """Butyrophilin (BTN) family interactions"""]),
    'R-RNO-8851680':Nto._make([date(2019,  3, 20), '..fI...', '..', """Butyrophilin (BTN) family interactions"""]),
    'R-SSC-8851680':Nto._make([date(2019,  3, 20), '..fI...', '..', """Butyrophilin (BTN) family interactions"""]),
    'R-XTR-8851680':Nto._make([date(2019,  3, 20), '..fI...', '..', """Butyrophilin (BTN) family interactions"""]),
    'R-HSA-8851708':Nto._make([date(2016,  3, 23), '.D..P..', '..', """Signaling by FGFR2 IIIa TM"""]),
    'R-HSA-8851805':Nto._make([date(2016,  9, 19), '....P..', '..', """MET activates RAS signaling"""]),
    'R-CEL-8851805':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates RAS signaling"""]),
    'R-CFA-8851805':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates RAS signaling"""]),
    'R-DRE-8851805':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates RAS signaling"""]),
    'R-GGA-8851805':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates RAS signaling"""]),
    'R-MMU-8851805':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates RAS signaling"""]),
    'R-RNO-8851805':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates RAS signaling"""]),
    'R-SSC-8851805':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates RAS signaling"""]),
    'R-XTR-8851805':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates RAS signaling"""]),
    'R-HSA-8851907':Nto._make([date(2016,  9, 19), '....P..', '..', """MET activates PI3K/AKT signaling"""]),
    'R-CEL-8851907':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates PI3K/AKT signaling"""]),
    'R-CFA-8851907':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates PI3K/AKT signaling"""]),
    'R-DRE-8851907':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates PI3K/AKT signaling"""]),
    'R-GGA-8851907':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates PI3K/AKT signaling"""]),
    'R-MMU-8851907':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates PI3K/AKT signaling"""]),
    'R-RNO-8851907':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates PI3K/AKT signaling"""]),
    'R-SSC-8851907':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates PI3K/AKT signaling"""]),
    'R-XTR-8851907':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates PI3K/AKT signaling"""]),
    'R-HSA-8852135':Nto._make([date(2016,  9, 19), '..f.P..', 'B.', """Protein ubiquitination"""]),
    'R-BTA-8852135':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein ubiquitination"""]),
    'R-CEL-8852135':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein ubiquitination"""]),
    'R-CFA-8852135':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein ubiquitination"""]),
    'R-DDI-8852135':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein ubiquitination"""]),
    'R-DME-8852135':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein ubiquitination"""]),
    'R-DRE-8852135':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein ubiquitination"""]),
    'R-GGA-8852135':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein ubiquitination"""]),
    'R-MMU-8852135':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein ubiquitination"""]),
    'R-PFA-8852135':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein ubiquitination"""]),
    'R-RNO-8852135':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein ubiquitination"""]),
    'R-SSC-8852135':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein ubiquitination"""]),
    'R-XTR-8852135':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein ubiquitination"""]),
    'R-HSA-8852276':Nto._make([date(2016,  3, 23), '....P..', 'B.', """The role of GTSE1 in G2/M progression after G2 checkpoint"""]),
    'R-BTA-8852276':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The role of GTSE1 in G2/M progression after G2 checkpoint"""]),
    'R-CFA-8852276':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The role of GTSE1 in G2/M progression after G2 checkpoint"""]),
    'R-DRE-8852276':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The role of GTSE1 in G2/M progression after G2 checkpoint"""]),
    'R-GGA-8852276':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The role of GTSE1 in G2/M progression after G2 checkpoint"""]),
    'R-MMU-8852276':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The role of GTSE1 in G2/M progression after G2 checkpoint"""]),
    'R-RNO-8852276':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The role of GTSE1 in G2/M progression after G2 checkpoint"""]),
    'R-SSC-8852276':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The role of GTSE1 in G2/M progression after G2 checkpoint"""]),
    'R-XTR-8852276':Nto._make([date(2019,  3, 20), '...I...', 'B.', """The role of GTSE1 in G2/M progression after G2 checkpoint"""]),
    'R-HSA-8852405':Nto._make([date(2016,  3, 23), '..f.P..', 'B.', """Signaling by MST1"""]),
    'R-BTA-8852405':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by MST1"""]),
    'R-CFA-8852405':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by MST1"""]),
    'R-DRE-8852405':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by MST1"""]),
    'R-GGA-8852405':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by MST1"""]),
    'R-MMU-8852405':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by MST1"""]),
    'R-RNO-8852405':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by MST1"""]),
    'R-SSC-8852405':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by MST1"""]),
    'R-XTR-8852405':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by MST1"""]),
    'R-HSA-8853333':Nto._make([date(2016,  3, 23), '.D..P..', '..', """Signaling by FGFR2 fusions"""]),
    'R-HSA-8853334':Nto._make([date(2016,  3, 23), '.Df.P..', '..', """Signaling by FGFR3 fusions in cancer"""]),
    'R-HSA-8853336':Nto._make([date(2016,  3, 23), '.D..P..', '..', """Signaling by plasma membrane FGFR1 fusions"""]),
    'R-HSA-8853338':Nto._make([date(2012,  6, 12), '.Df.P..', '..', """Signaling by FGFR3 point mutants in cancer"""]),
    'R-HSA-8853383':Nto._make([date(2016,  3, 23), '..f.P..', 'B.', """Lysosomal oligosaccharide catabolism"""]),
    'R-BTA-8853383':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lysosomal oligosaccharide catabolism"""]),
    'R-CEL-8853383':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lysosomal oligosaccharide catabolism"""]),
    'R-CFA-8853383':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lysosomal oligosaccharide catabolism"""]),
    'R-DDI-8853383':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lysosomal oligosaccharide catabolism"""]),
    'R-DME-8853383':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lysosomal oligosaccharide catabolism"""]),
    'R-DRE-8853383':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lysosomal oligosaccharide catabolism"""]),
    'R-GGA-8853383':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lysosomal oligosaccharide catabolism"""]),
    'R-MMU-8853383':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lysosomal oligosaccharide catabolism"""]),
    'R-RNO-8853383':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lysosomal oligosaccharide catabolism"""]),
    'R-SCE-8853383':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lysosomal oligosaccharide catabolism"""]),
    'R-SPO-8853383':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lysosomal oligosaccharide catabolism"""]),
    'R-SSC-8853383':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lysosomal oligosaccharide catabolism"""]),
    'R-XTR-8853383':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lysosomal oligosaccharide catabolism"""]),
    'R-HSA-8853659':Nto._make([date(2016,  6, 15), '..f.P..', '..', """RET signaling"""]),
    'R-BTA-8853659':Nto._make([date(2019,  3, 20), '..fI...', '..', """RET signaling"""]),
    'R-CFA-8853659':Nto._make([date(2019,  3, 20), '..fI...', '..', """RET signaling"""]),
    'R-DRE-8853659':Nto._make([date(2019,  3, 20), '..fI...', '..', """RET signaling"""]),
    'R-GGA-8853659':Nto._make([date(2019,  3, 20), '..fI...', '..', """RET signaling"""]),
    'R-MMU-8853659':Nto._make([date(2019,  3, 20), '..fI...', '..', """RET signaling"""]),
    'R-RNO-8853659':Nto._make([date(2019,  3, 20), '..fI...', '..', """RET signaling"""]),
    'R-SSC-8853659':Nto._make([date(2019,  3, 20), '..fI...', '..', """RET signaling"""]),
    'R-XTR-8853659':Nto._make([date(2019,  3, 20), '..fI...', '..', """RET signaling"""]),
    'R-HSA-8854050':Nto._make([date(2016,  9, 19), '....P..', 'BC', """FBXL7 down-regulates AURKA during mitotic entry and in early mitosis"""]),
    'R-BTA-8854050':Nto._make([date(2019,  3, 20), '...I...', 'BC', """FBXL7 down-regulates AURKA during mitotic entry and in early mitosis"""]),
    'R-CEL-8854050':Nto._make([date(2019,  3, 20), '...I...', 'BC', """FBXL7 down-regulates AURKA during mitotic entry and in early mitosis"""]),
    'R-CFA-8854050':Nto._make([date(2019,  3, 20), '...I...', 'BC', """FBXL7 down-regulates AURKA during mitotic entry and in early mitosis"""]),
    'R-DDI-8854050':Nto._make([date(2019,  3, 20), '...I...', 'BC', """FBXL7 down-regulates AURKA during mitotic entry and in early mitosis"""]),
    'R-DME-8854050':Nto._make([date(2019,  3, 20), '...I...', 'BC', """FBXL7 down-regulates AURKA during mitotic entry and in early mitosis"""]),
    'R-DRE-8854050':Nto._make([date(2019,  3, 20), '...I...', 'BC', """FBXL7 down-regulates AURKA during mitotic entry and in early mitosis"""]),
    'R-GGA-8854050':Nto._make([date(2019,  3, 20), '...I...', 'BC', """FBXL7 down-regulates AURKA during mitotic entry and in early mitosis"""]),
    'R-MMU-8854050':Nto._make([date(2019,  3, 20), '...I...', 'BC', """FBXL7 down-regulates AURKA during mitotic entry and in early mitosis"""]),
    'R-RNO-8854050':Nto._make([date(2019,  3, 20), '...I...', 'BC', """FBXL7 down-regulates AURKA during mitotic entry and in early mitosis"""]),
    'R-SCE-8854050':Nto._make([date(2019,  3, 20), '...I...', 'BC', """FBXL7 down-regulates AURKA during mitotic entry and in early mitosis"""]),
    'R-SPO-8854050':Nto._make([date(2019,  3, 20), '...I...', 'BC', """FBXL7 down-regulates AURKA during mitotic entry and in early mitosis"""]),
    'R-SSC-8854050':Nto._make([date(2019,  3, 20), '...I...', 'BC', """FBXL7 down-regulates AURKA during mitotic entry and in early mitosis"""]),
    'R-XTR-8854050':Nto._make([date(2019,  3, 20), '...I...', 'BC', """FBXL7 down-regulates AURKA during mitotic entry and in early mitosis"""]),
    'R-HSA-8854214':Nto._make([date(2016, 12, 12), '..f.P..', '..', """TBC/RABGAPs"""]),
    'R-BTA-8854214':Nto._make([date(2019,  3, 20), '..fI...', '..', """TBC/RABGAPs"""]),
    'R-CEL-8854214':Nto._make([date(2019,  3, 20), '..fI...', '..', """TBC/RABGAPs"""]),
    'R-CFA-8854214':Nto._make([date(2019,  3, 20), '..fI...', '..', """TBC/RABGAPs"""]),
    'R-DDI-8854214':Nto._make([date(2019,  3, 20), '..fI...', '..', """TBC/RABGAPs"""]),
    'R-DME-8854214':Nto._make([date(2019,  3, 20), '..fI...', '..', """TBC/RABGAPs"""]),
    'R-DRE-8854214':Nto._make([date(2019,  3, 20), '..fI...', '..', """TBC/RABGAPs"""]),
    'R-GGA-8854214':Nto._make([date(2019,  3, 20), '..fI...', '..', """TBC/RABGAPs"""]),
    'R-MMU-8854214':Nto._make([date(2019,  3, 20), '..fI...', '..', """TBC/RABGAPs"""]),
    'R-PFA-8854214':Nto._make([date(2019,  3, 20), '..fI...', '..', """TBC/RABGAPs"""]),
    'R-RNO-8854214':Nto._make([date(2019,  3, 20), '..fI...', '..', """TBC/RABGAPs"""]),
    'R-SCE-8854214':Nto._make([date(2019,  3, 20), '..fI...', '..', """TBC/RABGAPs"""]),
    'R-SPO-8854214':Nto._make([date(2019,  3, 20), '..fI...', '..', """TBC/RABGAPs"""]),
    'R-SSC-8854214':Nto._make([date(2019,  3, 20), '..fI...', '..', """TBC/RABGAPs"""]),
    'R-XTR-8854214':Nto._make([date(2019,  3, 20), '..fI...', '..', """TBC/RABGAPs"""]),
    'R-HSA-8854518':Nto._make([date(2016,  3, 23), '....P..', 'B.', """AURKA Activation by TPX2"""]),
    'R-BTA-8854518':Nto._make([date(2019,  3, 20), '...I...', 'B.', """AURKA Activation by TPX2"""]),
    'R-CFA-8854518':Nto._make([date(2019,  3, 20), '...I...', 'B.', """AURKA Activation by TPX2"""]),
    'R-DRE-8854518':Nto._make([date(2019,  3, 20), '...I...', 'B.', """AURKA Activation by TPX2"""]),
    'R-GGA-8854518':Nto._make([date(2019,  3, 20), '...I...', 'B.', """AURKA Activation by TPX2"""]),
    'R-MMU-8854518':Nto._make([date(2019,  3, 20), '...I...', 'B.', """AURKA Activation by TPX2"""]),
    'R-RNO-8854518':Nto._make([date(2019,  3, 20), '...I...', 'B.', """AURKA Activation by TPX2"""]),
    'R-SSC-8854518':Nto._make([date(2019,  3, 20), '...I...', 'B.', """AURKA Activation by TPX2"""]),
    'R-XTR-8854518':Nto._make([date(2019,  3, 20), '...I...', 'B.', """AURKA Activation by TPX2"""]),
    'R-HSA-8854521':Nto._make([date(2016,  3, 23), '....P..', '..', """Interaction between PHLDA1 and AURKA"""]),
    'R-BTA-8854521':Nto._make([date(2019,  3, 20), '...I...', '..', """Interaction between PHLDA1 and AURKA"""]),
    'R-CFA-8854521':Nto._make([date(2019,  3, 20), '...I...', '..', """Interaction between PHLDA1 and AURKA"""]),
    'R-DRE-8854521':Nto._make([date(2019,  3, 20), '...I...', '..', """Interaction between PHLDA1 and AURKA"""]),
    'R-GGA-8854521':Nto._make([date(2019,  3, 20), '...I...', '..', """Interaction between PHLDA1 and AURKA"""]),
    'R-MMU-8854521':Nto._make([date(2019,  3, 20), '...I...', '..', """Interaction between PHLDA1 and AURKA"""]),
    'R-RNO-8854521':Nto._make([date(2019,  3, 20), '...I...', '..', """Interaction between PHLDA1 and AURKA"""]),
    'R-SSC-8854521':Nto._make([date(2019,  3, 20), '...I...', '..', """Interaction between PHLDA1 and AURKA"""]),
    'R-XTR-8854521':Nto._make([date(2019,  3, 20), '...I...', '..', """Interaction between PHLDA1 and AURKA"""]),
    'R-HSA-8854691':Nto._make([date(2016,  3, 23), '..f.P..', 'B.', """Interleukin-20 family signaling"""]),
    'R-BTA-8854691':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-20 family signaling"""]),
    'R-CEL-8854691':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-20 family signaling"""]),
    'R-CFA-8854691':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-20 family signaling"""]),
    'R-DDI-8854691':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-20 family signaling"""]),
    'R-DME-8854691':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-20 family signaling"""]),
    'R-DRE-8854691':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-20 family signaling"""]),
    'R-GGA-8854691':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-20 family signaling"""]),
    'R-MMU-8854691':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-20 family signaling"""]),
    'R-RNO-8854691':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-20 family signaling"""]),
    'R-SSC-8854691':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-20 family signaling"""]),
    'R-XTR-8854691':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-20 family signaling"""]),
    'R-HSA-8856688':Nto._make([date(2016,  3, 23), '....P..', '..', """Golgi-to-ER retrograde transport"""]),
    'R-BTA-8856688':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi-to-ER retrograde transport"""]),
    'R-CEL-8856688':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi-to-ER retrograde transport"""]),
    'R-CFA-8856688':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi-to-ER retrograde transport"""]),
    'R-DDI-8856688':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi-to-ER retrograde transport"""]),
    'R-DME-8856688':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi-to-ER retrograde transport"""]),
    'R-DRE-8856688':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi-to-ER retrograde transport"""]),
    'R-GGA-8856688':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi-to-ER retrograde transport"""]),
    'R-MMU-8856688':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi-to-ER retrograde transport"""]),
    'R-PFA-8856688':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi-to-ER retrograde transport"""]),
    'R-RNO-8856688':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi-to-ER retrograde transport"""]),
    'R-SCE-8856688':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi-to-ER retrograde transport"""]),
    'R-SPO-8856688':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi-to-ER retrograde transport"""]),
    'R-SSC-8856688':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi-to-ER retrograde transport"""]),
    'R-XTR-8856688':Nto._make([date(2019,  3, 20), '...I...', '..', """Golgi-to-ER retrograde transport"""]),
    'R-HSA-8856825':Nto._make([date(2016,  6, 15), '..f.P..', '..', """Cargo recognition for clathrin-mediated endocytosis"""]),
    'R-BTA-8856825':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo recognition for clathrin-mediated endocytosis"""]),
    'R-CEL-8856825':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo recognition for clathrin-mediated endocytosis"""]),
    'R-CFA-8856825':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo recognition for clathrin-mediated endocytosis"""]),
    'R-DDI-8856825':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo recognition for clathrin-mediated endocytosis"""]),
    'R-DME-8856825':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo recognition for clathrin-mediated endocytosis"""]),
    'R-DRE-8856825':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo recognition for clathrin-mediated endocytosis"""]),
    'R-GGA-8856825':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo recognition for clathrin-mediated endocytosis"""]),
    'R-MMU-8856825':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo recognition for clathrin-mediated endocytosis"""]),
    'R-PFA-8856825':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo recognition for clathrin-mediated endocytosis"""]),
    'R-RNO-8856825':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo recognition for clathrin-mediated endocytosis"""]),
    'R-SCE-8856825':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo recognition for clathrin-mediated endocytosis"""]),
    'R-SPO-8856825':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo recognition for clathrin-mediated endocytosis"""]),
    'R-SSC-8856825':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo recognition for clathrin-mediated endocytosis"""]),
    'R-XTR-8856825':Nto._make([date(2019,  3, 20), '..fI...', '..', """Cargo recognition for clathrin-mediated endocytosis"""]),
    'R-HSA-8856828':Nto._make([date(2016,  6, 15), '..f.P..', '..', """Clathrin-mediated endocytosis"""]),
    'R-BTA-8856828':Nto._make([date(2019,  3, 20), '..fI...', '..', """Clathrin-mediated endocytosis"""]),
    'R-CEL-8856828':Nto._make([date(2019,  3, 20), '..fI...', '..', """Clathrin-mediated endocytosis"""]),
    'R-CFA-8856828':Nto._make([date(2019,  3, 20), '..fI...', '..', """Clathrin-mediated endocytosis"""]),
    'R-DDI-8856828':Nto._make([date(2019,  3, 20), '..fI...', '..', """Clathrin-mediated endocytosis"""]),
    'R-DME-8856828':Nto._make([date(2019,  3, 20), '..fI...', '..', """Clathrin-mediated endocytosis"""]),
    'R-DRE-8856828':Nto._make([date(2019,  3, 20), '..fI...', '..', """Clathrin-mediated endocytosis"""]),
    'R-GGA-8856828':Nto._make([date(2019,  3, 20), '..fI...', '..', """Clathrin-mediated endocytosis"""]),
    'R-MMU-8856828':Nto._make([date(2019,  3, 20), '..fI...', '..', """Clathrin-mediated endocytosis"""]),
    'R-PFA-8856828':Nto._make([date(2019,  3, 20), '..fI...', '..', """Clathrin-mediated endocytosis"""]),
    'R-RNO-8856828':Nto._make([date(2019,  3, 20), '..fI...', '..', """Clathrin-mediated endocytosis"""]),
    'R-SCE-8856828':Nto._make([date(2019,  3, 20), '..fI...', '..', """Clathrin-mediated endocytosis"""]),
    'R-SPO-8856828':Nto._make([date(2019,  3, 20), '..fI...', '..', """Clathrin-mediated endocytosis"""]),
    'R-SSC-8856828':Nto._make([date(2019,  3, 20), '..fI...', '..', """Clathrin-mediated endocytosis"""]),
    'R-XTR-8856828':Nto._make([date(2019,  3, 20), '..fI...', '..', """Clathrin-mediated endocytosis"""]),
    'R-HSA-8857538':Nto._make([date(2016,  3, 23), '....P..', '..', """PTK6 promotes HIF1A stabilization"""]),
    'R-BTA-8857538':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 promotes HIF1A stabilization"""]),
    'R-CFA-8857538':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 promotes HIF1A stabilization"""]),
    'R-DRE-8857538':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 promotes HIF1A stabilization"""]),
    'R-MMU-8857538':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 promotes HIF1A stabilization"""]),
    'R-RNO-8857538':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 promotes HIF1A stabilization"""]),
    'R-SSC-8857538':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 promotes HIF1A stabilization"""]),
    'R-XTR-8857538':Nto._make([date(2019,  3, 20), '...I...', '..', """PTK6 promotes HIF1A stabilization"""]),
    'R-HSA-8862803':Nto._make([date(2016,  9, 19), '.DF.P..', '..', """Deregulated CDK5 triggers multiple neurodegenerative pathways in Alzheimer's disease models"""]),
    'R-HSA-8863678':Nto._make([date(2016,  9, 19), '.Df.P..', '..', """Neurodegenerative Diseases"""]),
    'R-HSA-8863795':Nto._make([date(2016,  9, 19), '....P..', '..', """Downregulation of ERBB2 signaling"""]),
    'R-BTA-8863795':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2 signaling"""]),
    'R-CEL-8863795':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2 signaling"""]),
    'R-CFA-8863795':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2 signaling"""]),
    'R-DDI-8863795':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2 signaling"""]),
    'R-DME-8863795':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2 signaling"""]),
    'R-DRE-8863795':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2 signaling"""]),
    'R-GGA-8863795':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2 signaling"""]),
    'R-MMU-8863795':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2 signaling"""]),
    'R-RNO-8863795':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2 signaling"""]),
    'R-SCE-8863795':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2 signaling"""]),
    'R-SPO-8863795':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2 signaling"""]),
    'R-SSC-8863795':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2 signaling"""]),
    'R-XTR-8863795':Nto._make([date(2019,  3, 20), '...I...', '..', """Downregulation of ERBB2 signaling"""]),
    'R-HSA-8864260':Nto._make([date(2016,  6, 15), '..f.P..', 'B.', """Transcriptional regulation by the AP-2 (TFAP2) family of transcription factors"""]),
    'R-BTA-8864260':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional regulation by the AP-2 (TFAP2) family of transcription factors"""]),
    'R-CEL-8864260':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional regulation by the AP-2 (TFAP2) family of transcription factors"""]),
    'R-CFA-8864260':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional regulation by the AP-2 (TFAP2) family of transcription factors"""]),
    'R-DME-8864260':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional regulation by the AP-2 (TFAP2) family of transcription factors"""]),
    'R-DRE-8864260':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional regulation by the AP-2 (TFAP2) family of transcription factors"""]),
    'R-GGA-8864260':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional regulation by the AP-2 (TFAP2) family of transcription factors"""]),
    'R-MMU-8864260':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional regulation by the AP-2 (TFAP2) family of transcription factors"""]),
    'R-RNO-8864260':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional regulation by the AP-2 (TFAP2) family of transcription factors"""]),
    'R-SSC-8864260':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional regulation by the AP-2 (TFAP2) family of transcription factors"""]),
    'R-XTR-8864260':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional regulation by the AP-2 (TFAP2) family of transcription factors"""]),
    'R-HSA-8865999':Nto._make([date(2016,  9, 19), '....P..', '..', """MET activates PTPN11"""]),
    'R-CFA-8865999':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates PTPN11"""]),
    'R-GGA-8865999':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates PTPN11"""]),
    'R-MMU-8865999':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates PTPN11"""]),
    'R-RNO-8865999':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates PTPN11"""]),
    'R-SSC-8865999':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates PTPN11"""]),
    'R-XTR-8865999':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates PTPN11"""]),
    'R-HSA-8866376':Nto._make([date(2016,  6, 15), '..f.P..', '..', """Reelin signalling pathway"""]),
    'R-BTA-8866376':Nto._make([date(2019,  3, 20), '..fI...', '..', """Reelin signalling pathway"""]),
    'R-CEL-8866376':Nto._make([date(2019,  3, 20), '..fI...', '..', """Reelin signalling pathway"""]),
    'R-CFA-8866376':Nto._make([date(2019,  3, 20), '..fI...', '..', """Reelin signalling pathway"""]),
    'R-DRE-8866376':Nto._make([date(2019,  3, 20), '..fI...', '..', """Reelin signalling pathway"""]),
    'R-MMU-8866376':Nto._make([date(2019,  3, 20), '..fI...', '..', """Reelin signalling pathway"""]),
    'R-RNO-8866376':Nto._make([date(2019,  3, 20), '..fI...', '..', """Reelin signalling pathway"""]),
    'R-SSC-8866376':Nto._make([date(2019,  3, 20), '..fI...', '..', """Reelin signalling pathway"""]),
    'R-XTR-8866376':Nto._make([date(2019,  3, 20), '..fI...', '..', """Reelin signalling pathway"""]),
    'R-HSA-8866423':Nto._make([date(2016,  6, 15), '....P..', 'B.', """VLDL assembly"""]),
    'R-BTA-8866423':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDL assembly"""]),
    'R-CFA-8866423':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDL assembly"""]),
    'R-DRE-8866423':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDL assembly"""]),
    'R-MMU-8866423':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDL assembly"""]),
    'R-RNO-8866423':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDL assembly"""]),
    'R-SSC-8866423':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDL assembly"""]),
    'R-XTR-8866423':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDL assembly"""]),
    'R-HSA-8866427':Nto._make([date(2016,  6, 15), '....P..', 'B.', """VLDLR internalisation and degradation"""]),
    'R-BTA-8866427':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDLR internalisation and degradation"""]),
    'R-CEL-8866427':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDLR internalisation and degradation"""]),
    'R-CFA-8866427':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDLR internalisation and degradation"""]),
    'R-DDI-8866427':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDLR internalisation and degradation"""]),
    'R-DME-8866427':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDLR internalisation and degradation"""]),
    'R-DRE-8866427':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDLR internalisation and degradation"""]),
    'R-GGA-8866427':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDLR internalisation and degradation"""]),
    'R-MMU-8866427':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDLR internalisation and degradation"""]),
    'R-RNO-8866427':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDLR internalisation and degradation"""]),
    'R-SCE-8866427':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDLR internalisation and degradation"""]),
    'R-SPO-8866427':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDLR internalisation and degradation"""]),
    'R-SSC-8866427':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDLR internalisation and degradation"""]),
    'R-XTR-8866427':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDLR internalisation and degradation"""]),
    'R-HSA-8866652':Nto._make([date(2016,  9, 19), '....P..', 'B.', """Synthesis of active ubiquitin: roles of E1 and E2 enzymes"""]),
    'R-BTA-8866652':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of active ubiquitin: roles of E1 and E2 enzymes"""]),
    'R-CEL-8866652':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of active ubiquitin: roles of E1 and E2 enzymes"""]),
    'R-CFA-8866652':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of active ubiquitin: roles of E1 and E2 enzymes"""]),
    'R-DDI-8866652':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of active ubiquitin: roles of E1 and E2 enzymes"""]),
    'R-DME-8866652':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of active ubiquitin: roles of E1 and E2 enzymes"""]),
    'R-DRE-8866652':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of active ubiquitin: roles of E1 and E2 enzymes"""]),
    'R-GGA-8866652':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of active ubiquitin: roles of E1 and E2 enzymes"""]),
    'R-MMU-8866652':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of active ubiquitin: roles of E1 and E2 enzymes"""]),
    'R-PFA-8866652':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of active ubiquitin: roles of E1 and E2 enzymes"""]),
    'R-RNO-8866652':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of active ubiquitin: roles of E1 and E2 enzymes"""]),
    'R-SSC-8866652':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of active ubiquitin: roles of E1 and E2 enzymes"""]),
    'R-XTR-8866652':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Synthesis of active ubiquitin: roles of E1 and E2 enzymes"""]),
    'R-HSA-8866654':Nto._make([date(2016, 12, 12), '..f.P..', 'B.', """E3 ubiquitin ligases ubiquitinate target proteins"""]),
    'R-BTA-8866654':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """E3 ubiquitin ligases ubiquitinate target proteins"""]),
    'R-CEL-8866654':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """E3 ubiquitin ligases ubiquitinate target proteins"""]),
    'R-CFA-8866654':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """E3 ubiquitin ligases ubiquitinate target proteins"""]),
    'R-DDI-8866654':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """E3 ubiquitin ligases ubiquitinate target proteins"""]),
    'R-DME-8866654':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """E3 ubiquitin ligases ubiquitinate target proteins"""]),
    'R-DRE-8866654':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """E3 ubiquitin ligases ubiquitinate target proteins"""]),
    'R-GGA-8866654':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """E3 ubiquitin ligases ubiquitinate target proteins"""]),
    'R-MMU-8866654':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """E3 ubiquitin ligases ubiquitinate target proteins"""]),
    'R-RNO-8866654':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """E3 ubiquitin ligases ubiquitinate target proteins"""]),
    'R-SSC-8866654':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """E3 ubiquitin ligases ubiquitinate target proteins"""]),
    'R-XTR-8866654':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """E3 ubiquitin ligases ubiquitinate target proteins"""]),
    'R-HSA-8866904':Nto._make([date(2016,  6, 15), '....P..', 'B.', """Negative regulation of activity of TFAP2 (AP-2) family transcription factors"""]),
    'R-BTA-8866904':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulation of activity of TFAP2 (AP-2) family transcription factors"""]),
    'R-CEL-8866904':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulation of activity of TFAP2 (AP-2) family transcription factors"""]),
    'R-CFA-8866904':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulation of activity of TFAP2 (AP-2) family transcription factors"""]),
    'R-DME-8866904':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulation of activity of TFAP2 (AP-2) family transcription factors"""]),
    'R-DRE-8866904':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulation of activity of TFAP2 (AP-2) family transcription factors"""]),
    'R-GGA-8866904':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulation of activity of TFAP2 (AP-2) family transcription factors"""]),
    'R-MMU-8866904':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulation of activity of TFAP2 (AP-2) family transcription factors"""]),
    'R-RNO-8866904':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulation of activity of TFAP2 (AP-2) family transcription factors"""]),
    'R-SSC-8866904':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulation of activity of TFAP2 (AP-2) family transcription factors"""]),
    'R-XTR-8866904':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulation of activity of TFAP2 (AP-2) family transcription factors"""]),
    'R-HSA-8866906':Nto._make([date(2016,  6, 15), '....P..', 'B.', """TFAP2 (AP-2) family regulates transcription of other transcription factors"""]),
    'R-HSA-8866907':Nto._make([date(2016,  6, 15), '....P..', 'B.', """Activation of the TFAP2 (AP-2) family of transcription factors"""]),
    'R-BTA-8866907':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of the TFAP2 (AP-2) family of transcription factors"""]),
    'R-CEL-8866907':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of the TFAP2 (AP-2) family of transcription factors"""]),
    'R-CFA-8866907':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of the TFAP2 (AP-2) family of transcription factors"""]),
    'R-DME-8866907':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of the TFAP2 (AP-2) family of transcription factors"""]),
    'R-DRE-8866907':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of the TFAP2 (AP-2) family of transcription factors"""]),
    'R-GGA-8866907':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of the TFAP2 (AP-2) family of transcription factors"""]),
    'R-MMU-8866907':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of the TFAP2 (AP-2) family of transcription factors"""]),
    'R-RNO-8866907':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of the TFAP2 (AP-2) family of transcription factors"""]),
    'R-SSC-8866907':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of the TFAP2 (AP-2) family of transcription factors"""]),
    'R-XTR-8866907':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activation of the TFAP2 (AP-2) family of transcription factors"""]),
    'R-HSA-8866910':Nto._make([date(2016,  6, 15), '....P..', 'B.', """TFAP2 (AP-2) family regulates transcription of growth factors and their receptors"""]),
    'R-BTA-8866910':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TFAP2 (AP-2) family regulates transcription of growth factors and their receptors"""]),
    'R-CFA-8866910':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TFAP2 (AP-2) family regulates transcription of growth factors and their receptors"""]),
    'R-DRE-8866910':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TFAP2 (AP-2) family regulates transcription of growth factors and their receptors"""]),
    'R-GGA-8866910':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TFAP2 (AP-2) family regulates transcription of growth factors and their receptors"""]),
    'R-MMU-8866910':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TFAP2 (AP-2) family regulates transcription of growth factors and their receptors"""]),
    'R-RNO-8866910':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TFAP2 (AP-2) family regulates transcription of growth factors and their receptors"""]),
    'R-SSC-8866910':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TFAP2 (AP-2) family regulates transcription of growth factors and their receptors"""]),
    'R-XTR-8866910':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TFAP2 (AP-2) family regulates transcription of growth factors and their receptors"""]),
    'R-HSA-8866911':Nto._make([date(2016,  6, 15), '....P..', 'B.', """TFAP2 (AP-2) family regulates transcription of cell cycle factors"""]),
    'R-BTA-8866911':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TFAP2 (AP-2) family regulates transcription of cell cycle factors"""]),
    'R-DME-8866911':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TFAP2 (AP-2) family regulates transcription of cell cycle factors"""]),
    'R-DRE-8866911':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TFAP2 (AP-2) family regulates transcription of cell cycle factors"""]),
    'R-MMU-8866911':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TFAP2 (AP-2) family regulates transcription of cell cycle factors"""]),
    'R-RNO-8866911':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TFAP2 (AP-2) family regulates transcription of cell cycle factors"""]),
    'R-XTR-8866911':Nto._make([date(2019,  3, 20), '...I...', 'B.', """TFAP2 (AP-2) family regulates transcription of cell cycle factors"""]),
    'R-HSA-8868766':Nto._make([date(2016,  6, 15), '....P..', 'B.', """rRNA processing in the mitochondrion"""]),
    'R-HSA-8868773':Nto._make([date(2016,  6, 15), '..F.P..', 'B.', """rRNA processing in the nucleus and cytosol"""]),
    'R-BTA-8868773':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing in the nucleus and cytosol"""]),
    'R-CEL-8868773':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing in the nucleus and cytosol"""]),
    'R-CFA-8868773':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing in the nucleus and cytosol"""]),
    'R-DDI-8868773':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing in the nucleus and cytosol"""]),
    'R-DME-8868773':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing in the nucleus and cytosol"""]),
    'R-DRE-8868773':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing in the nucleus and cytosol"""]),
    'R-GGA-8868773':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing in the nucleus and cytosol"""]),
    'R-MMU-8868773':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing in the nucleus and cytosol"""]),
    'R-RNO-8868773':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing in the nucleus and cytosol"""]),
    'R-SCE-8868773':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing in the nucleus and cytosol"""]),
    'R-SPO-8868773':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing in the nucleus and cytosol"""]),
    'R-SSC-8868773':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing in the nucleus and cytosol"""]),
    'R-XTR-8868773':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """rRNA processing in the nucleus and cytosol"""]),
    'R-HSA-8869496':Nto._make([date(2016,  6, 15), '....P..', '.C', """TFAP2A acts as a transcriptional repressor during retinoic acid induced cell differentiation"""]),
    'R-BTA-8869496':Nto._make([date(2019,  3, 20), '...I...', '.C', """TFAP2A acts as a transcriptional repressor during retinoic acid induced cell differentiation"""]),
    'R-CFA-8869496':Nto._make([date(2019,  3, 20), '...I...', '.C', """TFAP2A acts as a transcriptional repressor during retinoic acid induced cell differentiation"""]),
    'R-DME-8869496':Nto._make([date(2019,  3, 20), '...I...', '.C', """TFAP2A acts as a transcriptional repressor during retinoic acid induced cell differentiation"""]),
    'R-DRE-8869496':Nto._make([date(2019,  3, 20), '...I...', '.C', """TFAP2A acts as a transcriptional repressor during retinoic acid induced cell differentiation"""]),
    'R-MMU-8869496':Nto._make([date(2019,  3, 20), '...I...', '.C', """TFAP2A acts as a transcriptional repressor during retinoic acid induced cell differentiation"""]),
    'R-RNO-8869496':Nto._make([date(2019,  3, 20), '...I...', '.C', """TFAP2A acts as a transcriptional repressor during retinoic acid induced cell differentiation"""]),
    'R-SSC-8869496':Nto._make([date(2019,  3, 20), '...I...', '.C', """TFAP2A acts as a transcriptional repressor during retinoic acid induced cell differentiation"""]),
    'R-XTR-8869496':Nto._make([date(2019,  3, 20), '...I...', '.C', """TFAP2A acts as a transcriptional repressor during retinoic acid induced cell differentiation"""]),
    'R-HSA-8873719':Nto._make([date(2016, 12, 12), '..f.P..', '..', """RAB geranylgeranylation"""]),
    'R-CEL-8873719':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB geranylgeranylation"""]),
    'R-CFA-8873719':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB geranylgeranylation"""]),
    'R-DDI-8873719':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB geranylgeranylation"""]),
    'R-DME-8873719':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB geranylgeranylation"""]),
    'R-DRE-8873719':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB geranylgeranylation"""]),
    'R-GGA-8873719':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB geranylgeranylation"""]),
    'R-MMU-8873719':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB geranylgeranylation"""]),
    'R-PFA-8873719':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB geranylgeranylation"""]),
    'R-RNO-8873719':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB geranylgeranylation"""]),
    'R-SCE-8873719':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB geranylgeranylation"""]),
    'R-SPO-8873719':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB geranylgeranylation"""]),
    'R-SSC-8873719':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB geranylgeranylation"""]),
    'R-XTR-8873719':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB geranylgeranylation"""]),
    'R-HSA-8874081':Nto._make([date(2016,  9, 19), '....P..', '..', """MET activates PTK2 signaling"""]),
    'R-CEL-8874081':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates PTK2 signaling"""]),
    'R-CFA-8874081':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates PTK2 signaling"""]),
    'R-DRE-8874081':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates PTK2 signaling"""]),
    'R-GGA-8874081':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates PTK2 signaling"""]),
    'R-MMU-8874081':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates PTK2 signaling"""]),
    'R-RNO-8874081':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates PTK2 signaling"""]),
    'R-XTR-8874081':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates PTK2 signaling"""]),
    'R-HSA-8874211':Nto._make([date(2017,  3, 27), '....P..', '..', """CREB3 factors activate genes"""]),
    'R-BTA-8874211':Nto._make([date(2019,  3, 20), '...I...', '..', """CREB3 factors activate genes"""]),
    'R-CEL-8874211':Nto._make([date(2019,  3, 20), '...I...', '..', """CREB3 factors activate genes"""]),
    'R-CFA-8874211':Nto._make([date(2019,  3, 20), '...I...', '..', """CREB3 factors activate genes"""]),
    'R-DRE-8874211':Nto._make([date(2019,  3, 20), '...I...', '..', """CREB3 factors activate genes"""]),
    'R-GGA-8874211':Nto._make([date(2019,  3, 20), '...I...', '..', """CREB3 factors activate genes"""]),
    'R-MMU-8874211':Nto._make([date(2019,  3, 20), '...I...', '..', """CREB3 factors activate genes"""]),
    'R-RNO-8874211':Nto._make([date(2019,  3, 20), '...I...', '..', """CREB3 factors activate genes"""]),
    'R-SSC-8874211':Nto._make([date(2019,  3, 20), '...I...', '..', """CREB3 factors activate genes"""]),
    'R-XTR-8874211':Nto._make([date(2019,  3, 20), '...I...', '..', """CREB3 factors activate genes"""]),
    'R-HSA-8875360':Nto._make([date(2016, 12, 12), '.D..P..', 'B.', """InlB-mediated entry of Listeria monocytogenes into host cell"""]),
    'R-HSA-8875513':Nto._make([date(2016,  9, 19), '....P..', '..', """MET interacts with TNS proteins"""]),
    'R-DRE-8875513':Nto._make([date(2019,  3, 20), '...I...', '..', """MET interacts with TNS proteins"""]),
    'R-GGA-8875513':Nto._make([date(2019,  3, 20), '...I...', '..', """MET interacts with TNS proteins"""]),
    'R-MMU-8875513':Nto._make([date(2019,  3, 20), '...I...', '..', """MET interacts with TNS proteins"""]),
    'R-RNO-8875513':Nto._make([date(2019,  3, 20), '...I...', '..', """MET interacts with TNS proteins"""]),
    'R-XTR-8875513':Nto._make([date(2019,  3, 20), '...I...', '..', """MET interacts with TNS proteins"""]),
    'R-HSA-8875555':Nto._make([date(2016,  9, 19), '....P..', '..', """MET activates RAP1 and RAC1"""]),
    'R-CEL-8875555':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates RAP1 and RAC1"""]),
    'R-CFA-8875555':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates RAP1 and RAC1"""]),
    'R-DRE-8875555':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates RAP1 and RAC1"""]),
    'R-GGA-8875555':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates RAP1 and RAC1"""]),
    'R-MMU-8875555':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates RAP1 and RAC1"""]),
    'R-RNO-8875555':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates RAP1 and RAC1"""]),
    'R-SSC-8875555':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates RAP1 and RAC1"""]),
    'R-XTR-8875555':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates RAP1 and RAC1"""]),
    'R-HSA-8875656':Nto._make([date(2016,  9, 19), '....P..', '..', """MET receptor recycling"""]),
    'R-CEL-8875656':Nto._make([date(2019,  3, 20), '...I...', '..', """MET receptor recycling"""]),
    'R-CFA-8875656':Nto._make([date(2019,  3, 20), '...I...', '..', """MET receptor recycling"""]),
    'R-DRE-8875656':Nto._make([date(2019,  3, 20), '...I...', '..', """MET receptor recycling"""]),
    'R-GGA-8875656':Nto._make([date(2019,  3, 20), '...I...', '..', """MET receptor recycling"""]),
    'R-MMU-8875656':Nto._make([date(2019,  3, 20), '...I...', '..', """MET receptor recycling"""]),
    'R-RNO-8875656':Nto._make([date(2019,  3, 20), '...I...', '..', """MET receptor recycling"""]),
    'R-SSC-8875656':Nto._make([date(2019,  3, 20), '...I...', '..', """MET receptor recycling"""]),
    'R-XTR-8875656':Nto._make([date(2019,  3, 20), '...I...', '..', """MET receptor recycling"""]),
    'R-HSA-8875791':Nto._make([date(2016,  9, 19), '....P..', '..', """MET activates STAT3"""]),
    'R-DRE-8875791':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates STAT3"""]),
    'R-GGA-8875791':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates STAT3"""]),
    'R-MMU-8875791':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates STAT3"""]),
    'R-RNO-8875791':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates STAT3"""]),
    'R-XTR-8875791':Nto._make([date(2019,  3, 20), '...I...', '..', """MET activates STAT3"""]),
    'R-HSA-8875878':Nto._make([date(2016,  9, 19), '....P..', '..', """MET promotes cell motility"""]),
    'R-CEL-8875878':Nto._make([date(2019,  3, 20), '...I...', '..', """MET promotes cell motility"""]),
    'R-CFA-8875878':Nto._make([date(2019,  3, 20), '...I...', '..', """MET promotes cell motility"""]),
    'R-DRE-8875878':Nto._make([date(2019,  3, 20), '...I...', '..', """MET promotes cell motility"""]),
    'R-GGA-8875878':Nto._make([date(2019,  3, 20), '...I...', '..', """MET promotes cell motility"""]),
    'R-MMU-8875878':Nto._make([date(2019,  3, 20), '...I...', '..', """MET promotes cell motility"""]),
    'R-RNO-8875878':Nto._make([date(2019,  3, 20), '...I...', '..', """MET promotes cell motility"""]),
    'R-SSC-8875878':Nto._make([date(2019,  3, 20), '...I...', '..', """MET promotes cell motility"""]),
    'R-XTR-8875878':Nto._make([date(2019,  3, 20), '...I...', '..', """MET promotes cell motility"""]),
    'R-HSA-8876198':Nto._make([date(2016,  9, 19), '..f.P..', '..', """RAB GEFs exchange GTP for GDP on RABs"""]),
    'R-BTA-8876198':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB GEFs exchange GTP for GDP on RABs"""]),
    'R-CEL-8876198':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB GEFs exchange GTP for GDP on RABs"""]),
    'R-CFA-8876198':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB GEFs exchange GTP for GDP on RABs"""]),
    'R-DDI-8876198':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB GEFs exchange GTP for GDP on RABs"""]),
    'R-DME-8876198':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB GEFs exchange GTP for GDP on RABs"""]),
    'R-DRE-8876198':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB GEFs exchange GTP for GDP on RABs"""]),
    'R-GGA-8876198':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB GEFs exchange GTP for GDP on RABs"""]),
    'R-MMU-8876198':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB GEFs exchange GTP for GDP on RABs"""]),
    'R-PFA-8876198':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB GEFs exchange GTP for GDP on RABs"""]),
    'R-RNO-8876198':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB GEFs exchange GTP for GDP on RABs"""]),
    'R-SCE-8876198':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB GEFs exchange GTP for GDP on RABs"""]),
    'R-SPO-8876198':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB GEFs exchange GTP for GDP on RABs"""]),
    'R-SSC-8876198':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB GEFs exchange GTP for GDP on RABs"""]),
    'R-XTR-8876198':Nto._make([date(2019,  3, 20), '..fI...', '..', """RAB GEFs exchange GTP for GDP on RABs"""]),
    'R-HSA-8876384':Nto._make([date(2016, 12, 12), '.Df.PB.', 'B.', """Listeria monocytogenes entry into host cells"""]),
    'R-HSA-8876493':Nto._make([date(2016, 12, 12), '.D..P..', 'B.', """InlA-mediated entry of Listeria monocytogenes into host cells"""]),
    'R-HSA-8876725':Nto._make([date(2016, 12, 12), '..f.P..', 'B.', """Protein methylation"""]),
    'R-BTA-8876725':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein methylation"""]),
    'R-CEL-8876725':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein methylation"""]),
    'R-CFA-8876725':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein methylation"""]),
    'R-DDI-8876725':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein methylation"""]),
    'R-DME-8876725':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein methylation"""]),
    'R-DRE-8876725':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein methylation"""]),
    'R-GGA-8876725':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein methylation"""]),
    'R-MMU-8876725':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein methylation"""]),
    'R-PFA-8876725':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein methylation"""]),
    'R-RNO-8876725':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein methylation"""]),
    'R-SCE-8876725':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein methylation"""]),
    'R-SPO-8876725':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein methylation"""]),
    'R-SSC-8876725':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein methylation"""]),
    'R-XTR-8876725':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Protein methylation"""]),
    'R-HSA-8877330':Nto._make([date(2017,  6, 12), '..f.P..', 'B.', """RUNX1 and FOXP3 control the development of regulatory T lymphocytes (Tregs)"""]),
    'R-BTA-8877330':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RUNX1 and FOXP3 control the development of regulatory T lymphocytes (Tregs)"""]),
    'R-CEL-8877330':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RUNX1 and FOXP3 control the development of regulatory T lymphocytes (Tregs)"""]),
    'R-CFA-8877330':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RUNX1 and FOXP3 control the development of regulatory T lymphocytes (Tregs)"""]),
    'R-DRE-8877330':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RUNX1 and FOXP3 control the development of regulatory T lymphocytes (Tregs)"""]),
    'R-MMU-8877330':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RUNX1 and FOXP3 control the development of regulatory T lymphocytes (Tregs)"""]),
    'R-RNO-8877330':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RUNX1 and FOXP3 control the development of regulatory T lymphocytes (Tregs)"""]),
    'R-SSC-8877330':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RUNX1 and FOXP3 control the development of regulatory T lymphocytes (Tregs)"""]),
    'R-XTR-8877330':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RUNX1 and FOXP3 control the development of regulatory T lymphocytes (Tregs)"""]),
    'R-HSA-8877627':Nto._make([date(2017,  3, 27), '..f.P..', 'B.', """Vitamin E"""]),
    'R-BTA-8877627':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Vitamin E"""]),
    'R-CFA-8877627':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Vitamin E"""]),
    'R-DDI-8877627':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Vitamin E"""]),
    'R-DME-8877627':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Vitamin E"""]),
    'R-DRE-8877627':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Vitamin E"""]),
    'R-GGA-8877627':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Vitamin E"""]),
    'R-MMU-8877627':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Vitamin E"""]),
    'R-RNO-8877627':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Vitamin E"""]),
    'R-XTR-8877627':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Vitamin E"""]),
    'R-HSA-8878159':Nto._make([date(2017,  3, 27), '..f.P..', '..', """Transcriptional regulation by RUNX3"""]),
    'R-BTA-8878159':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX3"""]),
    'R-CEL-8878159':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX3"""]),
    'R-CFA-8878159':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX3"""]),
    'R-DME-8878159':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX3"""]),
    'R-DRE-8878159':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX3"""]),
    'R-GGA-8878159':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX3"""]),
    'R-MMU-8878159':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX3"""]),
    'R-RNO-8878159':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX3"""]),
    'R-SSC-8878159':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX3"""]),
    'R-XTR-8878159':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX3"""]),
    'R-HSA-8878166':Nto._make([date(2017,  9, 12), '..f.P..', '..', """Transcriptional regulation by RUNX2"""]),
    'R-BTA-8878166':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX2"""]),
    'R-CEL-8878166':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX2"""]),
    'R-CFA-8878166':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX2"""]),
    'R-DME-8878166':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX2"""]),
    'R-DRE-8878166':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX2"""]),
    'R-GGA-8878166':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX2"""]),
    'R-MMU-8878166':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX2"""]),
    'R-RNO-8878166':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX2"""]),
    'R-SSC-8878166':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX2"""]),
    'R-XTR-8878166':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX2"""]),
    'R-HSA-8878171':Nto._make([date(2017,  6, 12), '..f.P..', '..', """Transcriptional regulation by RUNX1"""]),
    'R-BTA-8878171':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX1"""]),
    'R-CEL-8878171':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX1"""]),
    'R-CFA-8878171':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX1"""]),
    'R-DME-8878171':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX1"""]),
    'R-DRE-8878171':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX1"""]),
    'R-GGA-8878171':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX1"""]),
    'R-MMU-8878171':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX1"""]),
    'R-RNO-8878171':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX1"""]),
    'R-SSC-8878171':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX1"""]),
    'R-XTR-8878171':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional regulation by RUNX1"""]),
    'R-HSA-8931987':Nto._make([date(2017,  6, 12), '....P..', 'B.', """RUNX1 regulates estrogen receptor mediated transcription"""]),
    'R-BTA-8931987':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates estrogen receptor mediated transcription"""]),
    'R-CFA-8931987':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates estrogen receptor mediated transcription"""]),
    'R-DME-8931987':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates estrogen receptor mediated transcription"""]),
    'R-DRE-8931987':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates estrogen receptor mediated transcription"""]),
    'R-GGA-8931987':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates estrogen receptor mediated transcription"""]),
    'R-MMU-8931987':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates estrogen receptor mediated transcription"""]),
    'R-RNO-8931987':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates estrogen receptor mediated transcription"""]),
    'R-XTR-8931987':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates estrogen receptor mediated transcription"""]),
    'R-HSA-8934593':Nto._make([date(2017,  6, 12), '..f.P..', '..', """Regulation of RUNX1 Expression and Activity"""]),
    'R-BTA-8934593':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of RUNX1 Expression and Activity"""]),
    'R-CEL-8934593':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of RUNX1 Expression and Activity"""]),
    'R-CFA-8934593':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of RUNX1 Expression and Activity"""]),
    'R-DME-8934593':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of RUNX1 Expression and Activity"""]),
    'R-DRE-8934593':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of RUNX1 Expression and Activity"""]),
    'R-GGA-8934593':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of RUNX1 Expression and Activity"""]),
    'R-MMU-8934593':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of RUNX1 Expression and Activity"""]),
    'R-RNO-8934593':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of RUNX1 Expression and Activity"""]),
    'R-SSC-8934593':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of RUNX1 Expression and Activity"""]),
    'R-XTR-8934593':Nto._make([date(2019,  3, 20), '..fI...', '..', """Regulation of RUNX1 Expression and Activity"""]),
    'R-HSA-8934903':Nto._make([date(2017,  3, 27), '....P..', 'BC', """Receptor Mediated Mitophagy"""]),
    'R-BTA-8934903':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Receptor Mediated Mitophagy"""]),
    'R-CEL-8934903':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Receptor Mediated Mitophagy"""]),
    'R-CFA-8934903':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Receptor Mediated Mitophagy"""]),
    'R-DDI-8934903':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Receptor Mediated Mitophagy"""]),
    'R-DME-8934903':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Receptor Mediated Mitophagy"""]),
    'R-DRE-8934903':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Receptor Mediated Mitophagy"""]),
    'R-GGA-8934903':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Receptor Mediated Mitophagy"""]),
    'R-MMU-8934903':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Receptor Mediated Mitophagy"""]),
    'R-PFA-8934903':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Receptor Mediated Mitophagy"""]),
    'R-RNO-8934903':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Receptor Mediated Mitophagy"""]),
    'R-SCE-8934903':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Receptor Mediated Mitophagy"""]),
    'R-SPO-8934903':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Receptor Mediated Mitophagy"""]),
    'R-SSC-8934903':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Receptor Mediated Mitophagy"""]),
    'R-XTR-8934903':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Receptor Mediated Mitophagy"""]),
    'R-HSA-8935690':Nto._make([date(2016,  9, 19), '..f.PB.', 'B.', """Digestion"""]),
    'R-BTA-8935690':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Digestion"""]),
    'R-CEL-8935690':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Digestion"""]),
    'R-CFA-8935690':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Digestion"""]),
    'R-DDI-8935690':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Digestion"""]),
    'R-DME-8935690':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Digestion"""]),
    'R-DRE-8935690':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Digestion"""]),
    'R-GGA-8935690':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Digestion"""]),
    'R-MMU-8935690':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Digestion"""]),
    'R-PFA-8935690':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Digestion"""]),
    'R-RNO-8935690':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Digestion"""]),
    'R-SCE-8935690':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Digestion"""]),
    'R-SPO-8935690':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Digestion"""]),
    'R-SSC-8935690':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Digestion"""]),
    'R-XTR-8935690':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Digestion"""]),
    'R-HSA-8935964':Nto._make([date(2017,  6, 12), '....P..', 'BC', """RUNX1 regulates expression of components of tight junctions"""]),
    'R-HSA-8936459':Nto._make([date(2017,  6, 12), '..f.P..', 'B.', """RUNX1 regulates genes involved in megakaryocyte differentiation and platelet function"""]),
    'R-BTA-8936459':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RUNX1 regulates genes involved in megakaryocyte differentiation and platelet function"""]),
    'R-CEL-8936459':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RUNX1 regulates genes involved in megakaryocyte differentiation and platelet function"""]),
    'R-CFA-8936459':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RUNX1 regulates genes involved in megakaryocyte differentiation and platelet function"""]),
    'R-DME-8936459':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RUNX1 regulates genes involved in megakaryocyte differentiation and platelet function"""]),
    'R-DRE-8936459':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RUNX1 regulates genes involved in megakaryocyte differentiation and platelet function"""]),
    'R-GGA-8936459':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RUNX1 regulates genes involved in megakaryocyte differentiation and platelet function"""]),
    'R-MMU-8936459':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RUNX1 regulates genes involved in megakaryocyte differentiation and platelet function"""]),
    'R-RNO-8936459':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RUNX1 regulates genes involved in megakaryocyte differentiation and platelet function"""]),
    'R-SSC-8936459':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RUNX1 regulates genes involved in megakaryocyte differentiation and platelet function"""]),
    'R-XTR-8936459':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """RUNX1 regulates genes involved in megakaryocyte differentiation and platelet function"""]),
    'R-HSA-8937144':Nto._make([date(2016, 12, 12), '..f.P..', '..', """Aryl hydrocarbon receptor signalling"""]),
    'R-BTA-8937144':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aryl hydrocarbon receptor signalling"""]),
    'R-CEL-8937144':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aryl hydrocarbon receptor signalling"""]),
    'R-CFA-8937144':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aryl hydrocarbon receptor signalling"""]),
    'R-DDI-8937144':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aryl hydrocarbon receptor signalling"""]),
    'R-DME-8937144':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aryl hydrocarbon receptor signalling"""]),
    'R-DRE-8937144':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aryl hydrocarbon receptor signalling"""]),
    'R-GGA-8937144':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aryl hydrocarbon receptor signalling"""]),
    'R-MMU-8937144':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aryl hydrocarbon receptor signalling"""]),
    'R-RNO-8937144':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aryl hydrocarbon receptor signalling"""]),
    'R-SSC-8937144':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aryl hydrocarbon receptor signalling"""]),
    'R-XTR-8937144':Nto._make([date(2019,  3, 20), '..fI...', '..', """Aryl hydrocarbon receptor signalling"""]),
    'R-HSA-8939211':Nto._make([date(2018,  3, 21), '..f.P..', '..', """ESR-mediated signaling"""]),
    'R-BTA-8939211':Nto._make([date(2019,  3, 20), '..fI...', '..', """ESR-mediated signaling"""]),
    'R-CEL-8939211':Nto._make([date(2019,  3, 20), '..fI...', '..', """ESR-mediated signaling"""]),
    'R-CFA-8939211':Nto._make([date(2019,  3, 20), '..fI...', '..', """ESR-mediated signaling"""]),
    'R-DDI-8939211':Nto._make([date(2019,  3, 20), '..fI...', '..', """ESR-mediated signaling"""]),
    'R-DME-8939211':Nto._make([date(2019,  3, 20), '..fI...', '..', """ESR-mediated signaling"""]),
    'R-DRE-8939211':Nto._make([date(2019,  3, 20), '..fI...', '..', """ESR-mediated signaling"""]),
    'R-GGA-8939211':Nto._make([date(2019,  3, 20), '..fI...', '..', """ESR-mediated signaling"""]),
    'R-MMU-8939211':Nto._make([date(2019,  3, 20), '..fI...', '..', """ESR-mediated signaling"""]),
    'R-PFA-8939211':Nto._make([date(2019,  3, 20), '..fI...', '..', """ESR-mediated signaling"""]),
    'R-RNO-8939211':Nto._make([date(2019,  3, 20), '..fI...', '..', """ESR-mediated signaling"""]),
    'R-SCE-8939211':Nto._make([date(2019,  3, 20), '..fI...', '..', """ESR-mediated signaling"""]),
    'R-SPO-8939211':Nto._make([date(2019,  3, 20), '..fI...', '..', """ESR-mediated signaling"""]),
    'R-SSC-8939211':Nto._make([date(2019,  3, 20), '..fI...', '..', """ESR-mediated signaling"""]),
    'R-XTR-8939211':Nto._make([date(2019,  3, 20), '..fI...', '..', """ESR-mediated signaling"""]),
    'R-HSA-8939236':Nto._make([date(2017,  6, 12), '....P..', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of HSCs"""]),
    'R-BTA-8939236':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of HSCs"""]),
    'R-CEL-8939236':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of HSCs"""]),
    'R-CFA-8939236':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of HSCs"""]),
    'R-DME-8939236':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of HSCs"""]),
    'R-DRE-8939236':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of HSCs"""]),
    'R-GGA-8939236':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of HSCs"""]),
    'R-MMU-8939236':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of HSCs"""]),
    'R-RNO-8939236':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of HSCs"""]),
    'R-SSC-8939236':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of HSCs"""]),
    'R-XTR-8939236':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of HSCs"""]),
    'R-HSA-8939242':Nto._make([date(2017,  6, 12), '....P..', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of keratinocytes"""]),
    'R-BTA-8939242':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of keratinocytes"""]),
    'R-CFA-8939242':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of keratinocytes"""]),
    'R-DME-8939242':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of keratinocytes"""]),
    'R-DRE-8939242':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of keratinocytes"""]),
    'R-GGA-8939242':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of keratinocytes"""]),
    'R-MMU-8939242':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of keratinocytes"""]),
    'R-RNO-8939242':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of keratinocytes"""]),
    'R-SSC-8939242':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of keratinocytes"""]),
    'R-XTR-8939242':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of keratinocytes"""]),
    'R-HSA-8939243':Nto._make([date(2017,  6, 12), '....P..', '..', """RUNX1 interacts with co-factors whose precise effect on RUNX1 targets is not known"""]),
    'R-BTA-8939243':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX1 interacts with co-factors whose precise effect on RUNX1 targets is not known"""]),
    'R-CEL-8939243':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX1 interacts with co-factors whose precise effect on RUNX1 targets is not known"""]),
    'R-CFA-8939243':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX1 interacts with co-factors whose precise effect on RUNX1 targets is not known"""]),
    'R-DME-8939243':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX1 interacts with co-factors whose precise effect on RUNX1 targets is not known"""]),
    'R-DRE-8939243':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX1 interacts with co-factors whose precise effect on RUNX1 targets is not known"""]),
    'R-GGA-8939243':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX1 interacts with co-factors whose precise effect on RUNX1 targets is not known"""]),
    'R-MMU-8939243':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX1 interacts with co-factors whose precise effect on RUNX1 targets is not known"""]),
    'R-RNO-8939243':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX1 interacts with co-factors whose precise effect on RUNX1 targets is not known"""]),
    'R-SSC-8939243':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX1 interacts with co-factors whose precise effect on RUNX1 targets is not known"""]),
    'R-XTR-8939243':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX1 interacts with co-factors whose precise effect on RUNX1 targets is not known"""]),
    'R-HSA-8939245':Nto._make([date(2017,  6, 12), '....P..', 'B.', """RUNX1 regulates transcription of genes involved in BCR signaling"""]),
    'R-BTA-8939245':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in BCR signaling"""]),
    'R-CEL-8939245':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in BCR signaling"""]),
    'R-CFA-8939245':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in BCR signaling"""]),
    'R-DME-8939245':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in BCR signaling"""]),
    'R-DRE-8939245':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in BCR signaling"""]),
    'R-GGA-8939245':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in BCR signaling"""]),
    'R-MMU-8939245':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in BCR signaling"""]),
    'R-RNO-8939245':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in BCR signaling"""]),
    'R-SSC-8939245':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in BCR signaling"""]),
    'R-XTR-8939245':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in BCR signaling"""]),
    'R-HSA-8939246':Nto._make([date(2017,  6, 12), '....P..', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of myeloid cells"""]),
    'R-BTA-8939246':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of myeloid cells"""]),
    'R-CEL-8939246':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of myeloid cells"""]),
    'R-CFA-8939246':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of myeloid cells"""]),
    'R-DME-8939246':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of myeloid cells"""]),
    'R-GGA-8939246':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of myeloid cells"""]),
    'R-MMU-8939246':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of myeloid cells"""]),
    'R-RNO-8939246':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of myeloid cells"""]),
    'R-SSC-8939246':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of myeloid cells"""]),
    'R-XTR-8939246':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in differentiation of myeloid cells"""]),
    'R-HSA-8939247':Nto._make([date(2017,  6, 12), '....P..', 'B.', """RUNX1 regulates transcription of genes involved in interleukin signaling"""]),
    'R-BTA-8939247':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in interleukin signaling"""]),
    'R-CEL-8939247':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in interleukin signaling"""]),
    'R-CFA-8939247':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in interleukin signaling"""]),
    'R-DME-8939247':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in interleukin signaling"""]),
    'R-GGA-8939247':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in interleukin signaling"""]),
    'R-MMU-8939247':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in interleukin signaling"""]),
    'R-RNO-8939247':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in interleukin signaling"""]),
    'R-SSC-8939247':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in interleukin signaling"""]),
    'R-XTR-8939247':Nto._make([date(2019,  3, 20), '...I...', 'B.', """RUNX1 regulates transcription of genes involved in interleukin signaling"""]),
    'R-HSA-8939256':Nto._make([date(2017,  6, 12), '....P..', 'BC', """RUNX1 regulates transcription of genes involved in WNT signaling"""]),
    'R-HSA-8939902':Nto._make([date(2017,  9, 12), '..f.P..', '.C', """Regulation of RUNX2 expression and activity"""]),
    'R-BTA-8939902':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Regulation of RUNX2 expression and activity"""]),
    'R-CEL-8939902':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Regulation of RUNX2 expression and activity"""]),
    'R-CFA-8939902':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Regulation of RUNX2 expression and activity"""]),
    'R-DME-8939902':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Regulation of RUNX2 expression and activity"""]),
    'R-DRE-8939902':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Regulation of RUNX2 expression and activity"""]),
    'R-GGA-8939902':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Regulation of RUNX2 expression and activity"""]),
    'R-MMU-8939902':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Regulation of RUNX2 expression and activity"""]),
    'R-RNO-8939902':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Regulation of RUNX2 expression and activity"""]),
    'R-SSC-8939902':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Regulation of RUNX2 expression and activity"""]),
    'R-XTR-8939902':Nto._make([date(2019,  3, 20), '..fI...', '.C', """Regulation of RUNX2 expression and activity"""]),
    'R-HSA-8940973':Nto._make([date(2017,  9, 12), '....P..', '..', """RUNX2 regulates osteoblast differentiation"""]),
    'R-BTA-8940973':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX2 regulates osteoblast differentiation"""]),
    'R-CFA-8940973':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX2 regulates osteoblast differentiation"""]),
    'R-DME-8940973':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX2 regulates osteoblast differentiation"""]),
    'R-DRE-8940973':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX2 regulates osteoblast differentiation"""]),
    'R-GGA-8940973':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX2 regulates osteoblast differentiation"""]),
    'R-MMU-8940973':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX2 regulates osteoblast differentiation"""]),
    'R-RNO-8940973':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX2 regulates osteoblast differentiation"""]),
    'R-XTR-8940973':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX2 regulates osteoblast differentiation"""]),
    'R-HSA-8941237':Nto._make([date(2017,  3, 27), '....P..', '..', """Invadopodia formation"""]),
    'R-BTA-8941237':Nto._make([date(2019,  3, 20), '...I...', '..', """Invadopodia formation"""]),
    'R-CFA-8941237':Nto._make([date(2019,  3, 20), '...I...', '..', """Invadopodia formation"""]),
    'R-DRE-8941237':Nto._make([date(2019,  3, 20), '...I...', '..', """Invadopodia formation"""]),
    'R-GGA-8941237':Nto._make([date(2019,  3, 20), '...I...', '..', """Invadopodia formation"""]),
    'R-MMU-8941237':Nto._make([date(2019,  3, 20), '...I...', '..', """Invadopodia formation"""]),
    'R-RNO-8941237':Nto._make([date(2019,  3, 20), '...I...', '..', """Invadopodia formation"""]),
    'R-SPO-8941237':Nto._make([date(2019,  3, 20), '...I...', '..', """Invadopodia formation"""]),
    'R-SSC-8941237':Nto._make([date(2019,  3, 20), '...I...', '..', """Invadopodia formation"""]),
    'R-XTR-8941237':Nto._make([date(2019,  3, 20), '...I...', '..', """Invadopodia formation"""]),
    'R-HSA-8941284':Nto._make([date(2017,  9, 12), '....P..', '..', """RUNX2 regulates chondrocyte maturation"""]),
    'R-HSA-8941326':Nto._make([date(2017,  9, 12), '....P..', '..', """RUNX2 regulates bone development"""]),
    'R-BTA-8941326':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX2 regulates bone development"""]),
    'R-CEL-8941326':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX2 regulates bone development"""]),
    'R-CFA-8941326':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX2 regulates bone development"""]),
    'R-DME-8941326':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX2 regulates bone development"""]),
    'R-DRE-8941326':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX2 regulates bone development"""]),
    'R-GGA-8941326':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX2 regulates bone development"""]),
    'R-MMU-8941326':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX2 regulates bone development"""]),
    'R-RNO-8941326':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX2 regulates bone development"""]),
    'R-SSC-8941326':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX2 regulates bone development"""]),
    'R-XTR-8941326':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX2 regulates bone development"""]),
    'R-HSA-8941332':Nto._make([date(2017,  9, 12), '....P..', '..', """RUNX2 regulates genes involved in cell migration"""]),
    'R-HSA-8941333':Nto._make([date(2017,  9, 12), '....P..', '..', """RUNX2 regulates genes involved in differentiation of myeloid cells"""]),
    'R-HSA-8941413':Nto._make([date(2018, 12, 13), '..f.P..', '..', """Events associated with phagocytolytic activity of PMN cells"""]),
    'R-BTA-8941413':Nto._make([date(2019,  3, 20), '..fI...', '..', """Events associated with phagocytolytic activity of PMN cells"""]),
    'R-CEL-8941413':Nto._make([date(2019,  3, 20), '..fI...', '..', """Events associated with phagocytolytic activity of PMN cells"""]),
    'R-CFA-8941413':Nto._make([date(2019,  3, 20), '..fI...', '..', """Events associated with phagocytolytic activity of PMN cells"""]),
    'R-DDI-8941413':Nto._make([date(2019,  3, 20), '..fI...', '..', """Events associated with phagocytolytic activity of PMN cells"""]),
    'R-DME-8941413':Nto._make([date(2019,  3, 20), '..fI...', '..', """Events associated with phagocytolytic activity of PMN cells"""]),
    'R-DRE-8941413':Nto._make([date(2019,  3, 20), '..fI...', '..', """Events associated with phagocytolytic activity of PMN cells"""]),
    'R-GGA-8941413':Nto._make([date(2019,  3, 20), '..fI...', '..', """Events associated with phagocytolytic activity of PMN cells"""]),
    'R-MMU-8941413':Nto._make([date(2019,  3, 20), '..fI...', '..', """Events associated with phagocytolytic activity of PMN cells"""]),
    'R-RNO-8941413':Nto._make([date(2019,  3, 20), '..fI...', '..', """Events associated with phagocytolytic activity of PMN cells"""]),
    'R-SSC-8941413':Nto._make([date(2019,  3, 20), '..fI...', '..', """Events associated with phagocytolytic activity of PMN cells"""]),
    'R-XTR-8941413':Nto._make([date(2019,  3, 20), '..fI...', '..', """Events associated with phagocytolytic activity of PMN cells"""]),
    'R-HSA-8941855':Nto._make([date(2017,  3, 27), '....P..', '..', """RUNX3 regulates CDKN1A transcription"""]),
    'R-BTA-8941855':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates CDKN1A transcription"""]),
    'R-CEL-8941855':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates CDKN1A transcription"""]),
    'R-CFA-8941855':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates CDKN1A transcription"""]),
    'R-DME-8941855':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates CDKN1A transcription"""]),
    'R-DRE-8941855':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates CDKN1A transcription"""]),
    'R-GGA-8941855':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates CDKN1A transcription"""]),
    'R-MMU-8941855':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates CDKN1A transcription"""]),
    'R-RNO-8941855':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates CDKN1A transcription"""]),
    'R-SSC-8941855':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates CDKN1A transcription"""]),
    'R-XTR-8941855':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates CDKN1A transcription"""]),
    'R-HSA-8941856':Nto._make([date(2017,  3, 27), '....P..', '..', """RUNX3 regulates NOTCH signaling"""]),
    'R-BTA-8941856':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates NOTCH signaling"""]),
    'R-CFA-8941856':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates NOTCH signaling"""]),
    'R-DRE-8941856':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates NOTCH signaling"""]),
    'R-GGA-8941856':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates NOTCH signaling"""]),
    'R-MMU-8941856':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates NOTCH signaling"""]),
    'R-RNO-8941856':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates NOTCH signaling"""]),
    'R-SSC-8941856':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates NOTCH signaling"""]),
    'R-XTR-8941856':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates NOTCH signaling"""]),
    'R-HSA-8941858':Nto._make([date(2017,  3, 27), '....P..', '..', """Regulation of RUNX3 expression and activity"""]),
    'R-BTA-8941858':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of RUNX3 expression and activity"""]),
    'R-CEL-8941858':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of RUNX3 expression and activity"""]),
    'R-CFA-8941858':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of RUNX3 expression and activity"""]),
    'R-DME-8941858':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of RUNX3 expression and activity"""]),
    'R-DRE-8941858':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of RUNX3 expression and activity"""]),
    'R-GGA-8941858':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of RUNX3 expression and activity"""]),
    'R-MMU-8941858':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of RUNX3 expression and activity"""]),
    'R-RNO-8941858':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of RUNX3 expression and activity"""]),
    'R-SSC-8941858':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of RUNX3 expression and activity"""]),
    'R-XTR-8941858':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of RUNX3 expression and activity"""]),
    'R-HSA-8942233':Nto._make([date(2016, 12, 12), '.Df.P..', '..', """Intestinal infectious diseases"""]),
    'R-HSA-8943723':Nto._make([date(2017,  6, 12), '....P..', '..', """Regulation of PTEN mRNA translation"""]),
    'R-HSA-8943724':Nto._make([date(2017,  6, 12), '....P..', '..', """Regulation of PTEN gene transcription"""]),
    'R-BTA-8943724':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN gene transcription"""]),
    'R-CEL-8943724':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN gene transcription"""]),
    'R-CFA-8943724':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN gene transcription"""]),
    'R-DDI-8943724':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN gene transcription"""]),
    'R-DME-8943724':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN gene transcription"""]),
    'R-DRE-8943724':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN gene transcription"""]),
    'R-GGA-8943724':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN gene transcription"""]),
    'R-MMU-8943724':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN gene transcription"""]),
    'R-PFA-8943724':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN gene transcription"""]),
    'R-RNO-8943724':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN gene transcription"""]),
    'R-SCE-8943724':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN gene transcription"""]),
    'R-SPO-8943724':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN gene transcription"""]),
    'R-SSC-8943724':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN gene transcription"""]),
    'R-XTR-8943724':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN gene transcription"""]),
    'R-HSA-8948216':Nto._make([date(2016, 12, 12), '..f.P..', '..', """Collagen chain trimerization"""]),
    'R-BTA-8948216':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen chain trimerization"""]),
    'R-CEL-8948216':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen chain trimerization"""]),
    'R-CFA-8948216':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen chain trimerization"""]),
    'R-DDI-8948216':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen chain trimerization"""]),
    'R-DRE-8948216':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen chain trimerization"""]),
    'R-GGA-8948216':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen chain trimerization"""]),
    'R-MMU-8948216':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen chain trimerization"""]),
    'R-PFA-8948216':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen chain trimerization"""]),
    'R-RNO-8948216':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen chain trimerization"""]),
    'R-SSC-8948216':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen chain trimerization"""]),
    'R-XTR-8948216':Nto._make([date(2019,  3, 20), '..fI...', '..', """Collagen chain trimerization"""]),
    'R-HSA-8948700':Nto._make([date(2017,  6, 12), '....P..', '..', """Competing endogenous RNAs (ceRNAs) regulate PTEN translation"""]),
    'R-HSA-8948747':Nto._make([date(2017,  6, 12), '....P..', '..', """Regulation of PTEN localization"""]),
    'R-BTA-8948747':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN localization"""]),
    'R-CEL-8948747':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN localization"""]),
    'R-CFA-8948747':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN localization"""]),
    'R-DDI-8948747':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN localization"""]),
    'R-DME-8948747':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN localization"""]),
    'R-GGA-8948747':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN localization"""]),
    'R-MMU-8948747':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN localization"""]),
    'R-RNO-8948747':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN localization"""]),
    'R-SSC-8948747':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN localization"""]),
    'R-XTR-8948747':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN localization"""]),
    'R-HSA-8948751':Nto._make([date(2017,  6, 12), '....P..', '..', """Regulation of PTEN stability and activity"""]),
    'R-BTA-8948751':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN stability and activity"""]),
    'R-CEL-8948751':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN stability and activity"""]),
    'R-CFA-8948751':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN stability and activity"""]),
    'R-DDI-8948751':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN stability and activity"""]),
    'R-DME-8948751':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN stability and activity"""]),
    'R-DRE-8948751':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN stability and activity"""]),
    'R-GGA-8948751':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN stability and activity"""]),
    'R-MMU-8948751':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN stability and activity"""]),
    'R-RNO-8948751':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN stability and activity"""]),
    'R-SSC-8948751':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN stability and activity"""]),
    'R-XTR-8948751':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of PTEN stability and activity"""]),
    'R-HSA-8949215':Nto._make([date(2017,  3, 27), '..f.P..', 'B.', """Mitochondrial calcium ion transport"""]),
    'R-BTA-8949215':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitochondrial calcium ion transport"""]),
    'R-CEL-8949215':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitochondrial calcium ion transport"""]),
    'R-CFA-8949215':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitochondrial calcium ion transport"""]),
    'R-DDI-8949215':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitochondrial calcium ion transport"""]),
    'R-DME-8949215':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitochondrial calcium ion transport"""]),
    'R-DRE-8949215':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitochondrial calcium ion transport"""]),
    'R-GGA-8949215':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitochondrial calcium ion transport"""]),
    'R-MMU-8949215':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitochondrial calcium ion transport"""]),
    'R-RNO-8949215':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitochondrial calcium ion transport"""]),
    'R-SCE-8949215':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitochondrial calcium ion transport"""]),
    'R-SPO-8949215':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitochondrial calcium ion transport"""]),
    'R-SSC-8949215':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitochondrial calcium ion transport"""]),
    'R-XTR-8949215':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Mitochondrial calcium ion transport"""]),
    'R-HSA-8949275':Nto._make([date(2017,  3, 27), '....P..', '..', """RUNX3 Regulates Immune Response and Cell Migration"""]),
    'R-HSA-8949613':Nto._make([date(2017,  3, 27), '..f.P..', 'B.', """Cristae formation"""]),
    'R-BTA-8949613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cristae formation"""]),
    'R-CEL-8949613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cristae formation"""]),
    'R-CFA-8949613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cristae formation"""]),
    'R-DME-8949613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cristae formation"""]),
    'R-DRE-8949613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cristae formation"""]),
    'R-GGA-8949613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cristae formation"""]),
    'R-MMU-8949613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cristae formation"""]),
    'R-RNO-8949613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cristae formation"""]),
    'R-SPO-8949613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cristae formation"""]),
    'R-SSC-8949613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cristae formation"""]),
    'R-XTR-8949613':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Cristae formation"""]),
    'R-HSA-8949664':Nto._make([date(2017,  3, 27), '..f.P..', '..', """Processing of SMDT1"""]),
    'R-BTA-8949664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Processing of SMDT1"""]),
    'R-CEL-8949664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Processing of SMDT1"""]),
    'R-CFA-8949664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Processing of SMDT1"""]),
    'R-DME-8949664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Processing of SMDT1"""]),
    'R-DRE-8949664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Processing of SMDT1"""]),
    'R-GGA-8949664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Processing of SMDT1"""]),
    'R-MMU-8949664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Processing of SMDT1"""]),
    'R-SSC-8949664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Processing of SMDT1"""]),
    'R-XTR-8949664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Processing of SMDT1"""]),
    'R-HSA-8950505':Nto._make([date(2017,  6, 12), '..f.P..', '.C', """Gene and protein expression by JAK-STAT signaling after Interleukin-12 stimulation"""]),
    'R-HSA-8951430':Nto._make([date(2017,  3, 27), '....P..', '..', """RUNX3 regulates WNT signaling"""]),
    'R-BTA-8951430':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates WNT signaling"""]),
    'R-CEL-8951430':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates WNT signaling"""]),
    'R-CFA-8951430':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates WNT signaling"""]),
    'R-DME-8951430':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates WNT signaling"""]),
    'R-DRE-8951430':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates WNT signaling"""]),
    'R-GGA-8951430':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates WNT signaling"""]),
    'R-MMU-8951430':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates WNT signaling"""]),
    'R-RNO-8951430':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates WNT signaling"""]),
    'R-SSC-8951430':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates WNT signaling"""]),
    'R-XTR-8951430':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates WNT signaling"""]),
    'R-HSA-8951664':Nto._make([date(2017,  3, 27), '..f.P..', '..', """Neddylation"""]),
    'R-BTA-8951664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neddylation"""]),
    'R-CEL-8951664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neddylation"""]),
    'R-CFA-8951664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neddylation"""]),
    'R-DDI-8951664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neddylation"""]),
    'R-DME-8951664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neddylation"""]),
    'R-DRE-8951664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neddylation"""]),
    'R-GGA-8951664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neddylation"""]),
    'R-MMU-8951664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neddylation"""]),
    'R-PFA-8951664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neddylation"""]),
    'R-RNO-8951664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neddylation"""]),
    'R-SCE-8951664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neddylation"""]),
    'R-SPO-8951664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neddylation"""]),
    'R-SSC-8951664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neddylation"""]),
    'R-XTR-8951664':Nto._make([date(2019,  3, 20), '..fI...', '..', """Neddylation"""]),
    'R-HSA-8951671':Nto._make([date(2017,  3, 27), '....P..', '..', """RUNX3 regulates YAP1-mediated transcription"""]),
    'R-BTA-8951671':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates YAP1-mediated transcription"""]),
    'R-CFA-8951671':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates YAP1-mediated transcription"""]),
    'R-DRE-8951671':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates YAP1-mediated transcription"""]),
    'R-GGA-8951671':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates YAP1-mediated transcription"""]),
    'R-MMU-8951671':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates YAP1-mediated transcription"""]),
    'R-RNO-8951671':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates YAP1-mediated transcription"""]),
    'R-SSC-8951671':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates YAP1-mediated transcription"""]),
    'R-XTR-8951671':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates YAP1-mediated transcription"""]),
    'R-HSA-8951911':Nto._make([date(2017,  3, 27), '....P..', '..', """RUNX3 regulates RUNX1-mediated transcription"""]),
    'R-HSA-8951936':Nto._make([date(2017,  3, 27), '....P..', '..', """RUNX3 regulates p14-ARF"""]),
    'R-BTA-8951936':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates p14-ARF"""]),
    'R-CEL-8951936':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates p14-ARF"""]),
    'R-CFA-8951936':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates p14-ARF"""]),
    'R-DME-8951936':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates p14-ARF"""]),
    'R-DRE-8951936':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates p14-ARF"""]),
    'R-GGA-8951936':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates p14-ARF"""]),
    'R-MMU-8951936':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates p14-ARF"""]),
    'R-RNO-8951936':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates p14-ARF"""]),
    'R-SSC-8951936':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates p14-ARF"""]),
    'R-XTR-8951936':Nto._make([date(2019,  3, 20), '...I...', '..', """RUNX3 regulates p14-ARF"""]),
    'R-HSA-8952158':Nto._make([date(2017,  3, 27), '....P..', '..', """RUNX3 regulates BCL2L11 (BIM) transcription"""]),
    'R-HSA-8953750':Nto._make([date(2017,  9, 12), '..f.P..', 'B.', """Transcriptional Regulation by E2F6"""]),
    'R-BTA-8953750':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional Regulation by E2F6"""]),
    'R-CFA-8953750':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional Regulation by E2F6"""]),
    'R-DDI-8953750':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional Regulation by E2F6"""]),
    'R-DME-8953750':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional Regulation by E2F6"""]),
    'R-DRE-8953750':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional Regulation by E2F6"""]),
    'R-GGA-8953750':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional Regulation by E2F6"""]),
    'R-MMU-8953750':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional Regulation by E2F6"""]),
    'R-RNO-8953750':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional Regulation by E2F6"""]),
    'R-SSC-8953750':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Transcriptional Regulation by E2F6"""]),
    'R-HSA-8953854':Nto._make([date(2004,  7,  6), 'T.F.P..', 'B.', """Metabolism of RNA"""]),
    'R-BTA-8953854':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of RNA"""]),
    'R-CEL-8953854':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of RNA"""]),
    'R-CFA-8953854':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of RNA"""]),
    'R-DDI-8953854':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of RNA"""]),
    'R-DME-8953854':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of RNA"""]),
    'R-DRE-8953854':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of RNA"""]),
    'R-GGA-8953854':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of RNA"""]),
    'R-MMU-8953854':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of RNA"""]),
    'R-PFA-8953854':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of RNA"""]),
    'R-RNO-8953854':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of RNA"""]),
    'R-SCE-8953854':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of RNA"""]),
    'R-SPO-8953854':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of RNA"""]),
    'R-SSC-8953854':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of RNA"""]),
    'R-XTR-8953854':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Metabolism of RNA"""]),
    'R-HSA-8953897':Nto._make([date(2017,  3, 27), 'T.F.P..', 'B.', """Cellular responses to external stimuli"""]),
    'R-BTA-8953897':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cellular responses to external stimuli"""]),
    'R-CEL-8953897':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cellular responses to external stimuli"""]),
    'R-CFA-8953897':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cellular responses to external stimuli"""]),
    'R-DDI-8953897':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cellular responses to external stimuli"""]),
    'R-DME-8953897':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cellular responses to external stimuli"""]),
    'R-DRE-8953897':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cellular responses to external stimuli"""]),
    'R-GGA-8953897':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cellular responses to external stimuli"""]),
    'R-MMU-8953897':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cellular responses to external stimuli"""]),
    'R-PFA-8953897':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cellular responses to external stimuli"""]),
    'R-RNO-8953897':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cellular responses to external stimuli"""]),
    'R-SCE-8953897':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cellular responses to external stimuli"""]),
    'R-SPO-8953897':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cellular responses to external stimuli"""]),
    'R-SSC-8953897':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cellular responses to external stimuli"""]),
    'R-XTR-8953897':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Cellular responses to external stimuli"""]),
    'R-HSA-8955332':Nto._make([date(2017,  3, 27), '..f.P..', 'BC', """Carboxyterminal post-translational modifications of tubulin"""]),
    'R-BTA-8955332':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Carboxyterminal post-translational modifications of tubulin"""]),
    'R-CFA-8955332':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Carboxyterminal post-translational modifications of tubulin"""]),
    'R-DDI-8955332':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Carboxyterminal post-translational modifications of tubulin"""]),
    'R-MMU-8955332':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Carboxyterminal post-translational modifications of tubulin"""]),
    'R-PFA-8955332':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Carboxyterminal post-translational modifications of tubulin"""]),
    'R-RNO-8955332':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Carboxyterminal post-translational modifications of tubulin"""]),
    'R-SSC-8955332':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Carboxyterminal post-translational modifications of tubulin"""]),
    'R-HSA-8956319':Nto._make([date(2004,  7,  6), '..f.P..', 'B.', """Nucleobase catabolism"""]),
    'R-BTA-8956319':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase catabolism"""]),
    'R-CEL-8956319':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase catabolism"""]),
    'R-CFA-8956319':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase catabolism"""]),
    'R-DDI-8956319':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase catabolism"""]),
    'R-DME-8956319':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase catabolism"""]),
    'R-DRE-8956319':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase catabolism"""]),
    'R-GGA-8956319':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase catabolism"""]),
    'R-MMU-8956319':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase catabolism"""]),
    'R-PFA-8956319':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase catabolism"""]),
    'R-RNO-8956319':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase catabolism"""]),
    'R-SCE-8956319':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase catabolism"""]),
    'R-SPO-8956319':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase catabolism"""]),
    'R-SSC-8956319':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase catabolism"""]),
    'R-XTR-8956319':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase catabolism"""]),
    'R-HSA-8956320':Nto._make([date(2004,  7,  6), '..f.P..', 'B.', """Nucleobase biosynthesis"""]),
    'R-BTA-8956320':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase biosynthesis"""]),
    'R-CEL-8956320':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase biosynthesis"""]),
    'R-CFA-8956320':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase biosynthesis"""]),
    'R-DDI-8956320':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase biosynthesis"""]),
    'R-DME-8956320':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase biosynthesis"""]),
    'R-DRE-8956320':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase biosynthesis"""]),
    'R-GGA-8956320':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase biosynthesis"""]),
    'R-MMU-8956320':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase biosynthesis"""]),
    'R-PFA-8956320':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase biosynthesis"""]),
    'R-RNO-8956320':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase biosynthesis"""]),
    'R-SCE-8956320':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase biosynthesis"""]),
    'R-SPO-8956320':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase biosynthesis"""]),
    'R-SSC-8956320':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase biosynthesis"""]),
    'R-XTR-8956320':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleobase biosynthesis"""]),
    'R-HSA-8956321':Nto._make([date(2004,  7,  6), '..f.P..', 'B.', """Nucleotide salvage"""]),
    'R-BTA-8956321':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleotide salvage"""]),
    'R-CEL-8956321':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleotide salvage"""]),
    'R-CFA-8956321':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleotide salvage"""]),
    'R-DDI-8956321':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleotide salvage"""]),
    'R-DME-8956321':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleotide salvage"""]),
    'R-DRE-8956321':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleotide salvage"""]),
    'R-GGA-8956321':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleotide salvage"""]),
    'R-MMU-8956321':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleotide salvage"""]),
    'R-PFA-8956321':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleotide salvage"""]),
    'R-RNO-8956321':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleotide salvage"""]),
    'R-SCE-8956321':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleotide salvage"""]),
    'R-SPO-8956321':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleotide salvage"""]),
    'R-SSC-8956321':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleotide salvage"""]),
    'R-XTR-8956321':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Nucleotide salvage"""]),
    'R-HSA-8957275':Nto._make([date(2017,  3, 27), '..f.P..', '..', """Post-translational protein phosphorylation"""]),
    'R-BTA-8957275':Nto._make([date(2019,  3, 20), '..fI...', '..', """Post-translational protein phosphorylation"""]),
    'R-CEL-8957275':Nto._make([date(2019,  3, 20), '..fI...', '..', """Post-translational protein phosphorylation"""]),
    'R-CFA-8957275':Nto._make([date(2019,  3, 20), '..fI...', '..', """Post-translational protein phosphorylation"""]),
    'R-DME-8957275':Nto._make([date(2019,  3, 20), '..fI...', '..', """Post-translational protein phosphorylation"""]),
    'R-DRE-8957275':Nto._make([date(2019,  3, 20), '..fI...', '..', """Post-translational protein phosphorylation"""]),
    'R-GGA-8957275':Nto._make([date(2019,  3, 20), '..fI...', '..', """Post-translational protein phosphorylation"""]),
    'R-MMU-8957275':Nto._make([date(2019,  3, 20), '..fI...', '..', """Post-translational protein phosphorylation"""]),
    'R-RNO-8957275':Nto._make([date(2019,  3, 20), '..fI...', '..', """Post-translational protein phosphorylation"""]),
    'R-SSC-8957275':Nto._make([date(2019,  3, 20), '..fI...', '..', """Post-translational protein phosphorylation"""]),
    'R-XTR-8957275':Nto._make([date(2019,  3, 20), '..fI...', '..', """Post-translational protein phosphorylation"""]),
    'R-HSA-8957322':Nto._make([date(2012,  9, 18), '..F.P..', 'B.', """Metabolism of steroids"""]),
    'R-BTA-8957322':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroids"""]),
    'R-CEL-8957322':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroids"""]),
    'R-CFA-8957322':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroids"""]),
    'R-DDI-8957322':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroids"""]),
    'R-DME-8957322':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroids"""]),
    'R-DRE-8957322':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroids"""]),
    'R-GGA-8957322':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroids"""]),
    'R-MMU-8957322':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroids"""]),
    'R-PFA-8957322':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroids"""]),
    'R-RNO-8957322':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroids"""]),
    'R-SCE-8957322':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroids"""]),
    'R-SPO-8957322':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroids"""]),
    'R-SSC-8957322':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroids"""]),
    'R-XTR-8957322':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of steroids"""]),
    'R-HSA-8963676':Nto._make([date(2017,  3, 27), '..f..B.', 'B.', """Intestinal absorption"""]),
    'R-BTA-8963676':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intestinal absorption"""]),
    'R-CEL-8963676':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intestinal absorption"""]),
    'R-CFA-8963676':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intestinal absorption"""]),
    'R-DDI-8963676':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intestinal absorption"""]),
    'R-DME-8963676':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intestinal absorption"""]),
    'R-DRE-8963676':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intestinal absorption"""]),
    'R-GGA-8963676':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intestinal absorption"""]),
    'R-MMU-8963676':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intestinal absorption"""]),
    'R-PFA-8963676':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intestinal absorption"""]),
    'R-RNO-8963676':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intestinal absorption"""]),
    'R-SCE-8963676':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intestinal absorption"""]),
    'R-SSC-8963676':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intestinal absorption"""]),
    'R-XTR-8963676':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Intestinal absorption"""]),
    'R-HSA-8963678':Nto._make([date(2017,  3, 27), '....P..', 'B.', """Intestinal lipid absorption"""]),
    'R-BTA-8963678':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal lipid absorption"""]),
    'R-CEL-8963678':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal lipid absorption"""]),
    'R-CFA-8963678':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal lipid absorption"""]),
    'R-DDI-8963678':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal lipid absorption"""]),
    'R-DME-8963678':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal lipid absorption"""]),
    'R-DRE-8963678':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal lipid absorption"""]),
    'R-MMU-8963678':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal lipid absorption"""]),
    'R-RNO-8963678':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal lipid absorption"""]),
    'R-SCE-8963678':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal lipid absorption"""]),
    'R-SSC-8963678':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal lipid absorption"""]),
    'R-XTR-8963678':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal lipid absorption"""]),
    'R-HSA-8963743':Nto._make([date(2017,  3, 27), 'T.F..B.', '..', """Digestion and absorption"""]),
    'R-BTA-8963743':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Digestion and absorption"""]),
    'R-CEL-8963743':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Digestion and absorption"""]),
    'R-CFA-8963743':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Digestion and absorption"""]),
    'R-DDI-8963743':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Digestion and absorption"""]),
    'R-DME-8963743':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Digestion and absorption"""]),
    'R-DRE-8963743':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Digestion and absorption"""]),
    'R-GGA-8963743':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Digestion and absorption"""]),
    'R-MMU-8963743':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Digestion and absorption"""]),
    'R-PFA-8963743':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Digestion and absorption"""]),
    'R-RNO-8963743':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Digestion and absorption"""]),
    'R-SCE-8963743':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Digestion and absorption"""]),
    'R-SPO-8963743':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Digestion and absorption"""]),
    'R-SSC-8963743':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Digestion and absorption"""]),
    'R-XTR-8963743':Nto._make([date(2019,  3, 20), 'T.fI...', '..', """Digestion and absorption"""]),
    'R-HSA-8963888':Nto._make([date(2005,  6, 13), '....P..', 'B.', """Chylomicron assembly"""]),
    'R-BTA-8963888':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chylomicron assembly"""]),
    'R-CFA-8963888':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chylomicron assembly"""]),
    'R-DRE-8963888':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chylomicron assembly"""]),
    'R-MMU-8963888':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chylomicron assembly"""]),
    'R-RNO-8963888':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chylomicron assembly"""]),
    'R-SSC-8963888':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chylomicron assembly"""]),
    'R-XTR-8963888':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chylomicron assembly"""]),
    'R-HSA-8963889':Nto._make([date(2016,  6, 15), '....P..', 'B.', """Assembly of active LPL and LIPC lipase complexes"""]),
    'R-BTA-8963889':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Assembly of active LPL and LIPC lipase complexes"""]),
    'R-CFA-8963889':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Assembly of active LPL and LIPC lipase complexes"""]),
    'R-DME-8963889':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Assembly of active LPL and LIPC lipase complexes"""]),
    'R-DRE-8963889':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Assembly of active LPL and LIPC lipase complexes"""]),
    'R-GGA-8963889':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Assembly of active LPL and LIPC lipase complexes"""]),
    'R-MMU-8963889':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Assembly of active LPL and LIPC lipase complexes"""]),
    'R-RNO-8963889':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Assembly of active LPL and LIPC lipase complexes"""]),
    'R-SSC-8963889':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Assembly of active LPL and LIPC lipase complexes"""]),
    'R-XTR-8963889':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Assembly of active LPL and LIPC lipase complexes"""]),
    'R-HSA-8963896':Nto._make([date(2008,  6, 30), '....P..', 'B.', """HDL assembly"""]),
    'R-BTA-8963896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL assembly"""]),
    'R-CFA-8963896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL assembly"""]),
    'R-DDI-8963896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL assembly"""]),
    'R-DRE-8963896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL assembly"""]),
    'R-GGA-8963896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL assembly"""]),
    'R-MMU-8963896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL assembly"""]),
    'R-RNO-8963896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL assembly"""]),
    'R-SSC-8963896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL assembly"""]),
    'R-XTR-8963896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL assembly"""]),
    'R-HSA-8963898':Nto._make([date(2005,  6, 13), '....P..', 'B.', """Plasma lipoprotein assembly"""]),
    'R-BTA-8963898':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein assembly"""]),
    'R-CFA-8963898':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein assembly"""]),
    'R-DDI-8963898':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein assembly"""]),
    'R-DRE-8963898':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein assembly"""]),
    'R-GGA-8963898':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein assembly"""]),
    'R-MMU-8963898':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein assembly"""]),
    'R-RNO-8963898':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein assembly"""]),
    'R-SSC-8963898':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein assembly"""]),
    'R-XTR-8963898':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein assembly"""]),
    'R-HSA-8963899':Nto._make([date(2005,  6, 13), '....P..', 'B.', """Plasma lipoprotein remodeling"""]),
    'R-BTA-8963899':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein remodeling"""]),
    'R-CEL-8963899':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein remodeling"""]),
    'R-CFA-8963899':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein remodeling"""]),
    'R-DDI-8963899':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein remodeling"""]),
    'R-DME-8963899':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein remodeling"""]),
    'R-DRE-8963899':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein remodeling"""]),
    'R-GGA-8963899':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein remodeling"""]),
    'R-MMU-8963899':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein remodeling"""]),
    'R-PFA-8963899':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein remodeling"""]),
    'R-RNO-8963899':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein remodeling"""]),
    'R-SCE-8963899':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein remodeling"""]),
    'R-SSC-8963899':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein remodeling"""]),
    'R-XTR-8963899':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein remodeling"""]),
    'R-HSA-8963901':Nto._make([date(2008,  6, 30), '....P..', 'B.', """Chylomicron remodeling"""]),
    'R-DRE-8963901':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chylomicron remodeling"""]),
    'R-MMU-8963901':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chylomicron remodeling"""]),
    'R-RNO-8963901':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chylomicron remodeling"""]),
    'R-XTR-8963901':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chylomicron remodeling"""]),
    'R-HSA-8964011':Nto._make([date(2008,  6, 30), '....P..', 'B.', """HDL clearance"""]),
    'R-BTA-8964011':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL clearance"""]),
    'R-DRE-8964011':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL clearance"""]),
    'R-GGA-8964011':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL clearance"""]),
    'R-MMU-8964011':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL clearance"""]),
    'R-RNO-8964011':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL clearance"""]),
    'R-XTR-8964011':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL clearance"""]),
    'R-HSA-8964026':Nto._make([date(2005,  4, 11), '....P..', 'B.', """Chylomicron clearance"""]),
    'R-DRE-8964026':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chylomicron clearance"""]),
    'R-MMU-8964026':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chylomicron clearance"""]),
    'R-RNO-8964026':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chylomicron clearance"""]),
    'R-XTR-8964026':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Chylomicron clearance"""]),
    'R-HSA-8964038':Nto._make([date(2005,  6, 13), '....P..', 'B.', """LDL clearance"""]),
    'R-BTA-8964038':Nto._make([date(2019,  3, 20), '...I...', 'B.', """LDL clearance"""]),
    'R-CEL-8964038':Nto._make([date(2019,  3, 20), '...I...', 'B.', """LDL clearance"""]),
    'R-CFA-8964038':Nto._make([date(2019,  3, 20), '...I...', 'B.', """LDL clearance"""]),
    'R-DDI-8964038':Nto._make([date(2019,  3, 20), '...I...', 'B.', """LDL clearance"""]),
    'R-DME-8964038':Nto._make([date(2019,  3, 20), '...I...', 'B.', """LDL clearance"""]),
    'R-DRE-8964038':Nto._make([date(2019,  3, 20), '...I...', 'B.', """LDL clearance"""]),
    'R-GGA-8964038':Nto._make([date(2019,  3, 20), '...I...', 'B.', """LDL clearance"""]),
    'R-MMU-8964038':Nto._make([date(2019,  3, 20), '...I...', 'B.', """LDL clearance"""]),
    'R-RNO-8964038':Nto._make([date(2019,  3, 20), '...I...', 'B.', """LDL clearance"""]),
    'R-SCE-8964038':Nto._make([date(2019,  3, 20), '...I...', 'B.', """LDL clearance"""]),
    'R-SPO-8964038':Nto._make([date(2019,  3, 20), '...I...', 'B.', """LDL clearance"""]),
    'R-SSC-8964038':Nto._make([date(2019,  3, 20), '...I...', 'B.', """LDL clearance"""]),
    'R-XTR-8964038':Nto._make([date(2019,  3, 20), '...I...', 'B.', """LDL clearance"""]),
    'R-HSA-8964041':Nto._make([date(2008,  6, 30), '....P..', 'B.', """LDL remodeling"""]),
    'R-DRE-8964041':Nto._make([date(2019,  3, 20), '...I...', 'B.', """LDL remodeling"""]),
    'R-MMU-8964041':Nto._make([date(2019,  3, 20), '...I...', 'B.', """LDL remodeling"""]),
    'R-RNO-8964041':Nto._make([date(2019,  3, 20), '...I...', 'B.', """LDL remodeling"""]),
    'R-XTR-8964041':Nto._make([date(2019,  3, 20), '...I...', 'B.', """LDL remodeling"""]),
    'R-HSA-8964043':Nto._make([date(2005,  4, 11), '....P..', 'B.', """Plasma lipoprotein clearance"""]),
    'R-BTA-8964043':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein clearance"""]),
    'R-CEL-8964043':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein clearance"""]),
    'R-CFA-8964043':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein clearance"""]),
    'R-DDI-8964043':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein clearance"""]),
    'R-DME-8964043':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein clearance"""]),
    'R-DRE-8964043':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein clearance"""]),
    'R-GGA-8964043':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein clearance"""]),
    'R-MMU-8964043':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein clearance"""]),
    'R-RNO-8964043':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein clearance"""]),
    'R-SCE-8964043':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein clearance"""]),
    'R-SPO-8964043':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein clearance"""]),
    'R-SSC-8964043':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein clearance"""]),
    'R-XTR-8964043':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Plasma lipoprotein clearance"""]),
    'R-HSA-8964046':Nto._make([date(2016,  9, 19), '....P..', 'B.', """VLDL clearance"""]),
    'R-CFA-8964046':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDL clearance"""]),
    'R-MMU-8964046':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDL clearance"""]),
    'R-RNO-8964046':Nto._make([date(2019,  3, 20), '...I...', 'B.', """VLDL clearance"""]),
    'R-HSA-8964058':Nto._make([date(2008,  6, 30), '....P..', 'B.', """HDL remodeling"""]),
    'R-BTA-8964058':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL remodeling"""]),
    'R-CEL-8964058':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL remodeling"""]),
    'R-CFA-8964058':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL remodeling"""]),
    'R-DDI-8964058':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL remodeling"""]),
    'R-DME-8964058':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL remodeling"""]),
    'R-DRE-8964058':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL remodeling"""]),
    'R-GGA-8964058':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL remodeling"""]),
    'R-MMU-8964058':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL remodeling"""]),
    'R-PFA-8964058':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL remodeling"""]),
    'R-RNO-8964058':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL remodeling"""]),
    'R-SCE-8964058':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL remodeling"""]),
    'R-SSC-8964058':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL remodeling"""]),
    'R-XTR-8964058':Nto._make([date(2019,  3, 20), '...I...', 'B.', """HDL remodeling"""]),
    'R-HSA-8964315':Nto._make([date(2018, 12, 13), '....P..', '.C', """G beta:gamma signalling through BTK"""]),
    'R-BTA-8964315':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through BTK"""]),
    'R-CFA-8964315':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through BTK"""]),
    'R-DRE-8964315':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through BTK"""]),
    'R-MMU-8964315':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through BTK"""]),
    'R-RNO-8964315':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through BTK"""]),
    'R-SSC-8964315':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through BTK"""]),
    'R-XTR-8964315':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through BTK"""]),
    'R-HSA-8964572':Nto._make([date(2016,  6, 15), '..f.P..', 'B.', """Lipid particle organization"""]),
    'R-BTA-8964572':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lipid particle organization"""]),
    'R-CEL-8964572':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lipid particle organization"""]),
    'R-CFA-8964572':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lipid particle organization"""]),
    'R-DME-8964572':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lipid particle organization"""]),
    'R-DRE-8964572':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lipid particle organization"""]),
    'R-GGA-8964572':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lipid particle organization"""]),
    'R-MMU-8964572':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lipid particle organization"""]),
    'R-RNO-8964572':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lipid particle organization"""]),
    'R-SCE-8964572':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lipid particle organization"""]),
    'R-SPO-8964572':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lipid particle organization"""]),
    'R-SSC-8964572':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lipid particle organization"""]),
    'R-XTR-8964572':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Lipid particle organization"""]),
    'R-HSA-8964616':Nto._make([date(2018, 12, 13), '....P..', '.C', """G beta:gamma signalling through CDC42"""]),
    'R-BTA-8964616':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through CDC42"""]),
    'R-CEL-8964616':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through CDC42"""]),
    'R-CFA-8964616':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through CDC42"""]),
    'R-DME-8964616':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through CDC42"""]),
    'R-DRE-8964616':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through CDC42"""]),
    'R-GGA-8964616':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through CDC42"""]),
    'R-MMU-8964616':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through CDC42"""]),
    'R-RNO-8964616':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through CDC42"""]),
    'R-SSC-8964616':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through CDC42"""]),
    'R-XTR-8964616':Nto._make([date(2019,  3, 20), '...I...', '.C', """G beta:gamma signalling through CDC42"""]),
    'R-HSA-8978868':Nto._make([date(2010,  6, 15), '..f...U', 'B.', """Fatty acid metabolism"""]),
    'R-BTA-8978868':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fatty acid metabolism"""]),
    'R-CEL-8978868':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fatty acid metabolism"""]),
    'R-CFA-8978868':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fatty acid metabolism"""]),
    'R-DDI-8978868':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fatty acid metabolism"""]),
    'R-DME-8978868':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fatty acid metabolism"""]),
    'R-DRE-8978868':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fatty acid metabolism"""]),
    'R-GGA-8978868':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fatty acid metabolism"""]),
    'R-MMU-8978868':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fatty acid metabolism"""]),
    'R-PFA-8978868':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fatty acid metabolism"""]),
    'R-RNO-8978868':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fatty acid metabolism"""]),
    'R-SCE-8978868':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fatty acid metabolism"""]),
    'R-SPO-8978868':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fatty acid metabolism"""]),
    'R-SSC-8978868':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fatty acid metabolism"""]),
    'R-XTR-8978868':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Fatty acid metabolism"""]),
    'R-HSA-8978934':Nto._make([date(2009,  4,  1), '..f.P..', 'B.', """Metabolism of cofactors"""]),
    'R-BTA-8978934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of cofactors"""]),
    'R-CEL-8978934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of cofactors"""]),
    'R-CFA-8978934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of cofactors"""]),
    'R-DDI-8978934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of cofactors"""]),
    'R-DME-8978934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of cofactors"""]),
    'R-DRE-8978934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of cofactors"""]),
    'R-GGA-8978934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of cofactors"""]),
    'R-MMU-8978934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of cofactors"""]),
    'R-PFA-8978934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of cofactors"""]),
    'R-RNO-8978934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of cofactors"""]),
    'R-SCE-8978934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of cofactors"""]),
    'R-SPO-8978934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of cofactors"""]),
    'R-SSC-8978934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of cofactors"""]),
    'R-XTR-8978934':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Metabolism of cofactors"""]),
    'R-HSA-8979227':Nto._make([date(2008,  9, 30), '..f.P..', 'B.', """Triglyceride metabolism"""]),
    'R-BTA-8979227':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Triglyceride metabolism"""]),
    'R-CEL-8979227':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Triglyceride metabolism"""]),
    'R-CFA-8979227':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Triglyceride metabolism"""]),
    'R-DDI-8979227':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Triglyceride metabolism"""]),
    'R-DME-8979227':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Triglyceride metabolism"""]),
    'R-DRE-8979227':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Triglyceride metabolism"""]),
    'R-GGA-8979227':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Triglyceride metabolism"""]),
    'R-MMU-8979227':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Triglyceride metabolism"""]),
    'R-PFA-8979227':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Triglyceride metabolism"""]),
    'R-RNO-8979227':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Triglyceride metabolism"""]),
    'R-SCE-8979227':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Triglyceride metabolism"""]),
    'R-SPO-8979227':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Triglyceride metabolism"""]),
    'R-SSC-8979227':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Triglyceride metabolism"""]),
    'R-XTR-8979227':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Triglyceride metabolism"""]),
    'R-HSA-8981373':Nto._make([date(2006,  1, 23), '....P..', 'B.', """Intestinal hexose absorption"""]),
    'R-BTA-8981373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal hexose absorption"""]),
    'R-CEL-8981373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal hexose absorption"""]),
    'R-CFA-8981373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal hexose absorption"""]),
    'R-DDI-8981373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal hexose absorption"""]),
    'R-DME-8981373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal hexose absorption"""]),
    'R-DRE-8981373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal hexose absorption"""]),
    'R-GGA-8981373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal hexose absorption"""]),
    'R-MMU-8981373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal hexose absorption"""]),
    'R-PFA-8981373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal hexose absorption"""]),
    'R-RNO-8981373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal hexose absorption"""]),
    'R-SCE-8981373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal hexose absorption"""]),
    'R-SSC-8981373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal hexose absorption"""]),
    'R-XTR-8981373':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Intestinal hexose absorption"""]),
    'R-HSA-8981607':Nto._make([date(2017,  6, 12), '..f.P..', 'BC', """Intracellular oxygen transport"""]),
    'R-BTA-8981607':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Intracellular oxygen transport"""]),
    'R-CEL-8981607':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Intracellular oxygen transport"""]),
    'R-CFA-8981607':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Intracellular oxygen transport"""]),
    'R-DRE-8981607':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Intracellular oxygen transport"""]),
    'R-GGA-8981607':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Intracellular oxygen transport"""]),
    'R-MMU-8981607':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Intracellular oxygen transport"""]),
    'R-RNO-8981607':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Intracellular oxygen transport"""]),
    'R-SSC-8981607':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Intracellular oxygen transport"""]),
    'R-XTR-8981607':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Intracellular oxygen transport"""]),
    'R-HSA-8982491':Nto._make([date(2003,  3, 16), '..f.P..', 'B.', """Glycogen metabolism"""]),
    'R-BTA-8982491':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycogen metabolism"""]),
    'R-CEL-8982491':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycogen metabolism"""]),
    'R-CFA-8982491':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycogen metabolism"""]),
    'R-DDI-8982491':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycogen metabolism"""]),
    'R-DME-8982491':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycogen metabolism"""]),
    'R-DRE-8982491':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycogen metabolism"""]),
    'R-GGA-8982491':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycogen metabolism"""]),
    'R-MMU-8982491':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycogen metabolism"""]),
    'R-PFA-8982491':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycogen metabolism"""]),
    'R-RNO-8982491':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycogen metabolism"""]),
    'R-SCE-8982491':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycogen metabolism"""]),
    'R-SPO-8982491':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycogen metabolism"""]),
    'R-SSC-8982491':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycogen metabolism"""]),
    'R-XTR-8982491':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Glycogen metabolism"""]),
    'R-HSA-8983432':Nto._make([date(2017,  6, 12), '..f.P..', 'B.', """Interleukin-15 signaling"""]),
    'R-BTA-8983432':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-15 signaling"""]),
    'R-CEL-8983432':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-15 signaling"""]),
    'R-CFA-8983432':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-15 signaling"""]),
    'R-DDI-8983432':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-15 signaling"""]),
    'R-DME-8983432':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-15 signaling"""]),
    'R-DRE-8983432':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-15 signaling"""]),
    'R-GGA-8983432':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-15 signaling"""]),
    'R-MMU-8983432':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-15 signaling"""]),
    'R-RNO-8983432':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-15 signaling"""]),
    'R-SSC-8983432':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-15 signaling"""]),
    'R-XTR-8983432':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-15 signaling"""]),
    'R-HSA-8983711':Nto._make([date(2018,  9, 12), '..f.P..', 'BC', """OAS antiviral response"""]),
    'R-BTA-8983711':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """OAS antiviral response"""]),
    'R-CEL-8983711':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """OAS antiviral response"""]),
    'R-CFA-8983711':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """OAS antiviral response"""]),
    'R-DME-8983711':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """OAS antiviral response"""]),
    'R-DRE-8983711':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """OAS antiviral response"""]),
    'R-GGA-8983711':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """OAS antiviral response"""]),
    'R-MMU-8983711':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """OAS antiviral response"""]),
    'R-RNO-8983711':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """OAS antiviral response"""]),
    'R-SSC-8983711':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """OAS antiviral response"""]),
    'R-XTR-8983711':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """OAS antiviral response"""]),
    'R-HSA-8984722':Nto._make([date(2017,  6, 12), '....P..', 'B.', """Interleukin-35 Signalling"""]),
    'R-BTA-8984722':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-35 Signalling"""]),
    'R-CEL-8984722':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-35 Signalling"""]),
    'R-CFA-8984722':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-35 Signalling"""]),
    'R-DDI-8984722':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-35 Signalling"""]),
    'R-DME-8984722':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-35 Signalling"""]),
    'R-DRE-8984722':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-35 Signalling"""]),
    'R-GGA-8984722':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-35 Signalling"""]),
    'R-MMU-8984722':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-35 Signalling"""]),
    'R-RNO-8984722':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-35 Signalling"""]),
    'R-SSC-8984722':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-35 Signalling"""]),
    'R-XTR-8984722':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-35 Signalling"""]),
    'R-HSA-8985586':Nto._make([date(2017,  9, 12), '....P..', '..', """SLIT2:ROBO1 increases RHOA activity"""]),
    'R-BTA-8985586':Nto._make([date(2019,  3, 20), '...I...', '..', """SLIT2:ROBO1 increases RHOA activity"""]),
    'R-CFA-8985586':Nto._make([date(2019,  3, 20), '...I...', '..', """SLIT2:ROBO1 increases RHOA activity"""]),
    'R-DRE-8985586':Nto._make([date(2019,  3, 20), '...I...', '..', """SLIT2:ROBO1 increases RHOA activity"""]),
    'R-GGA-8985586':Nto._make([date(2019,  3, 20), '...I...', '..', """SLIT2:ROBO1 increases RHOA activity"""]),
    'R-MMU-8985586':Nto._make([date(2019,  3, 20), '...I...', '..', """SLIT2:ROBO1 increases RHOA activity"""]),
    'R-RNO-8985586':Nto._make([date(2019,  3, 20), '...I...', '..', """SLIT2:ROBO1 increases RHOA activity"""]),
    'R-SSC-8985586':Nto._make([date(2019,  3, 20), '...I...', '..', """SLIT2:ROBO1 increases RHOA activity"""]),
    'R-XTR-8985586':Nto._make([date(2019,  3, 20), '...I...', '..', """SLIT2:ROBO1 increases RHOA activity"""]),
    'R-HSA-8985801':Nto._make([date(2017,  9, 12), '....P..', '..', """Regulation of cortical dendrite branching"""]),
    'R-HSA-8985947':Nto._make([date(2017,  6, 12), '..f.P..', 'B.', """Interleukin-9 signaling"""]),
    'R-BTA-8985947':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-9 signaling"""]),
    'R-CEL-8985947':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-9 signaling"""]),
    'R-CFA-8985947':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-9 signaling"""]),
    'R-DDI-8985947':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-9 signaling"""]),
    'R-DME-8985947':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-9 signaling"""]),
    'R-DRE-8985947':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-9 signaling"""]),
    'R-GGA-8985947':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-9 signaling"""]),
    'R-MMU-8985947':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-9 signaling"""]),
    'R-RNO-8985947':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-9 signaling"""]),
    'R-SSC-8985947':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-9 signaling"""]),
    'R-XTR-8985947':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Interleukin-9 signaling"""]),
    'R-HSA-8986944':Nto._make([date(2018,  9, 12), '..f.P..', '..', """Transcriptional Regulation by MECP2"""]),
    'R-BTA-8986944':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional Regulation by MECP2"""]),
    'R-CFA-8986944':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional Regulation by MECP2"""]),
    'R-DRE-8986944':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional Regulation by MECP2"""]),
    'R-MMU-8986944':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional Regulation by MECP2"""]),
    'R-RNO-8986944':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional Regulation by MECP2"""]),
    'R-SSC-8986944':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional Regulation by MECP2"""]),
    'R-XTR-8986944':Nto._make([date(2019,  3, 20), '..fI...', '..', """Transcriptional Regulation by MECP2"""]),
    'R-HSA-9005891':Nto._make([date(2018,  9, 12), '.Df.P.U', '..', """Loss of function of MECP2 in Rett syndrome"""]),
    'R-HSA-9005895':Nto._make([date(2018,  9, 12), '.Df.P..', '..', """Pervasive developmental disorders"""]),
    'R-HSA-9006115':Nto._make([date(2018,  3, 21), '..f.P..', 'B.', """Signaling by NTRK2 (TRKB)"""]),
    'R-BTA-9006115':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRK2 (TRKB)"""]),
    'R-CFA-9006115':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRK2 (TRKB)"""]),
    'R-DRE-9006115':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRK2 (TRKB)"""]),
    'R-GGA-9006115':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRK2 (TRKB)"""]),
    'R-MMU-9006115':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRK2 (TRKB)"""]),
    'R-RNO-9006115':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRK2 (TRKB)"""]),
    'R-SSC-9006115':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRK2 (TRKB)"""]),
    'R-XTR-9006115':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRK2 (TRKB)"""]),
    'R-HSA-9006335':Nto._make([date(2018,  9, 12), '..f.P..', 'B.', """Signaling by Erythropoietin"""]),
    'R-BTA-9006335':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Erythropoietin"""]),
    'R-CFA-9006335':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Erythropoietin"""]),
    'R-DRE-9006335':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Erythropoietin"""]),
    'R-MMU-9006335':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Erythropoietin"""]),
    'R-RNO-9006335':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Erythropoietin"""]),
    'R-SSC-9006335':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Erythropoietin"""]),
    'R-XTR-9006335':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by Erythropoietin"""]),
    'R-HSA-9006921':Nto._make([date(2017,  9, 12), '..f.P..', '..', """Integrin signaling"""]),
    'R-BTA-9006921':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin signaling"""]),
    'R-CEL-9006921':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin signaling"""]),
    'R-CFA-9006921':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin signaling"""]),
    'R-DDI-9006921':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin signaling"""]),
    'R-DME-9006921':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin signaling"""]),
    'R-DRE-9006921':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin signaling"""]),
    'R-GGA-9006921':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin signaling"""]),
    'R-MMU-9006921':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin signaling"""]),
    'R-RNO-9006921':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin signaling"""]),
    'R-SCE-9006921':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin signaling"""]),
    'R-SSC-9006921':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin signaling"""]),
    'R-XTR-9006921':Nto._make([date(2019,  3, 20), '..fI...', '..', """Integrin signaling"""]),
    'R-HSA-9006925':Nto._make([date(2017,  9, 12), '..F.P..', '..', """Intracellular signaling by second messengers"""]),
    'R-BTA-9006925':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intracellular signaling by second messengers"""]),
    'R-CEL-9006925':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intracellular signaling by second messengers"""]),
    'R-CFA-9006925':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intracellular signaling by second messengers"""]),
    'R-DDI-9006925':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intracellular signaling by second messengers"""]),
    'R-DME-9006925':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intracellular signaling by second messengers"""]),
    'R-DRE-9006925':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intracellular signaling by second messengers"""]),
    'R-GGA-9006925':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intracellular signaling by second messengers"""]),
    'R-MMU-9006925':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intracellular signaling by second messengers"""]),
    'R-PFA-9006925':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intracellular signaling by second messengers"""]),
    'R-RNO-9006925':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intracellular signaling by second messengers"""]),
    'R-SCE-9006925':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intracellular signaling by second messengers"""]),
    'R-SPO-9006925':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intracellular signaling by second messengers"""]),
    'R-SSC-9006925':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intracellular signaling by second messengers"""]),
    'R-XTR-9006925':Nto._make([date(2019,  3, 20), '..fI...', '..', """Intracellular signaling by second messengers"""]),
    'R-HSA-9006927':Nto._make([date(2017,  9, 12), '..F.P..', '..', """Signaling by Non-Receptor Tyrosine Kinases"""]),
    'R-BTA-9006927':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Non-Receptor Tyrosine Kinases"""]),
    'R-CEL-9006927':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Non-Receptor Tyrosine Kinases"""]),
    'R-CFA-9006927':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Non-Receptor Tyrosine Kinases"""]),
    'R-DDI-9006927':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Non-Receptor Tyrosine Kinases"""]),
    'R-DME-9006927':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Non-Receptor Tyrosine Kinases"""]),
    'R-DRE-9006927':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Non-Receptor Tyrosine Kinases"""]),
    'R-GGA-9006927':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Non-Receptor Tyrosine Kinases"""]),
    'R-MMU-9006927':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Non-Receptor Tyrosine Kinases"""]),
    'R-PFA-9006927':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Non-Receptor Tyrosine Kinases"""]),
    'R-RNO-9006927':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Non-Receptor Tyrosine Kinases"""]),
    'R-SSC-9006927':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Non-Receptor Tyrosine Kinases"""]),
    'R-XTR-9006927':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Non-Receptor Tyrosine Kinases"""]),
    'R-HSA-9006931':Nto._make([date(2017,  9, 12), '..F.P..', '..', """Signaling by Nuclear Receptors"""]),
    'R-BTA-9006931':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Nuclear Receptors"""]),
    'R-CEL-9006931':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Nuclear Receptors"""]),
    'R-CFA-9006931':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Nuclear Receptors"""]),
    'R-DDI-9006931':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Nuclear Receptors"""]),
    'R-DME-9006931':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Nuclear Receptors"""]),
    'R-DRE-9006931':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Nuclear Receptors"""]),
    'R-GGA-9006931':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Nuclear Receptors"""]),
    'R-MMU-9006931':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Nuclear Receptors"""]),
    'R-PFA-9006931':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Nuclear Receptors"""]),
    'R-RNO-9006931':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Nuclear Receptors"""]),
    'R-SCE-9006931':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Nuclear Receptors"""]),
    'R-SPO-9006931':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Nuclear Receptors"""]),
    'R-SSC-9006931':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Nuclear Receptors"""]),
    'R-XTR-9006931':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Nuclear Receptors"""]),
    'R-HSA-9006934':Nto._make([date(2017,  9, 12), '..F.P..', '..', """Signaling by Receptor Tyrosine Kinases"""]),
    'R-BTA-9006934':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Receptor Tyrosine Kinases"""]),
    'R-CEL-9006934':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Receptor Tyrosine Kinases"""]),
    'R-CFA-9006934':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Receptor Tyrosine Kinases"""]),
    'R-DDI-9006934':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Receptor Tyrosine Kinases"""]),
    'R-DME-9006934':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Receptor Tyrosine Kinases"""]),
    'R-DRE-9006934':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Receptor Tyrosine Kinases"""]),
    'R-GGA-9006934':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Receptor Tyrosine Kinases"""]),
    'R-MMU-9006934':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Receptor Tyrosine Kinases"""]),
    'R-PFA-9006934':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Receptor Tyrosine Kinases"""]),
    'R-RNO-9006934':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Receptor Tyrosine Kinases"""]),
    'R-SCE-9006934':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Receptor Tyrosine Kinases"""]),
    'R-SPO-9006934':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Receptor Tyrosine Kinases"""]),
    'R-SSC-9006934':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Receptor Tyrosine Kinases"""]),
    'R-XTR-9006934':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by Receptor Tyrosine Kinases"""]),
    'R-HSA-9006936':Nto._make([date(2017,  9, 12), '..F.P..', '..', """Signaling by TGF-beta family members"""]),
    'R-BTA-9006936':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by TGF-beta family members"""]),
    'R-CEL-9006936':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by TGF-beta family members"""]),
    'R-CFA-9006936':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by TGF-beta family members"""]),
    'R-DME-9006936':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by TGF-beta family members"""]),
    'R-DRE-9006936':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by TGF-beta family members"""]),
    'R-GGA-9006936':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by TGF-beta family members"""]),
    'R-MMU-9006936':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by TGF-beta family members"""]),
    'R-RNO-9006936':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by TGF-beta family members"""]),
    'R-SSC-9006936':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by TGF-beta family members"""]),
    'R-XTR-9006936':Nto._make([date(2019,  3, 20), '..fI...', '..', """Signaling by TGF-beta family members"""]),
    'R-HSA-9007101':Nto._make([date(2016,  9, 19), '..F.P..', '..', """Rab regulation of trafficking"""]),
    'R-BTA-9007101':Nto._make([date(2019,  3, 20), '..fI...', '..', """Rab regulation of trafficking"""]),
    'R-CEL-9007101':Nto._make([date(2019,  3, 20), '..fI...', '..', """Rab regulation of trafficking"""]),
    'R-CFA-9007101':Nto._make([date(2019,  3, 20), '..fI...', '..', """Rab regulation of trafficking"""]),
    'R-DDI-9007101':Nto._make([date(2019,  3, 20), '..fI...', '..', """Rab regulation of trafficking"""]),
    'R-DME-9007101':Nto._make([date(2019,  3, 20), '..fI...', '..', """Rab regulation of trafficking"""]),
    'R-DRE-9007101':Nto._make([date(2019,  3, 20), '..fI...', '..', """Rab regulation of trafficking"""]),
    'R-GGA-9007101':Nto._make([date(2019,  3, 20), '..fI...', '..', """Rab regulation of trafficking"""]),
    'R-MMU-9007101':Nto._make([date(2019,  3, 20), '..fI...', '..', """Rab regulation of trafficking"""]),
    'R-PFA-9007101':Nto._make([date(2019,  3, 20), '..fI...', '..', """Rab regulation of trafficking"""]),
    'R-RNO-9007101':Nto._make([date(2019,  3, 20), '..fI...', '..', """Rab regulation of trafficking"""]),
    'R-SCE-9007101':Nto._make([date(2019,  3, 20), '..fI...', '..', """Rab regulation of trafficking"""]),
    'R-SPO-9007101':Nto._make([date(2019,  3, 20), '..fI...', '..', """Rab regulation of trafficking"""]),
    'R-SSC-9007101':Nto._make([date(2019,  3, 20), '..fI...', '..', """Rab regulation of trafficking"""]),
    'R-XTR-9007101':Nto._make([date(2019,  3, 20), '..fI...', '..', """Rab regulation of trafficking"""]),
    'R-HSA-9007892':Nto._make([date(2017,  9, 12), '....P..', 'BC', """Interleukin-38 signaling"""]),
    'R-BTA-9007892':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interleukin-38 signaling"""]),
    'R-CEL-9007892':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interleukin-38 signaling"""]),
    'R-CFA-9007892':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interleukin-38 signaling"""]),
    'R-DME-9007892':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interleukin-38 signaling"""]),
    'R-DRE-9007892':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interleukin-38 signaling"""]),
    'R-GGA-9007892':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interleukin-38 signaling"""]),
    'R-MMU-9007892':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interleukin-38 signaling"""]),
    'R-RNO-9007892':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interleukin-38 signaling"""]),
    'R-SSC-9007892':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interleukin-38 signaling"""]),
    'R-XTR-9007892':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interleukin-38 signaling"""]),
    'R-HSA-9008059':Nto._make([date(2017, 12, 13), '....P..', 'BC', """Interleukin-37 signaling"""]),
    'R-BTA-9008059':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interleukin-37 signaling"""]),
    'R-CEL-9008059':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interleukin-37 signaling"""]),
    'R-CFA-9008059':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interleukin-37 signaling"""]),
    'R-DDI-9008059':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interleukin-37 signaling"""]),
    'R-DME-9008059':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interleukin-37 signaling"""]),
    'R-DRE-9008059':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interleukin-37 signaling"""]),
    'R-GGA-9008059':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interleukin-37 signaling"""]),
    'R-MMU-9008059':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interleukin-37 signaling"""]),
    'R-RNO-9008059':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interleukin-37 signaling"""]),
    'R-SSC-9008059':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interleukin-37 signaling"""]),
    'R-XTR-9008059':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Interleukin-37 signaling"""]),
    'R-BTA-9009391':Nto._make([date(2019,  3, 20), '..fI...', '..', """Non-genomic estrogen signaling"""]),
    'R-CEL-9009391':Nto._make([date(2019,  3, 20), '..fI...', '..', """Non-genomic estrogen signaling"""]),
    'R-CFA-9009391':Nto._make([date(2019,  3, 20), '..fI...', '..', """Non-genomic estrogen signaling"""]),
    'R-DDI-9009391':Nto._make([date(2019,  3, 20), '..fI...', '..', """Non-genomic estrogen signaling"""]),
    'R-DME-9009391':Nto._make([date(2019,  3, 20), '..fI...', '..', """Non-genomic estrogen signaling"""]),
    'R-DRE-9009391':Nto._make([date(2019,  3, 20), '..fI...', '..', """Non-genomic estrogen signaling"""]),
    'R-GGA-9009391':Nto._make([date(2019,  3, 20), '..fI...', '..', """Non-genomic estrogen signaling"""]),
    'R-HSA-9009391':Nto._make([date(2019,  3, 20), '..f.P..', '..', """Non-genomic estrogen signaling"""]),
    'R-MMU-9009391':Nto._make([date(2019,  3, 20), '..fI...', '..', """Non-genomic estrogen signaling"""]),
    'R-PFA-9009391':Nto._make([date(2019,  3, 20), '..fI...', '..', """Non-genomic estrogen signaling"""]),
    'R-RNO-9009391':Nto._make([date(2019,  3, 20), '..fI...', '..', """Non-genomic estrogen signaling"""]),
    'R-SCE-9009391':Nto._make([date(2019,  3, 20), '..fI...', '..', """Non-genomic estrogen signaling"""]),
    'R-SPO-9009391':Nto._make([date(2019,  3, 20), '..fI...', '..', """Non-genomic estrogen signaling"""]),
    'R-SSC-9009391':Nto._make([date(2019,  3, 20), '..fI...', '..', """Non-genomic estrogen signaling"""]),
    'R-XTR-9009391':Nto._make([date(2019,  3, 20), '..fI...', '..', """Non-genomic estrogen signaling"""]),
    'R-HSA-9010553':Nto._make([date(2017,  9, 12), '....P..', '..', """Regulation of expression of SLITs and ROBOs"""]),
    'R-BTA-9010553':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of expression of SLITs and ROBOs"""]),
    'R-CEL-9010553':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of expression of SLITs and ROBOs"""]),
    'R-CFA-9010553':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of expression of SLITs and ROBOs"""]),
    'R-DME-9010553':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of expression of SLITs and ROBOs"""]),
    'R-DRE-9010553':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of expression of SLITs and ROBOs"""]),
    'R-MMU-9010553':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of expression of SLITs and ROBOs"""]),
    'R-RNO-9010553':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of expression of SLITs and ROBOs"""]),
    'R-SSC-9010553':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of expression of SLITs and ROBOs"""]),
    'R-XTR-9010553':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of expression of SLITs and ROBOs"""]),
    'R-HSA-9010642':Nto._make([date(2017,  9, 12), '....P..', '..', """ROBO receptors bind AKAP5"""]),
    'R-CFA-9010642':Nto._make([date(2019,  3, 20), '...I...', '..', """ROBO receptors bind AKAP5"""]),
    'R-HSA-9012546':Nto._make([date(2016, 12, 12), '....P..', 'B.', """Interleukin-18 signaling"""]),
    'R-HSA-9012852':Nto._make([date(2005,  6, 12), '..F.P..', 'B.', """Signaling by NOTCH3"""]),
    'R-BTA-9012852':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NOTCH3"""]),
    'R-MMU-9012852':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NOTCH3"""]),
    'R-RNO-9012852':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NOTCH3"""]),
    'R-XTR-9012852':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NOTCH3"""]),
    'R-HSA-9013507':Nto._make([date(2017, 12, 13), '....P..', 'B.', """NOTCH3 Activation and Transmission of Signal to the Nucleus"""]),
    'R-BTA-9013507':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOTCH3 Activation and Transmission of Signal to the Nucleus"""]),
    'R-MMU-9013507':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOTCH3 Activation and Transmission of Signal to the Nucleus"""]),
    'R-RNO-9013507':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOTCH3 Activation and Transmission of Signal to the Nucleus"""]),
    'R-XTR-9013507':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOTCH3 Activation and Transmission of Signal to the Nucleus"""]),
    'R-HSA-9013508':Nto._make([date(2017, 12, 13), '....P..', 'B.', """NOTCH3 Intracellular Domain Regulates Transcription"""]),
    'R-HSA-9013694':Nto._make([date(2005,  6, 12), '..F.P..', 'B.', """Signaling by NOTCH4"""]),
    'R-BTA-9013694':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NOTCH4"""]),
    'R-CFA-9013694':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NOTCH4"""]),
    'R-DME-9013694':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NOTCH4"""]),
    'R-DRE-9013694':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NOTCH4"""]),
    'R-GGA-9013694':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NOTCH4"""]),
    'R-MMU-9013694':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NOTCH4"""]),
    'R-RNO-9013694':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NOTCH4"""]),
    'R-SSC-9013694':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NOTCH4"""]),
    'R-HSA-9013695':Nto._make([date(2018,  6, 12), '....P..', 'B.', """NOTCH4 Intracellular Domain Regulates Transcription"""]),
    'R-HSA-9013700':Nto._make([date(2018,  6, 12), '....P..', 'B.', """NOTCH4 Activation and Transmission of Signal to the Nucleus"""]),
    'R-BTA-9013700':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOTCH4 Activation and Transmission of Signal to the Nucleus"""]),
    'R-CFA-9013700':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOTCH4 Activation and Transmission of Signal to the Nucleus"""]),
    'R-DME-9013700':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOTCH4 Activation and Transmission of Signal to the Nucleus"""]),
    'R-DRE-9013700':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOTCH4 Activation and Transmission of Signal to the Nucleus"""]),
    'R-GGA-9013700':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOTCH4 Activation and Transmission of Signal to the Nucleus"""]),
    'R-MMU-9013700':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOTCH4 Activation and Transmission of Signal to the Nucleus"""]),
    'R-RNO-9013700':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOTCH4 Activation and Transmission of Signal to the Nucleus"""]),
    'R-SSC-9013700':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NOTCH4 Activation and Transmission of Signal to the Nucleus"""]),
    'R-HSA-9013957':Nto._make([date(2012, 12,  4), '....P..', '.C', """TLR3-mediated TICAM1-dependent programmed cell death"""]),
    'R-HSA-9013973':Nto._make([date(2010, 12, 14), '....P..', 'BC', """TICAM1-dependent activation of IRF3/IRF7"""]),
    'R-BTA-9013973':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TICAM1-dependent activation of IRF3/IRF7"""]),
    'R-CFA-9013973':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TICAM1-dependent activation of IRF3/IRF7"""]),
    'R-DRE-9013973':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TICAM1-dependent activation of IRF3/IRF7"""]),
    'R-GGA-9013973':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TICAM1-dependent activation of IRF3/IRF7"""]),
    'R-MMU-9013973':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TICAM1-dependent activation of IRF3/IRF7"""]),
    'R-RNO-9013973':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TICAM1-dependent activation of IRF3/IRF7"""]),
    'R-SSC-9013973':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TICAM1-dependent activation of IRF3/IRF7"""]),
    'R-XTR-9013973':Nto._make([date(2019,  3, 20), '...I...', 'BC', """TICAM1-dependent activation of IRF3/IRF7"""]),
    'R-HSA-9014325':Nto._make([date(2010, 12, 14), '....P..', 'BC', """TICAM1,TRAF6-dependent induction of TAK1 complex"""]),
    'R-HSA-9014826':Nto._make([date(2017,  9, 12), '....P..', '..', """Interleukin-36 pathway"""]),
    'R-BTA-9014826':Nto._make([date(2019,  3, 20), '...I...', '..', """Interleukin-36 pathway"""]),
    'R-CFA-9014826':Nto._make([date(2019,  3, 20), '...I...', '..', """Interleukin-36 pathway"""]),
    'R-DRE-9014826':Nto._make([date(2019,  3, 20), '...I...', '..', """Interleukin-36 pathway"""]),
    'R-GGA-9014826':Nto._make([date(2019,  3, 20), '...I...', '..', """Interleukin-36 pathway"""]),
    'R-MMU-9014826':Nto._make([date(2019,  3, 20), '...I...', '..', """Interleukin-36 pathway"""]),
    'R-RNO-9014826':Nto._make([date(2019,  3, 20), '...I...', '..', """Interleukin-36 pathway"""]),
    'R-XTR-9014826':Nto._make([date(2019,  3, 20), '...I...', '..', """Interleukin-36 pathway"""]),
    'R-HSA-9014843':Nto._make([date(2017,  9, 12), '....P..', 'B.', """Interleukin-33 signaling"""]),
    'R-BTA-9014843':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-33 signaling"""]),
    'R-MMU-9014843':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-33 signaling"""]),
    'R-RNO-9014843':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-33 signaling"""]),
    'R-SSC-9014843':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-33 signaling"""]),
    'R-HSA-9017802':Nto._make([date(2017, 12, 13), '....P..', 'B.', """Noncanonical activation of NOTCH3"""]),
    'R-MMU-9017802':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Noncanonical activation of NOTCH3"""]),
    'R-RNO-9017802':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Noncanonical activation of NOTCH3"""]),
    'R-XTR-9017802':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Noncanonical activation of NOTCH3"""]),
    'R-HSA-9018519':Nto._make([date(2018,  3, 21), '....P..', '..', """Estrogen-dependent gene expression"""]),
    'R-BTA-9018519':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent gene expression"""]),
    'R-CEL-9018519':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent gene expression"""]),
    'R-CFA-9018519':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent gene expression"""]),
    'R-DDI-9018519':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent gene expression"""]),
    'R-DME-9018519':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent gene expression"""]),
    'R-DRE-9018519':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent gene expression"""]),
    'R-GGA-9018519':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent gene expression"""]),
    'R-MMU-9018519':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent gene expression"""]),
    'R-PFA-9018519':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent gene expression"""]),
    'R-RNO-9018519':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent gene expression"""]),
    'R-SCE-9018519':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent gene expression"""]),
    'R-SPO-9018519':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent gene expression"""]),
    'R-SSC-9018519':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent gene expression"""]),
    'R-XTR-9018519':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent gene expression"""]),
    'R-HSA-9018676':Nto._make([date(2018,  3, 21), '....P..', 'B.', """Biosynthesis of D-series resolvins"""]),
    'R-BTA-9018676':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of D-series resolvins"""]),
    'R-CEL-9018676':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of D-series resolvins"""]),
    'R-CFA-9018676':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of D-series resolvins"""]),
    'R-DDI-9018676':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of D-series resolvins"""]),
    'R-DME-9018676':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of D-series resolvins"""]),
    'R-DRE-9018676':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of D-series resolvins"""]),
    'R-GGA-9018676':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of D-series resolvins"""]),
    'R-MMU-9018676':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of D-series resolvins"""]),
    'R-PFA-9018676':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of D-series resolvins"""]),
    'R-RNO-9018676':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of D-series resolvins"""]),
    'R-SCE-9018676':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of D-series resolvins"""]),
    'R-SPO-9018676':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of D-series resolvins"""]),
    'R-SSC-9018676':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of D-series resolvins"""]),
    'R-XTR-9018676':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of D-series resolvins"""]),
    'R-HSA-9018677':Nto._make([date(2018,  3, 21), '..f.P..', 'B.', """Biosynthesis of DHA-derived SPMs"""]),
    'R-BTA-9018677':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DHA-derived SPMs"""]),
    'R-CEL-9018677':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DHA-derived SPMs"""]),
    'R-CFA-9018677':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DHA-derived SPMs"""]),
    'R-DDI-9018677':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DHA-derived SPMs"""]),
    'R-DME-9018677':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DHA-derived SPMs"""]),
    'R-DRE-9018677':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DHA-derived SPMs"""]),
    'R-GGA-9018677':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DHA-derived SPMs"""]),
    'R-MMU-9018677':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DHA-derived SPMs"""]),
    'R-PFA-9018677':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DHA-derived SPMs"""]),
    'R-RNO-9018677':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DHA-derived SPMs"""]),
    'R-SCE-9018677':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DHA-derived SPMs"""]),
    'R-SPO-9018677':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DHA-derived SPMs"""]),
    'R-SSC-9018677':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DHA-derived SPMs"""]),
    'R-XTR-9018677':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DHA-derived SPMs"""]),
    'R-HSA-9018678':Nto._make([date(2018,  3, 21), '..f.P..', 'B.', """Biosynthesis of specialized proresolving mediators (SPMs)"""]),
    'R-BTA-9018678':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of specialized proresolving mediators (SPMs)"""]),
    'R-CEL-9018678':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of specialized proresolving mediators (SPMs)"""]),
    'R-CFA-9018678':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of specialized proresolving mediators (SPMs)"""]),
    'R-DDI-9018678':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of specialized proresolving mediators (SPMs)"""]),
    'R-DME-9018678':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of specialized proresolving mediators (SPMs)"""]),
    'R-DRE-9018678':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of specialized proresolving mediators (SPMs)"""]),
    'R-GGA-9018678':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of specialized proresolving mediators (SPMs)"""]),
    'R-MMU-9018678':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of specialized proresolving mediators (SPMs)"""]),
    'R-PFA-9018678':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of specialized proresolving mediators (SPMs)"""]),
    'R-RNO-9018678':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of specialized proresolving mediators (SPMs)"""]),
    'R-SCE-9018678':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of specialized proresolving mediators (SPMs)"""]),
    'R-SPO-9018678':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of specialized proresolving mediators (SPMs)"""]),
    'R-SSC-9018678':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of specialized proresolving mediators (SPMs)"""]),
    'R-XTR-9018678':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of specialized proresolving mediators (SPMs)"""]),
    'R-HSA-9018679':Nto._make([date(2018,  3, 21), '..f.P..', 'B.', """Biosynthesis of EPA-derived SPMs"""]),
    'R-BTA-9018679':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of EPA-derived SPMs"""]),
    'R-CEL-9018679':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of EPA-derived SPMs"""]),
    'R-CFA-9018679':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of EPA-derived SPMs"""]),
    'R-DDI-9018679':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of EPA-derived SPMs"""]),
    'R-DME-9018679':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of EPA-derived SPMs"""]),
    'R-DRE-9018679':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of EPA-derived SPMs"""]),
    'R-GGA-9018679':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of EPA-derived SPMs"""]),
    'R-MMU-9018679':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of EPA-derived SPMs"""]),
    'R-PFA-9018679':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of EPA-derived SPMs"""]),
    'R-RNO-9018679':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of EPA-derived SPMs"""]),
    'R-SCE-9018679':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of EPA-derived SPMs"""]),
    'R-SPO-9018679':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of EPA-derived SPMs"""]),
    'R-SSC-9018679':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of EPA-derived SPMs"""]),
    'R-XTR-9018679':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of EPA-derived SPMs"""]),
    'R-HSA-9018681':Nto._make([date(2018,  3, 21), '....P..', 'B.', """Biosynthesis of protectins"""]),
    'R-BTA-9018681':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of protectins"""]),
    'R-CEL-9018681':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of protectins"""]),
    'R-CFA-9018681':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of protectins"""]),
    'R-DDI-9018681':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of protectins"""]),
    'R-DME-9018681':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of protectins"""]),
    'R-DRE-9018681':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of protectins"""]),
    'R-GGA-9018681':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of protectins"""]),
    'R-MMU-9018681':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of protectins"""]),
    'R-RNO-9018681':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of protectins"""]),
    'R-SCE-9018681':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of protectins"""]),
    'R-SPO-9018681':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of protectins"""]),
    'R-SSC-9018681':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of protectins"""]),
    'R-XTR-9018681':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of protectins"""]),
    'R-HSA-9018682':Nto._make([date(2018,  3, 21), '....P..', 'B.', """Biosynthesis of maresins"""]),
    'R-BTA-9018682':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresins"""]),
    'R-CFA-9018682':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresins"""]),
    'R-DDI-9018682':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresins"""]),
    'R-DRE-9018682':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresins"""]),
    'R-GGA-9018682':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresins"""]),
    'R-MMU-9018682':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresins"""]),
    'R-PFA-9018682':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresins"""]),
    'R-RNO-9018682':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresins"""]),
    'R-SSC-9018682':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresins"""]),
    'R-XTR-9018682':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresins"""]),
    'R-HSA-9018683':Nto._make([date(2018,  3, 21), '..f.P..', 'B.', """Biosynthesis of DPA-derived SPMs"""]),
    'R-BTA-9018683':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DPA-derived SPMs"""]),
    'R-CFA-9018683':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DPA-derived SPMs"""]),
    'R-DDI-9018683':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DPA-derived SPMs"""]),
    'R-DRE-9018683':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DPA-derived SPMs"""]),
    'R-GGA-9018683':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DPA-derived SPMs"""]),
    'R-MMU-9018683':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DPA-derived SPMs"""]),
    'R-RNO-9018683':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DPA-derived SPMs"""]),
    'R-SSC-9018683':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DPA-derived SPMs"""]),
    'R-XTR-9018683':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of DPA-derived SPMs"""]),
    'R-HSA-9018896':Nto._make([date(2018,  3, 21), '....P..', 'B.', """Biosynthesis of E-series 18(S)-resolvins"""]),
    'R-BTA-9018896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(S)-resolvins"""]),
    'R-CEL-9018896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(S)-resolvins"""]),
    'R-CFA-9018896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(S)-resolvins"""]),
    'R-DDI-9018896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(S)-resolvins"""]),
    'R-DME-9018896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(S)-resolvins"""]),
    'R-DRE-9018896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(S)-resolvins"""]),
    'R-GGA-9018896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(S)-resolvins"""]),
    'R-MMU-9018896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(S)-resolvins"""]),
    'R-PFA-9018896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(S)-resolvins"""]),
    'R-RNO-9018896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(S)-resolvins"""]),
    'R-SCE-9018896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(S)-resolvins"""]),
    'R-SPO-9018896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(S)-resolvins"""]),
    'R-SSC-9018896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(S)-resolvins"""]),
    'R-XTR-9018896':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(S)-resolvins"""]),
    'R-HSA-9020265':Nto._make([date(2018,  3, 21), '....P..', 'B.', """Biosynthesis of aspirin-triggered D-series resolvins"""]),
    'R-BTA-9020265':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of aspirin-triggered D-series resolvins"""]),
    'R-CEL-9020265':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of aspirin-triggered D-series resolvins"""]),
    'R-CFA-9020265':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of aspirin-triggered D-series resolvins"""]),
    'R-DDI-9020265':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of aspirin-triggered D-series resolvins"""]),
    'R-DME-9020265':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of aspirin-triggered D-series resolvins"""]),
    'R-DRE-9020265':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of aspirin-triggered D-series resolvins"""]),
    'R-GGA-9020265':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of aspirin-triggered D-series resolvins"""]),
    'R-MMU-9020265':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of aspirin-triggered D-series resolvins"""]),
    'R-PFA-9020265':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of aspirin-triggered D-series resolvins"""]),
    'R-RNO-9020265':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of aspirin-triggered D-series resolvins"""]),
    'R-SCE-9020265':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of aspirin-triggered D-series resolvins"""]),
    'R-SPO-9020265':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of aspirin-triggered D-series resolvins"""]),
    'R-SSC-9020265':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of aspirin-triggered D-series resolvins"""]),
    'R-XTR-9020265':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of aspirin-triggered D-series resolvins"""]),
    'R-HSA-9020558':Nto._make([date(2017, 12, 13), '....P..', 'B.', """Interleukin-2 signaling"""]),
    'R-BTA-9020558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-2 signaling"""]),
    'R-CEL-9020558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-2 signaling"""]),
    'R-CFA-9020558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-2 signaling"""]),
    'R-DDI-9020558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-2 signaling"""]),
    'R-DME-9020558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-2 signaling"""]),
    'R-DRE-9020558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-2 signaling"""]),
    'R-GGA-9020558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-2 signaling"""]),
    'R-MMU-9020558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-2 signaling"""]),
    'R-RNO-9020558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-2 signaling"""]),
    'R-SSC-9020558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-2 signaling"""]),
    'R-XTR-9020558':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-2 signaling"""]),
    'R-HSA-9020591':Nto._make([date(2017, 12, 13), '....P..', 'B.', """Interleukin-12 signaling"""]),
    'R-BTA-9020591':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-12 signaling"""]),
    'R-CEL-9020591':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-12 signaling"""]),
    'R-CFA-9020591':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-12 signaling"""]),
    'R-DDI-9020591':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-12 signaling"""]),
    'R-DME-9020591':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-12 signaling"""]),
    'R-DRE-9020591':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-12 signaling"""]),
    'R-GGA-9020591':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-12 signaling"""]),
    'R-MMU-9020591':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-12 signaling"""]),
    'R-RNO-9020591':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-12 signaling"""]),
    'R-SSC-9020591':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-12 signaling"""]),
    'R-XTR-9020591':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-12 signaling"""]),
    'R-HSA-9020702':Nto._make([date(2017, 12, 13), '....P..', 'B.', """Interleukin-1 signaling"""]),
    'R-BTA-9020702':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-1 signaling"""]),
    'R-CEL-9020702':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-1 signaling"""]),
    'R-CFA-9020702':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-1 signaling"""]),
    'R-DDI-9020702':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-1 signaling"""]),
    'R-DME-9020702':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-1 signaling"""]),
    'R-DRE-9020702':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-1 signaling"""]),
    'R-GGA-9020702':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-1 signaling"""]),
    'R-MMU-9020702':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-1 signaling"""]),
    'R-PFA-9020702':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-1 signaling"""]),
    'R-RNO-9020702':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-1 signaling"""]),
    'R-SSC-9020702':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-1 signaling"""]),
    'R-XTR-9020702':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-1 signaling"""]),
    'R-HSA-9020933':Nto._make([date(2017, 12, 13), '....P..', 'B.', """Interleukin-23 signaling"""]),
    'R-BTA-9020933':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-23 signaling"""]),
    'R-CEL-9020933':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-23 signaling"""]),
    'R-CFA-9020933':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-23 signaling"""]),
    'R-DDI-9020933':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-23 signaling"""]),
    'R-DME-9020933':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-23 signaling"""]),
    'R-DRE-9020933':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-23 signaling"""]),
    'R-GGA-9020933':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-23 signaling"""]),
    'R-MMU-9020933':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-23 signaling"""]),
    'R-RNO-9020933':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-23 signaling"""]),
    'R-SSC-9020933':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-23 signaling"""]),
    'R-XTR-9020933':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-23 signaling"""]),
    'R-HSA-9020956':Nto._make([date(2017, 12, 13), '....P..', 'B.', """Interleukin-27 signaling"""]),
    'R-BTA-9020956':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-27 signaling"""]),
    'R-CEL-9020956':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-27 signaling"""]),
    'R-CFA-9020956':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-27 signaling"""]),
    'R-DDI-9020956':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-27 signaling"""]),
    'R-DME-9020956':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-27 signaling"""]),
    'R-DRE-9020956':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-27 signaling"""]),
    'R-GGA-9020956':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-27 signaling"""]),
    'R-MMU-9020956':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-27 signaling"""]),
    'R-RNO-9020956':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-27 signaling"""]),
    'R-SSC-9020956':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-27 signaling"""]),
    'R-XTR-9020956':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-27 signaling"""]),
    'R-HSA-9020958':Nto._make([date(2017, 12, 13), '....P..', 'B.', """Interleukin-21 signaling"""]),
    'R-BTA-9020958':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-21 signaling"""]),
    'R-CFA-9020958':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-21 signaling"""]),
    'R-DRE-9020958':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-21 signaling"""]),
    'R-GGA-9020958':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-21 signaling"""]),
    'R-MMU-9020958':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-21 signaling"""]),
    'R-RNO-9020958':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-21 signaling"""]),
    'R-SSC-9020958':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-21 signaling"""]),
    'R-XTR-9020958':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Interleukin-21 signaling"""]),
    'R-HSA-9022534':Nto._make([date(2018,  9, 12), '.Df.P..', '.C', """Loss of MECP2 binding ability to 5hmC-DNA"""]),
    'R-HSA-9022535':Nto._make([date(2018,  9, 12), '.Df.P..', '.C', """Loss of phosphorylation of MECP2 at T308"""]),
    'R-HSA-9022537':Nto._make([date(2018,  9, 12), '.Df.P..', '.C', """Loss of MECP2 binding ability to the NCoR/SMRT complex"""]),
    'R-HSA-9022538':Nto._make([date(2018,  9, 12), '.Df.P..', '.C', """Loss of MECP2 binding ability to 5mC-DNA"""]),
    'R-HSA-9022692':Nto._make([date(2018,  9, 12), '....P..', '..', """Regulation of MECP2 expression and activity"""]),
    'R-BTA-9022692':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of MECP2 expression and activity"""]),
    'R-CFA-9022692':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of MECP2 expression and activity"""]),
    'R-DRE-9022692':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of MECP2 expression and activity"""]),
    'R-MMU-9022692':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of MECP2 expression and activity"""]),
    'R-RNO-9022692':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of MECP2 expression and activity"""]),
    'R-SSC-9022692':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of MECP2 expression and activity"""]),
    'R-XTR-9022692':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of MECP2 expression and activity"""]),
    'R-HSA-9022699':Nto._make([date(2018,  9, 12), '....P..', '..', """MECP2 regulates neuronal receptors and channels"""]),
    'R-HSA-9022702':Nto._make([date(2018,  9, 12), '....P..', '..', """MECP2 regulates transcription of neuronal ligands"""]),
    'R-HSA-9022707':Nto._make([date(2018,  9, 12), '....P..', '..', """MECP2 regulates transcription factors"""]),
    'R-HSA-9022927':Nto._make([date(2018,  9, 12), '....P..', '..', """MECP2 regulates transcription of genes involved in GABA signaling"""]),
    'R-HSA-9023661':Nto._make([date(2018,  3, 21), '....P..', 'B.', """Biosynthesis of E-series 18(R)-resolvins"""]),
    'R-BTA-9023661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(R)-resolvins"""]),
    'R-CEL-9023661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(R)-resolvins"""]),
    'R-CFA-9023661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(R)-resolvins"""]),
    'R-DDI-9023661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(R)-resolvins"""]),
    'R-DME-9023661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(R)-resolvins"""]),
    'R-DRE-9023661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(R)-resolvins"""]),
    'R-GGA-9023661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(R)-resolvins"""]),
    'R-MMU-9023661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(R)-resolvins"""]),
    'R-PFA-9023661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(R)-resolvins"""]),
    'R-RNO-9023661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(R)-resolvins"""]),
    'R-SCE-9023661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(R)-resolvins"""]),
    'R-SPO-9023661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(R)-resolvins"""]),
    'R-SSC-9023661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(R)-resolvins"""]),
    'R-XTR-9023661':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of E-series 18(R)-resolvins"""]),
    'R-HSA-9024909':Nto._make([date(2018,  3, 21), '....P..', 'B.', """BDNF activates NTRK2 (TRKB) signaling"""]),
    'R-HSA-9025046':Nto._make([date(2018,  3, 21), '....P..', 'B.', """NTF3 activates NTRK2 (TRKB) signaling"""]),
    'R-HSA-9025094':Nto._make([date(2018,  3, 21), '....P..', 'B.', """Biosynthesis of DPAn-3 SPMs"""]),
    'R-BTA-9025094':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3 SPMs"""]),
    'R-CFA-9025094':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3 SPMs"""]),
    'R-DDI-9025094':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3 SPMs"""]),
    'R-DRE-9025094':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3 SPMs"""]),
    'R-GGA-9025094':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3 SPMs"""]),
    'R-MMU-9025094':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3 SPMs"""]),
    'R-RNO-9025094':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3 SPMs"""]),
    'R-SSC-9025094':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3 SPMs"""]),
    'R-XTR-9025094':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3 SPMs"""]),
    'R-HSA-9025106':Nto._make([date(2018,  3, 21), '....P..', 'B.', """Biosynthesis of DPAn-6 SPMs"""]),
    'R-BTA-9025106':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-6 SPMs"""]),
    'R-CFA-9025106':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-6 SPMs"""]),
    'R-DDI-9025106':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-6 SPMs"""]),
    'R-DRE-9025106':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-6 SPMs"""]),
    'R-MMU-9025106':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-6 SPMs"""]),
    'R-RNO-9025106':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-6 SPMs"""]),
    'R-SSC-9025106':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-6 SPMs"""]),
    'R-HSA-9026286':Nto._make([date(2018,  3, 21), '....P..', 'B.', """Biosynthesis of DPAn-3-derived protectins and resolvins"""]),
    'R-BTA-9026286':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived protectins and resolvins"""]),
    'R-CFA-9026286':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived protectins and resolvins"""]),
    'R-DDI-9026286':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived protectins and resolvins"""]),
    'R-DRE-9026286':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived protectins and resolvins"""]),
    'R-GGA-9026286':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived protectins and resolvins"""]),
    'R-MMU-9026286':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived protectins and resolvins"""]),
    'R-RNO-9026286':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived protectins and resolvins"""]),
    'R-SSC-9026286':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived protectins and resolvins"""]),
    'R-XTR-9026286':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived protectins and resolvins"""]),
    'R-HSA-9026290':Nto._make([date(2018,  3, 21), '....P..', 'B.', """Biosynthesis of DPAn-3-derived maresins"""]),
    'R-BTA-9026290':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived maresins"""]),
    'R-CFA-9026290':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived maresins"""]),
    'R-DDI-9026290':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived maresins"""]),
    'R-DRE-9026290':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived maresins"""]),
    'R-GGA-9026290':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived maresins"""]),
    'R-MMU-9026290':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived maresins"""]),
    'R-RNO-9026290':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived maresins"""]),
    'R-SSC-9026290':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived maresins"""]),
    'R-XTR-9026290':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived maresins"""]),
    'R-HSA-9026357':Nto._make([date(2018,  3, 21), '....P..', 'B.', """NTF4 activates NTRK2 (TRKB) signaling"""]),
    'R-HSA-9026395':Nto._make([date(2018,  3, 21), '....P..', 'B.', """Biosynthesis of DHA-derived sulfido conjugates"""]),
    'R-BTA-9026395':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DHA-derived sulfido conjugates"""]),
    'R-CFA-9026395':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DHA-derived sulfido conjugates"""]),
    'R-DDI-9026395':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DHA-derived sulfido conjugates"""]),
    'R-DRE-9026395':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DHA-derived sulfido conjugates"""]),
    'R-GGA-9026395':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DHA-derived sulfido conjugates"""]),
    'R-MMU-9026395':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DHA-derived sulfido conjugates"""]),
    'R-RNO-9026395':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DHA-derived sulfido conjugates"""]),
    'R-SSC-9026395':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DHA-derived sulfido conjugates"""]),
    'R-XTR-9026395':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DHA-derived sulfido conjugates"""]),
    'R-HSA-9026403':Nto._make([date(2018,  3, 21), '....P..', 'B.', """Biosynthesis of DPAn-3-derived 13-series resolvins"""]),
    'R-BTA-9026403':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived 13-series resolvins"""]),
    'R-CFA-9026403':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived 13-series resolvins"""]),
    'R-DDI-9026403':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived 13-series resolvins"""]),
    'R-GGA-9026403':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived 13-series resolvins"""]),
    'R-MMU-9026403':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived 13-series resolvins"""]),
    'R-RNO-9026403':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived 13-series resolvins"""]),
    'R-SSC-9026403':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived 13-series resolvins"""]),
    'R-XTR-9026403':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of DPAn-3-derived 13-series resolvins"""]),
    'R-HSA-9026519':Nto._make([date(2018,  3, 21), '....P..', 'B.', """Activated NTRK2 signals through RAS"""]),
    'R-HSA-9026527':Nto._make([date(2018,  3, 21), '....P..', 'B.', """Activated NTRK2 signals through PLCG1"""]),
    'R-BTA-9026527':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through PLCG1"""]),
    'R-CFA-9026527':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through PLCG1"""]),
    'R-DRE-9026527':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through PLCG1"""]),
    'R-GGA-9026527':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through PLCG1"""]),
    'R-MMU-9026527':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through PLCG1"""]),
    'R-RNO-9026527':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through PLCG1"""]),
    'R-SSC-9026527':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through PLCG1"""]),
    'R-XTR-9026527':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through PLCG1"""]),
    'R-HSA-9026762':Nto._make([date(2018,  3, 21), '....P..', 'B.', """Biosynthesis of maresin conjugates in tissue regeneration (MCTR)"""]),
    'R-BTA-9026762':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresin conjugates in tissue regeneration (MCTR)"""]),
    'R-CFA-9026762':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresin conjugates in tissue regeneration (MCTR)"""]),
    'R-DDI-9026762':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresin conjugates in tissue regeneration (MCTR)"""]),
    'R-DRE-9026762':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresin conjugates in tissue regeneration (MCTR)"""]),
    'R-GGA-9026762':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresin conjugates in tissue regeneration (MCTR)"""]),
    'R-MMU-9026762':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresin conjugates in tissue regeneration (MCTR)"""]),
    'R-RNO-9026762':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresin conjugates in tissue regeneration (MCTR)"""]),
    'R-SSC-9026762':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresin conjugates in tissue regeneration (MCTR)"""]),
    'R-XTR-9026762':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresin conjugates in tissue regeneration (MCTR)"""]),
    'R-HSA-9026766':Nto._make([date(2018,  3, 21), '....P..', 'B.', """Biosynthesis of protectin and resolvin conjugates in tissue regeneration (PCTR and RCTR)"""]),
    'R-BTA-9026766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of protectin and resolvin conjugates in tissue regeneration (PCTR and RCTR)"""]),
    'R-CFA-9026766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of protectin and resolvin conjugates in tissue regeneration (PCTR and RCTR)"""]),
    'R-DDI-9026766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of protectin and resolvin conjugates in tissue regeneration (PCTR and RCTR)"""]),
    'R-DRE-9026766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of protectin and resolvin conjugates in tissue regeneration (PCTR and RCTR)"""]),
    'R-GGA-9026766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of protectin and resolvin conjugates in tissue regeneration (PCTR and RCTR)"""]),
    'R-MMU-9026766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of protectin and resolvin conjugates in tissue regeneration (PCTR and RCTR)"""]),
    'R-RNO-9026766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of protectin and resolvin conjugates in tissue regeneration (PCTR and RCTR)"""]),
    'R-SSC-9026766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of protectin and resolvin conjugates in tissue regeneration (PCTR and RCTR)"""]),
    'R-XTR-9026766':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of protectin and resolvin conjugates in tissue regeneration (PCTR and RCTR)"""]),
    'R-HSA-9027276':Nto._make([date(2018,  9, 12), '....P..', 'B.', """Erythropoietin activates Phosphoinositide-3-kinase (PI3K)"""]),
    'R-BTA-9027276':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Erythropoietin activates Phosphoinositide-3-kinase (PI3K)"""]),
    'R-CFA-9027276':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Erythropoietin activates Phosphoinositide-3-kinase (PI3K)"""]),
    'R-DRE-9027276':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Erythropoietin activates Phosphoinositide-3-kinase (PI3K)"""]),
    'R-MMU-9027276':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Erythropoietin activates Phosphoinositide-3-kinase (PI3K)"""]),
    'R-RNO-9027276':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Erythropoietin activates Phosphoinositide-3-kinase (PI3K)"""]),
    'R-SSC-9027276':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Erythropoietin activates Phosphoinositide-3-kinase (PI3K)"""]),
    'R-XTR-9027276':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Erythropoietin activates Phosphoinositide-3-kinase (PI3K)"""]),
    'R-HSA-9027277':Nto._make([date(2018,  9, 12), '....P..', 'B.', """Erythropoietin activates Phospholipase C gamma (PLCG)"""]),
    'R-HSA-9027283':Nto._make([date(2018,  9, 12), '....P..', 'B.', """Erythropoietin activates STAT5"""]),
    'R-HSA-9027284':Nto._make([date(2018,  9, 12), '....P..', 'B.', """Erythropoietin activates RAS"""]),
    'R-CFA-9027284':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Erythropoietin activates RAS"""]),
    'R-MMU-9027284':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Erythropoietin activates RAS"""]),
    'R-RNO-9027284':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Erythropoietin activates RAS"""]),
    'R-SSC-9027284':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Erythropoietin activates RAS"""]),
    'R-XTR-9027284':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Erythropoietin activates RAS"""]),
    'R-HSA-9027307':Nto._make([date(2018,  3, 21), '....P..', 'B.', """Biosynthesis of maresin-like SPMs"""]),
    'R-BTA-9027307':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresin-like SPMs"""]),
    'R-CFA-9027307':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresin-like SPMs"""]),
    'R-DDI-9027307':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresin-like SPMs"""]),
    'R-DRE-9027307':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresin-like SPMs"""]),
    'R-GGA-9027307':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresin-like SPMs"""]),
    'R-MMU-9027307':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresin-like SPMs"""]),
    'R-RNO-9027307':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresin-like SPMs"""]),
    'R-SSC-9027307':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresin-like SPMs"""]),
    'R-XTR-9027307':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Biosynthesis of maresin-like SPMs"""]),
    'R-HSA-9027604':Nto._make([date(2018,  3, 21), '..f.P..', 'B.', """Biosynthesis of electrophilic ω-3 PUFA oxo-derivatives"""]),
    'R-BTA-9027604':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of electrophilic ω-3 PUFA oxo-derivatives"""]),
    'R-CFA-9027604':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of electrophilic ω-3 PUFA oxo-derivatives"""]),
    'R-DDI-9027604':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of electrophilic ω-3 PUFA oxo-derivatives"""]),
    'R-DRE-9027604':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of electrophilic ω-3 PUFA oxo-derivatives"""]),
    'R-GGA-9027604':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of electrophilic ω-3 PUFA oxo-derivatives"""]),
    'R-MMU-9027604':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of electrophilic ω-3 PUFA oxo-derivatives"""]),
    'R-RNO-9027604':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of electrophilic ω-3 PUFA oxo-derivatives"""]),
    'R-SSC-9027604':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of electrophilic ω-3 PUFA oxo-derivatives"""]),
    'R-XTR-9027604':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Biosynthesis of electrophilic ω-3 PUFA oxo-derivatives"""]),
    'R-HSA-9028335':Nto._make([date(2018,  3, 21), '....P..', 'B.', """Activated NTRK2 signals through PI3K"""]),
    'R-HSA-9028731':Nto._make([date(2018,  3, 21), '....P..', 'B.', """Activated NTRK2 signals through FRS2 and FRS3"""]),
    'R-BTA-9028731':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through FRS2 and FRS3"""]),
    'R-CFA-9028731':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through FRS2 and FRS3"""]),
    'R-DRE-9028731':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through FRS2 and FRS3"""]),
    'R-GGA-9028731':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through FRS2 and FRS3"""]),
    'R-MMU-9028731':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through FRS2 and FRS3"""]),
    'R-RNO-9028731':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through FRS2 and FRS3"""]),
    'R-SSC-9028731':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through FRS2 and FRS3"""]),
    'R-XTR-9028731':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through FRS2 and FRS3"""]),
    'R-HSA-9032500':Nto._make([date(2018,  3, 21), '....P..', 'B.', """Activated NTRK2 signals through FYN"""]),
    'R-BTA-9032500':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through FYN"""]),
    'R-DRE-9032500':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through FYN"""]),
    'R-GGA-9032500':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through FYN"""]),
    'R-MMU-9032500':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through FYN"""]),
    'R-RNO-9032500':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through FYN"""]),
    'R-SSC-9032500':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through FYN"""]),
    'R-XTR-9032500':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK2 signals through FYN"""]),
    'R-HSA-9032759':Nto._make([date(2018,  3, 21), '....P..', '..', """NTRK2 activates RAC1"""]),
    'R-BTA-9032759':Nto._make([date(2019,  3, 20), '...I...', '..', """NTRK2 activates RAC1"""]),
    'R-DRE-9032759':Nto._make([date(2019,  3, 20), '...I...', '..', """NTRK2 activates RAC1"""]),
    'R-GGA-9032759':Nto._make([date(2019,  3, 20), '...I...', '..', """NTRK2 activates RAC1"""]),
    'R-MMU-9032759':Nto._make([date(2019,  3, 20), '...I...', '..', """NTRK2 activates RAC1"""]),
    'R-RNO-9032759':Nto._make([date(2019,  3, 20), '...I...', '..', """NTRK2 activates RAC1"""]),
    'R-SSC-9032759':Nto._make([date(2019,  3, 20), '...I...', '..', """NTRK2 activates RAC1"""]),
    'R-XTR-9032759':Nto._make([date(2019,  3, 20), '...I...', '..', """NTRK2 activates RAC1"""]),
    'R-HSA-9032845':Nto._make([date(2018,  3, 21), '....P..', 'B.', """Activated NTRK2 signals through CDK5"""]),
    'R-HSA-9033241':Nto._make([date(2018,  3, 18), '..f.P..', 'BC', """Peroxisomal protein import"""]),
    'R-BTA-9033241':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Peroxisomal protein import"""]),
    'R-CEL-9033241':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Peroxisomal protein import"""]),
    'R-CFA-9033241':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Peroxisomal protein import"""]),
    'R-DDI-9033241':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Peroxisomal protein import"""]),
    'R-DME-9033241':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Peroxisomal protein import"""]),
    'R-DRE-9033241':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Peroxisomal protein import"""]),
    'R-GGA-9033241':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Peroxisomal protein import"""]),
    'R-MMU-9033241':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Peroxisomal protein import"""]),
    'R-RNO-9033241':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Peroxisomal protein import"""]),
    'R-SCE-9033241':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Peroxisomal protein import"""]),
    'R-SPO-9033241':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Peroxisomal protein import"""]),
    'R-SSC-9033241':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Peroxisomal protein import"""]),
    'R-XTR-9033241':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """Peroxisomal protein import"""]),
    'R-HSA-9033500':Nto._make([date(2018,  3, 18), '..f.P..', 'BC', """TYSND1 cleaves peroxisomal proteins"""]),
    'R-BTA-9033500':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TYSND1 cleaves peroxisomal proteins"""]),
    'R-CFA-9033500':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TYSND1 cleaves peroxisomal proteins"""]),
    'R-DDI-9033500':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TYSND1 cleaves peroxisomal proteins"""]),
    'R-DME-9033500':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TYSND1 cleaves peroxisomal proteins"""]),
    'R-DRE-9033500':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TYSND1 cleaves peroxisomal proteins"""]),
    'R-GGA-9033500':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TYSND1 cleaves peroxisomal proteins"""]),
    'R-MMU-9033500':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TYSND1 cleaves peroxisomal proteins"""]),
    'R-RNO-9033500':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TYSND1 cleaves peroxisomal proteins"""]),
    'R-SSC-9033500':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TYSND1 cleaves peroxisomal proteins"""]),
    'R-XTR-9033500':Nto._make([date(2019,  3, 20), '..fI...', 'BC', """TYSND1 cleaves peroxisomal proteins"""]),
    'R-BTA-9033658':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Blood group systems biosynthesis"""]),
    'R-CEL-9033658':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Blood group systems biosynthesis"""]),
    'R-CFA-9033658':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Blood group systems biosynthesis"""]),
    'R-DDI-9033658':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Blood group systems biosynthesis"""]),
    'R-DME-9033658':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Blood group systems biosynthesis"""]),
    'R-DRE-9033658':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Blood group systems biosynthesis"""]),
    'R-GGA-9033658':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Blood group systems biosynthesis"""]),
    'R-HSA-9033658':Nto._make([date(2019,  3, 20), '..f.P..', 'B.', """Blood group systems biosynthesis"""]),
    'R-MMU-9033658':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Blood group systems biosynthesis"""]),
    'R-RNO-9033658':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Blood group systems biosynthesis"""]),
    'R-SSC-9033658':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Blood group systems biosynthesis"""]),
    'R-XTR-9033658':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Blood group systems biosynthesis"""]),
    'R-BTA-9033807':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ABO blood group biosynthesis"""]),
    'R-CEL-9033807':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ABO blood group biosynthesis"""]),
    'R-CFA-9033807':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ABO blood group biosynthesis"""]),
    'R-DRE-9033807':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ABO blood group biosynthesis"""]),
    'R-HSA-9033807':Nto._make([date(2019,  3, 20), '....P..', 'B.', """ABO blood group biosynthesis"""]),
    'R-MMU-9033807':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ABO blood group biosynthesis"""]),
    'R-RNO-9033807':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ABO blood group biosynthesis"""]),
    'R-SSC-9033807':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ABO blood group biosynthesis"""]),
    'R-XTR-9033807':Nto._make([date(2019,  3, 20), '...I...', 'B.', """ABO blood group biosynthesis"""]),
    'R-HSA-9034013':Nto._make([date(2018,  6, 12), '....P..', 'B.', """NTF3 activates NTRK3 signaling"""]),
    'R-BTA-9034013':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NTF3 activates NTRK3 signaling"""]),
    'R-CFA-9034013':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NTF3 activates NTRK3 signaling"""]),
    'R-DRE-9034013':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NTF3 activates NTRK3 signaling"""]),
    'R-MMU-9034013':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NTF3 activates NTRK3 signaling"""]),
    'R-RNO-9034013':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NTF3 activates NTRK3 signaling"""]),
    'R-XTR-9034013':Nto._make([date(2019,  3, 20), '...I...', 'B.', """NTF3 activates NTRK3 signaling"""]),
    'R-HSA-9034015':Nto._make([date(2018,  6, 12), '..f.P..', 'B.', """Signaling by NTRK3 (TRKC)"""]),
    'R-BTA-9034015':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRK3 (TRKC)"""]),
    'R-CFA-9034015':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRK3 (TRKC)"""]),
    'R-DRE-9034015':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRK3 (TRKC)"""]),
    'R-MMU-9034015':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRK3 (TRKC)"""]),
    'R-RNO-9034015':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRK3 (TRKC)"""]),
    'R-XTR-9034015':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Signaling by NTRK3 (TRKC)"""]),
    'R-HSA-9034793':Nto._make([date(2018,  6, 12), '....P..', 'B.', """Activated NTRK3 signals through PLCG1"""]),
    'R-BTA-9034793':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK3 signals through PLCG1"""]),
    'R-CFA-9034793':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK3 signals through PLCG1"""]),
    'R-DRE-9034793':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK3 signals through PLCG1"""]),
    'R-MMU-9034793':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK3 signals through PLCG1"""]),
    'R-RNO-9034793':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK3 signals through PLCG1"""]),
    'R-XTR-9034793':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK3 signals through PLCG1"""]),
    'R-HSA-9034864':Nto._make([date(2018,  6, 12), '....P..', 'B.', """Activated NTRK3 signals through RAS"""]),
    'R-HSA-9035968':Nto._make([date(2014, 12, 11), '.Df.P..', '..', """Defective GGT1 causes Glutathionuria (GLUTH)"""]),
    'R-HSA-9036092':Nto._make([date(2015,  9, 22), '.Df.P..', '..', """Defective AVP does not bind AVPR2 and causes neurohypophyseal diabetes insipidus (NDI)"""]),
    'R-HSA-9036866':Nto._make([date(2018,  3, 21), '..F.P..', '..', """Expression and Processing of Neurotrophins"""]),
    'R-BTA-9036866':Nto._make([date(2019,  3, 20), '..fI...', '..', """Expression and Processing of Neurotrophins"""]),
    'R-CFA-9036866':Nto._make([date(2019,  3, 20), '..fI...', '..', """Expression and Processing of Neurotrophins"""]),
    'R-DRE-9036866':Nto._make([date(2019,  3, 20), '..fI...', '..', """Expression and Processing of Neurotrophins"""]),
    'R-GGA-9036866':Nto._make([date(2019,  3, 20), '..fI...', '..', """Expression and Processing of Neurotrophins"""]),
    'R-MMU-9036866':Nto._make([date(2019,  3, 20), '..fI...', '..', """Expression and Processing of Neurotrophins"""]),
    'R-RNO-9036866':Nto._make([date(2019,  3, 20), '..fI...', '..', """Expression and Processing of Neurotrophins"""]),
    'R-XTR-9036866':Nto._make([date(2019,  3, 20), '..fI...', '..', """Expression and Processing of Neurotrophins"""]),
    'R-HSA-9037628':Nto._make([date(2019,  3, 20), '....P..', 'B.', """Rhesus blood group biosynthesis"""]),
    'R-BTA-9037629':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lewis blood group biosynthesis"""]),
    'R-CEL-9037629':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lewis blood group biosynthesis"""]),
    'R-CFA-9037629':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lewis blood group biosynthesis"""]),
    'R-DDI-9037629':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lewis blood group biosynthesis"""]),
    'R-DME-9037629':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lewis blood group biosynthesis"""]),
    'R-DRE-9037629':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lewis blood group biosynthesis"""]),
    'R-GGA-9037629':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lewis blood group biosynthesis"""]),
    'R-HSA-9037629':Nto._make([date(2019,  3, 20), '....P..', 'B.', """Lewis blood group biosynthesis"""]),
    'R-MMU-9037629':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lewis blood group biosynthesis"""]),
    'R-RNO-9037629':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lewis blood group biosynthesis"""]),
    'R-SSC-9037629':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lewis blood group biosynthesis"""]),
    'R-XTR-9037629':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Lewis blood group biosynthesis"""]),
    'R-HSA-9603381':Nto._make([date(2018,  6, 12), '....P..', 'B.', """Activated NTRK3 signals through PI3K"""]),
    'R-BTA-9603381':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK3 signals through PI3K"""]),
    'R-CFA-9603381':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK3 signals through PI3K"""]),
    'R-DRE-9603381':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK3 signals through PI3K"""]),
    'R-MMU-9603381':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK3 signals through PI3K"""]),
    'R-RNO-9603381':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK3 signals through PI3K"""]),
    'R-XTR-9603381':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Activated NTRK3 signals through PI3K"""]),
    'R-HSA-9603505':Nto._make([date(2018,  6, 12), '....P..', 'B.', """NTRK3 as a dependence receptor"""]),
    'R-BTA-9603798':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I peroxisomal membrane protein import"""]),
    'R-CEL-9603798':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I peroxisomal membrane protein import"""]),
    'R-CFA-9603798':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I peroxisomal membrane protein import"""]),
    'R-DDI-9603798':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I peroxisomal membrane protein import"""]),
    'R-DME-9603798':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I peroxisomal membrane protein import"""]),
    'R-DRE-9603798':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I peroxisomal membrane protein import"""]),
    'R-GGA-9603798':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I peroxisomal membrane protein import"""]),
    'R-HSA-9603798':Nto._make([date(2019,  3, 20), '..f.P..', 'B.', """Class I peroxisomal membrane protein import"""]),
    'R-MMU-9603798':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I peroxisomal membrane protein import"""]),
    'R-RNO-9603798':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I peroxisomal membrane protein import"""]),
    'R-SCE-9603798':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I peroxisomal membrane protein import"""]),
    'R-SPO-9603798':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I peroxisomal membrane protein import"""]),
    'R-SSC-9603798':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I peroxisomal membrane protein import"""]),
    'R-XTR-9603798':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Class I peroxisomal membrane protein import"""]),
    'R-HSA-9604323':Nto._make([date(2018,  6, 12), '....P..', 'B.', """Negative regulation of NOTCH4 signaling"""]),
    'R-CFA-9604323':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulation of NOTCH4 signaling"""]),
    'R-DME-9604323':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulation of NOTCH4 signaling"""]),
    'R-DRE-9604323':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulation of NOTCH4 signaling"""]),
    'R-GGA-9604323':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulation of NOTCH4 signaling"""]),
    'R-MMU-9604323':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulation of NOTCH4 signaling"""]),
    'R-RNO-9604323':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulation of NOTCH4 signaling"""]),
    'R-SSC-9604323':Nto._make([date(2019,  3, 20), '...I...', 'B.', """Negative regulation of NOTCH4 signaling"""]),
    'R-HSA-9605308':Nto._make([date(2018,  9, 12), '.Df.P..', '..', """Diseases of Base Excision Repair"""]),
    'R-HSA-9605310':Nto._make([date(2018,  9, 12), '.Df.P..', '..', """Defective Base Excision Repair Associated with MUTYH"""]),
    'R-HSA-9608287':Nto._make([date(2018,  9, 12), '.Df.P..', '..', """Defective MUTYH substrate binding"""]),
    'R-HSA-9608290':Nto._make([date(2018,  9, 12), '.Df.P..', '.C', """Defective MUTYH substrate processing"""]),
    'R-HSA-9609507':Nto._make([date(2018,  9, 12), 'T.F.P..', 'B.', """Protein localization"""]),
    'R-BTA-9609507':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Protein localization"""]),
    'R-CEL-9609507':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Protein localization"""]),
    'R-CFA-9609507':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Protein localization"""]),
    'R-DDI-9609507':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Protein localization"""]),
    'R-DME-9609507':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Protein localization"""]),
    'R-DRE-9609507':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Protein localization"""]),
    'R-GGA-9609507':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Protein localization"""]),
    'R-MMU-9609507':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Protein localization"""]),
    'R-PFA-9609507':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Protein localization"""]),
    'R-RNO-9609507':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Protein localization"""]),
    'R-SCE-9609507':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Protein localization"""]),
    'R-SPO-9609507':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Protein localization"""]),
    'R-SSC-9609507':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Protein localization"""]),
    'R-XTR-9609507':Nto._make([date(2019,  3, 20), 'T.fI...', 'B.', """Protein localization"""]),
    'R-BTA-9609523':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Insertion of tail-anchored proteins into the endoplasmic reticulum membrane"""]),
    'R-CEL-9609523':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Insertion of tail-anchored proteins into the endoplasmic reticulum membrane"""]),
    'R-CFA-9609523':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Insertion of tail-anchored proteins into the endoplasmic reticulum membrane"""]),
    'R-DDI-9609523':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Insertion of tail-anchored proteins into the endoplasmic reticulum membrane"""]),
    'R-DME-9609523':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Insertion of tail-anchored proteins into the endoplasmic reticulum membrane"""]),
    'R-DRE-9609523':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Insertion of tail-anchored proteins into the endoplasmic reticulum membrane"""]),
    'R-GGA-9609523':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Insertion of tail-anchored proteins into the endoplasmic reticulum membrane"""]),
    'R-HSA-9609523':Nto._make([date(2019,  3, 20), '..f.P..', 'B.', """Insertion of tail-anchored proteins into the endoplasmic reticulum membrane"""]),
    'R-MMU-9609523':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Insertion of tail-anchored proteins into the endoplasmic reticulum membrane"""]),
    'R-PFA-9609523':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Insertion of tail-anchored proteins into the endoplasmic reticulum membrane"""]),
    'R-RNO-9609523':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Insertion of tail-anchored proteins into the endoplasmic reticulum membrane"""]),
    'R-SCE-9609523':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Insertion of tail-anchored proteins into the endoplasmic reticulum membrane"""]),
    'R-SPO-9609523':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Insertion of tail-anchored proteins into the endoplasmic reticulum membrane"""]),
    'R-SSC-9609523':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Insertion of tail-anchored proteins into the endoplasmic reticulum membrane"""]),
    'R-XTR-9609523':Nto._make([date(2019,  3, 20), '..fI...', 'B.', """Insertion of tail-anchored proteins into the endoplasmic reticulum membrane"""]),
    'R-BTA-9609736':Nto._make([date(2019,  3, 20), '..fI...', '..', """Assembly and cell surface presentation of NMDA receptors"""]),
    'R-CEL-9609736':Nto._make([date(2019,  3, 20), '..fI...', '..', """Assembly and cell surface presentation of NMDA receptors"""]),
    'R-DME-9609736':Nto._make([date(2019,  3, 20), '..fI...', '..', """Assembly and cell surface presentation of NMDA receptors"""]),
    'R-DRE-9609736':Nto._make([date(2019,  3, 20), '..fI...', '..', """Assembly and cell surface presentation of NMDA receptors"""]),
    'R-GGA-9609736':Nto._make([date(2019,  3, 20), '..fI...', '..', """Assembly and cell surface presentation of NMDA receptors"""]),
    'R-HSA-9609736':Nto._make([date(2019,  3, 20), '..f.P..', '..', """Assembly and cell surface presentation of NMDA receptors"""]),
    'R-MMU-9609736':Nto._make([date(2019,  3, 20), '..fI...', '..', """Assembly and cell surface presentation of NMDA receptors"""]),
    'R-RNO-9609736':Nto._make([date(2019,  3, 20), '..fI...', '..', """Assembly and cell surface presentation of NMDA receptors"""]),
    'R-SSC-9609736':Nto._make([date(2019,  3, 20), '..fI...', '..', """Assembly and cell surface presentation of NMDA receptors"""]),
    'R-XTR-9609736':Nto._make([date(2019,  3, 20), '..fI...', '..', """Assembly and cell surface presentation of NMDA receptors"""]),
    'R-HSA-9614085':Nto._make([date(2018, 12, 13), '..f.P..', '..', """FOXO-mediated transcription"""]),
    'R-BTA-9614085':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription"""]),
    'R-CEL-9614085':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription"""]),
    'R-CFA-9614085':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription"""]),
    'R-DME-9614085':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription"""]),
    'R-DRE-9614085':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription"""]),
    'R-GGA-9614085':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription"""]),
    'R-MMU-9614085':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription"""]),
    'R-RNO-9614085':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription"""]),
    'R-SSC-9614085':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription"""]),
    'R-XTR-9614085':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription"""]),
    'R-HSA-9614399':Nto._make([date(2018, 12, 13), '....P..', '..', """Regulation of localization of FOXO transcription factors"""]),
    'R-BTA-9614399':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of localization of FOXO transcription factors"""]),
    'R-CEL-9614399':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of localization of FOXO transcription factors"""]),
    'R-CFA-9614399':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of localization of FOXO transcription factors"""]),
    'R-DME-9614399':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of localization of FOXO transcription factors"""]),
    'R-DRE-9614399':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of localization of FOXO transcription factors"""]),
    'R-GGA-9614399':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of localization of FOXO transcription factors"""]),
    'R-MMU-9614399':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of localization of FOXO transcription factors"""]),
    'R-RNO-9614399':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of localization of FOXO transcription factors"""]),
    'R-SSC-9614399':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of localization of FOXO transcription factors"""]),
    'R-XTR-9614399':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of localization of FOXO transcription factors"""]),
    'R-HSA-9614657':Nto._make([date(2018, 12, 13), '..f.P..', '..', """FOXO-mediated transcription of cell death genes"""]),
    'R-HSA-9615017':Nto._make([date(2018, 12, 13), '..f.P..', '..', """FOXO-mediated transcription of oxidative stress, metabolic and neuronal genes"""]),
    'R-BTA-9615017':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription of oxidative stress, metabolic and neuronal genes"""]),
    'R-CEL-9615017':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription of oxidative stress, metabolic and neuronal genes"""]),
    'R-CFA-9615017':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription of oxidative stress, metabolic and neuronal genes"""]),
    'R-DRE-9615017':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription of oxidative stress, metabolic and neuronal genes"""]),
    'R-GGA-9615017':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription of oxidative stress, metabolic and neuronal genes"""]),
    'R-MMU-9615017':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription of oxidative stress, metabolic and neuronal genes"""]),
    'R-RNO-9615017':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription of oxidative stress, metabolic and neuronal genes"""]),
    'R-SSC-9615017':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription of oxidative stress, metabolic and neuronal genes"""]),
    'R-XTR-9615017':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription of oxidative stress, metabolic and neuronal genes"""]),
    'R-HSA-9616333':Nto._make([date(2019,  3, 20), '.Df.P..', '..', """Defective Base Excision Repair Associated with NTHL1"""]),
    'R-HSA-9616334':Nto._make([date(2019,  3, 20), '.Df.P..', '..', """Defective Base Excision Repair Associated with NEIL1"""]),
    'R-HSA-9617324':Nto._make([date(2018, 12, 13), '....P..', '..', """Negative regulation of NMDA receptor-mediated neuronal transmission"""]),
    'R-HSA-9617629':Nto._make([date(2018, 12, 13), '....P..', '..', """Regulation of FOXO transcriptional activity by acetylation"""]),
    'R-BTA-9617629':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of FOXO transcriptional activity by acetylation"""]),
    'R-CEL-9617629':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of FOXO transcriptional activity by acetylation"""]),
    'R-CFA-9617629':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of FOXO transcriptional activity by acetylation"""]),
    'R-DME-9617629':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of FOXO transcriptional activity by acetylation"""]),
    'R-DRE-9617629':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of FOXO transcriptional activity by acetylation"""]),
    'R-GGA-9617629':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of FOXO transcriptional activity by acetylation"""]),
    'R-MMU-9617629':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of FOXO transcriptional activity by acetylation"""]),
    'R-RNO-9617629':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of FOXO transcriptional activity by acetylation"""]),
    'R-SSC-9617629':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of FOXO transcriptional activity by acetylation"""]),
    'R-XTR-9617629':Nto._make([date(2019,  3, 20), '...I...', '..', """Regulation of FOXO transcriptional activity by acetylation"""]),
    'R-HSA-9617828':Nto._make([date(2018, 12, 13), '..f.P..', '..', """FOXO-mediated transcription of cell cycle genes"""]),
    'R-CEL-9617828':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription of cell cycle genes"""]),
    'R-CFA-9617828':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription of cell cycle genes"""]),
    'R-DME-9617828':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription of cell cycle genes"""]),
    'R-DRE-9617828':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription of cell cycle genes"""]),
    'R-GGA-9617828':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription of cell cycle genes"""]),
    'R-MMU-9617828':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription of cell cycle genes"""]),
    'R-RNO-9617828':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription of cell cycle genes"""]),
    'R-SSC-9617828':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription of cell cycle genes"""]),
    'R-XTR-9617828':Nto._make([date(2019,  3, 20), '..fI...', '..', """FOXO-mediated transcription of cell cycle genes"""]),
    'R-HSA-9619229':Nto._make([date(2018, 12, 13), '....P..', '..', """Activation of RAC1 downstream of NMDARs"""]),
    'R-BTA-9619229':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of RAC1 downstream of NMDARs"""]),
    'R-CEL-9619229':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of RAC1 downstream of NMDARs"""]),
    'R-CFA-9619229':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of RAC1 downstream of NMDARs"""]),
    'R-DDI-9619229':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of RAC1 downstream of NMDARs"""]),
    'R-DME-9619229':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of RAC1 downstream of NMDARs"""]),
    'R-MMU-9619229':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of RAC1 downstream of NMDARs"""]),
    'R-PFA-9619229':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of RAC1 downstream of NMDARs"""]),
    'R-RNO-9619229':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of RAC1 downstream of NMDARs"""]),
    'R-SCE-9619229':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of RAC1 downstream of NMDARs"""]),
    'R-SPO-9619229':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of RAC1 downstream of NMDARs"""]),
    'R-SSC-9619229':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of RAC1 downstream of NMDARs"""]),
    'R-XTR-9619229':Nto._make([date(2019,  3, 20), '...I...', '..', """Activation of RAC1 downstream of NMDARs"""]),
    'R-HSA-9619483':Nto._make([date(2018, 12, 13), '....P..', '.C', """Activation of AMPK downstream of NMDARs"""]),
    'R-HSA-9620244':Nto._make([date(2018, 12, 13), '....P..', '..', """Long-term potentiation"""]),
    'R-BTA-9620244':Nto._make([date(2019,  3, 20), '...I...', '..', """Long-term potentiation"""]),
    'R-CEL-9620244':Nto._make([date(2019,  3, 20), '...I...', '..', """Long-term potentiation"""]),
    'R-CFA-9620244':Nto._make([date(2019,  3, 20), '...I...', '..', """Long-term potentiation"""]),
    'R-DME-9620244':Nto._make([date(2019,  3, 20), '...I...', '..', """Long-term potentiation"""]),
    'R-MMU-9620244':Nto._make([date(2019,  3, 20), '...I...', '..', """Long-term potentiation"""]),
    'R-RNO-9620244':Nto._make([date(2019,  3, 20), '...I...', '..', """Long-term potentiation"""]),
    'R-SSC-9620244':Nto._make([date(2019,  3, 20), '...I...', '..', """Long-term potentiation"""]),
    'R-XTR-9620244':Nto._make([date(2019,  3, 20), '...I...', '..', """Long-term potentiation"""]),
    'R-HSA-9627069':Nto._make([date(2018, 12, 13), '....P..', '.C', """Regulation of the apoptosome activity"""]),
    'R-BTA-9627069':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of the apoptosome activity"""]),
    'R-CFA-9627069':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of the apoptosome activity"""]),
    'R-DRE-9627069':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of the apoptosome activity"""]),
    'R-GGA-9627069':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of the apoptosome activity"""]),
    'R-MMU-9627069':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of the apoptosome activity"""]),
    'R-RNO-9627069':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of the apoptosome activity"""]),
    'R-SSC-9627069':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of the apoptosome activity"""]),
    'R-XTR-9627069':Nto._make([date(2019,  3, 20), '...I...', '.C', """Regulation of the apoptosome activity"""]),
    'R-HSA-9629232':Nto._make([date(2019,  3, 20), '.Df.P..', '..', """Defective Base Excision Repair Associated with NEIL3"""]),
    'R-HSA-9630221':Nto._make([date(2019,  3, 20), '.Df.P..', '.C', """Defective NTHL1 substrate processing"""]),
    'R-HSA-9630222':Nto._make([date(2019,  3, 20), '.Df.P..', '.C', """Defective NTHL1 substrate binding"""]),
    'R-HSA-9634600':Nto._make([date(2005,  9, 26), '....P..', 'BC', """Regulation of glycolysis by fructose 2,6-bisphosphate metabolism"""]),
    'R-BTA-9634600':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of glycolysis by fructose 2,6-bisphosphate metabolism"""]),
    'R-CEL-9634600':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of glycolysis by fructose 2,6-bisphosphate metabolism"""]),
    'R-CFA-9634600':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of glycolysis by fructose 2,6-bisphosphate metabolism"""]),
    'R-DDI-9634600':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of glycolysis by fructose 2,6-bisphosphate metabolism"""]),
    'R-DME-9634600':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of glycolysis by fructose 2,6-bisphosphate metabolism"""]),
    'R-DRE-9634600':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of glycolysis by fructose 2,6-bisphosphate metabolism"""]),
    'R-GGA-9634600':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of glycolysis by fructose 2,6-bisphosphate metabolism"""]),
    'R-MMU-9634600':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of glycolysis by fructose 2,6-bisphosphate metabolism"""]),
    'R-RNO-9634600':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of glycolysis by fructose 2,6-bisphosphate metabolism"""]),
    'R-SCE-9634600':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of glycolysis by fructose 2,6-bisphosphate metabolism"""]),
    'R-SPO-9634600':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of glycolysis by fructose 2,6-bisphosphate metabolism"""]),
    'R-SSC-9634600':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of glycolysis by fructose 2,6-bisphosphate metabolism"""]),
    'R-XTR-9634600':Nto._make([date(2019,  3, 20), '...I...', 'BC', """Regulation of glycolysis by fructose 2,6-bisphosphate metabolism"""]),
    'R-BTA-9634635':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-stimulated signaling through PRKCZ"""]),
    'R-CEL-9634635':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-stimulated signaling through PRKCZ"""]),
    'R-CFA-9634635':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-stimulated signaling through PRKCZ"""]),
    'R-DDI-9634635':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-stimulated signaling through PRKCZ"""]),
    'R-DME-9634635':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-stimulated signaling through PRKCZ"""]),
    'R-DRE-9634635':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-stimulated signaling through PRKCZ"""]),
    'R-GGA-9634635':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-stimulated signaling through PRKCZ"""]),
    'R-HSA-9634635':Nto._make([date(2019,  3, 20), '....P..', '..', """Estrogen-stimulated signaling through PRKCZ"""]),
    'R-MMU-9634635':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-stimulated signaling through PRKCZ"""]),
    'R-PFA-9634635':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-stimulated signaling through PRKCZ"""]),
    'R-RNO-9634635':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-stimulated signaling through PRKCZ"""]),
    'R-SCE-9634635':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-stimulated signaling through PRKCZ"""]),
    'R-SPO-9634635':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-stimulated signaling through PRKCZ"""]),
    'R-SSC-9634635':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-stimulated signaling through PRKCZ"""]),
    'R-XTR-9634635':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-stimulated signaling through PRKCZ"""]),
    'R-BTA-9634638':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent nuclear events downstream of ESR-membrane signaling"""]),
    'R-CEL-9634638':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent nuclear events downstream of ESR-membrane signaling"""]),
    'R-CFA-9634638':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent nuclear events downstream of ESR-membrane signaling"""]),
    'R-DME-9634638':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent nuclear events downstream of ESR-membrane signaling"""]),
    'R-DRE-9634638':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent nuclear events downstream of ESR-membrane signaling"""]),
    'R-GGA-9634638':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent nuclear events downstream of ESR-membrane signaling"""]),
    'R-HSA-9634638':Nto._make([date(2019,  3, 20), '....P..', '..', """Estrogen-dependent nuclear events downstream of ESR-membrane signaling"""]),
    'R-MMU-9634638':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent nuclear events downstream of ESR-membrane signaling"""]),
    'R-RNO-9634638':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent nuclear events downstream of ESR-membrane signaling"""]),
    'R-SSC-9634638':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent nuclear events downstream of ESR-membrane signaling"""]),
    'R-XTR-9634638':Nto._make([date(2019,  3, 20), '...I...', '..', """Estrogen-dependent nuclear events downstream of ESR-membrane signaling"""]),
    'R-MTU-9635470':Nto._make([date(2019,  3, 20), '....P..', 'B.', """Dimycocersyl phthiocerol biosynthesis"""]),
    'R-HSA-9636003':Nto._make([date(2019,  3, 20), '....P..', '.C', """NEIL3-mediated resolution of ICLs"""]),
}

# Copyright (C) 2018-2019, DV Klopfenstein. All rights reserved.
